package Data::Password::zxcvbn::RankedDictionaries::German;
use strict;
use warnings;
# VERSION
# ABSTRACT: ranked dictionaries for common words

=head1 DESCRIPTION

This is a data file used by L<<
C<Data::Password::zxcvbn::Match::Dictionary> >>, and is generated by
the L<<
C<build-ranked-dictionaries>|https://bitbucket.org/broadbean/p5-data-password-zxcvbn-german/src/master/maint/build-ranked-dictionaries
>> program when building the distribution.


=cut

our %ranked_dictionaries = (
  german_names     => {
                        aaliyah
                               => 3902,
                        abasin => 7015, abaz   => 6978, abdilaahi
                               => 8461,
                        abdolreza
                               => 9022, abdoulie
                               => 8749,
                        abdul  => 9782, abdulahovic
                               => 9528,
                        abdulbaki
                               => 8442, abdulbaset
                               => 10440,
                        abdulkadir
                               => 2737, abdulkerim
                               => 5553,
                        abdulsamed
                               => 6605, abdulsamet
                               => 10327,
                        abdulvahap
                               => 11456, abdurrahim
                               => 5137,
                        abdurrahman
                               => 2196, abdussamed
                               => 8751,
                        abedin => 4883, abide  => 10616, abidin => 3165, abolfazl
                               => 6944,
                        abolis => 8199, aboude => 11493, abozar => 7013, absol  => 8094,
                        abtin  => 5330, abudi  => 6213, abulfazl
                               => 5819,
                        abuzer => 4769, acab   => 6376, acelya => 3915, achii  => 8555, achilleas
                               => 7668,
                        achim  => 360, achmed => 2017, achmet => 5725, achref => 11612, adalbert
                               => 1536,
                        adalet => 3186, adaleta
                               => 9145,
                        adam   => 1341, adana  => 10723, adanali
                               => 10051,
                        adar   => 7383, addi   => 3770, adea   => 3975, adelbert
                               => 8834,
                        adelgunde
                               => 7951, adelheid
                               => 603,
                        adelinde
                               => 5014, adelisa
                               => 2147,
                        adem   => 766, adhurim
                               => 3718,
                        adifete
                               => 8284, adiis  => 9135,
                        adile  => 4084, adin   => 1541, adina  => 2203, adis   => 681, adisa  => 1071,
                        admir  => 703, admira => 1480, adna   => 1928, adnana => 3484, adolf  => 387,
                        adolfine
                               => 5004, adriaan
                               => 10738,
                        adrian => 345, adriane
                               => 3125,
                        adriatik
                               => 7901, adrienn
                               => 1096,
                        adrienne
                               => 3439, adrijan
                               => 3077,
                        adrijana
                               => 2462, adschii
                               => 8224,
                        advan  => 7813, advija => 5431, aenne  => 8892, aerdna => 10157,
                        aferdita
                               => 1769, afet   => 4293,
                        affen  => 8399, afred  => 8119, afrim  => 1151, afrodita
                               => 10599,
                        afrodite
                               => 10630, afroditi
                               => 10171,
                        afsane => 10845, afsaneh
                               => 4621,
                        afshin => 4388, agada  => 9198, agan   => 3382, aganovic
                               => 7793,
                        agapi  => 9235, agata  => 1603, agathe => 3254, agatino
                               => 9923,
                        aggeliki
                               => 9262, aggelos
                               => 6421,
                        aggi   => 4824, aghiad => 11287, agiad  => 8645, agidius
                               => 5184,
                        agim   => 1881, agit   => 3726, aglae  => 5435, aglaia => 10736,
                        agnes  => 1280, agnesa => 1973, agnese => 8320, agneta => 6641, agnetha
                               => 9875,
                        agnieszka
                               => 771, agon   => 2410,
                        agostino
                               => 4668, agota  => 8262,
                        agron  => 1817, agush  => 5856, ahin   => 8468, ahmadzia
                               => 5807,
                        ahmedin
                               => 10687, ahmet  => 212,
                        ahmic  => 9574, ahmo   => 3643, ahmoo  => 8310, ahsen  => 7841, aicke  => 10350,
                        aidin  => 7316, aidualc
                               => 11095,
                        aigul  => 11009, aihan  => 10999, aikaterini
                               => 11659,
                        aike   => 7581, aileen => 977, ailina => 10352, ailine => 8776, aischa => 3693,
                        aisel  => 10554, aishe  => 7924, aivlis => 9502, ajdin  => 1253,
                        ajdina => 4456, ajdinovic
                               => 8734,
                        ajdogan
                               => 9949, ajet   => 6380,
                        ajete  => 10566, ajhan  => 5971, ajisa  => 3789, ajka   => 2835,
                        ajla   => 1045, ajlin  => 5864, ajna   => 3357, ajnat  => 11846,
                        ajnur  => 6036, ajredin
                               => 8890,
                        ajsa   => 2247, ajshe  => 2938, ajten  => 7176, ajub   => 6608, akhmed => 5151,
                        akif   => 2440, akiko  => 8481, akile  => 9181, akina  => 10164,
                        akinom => 7582, akinorev
                               => 9191,
                        akis   => 5093, akki   => 5845, akkiz  => 6076, akos   => 1946, aksana => 8505,
                        aksarayli
                               => 8250, aksel  => 5936,
                        aktan  => 7475, alaaddin
                               => 5718,
                        alaattin
                               => 2751, aladin => 3897,
                        alaeddin
                               => 9656, alaeddine
                               => 10921,
                        alaettin
                               => 4995, alagie => 8767,
                        alajdin
                               => 4209, aland  => 7479,
                        alara  => 5970, alattin
                               => 7494,
                        alban  => 2205, albana => 4630, albaner
                               => 4807,
                        albani => 9092, albatrit
                               => 9131,
                        albena => 4305, alberina
                               => 5910,
                        albert => 551, albesa => 5685, albi   => 4073, albijon
                               => 4721,
                        albin  => 501, albine => 2786, albinot
                               => 8023,
                        albion => 2341, albiona
                               => 9114,
                        albo   => 5542, albrim => 11174, albulena
                               => 2587,
                        alcapone
                               => 10740, alcina => 10622,
                        aldar  => 11273, aldiana
                               => 8907,
                        aldijana
                               => 1690, aldin  => 782,
                        aldina => 1934, aldona => 4087, alea   => 4890, aleahcim
                               => 7358,
                        alec   => 3681, aleex  => 9320, alegra => 10659, alehandro
                               => 10514,
                        aleinad
                               => 11091, alejna => 4556,
                        alekic => 7821, aleko  => 6394, alekos => 7673, aleks  => 1753, aleksa => 1459,
                        aleksandar
                               => 281, aleksander
                               => 2578,
                        aleksandr
                               => 2165, aleksandra
                               => 1037,
                        aleksandrs
                               => 10196, aleksei
                               => 4165,
                        aleksej
                               => 2916, aleksi => 6977,
                        alema  => 4681, alen   => 403, alena  => 1030, alend  => 11522, alenka => 6025,
                        ales   => 3330, alesia => 6967, alesja => 5517, alessa => 2903, alessandra
                               => 1815,
                        alessandro
                               => 857, alessia
                               => 1847,
                        alessio
                               => 1943, aletta => 10097,
                        alev   => 1801, alevtina
                               => 10047,
                        alexa  => 1056, alexan => 11848, alexandar
                               => 6545,
                        alexander
                               => 19, alexandr
                               => 3309,
                        alexandra
                               => 145, alexandros
                               => 2064,
                        alexandru
                               => 1577, alexej => 1739,
                        alexey => 2622, alexios
                               => 11255,
                        aleyna => 1359, alfi   => 6933, alfio  => 4090, alfons => 775, alfred => 119,
                        aliaj  => 7105, alibaba
                               => 7878,
                        alica  => 1935, alican => 1912, alichan
                               => 5649,
                        alicja => 1666, alidad => 3944, aliekber
                               => 6476,
                        aliena => 8821, alieu  => 8646, alihan => 3183, alihaydar
                               => 6340,
                        aliihsan
                               => 6007, aliina => 11524,
                        alija  => 1295, alije  => 3998, aliji  => 6794, alijja => 10079,
                        alikhan
                               => 5617, aliki  => 6133,
                        aliko  => 10544, alime  => 7021, alin   => 1725, alina  => 327, aline  => 954,
                        aliona => 7542, aliosman
                               => 7402,
                        alipasa
                               => 7488, alireza
                               => 1744,
                        aliriza
                               => 3050, alisa  => 1144,
                        alisan => 3850, alischa
                               => 6814,
                        alishia
                               => 11146, alisia => 5529,
                        alisina
                               => 5809, alissa => 2402,
                        alissia
                               => 10867, aliye  => 2490,
                        aljona => 4248, aljosa => 7233, aljoscha
                               => 3203,
                        aljosha
                               => 5920, alke   => 5984,
                        alket  => 7045, alketa => 9066, alkis  => 10551, allegra
                               => 6489,
                        almaida
                               => 5941, almedin
                               => 1693,
                        almedina
                               => 1503, almin  => 1452,
                        almina => 2251, almir  => 553, almira => 4600, almut  => 2184, almuth => 3862,
                        alois  => 170, aloisa => 9137, aloisia
                               => 806,
                        alojz  => 7731, alojzy => 9858, alona  => 10324, aloys  => 5036,
                        alpacino
                               => 10273, alparslan
                               => 2817,
                        alpaslan
                               => 3697, alpay  => 3264,
                        alpen  => 4523, alpenhotel
                               => 6379,
                        alper  => 1085, alperen
                               => 1798,
                        alpi   => 7128, alptekin
                               => 11605,
                        alram  => 9379, alrik  => 11560, alrun  => 11717, alsafo => 10046,
                        altan  => 2313, altin  => 3015, altina => 10519, altug  => 11712,
                        alush  => 6980, alusru => 9772, alwan  => 10130, alwin  => 1863,
                        alwina => 5127, alwine => 5416, alyna  => 8303, alysha => 6759, alzbeta
                               => 8316,
                        amadeus
                               => 3682, amalie => 7425,
                        amalija
                               => 9612, amando => 8135,
                        amandus
                               => 5754, amaniel
                               => 11170,
                        amanj  => 10155, amarilla
                               => 7253,
                        amarpreet
                               => 7981, ambra  => 9076,
                        ambros => 3361, ambrozi
                               => 9752,
                        ambrozije
                               => 8362, ambrus => 7703,
                        amedeo => 7044, amedov => 8719, amela  => 572, amelie => 1082, amely  => 4944,
                        amerigo
                               => 7767, amet   => 2834,
                        amicis => 9287, amide  => 10596, amina  => 4608, amirali
                               => 6902,
                        amirhossein
                               => 4266, amko   => 5560,
                        amphan => 9621, amporn => 10125, amra   => 769, amrei  => 4432, amrush => 9489,
                        amstaff
                               => 11324, anabell
                               => 6018,
                        anadin => 8454, anahit => 8201, anahita
                               => 5872,
                        anaid  => 9150, analena
                               => 8534,
                        anamarija
                               => 3260, anastasia
                               => 740,
                        anastasiia
                               => 5857, anastasija
                               => 1532,
                        anastasios
                               => 2705, anastassios
                               => 11476,
                        anastassiya
                               => 11151, anastazija
                               => 3482,
                        anastazja
                               => 6366, anatol => 4106,
                        anatoli
                               => 2456, anatolii
                               => 6222,
                        anatolij
                               => 4210, anatoliy
                               => 6160,
                        anbauer
                               => 9820, anca   => 1070,
                        anchalee
                               => 11079, ancuta => 4182,
                        anda   => 3466, andal  => 6173, ande   => 6784, andee  => 11155,
                        andela => 2650, andelina
                               => 7161,
                        andelka
                               => 3424, andelko
                               => 4254,
                        anderas
                               => 10184, anderungsschneiderei
                               => 4886,
                        andi   => 193, andie  => 5345, andii  => 2411, andis  => 10528, andja  => 1972,
                        andje  => 6035, andjela
                               => 1272,
                        andjelija
                               => 8786, andjelina
                               => 2448,
                        andjelka
                               => 2441, andjelko
                               => 2743,
                        andjelo
                               => 5506, andjeo => 9448,
                        andji  => 6805, andl   => 4223, andon  => 10494, andor  => 3510,
                        andr   => 5368, andra  => 2948, andrada
                               => 3367,
                        andranik
                               => 9898, andras => 1485,
                        andre  => 101, andrea => 22, andreana
                               => 10695,
                        andreas
                               => 4, andree => 1342, andreea
                               => 534,
                        andrei => 1217, andrej => 801, andreja
                               => 1583,
                        andrejas
                               => 11703, andrejka
                               => 5676,
                        andrejs
                               => 11206, andretti
                               => 8047,
                        andries
                               => 10859, andrij => 6217,
                        andrija
                               => 1433, andrijana
                               => 1727,
                        andrina
                               => 8045, andrucha
                               => 11354,
                        andrzej
                               => 1017, andtea => 8887,
                        andy   => 250, andzelika
                               => 8666,
                        aneka  => 10085, anel   => 925, anela  => 1352, anelia => 8627, aneliq => 9999,
                        aneliya
                               => 6761, anemarie
                               => 7846,
                        anemone
                               => 10376, anerev => 5329,
                        anes   => 3772, anesa  => 2179, anessa => 4979, anestis
                               => 6426,
                        aneta  => 1309, anett  => 742, anetta => 5018, anette => 673, anfrea => 9548,
                        angela => 234, angelika
                               => 117,
                        angeliki
                               => 5438, angelina
                               => 583,
                        angelique
                               => 1066, angelo => 621,
                        angelos
                               => 3323, anghel => 8291,
                        angi   => 656, angii  => 2597, anglika
                               => 9941,
                        ania   => 1484, anian  => 10181, anica  => 1018, anicka => 8903,
                        anida  => 9087, aniela => 6465, aniello
                               => 6199,
                        anife  => 5523, anika  => 487, aniko  => 1406, anil   => 3328, anina  => 4445,
                        aniram => 10381, anirbas
                               => 10393,
                        anisoara
                               => 2783, anit   => 6912,
                        anita  => 305, anitram
                               => 8533,
                        anitteb
                               => 6880, anja   => 50, anjaa  => 5516,
                        anjeza => 7046, anjuli => 11210, anka   => 1580, anke   => 210, anki   => 4333,
                        ankica => 916, anmar  => 7334, anna   => 70, annabel
                               => 3150,
                        annabell
                               => 1499, annabella
                               => 5257,
                        annabelle
                               => 2271, annalena
                               => 877,
                        annalina
                               => 11385, annalisa
                               => 4181,
                        annamaria
                               => 1186, annarita
                               => 11172,
                        annastella
                               => 10030, annchen
                               => 11339,
                        annchristin
                               => 11501, anne   => 178,
                        annedore
                               => 6303, annegret
                               => 963,
                        annegrete
                               => 11542, anneka => 11341,
                        annekathrin
                               => 3507, annekatrin
                               => 4040,
                        anneke => 2666, annelen
                               => 10200,
                        annelene
                               => 8851, anneli => 4174,
                        annelie
                               => 1482, annelies
                               => 826,
                        anneliese
                               => 269, annelinde
                               => 9512,
                        annelore
                               => 4467, annemaria
                               => 4105,
                        annemarie
                               => 209, annemie
                               => 4323,
                        annemieke
                               => 9846, annemone
                               => 11579,
                        annerose
                               => 2029, annet  => 6923,
                        annett => 414, annetta
                               => 9775,
                        annette
                               => 292, anni   => 362, annica => 3879,
                        annii  => 6215, annik  => 9838, annika => 349, annike => 11349, annina => 2467,
                        annja  => 6047, annka  => 7780, annkathrin
                               => 3750,
                        annkatrin
                               => 5124, annkristin
                               => 11492,
                        anno   => 5714, annunziata
                               => 8966,
                        annuschka
                               => 11609, anold  => 7234,
                        anoli  => 11531, anong  => 10154, anouar => 4852, anouk  => 5381,
                        anouschka
                               => 8618, anschi => 2510,
                        anschii
                               => 5167, anschy => 9068,
                        anselm => 3378, ansgar => 1435, antal  => 2162, antanas
                               => 11321,
                        ante   => 1058, antek  => 11483, antep  => 11533, antepli
                               => 8067,
                        anthi  => 10555, anthimos
                               => 11249,
                        antigona
                               => 3065, antigoni
                               => 9142,
                        antina => 8006, antje  => 272, antoanela
                               => 7328,
                        antoaneta
                               => 7385, anton  => 125,
                        antonella
                               => 1691, antonello
                               => 5432,
                        antoneta
                               => 9075, antonia
                               => 552,
                        antonie
                               => 4309, antonietta
                               => 3035,
                        antonija
                               => 1658, antonije
                               => 8034,
                        antonijo
                               => 4394, antonin
                               => 10556,
                        antonina
                               => 3671, antonino
                               => 1854,
                        antonios
                               => 3237, antonis
                               => 3932,
                        antonius
                               => 2986, antreas
                               => 11237,
                        antti  => 10783, antun  => 3235, antunka
                               => 5726,
                        anula  => 10410, anusch => 7326, anuschka
                               => 3867,
                        anvor  => 9801, anzela => 11308, anzelika
                               => 11274,
                        anzhela
                               => 8417, anzhelika
                               => 9724,
                        aouatef
                               => 9115, apart  => 4235,
                        apartman
                               => 8011, apfel  => 5002,
                        apollonia
                               => 3511, apoo   => 4663,
                        apostolis
                               => 7599, apostolos
                               => 3386,
                        appartement
                               => 6885, arabela
                               => 10668,
                        arabella
                               => 6053, aramat => 9045,
                        aranka => 2626, ararat => 10958, arasch => 10337, arash  => 2088,
                        arayik => 8004, araz   => 5334, arben  => 1559, arbenita
                               => 4006,
                        arber  => 1768, arberim
                               => 9161,
                        arbesa => 10570, arbnor => 3359, arbnora
                               => 5260,
                        arbresha
                               => 9627, arcan  => 11760,
                        arcangelo
                               => 9919, archibald
                               => 10619,
                        arda   => 852, ardalan
                               => 7548,
                        ardeshir
                               => 10110, ardi   => 4412,
                        ardian => 2316, ardiana
                               => 7918,
                        ardii  => 7204, ardijan
                               => 4004,
                        ardijana
                               => 5565, ardil  => 11209,
                        ardit  => 3778, ardita => 2496, ardnas => 6125, ardnaxela
                               => 5488,
                        arean  => 10452, arefe  => 9171, arek   => 2609, areta  => 5884,
                        areti  => 7976, arezo  => 6940, arezoo => 6356, arezu  => 3948, argent => 5855,
                        argjend
                               => 3965, argjent
                               => 3074,
                        arian  => 1796, arianda
                               => 8214,
                        ariane => 907, arianit
                               => 2583,
                        aribert
                               => 6847, arife  => 1766,
                        arijan => 2383, arijana
                               => 1875,
                        arijeta
                               => 3476, ariola => 5210,
                        arion  => 9096, aristidis
                               => 10215,
                        aristotelis
                               => 11208, arite  => 4832,
                        ariton => 5931, arjan  => 4056, arjana => 3712, arjanit
                               => 3534,
                        arjen  => 10557, arjeta => 2234, arjin  => 10737, arkadi => 6201,
                        arkadii
                               => 11261, arkadij
                               => 7777,
                        arkadius
                               => 4365, arkadiusz
                               => 2657,
                        arkin  => 9708, arleta => 6732, arlett => 5786, arletta
                               => 11229,
                        arlind => 1579, arlinda
                               => 4880,
                        armagan
                               => 5419, armean => 9807,
                        armella
                               => 6953, armend => 1293,
                        armiin => 7600, armin  => 181, armina => 1956, armine => 6566, arminius
                               => 9565,
                        armir  => 5837, arnaut => 6081, arnd   => 1514, arne   => 606, arnela => 1497,
                        arnes  => 2745, arnfried
                               => 11353,
                        arnhild
                               => 10266, arni   => 6026,
                        arnika => 6533, arnim  => 4531, arnis  => 9130, arno   => 470, arnulf => 1714,
                        aron   => 4214, arpad  => 2362, arpine => 5318, arsim  => 1304, arslanovic
                               => 8040,
                        arta   => 4077, artak  => 4560, artan  => 3224, artem  => 2235, artemis
                               => 6397,
                        artemiy
                               => 7835, artep  => 7692,
                        arthur => 824, artim  => 5986, artin  => 6362, artiola
                               => 7073,
                        artiom => 7512, artjom => 3381, artom  => 11639, arton  => 1782,
                        artur  => 533, arturas
                               => 10180,
                        arturs => 11789, artus  => 6521, arual  => 11096, arunas => 11737,
                        arved  => 7746, arvid  => 3656, arwed  => 7782, arzija => 7538, arzije => 8038,
                        arzu   => 753, arzum  => 8116, asadullah
                               => 6895,
                        asan   => 2676, asatrjan
                               => 9895,
                        asceric
                               => 9654, aschraf
                               => 6802,
                        asdren => 5948, asef   => 5467, asen   => 2526, asena  => 3853, aset   => 5088,
                        ashkan => 3765, ashot  => 8471, ashti  => 5162, asija  => 8055, asim   => 5951,
                        asita  => 11051, asiyat => 8703, asiye  => 1428, asja   => 3974,
                        askim  => 6659, askin  => 2479, asko   => 5663, aslambek
                               => 4517,
                        aslanbek
                               => 4098, aslaner
                               => 9398,
                        asli   => 1991, aslihan
                               => 3257,
                        asllan => 5889, asmer  => 9796, asmin  => 8261, asmir  => 893, asmira => 1738,
                        asrin  => 11069, assiye => 5389, assunta
                               => 5026,
                        asta   => 4340, asterios
                               => 10195,
                        asti   => 7036, astra  => 9249, astrid => 155, astrit => 3153, astrite
                               => 9477,
                        asude  => 4136, asuman => 3145, atabey => 10829, atacan => 5533,
                        atahan => 8595, atakan => 1667, atalay => 3689, atanas => 2401, atanaska
                               => 6148,
                        atdhe  => 5251, atefeh => 10459, atena  => 7870, athanasia
                               => 5400,
                        athanasios
                               => 2435, athanassios
                               => 7589,
                        athina => 3787, atice  => 9960, atifete
                               => 9299,
                        atike  => 10693, atila  => 2822, atilla => 1123, atina  => 7874,
                        atiqullah
                               => 10416, atiye  => 7338,
                        atko   => 7272, atnan  => 9162, atousa => 7400, atschi => 8298, atti   => 7280,
                        attila => 458, attilio
                               => 6718,
                        atusa  => 9483, atze   => 2661, audi   => 5526, audrius
                               => 10188,
                        audrone
                               => 11813, augi   => 7770,
                        auguste
                               => 7160, aulona => 10513,
                        aurel  => 3226, aurela => 5204, aurelian
                               => 2945,
                        aurelija
                               => 10705, aurelius
                               => 11762,
                        aurica => 6558, aurika => 10612, aurimas
                               => 11315,
                        auron  => 9124, ausra  => 7686, austrian
                               => 4647,
                        austro => 6262, autohaus
                               => 4978,
                        avdagic
                               => 9745, avdi   => 3057,
                        avdija => 4484, avdil  => 7159, avdo   => 2508, avdulah
                               => 8050,
                        avdulla
                               => 7084, avdullah
                               => 8026,
                        avdush => 10128, avdyl  => 3721, avesta => 10458, avgustin
                               => 8304,
                        avin   => 4393, avni   => 1754, avokado
                               => 9317,
                        avraam => 11243, avram  => 6445, avramovic
                               => 4338,
                        awaz   => 7842, axel   => 246, ayako  => 10727, ayas   => 7833, ayberk => 5074,
                        aybike => 11442, aybuke => 8840, ayca   => 3185, aycan  => 3602,
                        aydan  => 4747, ayfer  => 1077, aygul  => 2880, ayhan  => 599, aykan  => 4201,
                        aykut  => 1303, ayla   => 1450, aylan  => 10677, ayleen => 2962,
                        ayliin => 8132, aylin  => 706, aylina => 8596, ayline => 8649, aynur  => 735,
                        ayper  => 9473, ayse   => 333, aysegul
                               => 1155,
                        aysel  => 732, aysen  => 3997, aysenur
                               => 3675,
                        ayser  => 9888, ayshe  => 6698, aysin  => 5654, aysu   => 5356, aysun  => 1203,
                        aytac  => 2704, aytan  => 10818, aytekin
                               => 2050,
                        ayten  => 1007, aytug  => 11744, aytul  => 6670, aytunc => 11029,
                        ayzin  => 9553, azad   => 1275, azadeh => 5882, azbi   => 7072, azem   => 3773,
                        azemina
                               => 2738, azime  => 2771,
                        azira  => 5325, azis   => 7961, azita  => 6354, azize  => 4099, azizullah
                               => 8971,
                        azra   => 518, azrudin
                               => 9282,
                        azur   => 4086, babak  => 2885, babara => 4326, babba  => 10161,
                        babett => 2305, babette
                               => 1979,
                        babis  => 4103, babos  => 6905, babs   => 2645, babsi  => 348, babsii => 2484,
                        babsl  => 5339, babsy  => 2040, babus  => 8790, baciu  => 11286,
                        baciuna
                               => 8455, bacrau => 6723,
                        baerbel
                               => 1598, bagdat => 11701,
                        baggelis
                               => 11544, bagger => 6622,
                        bagher => 5079, baghi  => 5830, bahadir
                               => 3422,
                        bahar  => 1181, bahare => 10456, bahareh
                               => 7310,
                        bahattin
                               => 1651, bahjat => 8736,
                        bahman => 4613, bahne  => 10316, bahoz  => 7452, bahra  => 3707,
                        bahram => 3294, bahri  => 2278, bahrija
                               => 2971,
                        bahrije
                               => 7219, bahriye
                               => 5046,
                        bahrudin
                               => 5465, bahtir => 11702,
                        bahtisen
                               => 7403, bahtiyar
                               => 4292,
                        bahzad => 9038, bajko  => 9413, bajram => 1213, bajrama
                               => 6218,
                        bajro  => 2699, bajrush
                               => 5271,
                        bakhtar
                               => 7003, baki   => 2097,
                        bakiye => 8688, baktash
                               => 9006,
                        balaci => 6128, balazs => 1054, balduin
                               => 9709,
                        baldur => 5758, balen  => 9234, balena => 7094, balic  => 7472, balint => 2487,
                        ballwein
                               => 9455, balog  => 3142,
                        balou  => 8131, balthasar
                               => 2628,
                        bambi  => 4946, banafsheh
                               => 7319,
                        banaz  => 10749, banazli
                               => 9390,
                        bane   => 1851, bangin => 10251, banjas => 6991, banza  => 7251,
                        baptist
                               => 10406, barabas
                               => 7451,
                        baran  => 1319, barb   => 7448, barbara
                               => 42,
                        barbare
                               => 9223, barbarella
                               => 6862,
                        barbaros
                               => 6141, barbel => 390,
                        barbic => 9876, barbl  => 2790, barbora
                               => 2021,
                        barbu  => 6626, barchen
                               => 8563,
                        bardha => 10477, bardhi => 10483, bardhyl
                               => 9071,
                        bardia => 9755, bardo  => 9327, barham => 10382, barin  => 9026,
                        baris  => 787, barli  => 3833, barna  => 2928, barnaba
                               => 9591,
                        barnabas
                               => 4543, barney => 5264,
                        barni  => 9469, barny  => 7391, barsan => 7321, bartek => 2519, bartha => 6719,
                        bartholomaus
                               => 9524, bartlomiej
                               => 4439,
                        bartol => 9763, bartolomeo
                               => 9912,
                        bartosz
                               => 2654, bartu  => 10027,
                        baryalai
                               => 7007, barzan => 4016,
                        basak  => 6167, baschar
                               => 7513,
                        baschir
                               => 5716, bashkim
                               => 2102,
                        basia  => 3613, basiles
                               => 8033,
                        basilis
                               => 6435, baskim => 7231,
                        basri  => 3230, bassel => 3755, bastel => 8724, basti  => 565, bastian
                               => 419,
                        bastii => 8247, bastl  => 6712, bastri => 9117, basty  => 9641, batikan
                               => 11454,
                        batin  => 11824, batjargal
                               => 8452,
                        battal => 3318, batu   => 2545, batuhan
                               => 987,
                        bauxi  => 8817, bave   => 1743, bawan  => 11412, bawer  => 8765,
                        baybars
                               => 9277, baykal => 7973,
                        bayram => 531, bayramali
                               => 6408,
                        baysangur
                               => 8848, bea    => 765,
                        beani  => 7437, beat   => 5630, beata  => 886, beate  => 215, beatrice
                               => 774,
                        beatrix
                               => 304, beatus => 7996,
                        bebek  => 8346, becca  => 4064, becci  => 3611, beccy  => 3783, bechir => 5150,
                        beci   => 5232, becic  => 8433, becir  => 4644, becki  => 9544, becks  => 6786,
                        bedi   => 7983, bedia  => 3606, bediha => 4500, bedir  => 4534, bedirhan
                               => 2314,
                        bediya => 9467, bedran => 5341, bedrana
                               => 7201,
                        bedrettin
                               => 3917, bedri  => 2750,
                        bedrija
                               => 6766, bedrije
                               => 9148,
                        bedriye
                               => 3801, beeke  => 10250,
                        begi   => 7166, begum  => 4513, begzad => 9527, begzada
                               => 5003,
                        behar  => 2166, behcet => 4515, behice => 4827, behija => 3435, behiye => 3402,
                        behlul => 5597, behnam => 4386, behnaz => 6950, behram => 8976, behrooz
                               => 5847,
                        behrouz
                               => 6952, behroz => 10429,
                        behruz => 9032, behxhet
                               => 10198,
                        behzad => 3763, behzat => 6868, beisl  => 8841, bejan  => 9676, bejhan => 8146,
                        bejta  => 11192, bejtulla
                               => 8729,
                        bejtush
                               => 8741, bejza  => 9501,
                        bekas  => 9710, beke   => 6418, beki   => 6400, bekim  => 810, bekir  => 648,
                        bekira => 6438, bekki  => 8477, beko   => 4643, bela   => 2025, belana => 11214,
                        belgin => 2527, belgis => 7273, belinay
                               => 11521,
                        belkisa
                               => 4699, belkiz => 11011,
                        belli  => 9462, bellinda
                               => 10912,
                        belma  => 1521, belmin => 1898, belmir => 8671, benaissa
                               => 10870,
                        benan  => 10589, benart => 7115, bence  => 1469, bendeguz
                               => 8523,
                        bendix => 6314, bene   => 1652, benedek
                               => 4195,
                        benedetta
                               => 10593, benedetto
                               => 5421,
                        benedict
                               => 2137, benedikt
                               => 347,
                        benedikta
                               => 7502, benedikte
                               => 9723,
                        bengi  => 10750, bengin => 8879, bengisu
                               => 8267,
                        bengt  => 5774, bengu  => 5702, beni   => 1844, beniamin
                               => 2176,
                        benii  => 6937, benita => 2394, benjamin
                               => 166,
                        benji  => 3446, benjii => 8104, benjo  => 8241, benn   => 5981, benne  => 4934,
                        bennet => 2190, bennett
                               => 5788,
                        benni  => 523, benno  => 1239, benny  => 530, benschi
                               => 3477,
                        bente  => 2991, beppi  => 8162, beppo  => 5365, beqir  => 5514, berat  => 922,
                        berbel => 10388, berdan => 2270, beren  => 9608, berend => 7573,
                        berenike
                               => 8541, berevan
                               => 8739,
                        berfin => 1948, bergfex
                               => 8960,
                        bergit => 11361, bergita
                               => 9080,
                        berhan => 5854, berhard
                               => 9873,
                        beri   => 5906, berihu => 11193, berin  => 9567, berina => 3655,
                        berislav
                               => 3176, berit  => 1669,
                        beritan
                               => 5039, berivan
                               => 2649,
                        beriwan
                               => 11386, beriz  => 6108,
                        berk   => 3696, berkan => 1706, berkant
                               => 2000,
                        berkay => 1564, berkcan
                               => 8245,
                        berke  => 2039, berki  => 10797, berko  => 8554, berky  => 9386,
                        berna  => 2230, bernadeta
                               => 3475,
                        bernadete
                               => 5952, bernadett
                               => 1109,
                        bernadette
                               => 262, bernado
                               => 10623,
                        bernd  => 64, berndi => 3453, berne  => 11629, bernfried
                               => 8969,
                        bernhard
                               => 49, bernhardine
                               => 11707,
                        bernhild
                               => 10274, berni  => 468,
                        bernii => 9705, berno  => 6021, bernt  => 5169, bernward
                               => 4842,
                        bero   => 5544, berrak => 8652, berrin => 3559, berrit => 11396,
                        bersan => 10244, bert   => 1008, bertalan
                               => 4501,
                        bertan => 3129, berthilde
                               => 8785,
                        berthold
                               => 1046, berti  => 1346,
                        bertl  => 1247, bertold
                               => 3610,
                        bertolt
                               => 11548, berxwedan
                               => 11739,
                        berzan => 6174, besa   => 4634, besar  => 2498, besart => 1773, besarta
                               => 10527,
                        besey  => 10122, besfort
                               => 3994,
                        besi   => 4875, besian => 10524, besiana
                               => 10512,
                        besim  => 1004, besima => 2972, besime => 6443, besir  => 2646, besire => 5987,
                        besjan => 5208, besjana
                               => 4685,
                        besko  => 8106, beslan => 4273, besmellah
                               => 7010,
                        besmir => 4876, besnik => 1926, bessi  => 10525, bestun => 10390,
                        betim  => 2068, betina => 2360, betti  => 1063, bettii => 5027, bettina
                               => 91,
                        betul  => 1081, bewar  => 8831, bexhet => 4687, beyaz  => 2849, beyazit
                               => 11749,
                        beycan => 8603, beyda  => 9770, beyhan => 1871, beynur => 10005,
                        beytullah
                               => 1864, beyza  => 1277,
                        beyzanur
                               => 6091, bezaubernde
                               => 11667,
                        bhangu => 5653, bhzad  => 8524, biagio => 3501, bian   => 5558, bianca => 105,
                        bianka => 669, bibbi  => 8839, bibi   => 1378, bibiane
                               => 1986,
                        bibii  => 8400, bich   => 7649, biggi  => 1098, biggy  => 5342, bigi   => 2909,
                        biianca
                               => 3754, biine  => 9636,
                        bijan  => 4227, bilbo  => 10194, bilent => 10008, bilge  => 2893,
                        bilgehan
                               => 4847, bilgen => 11030,
                        bilgi  => 4870, biliana
                               => 6863,
                        bilind => 10239, bilja  => 2795, biljana
                               => 383,
                        bille  => 4204, billi  => 6415, bilo   => 4896, bina   => 2389, binak  => 7101,
                        binali => 5323, binasa => 8560, binchen
                               => 4833,
                        bine   => 768, binh   => 4269, bini   => 4218, binnaz => 3489, binnur => 4958,
                        biohof => 5173, bircan => 3130, birdal => 11451, birdy  => 11232,
                        birga  => 8829, birger => 2667, birgid => 5077, birgit => 71, birgitt
                               => 1200,
                        birgitta
                               => 2787, birgitte
                               => 10880,
                        birgt  => 11407, birgul => 1400, birhan => 8996, birhat => 11429,
                        birka  => 5824, birkan => 3886, birnur => 11658, birol  => 1487,
                        birsel => 5384, birsen => 1869, birta  => 8588, birte  => 1076, birthe => 2481,
                        birute => 10291, bisar  => 11526, biser  => 5359, bisera => 4035,
                        biserka
                               => 2299, bislan => 5078,
                        bislim => 5880, bistra => 10983, bistro => 11601, bita   => 5483,
                        bithja => 8138, bivol  => 8388, bixi   => 7789, biyaja => 9125, bjarne => 2560,
                        bjoern => 1387, bjorn  => 225, blacky => 4679, blagica
                               => 3760,
                        blago  => 5313, blagoje
                               => 4347,
                        blanka => 3557, blasius
                               => 4413,
                        blasko => 6464, blauer => 8930, blaz   => 5487, blazej => 10735,
                        blazenka
                               => 2001, blazenko
                               => 3601,
                        bleard => 7173, bleart => 7146, bledar => 6371, bledi  => 7894, blend  => 7955,
                        blendi => 3054, bleon  => 3358, bleona => 9079, bleranda
                               => 7960,
                        blerim => 1170, blerime
                               => 8309,
                        blerina
                               => 5507, blero  => 7922,
                        bleron => 3999, blerona
                               => 8191,
                        blerta => 5165, blerton
                               => 8025,
                        blindhofer
                               => 7288, blonder
                               => 10075,
                        blondi => 8118, bloon  => 9817, blumen => 2809, boany  => 9319, boban  => 570,
                        bobana => 4858, bobbi  => 9238, bobi   => 3641, boboi  => 8694, bodnar => 6680,
                        bodo   => 747, bogda  => 8391, bogdan => 1244, bogdana
                               => 10678,
                        bogdanka
                               => 6106, bogi   => 3308,
                        boglarka
                               => 2399, bogna  => 11661,
                        bogoljub
                               => 3854, bogomil
                               => 10984,
                        bogumil
                               => 11748, bogumila
                               => 4784,
                        bogusia
                               => 7398, boguslaw
                               => 4999,
                        boguslawa
                               => 4675, bohser => 10357,
                        boja   => 2950, bojan  => 427, bojana => 858, bojidar
                               => 10781,
                        boki   => 1455, bolek  => 11298, bolor  => 5749, bolormaa
                               => 8347,
                        bommel => 8949, boncuk => 9811, bonny  => 3403, bonsai => 11466,
                        boomer => 11156, bora   => 2934, boran  => 4259, borbala
                               => 6532,
                        borce  => 7350, border => 6666, bordinc
                               => 9091,
                        bordo  => 7685, borge  => 11428, boris  => 576, borislav
                               => 1527,
                        borislava
                               => 3849, borivoje
                               => 4349,
                        borka  => 2195, borko  => 2764, borni  => 3249, borny  => 4482, boro   => 6441,
                        borris => 8782, borsti => 11655, borut  => 4119, boryana
                               => 4603,
                        borys  => 8651, borz   => 5378, bosa   => 3098, boser  => 11347,
                        bosiljka
                               => 3105, boska  => 7578,
                        bosko  => 1618, bosna  => 5312, bosnic => 7959, bosnischer
                               => 9722,
                        bossi  => 7928, bostjan
                               => 5728,
                        botan  => 5410, botho  => 11107, botis  => 8898, botond => 4794,
                        botos  => 6767, boyan  => 8403, bozan  => 6673, bozana => 1570, boze   => 5997,
                        bozena => 1697, bozhena
                               => 9532,
                        bozhidar
                               => 7984, bozi   => 5280,
                        bozica => 1637, bozidar
                               => 1610,
                        bozo   => 1749, braco  => 4998, brain  => 4399, brana  => 2566, branca => 10621,
                        brandusa
                               => 5563, brane  => 1894,
                        brani  => 3310, branimir
                               => 2865,
                        branisa
                               => 6754, branislav
                               => 909,
                        branislava
                               => 3842, branka => 636,
                        brankica
                               => 1336, branko => 646,
                        bratan => 6492, brate  => 10329, bratislav
                               => 2697,
                        bratu  => 11275, breaker
                               => 11840,
                        brhane => 8687, brigi  => 2838, brigita
                               => 6067,
                        brigitt
                               => 11093, brigitta
                               => 322,
                        brigitte
                               => 55, brigtte
                               => 5632,
                        brikena
                               => 5203, brina  => 2770,
                        brindusa
                               => 8987, brini  => 5135,
                        brischitt
                               => 9865, brit   => 1982,
                        brita  => 2772, britt  => 2028, britta => 325, britti => 11679, brixi  => 9153,
                        broder => 11479, bronco => 10089, bronko => 8962, brunhild
                               => 5402,
                        brunhilde
                               => 1115, bruni  => 1974,
                        brutus => 10927, brygida
                               => 5407,
                        buba   => 4656, bubi   => 3541, bubic  => 9204, bubu   => 4908, buca   => 7615,
                        bucherei
                               => 8031, buci   => 7102,
                        bucko  => 7212, buco   => 4173, bucur  => 10972, budai  => 5806,
                        buddy  => 4057, budimir
                               => 3653,
                        budo   => 4163, buelent
                               => 7716,
                        buffy  => 11148, bugra  => 4834, buhai  => 7498, bujamin
                               => 4923,
                        bujar  => 1258, bujorean
                               => 7912,
                        buket  => 2315, buki   => 5961, bukurije
                               => 2720,
                        bulend => 11828, bulent => 708, bulic  => 9828, bulli  => 8902, bummi  => 11374,
                        bunjamin
                               => 8174, bunyamin
                               => 1209,
                        buqe   => 7940, burak  => 445, burbuqe
                               => 10499,
                        burcak => 11364, burchard
                               => 10336,
                        burcin => 2858, burckhard
                               => 7689,
                        burcu  => 1132, burga  => 8756, burghard
                               => 2707,
                        burghilde
                               => 8780, burgi  => 616,
                        burgl  => 6760, burgunde
                               => 11430,
                        burhan => 1199, burhanettin
                               => 8663,
                        burim  => 1006, burkan => 11390, burkard
                               => 5798,
                        burkhard
                               => 667, burki  => 10050,
                        burli  => 5013, burni  => 8456, burns  => 8920, burschi
                               => 9624,
                        buschenschank
                               => 9042, buse   => 4980,
                        bushi  => 10486, busra  => 1050, butter => 8561, butzi  => 11688,
                        buzatu => 9853, cabbar => 9793, cabir  => 10710, cacilia
                               => 1531,
                        cacilie
                               => 8544, cadas  => 9351,
                        caecilia
                               => 2974, cafer  => 1403,
                        caffe  => 4712, cagatay
                               => 6157,
                        cagdas => 4433, cagla  => 2864, caglar => 2644, caglayan
                               => 6604,
                        cagri  => 3335, cahide => 7474, cahit  => 2912, caius  => 10770,
                        caja   => 8029, caka   => 7211, caki   => 6982, cakidiki
                               => 9599,
                        caldaras
                               => 8613, calin  => 4705,
                        calle  => 4352, calli  => 6801, calogera
                               => 10889,
                        calogero
                               => 2291, camillo
                               => 4455,
                        cana   => 8054, canan  => 965, canberk
                               => 9780,
                        cancan => 11231, candan => 5397, candic => 9173, cane   => 5927,
                        canel  => 6773, caner  => 1229, cango  => 10842, cangul => 11641,
                        cani   => 5909, canim  => 7547, canip  => 10397, canis  => 10618,
                        canisi => 11704, cano   => 3333, canoo  => 11391, canpolat
                               => 7276,
                        cansel => 4089, cansever
                               => 6043,
                        cansin => 9774, cansiz => 7325, cansu  => 1276, capan  => 3831, capitano
                               => 11727,
                        capo   => 5950, capra  => 10017, cara   => 2692, carena => 11729,
                        cari   => 3667, carica => 9939, cariina
                               => 3753,
                        carin  => 4462, carina => 136, carl   => 1315, carleen
                               => 11126,
                        carlheinz
                               => 11626, carlo  => 936,
                        carlotta
                               => 2800, carmela
                               => 1814,
                        carmelina
                               => 4945, carmelo
                               => 1713,
                        carmen => 236, carmine
                               => 2339,
                        caro   => 532, carola => 405, carolin
                               => 346,
                        carolinchen
                               => 11834, caroo  => 10657,
                        carp   => 3807, carry  => 4516, cars   => 7104, carsta => 6888, carsten
                               => 176,
                        casar  => 9086, casi   => 7158, caspar => 3491, cassi  => 10638,
                        cassian
                               => 10792, cassio => 10628,
                        cassy  => 5243, catak  => 8502, cataldo
                               => 5261,
                        catalin
                               => 2368, caterina
                               => 1947,
                        catha  => 6821, catharina
                               => 1095,
                        catherina
                               => 5287, cathi  => 4153,
                        cathleen
                               => 1448, cathrin
                               => 1297,
                        catinca
                               => 8562, catja  => 7659,
                        catleen
                               => 11849, catrin => 1567,
                        cavic  => 6420, cavid  => 10813, cavit  => 2730, cayan  => 7401,
                        cayenne
                               => 10654, cazim  => 4369,
                        cebrail
                               => 2051, ceca   => 1446,
                        cecile => 5576, cecilia
                               => 10873,
                        cecilie
                               => 11201, cecylia
                               => 9926,
                        cederic
                               => 10869, cedo   => 4281,
                        cedomir
                               => 3342, cedric => 1105,
                        cedrik => 3735, cefayir
                               => 8584,
                        ceger  => 8293, celal  => 942, celalettin
                               => 3803,
                        celii  => 4749, celil  => 2652, celin  => 3240, celina => 618, celine => 591,
                        celinee
                               => 8889, cella  => 10952,
                        celli  => 6703, cello  => 6637, celly  => 6001, celo   => 6407, cem    => 796,
                        cemal  => 659, cemalettin
                               => 2712,
                        cemali => 9615, cemaynur
                               => 7993,
                        cemil  => 968, cemile => 1255, cemo   => 3924, cemre  => 4764, cenan  => 11036,
                        cengis => 8428, cengiz => 662, cengizhan
                               => 4169,
                        cengo  => 6284, cenk   => 1969, cennet => 1534, ceren  => 1806, cerimpasic
                               => 9184,
                        cerkez => 7751, cerstin
                               => 4578,
                        cerveni
                               => 9396, cesare => 6460,
                        cesim  => 11362, cesur  => 4264, cettina
                               => 8634,
                        cevahir
                               => 2981, cevat  => 1807,
                        cevdet => 1740, cevher => 10300, cevin  => 6190, cevriye
                               => 3771,
                        ceyda  => 2608, ceyhan => 3991, ceyhun => 3993, ceylin => 8259, ceza   => 7370,
                        cezary => 5645, cezmi  => 8932, chabo  => 11109, chaib  => 10871,
                        chairi => 9664, chaker => 9735, chako  => 11117, chaled => 7775,
                        chalet => 4420, chaline
                               => 11227,
                        changiz
                               => 5821, channi => 8994,
                        channoine
                               => 9348, channy => 11066,
                        chantal
                               => 663, chantale
                               => 5060,
                        chantall
                               => 11672, chantalle
                               => 5769,
                        chantha
                               => 9010, chanti => 4380,
                        chantii
                               => 11350, chanty => 8632,
                        chaouki
                               => 10890, char   => 4231,
                        charalampos
                               => 5802, charleen
                               => 2482,
                        charlien
                               => 10875, charlin
                               => 6793,
                        charline
                               => 2528, charlott
                               => 5110,
                        charlotta
                               => 6819, charlotte
                               => 729,
                        charly => 955, charlyn
                               => 5486,
                        charlyne
                               => 10884, chasan => 10386,
                        chau   => 6795, chawo  => 11485, chayenne
                               => 5066,
                        chaymae
                               => 9854, chechen
                               => 3910,
                        chechena
                               => 8137, chechenka
                               => 8796,
                        checker
                               => 7505, chee   => 1868,
                        chelly => 7156, chereji
                               => 9116,
                        cherin => 10254, cherrylin
                               => 9650,
                        cheyenne
                               => 2421, chiaki => 11167,
                        chiara => 336, chicco => 9295, chicko => 11379, chien  => 8126, chiharu
                               => 7709,
                        chiko  => 5033, chill  => 8125, chilli => 9507, chinh  => 7163, chirila
                               => 6643,
                        chistine
                               => 6959, chnar  => 11647,
                        chokri => 6596, chousein
                               => 11444,
                        chri   => 608, chriatian
                               => 8446,
                        chrie  => 8891, chrii  => 5102, chriis => 4055, chrille
                               => 10290,
                        chris  => 107, chrisa => 6619, chrisch
                               => 11518,
                        chrischan
                               => 6854, chrischi
                               => 4373,
                        chrise => 5680, chrisi => 484, chrisii
                               => 3784,
                        chrisl => 9925, chrisoula
                               => 10277,
                        chriss => 2536, chrissa
                               => 11417,
                        chrisse
                               => 4872, chrissi
                               => 861,
                        chrissie
                               => 4751, chrissii
                               => 7816,
                        chrissy
                               => 1376, christa
                               => 158,
                        christan
                               => 8256, christel
                               => 562,
                        christer
                               => 10970, christfried
                               => 11529,
                        christiaan
                               => 8368, christian
                               => 3,
                        christiana
                               => 776, christiane
                               => 241,
                        christiano
                               => 4928, christien
                               => 10876,
                        christin
                               => 380, christina
                               => 92,
                        christine
                               => 39, christisn
                               => 9768,
                        christl
                               => 725, christo
                               => 3636,
                        christof
                               => 330, christofer
                               => 6024,
                        christoff
                               => 9697, christoffer
                               => 4506,
                        christoph
                               => 13, christopha
                               => 7634,
                        christopher
                               => 270, christos
                               => 1117,
                        chrisu => 2378, chrisula
                               => 11545,
                        chrisy => 10691, chritine
                               => 6428,
                        chriz  => 4555, chrizz => 8510, chrstian
                               => 8958,
                        chrstn => 11555, chrysanth
                               => 6827,
                        chrysoula
                               => 11252, chucky => 6020,
                        chutima
                               => 11202, cica   => 3169,
                        cican  => 5708, ciccio => 6755, cico   => 8082, cidem  => 6578, cigdem => 1002,
                        cihad  => 3326, cihan  => 808, cihangir
                               => 3858,
                        cihat  => 2359, ciko   => 8432, cile   => 6205, cilem  => 7788, cilgin => 9806,
                        cilli  => 1535, cilly  => 4527, cimi   => 7908, cindy  => 426, cinja  => 11500,
                        cinzia => 3284, ciobanu
                               => 3836,
                        ciora  => 6591, cipi   => 7220, cipri  => 9337, ciprian
                               => 2897,
                        cirak  => 7863, cirkin => 11562, cirkovic
                               => 6042,
                        cirpaci
                               => 9149, cirsten
                               => 8878,
                        ciul   => 6789, ciurar => 7638, civan  => 4322, ciwan  => 3210, claas  => 1985,
                        clairy => 6378, clarissa
                               => 1554,
                        clauci => 7449, claud  => 7181, claudi => 1074, claudia
                               => 29,
                        claudias
                               => 7957, claudiia
                               => 10658,
                        claudiu
                               => 1049, claudius
                               => 2003,
                        claudsch
                               => 6033, claudschi
                               => 3438,
                        claudya
                               => 11097, claus  => 500,
                        clemens
                               => 213, clement
                               => 9832,
                        clemi  => 4378, clirim => 7051, clivia => 7484, cloudy => 9703, codemo => 8999,
                        codruta
                               => 5019, coiffeur
                               => 6251,
                        cojocariu
                               => 6621, cojocaru
                               => 5738,
                        cokic  => 9307, cola   => 7098, coletta
                               => 7307,
                        colin  => 1462, coline => 9699, colja  => 10362, colle  => 8558,
                        colli  => 8886, collin => 3082, colly  => 11108, coman  => 9737,
                        comert => 7950, comi   => 5265, computeria
                               => 9669,
                        concetta
                               => 2382, conner => 7528,
                        conni  => 1819, connii => 6956, connor => 3262, conny  => 224, cono   => 8153,
                        constantin
                               => 525, constantinos
                               => 10907,
                        constanze
                               => 896, consti => 4147,
                        consuela
                               => 9500, cookie => 10113,
                        cooler => 5372, cora   => 1381, corbinian
                               => 10283,
                        corc   => 5534, cord   => 2731, cordelia
                               => 4760,
                        cordi  => 8514, cordu  => 11534, cordula
                               => 1003,
                        cori   => 2709, coric  => 4314, corii  => 4750, corin  => 7306, corina => 821,
                        corinna
                               => 266, cornea => 6223,
                        cornel => 3111, cornelia
                               => 149,
                        cornelie
                               => 10651, cornelis
                               => 9713,
                        corneliu
                               => 3116, cornelius
                               => 1682,
                        cornell
                               => 6283, corni  => 6668,
                        corny  => 8334, corrado
                               => 4194,
                        corry  => 7399, cortina
                               => 10342,
                        corvin => 5373, cosi   => 7439, cosima => 2556, cosimo => 2109, cosma  => 3513,
                        cosmin => 1075, cosmina
                               => 2651,
                        cosmo  => 6272, cosmyn => 6259, costantino
                               => 8110,
                        costanza
                               => 8147, costas => 11019,
                        coste  => 7815, costel => 1471, costi  => 3370, costica
                               => 3699,
                        costin => 3762, costy  => 2960, covaci => 5070, covic  => 4765, cozma  => 8968,
                        craciun
                               => 5143, creativ
                               => 6248,
                        crenguta
                               => 9017, cret   => 6461,
                        cretu  => 9602, crina  => 2024, crisan => 5606, crisi  => 4813, crissi => 10285,
                        crissy => 9957, cristea
                               => 4510,
                        cristiane
                               => 5993, cristin
                               => 6483,
                        cristinel
                               => 8648, cristoph
                               => 8018,
                        crna   => 3828, crni   => 3263, csaba  => 778, csabi  => 6506, cseh   => 6310,
                        csenge => 6517, csilla => 1100, csongor
                               => 11204,
                        csonka => 6973, cuba   => 8166, cucura => 8679, cuma   => 2294, cumali => 2866,
                        cumhur => 3220, cuneyit
                               => 7375,
                        cuneyt => 1860, cuong  => 3941, curly  => 5561, curt   => 5319, cvejic => 9799,
                        cveta  => 4041, cvetan => 4735, cvetelina
                               => 9662,
                        cvetka => 5387, cvetko => 8389, cvija  => 6124, cvijeta
                               => 3029,
                        cvijetin
                               => 5119, cviko  => 4463,
                        cvjetin
                               => 9702, cvjetko
                               => 5999,
                        cyrill => 9418, cyros  => 9347, czarek => 11498, czesia => 8480,
                        czeslaw
                               => 6261, daban  => 10269,
                        daca   => 1996, dacian => 5804, dacic  => 9055, dadas  => 10819,
                        dadic  => 7726, daelirium
                               => 10042,
                        dafina => 1961, dafni  => 7616, daggi  => 2810, daggy  => 7798, dagi   => 1990,
                        dagistan
                               => 5302, dagmar => 206,
                        dagmara
                               => 3704, dagny  => 11566,
                        dagobert
                               => 4190, daham  => 8937,
                        daimi  => 4955, dainius
                               => 11536,
                        daiva  => 5121, dajana => 843, dakhil => 10232, daki   => 1785, dakii  => 3702,
                        daliah => 8414, dalibor
                               => 480,
                        daliborka
                               => 1231, dalija => 8846,
                        daline => 11103, dalli  => 11276, dalyan => 11775, damara => 3112,
                        damiano
                               => 3543, damianos
                               => 11256,
                        damion => 11121, damir  => 455, damjan => 1933, damla  => 1501, damlaa => 9698,
                        danai  => 11100, danail => 7376, dancho => 9906, danci  => 8222,
                        danciu => 9214, danei  => 6832, dani   => 472, danica => 2565, danie  => 3437,
                        daniel => 7, daniela
                               => 81, daniele
                               => 1188,
                        danielo
                               => 5258, daniil => 5655,
                        danijel
                               => 342, danijela
                               => 331,
                        danika => 10053, danilovic
                               => 6103,
                        danina => 11013, daniyel
                               => 10849,
                        danja  => 1517, danjel => 7911, danjela
                               => 4683,
                        danka  => 4957, danke  => 7438, danni  => 2844, danny  => 369, danusa => 9323,
                        danut  => 2684, danuta => 1424, danute => 11433, danyel => 5254,
                        dardagan
                               => 8825, dardan => 1777,
                        darek  => 2422, daria  => 1088, darian => 4926, darija => 2436, darijan
                               => 4241,
                        darijo => 2370, darinka
                               => 4280,
                        darius => 1062, dariusch
                               => 10252,
                        dariush
                               => 5495, dariusz
                               => 1329,
                        darja  => 3594, darjan => 4734, darko  => 373, darleen
                               => 2799,
                        darline
                               => 5425, darnell
                               => 11122,
                        daryan => 11782, dascha => 5450, dasha  => 10827, dashamir
                               => 10481,
                        dashka => 9309, dashmir
                               => 3063,
                        dashnim
                               => 9179, dashnor
                               => 5206,
                        dashurije
                               => 7149, dastan => 9039,
                        dastin => 6792, daut   => 5181, davdi  => 8929, daven  => 10114,
                        davia  => 11163, david  => 1301, davide => 1467, davidoff
                               => 11306,
                        davin  => 5996, davina => 3329, davinci
                               => 10836,
                        davit  => 5207, davod  => 9031, davood => 5466, davor  => 897, davorin
                               => 4904,
                        davorka
                               => 3465, davoud => 9947,
                        davud  => 2104, davut  => 1110, davyd  => 11101, dawid  => 1233,
                        debbi  => 8569, deddy  => 11068, deejay => 5537, defne  => 4902,
                        defrim => 3528, degi   => 8450, dehran => 8863, deike  => 5832, deisenberger
                               => 9122,
                        deividas
                               => 10201, dejan  => 249,
                        dejana => 1601, dejla  => 9062, dejvid => 3978, deki   => 1511, dekii  => 8594,
                        deko   => 7994, delal  => 6147, delbrin
                               => 11584,
                        deldar => 9044, delgash
                               => 11660,
                        delgermaa
                               => 9155, deli   => 3426,
                        deliah => 11112, delija => 4982, delil  => 3622, delman => 10653,
                        delo   => 7986, delovan
                               => 11449,
                        delshad
                               => 7489, demce  => 9060,
                        demet  => 1509, demeter
                               => 6064,
                        demetres
                               => 7669, demetrios
                               => 11032,
                        demhat => 8934, demila => 9083, demirali
                               => 5272,
                        denes  => 4981, denic  => 9516, denica => 10600, denice => 6010,
                        deniese
                               => 8413, denii  => 2728,
                        deniise
                               => 3567, denijal
                               => 9188,
                        denis  => 326, denisa => 695, denise => 294, denislav
                               => 8657,
                        denitsa
                               => 5094, deniz  => 483,
                        denize => 10641, denizhan
                               => 7771,
                        denizz => 7226, denka  => 6344, dennes => 7631, denni  => 3430, dennie => 5763,
                        dennis => 63, denniz => 8722, denno  => 8874, denny  => 658, deno   => 4246,
                        denyo  => 11293, derechte
                               => 9366,
                        derherr
                               => 7755, deria  => 11645,
                        derim  => 7570, derk   => 6256, derman => 8675, dersimli
                               => 7379,
                        dervis => 2181, dervisa
                               => 4289,
                        dervish
                               => 7935, derya  => 567,
                        desanka
                               => 3816, desi   => 2437,
                        desii  => 5155, desimir
                               => 4897,
                        desiree
                               => 1266, desislav
                               => 9585,
                        desislava
                               => 4495, despina
                               => 2801,
                        despoina
                               => 5803, destan => 7943,
                        destina
                               => 9259, detelina
                               => 9393,
                        detlef => 274, detlev => 903, detmar => 10212, detta  => 11222, devad  => 8600,
                        devin  => 2400, devla  => 7426, devran => 2265, devrim => 2317, dewran => 8492,
                        deyan  => 7302, dezso  => 6890, dhurata
                               => 10470,
                        diako  => 11427, diamantis
                               => 10187,
                        diana  => 159, diandra
                               => 5569,
                        diar   => 4665, diart  => 7185, dibran => 4733, dicle  => 6224, diddi  => 5112,
                        didem  => 2289, didi   => 1425, dieda  => 8057, diee   => 5282, diellza
                               => 5263,
                        diemo  => 5964, dierk  => 2120, diet   => 7526, dieta  => 11047,
                        dieter => 118, dietger
                               => 10917,
                        diethard
                               => 2387, diethelm
                               => 4361,
                        diether
                               => 4654, diethmar
                               => 6258,
                        dietlind
                               => 4553, dietlinde
                               => 3217,
                        dietmar
                               => 183, dietr  => 10002,
                        dijamant
                               => 11194, dijan  => 8935,
                        dijana => 515, dijar  => 8324, dijle  => 6662, dijon  => 4709, dijwar => 5710,
                        dikran => 11017, dilara => 831, dilaver
                               => 4884,
                        dilay  => 5430, dilber => 3400, dile   => 7008, dilek  => 564, dilem  => 8656,
                        diler  => 7814, dilman => 10837, dilo   => 3428, dilos  => 11773,
                        dilovan
                               => 7465, dilvin => 11425,
                        dilyana
                               => 6459, dima   => 5750,
                        dimce  => 7308, dimi   => 1764, dimis  => 8792, dimitar
                               => 1506,
                        dimitr => 6764, dimitra
                               => 2379,
                        dimitri
                               => 1190, dimitrij
                               => 3728,
                        dimitrije
                               => 2997, dimitrina
                               => 10978,
                        dimitrios
                               => 1228, dimitris
                               => 1689,
                        dimka  => 9969, dimo   => 4915, dimon  => 9984, dimos  => 6818, dimosthenis
                               => 11259,
                        dinah  => 3774, dincer => 3024, dinchen
                               => 11791,
                        dindar => 8087, dings  => 11410, dini   => 3297, dinka  => 9429,
                        dinko  => 6561, dino   => 1291, dinos  => 11238, dion   => 3785,
                        dionisie
                               => 8392, dionysios
                               => 11257,
                        diren  => 6629, direnc => 11722, dirk   => 48, dirki  => 11752, dirt   => 7779,
                        diter  => 9206, ditha  => 5711, ditjona
                               => 7196,
                        ditka  => 8111, ditmar => 3921, ditsch => 9694, divkovic
                               => 8019,
                        divna  => 3416, diyar  => 2060, djakovic
                               => 9008,
                        djalal => 10830, djali  => 9085, djamal => 6473, djamila
                               => 4453,
                        djane  => 9285, django => 4493, djani  => 4731, djawad => 11806,
                        djego  => 7184, djekic => 8175, djellza
                               => 11171,
                        djemal => 5656, djemil => 7679, djengis
                               => 11002,
                        djeric => 8577, djevat => 10937, djojo  => 6617, djoka  => 8176,
                        djokica
                               => 8556, djole  => 2121,
                        djoni  => 9160, djordje
                               => 1101,
                        djordjo
                               => 4843, djudja => 7249,
                        djuka  => 5357, djula  => 4968, djuli  => 5954, djura  => 4180, djurdja
                               => 7934,
                        djurdjica
                               => 4065, djurdjina
                               => 9365,
                        djurica
                               => 6564, djuro  => 2192,
                        djwar  => 11657, dldar  => 11198, dler   => 5794, dlovan => 5729,
                        dlshad => 6866, dmitri => 3575, dmitrii
                               => 3859,
                        dmitrij
                               => 2993, dmitriy
                               => 5142,
                        dmitry => 2882, dmytro => 6086, dnalor => 7650, doan   => 5744, doar   => 6710,
                        dobra  => 11026, dobre  => 5650, dobri  => 8290, dobrica
                               => 2006,
                        dobrila
                               => 2557, dobrin => 10982,
                        dobrina
                               => 9738, dobrinka
                               => 4428,
                        dobrisav
                               => 7625, dobrivoje
                               => 5188,
                        dobromir
                               => 6562, dobroslava
                               => 10009,
                        dodo   => 1952, doerte => 5457, doerthe
                               => 7712,
                        doggo  => 9645, dogukan
                               => 2277,
                        dogus  => 3587, doina  => 4129, doinita
                               => 6748,
                        dokan  => 11478, dokter => 7701, dolfi  => 4701, dolicanin
                               => 9975,
                        dolunay
                               => 8208, domagoj
                               => 3515,
                        dome   => 1429, domei  => 9007, domenic
                               => 1349,
                        domenica
                               => 3578, domenick
                               => 10328,
                        domenico
                               => 1122, domenik
                               => 1351,
                        domenika
                               => 3984, domenique
                               => 5795,
                        domi   => 440, domii  => 2599, dominc => 9921, dominic
                               => 253,
                        dominick
                               => 4267, dominik
                               => 44,
                        dominika
                               => 1824, dominikus
                               => 2976,
                        dominique
                               => 789, domink => 6003,
                        dominko
                               => 7431, dommi  => 7598,
                        domokos
                               => 8341, domurcuk
                               => 8449,
                        donart => 7177, donata => 3949, donatas
                               => 10378,
                        donatella
                               => 7174, donato => 3090,
                        donatus
                               => 10648, dondu  => 1385,
                        done   => 2380, doner  => 7537, doni   => 3645, donika => 5166, donita => 10785,
                        donja  => 10394, donjeta
                               => 3084,
                        donka  => 7311, donn   => 8037, donni  => 10746, donus  => 5413,
                        dora   => 1827, dorde  => 3114, doreen => 310, dorel  => 5929, doren  => 10253,
                        dorena => 7756, dorentina
                               => 5869,
                        dorett => 11570, dorette
                               => 8635,
                        dorfbuhne
                               => 9929, dori   => 2275,
                        dorien => 10577, dorin  => 3660, dorina => 1799, doris  => 75, dorit  => 1685,
                        dorith => 6935, dorle  => 4186, dorli  => 1021, doro   => 1254, dorontina
                               => 7207,
                        dorota => 1163, dorotea
                               => 9247,
                        doroteja
                               => 4985, dorothe
                               => 4206,
                        dorothea
                               => 592, dorothee
                               => 1099,
                        dorottya
                               => 3686, dorrit => 4355,
                        dorte  => 1166, dorthe => 2227, doru   => 2113, doruk  => 10784,
                        doruntina
                               => 7139, dotti  => 9523,
                        drache => 11689, draga  => 2789, dragan => 204, dragana
                               => 307,
                        dragce => 6431, draghia
                               => 9121,
                        draghici
                               => 9555, dragi  => 1566,
                        dragica
                               => 453, dragicevic
                               => 6206,
                        draginja
                               => 3157, dragisa
                               => 949,
                        dragitsa
                               => 9695, drago  => 785,
                        dragojla
                               => 9374, dragoljub
                               => 1899,
                        dragomir
                               => 1695, dragorad
                               => 7861,
                        dragos => 3837, dragoslav
                               => 1660,
                        dragoslava
                               => 5673, dragutin
                               => 2365,
                        drahomira
                               => 10033, drahreg
                               => 6714,
                        drakce => 9373, drasko => 1822, drazan => 4657, drazana
                               => 4983,
                        drazen => 1211, drazenka
                               => 2973,
                        drazenko
                               => 2762, drea   => 3144,
                        dreas  => 11618, drena  => 7361, dreni  => 4719, drenka => 4956,
                        drenusha
                               => 9048, drenushe
                               => 6193,
                        drilon => 2229, drilona
                               => 7056,
                        drini  => 10487, drita  => 4409, dritan => 5504, driton => 1353,
                        drozd  => 8169, dubonitchi
                               => 8576,
                        dubravka
                               => 2281, dubravko
                               => 3452,
                        ducic  => 8350, dudas  => 7244, dude   => 6523, dugagjin
                               => 6685,
                        dukagjin
                               => 10542, dukat  => 7238,
                        duki   => 2951, dulaga => 7444, dule   => 1931, dulguun
                               => 8128,
                        dumancic
                               => 9020, dumitrescu
                               => 6597,
                        dumitriu
                               => 8318, dumitru
                               => 3247,
                        dunca  => 8568, dung   => 2746, dunja  => 1001, dunya  => 5469, durak  => 3007,
                        duran  => 2642, durcan => 8611, durdane
                               => 4250,
                        durdica
                               => 3797, durdu  => 3933,
                        durica => 10001, durim  => 2061, durkadin
                               => 9764,
                        durmus => 1545, duro   => 2939, dursun => 971, dursunali
                               => 6505,
                        dursune
                               => 9515, dusan  => 724,
                        dusana => 7927, dusanka
                               => 1402,
                        dushan => 7998, dusica => 1179, duska  => 3581, dusko  => 868, dustin => 666,
                        dusty  => 6731, duyen  => 7640, duygu  => 1343, duzgun => 4593, dyli   => 7091,
                        dzabir => 6270, dzafer => 6060, dzana  => 3149, dzanan => 6014, dzavid => 4787,
                        dzehva => 4288, dzejna => 6360, dzeko  => 9024, dzele  => 9631, dzemail
                               => 5092,
                        dzemal => 2031, dzemil => 3577, dzemila
                               => 3228,
                        dzemo  => 6830, dzenan => 2647, dzenana
                               => 2514,
                        dzeneta
                               => 7941, dzeni  => 7481,
                        dzenis => 3591, dzenisa
                               => 6897,
                        dzenita
                               => 2453, dzevad => 1232,
                        dzevada
                               => 4477, dzevat => 8678,
                        dzevida
                               => 4952, dzhabrail
                               => 8356,
                        dzilo  => 9453, dzsenifer
                               => 9471,
                        ebby   => 7618, eberhard
                               => 846,
                        ebrar  => 7884, ebrima => 4454, ebru   => 587, ebruu  => 11528, ebubekir
                               => 2520,
                        ecatarina
                               => 9956, ecem   => 3901,
                        ecevit => 2714, eckard => 3882, eckart => 3061, eckbert
                               => 10241,
                        eckehard
                               => 4525, eckhard
                               => 975,
                        ecki   => 3497, ecrin  => 4359, edanur => 4831, edburg => 8936, edda   => 1307,
                        eddi   => 2242, edel   => 3640, edelbert
                               => 3470,
                        edelgard
                               => 2260, edeltraud
                               => 473,
                        edeltraude
                               => 8835, edeltraut
                               => 2798,
                        edeltrud
                               => 6901, edeltrude
                               => 8206,
                        edgaras
                               => 11319, edgars => 11288,
                        edham  => 6078, edhem  => 4285, edib   => 5976, edibe  => 10037,
                        edik   => 4518, edin   => 435, edina  => 540, edip   => 4249, edis   => 961,
                        edisa  => 2070, edite  => 9271, editha => 4590, ediz   => 5731, edmin  => 6296,
                        edmir  => 10493, edmira => 7081, edmund => 1569, ednan  => 11041,
                        edoardo
                               => 6462, edon   => 4421,
                        edona  => 2170, edonis => 3612, eduard => 626, eduart => 6960, edvin  => 5174,
                        edvina => 3985, edyta  => 1700, edzard => 8906, efdal  => 7883, efecan => 4961,
                        efekan => 7478, efendi => 8436, effi   => 6765, efisio => 10939,
                        efkan  => 3766, efosa  => 4372, efrahim
                               => 9163,
                        efsane => 9486, efstathios
                               => 10175,
                        efstratios
                               => 11272, efthimios
                               => 10172,
                        egbert => 2187, egemen => 4627, egidijus
                               => 11380,
                        egidius
                               => 6098, egmont => 4936,
                        egon   => 423, egor   => 4321, egzon  => 1261, egzona => 2725, ehad   => 5273,
                        ehlimana
                               => 4639, ehrenfried
                               => 3936,
                        ehrentraud
                               => 3464, ehrhard
                               => 11352,
                        eicke  => 8954, eike   => 866, eiko   => 4819, eileen => 715, eilert => 10204,
                        eilin  => 9648, einalem
                               => 10236,
                        einhorn
                               => 6051, einsamer
                               => 11690,
                        eirene => 11245, eirini => 4814, eisbar => 11404, eiscafe
                               => 8843,
                        eisschutzenverein
                               => 7511, ejder  => 9556,
                        ejub   => 7218, ejup   => 3988, ekaterina
                               => 1746,
                        ekaterine
                               => 9720, ekaterini
                               => 8089,
                        ekber  => 8575, ekhator
                               => 8426,
                        ekin   => 2779, ekiz   => 5791, ekkehard
                               => 2611,
                        ekkehardt
                               => 11597, ekkehart
                               => 10367,
                        eklis  => 10358, ekrem  => 813, ekrema => 6155, ela    => 634, elahe  => 6957,
                        elaheh => 11123, elanur => 3164, elbasan
                               => 3537,
                        elcin  => 4977, eldijana
                               => 8315,
                        eldin  => 1306, eldina => 2126, elefterios
                               => 11043,
                        eleftheria
                               => 7606, eleftherios
                               => 5440,
                        elektra
                               => 9166, elektro
                               => 4729,
                        elektrotechnik
                               => 6198, elemer => 5638,
                        elena  => 323, elene  => 10168, eleni  => 1441, elenor => 10786,
                        elenore
                               => 11496, eleonora
                               => 2280,
                        eleonore
                               => 836, elez   => 3960,
                        elfat  => 5949, elfe   => 4291, elfete => 10605, elfi   => 290, elfie  => 1191,
                        elfride
                               => 6857, elfrieda
                               => 5300,
                        elfriede
                               => 184, elfrun => 11370,
                        elgin  => 9178, elhame => 10574, elheme => 8872, eliabeth
                               => 9786,
                        eliah  => 10702, eliesabeth
                               => 9581,
                        elif   => 415, elife  => 3272, elija  => 10696, elion  => 7915, elisabeta
                               => 1707,
                        elisabete
                               => 5236, elisabeth
                               => 26,
                        elisabetta
                               => 4437, elisabth
                               => 8862,
                        elisaeth
                               => 9443, elisavet
                               => 9190,
                        elisaveta
                               => 9156, elisei => 5054,
                        eliska => 6646, elissavet
                               => 11268,
                        elizabeta
                               => 1597, elkaz  => 9383,
                        elke   => 154, ellada => 10820, ellen  => 542, ellena => 6576, elli   => 514,
                        elmaa  => 10060, elmar  => 460, elmas  => 1374, elmaz  => 6988, elmedin
                               => 2505,
                        elmedina
                               => 2414, elmi   => 5911,
                        elmin  => 2855, elmina => 4152, elmir  => 6404, elnaz  => 7864, elnur  => 10811,
                        elocin => 6293, elona  => 4628, elpida => 10167, elsadat
                               => 7323,
                        elsbeth
                               => 2537, else   => 2408,
                        eltin  => 7214, elvan  => 2836, elveda => 11037, elvedin
                               => 1263,
                        elvedina
                               => 2076, elvide => 6471,
                        elvir  => 784, elvira => 639, elvisa => 1708, elwira => 4759, elyes  => 9766,
                        elyesa => 6751, elzbieta
                               => 2217,
                        emal   => 5859, emanuela
                               => 3417,
                        emanuele
                               => 2634, emel   => 912,
                        emelie => 2888, emely  => 1728, emerenz
                               => 9100,
                        emese  => 1855, emica  => 8476, emil   => 943, emilian
                               => 6389,
                        emilija
                               => 1802, emilijo
                               => 9987,
                        emiliq => 10981, emiliya
                               => 5674,
                        emiljan
                               => 10485, emiljano
                               => 7042,
                        emin   => 1131, emina  => 457, emine  => 350, emir   => 1210, emira  => 1678,
                        emircan
                               => 2473, emire  => 11211,
                        emirhan
                               => 1043, emirim => 9592,
                        emirkan
                               => 4916, emko   => 5694,
                        emmanouil
                               => 7687, emmelie
                               => 10881,
                        emmely => 6657, emmerich
                               => 1078,
                        emmi   => 2765, emoke  => 5571, emra   => 5494, emrah  => 627, emrak  => 9689,
                        emral  => 9674, emre   => 299, emrecan
                               => 8674,
                        emree  => 5348, emrije => 5639, emriye => 3287, emrullah
                               => 2395,
                        emrush => 5895, emsad  => 4820, emsada => 4989, emsal  => 4583, emso   => 8168,
                        enache => 11266, enciu  => 9192, endi   => 7913, endre  => 3506,
                        endri  => 9054, endrik => 8008, endrit => 1546, enea   => 6961, enes   => 363,
                        enesa  => 2589, engelbert
                               => 443,
                        engin  => 684, englbert
                               => 9601,
                        enibas => 4474, enidan => 6724, eniko  => 1891, enikoe => 7947, eninaj => 11766,
                        enis   => 1647, enisa  => 1214, enise  => 4772, eniz   => 4069, enkh   => 5623,
                        enkhjargal
                               => 8167, enna   => 4616,
                        ennasus
                               => 11378, enni   => 5944,
                        ennis  => 10594, enno   => 1784, ennovy => 9589, enola  => 8003,
                        enomis => 7769, enric  => 10956, enrica => 10681, enrico => 278,
                        enrik  => 10505, enriko => 5904, ensad  => 7860, ensar  => 1516,
                        enser  => 6584, entela => 10471, enver  => 720, envera => 4975, enxhi  => 7043,
                        enza   => 3331, enzio  => 10931, enzo   => 1412, erald  => 10467,
                        erand  => 7069, erasmus
                               => 9743,
                        eray   => 1427, erbil  => 5591, erblin => 5840, erblina
                               => 5223,
                        ercan  => 625, erciyas
                               => 8506,
                        ercument
                               => 4424, erdal  => 722,
                        erdan  => 9663, erdbau => 4851, erdbeer
                               => 9932,
                        erdbewegung
                               => 8810, erdem  => 1014,
                        erdi   => 2406, erdin  => 3820, erdinc => 1937, erdinch
                               => 10989,
                        erdit  => 7074, erdjan => 6241, erdmute
                               => 10301,
                        erdna  => 7783, erdo   => 5881, erdon  => 7205, erduan => 6186, erduvan
                               => 7781,
                        erdzan => 4529, erek   => 6855, eremias
                               => 9497,
                        eren   => 630, erencan
                               => 5145,
                        erfried
                               => 4825, ergin  => 1548,
                        ergul  => 3914, ergun  => 1226, erhan  => 856, erhard => 814, erich  => 114,
                        eridania
                               => 8547, eriion => 9733,
                        erijon => 7155, erik   => 382, erika  => 372, erion  => 5161, eriona => 7054,
                        erisa  => 10479, erjan  => 9170, erjon  => 5160, erkal  => 7811,
                        erkam  => 4027, erkan  => 517, erkin  => 6954, erko   => 8076, erkut  => 4537,
                        erlind => 10492, ermal  => 4873, erman  => 5538, ermano => 8378,
                        ermelinde
                               => 8913, ermia  => 7344,
                        ermin  => 982, ermina => 1886, ermir  => 3709, ermira => 10473, erna   => 406,
                        ernad  => 3025, ernada => 5404, ernes  => 9176, ernesa => 5657, ernestine
                               => 749,
                        erni   => 632, erno   => 6367, ernst  => 147, ernsti => 4260, ernstl => 4641,
                        erol   => 568, eroll  => 10718, erona  => 5878, ersan  => 1942, ersel  => 7168,
                        ersen  => 3075, ersin  => 992, ersun  => 11001, ertan  => 1242, ertekin
                               => 6555,
                        ertugrul
                               => 1550, ertunc => 11039,
                        erva   => 7100, ervin  => 2744, ervis  => 6370, erwald => 7627, erwin  => 137,
                        eryk   => 4739, erza   => 7034, erzebet
                               => 7575,
                        erzen  => 7060, erzsebet
                               => 1765,
                        erzsi  => 8405, esad   => 1240, esada  => 4640, esat   => 2827, esed   => 4726,
                        esef   => 5100, esefa  => 8319, esel   => 8053, esengul
                               => 3232,
                        esenur => 9472, eser   => 2716, eshtref
                               => 9152,
                        esila  => 10398, esin   => 3478, eslem  => 8246, esma   => 640, esmanur
                               => 7609,
                        esmatullah
                               => 10417, esmer  => 4430,
                        esmeray
                               => 7808, esmina => 5247,
                        esmir  => 3078, esmira => 10559, esnaf  => 7554, esosa  => 5992,
                        espar  => 9328, esra   => 890, esref  => 2525, essi   => 7004, estera => 6429,
                        eszter => 1024, eszti  => 8472, etaner => 9346, etelka => 3499, etem   => 4243,
                        ethem  => 3069, etienne
                               => 1949,
                        etleva => 10475, etta   => 8358, ettore => 10916, eugen  => 502,
                        eugeniusz
                               => 4854, eumel  => 11398,
                        eunike => 6859, eusebiu
                               => 6733,
                        eva    => 231, evagelia
                               => 11269,
                        evaldas
                               => 11581, evamaria
                               => 1788,
                        evangelia
                               => 4183, evangelos
                               => 3058,
                        evelien
                               => 10855, evelin => 1234,
                        evelinde
                               => 7515, eveline
                               => 256,
                        evelyna
                               => 11038, evelyne
                               => 578,
                        evgeni => 5354, evgenia
                               => 3085,
                        evgenii
                               => 3608, evgeniia
                               => 10744,
                        evgenij
                               => 2872, evgenija
                               => 6776,
                        evgeniy
                               => 8485, evgeniya
                               => 5474,
                        evgeny => 3715, evi    => 409, evica  => 3155, evin   => 3432, evkan  => 10057,
                        evren  => 2397, evrim  => 3138, ewa    => 793, ewald  => 222, ewaz   => 5814,
                        ewelina
                               => 1565, ewgeni => 8868,
                        ewgenij
                               => 10243, eyleen => 4207,
                        eylem  => 2323, eylin  => 11027, eylul  => 2921, eymen  => 8211,
                        eyup   => 1663, eyyup  => 4914, ezatullah
                               => 3706,
                        ezgi   => 1590, ezio   => 6447, fabi   => 951, fabia  => 6436, fabian => 96,
                        fabiane
                               => 10804, fabien => 3332,
                        fabienne
                               => 613, fabijan
                               => 5016,
                        fabio  => 704, fabius => 6041, fabrice
                               => 2693,
                        fabrizio
                               => 2128, fabs   => 3590,
                        fabse  => 4178, fabsi  => 4746, fadik  => 3615, fadil  => 1915, fadimana
                               => 8077,
                        fadime => 888, fadoua => 8512, fahimeh
                               => 9938,
                        fahira => 3592, fahra  => 7261, fahreta
                               => 4221,
                        fahrettin
                               => 2164, fahri  => 2282,
                        fahrija
                               => 4815, fahrije
                               => 5241,
                        fahriye
                               => 4107, fahro  => 6551,
                        fahrschule
                               => 8745, fahrudin
                               => 1615,
                        faical => 9870, faik   => 2237, faina  => 10848, faketa => 9543,
                        fakete => 8828, falco  => 2842, falk   => 682, falko  => 938, familja
                               => 7065,
                        fanea  => 5164, fanica => 5610, fanis  => 10595, fanka  => 10010,
                        fanol  => 6887, faouzi => 5047, farago => 8599, farahnaz
                               => 9015,
                        faramarz
                               => 5491, faranak
                               => 8380,
                        farbod => 10692, farcas => 6993, fardin => 4222, farhad => 1436,
                        fariba => 3302, fariborz
                               => 8451,
                        farideh
                               => 8469, farije => 3980,
                        farin  => 10455, farina => 3099, farinaz
                               => 7393,
                        farizada
                               => 9805, farko  => 11052,
                        farnaz => 6352, farnleitner
                               => 8853,
                        farnoosh
                               => 10453, farrokh
                               => 11138,
                        farshad
                               => 4595, farshid
                               => 4607,
                        farzad => 3214, farzane
                               => 10463,
                        farzaneh
                               => 4867, farzin => 9046,
                        fasih  => 10407, fata   => 1734, fatbardh
                               => 9078,
                        fatbardha
                               => 10478, fateme => 6948,
                        fatemeh
                               => 4220, fatih  => 351,
                        fatihhan
                               => 10074, fatija => 9193,
                        fatime => 3227, fatjeta
                               => 7114,
                        fatjon => 5883, fatka  => 5612, fatlind
                               => 5231,
                        fatlum => 1966, fatma  => 467, fatmagul
                               => 4466,
                        fatmana
                               => 4524, fatmanur
                               => 5061,
                        fatme  => 2500, fatmir => 1662, fatmire
                               => 2344,
                        faton  => 1710, fatos  => 1867, faur   => 4651, fausi  => 11525,
                        fawad  => 3629, faxe   => 4997, fayik  => 9771, fazakas
                               => 7822,
                        fazilet
                               => 6583, fazli  => 3635,
                        fazlija
                               => 7666, fechete
                               => 5648,
                        fedai  => 9797, fedayi => 11472, fedele => 10810, federica
                               => 4108,
                        fedja  => 10059, fedor  => 5267, feher  => 5478, fehim  => 2415,
                        fehima => 9311, fehime => 9644, fehmi  => 1496, fehrat => 7967, fehri  => 11591,
                        feim   => 2935, feivel => 11623, fejsal => 6271, fejzo  => 5858,
                        fekrije
                               => 9102, felek  => 5918,
                        feli   => 2639, felice => 3560, felician
                               => 8272,
                        felicitas
                               => 1047, feliks => 9133,
                        felina => 6790, feline => 7563, felix  => 157, felizia
                               => 11200,
                        felizitas
                               => 2512, felli  => 9989,
                        femi   => 4602, femke  => 4793, fener  => 3553, fenja  => 2563, fenna  => 5761,
                        fenris => 11593, ferah  => 8351, feramuz
                               => 6664,
                        feraru => 8720, ferat  => 3795, feray  => 5557, ferda  => 2591, ferdane
                               => 3736,
                        ferdi  => 872, ferdinand
                               => 288,
                        ferdinando
                               => 6243, ferdl  => 2551,
                        ferdun => 10994, ferenc => 914, ferencz
                               => 5722,
                        ferenczi
                               => 8500, fereshta
                               => 7025,
                        fereshte
                               => 10450, fereshteh
                               => 5668,
                        fereydoun
                               => 7038, ferhad => 4162,
                        ferhan => 3377, ferhat => 629, ferhatbegovic
                               => 9457,
                        ferhatovic
                               => 9444, feri   => 4422,
                        ferican
                               => 9907, ferid  => 3654,
                        ferida => 2675, feride => 2582, feridun
                               => 3815,
                        ferienhaus
                               => 3796, ferienwohnung
                               => 10317,
                        ferienwohnungen
                               => 8998, feriha => 7453,
                        ferihan
                               => 9136, ferit  => 2447,
                        feriz  => 4703, ferki  => 8566, ferl   => 5336, ferman => 7085, fero   => 4240,
                        ferris => 8738, ferro  => 9330, ferruh => 9971, ferry  => 4066, fersan => 8427,
                        ferudun
                               => 3674, feryat => 10289,
                        fesih  => 10267, festim => 3711, fetah  => 7945, fete   => 7296,
                        fethi  => 3374, fethiye
                               => 5455,
                        fethullah
                               => 11664, feti   => 5900,
                        fetih  => 11665, fetija => 9847, fetije => 3981, fetiye => 5072,
                        fettah => 10730, fevayi => 9977, fevzi  => 1617, fevziye
                               => 7487,
                        fexhri => 7643, feyyaz => 6691, feyza  => 2989, feyzi  => 4551, feyzullah
                               => 3016,
                        fidaim => 8002, fidan  => 1760, fidi   => 7070, fiedrich
                               => 6395,
                        fiene  => 10914, fiete  => 3888, fiffi  => 11049, figen  => 2261,
                        fight  => 11713, fiko   => 8294, fikret => 761, fikreta
                               => 1568,
                        fikri  => 3472, fikrije
                               => 10129,
                        fikriye
                               => 2518, fikro  => 6253,
                        filio  => 11254, filipp => 3092, filippa
                               => 7404,
                        filippo
                               => 1905, filippos
                               => 6825,
                        filis  => 10768, filiz  => 686, filli  => 9871, fillip => 6188, filloreta
                               => 5861,
                        filou  => 8621, finchen
                               => 11487,
                        findik => 11839, fine   => 3678, fineas => 7953, fini   => 1736,
                        finja  => 2191, finka  => 4296, finki  => 7774, finley => 9914, finn   => 870,
                        finni  => 8901, finnja => 8910, finta  => 6636, fionn  => 10281,
                        fiorenza
                               => 10953, fips   => 3017,
                        fipsi  => 7903, firat  => 1193, firaz  => 8715, firdes => 4723, firdevs
                               => 3480,
                        firle  => 11799, firooz => 10423, firouzeh
                               => 10112,
                        firtina
                               => 11700, firuze => 10772,
                        fischers
                               => 10034, fischi => 7540,
                        fischzucht
                               => 8899, fisnik => 2233,
                        fisun  => 11787, fitim  => 1547, fitnet => 7164, fitnete
                               => 7068,
                        fitni  => 7663, fitore => 2722, fitschi
                               => 9464,
                        fjodor => 9119, fjola  => 7182, fjolla => 4002, flakron
                               => 8387,
                        flamir => 8995, flamur => 2625, flaviu => 4205, flavius
                               => 2390,
                        flex   => 6456, fliesen
                               => 5303,
                        flip   => 5706, flipper
                               => 10756,
                        flix   => 7732, flo    => 228, floare => 4444, floarea
                               => 3777,
                        flocke => 7795, flocki => 6843, floh   => 3325, floki  => 10688,
                        floo   => 2253, florea => 3457, florens
                               => 11099,
                        florent
                               => 3791, florenta
                               => 6105,
                        florentin
                               => 5539, florentina
                               => 3021,
                        florentine
                               => 2446, flori  => 2101,
                        floriam
                               => 7382, florian
                               => 24,
                        floriane
                               => 9841, florica
                               => 1655,
                        florijan
                               => 3747, florije
                               => 3544,
                        florim => 1519, florin => 497, florina
                               => 4082,
                        florine
                               => 9836, florinel
                               => 6330,
                        floris => 7109, florjan
                               => 10482,
                        floroaie
                               => 9746, floryn => 7812,
                        flotschi
                               => 5554, flow   => 4117,
                        floyd  => 6339, flurim => 4110, flutra => 5835, focko  => 10303,
                        foday  => 10165, fodor  => 4569, fokko  => 10238, folke  => 8933,
                        folker => 6219, folkert
                               => 7764,
                        folko  => 11767, forogh => 7030, fortuna
                               => 8085,
                        foteini
                               => 10177, fotini => 3799,
                        fotios => 6257, fotis  => 4429, fotograf
                               => 7216,
                        franca => 2244, frances
                               => 2199,
                        francesca
                               => 1146, francesco
                               => 623,
                        franceska
                               => 6983, francesko
                               => 10501,
                        francie
                               => 6769, francika
                               => 6307,
                        francisc
                               => 9305, franciska
                               => 4974,
                        franciszek
                               => 11309, frane  => 5938,
                        franek => 4976, franja => 6315, franjo => 1119, frank  => 10, franka => 1757,
                        franki => 10335, franko => 2696, franky => 1923, franni => 11615,
                        franny => 7418, frano  => 2412, frantisek
                               => 3600,
                        franz  => 9, franze => 7702, franzel
                               => 11517,
                        franzi => 446, franzii
                               => 3248,
                        franzis
                               => 6884, franzisca
                               => 4767,
                        franziska
                               => 214, franziskus
                               => 4425,
                        franzjosef
                               => 7972, franzl => 4922,
                        franzy => 5063, frauke => 738, fraulein
                               => 4075,
                        fraunz => 5042, freche => 10385, freches
                               => 9000,
                        fred   => 566, freddi => 5593, frede  => 8127, frederic
                               => 1302,
                        frederieke
                               => 11420, frederik
                               => 915,
                        frederike
                               => 2431, fredi  => 2167,
                        fredl  => 1916, fredo  => 5201, fredrik
                               => 6123,
                        freerk => 11585, freia  => 5377, freimut
                               => 11611,
                        frenk  => 10535, frerich
                               => 10230,
                        frerk  => 8926, freshta
                               => 10422,
                        freya  => 2511, freyja => 9970, frhad  => 10449, frhd   => 6926,
                        friderike
                               => 11765, fridi  => 7191,
                        frido  => 6669, fridolin
                               => 1838,
                        fridrich
                               => 8904, fridtjof
                               => 7735,
                        frie   => 6234, frieda => 1038, friedbert
                               => 4192,
                        friedel
                               => 2053, friedemann
                               => 2994,
                        frieder
                               => 2388, friederich
                               => 9562,
                        friedericke
                               => 6458, friederika
                               => 9370,
                        friederike
                               => 486, friedhelm
                               => 825,
                        friedhilde
                               => 11836, friedi => 3265,
                        friedlinde
                               => 6279, friedo => 7804,
                        friedolin
                               => 11816, friseur
                               => 2533,
                        friseursalon
                               => 5596, friso  => 10941,
                        frithjof
                               => 4376, fritjof
                               => 10307,
                        frits  => 10864, fritzi => 1803, frizz  => 7905, frodo  => 6686,
                        froilein
                               => 11820, frollein
                               => 7708,
                        fronz  => 3829, frozan => 10431, fruzsina
                               => 3908,
                        ftanz  => 9169, fuada  => 4743, fuat   => 1882, fudo   => 8353, fulop  => 6454,
                        fulya  => 3856, funda  => 1064, furat  => 10333, furesz => 7605,
                        furkan => 507, furki  => 7676, furuzan
                               => 9810,
                        fussel => 10218, fusun  => 6169, futter => 9653, fuzzi  => 5547,
                        fynn   => 1537, gabi   => 144, gabie  => 10100, gabija => 11835,
                        gabika => 7392, gabor  => 699, gabri  => 5934, gabriele
                               => 99,
                        gabrijel
                               => 2806, gabrijela
                               => 1729,
                        gabse  => 6291, gaby   => 385, gaetana
                               => 8612,
                        gaetano
                               => 1612, gafurr => 3992,
                        gagi   => 2124, gagii  => 6725, gagik  => 9628, galabau
                               => 11532,
                        galena => 10992, galin  => 7516, galina => 1330, galip  => 2245,
                        galyna => 8348, gamze  => 871, gandolf
                               => 7461,
                        ganea  => 8698, ganime => 10016, ganimet
                               => 4043,
                        ganimete
                               => 3535, ganse  => 8028,
                        gardy  => 11092, garik  => 9741, garip  => 4088, garnet => 11115,
                        garri  => 11236, garrit => 11769, gartnerei
                               => 8335,
                        garvin => 10102, gaspar => 9183, gaspare
                               => 6236,
                        gastehaus
                               => 4282, gatis  => 11586,
                        gatti  => 7803, gavrila
                               => 4565,
                        gavrilo
                               => 9094, gawan  => 9790,
                        gayane => 6618, gaye   => 6695, gazanfer
                               => 11768,
                        gazii  => 7224, gazmen => 5219, gazmend
                               => 1493,
                        geanina
                               => 7264, gebhard
                               => 854,
                        gebi   => 2785, gediminas
                               => 11281,
                        geert  => 5390, geertje
                               => 9851,
                        geggi  => 8824, geggo  => 8188, gehard => 5609, gehtdich
                               => 8832,
                        geile  => 9303, geilo  => 9945, geko   => 5433, gela   => 3231, geli   => 1126,
                        gelinde
                               => 10049, gencay => 5601,
                        genci  => 7898, genco  => 10032, genia  => 6004, gennadi
                               => 5792,
                        gennadij
                               => 6833, gennadiy
                               => 9814,
                        gennady
                               => 11018, gennaro
                               => 3097,
                        genowefa
                               => 5764, gent   => 5890,
                        genta  => 6381, genti  => 5885, gentian
                               => 5163,
                        gentiana
                               => 3713, gentijana
                               => 5629,
                        gentrit
                               => 4596, georg  => 90, georgel
                               => 5540,
                        georgescu
                               => 8384, georgeta
                               => 2488,
                        georgi => 1715, georgia
                               => 1917,
                        georgian
                               => 10780, georgiana
                               => 3691,
                        georgij
                               => 10191, georgine
                               => 3405,
                        georgio
                               => 8528, georgios
                               => 983,
                        georgiu
                               => 6524, georgiy
                               => 10945,
                        gerald => 84, gerard => 6232, gerd   => 265, gerda  => 258, gerdi  => 2957,
                        gerdl  => 9582, gerdschi
                               => 8024,
                        gerdy  => 10865, gereben
                               => 9203,
                        gereon => 3865, gerfried
                               => 1159,
                        gergana
                               => 4504, gergely
                               => 1795,
                        gergina
                               => 8065, gergo  => 1821,
                        gerh   => 6046, gerhad => 7758, gerhard
                               => 17,
                        gerhart
                               => 2079, gerhild
                               => 1065,
                        geri   => 594, gerii  => 5887, gerit  => 1887, gerlando
                               => 9860,
                        gerli  => 1786, gerlies
                               => 9449,
                        gerlind
                               => 4788, gerlinde
                               => 171,
                        germano
                               => 8103, germar => 10391,
                        gernii => 9405, gernold
                               => 3582,
                        gernot => 199, gero   => 1626, gerold => 465, gerolf => 8542, gerome => 4670,
                        gerret => 10293, gerri  => 7132, gerriet
                               => 7810,
                        gerrit => 849, gert   => 622, gerta  => 7907, gerti  => 271, gertie => 9570,
                        gertl  => 8326, gertraud
                               => 286,
                        gertraude
                               => 1538, gertraut
                               => 4279,
                        gertrud
                               => 491, gertrude
                               => 230,
                        gertsch
                               => 5607, gertschi
                               => 4869,
                        gertude
                               => 6938, gervin => 5180,
                        gerwald
                               => 2911, gerwin => 3010,
                        gerwood
                               => 9385, gery   => 1059,
                        gesa   => 1650, gesche => 4836, gesine => 1830, gessica
                               => 8107,
                        gesundheits
                               => 10022, geta   => 6934,
                        getrud => 9380, getsch => 8893, gevorg => 9672, geza   => 2691, gezim  => 3223,
                        ghandi => 9005, ghasem => 5851, ghassen
                               => 10139,
                        ghazaleh
                               => 10107, ghazwan
                               => 6113,
                        gheorghe
                               => 2541, gheorghita
                               => 10773,
                        gherman
                               => 6704, ghiath => 7850,
                        ghita  => 6346, gholam => 6331, gholamreza
                               => 5198,
                        ghorban
                               => 6606, ghotra => 5622,
                        giacinto
                               => 10892, giacomo
                               => 2324,
                        giada  => 6450, giampaolo
                               => 10973,
                        giampiero
                               => 7603, gianfranco
                               => 3946,
                        giang  => 3945, gianina
                               => 6487,
                        gianluca
                               => 1397, gianluigi
                               => 9973,
                        gianna => 2325, giannes
                               => 7675,
                        giannhs
                               => 10054, gianni => 1573,
                        giannina
                               => 6484, giannis
                               => 2106,
                        gianpaolo
                               => 10808, gianpiero
                               => 8567,
                        gidi   => 3740, gidion => 11110, gido   => 7192, giedre => 8798,
                        giedrius
                               => 11292, giesbert
                               => 10338,
                        giesela
                               => 3739, giga   => 7083,
                        gigel  => 7652, giggi  => 5705, gika   => 7245, gila   => 4667, gile   => 4358,
                        gilla  => 4841, gillette
                               => 8420,
                        gimi   => 6971, gina   => 588, ginga  => 10625, gingi  => 8227, gini   => 4450,
                        ginic  => 10018, ginka  => 7585, gino   => 1230, gintaras
                               => 10343,
                        gintare
                               => 10795, gioacchino
                               => 4806,
                        gioele => 11168, gioia  => 8046, gionatan
                               => 10135,
                        giorgi => 3463, giorgia
                               => 5230,
                        giorgio
                               => 2142, giorgo => 9185,
                        giorgos
                               => 1945, giota  => 6684,
                        giovanni
                               => 731, giray  => 8655,
                        girolamo
                               => 10899, gisa   => 3662,
                        gisbert
                               => 2660, gisela => 384,
                        giselher
                               => 8508, gisi   => 1622,
                        gislinde
                               => 6138, gismo  => 5340,
                        giso   => 6955, gitana => 9331, gitano => 8148, giti   => 7873, gitta  => 1401,
                        gitte  => 2005, gitti  => 352, gittl  => 6075, gitty  => 9942, giuli  => 8140,
                        giulia => 1560, giulian
                               => 9633,
                        giuliano
                               => 1997, giulietta
                               => 8157,
                        giulio => 3545, giurgiu
                               => 8617,
                        giuse  => 9872, giuseppa
                               => 4566,
                        giuseppe
                               => 489, giuseppina
                               => 2618,
                        giusi  => 3391, giusy  => 2615, givara => 10140, giwan  => 11470,
                        giwrgos
                               => 5216, giyasettin
                               => 6539,
                        giyasi => 8219, gizella
                               => 8115,
                        gizem  => 1235, gizemli
                               => 9634,
                        gjeladin
                               => 8837, gjelal => 6835,
                        gjemajl
                               => 9867, gjergj => 7902,
                        gjevdet
                               => 11205, gjorge => 6527,
                        gjorgi => 9637, gjyla  => 10548, gleb   => 5778, glorija
                               => 4913,
                        gluckliche
                               => 8509, glucks => 8948,
                        gnagflow
                               => 7809, goca   => 1677,
                        goce   => 6437, goci   => 8090, godehard
                               => 11424,
                        godor  => 6984, goekhan
                               => 11804,
                        goggi  => 7661, goggo  => 9375, gogu   => 4044, gojko  => 2420, gokalp => 11503,
                        gokan  => 5646, gokay  => 4100, gokben => 11446, gokce  => 3431,
                        gokcen => 5126, gokdeniz
                               => 7384,
                        gokhan => 503, goki   => 4298, gokmen => 2922, goknur => 11042, goksal => 8134,
                        goksel => 3500, goksu  => 6560, goktan => 5317, gokturk
                               => 11519,
                        goldi  => 7840, golnaz => 10104, golo   => 7891, gombos => 8683,
                        gonca  => 1978, goncalo
                               => 10631,
                        gonne  => 11119, gonul  => 1178, gonzo  => 5588, goofy  => 9758,
                        goran  => 237, gorana => 2668, goranborjanka
                               => 9221,
                        goranka
                               => 6285, gorazd => 6598,
                        gordan => 2690, gordana
                               => 374,
                        gorden => 4823, gordian
                               => 7718,
                        gordon => 1026, gorgi  => 6044, gorica => 1456, gorkem => 2152, goscha => 11511,
                        gosia  => 1955, goska  => 11226, gospa  => 3900, gospodin
                               => 10759,
                        gospova
                               => 9600, gosta  => 7739,
                        gostimir
                               => 7648, gottfried
                               => 220,
                        gottfrieda
                               => 9035, gottfriede
                               => 7693,
                        gotthard
                               => 1437, gotti  => 6850,
                        gottlieb
                               => 2055, gozde  => 2917,
                        gracjan
                               => 8091, granit => 2172,
                        grazia => 2846, graziana
                               => 11178,
                        graziano
                               => 5983, graziella
                               => 2961,
                        grazina
                               => 10197, grazyna
                               => 1631,
                        grecu  => 4970, gregor => 208, gresa  => 3973, greta  => 1623, grete  => 643,
                        gretel => 4120, greti  => 1133, gretl  => 3173, gretti => 9313, grga   => 3786,
                        grietje
                               => 10862, grigor => 9113,
                        grigore
                               => 6541, grigori
                               => 7107,
                        grigorii
                               => 11008, grigorij
                               => 8809,
                        grigorios
                               => 5747, grigoris
                               => 6823,
                        grigoriy
                               => 10847, grigory
                               => 8706,
                        grischa
                               => 4826, griseldis
                               => 7395,
                        grisu  => 5289, grit   => 745, gritt  => 4213, gritta => 11366, grobi  => 10364,
                        groeg  => 6655, grofo  => 11795, grosz  => 7405, groza  => 8543,
                        grozda => 6601, grozdana
                               => 8257,
                        grubi  => 8027, gruia  => 8313, grujo  => 7313, grunbacher
                               => 9108,
                        grzegorz
                               => 1344, grzesiek
                               => 4947,
                        gucki  => 6883, guddi  => 11166, gudi   => 2887, gudrun => 248, gudula => 4763,
                        gueni  => 8154, guenter
                               => 508,
                        guenther
                               => 537, guggi  => 1954,
                        gugi   => 6137, guglielmo
                               => 10121,
                        guido  => 332, guiliano
                               => 10949,
                        guiseppe
                               => 9596, gula   => 6338,
                        gulabi => 11556, gulay  => 842, gulbahar
                               => 2614,
                        gulbeyaz
                               => 3242, gulbin => 6735,
                        gulcan => 1067, gulcihan
                               => 9240,
                        gulcin => 3460, guldane
                               => 2877,
                        gulden => 2975, gulderen
                               => 5058,
                        gule   => 5500, gulen  => 8517, gulender
                               => 9868,
                        guleser
                               => 4247, gulfer => 8422,
                        gulfidan
                               => 6419, gulgun => 7853,
                        gulhan => 1789, gulhanim
                               => 5130,
                        gulia  => 10764, guliano
                               => 10159,
                        gulistan
                               => 3717, guliz  => 8260,
                        gulizar
                               => 2570, gulja  => 9151,
                        gulkiz => 8218, gull   => 8263, guller => 8233, gullu  => 1716, gulmohammad
                               => 5817,
                        gulnaz => 4631, gulnur => 3201, gulperi
                               => 7749,
                        gulrahman
                               => 7017, gulsah => 1865,
                        gulsehir
                               => 7787, gulsemin
                               => 7460,
                        gulsen => 1365, gulser => 3279, gulseren
                               => 1731,
                        gulsum => 1168, gulsun => 6882, gulten => 1434, gulu   => 8136, gulum  => 8530,
                        gulumser
                               => 3469, gulustan
                               => 11785,
                        guluzar
                               => 2268, gulyasar
                               => 7442,
                        gulzade
                               => 8276, gummi  => 10355,
                        gunar  => 4083, gunay  => 2606, gunda  => 1976, gunde  => 6028, gundel => 5370,
                        gunder => 11513, gundi  => 1246, gundula
                               => 1489,
                        gunel  => 9791, guney  => 2573, gunhild
                               => 6681,
                        guni   => 4990, gunilla
                               => 8370,
                        gunna  => 11583, gunnar => 822, gunni  => 3275, gunny  => 11490,
                        gunta  => 6800, gunter => 109, gunti  => 6865, guntram
                               => 1463,
                        guray  => 5075, gurbet => 4175, gurbetci
                               => 8385,
                        gurcan => 4226, gurcu  => 4768, gurhan => 5371, gurkan => 1831, gurol  => 6318,
                        gursel => 1950, gurvel => 9228, gust   => 2584, gustaf => 2896, gustav => 494,
                        gustel => 11359, gusti  => 1968, gustl  => 2373, guven  => 2292,
                        guvenc => 11698, guzide => 11382, gwendolin
                               => 8460,
                        gwendolyn
                               => 6737, gylten => 9911,
                        gyltene
                               => 11218, gyongyi
                               => 2043,
                        gyongyver
                               => 6615, gyorgy => 1895,
                        gyorgyi
                               => 2985, gyozo  => 8580,
                        gyula  => 2103, gyulten
                               => 10996,
                        gyunay => 10923, gyursel
                               => 9036,
                        gyuszi => 8359, gzim   => 1884, gzime  => 4714, haaji  => 8548, haarstudio
                               => 6246,
                        habakuk
                               => 9384, habibe => 3320,
                        habibo => 11777, habibollah
                               => 7033,
                        habip  => 3550, habtom => 5242, hacer  => 869, haci   => 816, hacky  => 8847,
                        haco   => 5511, hadiye => 6467, hadmar => 8931, hadschi
                               => 6900,
                        hadzajlic
                               => 6979, hadzera
                               => 9696,
                        hadzi  => 8443, hadzira
                               => 4953,
                        haeun  => 8778, hafir  => 9666, hafize => 4256, hafizullah
                               => 10409,
                        haflinger
                               => 9525, haflingerzucht
                               => 9402,
                        hagos  => 9293, haibl  => 9335, haidari
                               => 3943,
                        haike  => 5071, haiko  => 3281, haimo  => 4316, haissam
                               => 7645,
                        hajdar => 3958, hajdin => 5234, hajduk => 8365, hajnalka
                               => 1447,
                        hajni  => 4666, hajo   => 1539, hajredin
                               => 5218,
                        hajrija
                               => 2894, hajrije
                               => 5863,
                        hajriz => 5899, hajro  => 3724, hajrudin
                               => 2090,
                        hajrush
                               => 5903, hajzer => 9372,
                        hakan  => 371, hakar  => 8092, haki   => 3419, hakif  => 10031, hakija => 3418,
                        hakime => 10454, hakke  => 10235, hakki  => 1892, hako   => 3685,
                        hakon  => 11624, haktan => 3244, hakuna => 7037, haldun => 6632,
                        hale   => 5038, halef  => 11758, haleh  => 10950, halid  => 1876,
                        halida => 2077, halide => 5684, halil  => 386, halilibrahim
                               => 10153,
                        halime => 1173, halina => 1877, halis  => 2013, halise => 4350, halit  => 1730,
                        halli  => 7443, hallo  => 7275, halmat => 11547, haluk  => 2853,
                        hamdija
                               => 1556, hamdiye
                               => 10147,
                        hamdo  => 10791, hamdullah
                               => 9003,
                        hami   => 4605, hamide => 2891, hamideh
                               => 10751,
                        hamidreza
                               => 5868, hamidullah
                               => 7823,
                        hamit  => 2206, hamiye => 7366, hamiyet
                               => 4313,
                        hamoude
                               => 9306, hamrin => 6568,
                        hamse  => 4574, hamude => 6858, hamudi => 2302, hamzat => 2641, handan => 2201,
                        handelsagentur
                               => 9202, hanefi => 8275,
                        hanelore
                               => 6196, hang   => 3219,
                        hanh   => 4548, hanife => 923, hanifi => 2226, hanim  => 3269, haniyeh
                               => 7632,
                        hanja  => 11327, hanjo  => 4377, hank   => 4755, hanka  => 2182,
                        hanko  => 10533, hanna  => 513, hannah => 595, hanne  => 1215, hanneliese
                               => 6406,
                        hannelore
                               => 295, hannerl
                               => 5346,
                        hannes => 80, hanni  => 671, hannibal
                               => 8159,
                        hanno  => 1490, hanns  => 2619, hans   => 106, hanschen
                               => 11457,
                        hansdieter
                               => 11334, hanse  => 3411,
                        hansei => 8871, hansgeorg
                               => 7869,
                        hansi  => 399, hansjoachim
                               => 11482,
                        hansjoerg
                               => 3193, hansjorg
                               => 600,
                        hansjuergen
                               => 9783, hansjurgen
                               => 2544,
                        hansl  => 4901, hanso  => 11561, hanspeter
                               => 904,
                        hanz   => 3614, hanzi  => 4446, hape   => 5051, harald => 68, haraldo
                               => 10048,
                        haras  => 8161, harbin => 8322, hardi  => 5375, hardo  => 10288,
                        hardy  => 1202, harem  => 10144, hariis => 7849, harika => 8702,
                        harisa => 3365, harm   => 3875, harri  => 3935, harro  => 4786, harry  => 490,
                        harti  => 7529, hartmut
                               => 429,
                        hartmuth
                               => 4791, hartwin
                               => 5297,
                        harun  => 1093, harut  => 4972, hasan  => 319, hasancan
                               => 11801,
                        hasbi  => 9224, haschem
                               => 8083,
                        haschi => 8190, hashmat
                               => 6328,
                        hasib  => 4216, hasiba => 10443, hasibe => 3091, hasibullah
                               => 4676,
                        hasija => 2850, hasim  => 3072, hasime => 4695, hasip  => 9196, hasko  => 4025,
                        hasmik => 9441, hasnija
                               => 3775,
                        haso   => 3521, hasret => 1664, hasreta
                               => 7291,
                        hassib => 9013, hasso  => 4781, hassuna
                               => 11448,
                        hasti  => 7865, hasudin
                               => 6280,
                        hata   => 1980, hati   => 6898, hatice => 365, hatidza
                               => 2366,
                        hatija => 9831, hatip  => 10151, hatirat
                               => 9392,
                        hatixhe
                               => 10498, hatka  => 6089,
                        hatschi
                               => 6072, hatti  => 7588,
                        hatun  => 2010, hauke  => 1150, hauns  => 4637, haunz  => 8016, hausmeister
                               => 11365,
                        hauzinger
                               => 9904, hava   => 2145,
                        haval  => 3266, havin  => 3597, havva  => 950, hawal  => 10284, hawar  => 6197,
                        hawbash
                               => 8215, hawkar => 9692,
                        hawre  => 8571, haxhere
                               => 5943,
                        haxhi  => 3350, hayal  => 5009, hayata => 11028, hayati => 2736,
                        hayatullah
                               => 8975, haydar => 1473,
                        hayk   => 7286, hayko  => 5508, haymo  => 5422, hayreddin
                               => 11843,
                        hayrettin
                               => 1671, hayri  => 1914,
                        hayriye
                               => 1638, hayrullah
                               => 3052,
                        haysam => 9651, hayssam
                               => 11164,
                        hazal  => 3412, hazbi  => 7071, hazbo  => 9617, hazema => 6005, hazhar => 11557,
                        hazima => 6170, hazir  => 6336, hazratullah
                               => 7012,
                        hazret => 4014, hebamme
                               => 10334,
                        hedayat
                               => 8978, hedayatullah
                               => 5193,
                        hedda  => 4539, hedi   => 1108, hedia  => 10799, hedihzahra
                               => 10025,
                        hedija => 4837, hediye => 2811, hedviga
                               => 5662,
                        hedwig => 755, hegyi  => 7354, heico  => 6876, heidar => 10464, heide  => 757,
                        heidelinde
                               => 1051, heidelore
                               => 6422,
                        heidemaria
                               => 3883, heidemarie
                               => 438,
                        heiderose
                               => 4039, heidi  => 132,
                        heidrun
                               => 763, heijo  => 8884,
                        heike  => 69, heiki  => 10389, heiko  => 130, heiliger
                               => 9251,
                        heilmasseur
                               => 9212, heimo  => 381,
                        heiner => 819, heinfried
                               => 6894,
                        heini  => 2297, heinke => 4042, heino  => 1197, heintje
                               => 8921,
                        heinz  => 141, heinzi => 1911, heinzpeter
                               => 6910,
                        heisam => 11761, heissam
                               => 11735,
                        hejar  => 8758, hektor => 7921, hekuran
                               => 3954,
                        hele   => 8466, helene => 1044, helfried
                               => 1422,
                        helga  => 97, helgar => 7995, helgard
                               => 6319,
                        helge  => 841, helgi  => 11683, helgo  => 7785, heli   => 660, helin  => 2552,
                        helke  => 6893, helko  => 11342, hella  => 1964, helle  => 5379,
                        hellena
                               => 9273, hellfried
                               => 4070,
                        helli  => 1334, hellmut
                               => 4992,
                        helma  => 1681, helmar => 4159, helmfried
                               => 11508,
                        helmtraud
                               => 9104, helmtrud
                               => 11724,
                        helmut => 67, helmuth
                               => 476, hemen  => 8660,
                        hemma  => 1460, hemmi  => 9225, hemn   => 6811, hendric
                               => 6861,
                        hendrick
                               => 5566, hendrik
                               => 402,
                        hendrike
                               => 10353, hendrikje
                               => 6886,
                        hendryk
                               => 5829, hengameh
                               => 11127,
                        henk   => 3170, henner => 3396, hennes => 5053, henni  => 3627, henno  => 11723,
                        henny  => 3527, henri  => 1522, henric => 8830, henrick
                               => 9298,
                        henrieke
                               => 10202, henrieta
                               => 3088,
                        henriett
                               => 3604, henriette
                               => 1653,
                        henrik => 644, henrika
                               => 7717,
                        henrike
                               => 1792, henryk => 1808,
                        henryka
                               => 9981, hensn  => 9290,
                        herb   => 2632, herbert
                               => 61, herbi  => 2592,
                        herbie => 8235, herby  => 2523, herfried
                               => 2637,
                        hergen => 4443, heribert
                               => 550,
                        herkules
                               => 11344, herlinde
                               => 1404,
                        herma  => 2183, hermann
                               => 156,
                        hermelinde
                               => 4299, hermenegild
                               => 9129,
                        hermi  => 718, hermine
                               => 273, herolind
                               => 4013,
                        herolinda
                               => 7485, herrman
                               => 11669,
                        hersh  => 11140, herta  => 277, hertha => 1533, herti  => 5253, herwart
                               => 11567,
                        herwig => 398, hesat  => 8282, hesna  => 11788, hessam => 11145,
                        hetem  => 7946, hetti  => 11520, hetty  => 9863, heurigen
                               => 6860,
                        heval  => 4895, heven  => 10800, hevi   => 8404, hevin  => 6663,
                        hewad  => 3942, heydari
                               => 8228,
                        hias   => 1382, hiasl  => 6580, hicabi => 8178, hicran => 2761, hicret => 8470,
                        hidajet
                               => 5220, hidajeta
                               => 5355,
                        hidajete
                               => 7230, hidayet
                               => 2670,
                        hidegard
                               => 6023, hidir  => 2564,
                        hien   => 3341, hieronymus
                               => 6446,
                        hieu   => 4263, hikmatullah
                               => 7001,
                        hikmet => 1139, hikmete
                               => 6054,
                        hilal  => 1636, hildburg
                               => 10311,
                        hilde  => 361, hildegard
                               => 313,
                        hildegarde
                               => 9300, hildegart
                               => 4799,
                        hildegund
                               => 2892, hildi  => 9339,
                        hildrun
                               => 11753, hilka  => 10220,
                        hilke  => 2381, hilko  => 7744, hilla  => 5692, hilli  => 4725, hillu  => 11706,
                        hilmar => 2081, hilmi  => 2830, hilmija
                               => 8052,
                        hiltburg
                               => 7747, hiltraud
                               => 5994,
                        hiltrud
                               => 2345, himmet => 2775,
                        himzo  => 3687, hinnerk
                               => 5454,
                        hinrich
                               => 2807, hire   => 7225,
                        hiroki => 11150, hiroko => 10109, hiroyuki
                               => 10765,
                        hirschl
                               => 8238, hischam
                               => 10240,
                        hisen  => 8039, hisni  => 5620, hiwa   => 6208, hizir  => 3918, hjalmar
                               => 11094,
                        hjordis
                               => 11506, hlias  => 10602,
                        hoai   => 7691, hoan   => 7152, hobbit => 11845, hofi   => 5037,
                        hoger  => 6674, hogir  => 6820, hojat  => 10442, holga  => 10633,
                        holger => 134, holgi  => 8855, holla  => 11817, holle  => 6320, hollegger
                               => 9717,
                        holli  => 6803, holm   => 2873, holmer => 11234, holzbau
                               => 6856,
                        homam  => 7830, homayon
                               => 8991,
                        homayoon
                               => 10427, homayoun
                               => 7862,
                        hong   => 7694, honorata
                               => 6638,
                        hons   => 2140, honza  => 8747, hooman => 8465, hooshang
                               => 8198,
                        hoppel => 8684, horatiu
                               => 5521,
                        horb   => 6502, horga  => 8777, hormet => 9862, horst  => 203, horsti => 8856,
                        horstl => 8296, hortenzia
                               => 9659,
                        hoschi => 10208, hosein => 4855, hoseyn => 8647, hoshang
                               => 9025,
                        hossein
                               => 1776, hotte  => 4371,
                        hotti  => 11589, houari => 10868, houman => 10108, houshang
                               => 11142,
                        houssem
                               => 6671, howi   => 7971,
                        hozan  => 2391, hribernig
                               => 8838,
                        hristina
                               => 5551, hristo => 2279,
                        hristos
                               => 10024, hrvoje => 2287,
                        huanita
                               => 9551, hubert => 174,
                        huberta
                               => 1862, hubertine
                               => 9874,
                        hubertus
                               => 1529, hubi   => 2293,
                        hubsi  => 2549, hudai  => 10365, hudaverdi
                               => 5595,
                        hudayi => 9635, hudo   => 7274, huelya => 9618, hueseyin
                               => 5701,
                        huli   => 7241, hulisi => 5008, hulusi => 3556, hulya  => 569, humam  => 6924,
                        humeyra
                               => 2621, hunar  => 9034,
                        hung   => 2405, hunor  => 4585, huong  => 2353, hurensohn
                               => 9438,
                        huri   => 7324, hurija => 4341, huriye => 1762, hurriyet
                               => 8639,
                        hursit => 8842, husamettin
                               => 5627,
                        huse   => 3599, husein => 3005, husejin
                               => 4911,
                        husejnovic
                               => 7435, husem  => 7327,
                        huseyiin
                               => 8564, huseyin
                               => 315,
                        huseyn => 10682, husna  => 8100, husne  => 4488, husnija
                               => 3119,
                        husniye
                               => 2155, husnu  => 3036,
                        huso   => 2119, hussein
                               => 11670,
                        husseini
                               => 4572, hussi  => 10076,
                        huwi   => 6008, huyen  => 3737, huzeyfe
                               => 6563,
                        huzur  => 10035, hyfyn  => 11853, hyrije => 10521, hyrmet => 7193,
                        hysen  => 4633, hysni  => 3953, hysnije
                               => 7142,
                        hyusein
                               => 10898, iacob  => 2729,
                        iakov  => 11512, ianis  => 6730, iasmina
                               => 3634,
                        ibadete
                               => 4718, ibanescu
                               => 9059,
                        ibish  => 3743, ibocan => 11553, ibolya => 1430, iboo   => 4329,
                        ibragim
                               => 3688, ibrahim
                               => 1421,
                        ibraim => 7997, ibram  => 6250, ibrica => 7748, ibro   => 1600, ibush  => 10133,
                        ichbin => 5328, ichich => 7355, icke   => 3207, iclal  => 11477,
                        idajet => 10496, idris  => 9580, idriz  => 1930, iduna  => 10014,
                        ieremie
                               => 6116, ieva   => 6586,
                        ifakat => 11044, ifaket => 9411, ifet   => 7966, ifeta  => 3395,
                        iffets => 11668, igballe
                               => 6335,
                        ignac  => 8716, ignat  => 10686, ignatz => 11684, ignaz  => 1594,
                        ignazio
                               => 3868, ihsan  => 1832,
                        ihsaniye
                               => 9506, ikanovic
                               => 6649,
                        iksan  => 11006, ilaria => 4427, ilas   => 4738, ilayda => 1683,
                        ilaz   => 5908, ilber  => 3990, ildi   => 3957, ildiko => 875, ildy   => 6139,
                        ilenia => 5552, ilfad  => 5418, ilfan  => 8665, ilgar  => 10713,
                        ilhami => 2881, ilhan  => 980, iliane => 8881, ilias  => 1571, ilie   => 1668,
                        iliiana
                               => 5380, ilija  => 574,
                        ilijana
                               => 4893, ilijas => 4822,
                        ilijaz => 6002, ilinka => 3190, iliqn  => 9964, ilir   => 1878, ilirian
                               => 10509,
                        iliriana
                               => 7126, ilirjan
                               => 5202,
                        ilirjana
                               => 3961, iliyan => 4489,
                        ilja   => 1829, iljana => 7999, iljas  => 3976, iljaz  => 5215, iljazi => 6544,
                        ilka   => 711, ilkan  => 6479, ilkay  => 2214, ilke   => 4400, ilker  => 1418,
                        ilkin  => 8573, ilknur => 1092, ille   => 7761, illi   => 7806, illu   => 7300,
                        illya  => 8515, ilmi   => 5513, ilmiye => 8007, ilona  => 341, ilonka => 2860,
                        ilse   => 238, ilsemarie
                               => 11602,
                        ilvi   => 3727, ilvie  => 9459, ilvy   => 4141, ilyas  => 4582, imam   => 8099,
                        imanuel
                               => 8032, imbiss => 6472,
                        imdat  => 2471, imer   => 3538, imerli => 7198, imet   => 6264, imke   => 1249,
                        imkerei
                               => 6329, immacolata
                               => 10131,
                        immanuel
                               => 3909, imme   => 7596,
                        immo   => 4170, imola  => 4275, imparator
                               => 11792,
                        imperator
                               => 9355, imre   => 1292,
                        imren  => 5642, ina    => 317, inaktiv
                               => 9630,
                        inan   => 2083, inanc  => 5590, inchen => 11718, inci   => 1998,
                        indre  => 8750, indrit => 7895, ineke  => 8606, inela  => 6092, ines   => 252,
                        inesa  => 9112, inese  => 9620, inessa => 3860, ineta  => 11284,
                        inga   => 683, ingbert
                               => 8943,
                        inge   => 217, ingeborg
                               => 337,
                        ingeburg
                               => 4138, ingelore
                               => 3394,
                        ingemar
                               => 2465, inger  => 6134,
                        ingmar => 2080, ingo   => 216, ingolf => 1225, ingomar
                               => 2466,
                        ingrid => 88, ingrida
                               => 7040, ingried
                               => 4112,
                        ingvar => 11598, ingwer => 10366, inis   => 6405, inka   => 1470,
                        inke   => 3744, inken  => 2307, inna   => 1251, insa   => 1940, inschi => 7371,
                        insuwan
                               => 9761, ioan   => 750,
                        ioana  => 746, ioanna => 2756, ioannes
                               => 11253,
                        ioannis
                               => 1420, ionel  => 1457,
                        ionela => 1283, ionescu
                               => 3652,
                        ionica => 3570, ionita => 6423, ionut  => 767, ionutz => 3695, iordache
                               => 9901,
                        iordan => 7610, iordanis
                               => 7681,
                        iosif  => 5608, iovan  => 5973, ipek   => 1665, ipman  => 8774, iradj  => 5296,
                        iraj   => 6908, irakli => 5520, iraklis
                               => 8084,
                        iranian
                               => 9725, ireen  => 4564,
                        irek   => 4544, irem   => 1375, iren   => 5284, irena  => 1102, ireneus
                               => 10227,
                        ireneusz
                               => 4295, irfan  => 7476,
                        irfet  => 7289, irgendwer
                               => 6660,
                        irhad  => 5065, irie   => 4390, irii   => 7255, irimia => 9106, irina  => 425,
                        irinel => 6520, irini  => 2946, irinka => 10809, iris   => 282, irisz  => 10006,
                        irmak  => 4230, irmchen
                               => 11431,
                        irmela => 6889, irmgard
                               => 259,
                        irmgart
                               => 8875, irmhild
                               => 4830,
                        irmi   => 543, irmina => 9559, irmtraud
                               => 1449,
                        irmtraut
                               => 5129, irmtrud
                               => 11604,
                        irnes  => 3375, irnesa => 6100, iron   => 4652, isaak  => 4496, isabeau
                               => 9844,
                        isabell
                               => 482, isabella
                               => 129,
                        isabelle
                               => 754, ishak  => 8180,
                        isi    => 864, isidor => 2942, isii   => 3650, isil   => 4233, iskender
                               => 2521,
                        isko   => 5398, islim  => 5602, ismail => 1656, ismajl => 6368, ismar  => 2673,
                        ismet  => 554, ismeta => 1635, ismete => 7066, ismihan
                               => 4048,
                        isminaz
                               => 9279, ismir  => 5921,
                        ismira => 7500, isni   => 3729, isolde => 580, issi   => 8041, istref => 9126,
                        istvan => 932, isuf   => 1959, itachii
                               => 9530,
                        itohan => 4920, iudita => 9342, iulia  => 3690, iulian => 3115, iuliana
                               => 1922,
                        iuliia => 3389, iuliu  => 8550, iurii  => 4198, iustinian
                               => 9371,
                        ivailo => 3913, ivana  => 1107, ivancica
                               => 7670,
                        ivanka => 798, ivanko => 6750, ivano  => 7141, ivaylo => 5332, ivelin => 6175,
                        ivelina
                               => 5665, iven   => 4351,
                        ives   => 5998, iveta  => 1320, ivetaivan
                               => 9343,
                        ivetta => 11300, ivica  => 431, ivka   => 1641, ivkic  => 8819, ivona  => 3811,
                        ivonn  => 7620, ivonne => 602, iwan   => 3122, iwona  => 1068, iwonka => 11578,
                        izabela
                               => 1465, izabella
                               => 3584,
                        izahir => 7456, izet   => 1260, izeta  => 2312, izidor => 7222, izmir  => 10497,
                        iztok  => 9139, izudin => 2332, izzet  => 1405, izzettin
                               => 6000,
                        jaana  => 8670, jabeur => 9638, jaca   => 3095, jacci  => 11763,
                        jacek  => 1347, jachja => 8770, jaci   => 5239, jacii  => 7263, jacki  => 3447,
                        jackii => 3369, jacky  => 799, jacopo => 10745, jacqi  => 11599,
                        jacqii => 6516, jacqu  => 4942, jacqueline
                               => 285,
                        jacqui => 4624, jacquline
                               => 10071,
                        jadran => 4950, jadranka
                               => 898,
                        jadranko
                               => 5111, jadwiga
                               => 3041,
                        jadzia => 10954, jagar  => 11486, jagoda => 1741, jahja  => 9194,
                        jaimy  => 10860, jakab  => 4161, jakob  => 151, jakobus
                               => 5343,
                        jakov  => 1975, jakub  => 1999, jakup  => 2823, jale   => 3598, jaleh  => 10777,
                        jalloh => 10626, jamie  => 1472, jamileh
                               => 11134,
                        jamina => 7572, jamiro => 10158, jamshid
                               => 3512,
                        jamy   => 6235, jan    => 51, jana   => 153, janaina
                               => 8105,
                        janeck => 11786, janee  => 11078, janek  => 1896, janes  => 7624,
                        janeta => 9304, janett => 1373, janetta
                               => 11297,
                        janette
                               => 1518, janez  => 5352,
                        jango  => 7169, jani   => 1834, janic  => 9946, janica => 8735, janick => 5055,
                        janii  => 11307, janiine
                               => 8845,
                        janiinee
                               => 9436, janik  => 1494,
                        janika => 3857, janin  => 1337, janina => 404, janine => 255, janini => 11105,
                        janis  => 1369, janita => 7167, janja  => 1145, janjira
                               => 7299,
                        janka  => 1192, janko  => 1625, jankov => 8305, jann   => 2392, janna  => 1723,
                        janne  => 2640, jannek => 4586, janneke
                               => 8473,
                        jannes => 2007, janneta
                               => 9776,
                        jannett
                               => 10087, jannette
                               => 5405,
                        janni  => 2160, jannic => 6216, jannick
                               => 2084,
                        jannik => 585, jannika
                               => 5122,
                        janniklas
                               => 11831, jannina
                               => 7662,
                        jannine
                               => 4720, jannis => 894,
                        janno  => 9979, janos  => 1323, janosch
                               => 2259,
                        janosevic
                               => 7531, janosh => 11190,
                        jantje => 7568, janus  => 4568, janusch
                               => 6309,
                        janusz => 1595, januz  => 9168, jaouad => 7555, jaqueline
                               => 803,
                        jaqui  => 6478, jaquie => 6308, jaquii => 5960, jaquline
                               => 9625,
                        jarda  => 5154, jarek  => 2371, jarka  => 2531, jarmila
                               => 2218,
                        jarno  => 5717, jaromir
                               => 10729,
                        jaron  => 9852, jaroslav
                               => 4480,
                        jaroslava
                               => 3906, jaroslaw
                               => 2426,
                        jasar  => 7834, jascha => 2377, jasemin
                               => 3989,
                        jasenka
                               => 11363, jasenko
                               => 5052,
                        jashar => 5211, jasi   => 1345, jasii  => 2283, jasin  => 1971, jasko  => 1265,
                        jasmiin
                               => 4754, jasmin => 103,
                        jasmina
                               => 306, jasminaferdl
                               => 9481,
                        jasminka
                               => 1104, jasmir => 7329,
                        jasna  => 717, jasprit
                               => 6678,
                        jassi  => 2733, jassii => 4797, jassin => 9884, jassy  => 3907, jastin => 6658,
                        javad  => 2878, javor  => 9727, javorka
                               => 3890,
                        jawid  => 5133, jayjay => 4604, jazmin => 7522, jazzy  => 7852, jeanett
                               => 4817,
                        jeanette
                               => 777, jeanine
                               => 2546,
                        jeanna => 8710, jeannett
                               => 10088,
                        jeannette
                               => 700, jeannie
                               => 5353,
                        jeannine
                               => 791, jeanny => 4008,
                        jeany  => 5735, jecky  => 11233, jedine => 9468, jegor  => 11303,
                        jehona => 4015, jekaterina
                               => 7506,
                        jela   => 1106, jele   => 7931, jelena => 293, jelenko
                               => 4401,
                        jelica => 1204, jelka  => 2631, jella  => 7845, jelle  => 9825, jelte  => 10878,
                        jelto  => 8668, jenci  => 7897, jendrik
                               => 3752,
                        jeneta => 9475, jenja  => 11318, jenjen => 10725, jenna  => 2012,
                        jenne  => 5759, jenni  => 920, jennifer
                               => 189,
                        jennii => 2416, jenniver
                               => 11371,
                        jenny  => 162, jens   => 38, jense  => 9893, jenser => 11781, jensi  => 8071,
                        jeremia
                               => 9322, jerko  => 3806,
                        jermain
                               => 11131, jermaine
                               => 4360,
                        jeroen => 4745, jerome => 1053, jeronim
                               => 4741,
                        jerrit => 11595, jerzy  => 2464, jesaja => 10282, jesco  => 7664,
                        jesko  => 3748, jesper => 4348, jessi  => 689, jessica
                               => 126,
                        jessii => 3100, jessiica
                               => 10671,
                        jessiie
                               => 9843, jessika
                               => 1354,
                        jessy  => 772, jessyka
                               => 10643,
                        jeta   => 5886, jeti   => 5213, jetmir => 1581, jeton  => 1348, jette  => 1957,
                        jetti  => 11574, jevgenij
                               => 11299,
                        jevremovic
                               => 7295, jewgeni
                               => 8836,
                        jewgenij
                               => 11413, jeyjey => 10373,
                        jiannis
                               => 6831, jieun  => 11129,
                        jihed  => 10965, jill   => 1705, jinda  => 8539, jingfeng
                               => 7844,
                        jiota  => 10368, jiraporn
                               => 11057,
                        jiri   => 3632, jirina => 2898, jirka  => 4798, jirko  => 10296,
                        jitka  => 1654, jivko  => 8035, jiyan  => 4301, joachim
                               => 223,
                        joana  => 1129, joanna => 713, joannis
                               => 5448,
                        joca   => 2593, jochem => 3870, jochen => 296, jochi  => 7256, joci   => 4669,
                        jockel => 6300, jodok  => 2653, joelina
                               => 4208,
                        joeline
                               => 8726, joena  => 11844,
                        joenna => 11515, joerg  => 522, joergen
                               => 11331,
                        joern  => 2161, joesi  => 6312, joesy  => 8826, joffrey
                               => 10857,
                        joggi  => 11538, joggl  => 10015, jogi   => 2494, johann => 52, johanna
                               => 128,
                        johanne
                               => 3742, johannes
                               => 65,
                        johnas => 10617, johni  => 9344, joka   => 2361, jola   => 2356,
                        jolana => 3479, jolanda
                               => 1478,
                        jolanta
                               => 1156, jolante
                               => 10304,
                        jolanthe
                               => 4795, joleen => 6171,
                        jolene => 6009, jolien => 6734, jolin  => 9222, jolina => 3062, joline => 2923,
                        jolita => 8080, jolka  => 10608, jolle  => 11397, jompan => 9381,
                        jonah  => 2620, jonas  => 229, jonela => 5853, jonic  => 9587, jonida => 4682,
                        jonni  => 5974, jonny  => 901, jonte  => 11418, jonuz  => 5841, joost  => 4550,
                        joran  => 10221, jorch  => 11709, jordanis
                               => 11507,
                        jordanka
                               => 5270, jorden => 9731,
                        jordis => 4579, jorg   => 66, jorgen => 5415, jorgo  => 4638, jorgos => 5233,
                        jorgovan
                               => 8086, jorin  => 10568,
                        jorina => 9132, jorinde
                               => 9018,
                        joris  => 3925, jorma  => 11568, jorn   => 619, jorrit => 10866,
                        josch  => 3120, joscha => 2664, joschi => 1692, joschka
                               => 4343,
                        joschua
                               => 4012, joschy => 7612,
                        josef  => 20, josefin
                               => 3719, josefine
                               => 477,
                        josepha
                               => 7390, josephin
                               => 3146,
                        josephina
                               => 9857, josephine
                               => 9837,
                        josha  => 10604, joshi  => 3397, josi   => 1072, josia  => 10093,
                        josii  => 10667, josina => 10624, josip  => 395, josipa => 1256,
                        josko  => 5316, joso   => 3448, josrf  => 9603, josua  => 3580, josy   => 2492,
                        jotschi
                               => 9427, joudi  => 8435,
                        joudy  => 8992, jouni  => 11711, jousef => 11322, joussef
                               => 11608,
                        jovan  => 547, jovana => 645, jovanka
                               => 1393,
                        jovanna
                               => 11090, jovica => 918,
                        jovo   => 1604, jowita => 7510, jozak  => 7707, jozef  => 4625, jozefa => 10703,
                        jozefina
                               => 3977, jozica => 5524,
                        jozo   => 1140, jozsef => 1371, jozsi  => 6791, juckt  => 10377,
                        judit  => 670, judita => 9197, judith => 448, juditha
                               => 9760,
                        judyta => 4471, juergen
                               => 437,
                        juga   => 8288, jugoslav
                               => 3132,
                        jugoslava
                               => 7282, juhasz => 8242,
                        juhu   => 6570, jukka  => 10789, jula   => 4912, julchen
                               => 3488,
                        jule   => 605, julee  => 11160, jules  => 2093, julez  => 4838, julia  => 43,
                        juliaa => 4542, julian => 207, juliane
                               => 481,
                        juliano
                               => 3658, julide => 6289,
                        julien => 986, julienne
                               => 5757,
                        julietta
                               => 5584, julii  => 8072,
                        juliia => 2417, juliie => 4158, julija => 3458, julijan
                               => 4038,
                        julijana
                               => 2197, julika => 4034,
                        julina => 6440, juline => 6741, julischka
                               => 7711,
                        julitta
                               => 4191, julius => 728,
                        julja  => 5891, julka  => 7979, juls   => 6552, julsn  => 6653, julyy  => 7254,
                        jumper => 11082, junes  => 9909, jungel => 9626, junis  => 10560,
                        junus  => 5905, jupp   => 2342, juppi  => 6867, juppy  => 11656,
                        jura   => 3672, juraj  => 2100, jurate => 5797, jurca  => 5059, jure   => 1810,
                        jurek  => 3616, jurg   => 5183, jurgen => 41, jurgi  => 8673, jurgita
                               => 5436,
                        jurgn  => 8124, juri   => 1169, jurica => 4612, jurij  => 2474, jurji  => 9967,
                        juro   => 1661, jusef  => 6178, jusko  => 8289, juso   => 3812, jussef => 11740,
                        jussi  => 8048, jussuf => 9362, jussy  => 10637, justin => 308, justine
                               => 1207,
                        justus => 1318, justyna
                               => 1284,
                        jusuf  => 1252, jusup  => 8395, jutka  => 5449, jutta  => 264, juwelier
                               => 8885,
                        jwan   => 3846, kaan   => 555, kaca   => 4007, kacper => 2910, kadda  => 6842,
                        kaddi  => 4575, kaddl  => 11790, kaddy  => 5245, kadem  => 8704,
                        kadiir => 8186, kadim  => 8299, kadir  => 734, kadira => 4996, kadiriye
                               => 9243,
                        kadri  => 2943, kadrie => 9120, kadrija
                               => 5333,
                        kadrije
                               => 5875, kadriye
                               => 1206,
                        kaethe => 8807, kafiye => 5395, kagan  => 10774, kahlil => 10067,
                        kahty  => 9639, kai    => 140, kaija  => 6815, kais   => 3761, kaja   => 2674,
                        kajetan
                               => 2602, kajo   => 6409,
                        kaktus => 11305, kalender
                               => 5733,
                        kalin  => 7285, kalina => 5199, kalinka
                               => 7364,
                        kalinovic
                               => 7352, kalla  => 8779,
                        kalle  => 928, kalli  => 2769, kalliopi
                               => 6757,
                        kalman => 5611, kaloyan
                               => 4245,
                        kaltrina
                               => 2723, kamaran
                               => 6711,
                        kamber => 3059, kambiz => 5493, kameliya
                               => 10706,
                        kamer  => 5923, kameran
                               => 8479,
                        kameta => 8478, kamil  => 941, kamile => 4993, kamiran
                               => 3926,
                        kamolwan
                               => 8349, kamuran
                               => 4176,
                        kamyar => 10105, kanber => 7499, kaniwar
                               => 7492,
                        kaniye => 9682, kaniza => 7527, kanjana
                               => 9982,
                        kanjo  => 8619, kannika
                               => 11054,
                        kanokwan
                               => 10708, kaptan => 7838,
                        kaptn  => 6872, karabey
                               => 4252,
                        karadayi
                               => 9089, karakiz
                               => 7920,
                        karasek
                               => 10043, karate => 10607,
                        kardelen
                               => 2530, kardo  => 10299,
                        karin  => 21, karins => 7985, karl   => 59, karlchen
                               => 11818,
                        karlfried
                               => 11540, karlheinz
                               => 561,
                        karli  => 848, karlic => 9646, karlo  => 2623, karlotta
                               => 10228,
                        karlson
                               => 11696, karmela
                               => 3579,
                        karntner
                               => 8944, karo   => 1268,
                        karola => 792, karolin
                               => 1386,
                        karolina
                               => 970, karoline
                               => 302,
                        karolis
                               => 8763, karoly => 2600,
                        karsli => 7968, karsta => 7768, karsten
                               => 251,
                        kartoffel
                               => 7525, karwan => 3409,
                        karzan => 5044, kasia  => 1312, kasim  => 4387, kasimir
                               => 4185,
                        kaska  => 11219, kasra  => 6361, kassi  => 10935, kassian
                               => 7929,
                        kastriot
                               => 3781, kat    => 862,
                        kata   => 694, katalin
                               => 609, katarina
                               => 329,
                        katarzyna
                               => 974, katayoun
                               => 8961,
                        kater  => 4655, katerina
                               => 1340,
                        kateryna
                               => 4229, kath   => 2032,
                        katha  => 1364, katharin
                               => 6613,
                        katharina
                               => 72, katharine
                               => 7536,
                        kathe  => 2524, katherina
                               => 3826,
                        kathi  => 226, kathie => 5080, kathii => 1629, kathinka
                               => 6295,
                        kathl  => 3258, kathleen
                               => 536,
                        kathlen
                               => 7626, kathrin
                               => 180,
                        kathrina
                               => 7294, kati   => 581,
                        katica => 1154, katii  => 2596, katinka
                               => 2427,
                        katiuscia
                               => 10963, katja  => 123,
                        katjana
                               => 9908, katjuscha
                               => 11392,
                        katka  => 3045, katl   => 5658, katleen
                               => 7450,
                        katrin => 108, katta  => 6903, katti  => 6275, katzen => 6040, katzi  => 6490,
                        kaveh  => 6620, kawa   => 2575, kawan  => 11072, kawe   => 5158,
                        kaweh  => 6185, kay    => 433, kayhan => 5152, kayleigh
                               => 9848,
                        kayra  => 7148, kazik  => 10757, kazim  => 1589, kazimiera
                               => 8061,
                        kazimierz
                               => 2116, kazimir
                               => 4846,
                        keanu  => 3443, kebba  => 10635, kecskes
                               => 10063,
                        kees   => 6683, keklik => 6109, keksi  => 5536, kelima => 7239, kemajl => 8059,
                        kemal  => 413, kemalettin
                               => 4101,
                        kemeny => 9540, kenan  => 432, keno   => 2831, kenoalen
                               => 9690,
                        keramettin
                               => 5628, kerem  => 878,
                        kerim  => 788, keriman
                               => 6207,
                        kerimcan
                               => 8181, kerime => 7368,
                        kermit => 10099, kerrin => 5107, kers   => 1919, kerschi
                               => 9461,
                        kersi  => 5914, kerst  => 9011, kersti => 11530, kerstiin
                               => 4418,
                        kerstin
                               => 73, kesirin
                               => 9321,
                        kessi  => 7629, kessy  => 5572, keule  => 6311, keven  => 2708, kevin  => 77,
                        kevko  => 7665, kevork => 11023, kevser => 1761, kewin  => 8423,
                        keyvan => 7298, keywan => 10203, kezban => 1719, keziban
                               => 1890,
                        khabat => 10298, khadije
                               => 11230,
                        khalat => 8769, khalegh
                               => 8330,
                        khamzat
                               => 7372, khang  => 6922,
                        khanh  => 4812, khashayar
                               => 10106,
                        khatera
                               => 5196, khatereh
                               => 7630,
                        khder  => 11850, kheda  => 6501, kheder => 6143, khelil => 6030,
                        kheri  => 11697, khiem  => 11149, khinda => 6565, khnswy => 9889,
                        khodadad
                               => 10432, khoder => 10118,
                        khodor => 5782, khodr  => 7646, khorshid
                               => 10402,
                        khosro => 11139, khosrow
                               => 9029,
                        khrestos
                               => 6828, khristina
                               => 9219,
                        khristo
                               => 10767, khrusa => 10611,
                        khulan => 4167, kiana  => 6647, kibar  => 3456, kibariye
                               => 11012,
                        kibriye
                               => 6575, kica   => 5940,
                        kien   => 6775, kieron => 11132, kieslinger
                               => 6131,
                        kiki   => 1221, kili   => 5195, kilian => 421, kim    => 378, kimba  => 8123,
                        kimberley
                               => 2797, kimbo  => 9263,
                        kimete => 3353, kimi   => 2450, kimia  => 9936, kimii  => 11335,
                        kimmi  => 10117, kimon  => 10766, kindergruppe
                               => 6513,
                        kinga  => 906, kinimod
                               => 6015,
                        kira   => 885, kiraly => 8377, kiraz  => 2358, kirchenwirt
                               => 4618,
                        kire   => 7117, kiri   => 5209, kiriaki
                               => 7677,
                        kiriakos
                               => 4810, kiril  => 4710,
                        kirill => 2656, kirk   => 5147, kirmizi
                               => 11772,
                        kiro   => 6090, kirsten
                               => 412,
                        kirsti => 6797, kirstin
                               => 1118,
                        kisch  => 9604, kishware
                               => 9199,
                        kismet => 7006, kitti  => 1390, kivanc => 5594, kiyan  => 8301, kiymet => 2633,
                        kjeld  => 10908, kjell  => 4020, klaas  => 3206, klajdi => 7892,
                        klana  => 4219, klane  => 7544, klara  => 1161, klarissa
                               => 3440,
                        klas   => 8074, klau   => 7002, klaudi => 7969, klaudia
                               => 279,
                        klaudija
                               => 1628, klaudio
                               => 9067,
                        klaudius
                               => 5808, klaudiusz
                               => 8820,
                        klaus  => 56, klausi => 1850, klauspeter
                               => 11527,
                        klavdija
                               => 4943, kledi  => 5831,
                        kleene => 7790, klem   => 7530, klemens
                               => 590,
                        klementina
                               => 10510, kleopatra
                               => 10538,
                        klevis => 10466, klodi  => 9058, klodian
                               => 9061,
                        klothilde
                               => 5299, knaan  => 9816,
                        knarf  => 5820, knittl => 9700, knud   => 4792, knut   => 967, koal   => 6168,
                        kocsis => 6783, kodjo  => 10754, koini  => 8908, koksal => 2364,
                        koksi  => 8234, kolja  => 2264, koloman
                               => 3892,
                        kolyo  => 10947, koni   => 6434, konni  => 3139, konny  => 2186,
                        konstantin
                               => 510, konstantina
                               => 3669,
                        konstantinos
                               => 1500, konstanze
                               => 1771,
                        konsti => 3195, konya  => 4987, konyali
                               => 9217,
                        kora   => 5549, korab  => 4690, koray  => 1721, korbi  => 5562, korbinian
                               => 2154,
                        kordian
                               => 10276, kordula
                               => 1616,
                        korhan => 6762, korina => 4919, korinna
                               => 3194,
                        kornchanok
                               => 9777, kornel => 3583,
                        kornelia
                               => 441, kornelija
                               => 5178,
                        kornelius
                               => 6306, korni  => 9378,
                        kornthaler
                               => 9511, korosh => 10460,
                        kosana => 8667, kosmas => 6713, kosmetik
                               => 6556,
                        kosmetikstudio
                               => 11416, kosov  => 7738,
                        kosova => 3732, kosovar
                               => 5363,
                        kosovare
                               => 4036, kosovka
                               => 7303,
                        kossi  => 10901, kosta  => 1967, kostadin
                               => 5011,
                        kostantinos
                               => 7657, kostas => 1370,
                        kostia => 9934, kostiantyn
                               => 8121,
                        kostja => 3881, kotaiba
                               => 11745,
                        koula  => 9922, kourosh
                               => 7360,
                        kovan  => 4776, koviljka
                               => 6412,
                        kralj  => 6455, krasi  => 5409, krasimir
                               => 3055,
                        krasimira
                               => 6600, krassimir
                               => 6351,
                        krawuzi
                               => 6083, kreativ
                               => 11830,
                        kreiter
                               => 8692, kremena
                               => 7445,
                        krenar => 3351, krenare
                               => 6181,
                        kreshnik
                               => 5509, kresimir
                               => 5805,
                        kreso  => 10146, krid   => 6891, kriemhild
                               => 3574,
                        kriemhilde
                               => 4118, krimhild
                               => 11346,
                        krimhilde
                               => 6326, kris   => 1114,
                        krischan
                               => 6875, krisi  => 2829,
                        krissi => 2472, krissy => 4315, kristian
                               => 1185,
                        kristiane
                               => 5780, kristijan
                               => 697,
                        kristijana
                               => 8376, kristin
                               => 434,
                        kristina
                               => 364, kristinaa
                               => 7236,
                        kristof
                               => 2506, kristoffer
                               => 5695,
                        kristoph
                               => 10943, kristyna
                               => 5693,
                        krisz  => 8623, kriszta
                               => 6639,
                        kriszti
                               => 4212, krisztian
                               => 1208,
                        krisztina
                               => 752, krisztofer
                               => 6594,
                        krittiyaphon
                               => 9326, krizan => 8165,
                        krle   => 6364, krstina
                               => 7569,
                        kruemel
                               => 11805, krumel => 4796,
                        krummel
                               => 8149, kruno  => 3385,
                        krunoslav
                               => 4268, krysia => 8686,
                        krystian
                               => 1893, krystina
                               => 7607,
                        krystof
                               => 11295, krystyna
                               => 1698,
                        krzysiek
                               => 3987, krzysztof
                               => 926,
                        ksenia => 3003, kseniia
                               => 11153,
                        ksenija
                               => 1648, ksenja => 5892,
                        kuba   => 3051, kubi   => 6144, kubilay
                               => 1752,
                        kubra  => 935, kubraa => 6485, kuddel => 7752, kuddusi
                               => 11743,
                        kudler => 7346, kudret => 2343, kujtesa
                               => 3995,
                        kujtim => 2748, kujtime
                               => 5844,
                        kulab  => 9302, kulle  => 11783, kumpel => 11826, kumrie => 7122,
                        kumrije
                               => 5928, kumru  => 8513,
                        kuni   => 6500, kunibert
                               => 6739,
                        kunigunde
                               => 4271, kuno   => 4005,
                        kurdo  => 10684, kurdoo => 11800, kurosch
                               => 7736,
                        kurosh => 6511, kursad => 7753, kursat => 2108, kurt   => 120, kurtes => 9218,
                        kurti  => 2499, kurtl  => 6913, kurtulus
                               => 3694,
                        kusai  => 9751, kushtrim
                               => 1970,
                        kutaiba
                               => 11770, kutay  => 6994,
                        kutsal => 6145, kuzey  => 4403, kuzner => 9715, kveta  => 6061, kvetoslava
                               => 5787,
                        kwstas => 7050, kyamil => 10997, kyra   => 2071, kyriaki
                               => 8789,
                        kyriakos
                               => 5779, kyrill => 9972,
                        kyrillos
                               => 3895, kyrollos
                               => 9350,
                        kyubin => 9189, labi   => 5916, labinot
                               => 2123,
                        lacatis
                               => 9643, lacatus
                               => 7416,
                        lachezar
                               => 10977, laci   => 2239,
                        lacky  => 7847, lacra  => 8177, lacramioara
                               => 3147,
                        lacri  => 9248, lacrimioara
                               => 9246,
                        lacsap => 11695, ladan  => 7854, ladda  => 10069, ladife => 9963,
                        ladislau
                               => 10620, ladislaus
                               => 3006,
                        ladislav
                               => 1866, lahdo  => 11460,
                        laika  => 9333, laima  => 6225, lajana => 11632, lajla  => 3733,
                        lajos  => 1726, lakis  => 8791, lalaa  => 11084, lale   => 2357,
                        lalee  => 9714, laleh  => 9028, lalica => 7989, lamai  => 11215,
                        lambrini
                               => 11316, lambros
                               => 10606,
                        lamena => 9433, lamija => 5045, lamprini
                               => 11685,
                        lampros
                               => 7683, landhaus
                               => 8918,
                        landi  => 6962, lappen => 10302, lappi  => 9605, lara   => 376, lari   => 3159,
                        larien => 9426, larii  => 7257, larina => 10123, larisa => 1921,
                        larissa
                               => 541, lars   => 150, larsi  => 11631,
                        larysa => 6077, lasha  => 6609, laslo  => 3188, lassaad
                               => 9882,
                        lasse  => 1238, lastro => 7745, laszlo => 716, latic  => 7423, latife => 5221,
                        latino => 7137, latisha
                               => 11114,
                        latte  => 11289, lauch  => 8589, lauin  => 11731, laura  => 116,
                        lauraa => 7175, laureen
                               => 3199,
                        laurena
                               => 10564, laurens
                               => 5322,
                        laurentiu
                               => 1645, laurentius
                               => 7347,
                        laurenz
                               => 674, laurids
                               => 4336,
                        laurien
                               => 8607, laurii => 10660,
                        laurin => 1040, laurina
                               => 8760,
                        laurine
                               => 7552, lauritz
                               => 5709,
                        lautschi
                               => 9978, lavdije
                               => 10508,
                        lavdim => 3067, lavdrim
                               => 3959,
                        lavida => 7186, lavin  => 8753, lavinia
                               => 2767,
                        lawan  => 11221, lawand => 4441, lawin  => 8521, laxmareddy
                               => 9437,
                        lazar  => 3408, lazaros
                               => 4028,
                        lazea  => 8574, lazgin => 6682, lazim  => 10537, lazo   => 8030,
                        lea    => 312, leachim
                               => 6707,
                        leahcim
                               => 6936, leander
                               => 1624,
                        leane  => 10095, leart  => 3533, learta => 7206, lebar  => 9476,
                        lebe   => 8277, lech   => 8424, lecram => 7696, ledian => 5839, ledion => 7909,
                        leeann => 10103, leeroy => 8418, lefteris
                               => 5978,
                        lefti  => 10552, lehel  => 5624, leia   => 7136, leif   => 1619,
                        leinad => 4265, lejla  => 538, lello  => 10642, leman  => 4448, lemmi  => 11728,
                        lemmy  => 9881, lemonia
                               => 10351,
                        lena   => 187, lenaa  => 5603, lenard => 5228, lence  => 3824, lenchen
                               => 5834,
                        lendita
                               => 2694, lendrit
                               => 10132,
                        lene   => 2695, lenes  => 7925, lenhard
                               => 6104,
                        leni   => 1543, lenii  => 4277, lenja  => 10193, lenka  => 818, lenke  => 7642,
                        lenn   => 7561, lennard
                               => 1742,
                        lennart
                               => 851, lennert
                               => 6230,
                        lenni  => 5062, lennox => 5005, lenox  => 10728, lenuta => 1872,
                        lenya  => 6817, leokadia
                               => 11459,
                        leon   => 254, leonard
                               => 1127,
                        leonhard
                               => 558, leoni  => 2285,
                        leonid => 2503, leonie => 297, leoniie
                               => 9927,
                        leonis => 9123, leonit => 4740, leonita
                               => 3802,
                        leonore
                               => 3113, leontina
                               => 9265,
                        leopold
                               => 240, leopoldine
                               => 707,
                        leotrim
                               => 3087, lepa   => 2861,
                        lepir  => 9352, lerchers
                               => 9494,
                        lerchl => 8009, leroy  => 2937, lesea  => 9693, leslaw => 8768, leszek => 2333,
                        letica => 7262, letizia
                               => 3433,
                        leunam => 10145, leutgab
                               => 8927,
                        leutrim
                               => 3595, levani => 9563,
                        levent => 891, levente
                               => 1993,
                        levin  => 2210, levke  => 5116, lewend => 11610, lewin  => 6287,
                        lewon  => 7766, lexa   => 5727, lexi   => 4442, lexy   => 7271, leyla  => 786,
                        liane  => 657, libera => 11104, libero => 10586, libor  => 4804,
                        liborio
                               => 7179, libuse => 11294,
                        licina => 9465, lidiia => 8695, lidija => 719, lidka  => 11015, lidwina
                               => 5781,
                        lieblings
                               => 11687, liene  => 10714,
                        lienhard
                               => 11196, liesa  => 3133,
                        liesbeth
                               => 3373, lieschen
                               => 5089,
                        liesel => 3503, lieselotte
                               => 1090,
                        liesi  => 2434, liesl  => 10715, liesmarie
                               => 9220,
                        lieven => 9830, liisa  => 4702, lilav  => 10185, lilianna
                               => 8708,
                        lilie  => 9538, lilien => 9661, liliia => 11034, lilija => 5388,
                        lilijana
                               => 4047, lilit  => 6624,
                        lilith => 4124, lilja  => 10186, liljana
                               => 6964,
                        lilla  => 4964, lille  => 8784, lilli  => 593, lilliana
                               => 10646,
                        lillie => 10726, lillo  => 4344, lilly  => 874, lillys => 7647, lilo   => 2015,
                        lilou  => 10858, liman  => 7926, limi   => 6990, linas  => 10971,
                        linchen
                               => 7728, linde  => 1592,
                        lindi  => 4414, lindita
                               => 5505,
                        lindrit
                               => 7140, linea  => 10964,
                        linger => 9353, linh   => 2272, lini   => 5480, linn   => 3725, linnea => 8331,
                        linus  => 1322, lioba  => 3731, lion   => 2198, lippi  => 11633,
                        lippitz
                               => 6071, liquit => 9167,
                        liri   => 5888, liridon
                               => 1495,
                        liridona
                               => 2175, lirie  => 5836,
                        lirije => 3968, lirim  => 2169, liron  => 11159, lisa   => 46, lisaa  => 3780,
                        lisamaria
                               => 7464, lisamarie
                               => 11699,
                        lisan  => 10672, lisann => 6844, lisanne
                               => 3485,
                        lischen
                               => 5125, lisel  => 8965,
                        liselotte
                               => 1149, lisi   => 340,
                        lisl   => 2223, lissi  => 1357, lissy  => 2058, litsa  => 5050, litschi
                               => 7292,
                        littel => 11649, litti  => 9258, little => 4395, liubov => 7491,
                        liudmyla
                               => 9788, liujun => 9730,
                        livia  => 2595, liviu  => 1300, livius => 7441, ljerka => 4154, ljilja => 1269,
                        ljiljana
                               => 447, ljuba  => 1699,
                        ljuban => 11203, ljube  => 4134, ljubi  => 3651, ljubica
                               => 612,
                        ljubinka
                               => 1423, ljubinko
                               => 4645,
                        ljubisa
                               => 741, ljubisav
                               => 6069,
                        ljubko => 5472, ljubo  => 2493, ljubomir
                               => 2219,
                        ljubov => 8808, ljubow => 11395, ljudmila
                               => 6136,
                        ljupco => 6951, ljupka => 5969, ljutica
                               => 5391,
                        llokman
                               => 7706, lngrid => 6288,
                        loan   => 5252, lohndrusch
                               => 9597,
                        loisi  => 3666, loisl  => 5117, lojze  => 6845, loki   => 5212, lolle  => 10222,
                        lolli  => 9679, lollo  => 7539, lonen  => 9505, loni   => 3315, loona  => 8909,
                        loqka  => 5246, loran  => 7089, lorand => 3549, lorant => 4737, lordi  => 10539,
                        loredana
                               => 1758, loreen => 1889,
                        lorelei
                               => 10673, lorella
                               => 10893,
                        lorenc => 9063, lorent => 3540, loresa => 6785, lorette
                               => 10655,
                        lori   => 3415, lorik  => 5190, lorika => 6382, lorin  => 5530, lorina => 7019,
                        lorincz
                               => 9329, loris  => 2947,
                        loshaj => 8986, lotar  => 10588, lothar => 396, lotta  => 2476, lotte  => 937,
                        lotti  => 2409, loui   => 6158, louisa => 1041, loukas => 10888,
                        lovac  => 7866, lovis  => 9534, lovro  => 3768, lrmgard
                               => 7890,
                        luan   => 1903, luba   => 3444, lubica => 2449, lubka  => 7831, lubomir
                               => 6554,
                        lubomira
                               => 4310, lubos  => 3793,
                        lubov  => 9809, luca   => 355, lucaci => 8060, lucas  => 400, lucca  => 4270,
                        lucian => 2404, lucica => 3346, lucie  => 1451, lucien => 3568, lucienne
                               => 4552,
                        lucija => 1157, lucijana
                               => 6151,
                        lucilea
                               => 9422, lucja  => 8816,
                        lucjan => 7096, lucka  => 10962, luckas => 9324, lucretia
                               => 9442,
                        lucrezia
                               => 8628, lucyna => 3368,
                        ludger => 1103, ludi   => 6398, ludmilla
                               => 1709,
                        ludolf => 8941, ludovit
                               => 8895,
                        ludwina
                               => 10877, lugge  => 11815,
                        luggi  => 1158, luigi  => 1079, luigia => 10895, luigina
                               => 9887,
                        luigj  => 5838, luisa  => 499, luise  => 527, luisi  => 3986, luitgard
                               => 6317,
                        luitpold
                               => 11603, luiza  => 5518,
                        luja   => 3844, lujayne
                               => 9376,
                        lujza  => 7477, luka   => 1350, lukaa  => 6135, lukacs => 6229, lukad  => 10004,
                        lukas  => 23, lukasz => 1363, luki   => 509, lukii  => 2254, lukrecia
                               => 10052,
                        lule   => 2231, luljeta
                               => 4411,
                        lulzim => 1413, lume   => 3530, lumi   => 5182, luminita
                               => 1575,
                        lumni  => 4017, lumnije
                               => 2837,
                        lumpi  => 6849, lumturije
                               => 10522,
                        lundrim
                               => 7237, lungu  => 4966,
                        luong  => 6799, lupka  => 9255, lupo   => 7041, lupu   => 4492, lupus  => 10086,
                        lusine => 8216, lutfi  => 4330, lutfiye
                               => 3379,
                        lutfu  => 4135, lutvija
                               => 6650,
                        lutz   => 353, lutzi  => 11461, luzi   => 5939, luzia  => 3564, luzian => 7942,
                        luzie  => 3277, luzifer
                               => 8545,
                        lydia  => 539, lydsch => 8955, lysan  => 10325, lysander
                               => 9687,
                        lysann => 2386, lysanne
                               => 8669,
                        lyubomir
                               => 8360, lyubomira
                               => 9681,
                        lyudmyla
                               => 7343, maaike => 8434,
                        maakii => 8352, maarten
                               => 6706,
                        macel  => 10739, machtl => 5793, macide => 6159, maciej => 2052,
                        maciek => 3708, macii  => 5123, macit  => 10045, madalin
                               => 3703,
                        madalina
                               => 1574, madalyn
                               => 8081,
                        maddalena
                               => 6677, maddi  => 6214,
                        maddin => 2433, maddy  => 3893, madelaine
                               => 3571,
                        madeleine
                               => 692, madeline
                               => 2354,
                        madi   => 8421, madita => 2913, madjid => 7566, madleen
                               => 2920,
                        madleine
                               => 4058, madlen => 723,
                        madlena
                               => 10995, madlene
                               => 2680,
                        madlin => 4037, madline
                               => 7705,
                        madlon => 11811, madlyn => 11409, mads   => 7586, madzia => 8676,
                        maex   => 5545, maga   => 5799, magarete
                               => 2710,
                        magaretha
                               => 9272, magarethe
                               => 8333,
                        magbule
                               => 6055, magdalena
                               => 589,
                        magdalene
                               => 3393, magdalini
                               => 7684,
                        magdii => 5347, magdolna
                               => 2200,
                        maggi  => 3104, maggo  => 1805, maggus => 10263, maggy  => 4905,
                        magnus => 1504, magomed
                               => 1510,
                        magret => 1524, magreth
                               => 4133,
                        magrit => 6302, mahan  => 6916, mahbubeh
                               => 9286,
                        mahdieh
                               => 5678, mahir  => 1837,
                        mahmure
                               => 8274, mahmut => 582,
                        mahnaz => 4598, maho   => 6082, mahoo  => 8220, mahsa  => 4389, mahshid
                               => 6365,
                        mahsum => 6249, mahsun => 5700, mahsuni
                               => 10217,
                        mahvash
                               => 11128, mahya  => 10437,
                        mahyar => 8364, maic   => 4032, maik   => 131, maika  => 2513, maike  => 495,
                        maikel => 2069, maiken => 9781, maiki  => 5559, maiko  => 4937, maiky  => 7394,
                        mailin => 4677, mailo  => 11235, mairbek
                               => 8409,
                        mairead
                               => 10020, mairi  => 11106,
                        maja   => 698, majdal => 11810, majka  => 7351, majki  => 7210, majkl  => 9110,
                        majky  => 8415, majla  => 7135, majlinda
                               => 6374,
                        makarios
                               => 6996, makbule
                               => 2238,
                        makei  => 6782, makii  => 4061, makis  => 4357, maksim => 3420, maksut => 6410,
                        maksym => 7518, maksymilian
                               => 9496,
                        makus  => 6156, malaika
                               => 5849,
                        malalai
                               => 7022, malee  => 8141,
                        maleen => 6038, malene => 8354, malerbetrieb
                               => 11572,
                        malermeister
                               => 6499, malgorzata
                               => 1264,
                        malgosia
                               => 8658, malihe => 11141,
                        malin  => 2509, malina => 3014, malinka
                               => 10803,
                        maliq  => 10504, malisa => 2717, maliwan
                               => 11062,
                        malkoc => 7857, malte  => 573, malush => 8044, malwina
                               => 4508,
                        malwine
                               => 9215, mamfred
                               => 8475,
                        mamudoska
                               => 7373, mamuka => 9416,
                        manca  => 6179, mandalena
                               => 7228,
                        mandana
                               => 5502, mandi  => 1152,
                        mandica
                               => 3861, mandie => 11113,
                        mandii => 10581, mandy  => 202, manee  => 11056, manfed => 9057,
                        manfred
                               => 37, manfredo
                               => 3372,
                        manfried
                               => 11648, manii  => 2220,
                        manijeh
                               => 4756, manina => 7195,
                        manja  => 892, manjana
                               => 7714,
                        manjola
                               => 10472, manne  => 3209,
                        manni  => 1125, manoel => 9288, manojlo
                               => 9619,
                        manolache
                               => 6286, manoli => 10561,
                        manolis
                               => 4925, manolito
                               => 4941,
                        manolya
                               => 6701, manon  => 2643,
                        manos  => 6457, mansoureh
                               => 11143,
                        manta  => 9227, mantas => 8493, manu   => 498, manuel => 139, manuela
                               => 34,
                        manuele
                               => 8063, mara   => 876,
                        maraike
                               => 4835, maraki => 11277,
                        marc   => 104, marcel => 32, marceli
                               => 10666,
                        marcell
                               => 969, marcella
                               => 2248,
                        marcellino
                               => 9718, marcello
                               => 1491,
                        marcellus
                               => 6154, marci  => 2288,
                        marcii => 5086, marcin => 945, marco  => 40, marcoo => 10778, marcsi => 5394,
                        marcu  => 4278, marcus => 160, mardan => 10404, mardin => 8922, mardinli
                               => 8672,
                        marec  => 8818, mareen => 1389, marei  => 4829, mareike
                               => 544,
                        mareile
                               => 4844, marek  => 687,
                        mareke => 7794, maren  => 464, maresa => 3362, maresi => 4491, maret  => 9485,
                        marga  => 1932, margareta
                               => 650,
                        margarete
                               => 321, margaretha
                               => 1162,
                        margarethe
                               => 693, margaritha
                               => 4095,
                        margherita
                               => 4097, marginean
                               => 8746,
                        margit => 112, margita
                               => 2883,
                        margitta
                               => 1409, margo  => 6574,
                        margot => 960, margret
                               => 475, margreth
                               => 1468,
                        margrid
                               => 11776, margrit
                               => 1608,
                        margrith
                               => 7885, marhold
                               => 9640,
                        mariagrazia
                               => 10940, marialuise
                               => 3239,
                        mariann
                               => 5585, marianne
                               => 451,
                        marianthi
                               => 10543, marica => 832,
                        maridi => 5770, marie  => 300, mariechen
                               => 6687,
                        mariedi
                               => 9560, marieke
                               => 3197,
                        mariele
                               => 6276, marielies
                               => 7283,
                        mariella
                               => 2290, marieluise
                               => 3455,
                        marietheres
                               => 11577, marietta
                               => 783,
                        mariglen
                               => 10468, marigona
                               => 4722,
                        mariie => 10894, marija => 280, marijan
                               => 1016,
                        marijana
                               => 462, marijela
                               => 7801,
                        marijke
                               => 4536, marijo => 1586,
                        marika => 1212, marike => 5767, marikka
                               => 4113,
                        mariko => 7467, marilena
                               => 3233,
                        marilies
                               => 6152, marin  => 2014,
                        marina => 227, marince
                               => 8160,
                        marinella
                               => 7130, marinko
                               => 1089,
                        marinos
                               => 10058, marinus
                               => 4202,
                        mario  => 79, marioara
                               => 2901,
                        mariola
                               => 1525, marion => 115,
                        marios => 4888, mariq  => 6260, mariqn => 10987, marischa
                               => 11592,
                        mariska
                               => 8474, maristella
                               => 10734,
                        marit  => 3278, marita => 611, maritta
                               => 2522,
                        marius => 356, mariusz
                               => 1164,
                        mariwan
                               => 10206, mariyan
                               => 9952,
                        mariyana
                               => 8696, marizela
                               => 5412,
                        marja  => 6101, marjam => 4929, marjeta
                               => 3952,
                        mark   => 316, markes => 8232, marketa
                               => 2355,
                        marki  => 7359, markica
                               => 7301,
                        marko  => 191, markus => 6, marla  => 3937, marleen
                               => 1513,
                        marlen => 1052, marlena
                               => 2174,
                        marlien
                               => 10915, marlies
                               => 314,
                        marliesa
                               => 6385, marliese
                               => 3855,
                        marlis => 1415, marlit => 9789, marlitt
                               => 11757,
                        marnie => 4859, marno  => 11071, marny  => 11147, maroni => 8196,
                        marouan
                               => 8608, marquis
                               => 11137,
                        marsi  => 10491, marta  => 2601, marten => 1809, marti  => 5168,
                        martial
                               => 9842, martiina
                               => 7252,
                        martijn
                               => 8248, martin => 12, martina
                               => 28,
                        martino
                               => 4094, martje => 7565,
                        martl  => 2792, martn  => 10676, marton => 3701, martyna
                               => 2791,
                        martynas
                               => 11455, maruan => 8397,
                        marv   => 2372, marven => 5445, marviin
                               => 6399,
                        marvin => 257, marvyn => 10872, marwen => 7427, marwin => 3127, maryla => 10190,
                        marysia
                               => 11161, maryus => 6495,
                        marzanna
                               => 6896, marzel => 10258,
                        marzena
                               => 1417, marzenka
                               => 11796,
                        marzi  => 10461, marzia => 5865, marzieh
                               => 7888,
                        masal  => 10717, masallah
                               => 10826,
                        masar  => 7991, mascha => 2257, masen  => 10280, mashar => 8179,
                        masih  => 7837, masiha => 7035, masome => 5827, masoumeh
                               => 9047,
                        massagefachinstitut
                               => 7868, massi  => 4619,
                        massimiliano
                               => 3031, massimo
                               => 1308,
                        massud => 5871, masume => 6645, masumeh
                               => 9030,
                        masuod => 10441, matay  => 11686, mate   => 2438, matea  => 1262,
                        mateas => 9065, matej  => 1011, mateja => 1394, matesic
                               => 9407,
                        mateusz
                               => 1362, math   => 4620,
                        mathaus
                               => 4940, mathea => 6182,
                        mathias
                               => 152, mathilda
                               => 4187,
                        matija => 1609, matijas
                               => 3922,
                        matije => 8431, matild => 5937, matin  => 3212, matina => 5546, matjaz => 6611,
                        matko  => 5945, matkovic
                               => 8497,
                        matl   => 5401, mato   => 830, matric => 9877, mats   => 2558, matschi
                               => 9229,
                        matscho
                               => 11590, matte  => 8407,
                        mattea => 3473, matten => 10199, matteo => 1591, matthaeus
                               => 6114,
                        matthaus
                               => 899, matthi => 2658,
                        matthias
                               => 31, matthieu
                               => 5362,
                        matthis
                               => 4805, matti  => 2059,
                        mattia => 4899, mattias
                               => 3161,
                        mattis => 3873, mattl  => 7342, mattze => 9213, matus  => 8152, matvei => 8860,
                        matyas => 3256, matyi  => 6777, matylda
                               => 4381,
                        matze  => 652, matzi  => 3593, matzii => 9826, matzy  => 9542, maui   => 7856,
                        maurice
                               => 479, mauritius
                               => 6074,
                        maurits
                               => 9668, mauritz
                               => 4800,
                        maurizio
                               => 1498, mause  => 10237,
                        mavin  => 9732, max    => 98, maxchen
                               => 11802,
                        maxe   => 4334, maxi   => 284, maxie  => 6161, maxii  => 4748, maxim  => 1032,
                        maxime => 3338, maximilan
                               => 4459,
                        maximilian
                               => 167, maximiliane
                               => 4188,
                        maximillian
                               => 2635, maximus
                               => 5250,
                        maxl   => 2157, maxx   => 5583, maybritt
                               => 11436,
                        mayk   => 3495, mayleen
                               => 10160,
                        maze   => 7049, maziar => 8520, maziyar
                               => 11662,
                        mazlum => 1843, mazze  => 11558, mebrura
                               => 9182,
                        mecho  => 9345, mechthild
                               => 1585,
                        mechthilde
                               => 8464, mechtild
                               => 4545,
                        mechtilde
                               => 11798, mecit  => 2760,
                        mecki  => 5825, mecky  => 8457, mecnun => 8591, meco   => 6413, medardus
                               => 9294,
                        medea  => 7053, medeni => 10384, medet  => 7406, mediha => 1780,
                        medin  => 2585, medina => 2486, medine => 1355, medzid => 8677, meelly => 6694,
                        meerschweinchen
                               => 9434, mefail => 3983,
                        mefra  => 9657, megge  => 9186, meggi  => 2843, meggie => 5338, meggy  => 4730,
                        mehdin => 4050, mehmed => 2329, mehmedalija
                               => 4757,
                        mehmet => 177, mehmetali
                               => 3607,
                        mehmetcan
                               => 9962, mehmetemin
                               => 8662,
                        meho   => 1562, mehrad => 11267, mehran => 2999, mehrdad
                               => 3080,
                        mehri  => 6949, mehriban
                               => 10816,
                        mehrnaz
                               => 10448, mehrshad
                               => 8292,
                        mehrudin
                               => 4156, mehrzad
                               => 8518,
                        mehtap => 1453, mehvan => 11187, meik   => 1175, meike  => 579, meikel => 2480,
                        meiki  => 7633, meiko  => 4364, meiky  => 6654, meinhard
                               => 1951,
                        meinolf
                               => 3751, meinrad
                               => 2263,
                        meisam => 3349, mejdi  => 8020, mejra  => 2757, mejreme
                               => 7199,
                        mejrima
                               => 9917, mekke  => 6466,
                        mel    => 668, mela   => 1941, meladina
                               => 9301,
                        melahat
                               => 2700, melania
                               => 8244,
                        melanie
                               => 58, melaniie
                               => 4752,
                        melda  => 3522, meldin => 9420, meldina
                               => 8650,
                        mele   => 7121, melek  => 691, melena => 7183, melf   => 6878, meli   => 1279,
                        melie  => 3154, melih  => 997, meliha => 1015, melihat
                               => 7504,
                        melihate
                               => 6877, melihcan
                               => 7796,
                        melii  => 1552, melik  => 4766, melika => 6427, melike => 1121, melina => 672,
                        melinda
                               => 1745, meline => 9341,
                        melis  => 1995, melisa => 1083, melita => 4397, melitta
                               => 379,
                        mell   => 4114, mella  => 3852, mellanie
                               => 8343,
                        melle  => 2805, melli  => 964, mellie => 5784, mellii => 6630, melly  => 1544,
                        melone => 11435, melos  => 11741, meltem => 1160, melwin => 8974,
                        melyat => 8609, memduh => 4151, memduha
                               => 8631,
                        memed  => 9795, memet  => 1676, memik  => 11367, memis  => 3814,
                        memli  => 7151, memnune
                               => 6543,
                        memo   => 1606, memocan
                               => 11022,
                        memoli => 4567, memsudin
                               => 10081,
                        menderes
                               => 1994, mendim => 7162,
                        mendo  => 10942, menduh => 7982, menekse
                               => 2749,
                        menil  => 9382, menno  => 8488, menso  => 9200, mensudin
                               => 9675,
                        mensur => 1582, mensura
                               => 4419,
                        mensure
                               => 6200, mentor => 2580,
                        meral  => 1399, mercan => 2681, mercedesz
                               => 6699,
                        merdan => 3547, merdin => 11000, meret  => 7524, mergim => 1171,
                        mergime
                               => 4532, meric  => 3779,
                        merih  => 6780, merima => 1033, meris  => 1679, merisa => 2075, merit  => 8015,
                        merita => 3311, meriton
                               => 2413,
                        merjem => 4717, merjema
                               => 7209,
                        merle  => 1294, merlin => 1642, merlind
                               => 5269,
                        mersa  => 3124, mersad => 2577, mersada
                               => 5277,
                        mersed => 3880, mersida
                               => 5237,
                        mersiha
                               => 1555, mersija
                               => 3782,
                        mersin => 4688, merso  => 4948, mersud => 6220, mersudin
                               => 3392,
                        mert   => 485, mertcan
                               => 3042,
                        mervan => 4304, merve  => 520, mervee => 10011, mervete
                               => 7172,
                        merwan => 7597, meryem => 1005, mesaric
                               => 8972,
                        mesko  => 6642, mestan => 9144, mesud  => 2543, mesude => 6204, mesudiye
                               => 8325,
                        mesut  => 584, meta   => 4396, mete   => 2698, metehan
                               => 2213,
                        meti   => 3644, metin  => 450, meto   => 7029, metodi => 7601, metta  => 11088,
                        mette  => 6165, metti  => 9226, metty  => 10762, metush => 10530,
                        mevan  => 9704, mevla  => 4933, mevlan => 3355, mevlana
                               => 6494,
                        mevlida
                               => 2252, mevlide
                               => 7243,
                        mevlit => 10028, mevlo  => 5499, mevlude
                               => 4009,
                        mevludin
                               => 1627, mevlut => 1426,
                        mexhait
                               => 6972, mexhid => 5255,
                        mexhit => 4691, mexx   => 2926, meyra  => 11016, meyrem => 6294,
                        meyro  => 6763, meysam => 5157, mezei  => 5785, mezgin => 10138,
                        mica   => 6774, mich   => 1840, micha  => 466, michae => 7621, michael
                               => 1,
                        michaela
                               => 35, michaele
                               => 4821,
                        michail
                               => 3131, michal => 1557,
                        michalina
                               => 8659, michalis
                               => 4530,
                        michas => 11067, miche  => 5567, michela
                               => 3551,
                        michelangelo
                               => 5028, michele
                               => 661,
                        michelina
                               => 6469, michelle
                               => 244,
                        michellee
                               => 8742, michi  => 190,
                        michie => 11081, michiel
                               => 8258,
                        michii => 2459, michl  => 1120, michlchristi
                               => 9404,
                        michy  => 8150, mick   => 2232, micka  => 9316, micke  => 9547, micki  => 4464,
                        mico   => 6625, midhad => 5105, midhet => 7549, midheta
                               => 6057,
                        midho  => 4777, midia  => 8495, midya  => 10136, mieczyslaw
                               => 5120,
                        mieke  => 5424, mietek => 10925, mietze => 10310, mieze  => 6690,
                        miftar => 3967, migena => 10474, miggi  => 11177, migjen => 10546,
                        miglena
                               => 3741, mihael => 1287,
                        mihaela
                               => 454, mihai  => 1576,
                        mihaila
                               => 6892, mihailo
                               => 2374,
                        mihaita
                               => 9586, mihajilo
                               => 9728,
                        mihajlo
                               => 1274, mihaly => 2915,
                        mihane => 7110, mihemed
                               => 11400,
                        mihi   => 3215, mihri  => 7723, mihriban
                               => 2845,
                        mihrican
                               => 6778, mihut  => 7269,
                        miichelle
                               => 4597, miichii
                               => 4469,
                        miischii
                               => 8230, mijat  => 5148,
                        mijo   => 1201, mijodrag
                               => 9105,
                        mika   => 1220, mikail => 829, mikan  => 6740, mikayil
                               => 5618,
                        mikdat => 6433, mike   => 143, mikel  => 2308, mikele => 7952, mikesch
                               => 11348,
                        mikheil
                               => 5464, mikica => 1826,
                        mikka  => 8145, mikko  => 8459, miklas => 10321, miklau => 9260,
                        miklos => 2222, mikola => 11304, mikolaj
                               => 8266,
                        mikro  => 11705, miktat => 8173, mikulas
                               => 9440,
                        milad  => 1774, milada => 2992, miladin
                               => 1983,
                        miladinka
                               => 2871, milaim => 2832,
                        milan  => 4217, milane => 10793, milanka
                               => 1311,
                        milanko
                               => 4392, milashka
                               => 9824,
                        milazim
                               => 3722, milcho => 9216,
                        mile   => 604, milen  => 3951, milena => 828, milenija
                               => 6063,
                        milenko
                               => 1080, mileta => 2998,
                        mileva => 4716, milian => 9254, milica => 478, milihate
                               => 9991,
                        milija => 4302, milijan
                               => 8799,
                        milijana
                               => 1722, milina => 2854,
                        milinko
                               => 5386, milisav
                               => 4494,
                        milivoj
                               => 3758, milivoje
                               => 2968,
                        milja  => 3236, miljan => 2504, miljana
                               => 2502,
                        miljenko
                               => 4840, milkica
                               => 3450,
                        milko  => 5358, milla  => 3525, mille  => 6745, milli  => 4274, miloje => 7413,
                        milojica
                               => 9880, milojka
                               => 4366,
                        milomir
                               => 3804, milomirka
                               => 9815,
                        milorad
                               => 985, milos  => 411, milosav
                               => 4410,
                        milosch
                               => 11692, milosh => 3198,
                        miloslav
                               => 6507, milosz => 7583,
                        milot  => 4325, milovan
                               => 1694,
                        miltiadis
                               => 11270, miltos => 7229,
                        milun  => 5115, milunka
                               => 8859,
                        milutin
                               => 2470, mimma  => 8602,
                        mimmi  => 7417, mimmo  => 3624, mimoun => 4018, mimoza => 4626, minchen
                               => 10361,
                        mindaugas
                               => 6768, mine   => 1553,
                        minecrafter
                               => 9609, minel  => 4052,
                        minela => 2351, minella
                               => 7103,
                        mineta => 9918, minh   => 1902, minime => 9594, minimi => 11625,
                        minira => 9140, minire => 4713, minja  => 4577, minka  => 4724, minko  => 10990,
                        minni  => 6117, minoo  => 8402, minou  => 7432, minus  => 11543,
                        mioara => 3410, miodrag
                               => 962,
                        miomir => 5439, miosoti
                               => 9495,
                        mirabela
                               => 3894, mirabella
                               => 9818,
                        mirac  => 3822, miradije
                               => 4404,
                        miralem
                               => 2002, miran  => 2933,
                        miraxh => 7215, miray  => 5035, mirca  => 11216, mircan => 11825,
                        mircea => 1388, mirco  => 678, mireia => 10634, mirek  => 3371, mirel  => 6383,
                        mirela => 1646, mirem  => 6727, mirhad => 2755, mirhan => 10787,
                        miri   => 1172, miriam => 368, mirii  => 5922, mirijam
                               => 2776,
                        mirijana
                               => 2983, mirja  => 2153,
                        mirjam => 624, mirjana
                               => 375, mirjeta
                               => 2932,
                        mirka  => 3156, mirkan => 6813, mirko  => 334, mirli  => 4096, mirlind
                               => 5227,
                        mirlinda
                               => 3073, mirnes => 1380,
                        mirnesa
                               => 2889, miro   => 1703,
                        miroljub
                               => 3657, miroslav
                               => 439,
                        miroslaw
                               => 2336, miroslawa
                               => 5732,
                        mirsad => 596, mirsada
                               => 889, mirsat => 10598,
                        mirsijenuhan
                               => 9360, mirso  => 2995,
                        mirtill
                               => 9660, miruna => 9488,
                        mirvete
                               => 4000, mirwais
                               => 4849,
                        mirweis
                               => 11812, mirzana
                               => 7242,
                        mirzet => 1316, mirzeta
                               => 2266,
                        misa   => 7916, misagh => 8390, mischa => 1475, mischael
                               => 11338,
                        mischel
                               => 5360, mischi => 1936,
                        mischii
                               => 4171, mischka
                               => 8815,
                        misel  => 3339, misin  => 9201, miska  => 5756, misko  => 3117, mislav => 5570,
                        miso   => 6039, missi  => 6480, mista  => 8113, mitar  => 2310, mitat  => 2407,
                        mithat => 2072, mitica => 3912, mitja  => 3876, mitko  => 3238, mitra  => 3757,
                        mitric => 9084, mitru  => 6633, mitsch => 7619, mixalis
                               => 7064,
                        miyase => 5293, mizafer
                               => 7197,
                        mizgin => 5723, mizzi  => 3619, mladen => 524, mladena
                               => 9578,
                        mladenka
                               => 3423, mladenko
                               => 6716,
                        mladjan
                               => 6107, mladjana
                               => 8068,
                        mladjo => 8728, mlchael
                               => 11489,
                        moana  => 7188, mobby  => 11738, mocanu => 10922, mochtar
                               => 8193,
                        moebel => 9546, moesha => 11157, mogli  => 5902, mohamadreza
                               => 10719,
                        mohammadreza
                               => 5156, mojca  => 2804,
                        mojdeh => 10743, moje   => 6432, mojgan => 4402, mojojo => 9900,
                        mojtaba
                               => 2740, molle  => 11357,
                        molli  => 11465, momcilo
                               => 2151,
                        momir  => 2442, momme  => 6301, momodou
                               => 10322,
                        mona   => 545, monaco => 7660, moncef => 6679, mondher
                               => 9684,
                        mondi  => 7896, mone   => 2139, mongi  => 9456, moni   => 638, monic  => 4123,
                        moniika
                               => 9571, monija => 9762,
                        monika => 30, moniks => 11827, monique
                               => 548,
                        monja  => 1165, monlka => 6758, montage
                               => 8802,
                        monti  => 6688, monty  => 3399, moped  => 6298, mops   => 8317, morar  => 7604,
                        moraru => 5736, morhaf => 8800, morice => 8781, moritz => 263, moriz  => 3032,
                        morris => 2683, morsal => 10426, mortaza
                               => 6353,
                        morten => 2803, morteza
                               => 2491,
                        morticia
                               => 10182, morty  => 11162,
                        morvarid
                               => 8570, moshtaba
                               => 5200,
                        mosi   => 8374, mossi  => 11064, mosti  => 8357, mothe  => 5192,
                        motte  => 4601, motz   => 4215, mouaz  => 7721, mouki  => 9611, moumin => 10162,
                        mourice
                               => 10229, movsar => 4225,
                        mozhgan
                               => 9023, mpampis
                               => 11285,
                        mrki   => 5361, mrtdy  => 10418, muafak => 5751, mualla => 4137,
                        muamer => 1379, muamera
                               => 5408,
                        muamet => 7194, muammer
                               => 1073,
                        muarem => 10573, muazzez
                               => 3134,
                        mubera => 3585, muberra
                               => 3776,
                        mucahid
                               => 4898, mucahit
                               => 2208,
                        mucella
                               => 11774, much   => 2616,
                        muckel => 8923, mucki  => 3832, mucky  => 8757, muco   => 5670, muddi  => 10356,
                        mudi   => 8265, mufit  => 11720, mufu   => 8112, muge   => 5626,
                        mugurel
                               => 5556, muhamer
                               => 4704,
                        muhamet
                               => 1327, muhammer
                               => 3327,
                        muhammet
                               => 744, muharem
                               => 1848,
                        muharema
                               => 7410, muharemovic
                               => 5295,
                        muharrem
                               => 959, muhedin
                               => 10547,
                        muhi   => 2337, muhiba => 4379, muhidin
                               => 10679,
                        muhii  => 4514, muhittin
                               => 2027,
                        muhlis => 4479, muhlviertler
                               => 9450,
                        muho   => 5894, muhsin => 3000, muhsine
                               => 8209,
                        muhtar => 10960, muhteber
                               => 6277,
                        muhterem
                               => 4345, mujadzic
                               => 5327,
                        mujaga => 4332, mujdat => 4562, mujde  => 6491, mujdin => 10558,
                        mujesira
                               => 5305, mujgan => 4863,
                        mujo   => 1241, mukadder
                               => 7454,
                        mukaddes
                               => 2327, mukades
                               => 5873,
                        mukerrem
                               => 7473, muki   => 1540,
                        mukii  => 6522, mukremin
                               => 5652,
                        mulham => 8981, mulkiye
                               => 6032,
                        mulle  => 7743, multani
                               => 9514,
                        mumin  => 4258, mumine => 11020, mumtaz => 10271, mumun  => 8445,
                        mundl  => 5966, munever
                               => 6403,
                        munevera
                               => 4339, munevver
                               => 2418,
                        munir  => 7458, munire => 7189, munise => 7889, muntean
                               => 4472,
                        munteanu
                               => 5109, munur  => 8185,
                        munure => 7281, munzur => 3449, muradif
                               => 5437,
                        muradiye
                               => 4081, murat  => 235,
                        muratagic
                               => 9474, muratcan
                               => 9364,
                        murathan
                               => 11617, muratti
                               => 4416,
                        muresan
                               => 2572, murhaf => 10796,
                        muri   => 5959, muris  => 3792, murisa => 3756, muriz  => 5000, murman => 9401,
                        murmel => 11620, muro   => 5344, muroo  => 7495, mursel => 3044,
                        murteza
                               => 9021, muruvet
                               => 6417,
                        muruvvet
                               => 5532, murvet => 3340,
                        musa   => 924, musafer
                               => 8982,
                        musaj  => 10591, musan  => 5715, muserref
                               => 5671,
                        mushegh
                               => 6529, musi   => 8042,
                        musli  => 2825, muslim => 8283, muslum => 2078, mustafa
                               => 239,
                        mustafadj
                               => 9739, mustan => 10742,
                        musti  => 1060, mustii => 4549, musto  => 10610, muthana
                               => 9686,
                        muttalip
                               => 7550, mutti  => 6189,
                        mutullah
                               => 8332, muugii => 6567,
                        muyesser
                               => 11537, muzafer
                               => 5985,
                        muzaffer
                               => 1147, muzeyyen
                               => 2870,
                        mxrcel => 9261, myki   => 7658, myri   => 7092, myriel => 11258,
                        myrjam => 9499, nabaz  => 11180, nacar  => 9421, naceur => 9899,
                        naci   => 2349, naciye => 1372, nadascha
                               => 8000,
                        naddel => 4211, naddi  => 7772, naddl  => 6194, naddy  => 11070,
                        nadel  => 11468, nadeschda
                               => 8823,
                        nadeshda
                               => 8945, nadezda
                               => 5634,
                        nadezhda
                               => 7377, nadi   => 2489,
                        nadica => 2149, nadide => 6771, nadien => 10961, nadii  => 3673,
                        nadiin => 9425, nadiine
                               => 4128,
                        nadija => 3648, nadin  => 1138, nadina => 7144, nadinchen
                               => 11497,
                        nadine => 74, nadinee
                               => 7270, nadire => 4882,
                        nadiye => 8062, nadja  => 232, nadka  => 10988, nadl   => 3436, nadyn  => 11438,
                        naemi  => 5288, nafets => 5043, nafia  => 10853, nafija => 10747,
                        nafije => 10518, nafile => 7386, nafiye => 4865, nafiz  => 6453,
                        nafize => 7223, nafka  => 8883, nagehan
                               => 6373,
                        nageldesign
                               => 7335, naghmeh
                               => 10712,
                        nagihan
                               => 2041, nagip  => 8122,
                        nahide => 3126, nahpets
                               => 10226,
                        nahrin => 5775, naide  => 10828, naiden => 9953, nail   => 2940,
                        naile  => 5176, naime  => 4068, nairolf
                               => 8956,
                        naitsabes
                               => 10207, naitsirhc
                               => 6989,
                        najda  => 4049, najdan => 9673, najibullah
                               => 6909,
                        naki   => 7357, nakic  => 9866, nakil  => 5801, nalan  => 2532, namfon => 11063,
                        namik  => 4417, namor  => 10788, namron => 11387, nandi  => 6390,
                        nandor => 4475, nane   => 3304, nanett => 10259, nanette
                               => 4611,
                        nang   => 7881, nanne  => 9955, nannette
                               => 6715,
                        nanni  => 3492, nantke => 11721, naoko  => 9691, naoual => 7557,
                        naqib  => 7817, naqibullah
                               => 9001,
                        narantuya
                               => 9747, narcis => 8225,
                        narek  => 9493, narges => 4062, nargul => 9883, narin  => 3823, nashwan
                               => 6804,
                        naside => 9274, nasiha => 10680, nasip  => 10550, nasko  => 5392,
                        nasrat => 6899, nasratullah
                               => 7005,
                        nasreddine
                               => 10891, nasrollah
                               => 5822,
                        nassi  => 10906, nassira
                               => 10863,
                        nastaran
                               => 10436, nastasia
                               => 5980,
                        nastasija
                               => 9388, nastasja
                               => 7415,
                        nastassia
                               => 9903, nastassja
                               => 7365,
                        nasti  => 8811, nastia => 7591, nastja => 2919, nasuf  => 4011, nasuh  => 9961,
                        nata   => 1874, natale => 4435, natali => 9798, natalie
                               => 358,
                        natalija
                               => 2851, natalino
                               => 9281,
                        nataliq
                               => 10986, nataliya
                               => 2687,
                        natalja
                               => 1885, natallia
                               => 7304,
                        natasa => 496, natascha
                               => 196,
                        natascia
                               => 11169, natasja
                               => 10856,
                        natasza
                               => 11807, nate   => 4617,
                        natha  => 5586, nathalie
                               => 556,
                        nathi  => 5589, nathie => 10163, nathii => 4063, natica => 9276,
                        natie  => 11118, natii  => 9314, natja  => 6184, natka  => 11024,
                        natmir => 6986, natsch => 9095, natti  => 6486, naturfreunde
                               => 10055,
                        naturheilpraxis
                               => 11693, natyra => 7143,
                        natze  => 11759, nauras => 6787, navid  => 2925, navina => 7654,
                        naweed => 7820, nawid  => 4864, nawroz => 10434, nawzad => 6809,
                        nayden => 8538, nazak  => 7000, nazan  => 2824, nazanin
                               => 3904,
                        nazarbayof
                               => 8429, nazdar => 8849,
                        nazif  => 3647, nazife => 2073, nazila => 10438, nazile => 3618,
                        nazim  => 4468, nazime => 10529, nazire => 3083, nazli  => 2098,
                        nazlican
                               => 11401, nazlije
                               => 11175,
                        nazmi  => 2125, nazmie => 10506, nazmije
                               => 3970,
                        nazmiye
                               => 1873, nazo   => 6921,
                        nderim => 3716, ndriqim
                               => 5238,
                        neagu  => 6976, nebahat
                               => 2046,
                        nebi   => 2173, nebih  => 5746, nebil  => 7428, nebiye => 3905, nebo   => 2726,
                        nebojsa
                               => 710, nebojsha
                               => 9754,
                        necat  => 6267, necati => 1094, necatin
                               => 9391,
                        necattin
                               => 6316, necdet => 2136,
                        nechirvan
                               => 10395, necibe => 7541,
                        necip  => 2134, necla  => 1332, necmettin
                               => 2384,
                        necmi  => 2603, necmiye
                               => 2561,
                        neco   => 3676, necoo  => 9958, neculai
                               => 6965,
                        neda   => 2930, nedelina
                               => 8616,
                        nedeljka
                               => 2848, nedeljko
                               => 1248,
                        nediljko
                               => 8737, nedim  => 1036,
                        nedime => 5146, nedimruvejda
                               => 9487,
                        nedjo  => 3253, nedret => 7063, nedzad => 1042, nedzada
                               => 8877,
                        nedzat => 6110, nedzib => 4172, nedzo  => 7567, neele  => 2194, nefeli => 7134,
                        nefes  => 10775, neffets
                               => 8940,
                        nefide => 8192, nefise => 3558, nefize => 9950, negar  => 6349, negica => 7260,
                        negin  => 5852, negirvan
                               => 9177,
                        negjat => 9118, negovan
                               => 6648,
                        negovanka
                               => 9397, negru  => 6753,
                        nehas  => 9158, nehat  => 2243, nehir  => 3871, nejat  => 5132, nejazi => 9517,
                        nejdet => 3151, nejla  => 1558, nejra  => 2774, neki   => 6387, neko   => 7057,
                        nektaria
                               => 11250, nektarios
                               => 7671,
                        nele   => 900, nelle  => 9850, nelli  => 1737, nello  => 8108, nelu   => 1481,
                        nelutu => 4809, nemam  => 8001, nemanja
                               => 615,
                        nematullah
                               => 4678, nemes  => 4486,
                        nemrac => 11694, nenad  => 370, nensi  => 10516, neonila
                               => 10066,
                        nepomuk
                               => 6595, nergis => 5953,
                        nergiz => 2874, nerijus
                               => 11282,
                        neriman
                               => 1414, neringa
                               => 8801,
                        nerko  => 8338, nerma  => 3222, nerman => 9794, nermana
                               => 8109,
                        nermin => 521, nermina
                               => 993, nerminka
                               => 8383,
                        nesad  => 6142, nesat  => 8066, nescha => 6126, nese   => 1680, neset  => 3200,
                        nesib  => 5085, nesiba => 6080, nesibe => 3413, nesic  => 6062, nesim  => 6402,
                        nesime => 6509, nesimi => 10609, nesli  => 2944, neslihan
                               => 1219,
                        nesret => 7170, nesrin => 1502, nessa  => 2867, nessi  => 2952, nessie => 10707,
                        nessy  => 6163, netsrac
                               => 11474,
                        nette  => 4346, netti  => 2158, netty  => 5417, neval  => 8438, nevazhno
                               => 9400,
                        nevena => 1128, nevenka
                               => 1314,
                        nevenko
                               => 4848, never  => 6274,
                        nevets => 11546, nevim  => 4783, nevin  => 2057, nevio  => 2630,
                        nevra  => 11666, nevres => 5249, nevrije
                               => 7217,
                        nevriye
                               => 5512, nevruz => 7938,
                        nevs   => 5823, nevzat => 1198, nevzet => 4093, nevzeta
                               => 4384,
                        newroz => 4879, nexha  => 4773, nexhat => 1846, nexhdet
                               => 6941,
                        nexhi  => 6970, nexhmedin
                               => 4019,
                        nexhmi => 10515, nexhmije
                               => 10503,
                        nexus  => 10665, nezahat
                               => 2990,
                        nezaket
                               => 3625, nezhat => 9519,
                        neziha => 4053, nezihe => 11434, nezir  => 2063, nezira => 6112,
                        ngan   => 8463, nghia  => 7636, ngoc   => 3307, nguyet => 6772, nhung  => 4337,
                        niall  => 9940, niazai => 6247, niazollah
                               => 10078,
                        nicci  => 3518, nicco  => 8151, niccolo
                               => 10126,
                        niccy  => 11780, nichtverfugbar
                               => 9965,
                        nici   => 401, nicii  => 1918, nick   => 422, nicke  => 10652, nicki  => 1112,
                        nicklas
                               => 2478, nicky  => 1022,
                        niclas => 835, nico   => 110, nicodemo
                               => 10649,
                        nicola => 676, nicolae
                               => 2777,
                        nicolai
                               => 1288, nicolaie
                               => 10905,
                        nicolaj
                               => 10150, nicolaus
                               => 3705,
                        nicolay
                               => 8133, nicole => 15, nicoleta
                               => 804,
                        nicoletta
                               => 2965, nicolina
                               => 6593,
                        nicoline
                               => 10896, nicolo => 5426,
                        nicoo  => 10656, nicos  => 9233, nicu   => 1408, niculae
                               => 10938,
                        niculai
                               => 7378, niculina
                               => 6756,
                        nicusor
                               => 3700, niels  => 934,
                        nigar  => 4224, niggi  => 8036, niggo  => 10344, niglo  => 9890,
                        nigmet => 9835, nihada => 3225, nihan  => 6359, nihat  => 844, nihil  => 9296,
                        niho   => 5531, niicii => 5739, niina  => 8203, nijaz  => 1750, nijazi => 4711,
                        nije   => 5893, nijole => 10233, nike   => 3022, niki   => 1243,
                        nikias => 11674, nikica => 2284, nikii  => 3919, nikitas
                               => 11247,
                        niklaas
                               => 3884, niklas => 245,
                        niko   => 628, nikodem
                               => 10969,
                        nikola => 1013, nikolai
                               => 1134,
                        nikolaj
                               => 2469, nikolaos
                               => 2018,
                        nikolas
                               => 1507, nikolaus
                               => 354,
                        nikolay
                               => 2574, nikoleta
                               => 5177,
                        nikolett
                               => 1324, nikoletta
                               => 1492,
                        nikolija
                               => 4662, nikolina
                               => 764,
                        nikolinka
                               => 6327, nikolla
                               => 7058,
                        nikos  => 1326, niku   => 6350, nilab  => 10430, nilay  => 3487,
                        nilgul => 11838, nilgun => 2143, nille  => 11463, nilofar
                               => 7832,
                        niloofar
                               => 7877, niloufar
                               => 10711,
                        nils   => 268, nilufar
                               => 8984,
                        nilufer
                               => 2207, nimet  => 2065,
                        nimo   => 5989, nimsaj => 11630, nina   => 182, ninchen
                               => 6195,
                        nine   => 2428, ninette
                               => 6738,
                        ninii  => 6073, ninja  => 4563, ninni  => 11644, nino   => 913, ninon  => 9864,
                        ninos  => 7580, ninoslav
                               => 4502,
                        ninsch => 8243, nirak  => 5298, niroz  => 11732, nirtak => 10371,
                        nisanur
                               => 4436, nisi   => 5179,
                        nistor => 5773, nisvet => 4881, nisveta
                               => 2678,
                        nitram => 5337, nitsa  => 11240, nitsrek
                               => 10372,
                        nittaya
                               => 6705, nitti  => 9369,
                        nivek  => 8636, nives  => 10689, niwar  => 10349, niyazi => 1702,
                        nizama => 4290, nizamettin
                               => 3376,
                        nizzi  => 8075, njazi  => 7932, njegos => 6065, njomza => 4615, noah   => 807,
                        nobar  => 11510, nobbe  => 11833, nobbi  => 7773, nobby  => 5828,
                        nobert => 10802, noemi  => 2367, noldi  => 4693, nomin  => 5049,
                        nomis  => 8098, nong   => 6919, noodaeng
                               => 8822,
                        nooragha
                               => 10424, nooshin
                               => 10690,
                        nora   => 2033, norb   => 5001, norbert
                               => 148,
                        norbi  => 3251, norby  => 10670, norea  => 9753, noreia => 9729,
                        norik  => 10569, norika => 6474, norina => 5364, norman => 511, normann
                               => 5456,
                        normen => 2135, norwin => 8775, noshin => 10444, noster => 7493,
                        notburga
                               => 2454, noula  => 11228,
                        nourdin
                               => 9856, noushin
                               => 9513,
                        novalija
                               => 8375, novica => 1055,
                        novka  => 4148, noxchi => 3316, ntina  => 7678, nuaem  => 9491, nubar  => 10755,
                        nuccia => 11181, nuccio => 10926, nudel  => 10257, nuhi   => 2941,
                        nuke   => 6546, nuket  => 11797, nunzia => 4023, nunziata
                               => 9986,
                        nunzio => 3289, nural  => 9002, nuran  => 1111, nuray  => 884, nurcan => 834,
                        nurcihan
                               => 10959, nurdagul
                               => 7719,
                        nurdan => 2188, nurdane
                               => 8231,
                        nureddin
                               => 10731, nuredin
                               => 7937,
                        nuretin
                               => 11007, nurettin
                               => 1227,
                        nurfet => 5434, nurfeta
                               => 8499,
                        nurgul => 1282, nurhak => 10261, nurhan => 2781, nurhayat
                               => 3250,
                        nuri   => 1278, nurihan
                               => 9595,
                        nurija => 4438, nurije => 3972, nuriye => 1464, nurko  => 10073,
                        nurlan => 10814, nursel => 1813, nurseli
                               => 6579,
                        nursen => 2129, nursifa
                               => 9736,
                        nurten => 1236, nurullah
                               => 1883,
                        nuschin
                               => 6244, nusko  => 5519,
                        nusmir => 5535, nusret => 1584, nusreta
                               => 3845,
                        nussi  => 5285, nyamka => 6451, nyku   => 8078, nysret => 5406, oana   => 1097,
                        oancea => 9097, oanh   => 6282, obehi  => 8204, obeid  => 8985, obeida => 10166,
                        obrad  => 4622, obren  => 8439, ocal   => 6534, ocram  => 6788, octavian
                               => 5614,
                        odeta  => 10507, odett  => 11224, odin   => 4522, odins  => 11450,
                        odko   => 6614, odysseas
                               => 10563,
                        oemer  => 7656, oezcan => 10152, oezlem => 9759, ognjen => 2189,
                        ognyan => 10003, ogulcan
                               => 5309,
                        ogun   => 2778, oguz   => 1257, oguzhan
                               => 966,
                        ohran  => 6672, oida   => 8221, oiram  => 9614, okafor => 10632,
                        okan   => 696, okay   => 4921, okkes  => 10134, okram  => 11447,
                        okrim  => 11677, oktavian
                               => 6372,
                        oktay  => 919, olaf   => 211, olah   => 5697, olariu => 6930, olaru  => 5719,
                        olav   => 2869, olcan  => 9175, olcay  => 1602, ole    => 790, oleg   => 1039,
                        olek   => 6836, oleksandra
                               => 9521,
                        oleksiy
                               => 10699, olena  => 3638,
                        olesia => 6424, olesja => 2706, olessia
                               => 11314,
                        olesya => 5489, olexandr
                               => 11302,
                        olgi   => 7154, olgica => 2204, olgun  => 2813, olha   => 8223, oli    => 847,
                        olip   => 7433, oliver => 62, olivera
                               => 929,
                        oliwer => 7933, oliwia => 3710, oliwier
                               => 7523,
                        olja   => 3101, oljaca => 9205, olli   => 781, ollie  => 6929, olliver
                               => 10331,
                        olly   => 3494, oltean => 5604, olteanu
                               => 4828,
                        olti   => 7904, olympia
                               => 7480,
                        ombre  => 8229, omed   => 4866, omer   => 357, omercan
                               => 11594,
                        omic   => 8363, omid   => 1640, omorodion
                               => 7948,
                        omrum  => 5641, omur   => 3189, onder  => 1361, ondrej => 3160, oner   => 4149,
                        onkel  => 1888, onki   => 8467, onno   => 6227, onnumara
                               => 8271,
                        onofrio
                               => 8637, onur   => 620,
                        onurcan
                               => 10142, oprea  => 3684,
                        oranna => 11576, orathai
                               => 11388,
                        orazio => 4801, orban  => 8644, orchideen
                               => 11426,
                        orcun  => 4481, ordination
                               => 8915,
                        orest  => 10495, orestis
                               => 7133,
                        orgesa => 7095, orhan  => 428, orkan  => 4546, orkic  => 9575, orkun  => 4203,
                        orlin  => 7075, ornik  => 8680, oronzo => 11212, orosz  => 6050,
                        orsolya
                               => 1924, orsos  => 8367,
                        orter  => 9395, ortrud => 5737, ortrun => 4415, ortwin => 3163, orxan  => 10812,
                        osamede
                               => 8344, osayamen
                               => 9902,
                        osazee => 5640, oschi  => 11715, oskar  => 1271, osman  => 559, osmanli
                               => 10345,
                        ossi   => 1174, ossy   => 3270, ostoja => 3148, oswin  => 2780, otfried
                               => 5810,
                        otgontuya
                               => 8806, othmar => 535,
                        otmar  => 529, ottavio
                               => 10904,
                        otti   => 1724, ottilia
                               => 10697,
                        ottilie
                               => 1670, ottmar => 2193,
                        ottokar
                               => 5159, otvos  => 8371,
                        otwin  => 5771, otzi   => 4538, ouafa  => 10885, oualid => 7559,
                        ouarda => 10879, ouassim
                               => 9869,
                        ourania
                               => 11248, ovidiu => 2900,
                        oxana  => 1620, oyku   => 8239, oyuna  => 7305, oyunaa => 6321, oyunchimeg
                               => 6627,
                        ozal   => 7872, ozan   => 990, ozana  => 7297, ozay   => 3916, ozbey  => 9655,
                        ozdem  => 11421, ozden  => 2212, ozge   => 1443, ozgul  => 2132,
                        ozgun  => 5660, ozgur  => 837, ozhan  => 5468, ozlem  => 512, oznur  => 1442,
                        ozzi   => 7963, paata  => 11437, pacco  => 9974, padde  => 10380,
                        paddel => 11480, paddi  => 7776, paddy  => 1368, pajazit
                               => 6693,
                        pajdo  => 7277, pajo   => 4707, pajtim => 4878, pakize => 2457, palackovic
                               => 9349,
                        palina => 8064, palko  => 6037, palma  => 7119, pamina => 3300, pamir  => 5815,
                        pamuk  => 6132, pana   => 4868, panagiota
                               => 5099,
                        panagiotes
                               => 10170, panagiotis
                               => 1735,
                        pance  => 7336, panja  => 4353, pano   => 6995, panos  => 3554, pantea => 9480,
                        pantelis
                               => 5083, paolina
                               => 10579,
                        paolo  => 1317, papas  => 11098, papatya
                               => 8590,
                        papis  => 10913, paqui  => 10663, parasca
                               => 9529,
                        paraskevas
                               => 11246, paraskevi
                               => 8661,
                        parham => 7293, paria  => 10445, paric  => 9354, parisa => 4391,
                        parissa
                               => 11154, parmida
                               => 5972,
                        parnia => 7521, parnian
                               => 7026,
                        parsa  => 5136, parthena
                               => 8928,
                        paruyr => 9414, parvaneh
                               => 8490,
                        parvis => 11822, parviz => 3891, parwin => 9014, parwiz => 6939,
                        pasa   => 2255, pasahan
                               => 9748,
                        pasca  => 4255, pascal => 201, pascall
                               => 11402,
                        pasce  => 8143, pascha => 4790, paschalis
                               => 6826,
                        paschi => 9292, pasci  => 2982, pascu  => 4986, pashalis
                               => 11495,
                        pashk  => 5833, pashtun
                               => 9195,
                        pasi   => 4673, pasic  => 7389, paskal => 7016, pasqua => 10902,
                        pasqual
                               => 4811, pasquale
                               => 1488,
                        pasqualina
                               => 9894, pasqualino
                               => 9924,
                        passi  => 4111, passy  => 9275, pasxalis
                               => 11263,
                        patci  => 9757, pati   => 2953, patii  => 4200, patr   => 7440, patric => 820,
                        patricija
                               => 3229, patricius
                               => 6607,
                        patrick
                               => 33, patriick
                               => 5015,
                        patrik => 267, patritz
                               => 7468,
                        patriz => 7956, patrizia
                               => 420,
                        patrizio
                               => 4318, patrycja
                               => 1596,
                        patryk => 1416, patte  => 6255, patti  => 3202, pattrick
                               => 11642,
                        patz   => 2321, patze  => 2753, patzi  => 2328, patzii => 6488, patzy  => 9583,
                        paulchen
                               => 3589, paule  => 3066,
                        pauli  => 845, paulina
                               => 8342,
                        paulinchen
                               => 11535, paulius
                               => 10255,
                        paulos => 8129, pavel  => 6245, pavka  => 7497, pavla  => 2727, pavle  => 2036,
                        pavlic => 7740, pavlin => 9088, pavlina
                               => 5187,
                        pavlo  => 5926, pavlos => 3026, pavo   => 2110, pavol  => 2568, pawel  => 1335,
                        payam  => 4234, payman => 9012, pazi   => 3013, pazii  => 8237, pebbles
                               => 10040,
                        peci   => 7112, pecsi  => 8814, peda   => 2004, pedda  => 7843, peddy  => 10347,
                        pedi   => 5069, pedja  => 2398, pedram => 5497, peet   => 5772, peety  => 7348,
                        pegah  => 7290, peggi  => 11439, peggy  => 442, pejman => 6665, pejo   => 2112,
                        peki   => 2958, pelagia
                               => 10650,
                        pelin  => 2763, pelka  => 5990, pelle  => 6747, pellumb
                               => 10469,
                        pemba  => 10401, pembe  => 2588, penka  => 9561, pension
                               => 3930,
                        pepi   => 865, peppe  => 4324, pepper => 7535, peppi  => 3874, peppino
                               => 9767,
                        peppo  => 7558, peppy  => 11627, pepsch => 9336, pera   => 1794,
                        perdita
                               => 6027, peri   => 4661,
                        perica => 1630, perihan
                               => 1218,
                        perikles
                               => 11265, periklis
                               => 8049,
                        perisa => 6079, perka  => 5369, perle  => 7165, pero   => 882, perparim
                               => 4076,
                        persa  => 4965, perter => 8911, pervin => 4317, perwin => 11832,
                        peshang
                               => 9446, pesic  => 6943,
                        petar  => 471, pete   => 1960, peter  => 8, peterle
                               => 10305,
                        petet  => 10101, peti   => 4431, petia  => 10694, petimat
                               => 6512,
                        petja  => 8699, petko  => 2782, petq   => 6603, petr   => 2969, petra  => 27,
                        petrache
                               => 9280, petre  => 1828,
                        petrica
                               => 2773, petrisor
                               => 4609,
                        petrissa
                               => 9266, petrit => 3414,
                        petro  => 3536, petronel
                               => 6475,
                        petronela
                               => 2130, petros => 2452,
                        petrovici
                               => 6528, petru  => 3352,
                        petruta
                               => 4257, petur  => 10038,
                        petya  => 5308, petzi  => 1419, petzii => 7917, petzy  => 6927, peyman => 4067,
                        pezhman
                               => 11551, pezi   => 1176,
                        pezy   => 7784, pfeffi => 11726, pferdehof
                               => 7545,
                        pharao => 9855, phawinee
                               => 9593,
                        phil   => 701, phili  => 7412, philina
                               => 11778,
                        philine
                               => 4193, philip => 456,
                        philipp
                               => 54, philippa
                               => 5698,
                        philippe
                               => 1920, philippo
                               => 10944,
                        philippos
                               => 9688, phill  => 4932,
                        phillip
                               => 449, phillipp
                               => 2605,
                        phillis
                               => 11116, philomena
                               => 6931,
                        phine  => 7704, phips  => 3004, phong  => 5098, phonix => 6203, photeine
                               => 11260,
                        phung  => 8730, phuoc  => 11135, phuong => 2311, physio => 8522,
                        physiotherapie
                               => 8552, pia    => 397,
                        picco  => 11290, pico   => 7145, pidic  => 6496, pier   => 6017,
                        piera  => 6240, piere  => 8693, pierluigi
                               => 8740,
                        piero  => 2636, pierpaolo
                               => 11046,
                        pierre => 528, pierro => 9859, piet   => 2117, pieter => 3810, pietra => 10639,
                        pietro => 1395, piljo  => 9632, pilko  => 9498, pille  => 7725, pina   => 2171,
                        pinar  => 976, pinguin
                               => 11414,
                        pino   => 1852, pinocchio
                               => 8372,
                        pinsel => 11089, piotr  => 880, piotrek
                               => 4308,
                        pipal  => 9408, pippa  => 10724, pippi  => 4547, pippilotta
                               => 7584,
                        pippo  => 4917, piri   => 8144, pirmin => 2648, pirooz => 7032, piroska
                               => 1613,
                        pista  => 10722, pitsch => 6589, pitt   => 4573, pitti  => 5113,
                        pitty  => 9325, pius   => 4060, pixel  => 10794, pjanic => 9394,
                        pjeter => 3524, pjotr  => 9647, plamen => 2334, plamena
                               => 4485,
                        plamenka
                               => 7851, plesa  => 7587,
                        poca   => 8139, poldi  => 1477, polina => 2816, polona => 8329, pommes => 8709,
                        ponoran
                               => 7829, pooneh => 5696,
                        pooya  => 11125, popovici
                               => 5686,
                        pornthip
                               => 11616, pouria => 9712,
                        pourya => 11158, pouya  => 6363, pouyan => 10761, prada  => 10771,
                        pranee => 6651, pranom => 10801, pranvera
                               => 7906,
                        predl  => 9840, predrag
                               => 675,
                        prek   => 5842, premtim
                               => 5870,
                        primoz => 6808, princessin
                               => 11691,
                        prinzess
                               => 6652, prinzo => 7778,
                        priska => 1130, prodan => 5575, prodromos
                               => 11242,
                        profilzazvati
                               => 9208, promok => 9439,
                        prushi => 9419, prvoslav
                               => 4779,
                        przemek
                               => 2862, przemo => 11403,
                        przemyslaw
                               => 4157, pshtiwan
                               => 11614,
                        pugna  => 7339, puppi  => 3885, puria  => 5423, puric  => 6810, purzel => 10247,
                        pusat  => 4632, puschi => 10359, puste  => 6177, pyro   => 4984,
                        qader  => 8973, qamil  => 2931, qamile => 10511, qani   => 3950,
                        qaush  => 11179, qazim  => 5510, qefsere
                               => 7111,
                        qemajl => 10576, qemal  => 10476, qenan  => 5262, qendresa
                               => 3086,
                        qendrim
                               => 2178, qerim  => 4684,
                        qian   => 5484, qika   => 8012, qlirim => 3360, quang  => 3441, qudus  => 7028,
                        quido  => 9050, quirin => 3282, quyen  => 7635, quynh  => 6006, raban  => 11851,
                        rabar  => 11541, rabea  => 1644, rabija => 3863, rabije => 5229,
                        rabiye => 3445, rachele
                               => 9239,
                        rachman
                               => 6635, racz   => 6822,
                        radana => 5463, rade   => 709, radek  => 3121, radenka
                               => 4861,
                        radenko
                               => 2019, radica => 1440,
                        radik  => 10824, radinka
                               => 4363,
                        radion => 11021, radisa => 1296, radisav
                               => 8759,
                        radisavljevic
                               => 7880, radislav
                               => 6987,
                        radivoj
                               => 7486, radivoje
                               => 3313,
                        radka  => 5292, radko  => 6504, radmila
                               => 800,
                        radoje => 4853, radojica
                               => 3245,
                        radojka
                               => 2863, radoljub
                               => 7595,
                        radomir
                               => 1526, radonja
                               => 9269,
                        radosav
                               => 4959, radoslav
                               => 3692,
                        radoslava
                               => 10700, radoslavka
                               => 7367,
                        radoslaw
                               => 5428, radostin
                               => 9996,
                        radostina
                               => 8297, radovan
                               => 1377,
                        radovic
                               => 7574, raducu => 11279,
                        radulescu
                               => 6798, rafail => 5955,
                        rafal  => 1938, rafela => 7240, rafet  => 2586, raffa  => 6202, raffael
                               => 546,
                        raffaela
                               => 902, raffaele
                               => 1929,
                        raffaella
                               => 4753, raffaello
                               => 10120,
                        rafiqi => 8559, ragip  => 4648, ragmi  => 8947, ragna  => 5427, ragnar => 3664,
                        ragnhild
                               => 11484, rahele => 6085,
                        raheleh
                               => 10111, rahime => 1767,
                        rahmi  => 3234, rahsan => 4498, raicu  => 8771, raif   => 3800, raife  => 11383,
                        raija  => 11678, raik   => 1407, raika  => 11003, raiko  => 4816,
                        raim   => 6369, raimar => 8864, raimo  => 6838, raimond
                               => 4646,
                        raimonda
                               => 9081, raimondo
                               => 5579,
                        raimund
                               => 328, rainald
                               => 11569,
                        raingard
                               => 9399, rainhard
                               => 2045,
                        rainhold
                               => 9098, raini  => 3468,
                        raissa => 5995, rajana => 3940, rajfa  => 7802, rajka  => 2562, rajko  => 1281,
                        rajmond
                               => 7078, rajmund
                               => 7469,
                        rakip  => 9082, rale   => 4927, ralf   => 53, ralfi  => 10545, ralitsa
                               => 9503,
                        ralle  => 2612, ralli  => 8970, rally  => 11005, ralph  => 444, raluca => 1466,
                        raluka => 5748, ramazan
                               => 339,
                        rambo  => 3301, ramco  => 8345, ramija => 6164, ramin  => 1793, ramina => 9526,
                        ramis  => 5473, ramish => 10405, ramiz  => 2267, ramiza => 1717,
                        ramize => 9187, ramo   => 2886, ramona => 219, ramsi  => 8989, ramtin => 9744,
                        ramunas
                               => 11312, ramush => 5659,
                        ramute => 11730, ramzan => 8093, ramzija
                               => 5968,
                        randi  => 5189, rando  => 9128, randolf
                               => 3064,
                        randolph
                               => 5789, rangin => 10447,
                        ranica => 5291, ranja  => 8022, ranjot => 6599, ranka  => 2419, ranko  => 1607,
                        raoul  => 2535, rapha  => 4674, raphael
                               => 172,
                        raphaela
                               => 488, raphe  => 9363,
                        raphi  => 940, raphie => 7977, raphii => 4072, rapid  => 2839, rares  => 3848,
                        rasa   => 4051, rasan  => 11173, rascha => 8546, rasched
                               => 9165,
                        raschid
                               => 5081, rasema => 2747,
                        rashit => 10601, rasidovic
                               => 6439,
                        rasim  => 905, rasima => 2638, rasime => 6056, rasit  => 2516, rasmus => 4197,
                        rasoul => 6942, rasti  => 10683, rastislav
                               => 4971,
                        rastko => 6313, ratchanee
                               => 11223,
                        ratka  => 5307, ratko  => 1270, ratree => 10701, rattana
                               => 11182,
                        ratte  => 11423, ratze  => 11725, raupe  => 11779, ravza  => 7807,
                        rayk   => 3509, rayko  => 6265, raymund
                               => 6334,
                        razeq  => 7020, razica => 9359, razieh => 7411, razija => 2711, razije => 5866,
                        raziye => 2099, razvan => 3180, rebar  => 6153, rebaz  => 6696, rebecca
                               => 430,
                        rebecka
                               => 6806, rebekka
                               => 1012,
                        reber  => 5073, rebija => 7356, rebin  => 7653, rebwar => 7422, recai  => 2461,
                        recardo
                               => 10090, recayi => 6709,
                        recep  => 607, recko  => 8482, redjep => 10967, rednaxela
                               => 8592,
                        redon  => 9074, redouan
                               => 7553,
                        redur  => 11643, redzep => 2296, redzepi
                               => 7309,
                        redzo  => 3261, reemt  => 10292, refet  => 10603, refice => 9943,
                        refija => 2485, refik  => 1621, refika => 2425, refiye => 10019,
                        refki  => 4706, regi   => 4592, regina => 142, regine => 840, regjep => 10137,
                        regloh => 11565, regula => 9734, rehak  => 8158, reihard
                               => 8519,
                        reik   => 3505, reike  => 11819, reiko  => 3383, reimar => 5443,
                        reimo  => 10326, reimond
                               => 10613,
                        reimund
                               => 1981, reinald
                               => 7027,
                        reinelde
                               => 4887, reiner => 388,
                        reinfried
                               => 3001, reingard
                               => 1756,
                        reinhard
                               => 111, reinhart
                               => 1823,
                        reinhild
                               => 3434, reinhilde
                               => 1861,
                        reinhold
                               => 275, reini  => 474,
                        reinmar
                               => 8721, reinold
                               => 4715,
                        reitstall
                               => 6841, rejhan => 9721,
                        rejhana
                               => 5930, rejhane
                               => 7939,
                        reka   => 1859, rekan  => 7742, reklov => 11336, relana => 11329,
                        relja  => 6968, relli  => 6873, remco  => 9550, remigius
                               => 6058,
                        remigiusz
                               => 5776, remko  => 9470,
                        remmer => 11462, remo   => 1839, remus  => 4962, remza  => 6915,
                        remzat => 9839, remzi  => 1611, remzie => 10531, remzija
                               => 3246,
                        remzije
                               => 4010, remziye
                               => 2966,
                        remzo  => 4447, rena   => 1779, renajla
                               => 7520,
                        renald => 9093, renaldo
                               => 4238,
                        renas  => 4160, renat  => 8419, renata => 1384, renate => 60, renatus
                               => 11188,
                        rene   => 127, renee  => 4272, reneta => 10985, rengin => 8700, renginar
                               => 9905,
                        reni   => 2089, renia  => 8664, renke  => 5095, renko  => 10920,
                        reno   => 2163, renschi
                               => 9004,
                        resa   => 5205, resad  => 8323, resan  => 8483, resat  => 3343, reshad => 7858,
                        reshat => 5901, resi   => 705, resid  => 6981, resii  => 5515, resit  => 4780,
                        reski  => 9558, resmije
                               => 5848,
                        resmiye
                               => 8531, resul  => 1028,
                        resula => 9458, reteid => 11680, retep  => 7699, reto   => 6581,
                        reuf   => 3555, reventon
                               => 9566,
                        revilo => 4449, rexhep => 1770, rexi   => 6743, reyhan => 1135, reyk   => 7623,
                        reza   => 989, rezan  => 2959, rezart => 10489, rezarta
                               => 10490,
                        rezayi => 7039, rezgar => 8754, rezzan => 6958, rhlh   => 7023, riadh  => 5675,
                        ribana => 9968, rica   => 2677, ricarda
                               => 930,
                        riccarda
                               => 2304, riccardo
                               => 1298,
                        ricci  => 6045, riccio => 9389, ricco  => 3569, riccy  => 6337, richarda
                               => 6342,
                        richi  => 3167, richy  => 3576, rici   => 2352, rick   => 1143, ricki  => 5582,
                        ricko  => 10975, rico   => 452, ricsi  => 8217, ridvan => 2062, rieka  => 10265,
                        rieke  => 2086, rifat  => 2269, rifet  => 2295, rifeta => 5605, rigo   => 3172,
                        rigobert
                               => 8642, rijad  => 2180,
                        rika   => 3296, rike   => 1614, riko   => 4650, rilana => 4024, rilind => 2828,
                        rimma  => 5721, rinaldo
                               => 4253,
                        rinas  => 8805, rinat  => 8581, rinesa => 5550, ringo  => 1763, rinna  => 11074,
                        rino   => 3404, rinor  => 1549, ripsime
                               => 9077,
                        riste  => 5691, risto  => 7992, rita   => 338, ritchi => 11217, ritchy => 9910,
                        ritschi
                               => 3788, ritva  => 11646,
                        rivan  => 11073, riza   => 1835, rizah  => 5138, rizan  => 6920,
                        rizgar => 7655, rizvic => 5687, rmzn   => 8194, roald  => 10549,
                        robbe  => 9827, robbert
                               => 10861,
                        robbi  => 6162, robbin => 8624, robby  => 1167, robert => 83, robertas
                               => 11408,
                        robin  => 276, robschi
                               => 5688,
                        robsen => 10270, robsn  => 5573, rocco  => 988, rochus => 4483, rocka  => 11372,
                        rocko  => 8156, roderich
                               => 6904,
                        rodi   => 3425, rodica => 3108, rodion => 8021, rodoljub
                               => 5411,
                        roeland
                               => 8942, rohat  => 5068,
                        rohollah
                               => 5812, rohullah
                               => 2403,
                        rojbin => 11755, rojda  => 3204, rojhat => 5048, rojin  => 3306,
                        rokan  => 7825, roko   => 6444, roksana
                               => 3896,
                        roland => 86, rolandas
                               => 11564,
                        rolf   => 260, rolfi  => 10669, roli   => 927, rolli  => 5087, rollo  => 6837,
                        romal  => 7859, roman  => 102, romana => 185, romano => 2067, romanovic
                               => 7287,
                        romanus
                               => 11225, romed  => 2094,
                        romedius
                               => 9209, romek  => 6834,
                        romelic
                               => 7340, romica => 8640,
                        romina => 1023, rommy  => 6016, romuald
                               => 5017,
                        romulus
                               => 10763, romy   => 649,
                        ron    => 855, ronahi => 10141, ronald => 526, ronja  => 917, ronni  => 4659,
                        ronny  => 195, ronya  => 8549, roozbeh
                               => 11124,
                        rosali => 7180, rosalinde
                               => 1223,
                        rosamunde
                               => 4092, rosaria
                               => 3171,
                        rosca  => 5703, rosel  => 3637, roselinde
                               => 10911,
                        rosemarie
                               => 291, rosen  => 3996,
                        rosetta
                               => 4470, roshanak
                               => 10462,
                        rosi   => 598, rosica => 10779, rositha
                               => 10092,
                        rositsa
                               => 7420, rositta
                               => 4671,
                        rosl   => 4570, rosmarie
                               => 714,
                        rossano
                               => 9270, rossella
                               => 4311,
                        rossen => 10807, rossitza
                               => 9111,
                        rostam => 7827, rosu   => 3864, roswita
                               => 2369,
                        roswitha
                               => 168, rotariu
                               => 6946,
                        rotaru => 9928, rotraud
                               => 2857,
                        rotraut
                               => 7674, rottmayers
                               => 9573,
                        roula  => 4589, roumen => 7690, rouven => 1588, rouwen => 11471,
                        rovena => 10484, rowitha
                               => 7797,
                        roya   => 3398, rozalia
                               => 5615,
                        rozerin
                               => 8681, rozsa  => 5191,
                        rrahim => 3971, rrahman
                               => 3969,
                        rrezarta
                               => 5248, rrustem
                               => 5225,
                        ruap   => 6211, rubija => 6536, rudi   => 221, rudiger
                               => 436,
                        rudl   => 4168, rudolf => 133, rudolfine
                               => 3461,
                        rudolfo
                               => 4440, ruediger
                               => 1672,
                        rufat  => 9157, ruffy  => 9504, rufus  => 7594, ruggero
                               => 8685,
                        ruhat  => 5349, ruhi   => 5134, ruhollah
                               => 7018,
                        ruhulla
                               => 7879, ruhullah
                               => 5197,
                        rujdi  => 7577, rukan  => 9719, ruken  => 6176, rukija => 5460, rukije => 7097,
                        rukiye => 1057, rumen  => 3192, rumenka
                               => 5501,
                        rumeysa
                               => 2477, rumiana
                               => 4130,
                        rumyana
                               => 4973, rune   => 5755,
                        rupert => 301, ruperta
                               => 2956,
                        rupi   => 3677, ruppi  => 7312, rusen  => 8498, rusiti => 9164, rusmir => 2735,
                        rusmira
                               => 5429, rustem => 3046,
                        rustu  => 5633, rusu   => 3182, ruta   => 4862, ruthild
                               => 9334,
                        ruud   => 3474, ruvejda
                               => 7462,
                        ruven  => 5256, ruveyda
                               => 7447,
                        ruwen  => 6816, ruxandra
                               => 8300,
                        ruya   => 2988, ruza   => 952, ruzena => 4408, ruzgar => 7315, ruzhdi => 3714,
                        ruzica => 677, ryszard
                               => 2424,
                        rytis  => 11754, rzgar  => 10219, saadet => 1563, saadettin
                               => 10242,
                        sabahat
                               => 5879, sabahattin
                               => 3903,
                        sabaheta
                               => 5108, sabahudin
                               => 2539,
                        saban  => 1025, sabatino
                               => 10933,
                        sabau  => 8314, sabbel => 10213, sabbi  => 6906, sabby  => 10084,
                        sabedin
                               => 5876, sabeth => 7482,
                        sabeur => 10287, sabi   => 1812, sabiene
                               => 5331,
                        sabiha => 3759, sabii  => 2091, sabine => 11, sabines
                               => 8833,
                        sabire => 7949, sabit  => 3299, sabo   => 5967, sabri  => 1285, sabrie => 9099,
                        sabriina
                               => 3102, sabrija
                               => 3427,
                        sabrije
                               => 4697, sabrina
                               => 78,
                        sabrini
                               => 9361, sabriye
                               => 3040,
                        sabs   => 2977, sabse  => 4845, sabsi  => 1528, sabsii => 2663, sabsl  => 9101,
                        sabsn  => 10023, sabsy  => 8458, saca   => 5279, sacir  => 6347,
                        sadedin
                               => 7138, sadegh => 5144,
                        sadegul
                               => 5446, sader  => 10412,
                        sadet  => 5947, sadeta => 2306, sadete => 3956, sadettin
                               => 2330,
                        sadic  => 8425, sadija => 2954, sadije => 3730, sadik  => 3931, sadiki => 10769,
                        sadina => 3093, sadiye => 3630, sadmir => 3746, sadmira
                               => 6212,
                        sadok  => 9896, sadri  => 4080, sadrija
                               => 6975,
                        sadullah
                               => 3347, saduman
                               => 5010,
                        sadun  => 10400, sadush => 5860, sadzida
                               => 7988,
                        saeid  => 3514, saerdna
                               => 5471,
                        safak  => 2303, safet  => 795, safeta => 1870, safete => 7090, saffet => 3617,
                        safija => 2659, safin  => 10851, safiye => 1818, sagewerk
                               => 8286,
                        sagvan => 11189, sahand => 6796, sahap  => 11842, sahbi  => 8997,
                        sahit  => 5525, sahra  => 1688, sahsenem
                               => 10369,
                        saibot => 8772, saida  => 8279, saifon => 11184, saihttam
                               => 8967,
                        saikou => 10629, saime  => 2833, saimen => 11197, saimir => 9056,
                        sait   => 2319, sajma  => 4109, sajo   => 6907, sajra  => 4126, sakaria
                               => 11111,
                        sakaryali
                               => 6700, sakiba => 4954,
                        sakic  => 6396, sakin  => 9821, sakine => 2122, sakip  => 10541,
                        sakir  => 3293, sakis  => 2559, salajeanu
                               => 9387,
                        salar  => 2929, saldin => 6034, saldina
                               => 7532,
                        sali   => 1639, saliba => 10955, salih  => 873, saliha => 2685, salija => 9053,
                        salko  => 2463, sallar => 8212, salomea
                               => 7733,
                        saloua => 6183, salute => 9357, salva  => 3767, salvatore
                               => 641,
                        salvatrice
                               => 10883, salvina
                               => 8615,
                        salvo  => 2538, salwan => 8690, samanda
                               => 10582,
                        samaneh
                               => 9049, samed  => 2818,
                        samedin
                               => 5898, samet  => 642,
                        samil  => 7278, samiye => 7826, samka  => 4132, samko  => 6812, samoht => 5040,
                        samsunlu
                               => 8896, samuele
                               => 4903,
                        samvel => 9749, sanaz  => 6343, sancanin
                               => 8014,
                        sancar => 11394, sancho => 7153, sandii => 4507, sandis => 11280,
                        sando  => 9576, sandor => 1321, sandra => 16, sandrina
                               => 3819,
                        sandrino
                               => 9172, sandro => 563,
                        sandu  => 5470, sandy  => 469, sanel  => 953, sanela => 389, sanella
                               => 6084,
                        sanem  => 8058, saner  => 10029, sania  => 8593, sanida => 5367,
                        sanie  => 7919, saniel => 6853, sanii  => 4320, sanija => 9545, sanije => 3056,
                        sanijel
                               => 8195, saniye => 1542,
                        sanja  => 344, sanjin => 2924, sanne  => 2118, sanni  => 3076, sanny  => 1897,
                        santina
                               => 4460, santino
                               => 3546,
                        sanver => 7729, saphira
                               => 6119,
                        sara   => 4104, sarafina
                               => 10753,
                        sarah  => 87, saranda
                               => 2936, sarbast
                               => 5447,
                        sargon => 7430, sarhad => 7855, sarhang
                               => 10360,
                        sarii  => 10674, sarina => 1392, sariye => 9424, sarka  => 3305,
                        sarkawt
                               => 11415, sarmad => 5131,
                        sarolta
                               => 3683, sasa   => 318,
                        sasan  => 5475, sasch  => 5006, sascha => 85, sascia => 10234, sash   => 5743,
                        sashko => 10012, sasho  => 5376, sasii  => 8236, saska  => 8197,
                        saskia => 343, sasko  => 6623, saskya => 11716, sassa  => 9308, sassan => 5548,
                        sassi  => 3135, satenik
                               => 7974,
                        sati   => 6538, satilmis
                               => 3023,
                        satiye => 7962, saudin => 5543, saulius
                               => 10315,
                        sausan => 10068, savanna
                               => 10704,
                        savas  => 1356, saverio
                               => 3809,
                        saveta => 5244, savica => 6233, savino => 10662, savka  => 2665,
                        savo   => 1643, savu   => 7247, savvas => 3745, sawas  => 11619,
                        sayim  => 8604, sayit  => 6391, saynur => 4473, sazan  => 10502,
                        saziye => 3178, scania => 10562, scarlat
                               => 8051,
                        scarlett
                               => 2964, schabernig
                               => 7380,
                        schadi => 7713, schady => 7875, schaf  => 7617, schahin
                               => 8761,
                        schalker
                               => 10272, schamil
                               => 2875,
                        scharif
                               => 9180, schati => 9579,
                        schatzi
                               => 4262, schawo => 10245,
                        schenja
                               => 11563, scherin
                               => 8857,
                        schero => 8088, schiar => 5482, schirin
                               => 3639,
                        schlomo
                               => 8854, schmetterling
                               => 11337,
                        schmiedberger
                               => 9211, schnatti
                               => 11742,
                        schnecke
                               => 8919, schnee => 4236,
                        schnucki
                               => 6879, schnuffel
                               => 10354,
                        schnuffi
                               => 11628, schnulli
                               => 11452,
                        schoko => 3030, schor  => 8959, schorsch
                               => 3196,
                        schorschi
                               => 8440, schos  => 9310,
                        schreinerei
                               => 11405, schubi => 11473,
                        schulle
                               => 10225, schurl => 2553,
                        schurli
                               => 3048, schurlli
                               => 9765,
                        schw   => 6122, scotty => 8622, scurtu => 8287, sead   => 756, seas   => 5458,
                        seat   => 8010, sebahat
                               => 1901,
                        sebahate
                               => 7267, sebahattin
                               => 2460,
                        sebald => 7337, sebastian
                               => 18,
                        sebastiano
                               => 2507, sebastijan
                               => 3322,
                        sebastjan
                               => 7076, sebat  => 10007,
                        sebaydin
                               => 10919, sebbi  => 10312,
                        sebbo  => 10294, sebi   => 690, sebiha => 3018, sebii  => 3749, sebila => 9409,
                        sebile => 8441, sebina => 3380, sebnem => 3596, sebo   => 3336, seby   => 6332,
                        secheli
                               => 8957, secil  => 3680,
                        secira => 9250, seckin => 3471, seda   => 958, sedad  => 6463, sedan  => 11653,
                        sedanur
                               => 8401, sedat  => 853,
                        sedef  => 2766, seden  => 11045, sedigheh
                               => 8386,
                        sedija => 6477, sedin  => 2550, sedina => 2432, sediq  => 10420,
                        sedo   => 7614, seerestaurant
                               => 9367,
                        sefa   => 1216, sefanur
                               => 5503,
                        sefat  => 10433, sefedin
                               => 4689,
                        sefer  => 1963, sefija => 4900, sefik  => 2301, sefika => 1686, sefira => 9557,
                        sefka  => 8213, sefkan => 8743, sefket => 6717, sefko  => 6231, sefo   => 7077,
                        segel  => 6911, seher  => 957, seherzada
                               => 2607,
                        sehmus => 4803, sehmuz => 11411, sehri  => 5598, sehriban
                               => 3838,
                        sehzada
                               => 9236, seide  => 10821,
                        seifi  => 8073, seiko  => 10748, seimen => 11355, seinab => 10392,
                        sejad  => 1927, sejda  => 5240, sejdi  => 3964, sejdo  => 3738, sejfi  => 7213,
                        sejfudin
                               => 9492, sejhan => 6569,
                        sejla  => 1483, sejo   => 8308, seka   => 6547, sekernaz
                               => 9707,
                        seki   => 2904, seko   => 7341, selahaddin
                               => 10314,
                        selahatin
                               => 6553, selahattin
                               => 1398,
                        selajdin
                               => 5897, selamet
                               => 10590,
                        selami => 2276, selatin
                               => 6824,
                        selay  => 10844, selcan => 2788, selcuk => 956, selda  => 991, seldin => 5485,
                        selehattin
                               => 8240, selen  => 3841,
                        selenay
                               => 8654, seli   => 1458,
                        selii  => 3839, selim  => 1000, selime => 3071, selin  => 730, selina => 218,
                        selinay
                               => 6692, seline => 6571,
                        selli  => 3869, sello  => 10565, selma  => 827, selman => 2752, selmin => 7387,
                        selmina
                               => 8516, selmir => 2087,
                        selmon => 10580, selo   => 3798, selvedin
                               => 2768,
                        selvedina
                               => 4770, selver => 2011,
                        selvet => 7970, selvete
                               => 6096,
                        selvi  => 3631, selvije
                               => 3539,
                        selvinaz
                               => 10615, selvir => 3813,
                        selvira
                               => 4286, sema   => 1338,
                        semahat
                               => 10041, semanur
                               => 4164,
                        semavi => 7318, semen  => 7886, semi   => 2742, semida => 8748, semih  => 981,
                        semiha => 2240, semin  => 3348, semina => 8017, semine => 10614,
                        semir  => 910, semire => 9785, semiye => 9802, semjon => 11330, semka  => 4102,
                        semko  => 7980, semmy  => 10918, semra  => 762, semsa  => 1939, semsettin
                               => 5314,
                        semsi  => 4785, semso  => 2682, semsudin
                               => 3407,
                        semy   => 8340, sena   => 2812, senad  => 557, senada => 733, senadin
                               => 5023,
                        senahid
                               => 3764, senaid => 2146,
                        senanur
                               => 7429, senay  => 2246,
                        senci  => 8302, sendogan
                               => 7501,
                        senedin
                               => 9338, senel  => 3038,
                        senem  => 1748, sener  => 3011, sengul => 1816, seni   => 4594, senid  => 5724,
                        senida => 3364, senih  => 7641, seniha => 4744, senija => 2092, senita => 3851,
                        seniz  => 11607, senja  => 10583, senka  => 2044, senko  => 8783,
                        sennahoj
                               => 6031, sennur => 3887,
                        senol  => 1124, sensiz => 10823, senta  => 3107, sepehr => 3523,
                        sepi   => 4284, sepideh
                               => 6557,
                        sepp   => 311, seppe  => 9829, seppel => 5283, sepperl
                               => 9711,
                        seppi  => 815, seppl  => 2967, seppo  => 9569, serafettin
                               => 2702,
                        serafim
                               => 8102, serafina
                               => 5235,
                        serafine
                               => 7248, serafino
                               => 7592,
                        serap  => 1069, seraphina
                               => 9552,
                        seraphine
                               => 9533, seray  => 6172,
                        serban => 9417, serbest
                               => 10946,
                        sercan => 1673, serco  => 11033, serda  => 10597, serdal => 1438,
                        serdar => 597, seref  => 1572, serenay
                               => 10850,
                        serg   => 6493, sergei => 2396, sergej => 571, sergejs
                               => 11368,
                        sergen => 1977, sergey => 1900, serghei
                               => 6239,
                        sergiu => 2715, sergius
                               => 7722,
                        sergul => 8503, serhad => 8727, serhan => 3123, serhat => 797, seriban
                               => 10149,
                        serif  => 1649, serifa => 5444, serife => 1310, serjoscha
                               => 11332,
                        serkan => 424, sermin => 2963, sero   => 4658, seroga => 10231, serpil => 805,
                        sertac => 4581, sertan => 4232, servan => 8579, servas => 8416, servet => 1259,
                        servete
                               => 7059, serwan => 5800,
                        serya  => 11794, seryoga
                               => 11514,
                        setare => 10451, setareh
                               => 8437,
                        setayesh
                               => 5194, setki  => 7131,
                        seval  => 1505, sevala => 4319, sevan  => 7396, sevcan => 2148, sevda  => 1087,
                        sevdail
                               => 4623, sevdaim
                               => 9231,
                        sevdalin
                               => 6749, sevdalina
                               => 9740,
                        sevde  => 3827, sevdi  => 6088, sevdie => 10575, sevdije
                               => 3462,
                        sevdim => 10835, sevdin => 10841, sevdiye
                               => 10991,
                        severdjan
                               => 10249, severin
                               => 859,
                        severina
                               => 6468, severine
                               => 3175,
                        sevgi  => 879, sevgin => 4179, sevginar
                               => 8269,
                        sevgul => 5730, sevi   => 4244, sevil  => 2048, sevilay
                               => 1825,
                        sevim  => 794, sevin  => 5965, sevinc => 1733, sevinch
                               => 10831,
                        seviye => 11010, sevjan => 11004, sevka  => 7910, sevkan => 6640,
                        sevket => 1800, sevki  => 3668, sevtap => 4758, sevval => 2741, seweryn
                               => 7381,
                        sewi   => 3642, seyar  => 10419, seycan => 6537, seyda  => 2970,
                        seyde  => 9808, seydi  => 4732, seydo  => 11031, seyfettin
                               => 2902,
                        seyfi  => 2430, seyfo  => 6572, seyfullah
                               => 4497,
                        seyhan => 1431, seyhmus
                               => 6297,
                        seyho  => 11504, seyid  => 8536, seyit  => 1675, seyithan
                               => 10211,
                        seyma  => 1836, seymen => 5403, seynur => 10834, seyran => 7330,
                        seyyed => 6535, seyyid => 8583, sezai  => 1599, sezayi => 8938, sezen  => 2554,
                        sezer  => 1657, sezgin => 1383, sezin  => 10026, sezo   => 7672,
                        shaalan
                               => 11580, shaban => 2483,
                        shaghayegh
                               => 8379, shahla => 4383,
                        shaho  => 9210, shahram
                               => 3519,
                        shahreza
                               => 8625, shahrokh
                               => 5874,
                        shahryar
                               => 10413, shahrzad
                               => 7882,
                        shahwan
                               => 11854, shaip  => 4696,
                        shakiba
                               => 10435, shaleen
                               => 11144,
                        shamo  => 8582, shanice
                               => 4335,
                        shapoor
                               => 10425, shaqir => 6974,
                        shaqiri
                               => 7221, sharareh
                               => 9598,
                        sharbel
                               => 10094, shari  => 3002,
                        sharleen
                               => 8501, shear  => 10415,
                        shefik => 7086, shefket
                               => 7363,
                        shefki => 4686, shefkije
                               => 8312,
                        shefqet
                               => 5172, shehide
                               => 5476,
                        sheida => 10685, sheki  => 4520, shekib => 10421, shemi  => 8979,
                        shemsedin
                               => 6807, shemsi => 3060,
                        shemsije
                               => 7724, shenasi
                               => 8858,
                        shenay => 9813, shendrit
                               => 9915,
                        shenja => 10341, shenol => 6238, shenoll
                               => 6281,
                        sheremet
                               => 8013, shergill
                               => 7727,
                        sherko => 9678, sherlock
                               => 9823,
                        shermin
                               => 10854, shero  => 4860,
                        shervan
                               => 10214, shervin
                               => 8410,
                        sherwan
                               => 5032, sherzad
                               => 5153,
                        sheval => 7556, shevan => 9706, shex   => 5461, sheyda => 10119,
                        shiar  => 5734, shiatsu
                               => 9090,
                        shideh => 9988, shilan => 8444, shindar
                               => 8626,
                        shinichi
                               => 11076, shinji => 10077,
                        shinwari
                               => 3947, shirin => 1701,
                        shirshah
                               => 5811, shirwan
                               => 11440,
                        shirzad
                               => 9009, shisha => 10179,
                        shivan => 5477, shiyar => 6180, shkelqim
                               => 2579,
                        shkelzen
                               => 2718, shkembim
                               => 9670,
                        shkendije
                               => 5226, shkodran
                               => 3081,
                        shkumbin
                               => 10536, shkurta
                               => 4700,
                        shkurte
                               => 4698, shnkl  => 10308,
                        shohreh
                               => 8307, shokufeh
                               => 7265,
                        shor   => 7644, shorty => 6661, shovda => 8601, shpat  => 7106, shpejtim
                               => 2534,
                        shpend => 2497, shpendi
                               => 7055,
                        shpendim
                               => 6550, shpetim
                               => 2340,
                        shpresa
                               => 1958, shpresim
                               => 10517,
                        shqipe => 1845, shqiprim
                               => 3920,
                        shqipron
                               => 3808, shqiptar
                               => 7171,
                        shtjefen
                               => 7108, shuajb => 5266,
                        shukrije
                               => 8306, shvan  => 4642,
                        shwan  => 8773, shyar  => 10183, shyhrete
                               => 7178,
                        shyqeri
                               => 7124, siaband
                               => 8264,
                        siamak => 4871, siamand
                               => 11185,
                        siavash
                               => 5496, siawash
                               => 7014,
                        siban  => 8762, sibel  => 712, sibela => 4708, sibilla
                               => 9033,
                        sibille
                               => 3273, sibitz => 9716,
                        sibyll => 11675, sibylla
                               => 4283,
                        sibylle
                               => 549, sicilia
                               => 11445,
                        sidal  => 11841, sidan  => 11634, sidar  => 5030, siddik => 11651,
                        sidika => 4184, sidonia
                               => 9278,
                        sidonie
                               => 9415, siegbert
                               => 2338,
                        siegfrid
                               => 11747, siegfried
                               => 200,
                        sieghard
                               => 3177, sieghart
                               => 6559,
                        siegi  => 850, siegie => 7320, sieglinde
                               => 309,
                        siegmar
                               => 2300, siegmund
                               => 1684,
                        siegrid
                               => 1587, siegried
                               => 11488,
                        siegrun
                               => 2318, siegwald
                               => 5170,
                        siegward
                               => 11406, sietar => 9677,
                        sifet  => 5977, sigbert
                               => 8491,
                        sigfried
                               => 5644, siggi  => 947,
                        siggy  => 9916, sigi   => 377, sigibert
                               => 8850,
                        sigismund
                               => 11587, sigita => 10578,
                        sigitas
                               => 11784, sigliende
                               => 9726,
                        siglinde
                               => 2202, sigmar => 6278,
                        sigmund
                               => 3285, signe  => 8396,
                        signorina
                               => 10585, sigrid => 233,
                        sigrun => 1561, sigurd => 2927, sihana => 5268, siimone
                               => 9230,
                        siina  => 11573, siiri  => 10320, sila   => 2814, silan  => 6616,
                        silard => 9885, silas  => 1711, silja  => 2868, silka  => 6720, silke  => 135,
                        silko  => 5816, silky  => 11083, sille  => 4031, silli  => 6022,
                        silv   => 7031, silvan => 3020, silvana
                               => 721,
                        silvester
                               => 1925, silvestro
                               => 11183,
                        silvi  => 2105, silvia => 192, silvie => 3337, silvii => 5956, silvija
                               => 1009,
                        silvio => 492, silviq => 6503, silviu => 2216, silviya
                               => 5301,
                        silvo  => 9577, simav  => 8990, simay  => 10698, simbad => 6675,
                        simge  => 2429, simika => 9356, simin  => 5867, simina => 4115, simona => 931,
                        simone => 113, simonedith
                               => 9931,
                        simonetta
                               => 9332, simos  => 11040,
                        simsala
                               => 11637, simsi  => 4963,
                        simun  => 8629, sina   => 417, sinah  => 4558, sinaida
                               => 8866,
                        sinan  => 748, sinasi => 3628, sindy  => 860, sinem  => 1245, sinisa => 758,
                        sinja  => 3609, sinje  => 7763, sinned => 6870, sintija
                               => 11550,
                        sinto  => 7819, siola  => 5915, sipan  => 3271, sipos  => 5034, sippi  => 9819,
                        sirac  => 7466, siri   => 3516, sirikit
                               => 6388,
                        sirin  => 3009, siriporn
                               => 10065,
                        sirka  => 11326, sirkka => 11505, sirko  => 3070, sirod  => 5935,
                        sirri  => 11080, sirus  => 9769, sirvan => 6452, sirwan => 6263,
                        sissi  => 575, sissy  => 560, sitki  => 5555, sitta  => 10974, sivas  => 8766,
                        sivasli
                               => 8280, sixten => 10375,
                        siyabend
                               => 10330, siyah  => 10732,
                        siyamend
                               => 11714, siyami => 7923,
                        siyar  => 4610, sizar  => 11048, skadi  => 5813, skander
                               => 7470,
                        skender
                               => 2576, skenderija
                               => 9756,
                        skipper
                               => 10647, skorpion
                               => 10843,
                        slaca  => 9539, slada  => 9920, sladan => 2624, sladana
                               => 1633,
                        sladi  => 3388, sladja => 2008, sladjan
                               => 948,
                        sladjana
                               => 418, slady  => 9159,
                        slatki => 9445, slava  => 3047, slavcho
                               => 7611,
                        slaven => 1804, slavi  => 2604, slavica
                               => 359,
                        slavisa
                               => 809, slavka => 6530,
                        slavko => 780, slavo  => 4398, slavojka
                               => 5528,
                        slavoljub
                               => 1687, slawa  => 3211,
                        slawek => 3490, slawik => 11325, slawo  => 7697, slawomir
                               => 3053,
                        sleiman
                               => 10044, sloba  => 2815,
                        slobi  => 4960, slobo  => 3923, slobodan
                               => 586,
                        slobodanka
                               => 1331, sloby  => 7757,
                        slotomania
                               => 7187, smajil => 9403,
                        smajl  => 3542, smajo  => 3295, smili  => 9606, smilja => 2156, smiljan
                               => 5320,
                        smiljana
                               => 2899, smiljka
                               => 3834,
                        smilla => 8764, smoky  => 4614, smolik => 9430, snej   => 6840, snejana
                               => 6610,
                        sneki  => 2905, sneza  => 2150, snezana
                               => 391,
                        snezhana
                               => 7061, snjesko
                               => 8484,
                        snjeza => 7421, snjezana
                               => 737,
                        snoopy => 7250, socke  => 11375, soenke => 5453, soeren => 2876,
                        sofie  => 1962, sofien => 7123, sofiene
                               => 10909,
                        sofija => 1787, sofije => 10526, sogi   => 7560, soheil => 4054,
                        soheila
                               => 5877, soheyla
                               => 5577,
                        sohnke => 8827, sokol  => 3911, sokratis
                               => 7093,
                        soleiman
                               => 10720, solin  => 8713,
                        solli  => 8900, solongo
                               => 8752,
                        solveig
                               => 1913, solveigh
                               => 7734,
                        solvejg
                               => 11358, solvig => 7805,
                        somar  => 6917, somaye => 10446, somayeh
                               => 7876,
                        somjai => 11085, somjit => 10124, sommai => 11191, somphit
                               => 6102,
                        sompong
                               => 11087, somporn
                               => 8553,
                        sona   => 4385, sonata => 10082, sonay  => 4808, soner  => 1010,
                        songuel
                               => 10396, songul => 802,
                        sonia  => 9268, sonija => 7457, sonila => 10465, sonja  => 47, sonjaa => 9127,
                        sonjs  => 8963, sonka  => 9800, sonke  => 1205, sonnen => 3128, sonnhild
                               => 11606,
                        sonni  => 5084, sonntagbauer
                               => 9572,
                        sonnur => 11356, sonschi
                               => 6094,
                        sopha  => 10758, sophia => 516, sophie => 366, sophiie
                               => 6697,
                        soran  => 4774, soren  => 601, sores  => 11756, sorin  => 2177, sorina => 2159,
                        sorinel
                               => 8200, soroush
                               => 7871,
                        sotiria
                               => 8795, sotirios
                               => 4196,
                        sotiris
                               => 4909, sotos  => 11239,
                        soufian
                               => 3288, soula  => 6252,
                        soultana
                               => 10924, soydan => 11467,
                        soykan => 11025, sozdar => 6729, spaqi  => 8813, spasa  => 9043,
                        spasic => 7762, spasoje
                               => 4457,
                        speedy => 4300, spico  => 9892, spike  => 5366, spiridon
                               => 8557,
                        spiro  => 6969, spiros => 3552, spomenka
                               => 1720,
                        spomenko
                               => 5979, spyridon
                               => 8714,
                        spyro  => 11640, spyros => 4771, srba   => 5683, srbica => 8254,
                        srbijanka
                               => 5498, srbislav
                               => 9935,
                        srboljub
                               => 8373, srce   => 6628,
                        srdan  => 4635, srdjan => 833, srebrenka
                               => 9508,
                        srecko => 1396, sreco  => 5682, sreten => 2445, sretko => 4629, sreto  => 6345,
                        srki   => 4511, stamatia
                               => 10156,
                        stamatis
                               => 11251, stana  => 1250,
                        stanciu
                               => 4591, stancu => 4949,
                        stane  => 6029, stani  => 1732, stanica
                               => 8882,
                        stanija
                               => 7593, stanimir
                               => 3213,
                        stanimirka
                               => 6470, stanisa
                               => 2517,
                        stanislaus
                               => 3665, stanislav
                               => 2215,
                        stanislava
                               => 5616, stanislaw
                               => 2555,
                        stanislawa
                               => 5651, stanka => 2107,
                        stanko => 1367, stanoja
                               => 8946,
                        stanoje
                               => 2978, stanojka
                               => 6449,
                        stanzi => 8537, stari  => 7893, stas   => 3286, stasa  => 5278, stasi  => 9069,
                        staszek
                               => 8712, stathis
                               => 6269,
                        stavros
                               => 2241, stavroula
                               => 5777,
                        stazija
                               => 9466, stef   => 908,
                        stefa  => 5420, stefan => 5, stefana
                               => 9454,
                        stefani
                               => 2629, stefania
                               => 1849,
                        stefanie
                               => 89, stefaniie
                               => 4078,
                        stefanija
                               => 4125, stefano
                               => 1305,
                        stefanos
                               => 3158, stefen => 10083,
                        steff  => 1086, steffan
                               => 2794,
                        steffani
                               => 11102, steffanie
                               => 3274,
                        steffen
                               => 95, steffi => 173, steffie
                               => 2335,
                        steffii
                               => 2363, steffl => 9463,
                        steffy => 4121, stefi  => 4426, stefica
                               => 3191,
                        stefie => 9510, stefii => 5281, stefka => 6585, stefo  => 5912, stei   => 7232,
                        steini => 8525, steira => 4994, stel   => 8163, stelian
                               => 7125,
                        steliana
                               => 6127, stelio => 10540,
                        stelios
                               => 3028, steliyan
                               => 9990,
                        steluta
                               => 5681, step   => 3096,
                        steph  => 1783, stepha => 6187, stephan
                               => 93,
                        stephanie
                               => 205, stephanus
                               => 11475,
                        stephi => 1988, stephie
                               => 1858,
                        steppi => 11803, stera  => 9680, stergios
                               => 5451,
                        sterni => 11621, stev   => 2613, steva  => 3502, stevan => 4276,
                        steve  => 394, steven => 303, stevi  => 11165, stevica
                               => 3794,
                        stevie => 3679, stevka => 5581, stevo  => 1461, stevoo => 9253, stiev  => 7741,
                        stieven
                               => 10874, stilianos
                               => 10178,
                        stina  => 3027, stine  => 3094, stini  => 7200, stipan => 3659, stipe  => 3280,
                        stipica
                               => 7899, stipo  => 1333,
                        stivan => 10013, stjepan
                               => 1116,
                        stoani => 9998, stoffi => 4991, stoffl => 5762, stoian => 6324, stoica => 4407,
                        stoja  => 2739, stojadin
                               => 7760,
                        stojadinovic
                               => 5024, stojan => 1551,
                        stojanka
                               => 2082, stojce => 9849,
                        stojisa
                               => 9207, stojna => 6226,
                        stole  => 4189, stolzer
                               => 5351,
                        stony  => 10627, stoph  => 9536, stoqn  => 9966, stoyan => 2679,
                        strahinja
                               => 3019, stratos
                               => 6829,
                        strick => 7246, struppi
                               => 8852,
                        stuntman
                               => 8369, stupsi => 7680,
                        stylianos
                               => 10169, suada  => 1137,
                        sualokin
                               => 9564, suat   => 1084,
                        suayip => 3421, subhija
                               => 5527,
                        suchada
                               => 11053, suciu  => 6997,
                        sucram => 10323, sucuk  => 6052, sudahan
                               => 11575,
                        sudarat
                               => 11055, sude   => 1712,
                        sudenaz
                               => 3166, sudenur
                               => 8406,
                        sudjai => 8585, sudo   => 5021, sueda  => 8189, suela  => 6375, sueleyman
                               => 11673,
                        suesse => 9671, suheda => 8598, suhee  => 10039, suheyla
                               => 3401,
                        suhra  => 6097, suhrab => 10408, suiram => 11847, sukanya
                               => 6925,
                        sukram => 5625, sukran => 1908, sukri  => 10021, sukrija
                               => 9549,
                        sukriye
                               => 4423, sukru  => 1391,
                        sula   => 5185, suleika
                               => 10903,
                        sulejman
                               => 1772, suley  => 11373,
                        suleyman
                               => 633, sulim  => 5599,
                        suljanovic
                               => 9750, suljo  => 2034,
                        sulltane
                               => 7116, sulo   => 4535,
                        sumalee
                               => 11058, sumbul => 11393,
                        sumea  => 6590, sumeja => 3588, sumeyra
                               => 2331,
                        sumeyya
                               => 7455, sumeyye
                               => 1992,
                        sumsi  => 4789, suna   => 1987, sunai  => 9983, sunay  => 2144, suncica
                               => 2713,
                        sundus => 8172, sunduz => 8184, sunee  => 9541, sungur => 7279, sunisa => 10061,
                        sunje  => 8865, sunna  => 10318, sunni  => 10411, supaporn
                               => 10064,
                        supattra
                               => 8070, suphaporn
                               => 8486,
                        suphi  => 7786, suray  => 9878, sureyya
                               => 3218,
                        surik  => 6871, susa   => 2590, susal  => 4557, susane => 9432, susann => 459,
                        susanna
                               => 1273, susanne
                               => 82,
                        suse   => 1634, susen  => 2617, susette
                               => 7667,
                        susi   => 247, susic  => 7268, susii  => 9318, suska  => 11320, susl   => 5324,
                        susn   => 4672, susses => 9340, sussi  => 8155, suvad  => 3267, suvada => 2610,
                        suval  => 7424, suveg  => 8605, suwanna
                               => 9629,
                        suza   => 2594, suzana => 1486, svantje
                               => 8953,
                        svea   => 2085, sven   => 25, svend  => 6325, sveni  => 5818, svenia => 8744,
                        svenja => 392, svenne => 10951, svenni => 10205, svenson
                               => 8870,
                        svente => 11750, svenya => 11220, sveti  => 3840, svetik => 11301,
                        svetislav
                               => 3486, svetla => 5637,
                        svetlana
                               => 887, svetlin
                               => 10928,
                        sveto  => 5076, svetomir
                               => 6011,
                        svetoslav
                               => 6129, svetozar
                               => 3184,
                        svijetlana
                               => 4487, svilen => 10934,
                        svitlana
                               => 3467, svjetlana
                               => 1339,
                        swaantje
                               => 11582, swantje
                               => 2009,
                        swen   => 838, swenja => 3292, swet   => 6839, sweta  => 4382, sweti  => 10313,
                        swetlana
                               => 1091, sybill => 11213,
                        sybilla
                               => 3830, sybille
                               => 823,
                        sydney => 3633, syle   => 7409, sylejman
                               => 3363,
                        sylemon
                               => 9451, sylke  => 994,
                        sylva  => 4935, sylvana
                               => 2111,
                        sylvi  => 2458, sylvia => 138, sylvio => 1605, sylwek => 10897, sylwester
                               => 3605,
                        sylwia => 1195, synke  => 11381, szabi  => 6118, szabina
                               => 2096,
                        szabolcs
                               => 1445, szandi => 8725,
                        szandra
                               => 3034, szasz  => 7543,
                        szczepan
                               => 6582, szibilla
                               => 10062,
                        szidonia
                               => 9588, szilard
                               => 3290,
                        szilveszter
                               => 4155, szilvi => 4228,
                        szilvia
                               => 881, szimonetta
                               => 7345,
                        szoke  => 7688, szonja => 4251, szucs  => 8339, szymon => 2721, tabarek
                               => 8731,
                        tabea  => 1048, tabitha
                               => 5479,
                        tacettin
                               => 3459, tacim  => 10143,
                        tadas  => 11311, taddy  => 11636, tadej  => 5175, tadeja => 4782,
                        tadek  => 11310, tadeus => 11313, tadeusz
                               => 3252,
                        tadica => 9948, tadija => 3344, tado   => 4306, tafallari
                               => 8873,
                        tafil  => 3720, taghi  => 10832, tagir  => 8355, tahere => 5149,
                        tahereh
                               => 10709, tahnee => 10882,
                        tahsin => 2095, taieb  => 10900, taifun => 11682, taip   => 5222,
                        taisiia
                               => 8361, taisiya
                               => 8411,
                        taja   => 7519, tajana => 4145, takacs => 3928, taki   => 5672, takis  => 6192,
                        tako   => 8079, talea  => 6304, talha  => 2348, talina => 10091,
                        talip  => 1751, talisa => 7576, talitha
                               => 8610,
                        tamana => 6341, tamara => 124, tamas  => 739, tamata => 9778, tamerlan
                               => 5664,
                        tami   => 2228, tamia  => 10096, tamii  => 2127, tamina => 3168,
                        tamino => 4079, tamira => 10776, tammam => 6914, tammi  => 7551,
                        tammo  => 3143, tamo   => 6945, tamuna => 6689, tanase => 5064, taner  => 978,
                        tani   => 3406, tanina => 9886, tanino => 9358, tanita => 4465, tanja  => 76,
                        tanjja => 10070, tanju  => 2393, tankred
                               => 11671,
                        tannaz => 11130, tanne  => 10910, tanni  => 5963, tanq   => 5677,
                        tanschi
                               => 5766, tansel => 9959,
                        tansu  => 7546, tante  => 2115, tanyel => 11499, taraneh
                               => 10457,
                        taranom
                               => 7024, tarhan => 8529,
                        tarik  => 5679, tarja  => 10741, tarkan => 2286, tascha => 3387,
                        taschi => 7715, tasim  => 9103, tasin  => 10592, tasja  => 7564,
                        tasos  => 3626, tasoula
                               => 11244,
                        tassilo
                               => 3118, tasso  => 5097,
                        tassos => 7608, tataru => 8586, tatia  => 10760, tatijana
                               => 3663,
                        tatjana
                               => 287, tatli  => 5020,
                        tatsiana
                               => 8268, tatti  => 6292,
                        taulant
                               => 4877, tawan  => 11075,
                        tayfun => 1194, tayfur => 3283, tayibe => 6191, tayip  => 11793,
                        taylan => 2211, tayyar => 8496, tayyip => 6531, tazio  => 9264, tefik  => 4885,
                        tehvida
                               => 6068, teija  => 10036,
                        tekla  => 9257, tekmile
                               => 6667,
                        tekno  => 4021, telat  => 3982, telse  => 10262, temel  => 2443,
                        temirlan
                               => 9141, temor  => 9016,
                        temur  => 9041, temuulen
                               => 8448,
                        tengis => 6140, tenzile
                               => 5091,
                        tenzin => 1704, teoman => 4907, teona  => 8095, tepic  => 7579, tercan => 8653,
                        terezia
                               => 2914, terezija
                               => 3603,
                        terezka
                               => 7800, terschan
                               => 9667,
                        tesanovic
                               => 6323, tesfalem
                               => 9283,
                        tesfit => 9291, teslime
                               => 6357,
                        tessa  => 1797, tessi  => 9535, tester => 10192, tetiana
                               => 6549,
                        tetyana
                               => 6542, teuta  => 3649,
                        tevfik => 2475, tevrat => 4894, teyfik => 8337, tezcan => 5587, thaddaus
                               => 5568,
                        thade  => 11065, thai   => 4116, thalea => 11539, thanasis
                               => 6430,
                        thang  => 4571, thanh  => 2035, thanos => 7129, thao   => 3623, thassilo
                               => 11654,
                        thea   => 1530, theda  => 6299, thees  => 10340, thekla => 2918,
                        themis => 9930, themistoklis
                               => 11271,
                        theo   => 751, theocharis
                               => 10176,
                        theodor
                               => 1289, theodora
                               => 3929,
                        theodoros
                               => 3068, theofanis
                               => 8793,
                        theofilos
                               => 8794, ther   => 4122,
                        there  => 7408, theres => 1411, theresa
                               => 188,
                        theresia
                               => 289, therii => 8255,
                        thesi  => 4242, thessa => 6742, thias  => 8641, thiemo => 2686, thien  => 6481,
                        thilo  => 812, thimo  => 3033, thimon => 9554, thinh  => 7414, thitirat
                               => 9431,
                        thnnkhnfan
                               => 9423, thoa   => 7651,
                        thobias
                               => 10072, thodoris
                               => 9244,
                        thom   => 2598, thomaas
                               => 9685,
                        thomad => 11389, thomai => 11588, thomas => 2, thomes => 11852, thomi  => 5957,
                        thommi => 11809, thommy => 2793, thomsn => 7349, thomy  => 6013,
                        thong  => 8120, thor   => 1856, thora  => 10223, thoralf
                               => 2996,
                        thorben
                               => 1180, thorbjorn
                               => 10374,
                        thordis
                               => 10246, thore  => 2030,
                        thoren => 10339, thorge => 5462, thorgen
                               => 8507,
                        thorsten
                               => 146, thuan  => 7637,
                        thuong => 10115, thurid => 10210, thusnelda
                               => 7419,
                        thuy   => 2571, thyra  => 8682, tianqi => 7754, tiberiu
                               => 5647,
                        tiberius
                               => 6130, tibet  => 9985,
                        tibi   => 5294, tibor  => 680, tici   => 7258, tiemo  => 5459, tien   => 4559,
                        tierarztpraxis
                               => 5171, tiffi  => 10279,
                        tiffy  => 5396, tigran => 8251, tigrib => 11821, tihana => 3384,
                        tihomir
                               => 1508, tiina  => 6497,
                        tijana => 1183, tijen  => 6228, tilda  => 9154, tilen  => 7333, till   => 811,
                        tilla  => 8447, tilli  => 4406, tillman
                               => 10297,
                        tilly  => 6676, tilman => 2133, tilmann
                               => 4033,
                        tilo   => 933, tim    => 100, timbo  => 7710, timea  => 999, timeea => 5635,
                        timi   => 3646, timka  => 3843, timmey => 11736, timmi  => 5118,
                        timmo  => 11469, timmy  => 2038, timna  => 2754, timo   => 194, timon  => 1237,
                        timor  => 9019, timotei
                               => 5374,
                        timotheus
                               => 5689, timucin
                               => 6770,
                        timur  => 1520, tina   => 169, tinchen
                               => 3621,
                        tinder => 6146, tine   => 979, tineke => 9834, tingel => 11458, tinh   => 8114,
                        tini   => 1439, tinka  => 4312, tinker => 10790, tino   => 408, tiroler
                               => 4368,
                        tischlermeister
                               => 9683, tivadar
                               => 5666,
                        tizi   => 7087, tizia  => 9897, tizian => 2375, tiziana
                               => 2455,
                        tiziano
                               => 5580, tjard  => 11369,
                        tjark  => 2732, tjasa  => 7978, tjorben
                               => 11343,
                        tjorven
                               => 6736, toader => 8869,
                        toan   => 5574, tobe   => 8164, tobey  => 10116, tobi   => 410, tobia  => 10661,
                        tobias => 36, tobiasz
                               => 11635,
                        tobii  => 3563, tobit  => 8278, tobse  => 11734, tobsen => 10286,
                        toby   => 1747, toci   => 7157, todd   => 6781, toddi  => 11837,
                        toddy  => 8130, todinca
                               => 8638,
                        todor  => 3818, todorka
                               => 8717,
                        tohmas => 10256, tolga  => 839, tolgahan
                               => 4022,
                        tolgay => 6947, toli   => 6998, tolik  => 6728, tolis  => 7079, tolunay
                               => 4778,
                        tom    => 175, tomas  => 2326, tomaso => 10968, tomasz => 1019, tomaz  => 9980,
                        tomei  => 9482, tomek  => 1659, tomekk => 11323, tomica => 4091,
                        tomislav
                               => 743, tomislava
                               => 6120,
                        tomka  => 7113, tomke  => 4045, tomma  => 10346, tommaso
                               => 3268,
                        tommes => 7737, tommi  => 2980, tommy  => 614, tomo   => 5621, tomoko => 7639,
                        tomor  => 7062, tomsi  => 6425, tomtom => 3324, toni   => 320, tonii  => 7047,
                        tonino => 4653, tonio  => 4906, tonja  => 5106, tonka  => 9428, topcagic
                               => 9833,
                        toplica
                               => 2984, topper => 10216,
                        toppler
                               => 9406, toralf => 2262,
                        torben => 655, torbjorn
                               => 7562,
                        tordis => 10209, torge  => 2672, torre  => 10640, torsten
                               => 122,
                        torte  => 10379, torten => 11422, torti  => 8905, tosca  => 7463,
                        toska  => 9138, totti  => 3934, totto  => 9174, toula  => 9976, trabzon
                               => 11491,
                        trafik => 6963, traian => 2884, trajce => 5275, trajko => 7900, trancau
                               => 9954,
                        trandafir
                               => 5661, trang  => 2688,
                        transporte
                               => 7259, trau   => 4478,
                        traude => 506, traudel
                               => 2669,
                        traudi => 654, traudl => 2298, traugott
                               => 5441,
                        traute => 3493, trebor => 8249, triantafyllos
                               => 11264,
                        trici  => 11523, trieu  => 11152, trifon => 10520, triker => 9109,
                        trimi  => 7118, trine  => 6721, tringa => 5946, trinh  => 5414, tristan
                               => 1184,
                        trixi  => 996, trong  => 11136, trucker
                               => 7965,
                        trudbert
                               => 9652, trude  => 1224,
                        trudel => 11613, trudi  => 4742, trulla => 7791, trung  => 3825,
                        tsch   => 7987, tschawo
                               => 11823,
                        tschi  => 9584, tschu  => 5382, tschuli
                               => 8803,
                        tschulie
                               => 9242, tsolmon
                               => 8043,
                        tsveta => 6333, tsvetan
                               => 9994,
                        tsvetelina
                               => 8701, tuan   => 2439,
                        tuana  => 2056, tuba   => 1781, tudor  => 4728, tudorel
                               => 5025,
                        tudose => 8951, tufan  => 2495, tuffi  => 11746, tugay  => 1791,
                        tugba  => 863, tugce  => 2131, tugi   => 6874, tugra  => 4521, tugrul => 4588,
                        tulay  => 1027, tulin  => 2852, tulli  => 9845, tulun  => 8142, tumay  => 11622,
                        tumer  => 11650, tuna   => 3520, tunahan
                               => 1578,
                        tunay  => 4490, tuncay => 867, tuncel => 8183, tuncer => 2734, tunde  => 1189,
                        tundi  => 4237, tunea  => 8393, tung   => 4354, tuni   => 8117, tunjo  => 3187,
                        tuong  => 11133, turabi => 8056, tural  => 6726, turgay => 1222,
                        turgut => 1325, turhan => 2841, turkan => 1148, turkay => 10260,
                        turker => 5286, turkijan
                               => 10295,
                        turkyan
                               => 9951, turna  => 6358,
                        turpal => 4540, tutic  => 6442, tutku  => 6722, tutti  => 10664,
                        tuyen  => 7602, tuyet  => 5103, tvoj   => 8366, tvrtko => 5667, twana  => 10148,
                        tyler  => 3079, tyra   => 6254, tyrell => 11120, tyrese => 10098,
                        tyrol  => 9052, tyron  => 5760, tzeni  => 11441, ubeyd  => 9531,
                        ubeydullah
                               => 8226, ucler  => 2847,
                        udo    => 261, uemit  => 11829, ufuk   => 998, ugur   => 631, ugurcan
                               => 7759,
                        ujkan  => 11186, ukshin => 10553, ulas   => 2569, uldis  => 11771,
                        ulf    => 647, ulfert => 11676, ulfet  => 11494, ulfried
                               => 5082,
                        uli    => 504, uljana => 7990, ulker  => 4328, ulku   => 2423, ulla   => 727,
                        ulle   => 6848, ulli   => 283, ullrike
                               => 8844,
                        ully   => 3481, ulrich => 298, ulricke
                               => 11333,
                        ulrik  => 9861, ulrika => 6612, ulrike => 163, ulvi   => 7958, ulzii  => 8187,
                        umberto
                               => 3821, umit   => 726,
                        ummahan
                               => 6348, ummet  => 7818,
                        ummiye => 8171, ummu   => 1820, ummugulsum
                               => 5988,
                        ummuhan
                               => 2808, umran  => 2274,
                        umus   => 7514, umut   => 679, umutcan
                               => 6540,
                        unbe   => 6846, undi   => 7503, undine => 2376, undraa => 9518, ungureanu
                               => 5636,
                        unsal  => 4554, unzile => 6166, unzule => 8511, urfali => 10278,
                        urim   => 2819, urli   => 7314, urmel  => 8876, uros   => 1755, ursel  => 2054,
                        ursi   => 1989, urska  => 8572, ursula => 179, urszula
                               => 2856,
                        urte   => 4046, usame  => 6548, uschi  => 335, uschy  => 6932, usein  => 8630,
                        useini => 8381, useyin => 8697, ustun  => 5385, uta    => 637, ute    => 186,
                        utku   => 3429, utta   => 8311, uwe    => 45, uyanga => 4144, uygar  => 4499,
                        uygun  => 8723, uzeir  => 5335, uzeyir => 2890, vacha  => 7362, vaclav => 4071,
                        vadas  => 8788, vadim  => 1632, vaduva => 8408, vadym  => 7353, vagelis
                               => 8797,
                        vaggelis
                               => 8707, vahap  => 4580,
                        vahdet => 5578, vahdeta
                               => 9027,
                        vahdettin
                               => 8964, vahid  => 2879,
                        vahida => 2468, vahide => 3089, vahideh
                               => 8202,
                        vahidin
                               => 2907, vahik  => 9410,
                        vahit  => 2949, vahram => 10930, vaida  => 6087, vaidas => 11432,
                        vaios  => 8097, vajo   => 6482, vakkas => 3898, valantis
                               => 10174,
                        valbon => 5932, valbona
                               => 4074,
                        valbone
                               => 5274, valdas => 10348,
                        valdet => 2066, valdete
                               => 6992,
                        valdrin
                               => 2501, valentin
                               => 779,
                        valentino
                               => 2037, valer  => 10572,
                        valera => 5056, valeri => 2250, valerian
                               => 5843,
                        valerica
                               => 4606, valerii
                               => 5752,
                        valerij
                               => 3498, valerija
                               => 2020,
                        valeriu
                               => 6093, valerius
                               => 11328,
                        valeriy
                               => 6221, valeriya
                               => 6099,
                        valeska
                               => 3243, vali   => 2567,
                        valii  => 7322, valika => 8597, valle  => 6012, vally  => 9051, valmir => 2236,
                        valmira
                               => 10500, valmire
                               => 4802,
                        valon  => 1196, valton => 4461, valtor => 9665, valy   => 5492, vanco  => 6115,
                        vanes  => 8614, vanessa
                               => 164,
                        vangelis
                               => 6708, vanii  => 4059,
                        vanja  => 1136, vanney => 9267, vanni  => 4526, vannii => 8912, vanny  => 3103,
                        vany   => 3566, varady => 9773, vardan => 10721, varina => 10806,
                        varol  => 6268, vasea  => 8620, vasfi  => 10532, vasi   => 1841,
                        vasil  => 10976, vasile => 1907, vasileios
                               => 5720,
                        vasilescu
                               => 4856, vasili => 4892,
                        vasilica
                               => 8382, vasilij
                               => 5783,
                        vasilija
                               => 6644, vasilije
                               => 2655,
                        vasiliki
                               => 3927, vasilios
                               => 4026,
                        vasilis
                               => 2627, vasilka
                               => 10000,
                        vasily => 10056, vasja  => 11296, vaska  => 9146, vasko  => 5217,
                        vaso   => 6392, vass   => 5041, vassili
                               => 5765,
                        vassiliki
                               => 6752, vassilios
                               => 3877,
                        vassilis
                               => 5740, vasso  => 11241,
                        vasva  => 6048, vasvija
                               => 9642,
                        vasy   => 3043, vatan  => 3037, vatos  => 10887, vaxhide
                               => 8983,
                        veaceslav
                               => 8633, vebi   => 3966,
                        veca   => 6573, veco   => 7407, vedad  => 2515, vedat  => 1029, vedo   => 5276,
                        vedran => 1696, vedrana
                               => 2701,
                        vehbi  => 3356, vehid  => 3321, veider => 9590, veikko => 6864, veiko  => 8880,
                        veki   => 3039, veko   => 5925, velat  => 10332, veldina
                               => 4918,
                        velemir
                               => 7936, veli   => 1454,
                        velibor
                               => 1853, velican
                               => 8285,
                        velid  => 5186, velida => 4085, velimir
                               => 2258,
                        velinka
                               => 4839, velisa => 3878,
                        velislava
                               => 6237, velja  => 6150,
                        veljko => 1474, velko  => 10805, venci  => 9997, vencislav
                               => 8328,
                        venco  => 9568, vendula
                               => 4342,
                        venera => 5919, veneta => 8453, venetia
                               => 11050,
                        venezia
                               => 11751, venhar => 4177,
                        venja  => 11502, vera   => 461, veran  => 4261, vere   => 8101, verena => 94,
                        veri   => 1515, verica => 773, verii  => 4584, verim  => 7202, verina => 10584,
                        verkaufsprofil
                               => 5669, verko  => 5522,
                        vernes => 6592, veroljub
                               => 5321,
                        verona => 3805, veronika
                               => 165,
                        verruckte
                               => 9478, vesel  => 3963,
                        vesela => 3866, veselin
                               => 4294,
                        veselina
                               => 3451, veselj => 9368,
                        veselka
                               => 3661, veselko
                               => 5096,
                        vesile => 5741, veska  => 10752, vesko  => 7369, vesna  => 324, veso   => 5962,
                        vespa  => 6918, vessi  => 9232, veton  => 2074, vevi   => 6401, veyis  => 4649,
                        veysel => 1035, veysi  => 4199, vezir  => 10523, vezira => 9147,
                        viacheslav
                               => 7613, vian   => 5707,
                        vicdan => 9804, vici   => 1177, vicii  => 9479, vicktoria
                               => 4660,
                        victorita
                               => 7944, vicy   => 5745,
                        vidomir
                               => 9435, vidosav
                               => 6702,
                        vidosava
                               => 4476, viera  => 1984,
                        vierka => 4370, viet   => 3572, vigan  => 10571, viikii => 5958,
                        vijdan => 9933, vijoleta
                               => 5924,
                        vika   => 2444, vikalo => 9913, vikica => 9315, vikii  => 3565, viktor => 463,
                        viktoria
                               => 198, viktorie
                               => 6242,
                        viktoriia
                               => 8273, viktorija
                               => 3561,
                        viktoriya
                               => 3899, vildan => 1778,
                        vildana
                               => 2840, vili   => 5913,
                        vilija => 11283, ville  => 11176, vilmos => 4139, vilson => 6377,
                        vinc   => 5704, vincenc
                               => 7331,
                        vincens
                               => 7127, vincenz
                               => 2979,
                        vincenza
                               => 3872, vincenzo
                               => 883,
                        vinci  => 9944, vinetu => 7471, vinh   => 4938, vinka  => 2309, vinko  => 1313,
                        vintan => 8867, vinzent
                               => 3769,
                        vinzenz
                               => 972, viola  => 651, violett
                               => 10383,
                        violetta
                               => 1593, viona  => 8069,
                        viorel => 2759, viorica
                               => 4131,
                        virag  => 2322, virgil => 6059, virginie
                               => 3152,
                        virginija
                               => 10363, visar  => 1775,
                        viskovic
                               => 7436, visnja => 3106,
                        vitali => 1113, vitalie
                               => 4541,
                        vitalii
                               => 5090, vitalij
                               => 2529,
                        vitalik
                               => 11262, vitalis
                               => 8394,
                        vitaly => 5007, vitja  => 7695, vito   => 1523, vitomir
                               => 3298,
                        vittoria
                               => 5592, vittorio
                               => 3345,
                        vitus  => 4287, vivi   => 1267, viviane
                               => 1857,
                        vivien => 653, vivienne
                               => 2548,
                        viyan  => 8527, viyanali
                               => 9937,
                        vjeko  => 5022, vjekoslav
                               => 3454,
                        vjollca
                               => 2168, vjosa  => 3979,
                        vladan => 946, vladana
                               => 4303,
                        vladanka
                               => 5753, vlade  => 6518,
                        vladenka
                               => 9995, vladi  => 2955,
                        vladica
                               => 2758, vladimir
                               => 3141,
                        vladimira
                               => 3366, vladimiros
                               => 10173,
                        vladisav
                               => 7848, vladislav
                               => 2906,
                        vladko => 10080, vlado  => 995, vlady  => 9289, vladyslav
                               => 8327,
                        vlajic => 7446, vlajko => 5383, vlasta => 2209, vlastimir
                               => 3137,
                        vlaszacs
                               => 8952, vlatka => 3221,
                        vlatko => 3008, vlera  => 10567, vllaznim
                               => 4736,
                        vlora  => 1965, voichita
                               => 5619,
                        voislav
                               => 9460, voja   => 3504,
                        vojce  => 4143, vojin  => 7266, vojislav
                               => 2542,
                        vojka  => 9134, vojkan => 2703, vojtech
                               => 9484,
                        volica => 8705, volim  => 7332, volka  => 10224, volkan => 665, volker => 197,
                        volkhard
                               => 4374, volki  => 4931,
                        volkmar
                               => 1290, volte  => 6851,
                        vonni  => 11384, vonny  => 8689, voros  => 6411, voula  => 7590,
                        vreni  => 3291, vroni  => 895, vronii => 8494, vucic  => 6305, vugar  => 10815,
                        vujadin
                               => 4297, vujica => 6121,
                        vujosevic
                               => 9412, vukasin
                               => 4434,
                        vukica => 3109, vukosava
                               => 5290,
                        vule   => 7147, vullnet
                               => 3529,
                        vuong  => 8733, vyara  => 6095, vytautas
                               => 8861,
                        waclaw => 6519, wadim  => 3140, walat  => 5350, walburga
                               => 2185,
                        walde  => 7190, waldek => 6656, waldemar
                               => 505,
                        waldi  => 3136, waldtraud
                               => 3817,
                        waldtraut
                               => 4988, walentina
                               => 8711,
                        walera => 8914, waleri => 6273, walerij
                               => 10264,
                        walfried
                               => 6322, walle  => 8787,
                        walli  => 2225, walpurga
                               => 1444,
                        walt   => 8462, walter => 57, walti  => 5101, waltraud
                               => 161,
                        waltraude
                               => 3110, waltraut
                               => 2114,
                        wanida => 10929, wanja  => 4327, wanna  => 7459, wannee => 11571,
                        wanpen => 11600, wanphen
                               => 11207,
                        waraporn
                               => 11060, warde  => 11377,
                        wasana => 7828, wasili => 7792, wasilij
                               => 10248,
                        wasiliki
                               => 11464, wasilios
                               => 11808,
                        wasja  => 7700, wassana
                               => 11059,
                        wassili
                               => 6869, wassilios
                               => 8924,
                        wasti  => 7887, wasy   => 5826, wedi   => 3939, weifen => 7824, weinbau
                               => 5982,
                        weingut
                               => 3174, weinhof
                               => 8977,
                        welat  => 4533, wencke => 2224, wendelin
                               => 2273,
                        wener  => 6508, wenke  => 2385, wenling
                               => 9658,
                        wera   => 3734, werna  => 7507, wernfried
                               => 3312,
                        werni  => 8430, weronika
                               => 2784,
                        weysi  => 11764, wibke  => 2347, wickerl
                               => 5128,
                        wicki  => 5790, wicky  => 6928, wiebke => 770, wiedecle
                               => 9822,
                        wiesia => 10932, wieslaw
                               => 3259,
                        wieslawa
                               => 5393, wiff   => 6049,
                        wigand => 11481, wigbert
                               => 10319,
                        wiggerl
                               => 8917, wiki   => 7067,
                        wiktor => 4503, wiktoria
                               => 2908,
                        wilai  => 11199, wilawan
                               => 11596,
                        wilco  => 10966, wilfrid
                               => 6631,
                        wilfried
                               => 393, wilfriede
                               => 4889,
                        wilhelmine
                               => 1904, wilko  => 3390,
                        willem => 4307, willemijn
                               => 8526,
                        willfried
                               => 6384, willhelm
                               => 5796,
                        willi  => 243, willibald
                               => 617,
                        willibert
                               => 7765, willma => 10636,
                        wilma  => 1358, wiltraud
                               => 8993,
                        wiltrud
                               => 3179, winand => 10886,
                        winfrid
                               => 11443, winfried
                               => 817,
                        winne  => 9297, winni  => 2987, winona => 10782, wiola  => 6111,
                        wioleta
                               => 3847, wioletta
                               => 2221,
                        wipha  => 9245, wissem => 7374, witali => 3508, witalij
                               => 7799,
                        withold
                               => 11360, witold => 4519,
                        wjatscheslaw
                               => 8950, wlad   => 5442,
                        wlada  => 11317, wladi  => 4356, wladik => 11399, wladimir
                               => 1479,
                        wladislaw
                               => 4367, wladyslaw
                               => 8412,
                        wlodek => 10798, wlodzimierz
                               => 8812,
                        woif   => 4239, woifal => 4576, woife  => 8888, woifi  => 3241, wojciech
                               => 2049,
                        wojtek => 2256, woldemar
                               => 11663,
                        wolfgan
                               => 8925, wolfgang
                               => 14,
                        wolfhard
                               => 5067, wolfhart
                               => 11814,
                        wolfi  => 577, wolfo  => 9607, wolfram
                               => 921,
                        wolfs  => 9891, wolgang
                               => 8252,
                        wolle  => 2026, wolli  => 4561, wolly  => 7730, wonne  => 10387,
                        wonni  => 11681, wonny  => 10309, wotan  => 8916, wouter => 9509,
                        wowa   => 2671, wuff   => 5541, wulla  => 11419, wuschel
                               => 11552,
                        wuzi   => 5141, xaci   => 7839, xaled  => 11638, xalid  => 9792,
                        xalil  => 10825, xandi  => 1833, xandl  => 3319, xandra => 5712,
                        xandy  => 3562, xaris  => 9803, xatar  => 11733, xaver  => 1299,
                        xelil  => 10817, xena   => 6602, xeni   => 7930, xenia  => 1141,
                        xenija => 9447, xenja  => 10127, xhafer => 3354, xhamia => 7150,
                        xhavit => 2581, xheki  => 7099, xheladin
                               => 4692,
                        xhelal => 2820, xhelil => 5850, xhemail
                               => 4451,
                        xhemajl
                               => 4029, xhemal => 3955,
                        xheme  => 9312, xhemile
                               => 7052,
                        xheneta
                               => 4727, xheva  => 10534,
                        xhevahire
                               => 5846, xhevaire
                               => 7082,
                        xhevat => 2821, xhevdet
                               => 2719,
                        xhezair
                               => 7120, xhezmi => 7088,
                        xhimi  => 10488, xhoni  => 10480, xhuli  => 7048, xhylferije
                               => 9623,
                        xhymret
                               => 6393, xilef  => 10733,
                        xrhstos
                               => 11278, xristina
                               => 5942,
                        xristo => 10587, xristos
                               => 3548,
                        xuyen  => 11708, yaban  => 11652, yadigar
                               => 2689,
                        yagiz  => 10838, yagmur => 1880, yakup  => 760, yalda  => 5862, yalmaz => 9037,
                        yalniz => 7720, yama   => 4857, yamac  => 7388, yamur  => 8691, yanick => 5991,
                        yanik  => 4930, yanko  => 6149, yanneck
                               => 8755,
                        yannek => 11516, yannic => 1790, yannick
                               => 759,
                        yannik => 939, yannis => 3723, yaprak => 7434, yaren  => 1910, yasaman
                               => 9701,
                        yasar  => 610, yasariye
                               => 7517,
                        yase   => 5713, yasemen
                               => 10822,
                        yasemin
                               => 493, yashar => 5643,
                        yasi   => 5139, yasin  => 736, yasko  => 10957, yassi  => 7509, yavor  => 9992,
                        yayla  => 4375, yazdan => 10439, yazgul => 6498, yazgulu
                               => 6526,
                        yekta  => 5315, yelda  => 5057, yeliz  => 1142, yenal  => 10839,
                        yener  => 4001, yesim  => 2016, yeter  => 1286, yetis  => 10268,
                        yetkin => 11376, yevgen => 8732, yevgeniy
                               => 8551,
                        yevgeniya
                               => 10846, yigithan
                               => 6414,
                        yihong => 6587, yildiray
                               => 2540,
                        yiming => 9787, ylber  => 4636, ylenia => 7533, ylfete => 7208, ylli   => 4874,
                        yllka  => 9073, yllson => 7080, ylvi   => 5224, ymer   => 7914, ynnor  => 11719,
                        yokasta
                               => 7317, yoldas => 8565,
                        yonca  => 3483, yorck  => 8894, yordanka
                               => 8336,
                        yoshi  => 5310, yosko  => 10998, yozgatli
                               => 6515,
                        ypsilon
                               => 11291, ysein  => 11014,
                        yucel  => 1512, yudum  => 9452, yukiko => 9649, yukki  => 9784, yuliyan
                               => 8643,
                        yunus  => 1061, yupin  => 11351, yurda  => 8182, yurdagul
                               => 2141,
                        yurdanur
                               => 8532, yusein => 7571,
                        yusmen => 9143, yusuf  => 519, yusufcan
                               => 11554,
                        yusuke => 11077, yusupha
                               => 10645,
                        yuuki  => 10675, yves   => 1153, yveta  => 8170, yvetta => 10189,
                        yvette => 1842, yvii   => 2796, yvon   => 4458, yvonn  => 5104, yvonne => 121,
                        zabi   => 3889, zabih  => 10403, zabihullah
                               => 8988,
                        zabiollah
                               => 9252, zabiullah
                               => 3049,
                        zafer  => 1366, zaga   => 3334, zagorac
                               => 9064,
                        zagorka
                               => 5399, zagros => 9610,
                        zaharia
                               => 5140, zahide => 2249,
                        zahidullah
                               => 6999, zahit  => 9779,
                        zaim   => 4405, zaira  => 8939, zaklina
                               => 1031,
                        zalan  => 7628, zalim  => 10414, zamfir => 8718, zana   => 2826,
                        zanet  => 6744, zaneta => 3698, zarema => 6386, zareta => 8321, zarife => 2724,
                        zarije => 9241, zarko  => 1410, zauber => 10306, zauberer
                               => 9237,
                        zaur   => 8253, zavisa => 3303, zazilia
                               => 4969,
                        zbigniew
                               => 1953, zbyszek
                               => 3162,
                        zdena  => 10716, zdenek => 3205, zdenka => 1187, zdenko => 1718,
                        zdravka
                               => 2138, zdravko
                               => 984,
                        zdzichu
                               => 8205, zdzislaw
                               => 5690,
                        zdzislawa
                               => 11345, zedan  => 8804,
                        zedin  => 7750, zefir  => 7203, zehida => 4762, zehra  => 635, zehranur
                               => 9490,
                        zehrid => 9256, zehrija
                               => 8005,
                        zehrina
                               => 6355, zejfa  => 8980,
                        zejna  => 3216, zejnepe
                               => 7235,
                        zekai  => 6290, zekayi => 6448, zekeriya
                               => 2023,
                        zekeriye
                               => 11035, zeki   => 911,
                        zekii  => 9537, zekija => 4150, zekir  => 9377, zekira => 4924, zekirja
                               => 6966,
                        zekiye => 1909, zekria => 7009, zekrija
                               => 8270,
                        zelal  => 5326, zele   => 5306, zeliha => 973, zelim  => 3442, zelimchan
                               => 7534,
                        zelimhan
                               => 5031, zelimir
                               => 4891,
                        zelis  => 6514, zeljana
                               => 2662,
                        zeljka => 1020, zeljko => 367, zeljo  => 4664, zellamsee
                               => 9284,
                        zemer  => 9107, zemina => 4775, zemir  => 4967, zemira => 3314, zemka  => 4142,
                        zemra  => 4694, zemri  => 5304, zemrije
                               => 5907,
                        zenel  => 3526, zenetije
                               => 8540,
                        zenita => 7490, zennure
                               => 5490,
                        zenon  => 4939, zenun  => 7964, zenzi  => 6210, zeqir  => 3532, zeravan
                               => 10275,
                        zerda  => 10840, zerin  => 8587, zerina => 2346, zerrin => 4003,
                        zeycan => 5452, zeynal => 8578, zeynel => 1906, zeynep => 407, zeyni  => 11549,
                        zeyno  => 4505, zgembo => 7954, zhaniya
                               => 8504,
                        zhanna => 5631, zhenia => 6209, zhivko => 10980, ziarmal
                               => 4680,
                        ziba   => 7867, ziber  => 5259, zica   => 6266, zied   => 4850, zieglers
                               => 9522,
                        zihni  => 7011, zija   => 3962, zijad  => 1360, zijada => 3208, zijadin
                               => 5933,
                        zijo   => 4452, zikanada
                               => 9812,
                        zike   => 5896, zikica => 3620, zikret => 6070, zikreta
                               => 6852,
                        zikri  => 4587, zilan  => 4528, zile   => 4030, zilfi  => 8096, zilha  => 5481,
                        zilhad => 8398, zille  => 11509, zilli  => 5012, zimmerei
                               => 11453,
                        zinajda
                               => 9072, zinar  => 5114,
                        zinep  => 10993, zineta => 2547, zinnet => 6577, zippo  => 11086,
                        zisan  => 10852, zisis  => 8897, ziska  => 11195, zissi  => 11710,
                        zissis => 10399, zivadin
                               => 4951,
                        zivadinka
                               => 3835, zivan  => 3496,
                        zivana => 3586, zivanka
                               => 4818,
                        ziver  => 10833, zivica => 8295, zivka  => 3181, zivko  => 2320,
                        zivojin
                               => 4146, zivomir
                               => 5311,
                        zivorad
                               => 2022, zivoslav
                               => 5768,
                        zivota => 3938, ziya   => 2350, ziyade => 9742, ziynet => 10370,
                        zladi  => 9070, zlaja  => 6881, zlata  => 1328, zlatan => 1034, zlatana
                               => 7622,
                        zlatibor
                               => 4910, zlatica
                               => 1879,
                        zlatina
                               => 10979, zlatinka
                               => 6588,
                        zlatka => 5613, zlatko => 664, zlatomir
                               => 7397,
                        znarf  => 5975, zocker => 5564, zoechling
                               => 8487,
                        zofia  => 4140, zohal  => 10428, zohre  => 4127, zohreh => 6066,
                        zoja   => 7975, zoka   => 2895, zoki   => 1432, zokii  => 5029, zoli   => 8207,
                        zoltan => 702, zolzaya
                               => 6746,
                        zora   => 3531, zoran  => 242, zorana => 2451, zoranka
                               => 7284,
                        zorica => 416, zorka  => 2042, zornitsa
                               => 6985,
                        zosia  => 9613, zottel => 11340, zouhaier
                               => 10936,
                        zozan  => 4362, zrinka => 2802, zrinko => 6019, zsanett
                               => 1476,
                        zsigmond
                               => 8281, zsofi  => 4166,
                        zsofia => 1759, zsoka  => 5742, zsolt  => 688, zsolti => 4509, zsombi => 7698,
                        zsombor
                               => 6525, zsuzsa => 1944,
                        zsuzsanna
                               => 944, zsuzsi => 3517,
                        zubeyda
                               => 11559, zubeyde
                               => 1811,
                        zubeyir
                               => 6779, zucker => 5600,
                        zudi   => 7227, zuhal  => 3012, zuhamo => 9520, zuhdija
                               => 4331,
                        zuher  => 8535, zuhir  => 11061, zuhre  => 8210, zulah  => 9616,
                        zulal  => 7508, zulbiye
                               => 7836,
                        zulejha
                               => 9879, zuleyha
                               => 1674,
                        zulfija
                               => 8489, zulfikar
                               => 3317,
                        zulfiye
                               => 3670, zulfu  => 4761,
                        zulfukar
                               => 7682, zulkuf => 7496,
                        zumba  => 10644, zumbul => 10948, zumka  => 9040, zumra  => 3255,
                        zumreta
                               => 3573, zumrut => 7483,
                        zuzana => 685, zuzanna
                               => 4512,
                        zuzka  => 3276, zvezdan
                               => 3790,
                        zvezdana
                               => 2859, zvjezdana
                               => 4599,
                        zvone  => 5699, zvoni  => 9622, zvonimir
                               => 2047,
                        zvonko => 1182, zwerg  => 6510, zwergi => 9993, zyber  => 5214, zygmunt
                               => 6634,
                        zymer  => 6416, zyrafete
                               => 5917
                      },
  german_surnames  => {
                        abayli  => 16511, abazaj  => 16821, abazi   => 3493,
                        abazovic
                                => 16405, abbrederis
                                => 21396,
                        abdic   => 9076, abdijanovic
                                => 19971,
                        abdiu   => 23095, abdullahu
                                => 11588,
                        abel    => 1084, abele   => 4491, abeling => 24445, abeln   => 11278,
                        abels   => 4975, abendroth
                                => 10059,
                        abenthung
                                => 10631, abentung
                                => 10958,
                        aberer  => 3246, aberger => 4135, aberl   => 9595, aberle  => 14307,
                        abert   => 17967, abfalter
                                => 6498,
                        abfalterer
                                => 9991, abicht  => 22662,
                        ablasser
                                => 6278, ableidinger
                                => 5464,
                        ableitinger
                                => 13046, abler   => 19705,
                        ablinger
                                => 2645, abram   => 14983,
                        abramovic
                                => 16996, abseher => 23637,
                        absenger
                                => 3549, absmann => 23049,
                        abuja   => 17190, abwerzger
                                => 21078,
                        acar    => 710, acham   => 17586, achatz  => 3814, achberger
                                => 12812,
                        achenbach
                                => 5172, achenrainer
                                => 7537,
                        achhorner
                                => 14713, achilles
                                => 5776,
                        achleitner
                                => 760, achorner
                                => 13812,
                        achrainer
                                => 3954, achterberg
                                => 17539,
                        acikdil => 21781, acikdilli
                                => 13749,
                        acikel  => 10434, acikgoz => 4650, acimovic
                                => 15985,
                        acker   => 4187, ackerbauer
                                => 23472,
                        ackerer => 12639, ackerl  => 3131, ackermann
                                => 459,
                        acuma   => 8157, adalar  => 21054, adamczyk
                                => 6320,
                        adamec  => 17864, adamek  => 9048, adamer  => 11107, adametz => 17608,
                        adami   => 11597, adamietz
                                => 15729,
                        adamovic
                                => 4133, adams   => 1169,
                        adamski => 7623, adanur  => 22990, adelhardt
                                => 20742,
                        adelina => 24235, adelmann
                                => 4963,
                        adelsberger
                                => 3290, ademaj  => 9549,
                        ademi   => 1200, ademoski
                                => 17663,
                        ademovic
                                => 17111, aden    => 7105,
                        aderhold
                                => 8351, adiguzel
                                => 6586,
                        adilovic
                                => 18824, adiyaman
                                => 19022,
                        adlassnig
                                => 8716, adlboller
                                => 20401,
                        adler   => 519, adlesgruber
                                => 21979,
                        adolph  => 4399, adolphs => 16370, adomat  => 16507, adomeit => 10814,
                        adrigan => 17040, adunka  => 21316, adzemovic
                                => 21479,
                        adzic   => 15458, adzovic => 19838, affeldt => 23065, affenberger
                                => 23063,
                        affengruber
                                => 15469, affenzeller
                                => 3053,
                        afflerbach
                                => 23327, afg     => 877,
                        afghan  => 2476, aflenzer
                                => 5944,
                        afrin   => 8940, afshar  => 9531, afzali  => 16630, ager    => 3275,
                        agerer  => 17440, agic    => 7974, agirman => 9121, aglamaz => 14222,
                        aglas   => 12711, agovic  => 21971, agreiter
                                => 21794,
                        agrinz  => 15604, agushi  => 11415, ahamer  => 9087, ahammer => 18352,
                        ahlborn => 7838, ahlbrecht
                                => 23543,
                        ahlers  => 1850, ahlert  => 12356, ahlgrimm
                                => 14260,
                        ahmadi  => 642, ahmady  => 16619, ahmadzai
                                => 9511,
                        ahmedoski
                                => 22634, ahmedov => 6593,
                        ahmedova
                                => 13664, ahmetaj => 9546,
                        ahmeti  => 2791, ahmetovic
                                => 3273,
                        ahner   => 19653, ahnert  => 9450, ahornegger
                                => 21657,
                        ahorner => 4927, ahrend  => 7815, ahrends => 18331, ahrendt => 6069,
                        ahrens  => 475, ahrer   => 3512, aichbauer
                                => 8325,
                        aichberger
                                => 3054, aichele => 17176,
                        aicher  => 2597, aichholzer
                                => 1828,
                        aichhorn
                                => 2241, aichinger
                                => 411,
                        aichlseder
                                => 21956, aichmaier
                                => 18931,
                        aichmayr
                                => 10332, aichner => 3646,
                        aichriedler
                                => 14084, aichwalder
                                => 14295,
                        aiello  => 12598, aigelsreiter
                                => 5604,
                        aigner  => 62, ainhirn => 20771, aistleitner
                                => 2633,
                        aitzetmuller
                                => 7253, ajanovic
                                => 14214,
                        ajdari  => 12602, ajdini  => 10952, ajeti   => 6284, ajredini
                                => 20614,
                        ajvazi  => 12556, akalin  => 12204, akan    => 6255, akar    => 2726,
                        akarsu  => 11062, akay    => 5000, akbaba  => 5113, akbari  => 3090,
                        akbas   => 4139, akbay   => 19089, akbulut => 1598, akca    => 3857,
                        akcan   => 9670, akcay   => 3110, akceylan
                                => 17076,
                        akdag   => 3357, akdas   => 19389, akdemir => 4736, akdeniz => 3533,
                        akdogan => 4751, akduman => 18555, akgul   => 2591, akgun   => 2593,
                        akin    => 1511, akinci  => 6907, akkan   => 7138, akkas   => 13630,
                        akkaya  => 2293, akkermann
                                => 17672,
                        akkoc   => 14259, akkoyun => 12259, akkurt  => 11725, akkus   => 3046,
                        aklan   => 11866, akman   => 3738, akmese  => 8185, akpinar => 1855,
                        aksakal => 17867, aksan   => 21006, aksoy   => 747, aksu    => 914,
                        aktas   => 857, aktepe  => 19128, akturk  => 6289, akyazi  => 19031,
                        akyel   => 20875, akyildiz
                                => 3518,
                        akyol   => 2329, akyurek => 13865, akyuz   => 3112, alabdullah
                                => 18610,
                        alagic  => 6045, alagoz  => 8693, alahmad => 3815, alakus  => 19380,
                        alavantic
                                => 19287, albach  => 19261,
                        albanese
                                => 21428, albayati
                                => 17998,
                        albayrak
                                => 2197, albel   => 16742,
                        albenberger
                                => 18667, alber   => 2128,
                        alberding
                                => 23484, alberer => 14916,
                        albers  => 794, alberti => 7128, alberts => 6357, albertsen
                                => 20022,
                        albic   => 14614, albiez  => 15497, albinus => 23687, albrecher
                                => 9521,
                        albrecht
                                => 113, albrich => 13710,
                        albus   => 15523, aldag   => 9994, aldemir => 9719, alder   => 15389,
                        aldinger
                                => 17840, aldirmaz
                                => 12324,
                        aldrian => 1704, aldzic  => 13658, aleksandrov
                                => 11094,
                        aleksandrova
                                => 15316, aleksic => 1262,
                        aleksiev
                                => 16979, alemdar => 10132,
                        alexiou => 22180, alfano  => 18756, algan   => 22687, alge    => 6476,
                        alhalabi
                                => 14934, alhamwi => 17871,
                        alhomsi => 21319, alhussein
                                => 12763,
                        alibabic
                                => 13668, alibasic
                                => 21524,
                        alibegic
                                => 17508, alibegovic
                                => 12132,
                        alibrahim
                                => 18987, alic    => 1622,
                        alici   => 3495, alicic  => 19916, aliev   => 6557, alieva  => 11558,
                        alihodzic
                                => 11446, alijagic
                                => 12671,
                        alijaj  => 16657, alili   => 6941, alimanovic
                                => 6270,
                        alimi   => 13671, alioski => 19595, alipour => 24229, aliraqi => 24224,
                        alisch  => 12101, alisic  => 21594, aliti   => 12565, aliu    => 2100,
                        aliyev  => 14972, alizada => 6551, alizade => 21374, alizadeh
                                => 7922,
                        alizai  => 21243, aljic   => 11217, alkan   => 1566, alkhalaf
                                => 16857,
                        alkhaled
                                => 21346, alkhalil
                                => 14950,
                        alkin   => 7405, alkurdi => 14933, allabauer
                                => 12100,
                        allendorf
                                => 15707, allerbauer
                                => 18560,
                        allers  => 20708, allerstorfer
                                => 6996,
                        allert  => 20809, allesch => 12418, allgaier
                                => 9475,
                        allgauer
                                => 9537, allgeier
                                => 14720,
                        allinger
                                => 4890, allmaier
                                => 20717,
                        allmann => 8479, allmayer
                                => 12301,
                        allmendinger
                                => 18262, allmer  => 1938,
                        allram  => 6903, almaz   => 14929, almberger
                                => 12695,
                        almer   => 2026, almesberger
                                => 16538,
                        almhofer
                                => 12630, almohamad
                                => 15998,
                        almohammad
                                => 19967, almustafa
                                => 23003,
                        alomar  => 10857, alpers  => 13176, alpert  => 23915, alphart => 22101,
                        alsaleh => 8935, alsch   => 21550, alscher => 16329, alsdorf => 19864,
                        alsham  => 9515, alsleben
                                => 13037,
                        altacher
                                => 20090, altas   => 16155,
                        altay   => 5089, altena  => 18549, altenberger
                                => 2487,
                        altenburg
                                => 7445, altenburger
                                => 2526,
                        altendorf
                                => 11192, altendorfer
                                => 2926,
                        altenhofer
                                => 7622, altenhuber
                                => 16165,
                        altenkirch
                                => 17847, altenstrasser
                                => 16269,
                        altersberger
                                => 3305, althaler
                                => 13420,
                        althaus => 3062, althof  => 23468, althoff => 2864, althuber
                                => 7484,
                        altikulac
                                => 16352, altinbas
                                => 18685,
                        altindag
                                => 13869, altindal
                                => 23293,
                        altindas
                                => 9239, altinel => 22493,
                        altinkaya
                                => 21963, altinok => 11772,
                        altinsoy
                                => 16878, altintas
                                => 2882,
                        altmann => 743, altmanninger
                                => 14339,
                        altmeier
                                => 22959, altmeyer
                                => 5866,
                        altmuller
                                => 11713, altner  => 23401,
                        altreiter
                                => 10228, altrichter
                                => 5297,
                        altrock => 16142, altun   => 1307, altunay => 21884, altunbas
                                => 20262,
                        altundag
                                => 18928, altundal
                                => 15122,
                        altunkaya
                                => 19422, altuntas
                                => 3227,
                        altuntepe
                                => 18970, altuntop
                                => 17926,
                        altvater
                                => 16523, altwirth
                                => 22262,
                        alzein  => 22850, alzoubi => 16608, amann   => 645, amato   => 6509,
                        amberg  => 6363, amberger
                                => 5671,
                        ambichl => 18851, ambos   => 18348, ambrosch
                                => 4643,
                        ambroschutz
                                => 21668, ambrosi => 21292,
                        ambrosig
                                => 23287, ambrosius
                                => 12230,
                        ambrusch
                                => 18797, amelang => 17433,
                        amelung => 10492, amend   => 4846, amende  => 23160, amenitsch
                                => 20827,
                        amerhauser
                                => 16350, amering => 19863,
                        amerstorfer
                                => 9037, amesberger
                                => 12046,
                        ameseder
                                => 13283, ameti   => 6939,
                        amidzic => 23310, aminger => 10340, amini   => 4539, amiri   => 1628,
                        amlacher
                                => 5248, amler   => 20321,
                        amling  => 15595, ammann  => 3202, ammer   => 8030, ammerer => 4697,
                        ammermann
                                => 16335, ammon   => 6643,
                        amon    => 497, amort   => 5625, amoser  => 17374, ampferer
                                => 10242,
                        amplatz => 22703, amreich => 8077, amrhein => 10446, amritzer
                                => 21664,
                        amschl  => 5171, amstatter
                                => 22156,
                        amsuss  => 20948, amthor  => 8469, amtmann => 2992, anacker => 16270,
                        anamaria
                                => 15737, anastasiadis
                                => 22303,
                        andel   => 14134, ander   => 16638, anderl  => 2221, anderle => 5142,
                        anderlik
                                => 15215, anders  => 356,
                        andersch
                                => 17985, andersen
                                => 3985,
                        andersson
                                => 10202, anderst => 21646,
                        anderwald
                                => 5857, andessner
                                => 15005,
                        andexer => 6283, andexlinger
                                => 9563,
                        andic   => 18606, anding  => 22017, andjelic
                                => 20076,
                        andjelkovic
                                => 1752, andjelovic
                                => 22907,
                        andjic  => 15383, andlinger
                                => 16601,
                        andonov => 19182, andorfer
                                => 6822,
                        andrae  => 8573, andraschko
                                => 4799,
                        andreev => 13978, andrejic
                                => 2905,
                        andresen
                                => 1560, andric  => 3420,
                        andrich => 18501, andricic
                                => 17022,
                        andrijanic
                                => 18161, andrijevic
                                => 10973,
                        andris  => 19153, andritsch
                                => 9361,
                        androsch
                                => 9278, andrzejewski
                                => 12849,
                        anetzberger
                                => 24001, angele  => 17150,
                        angelov => 2334, angelova
                                => 4585,
                        angenendt
                                => 9943, anger   => 3867,
                        angerbauer
                                => 9693, angerer => 198,
                        angerler
                                => 21675, angermair
                                => 9336,
                        angermann
                                => 3136, angermayer
                                => 21372,
                        angermayr
                                => 10063, angermeier
                                => 14680,
                        anglberger
                                => 8376, angleitner
                                => 6027,
                        anglmayer
                                => 19214, anhalt  => 7724,
                        anibas  => 8927, anie    => 1528, aniol   => 20913, ankenbrand
                                => 20706,
                        anker   => 5236, anklam  => 14356, annen   => 22195, annerl  => 12434,
                        anreiter
                                => 9750, anschutz
                                => 7095,
                        ansorg  => 14797, ansorge => 6661, ansperger
                                => 21049,
                        antensteiner
                                => 6678, antes   => 22071,
                        anthes  => 19635, anthofer
                                => 14667,
                        antic   => 1730, antoni  => 7935, antoniadis
                                => 19382,
                        antonic => 5336, antonijevic
                                => 6346,
                        antoniol
                                => 19196, antoniou
                                => 19408,
                        antonitsch
                                => 8262, antonov => 19075,
                        antons  => 17596, antos   => 13484, antosch => 17521, antretter
                                => 14175,
                        antunovic
                                => 5772, anusic  => 11452,
                        anwari  => 18624, anzbock => 20435, anzenberger
                                => 8906,
                        anzengruber
                                => 3734, anzinger
                                => 3510,
                        apachou => 17000, apaydin => 9644, apel    => 1292, apelt   => 7431,
                        apetrei => 22876, apfelthaler
                                => 5551,
                        apfler  => 9491, apitz   => 9833, apolloner
                                => 17774,
                        apollonio
                                => 14932, appel   => 1050,
                        appelmann
                                => 19805, appelt  => 4033,
                        appeltauer
                                => 20246, appesbacher
                                => 20211,
                        arabaci => 15301, arand   => 20462, arandjelovic
                                => 21620,
                        aras    => 1859, arbesleitner
                                => 15026,
                        archan  => 15665, ardelean
                                => 3846,
                        ardic   => 13431, arend   => 4600, arends  => 6947, arendt  => 2154,
                        arens   => 2226, arenz   => 7439, aretz   => 6466, arfaoui => 24257,
                        arican  => 23987, arici   => 11792, arifi   => 4117, arifovic
                                => 10155,
                        arik    => 7195, arikan  => 4911, aringer => 15126, arkan   => 21908,
                        arlt    => 1962, armbrecht
                                => 16079,
                        armbrust
                                => 9893, armbruster
                                => 2511,
                        armellini
                                => 19393, arminger
                                => 11328,
                        armstorfer
                                => 9960, arnautovic
                                => 5330,
                        arnberger
                                => 6660, arndt   => 226,
                        arneitz => 7000, arnemann
                                => 15548,
                        arnesch => 17837, arnezeder
                                => 18172,
                        arnfelser
                                => 13742, arnhof  => 20681,
                        arnhold => 5980, arning  => 12008, arnold  => 185, arnoldner
                                => 19823,
                        arnolds => 19666, arntz   => 15981, arntzen => 23604, arnusch => 18562,
                        arrer   => 17924, arrich  => 18203, arsenic => 16503, arsenovic
                                => 16594,
                        arsic   => 4943, arslan  => 195, arslaner
                                => 15220,
                        artelt  => 20785, arthaber
                                => 15062,
                        arthofer
                                => 2843, arthold => 13373,
                        artinger
                                => 13832, artmann => 5282,
                        artmuller
                                => 17400, artner  => 441,
                        artz    => 7403, arzberger
                                => 5957,
                        arztmann
                                => 17066, asamer  => 17617,
                        asanger => 6487, asani   => 3043, asanoski
                                => 11706,
                        asanov  => 13950, asanovic
                                => 13913,
                        asbach  => 18452, asbeck  => 17681, asbock  => 14164, aschaber
                                => 3703,
                        aschacher
                                => 5307, aschauer
                                => 606,
                        aschbacher
                                => 3870, aschenbach
                                => 14613,
                        aschenberger
                                => 13873, aschenbrenner
                                => 2734,
                        aschenwald
                                => 6780, ascher  => 3534,
                        aschinger
                                => 21920, aschoff => 17957,
                        ascic   => 22531, asendorf
                                => 23866,
                        asenov  => 3377, asenova => 5528, asinger => 17242, aslan   => 268,
                        aslanbay
                                => 20078, aslani  => 14985,
                        aslanidis
                                => 22305, aslanoglu
                                => 20669,
                        asllani => 8961, asmus   => 4088, asmussen
                                => 5001,
                        aspalter
                                => 9065, aspan   => 21680,
                        aspernig
                                => 16888, aspetzberger
                                => 17421,
                        assadi  => 21320, assek   => 17253, assenmacher
                                => 17647,
                        assigal => 9496, assinger
                                => 9042,
                        asslaber
                                => 16319, assmair => 12724,
                        assmann => 2517, assmus  => 22841, aster   => 14938, astian  => 17576,
                        astl    => 4134, astleitner
                                => 17228,
                        astner  => 3521, atabay  => 13916, atak    => 1417, atalan  => 21384,
                        ataman  => 10280, atanasov
                                => 5108,
                        atanasova
                                => 7185, atas    => 6261,
                        atasever
                                => 23750, atasoy  => 6502,
                        ates    => 915, atici   => 13943, atik    => 4230, atilgan => 12899,
                        atmaca  => 3733, atris   => 16042, atschreiter
                                => 19895,
                        atsizoglu
                                => 17252, attenberger
                                => 13518,
                        atteneder
                                => 6038, attwenger
                                => 10637,
                        atzl    => 5615, atzler  => 16521, atzlinger
                                => 6600,
                        atzmuller
                                => 4455, auberger
                                => 5676,
                        aubock  => 5914, auburger
                                => 15607,
                        auchter => 23591, auckenthaler
                                => 13310,
                        auderer => 10992, auer    => 56, auerbach
                                => 5719,
                        auernig => 7264, auernigg
                                => 13094,
                        auersperg
                                => 16686, auerswald
                                => 7816,
                        aufderheide
                                => 24430, aufegger
                                => 17452,
                        aufhauser
                                => 22947, aufinger
                                => 16753,
                        aufner  => 12721, aufreiter
                                => 6397,
                        aufschnaiter
                                => 6592, augeneder
                                => 16658,
                        augenstein
                                => 21247, augstein
                                => 16457,
                        augsten => 21075, augustin
                                => 907,
                        auinger => 1007, aulbach => 11195, auler   => 22046, aulich  => 16320,
                        aumaier => 17201, aumair  => 14974, aumann  => 9056, aumayr  => 4002,
                        aumer   => 18429, aumuller
                                => 6519,
                        auner   => 4266, aunitz  => 22933, auracher
                                => 12770,
                        auras   => 15774, aurich  => 4382, aurin   => 21909, auringer
                                => 22142,
                        ausserhofer
                                => 13368, ausserlechner
                                => 8299,
                        aust    => 1798, austen  => 19177, austermann
                                => 14589,
                        austria => 792, ausweger
                                => 7338,
                        auswoger
                                => 23233, autengruber
                                => 4762,
                        autenrieth
                                => 17491, authried
                                => 10453,
                        autischer
                                => 15599, auzinger
                                => 4110,
                        avci    => 1258, avdic   => 1347, avdijaj => 24271, avdiji  => 21446,
                        avdili  => 20199, avdiu   => 8972, avdyli  => 9550, averbeck
                                => 13491,
                        avsar   => 9625, awada   => 18604, axhillari
                                => 15086,
                        axmann  => 6691, ayadi   => 12537, ayan    => 8476, ayar    => 7919,
                        ayari   => 13665, ayaz    => 3601, aybek   => 20592, aydar   => 20342,
                        aydemir => 1980, aydin   => 165, aydinhan
                                => 14807,
                        aydinli => 21889, aydogan => 2440, aydogdu => 4272, aydogmus
                                => 18326,
                        aydudu  => 20615, aygun   => 3442, ayvaz   => 9064, ayyildiz
                                => 4918,
                        azadi   => 8481, azemi   => 7117, azimi   => 5229, aziri   => 12620,
                        baack   => 20642, baade   => 9733, baader  => 11115, baadre  => 17594,
                        baake   => 10731, baar    => 6063, baars   => 8257, baasch  => 13594,
                        baaske  => 14710, baatz   => 13173, babacan => 11018, baban   => 18607,
                        babayigit
                                => 22140, babel   => 8990,
                        babic   => 830, babisch => 14433, babka   => 18993, babler  => 16292,
                        baburek => 21710, babuscu => 13204, bacak   => 9142, bach    => 342,
                        bachem  => 18234, bacher  => 245, bachert => 9956, bachhuber
                                => 13301,
                        bachinger
                                => 1315, bachkonig
                                => 22253,
                        bachl   => 2643, bachle  => 9190, bachlechner
                                => 4370,
                        bachleitner
                                => 3020, bachler => 720,
                        bachmaier
                                => 2811, bachmair
                                => 5998,
                        bachmann
                                => 330, bachmayer
                                => 3818,
                        bachmayr
                                => 9296, bachmeier
                                => 6047,
                        bachner => 2318, bachofner
                                => 9529,
                        bachtrog
                                => 18947, bacic   => 18969,
                        back    => 1483, backer  => 1800, backes  => 2153, backhaus
                                => 1603,
                        backs   => 20210, bade    => 3179, badegruber
                                => 11684,
                        badem   => 5891, bader   => 700, badtke  => 23507, badur   => 21351,
                        badura  => 9794, baeck   => 17803, baecker => 15647, baehr   => 11103,
                        baer    => 1768, baganz  => 23935, bagaric => 15132, bagci   => 6282,
                        bagcivan
                                => 22710, bagheri => 14944,
                        baginski
                                => 14157, bagirtlak
                                => 11804,
                        bahceci => 16734, bahlke  => 23108, bahlmann
                                => 11983,
                        bahlo   => 20886, bahls   => 17017, bahner  => 17299, bahnsen => 14633,
                        bahr    => 955, bahrami => 16624, bahre   => 18080, bahtiri => 15954,
                        baier   => 499, baierl  => 9622, bailer  => 22098, bainschab
                                => 22334,
                        bair    => 8215, baireder
                                => 15340,
                        baisch  => 14417, bajer   => 12680, bajic   => 9035, bajra   => 15009,
                        bajraktari
                                => 8218, bajrami => 1070,
                        bajramoski
                                => 19199, bajramovic
                                => 4356,
                        bajrektarevic
                                => 4719, bajric  => 1882,
                        bajzek  => 13942, bakan   => 9615, bakic   => 11668, bakir   => 3336,
                        bakirci => 23425, bakker  => 8941, bakos   => 12404, bakovic => 22039,
                        balaban => 6885, balaj   => 3715, balasko => 22785, balaz   => 20571,
                        balber  => 22130, balci   => 2106, baldasti
                                => 20692,
                        baldauf => 1141, baldemair
                                => 16732,
                        baldes  => 18780, baldinger
                                => 7548,
                        baldreich
                                => 20985, baldus  => 8378,
                        balfanz => 20329, balhas  => 11803, balija  => 17192, balik   => 12925,
                        balikci => 13926, baliko  => 9263, balinkic
                                => 21410,
                        balk    => 7740, balkaya => 9104, balke   => 4210, balkenhol
                                => 20093,
                        baller  => 17067, ballerina
                                => 24099,
                        balli   => 12520, ballin  => 13203, balling => 17241, ballmann
                                => 9743,
                        ballweg => 24444, balogh  => 1792, balser  => 15865, balster => 23882,
                        balta   => 9040, baltaci => 11579, baltes  => 5578, baltic  => 8529,
                        baltrusch
                                => 15683, baltruschat
                                => 23083,
                        baltzer => 16389, balukcic
                                => 19812,
                        balz    => 7659, balzer  => 1187, balzereit
                                => 19741,
                        bambach => 19394, bamberg => 4606, bamberger
                                => 3355,
                        bambina => 21864, baminger
                                => 7966,
                        bammer  => 1698, bamminger
                                => 13402,
                        banach  => 17502, banani  => 16844, banban  => 23090, bandic  => 15431,
                        bandion => 13344, banfi   => 23110, bange   => 11603, bangel  => 23352,
                        banger  => 16611, bangerl => 12741, bangert => 6998, banica  => 18943,
                        banjac  => 21695, banko   => 23924, bannasch
                                => 23944,
                        bannert => 10816, banovic => 7182, banovits
                                => 20525,
                        bansch  => 7852, banse   => 8116, bansemer
                                => 20856,
                        bantle  => 17607, banzhaf => 15630, bar     => 435, barac   => 16411,
                        barak   => 9523, baranowski
                                => 8156,
                        baranyai
                                => 5074, barati  => 18632,
                        baratto => 23318, barbaric
                                => 21627,
                        barbian => 22598, barbisch
                                => 21704,
                        barbist => 13298, barbulovic
                                => 11858,
                        baresch => 15962, baresic => 22901, bargehr => 9310, bargetz => 22110,
                        barghorn
                                => 22911, bargmann
                                => 11167,
                        baric   => 4894, barisic => 3195, barke   => 13326, barkhoff
                                => 23534,
                        barkmann
                                => 24138, barkow  => 15570,
                        barkowski
                                => 14788, barkowsky
                                => 23326,
                        barmaksiz
                                => 21588, barmann => 19487,
                        barnekow
                                => 21232, barner  => 12112,
                        barnet  => 21345, barnickel
                                => 20185,
                        barnthaler
                                => 4338, baron   => 1435,
                        barone  => 12563, barsch  => 7791, bart    => 5484, barta   => 2938,
                        bartak  => 13691, bartel  => 1094, bartels => 628, bartelt => 4303,
                        barten  => 13443, bartenberger
                                => 18397,
                        barth   => 248, barthel => 764, barthelmes
                                => 11924,
                        barthels
                                => 21968, barthold
                                => 11421,
                        bartik  => 15300, bartke  => 18130, bartkowiak
                                => 12150,
                        bartl   => 860, bartling
                                => 10056,
                        bartmann
                                => 6596, bartnik => 15438,
                        barton  => 7178, bartos  => 18936, bartosch
                                => 9235,
                        bartram => 22177, bartsch => 443, bartschat
                                => 20381,
                        bartusch
                                => 11995, bartz   => 2212,
                        barucic => 9626, barukcic
                                => 19875,
                        barut   => 6955, barutcu => 17166, barwald => 14290, barwari => 22230,
                        barwich => 21116, barwig  => 23193, barwolf => 24082, barz    => 2944,
                        basan   => 18775, basar   => 7473, basaran => 4741, baschinger
                                => 18394,
                        basdogan
                                => 12896, baser   => 8947,
                        basic   => 1478, basile  => 8994, baskan  => 19029, basler  => 6640,
                        basner  => 14197, basocak => 21411, basoglu => 19193, basol   => 20440,
                        basse   => 16738, bassler => 12347, bast    => 4883, basten  => 15387,
                        basyigit
                                => 19512, batanovic
                                => 19850,
                        batarilo
                                => 16664, bathe   => 13605,
                        bathke  => 24135, batinic => 9656, batke   => 22174, batlogg => 11852,
                        batmaz  => 12738, batoha  => 15669, battaglia
                                => 21497,
                        battermann
                                => 18149, battista
                                => 24241,
                        battisti
                                => 10956, battlogg
                                => 18901,
                        batur   => 16640, batz    => 5834, baubock => 20533, bauch   => 2565,
                        bauchinger
                                => 6248, bauchl  => 20386,
                        baudach => 16010, bauder  => 15217, baudisch
                                => 13910,
                        bauer   => 6, baueregger
                                => 21667,
                        bauerfeind
                                => 18040, bauerle => 4861,
                        bauerlein
                                => 20229, bauermann
                                => 17037,
                        bauermeister
                                => 7354, bauernberger
                                => 18239,
                        bauernfeind
                                => 2537, bauernhofer
                                => 9617,
                        bauersachs
                                => 20055, bauersfeld
                                => 19744,
                        bauhaus => 23821, bauhofer
                                => 5574,
                        bauknecht
                                => 17271, baulig  => 16288,
                        baum    => 327, baumann => 120, baumbach
                                => 2569,
                        baumberger
                                => 5072, baumegger
                                => 8717,
                        baumeister
                                => 1556, baumer  => 4078,
                        baumert => 4996, baumgaertner
                                => 23407,
                        baumgardt
                                => 7650, baumgart
                                => 1247,
                        baumgartel
                                => 7025, baumgarten
                                => 1442,
                        baumgartinger
                                => 9102, baumgartl
                                => 10630,
                        baumgartner
                                => 46, baumhackl
                                => 6762,
                        baumi   => 4661, baumkirchner
                                => 13690,
                        bauml   => 9108, baumler => 4974, baumschlager
                                => 5127,
                        baumstark
                                => 22704, baumuller
                                => 17151,
                        baunach => 19518, baur    => 903, baurecht
                                => 20322,
                        baurenhas
                                => 15427, baurle  => 23238,
                        baurnberger
                                => 14014, bausch  => 3885,
                        bauschke
                                => 18476, bause   => 12486,
                        baust   => 21126, bautz   => 8292, baxhaku => 19358, baxmann => 16493,
                        baxter  => 22138, bayar   => 7488, bayat   => 7115, bayazit => 16893,
                        baydar  => 12903, bayer   => 323, bayerl  => 7017, bayerlein
                                => 15612,
                        bayezit => 22775, bayhan  => 22891, bayindir
                                => 15353,
                        bayir   => 18292, baylan  => 9505, bayr    => 6256, bayrak  => 2062,
                        bayrakci
                                => 16770, bayrakli
                                => 17932,
                        bayraktar
                                => 2728, bayreder
                                => 19570,
                        baysal  => 6269, baysan  => 11342, becher  => 1513, becherer
                                => 17409,
                        bechert => 14666, bechler => 12374, bechmann
                                => 9873,
                        bechstein
                                => 20598, becht   => 7801,
                        bechtel => 4621, bechter => 1679, bechthold
                                => 10780,
                        bechtloff
                                => 23553, bechtold
                                => 4155,
                        becirevic
                                => 12765, beciri  => 23002,
                        becirovic
                                => 3021, beck    => 109,
                        becke   => 9696, beckel  => 23768, becker  => 15, beckers => 2024,
                        beckert => 3383, beckmann
                                => 322,
                        becksteiner
                                => 20656, bedek   => 21032,
                        bedenik => 19547, bednar  => 5978, bednarczyk
                                => 18190,
                        bednarek
                                => 8423, bednarik
                                => 13816,
                        bednarski
                                => 20044, bednarz => 16182,
                        bednorz => 14143, bedocs  => 20923, beeck   => 7319, beer    => 580,
                        beere   => 24283, beermann
                                => 4091,
                        beese   => 6759, beetz   => 5445, beganovic
                                => 1022,
                        begemann
                                => 8285, beger   => 11897,
                        begic   => 1194, begle   => 18902, begovic => 3731, begusch => 9629,
                        beham   => 3057, behlau  => 17387, behle   => 10548, behler  => 18552,
                        behlert => 19490, behling => 4956, behluli => 18666, behm    => 3313,
                        behme   => 24116, behmer  => 19120, behn    => 5879, behncke => 10799,
                        behne   => 10547, behnen  => 24153, behner  => 20711, behnert => 20803,
                        behning => 24281, behnisch
                                => 14792,
                        behnke  => 1215, behr    => 1134, behrami => 8100, behre   => 24192,
                        behrend => 2124, behrends
                                => 2694,
                        behrendt
                                => 626, behrens => 302,
                        behring => 10699, behringer
                                => 4803,
                        behrmann
                                => 5594, behrndt => 23965,
                        beichler
                                => 9691, beier   => 589,
                        beierl  => 20466, beierlein
                                => 18284,
                        beigelbeck
                                => 22023, beiglbock
                                => 6158,
                        beihammer
                                => 12249, beil    => 3651,
                        beiler  => 22229, beilner => 19238, beinlich
                                => 12965,
                        beinroth
                                => 23280, beirer  => 11000,
                        beisel  => 11220, beiser  => 14571, beissmann
                                => 16867,
                        beisteiner
                                => 3934, beister => 24396,
                        beitl   => 11815, beitz   => 11141, bejic   => 22950, bekar   => 19095,
                        bekem   => 22661, bekic   => 20480, bekker  => 15444, bekmezci
                                => 23172,
                        bekric  => 12719, bektas  => 2137, bektashi
                                => 19357,
                        bekteshi
                                => 13687, bektik  => 8282,
                        belau   => 21266, belcic  => 22329, belger  => 9975, belic   => 10301,
                        belitz  => 11260, belke   => 12926, belle   => 4111, beller  => 6905,
                        bellikli
                                => 12489, bellin  => 21571,
                        bellina => 16850, belling => 11378, bellinger
                                => 13479,
                        bellinghausen
                                => 20861, bellmann
                                => 2862,
                        bellstedt
                                => 24161, below   => 6141,
                        beluli  => 15717, belz    => 3563, belzer  => 18243, bemmann => 22610,
                        bencsik => 23490, bencze  => 14335, benda   => 3588, bendel  => 5825,
                        bender  => 378, bendig  => 4642, bendinger
                                => 20129,
                        bendixen
                                => 19706, bendl   => 6022,
                        bendler => 11945, bendra  => 9717, bendt   => 16194, benecke => 5582,
                        beneder => 5062, benedik => 16531, benedikter
                                => 13235,
                        benedix => 17194, beneke  => 6804, benes   => 5840, benesch => 2679,
                        bengel  => 12334, bengsch => 10835, benic   => 20849, benigni => 16852,
                        bening  => 13953, beninger
                                => 22767,
                        benischek
                                => 10337, benke   => 5549,
                        benkel  => 23734, benkenstein
                                => 24204,
                        benker  => 11160, benkert => 8167, benko   => 4203, benkovic
                                => 18596,
                        benli   => 9090, benndorf
                                => 11243,
                        bennemann
                                => 19976, benner  => 2680,
                        bennewitz
                                => 9291, benning => 4965,
                        benninghoff
                                => 14187, bensberg
                                => 24136,
                        bensch  => 3754, bense   => 23058, bensmann
                                => 23848,
                        bentele => 12696, benter  => 22019, benthien
                                => 17064,
                        benthin => 12302, bentrup => 23808, bents   => 13338, bentz   => 7035,
                        benz    => 636, benzer  => 10882, benzing => 19759, benzinger
                                => 24032,
                        bepunkt => 4369, beqiraj => 12545, beqiri  => 4119, beran   => 4231,
                        beranek => 2982, berber  => 4872, berberich
                                => 7716,
                        berbic  => 18740, berbig  => 13244, berchtel
                                => 12466,
                        berchtold
                                => 1567, berdynaj
                                => 20115,
                        bereiter
                                => 18823, berendes
                                => 23024,
                        berends => 12109, berendt => 22513, berens  => 4662, berenz  => 22616,
                        berer   => 4675, bereuter
                                => 2845,
                        berg    => 210, bergau  => 14654, bergauer
                                => 5383,
                        bergbauer
                                => 12757, bergel  => 23803,
                        bergemann
                                => 3680, berger  => 14,
                        bergert => 21234, bergfeld
                                => 13545,
                        berghammer
                                => 2688, berghaus
                                => 9219,
                        berghauser
                                => 23671, bergheim
                                => 18541,
                        berghofer
                                => 3267, berghoff
                                => 9990,
                        berghold
                                => 4763, bergholz
                                => 8807,
                        berghuber
                                => 13693, bergk   => 19633,
                        bergler => 9891, bergmaier
                                => 22418,
                        bergmair
                                => 16225, bergmann
                                => 167,
                        bergmayr
                                => 16148, bergmeier
                                => 8792,
                        bergmeister
                                => 15486, bergmuller
                                => 16202,
                        bergner => 2233, bergs   => 11085, bergschober
                                => 19180,
                        bergsmann
                                => 6253, bergthaler
                                => 6221,
                        beric   => 14144, berinde => 8437, beringer
                                => 9370,
                        berisa  => 3537, berisha => 295, berkel  => 23556, berkemeier
                                => 15584,
                        berkholz
                                => 23411, berkmann
                                => 4188,
                        berktold
                                => 14997, berlakovich
                                => 16028,
                        berling => 13304, berlinger
                                => 9038,
                        bermadinger
                                => 21459, bernards
                                => 22295,
                        bernardy
                                => 18128, bernau  => 10666,
                        bernauer
                                => 5173, berndl  => 2712,
                        berndorfer
                                => 5316, berndsen
                                => 21272,
                        berndt  => 486, bernecker
                                => 7217,
                        bernegger
                                => 6018, berner  => 1135,
                        bernert => 10279, bernhardt
                                => 571,
                        bernhart
                                => 2210, bernhaupt
                                => 22546,
                        bernhauser
                                => 11783, bernhofer
                                => 4901,
                        berning => 9420, berninger
                                => 12234,
                        bernkopf
                                => 20298, bernold => 6548,
                        bernreiter
                                => 11675, bernroitner
                                => 14895,
                        berns   => 6841, bernsdorf
                                => 18083,
                        bernstein
                                => 4056, bernsteiner
                                => 1559,
                        bernthaler
                                => 7417, beronja => 23201,
                        berres  => 19250, bersch  => 10418, bertel  => 14173, bertelmann
                                => 24452,
                        bertels => 12787, bertling
                                => 11181,
                        bertram => 777, bertsch => 2044, bertschler
                                => 20898,
                        bertz   => 10854, berwanger
                                => 19226,
                        berwein => 19338, besch   => 17391, beschorner
                                => 20881,
                        besenbock
                                => 18341, besendorfer
                                => 12406,
                        besic   => 1423, besirevic
                                => 22886,
                        besirovic
                                => 20704, beslagic
                                => 23324,
                        besler  => 9657, beslic  => 16255, bessel  => 15785, bessler => 14463,
                        bestmann
                                => 16581, beth    => 5906,
                        bethge  => 5039, bethke  => 3013, bethmann
                                => 15693,
                        betke   => 16326, betker  => 16023, betsch  => 23564, bettels => 20166,
                        bettermann
                                => 13572, bettin  => 17055,
                        bettinger
                                => 10673, betz    => 909,
                        betzler => 22547, beuck   => 24101, beumer  => 19267, beuster => 20962,
                        beutel  => 4305, beuter  => 13553, beuth   => 13159, beutl   => 16275,
                        beutler => 4966, beutner => 13440, beyer   => 193, beyerlein
                                => 16085,
                        beyersdorf
                                => 20843, beyrer  => 18129,
                        beyrich => 23967, bezdek  => 23240, bezold  => 8421, bialas  => 12084,
                        bialek  => 10483, biallas => 20946, bianco  => 7946, biber   => 2649,
                        biberger
                                => 19478, biberhofer
                                => 17388,
                        biberle => 21802, bibic   => 15173, bicak   => 23849, bicakci => 15510,
                        bicer   => 4955, bichl   => 9412, bichler => 303, bick    => 7927,
                        bickel  => 1972, bicker  => 15285, bickert => 12979, bidmon  => 21970,
                        bidner  => 11070, biebel  => 22748, bieber  => 4021, biebl   => 10270,
                        biebs   => 9580, biechl  => 11685, bieck   => 18171, bieder  => 9744,
                        biedermann
                                => 1814, biegel  => 16880,
                        bieger  => 17036, biegler => 9534, biehl   => 3467, biehler => 14467,
                        bieker  => 13423, biel    => 5924, biela   => 9660, biele   => 24168,
                        bielefeld
                                => 6088, bielenberg
                                => 17331,
                        bieler  => 6897, bielig  => 23617, bieling => 20203, bielinski
                                => 24081,
                        bielke  => 15889, bielmeier
                                => 9231,
                        biemann => 17313, bien    => 7616, biene   => 3045, bienek  => 11463,
                        biener  => 19039, bienert => 5588, bieniek => 13375, bier    => 2646,
                        bierbauer
                                => 6469, bierbaum
                                => 4121,
                        bierbaumer
                                => 1641, bierbrauer
                                => 20515,
                        bieringer
                                => 11204, biermann
                                => 1177,
                        biermeier
                                => 20601, biernat => 23896,
                        biersack
                                => 13765, bierschenk
                                => 14228,
                        bierstedt
                                => 15667, bierwirth
                                => 7802,
                        bierwolf
                                => 20942, biester => 22399,
                        biewald => 13381, biewer  => 19472, bigalke => 18253, bigler  => 16139,
                        bihler  => 12330, bijelic => 8067, bikic   => 11087, bilali  => 10951,
                        bilalic => 18773, bilalovic
                                => 21783,
                        bilandzija
                                => 14158, bilanovic
                                => 18434,
                        bildstein
                                => 16855, bilek   => 4407,
                        bilen   => 6880, bilger  => 19372, bilgeri => 1890, bilgic  => 5725,
                        bilgili => 17423, bilgin  => 3365, bilic   => 4334, bilici  => 10746,
                        bilir   => 9236, biljesko
                                => 22018,
                        bilke   => 19574, billen  => 21922, billensteiner
                                => 21005,
                        biller  => 4441, billich => 18964, billing => 22147, billinger
                                => 17652,
                        billmann
                                => 20526, bilobrk => 17408,
                        bilstein
                                => 14212, binakaj => 12560,
                        bindemann
                                => 23150, binder  => 66,
                        binderlehner
                                => 18343, bindeus => 16683,
                        bindhammer
                                => 15143, bindl   => 17894,
                        bindlechner
                                => 21516, bindreiter
                                => 6321,
                        bingel  => 11305, binger  => 23970, bingol  => 2991, binici  => 16489,
                        binner  => 9993, binninger
                                => 22311,
                        binter  => 6315, biondo  => 21458, birchbauer
                                => 19149,
                        birgfellner
                                => 15412, birgmann
                                => 13101,
                        biribauer
                                => 11778, biricz  => 23524,
                        birinci => 7234, biringer
                                => 20217,
                        birk    => 2244, birke   => 4068, birkel  => 22492, birkelbach
                                => 17618,
                        birkenfeld
                                => 15899, birkenstock
                                => 13079,
                        birker  => 18319, birkfellner
                                => 23347,
                        birkhahn
                                => 23429, birkholz
                                => 4209,
                        birklbauer
                                => 4721, birkle  => 14822,
                        birkmann
                                => 13308, birkner => 4012,
                        birnbacher
                                => 13705, birnbauer
                                => 21684,
                        birnbaum
                                => 6316, birnbaumer
                                => 8079,
                        birner  => 7198, birngruber
                                => 6244,
                        birnhuber
                                => 10283, birnleitner
                                => 16936,
                        birnstingl
                                => 9124, birsak  => 14765,
                        birth   => 24069, bisch   => 23998, bischinger
                                => 16422,
                        bischof => 287, bischofberger
                                => 12529,
                        bischofer
                                => 6863, bischoff
                                => 506,
                        biskup  => 11169, bislimi => 10162, bismark => 21486, bissinger
                                => 12006,
                        bitsch  => 13106, bitsche => 11061, bitschi => 21008, bitschnau
                                => 1367,
                        bittel  => 22213, bitter  => 4443, bitterlich
                                => 11992,
                        bittermann
                                => 2665, bittl   => 23109,
                        bittmann
                                => 11275, bittner => 811,
                        bitzer  => 6055, bitzinger
                                => 10399,
                        biyik   => 21625, biyikli => 23345, bjelic  => 10734, blaa    => 7502,
                        blaas   => 16868, blach   => 8431, blacha  => 22781, black   => 614,
                        blaeser => 24279, blaga   => 19433, blagojevic
                                => 2585,
                        blaha   => 1577, blaickner
                                => 9358,
                        blaim   => 8480, blaimauer
                                => 13991,
                        blaimschein
                                => 19450, blakaj  => 9078,
                        blamauer
                                => 5613, blanck  => 9751,
                        blank   => 562, blanke  => 2949, blankenburg
                                => 3931,
                        blankenhorn
                                => 24322, blankenstein
                                => 19966,
                        blaschek
                                => 4568, blaschitz
                                => 11936,
                        blaschke
                                => 3440, blase   => 12163,
                        blaser  => 12947, blasing => 10527, blasl   => 4772, blassnig
                                => 10094,
                        blaszczyk
                                => 14839, blatnik => 23043,
                        blatterer
                                => 22931, blattner
                                => 19346,
                        blatz   => 22149, blauensteiner
                                => 1941,
                        blaurock
                                => 14859, blauth  => 22050,
                        blazanovic
                                => 12636, blazek  => 7127,
                        blazevic
                                => 2236, blech   => 8405,
                        blecha  => 7505, blecher => 20544, blechinger
                                => 10019,
                        blechschmidt
                                => 4348, bleck   => 8511,
                        bleckenwegner
                                => 18432, bleckmann
                                => 9293,
                        bleeck  => 20169, bleeker => 18471, blees   => 20552, bleich  => 10272,
                        bleicher
                                => 8298, bleier  => 3876,
                        bleimuth
                                => 23378, blender => 23969,
                        blenk   => 21697, blessing
                                => 5665,
                        bleuel  => 20009, bley    => 2708, bleyer  => 5895, blickle => 23788,
                        blieberger
                                => 14943, bliem   => 1188,
                        bliznac => 15932, bloch   => 2477, blochberger
                                => 20097,
                        blocher => 24305, blochinger
                                => 24078,
                        blochl  => 10621, block   => 842, blocker => 17489, blocksberg
                                => 15569,
                        bloder  => 9193, bloderer
                                => 7461,
                        blodorn => 19953, bloem   => 15345, blohm   => 4352, blomberg
                                => 17950,
                        blome   => 5836, blomer  => 9854, blond   => 15039, blubb   => 3745,
                        bludau  => 8334, blue    => 2834, bluhm   => 2574, blum    => 334,
                        blumauer
                                => 6632, blumberg
                                => 5700,
                        blume   => 483, blumel  => 2084, blumenberg
                                => 21245,
                        blumenschein
                                => 12647, blumenstein
                                => 9768,
                        blumenthal
                                => 4797, blumentritt
                                => 14832,
                        blumke  => 17653, bluml   => 7023, blumrich
                                => 19663,
                        blunck  => 10634, blunk   => 17052, blvck   => 2663, boakye  => 21344,
                        boandl  => 19257, boateng => 7909, bobar   => 21105, bober   => 15531,
                        bobzin  => 24206, bocek   => 12557, boche   => 12255, bocher  => 17564,
                        bochmann
                                => 5187, bochsbichler
                                => 15971,
                        bock    => 262, bockberger
                                => 18805,
                        bockel  => 23689, bockelmann
                                => 8427,
                        bocker  => 3803, bockholt
                                => 13109,
                        bocking => 22893, bockl   => 7116, bockle  => 4096, bockler => 13374,
                        bockmann
                                => 3413, bocskor => 17951,
                        boddeker
                                => 22795, bodden  => 11147,
                        bode    => 687, bodecker
                                => 22697,
                        bodeker => 13438, bodemann
                                => 19940,
                        bodenhofer
                                => 17737, bodenmuller
                                => 22239,
                        bodenschatz
                                => 23580, bodenstein
                                => 10729,
                        bodewig => 24406, bodingbauer
                                => 10564,
                        bodlos  => 10024, bodner  => 1802, bodur   => 11799, boeck   => 5506,
                        boecker => 13319, boeckmann
                                => 24401,
                        boehler => 12130, boehm   => 2442, boehme  => 5849, boehmer => 13938,
                        boehnke => 13602, boekhoff
                                => 14552,
                        boenke  => 24148, boerner => 11215, boesch  => 15228, boese   => 6029,
                        boettcher
                                => 3558, boettger
                                => 15411,
                        bogad   => 10028, bogdanov
                                => 24259,
                        bogdanovic
                                => 2082, bogdanski
                                => 16991,
                        boge    => 6724, bogel   => 14432, bogenreiter
                                => 12716,
                        bogensberger
                                => 15478, bogensperger
                                => 3123,
                        boger   => 8646, bogic   => 14117, bogicevic
                                => 13614,
                        bognar  => 7281, bogner  => 575, bogosavljevic
                                => 15846,
                        boheim  => 10540, bohl    => 4715, bohle   => 7798, bohlen  => 4497,
                        bohlender
                                => 17974, bohler  => 1469,
                        bohling => 16129, bohlke  => 13115, bohlmann
                                => 6091,
                        bohm    => 134, bohmann => 11126, bohme   => 337, bohmer  => 1351,
                        bohn    => 1172, bohne   => 3153, bohnen  => 10785, bohnenberger
                                => 22083,
                        bohnenkamp
                                => 17262, bohner  => 8722,
                        bohnert => 8307, bohnet  => 11883, bohning => 13051, bohnisch
                                => 24171,
                        bohnke  => 3690, bohnlein
                                => 17420,
                        bohnsack
                                => 10851, bohr    => 5217,
                        bohrer  => 9138, bohringer
                                => 8177,
                        bohrmann
                                => 14296, bohrn   => 11221,
                        bohusch => 23126, boigner => 15509, boing   => 9465, bointner
                                => 22304,
                        boisits => 18001, bojanic => 10511, bojanovic
                                => 21660,
                        bojer   => 11719, bojic   => 8498, bojovic => 23643, bokelmann
                                => 14459,
                        boker   => 5190, boland  => 12794, bolat   => 4423, boldt   => 1382,
                        bolduan => 11818, bolender
                                => 23622,
                        bolic   => 15206, bolke   => 7314, boll    => 2889, bolle   => 5329,
                        boller  => 6362, bollig  => 10053, bolling => 22607, bollinger
                                => 10438,
                        bollmann
                                => 2558, bollow  => 19843,
                        bollwein
                                => 18983, bolte   => 2766,
                        bolten  => 10006, bolter  => 5709, boltz   => 24261, bolukbas
                                => 13284,
                        bolz    => 1884, bolze   => 20947, bombardelli
                                => 23487,
                        bomke   => 22436, bommer  => 19353, bonacker
                                => 23956,
                        bonanno => 21503, bondarenko
                                => 15368,
                        bondzio => 23718, bones   => 22120, bongard => 12882, bongartz
                                => 4035,
                        bongers => 10373, bonhold => 21203, bonic   => 19219, bonig   => 17254,
                        bonin   => 10920, boning  => 7042, bonisch => 6165, bonitz  => 9362,
                        bonk    => 3900, bonke   => 17088, bonkowski
                                => 22614,
                        bonnet  => 16726, bonsch  => 14135, bonstingl
                                => 8942,
                        boos    => 1892, boost   => 17004, bopp    => 4409, borbely => 13770,
                        borchard
                                => 15752, borchardt
                                => 1707,
                        borcherding
                                => 20099, borchers
                                => 2362,
                        borchert
                                => 1131, borck   => 12858,
                        borger  => 6755, borgmann
                                => 2675,
                        borgmeier
                                => 22523, borgwardt
                                => 7788,
                        boric   => 19766, borisov => 7238, borisova
                                => 13980,
                        bork    => 2678, borkenhagen
                                => 15551,
                        borkowski
                                => 6014, bormann => 1651,
                        born    => 753, bornemann
                                => 2626,
                        borner  => 863, bornhoft
                                => 19468,
                        bornholdt
                                => 19827, bornkessel
                                => 12478,
                        bornmann
                                => 10032, bornschein
                                => 6965,
                        boros   => 10233, borowski
                                => 3010,
                        borrmann
                                => 3087, borsch  => 9872,
                        borsos  => 18406, borst   => 7414, borstel => 22941, bortenschlager
                                => 22293,
                        borth   => 11811, borutta => 24139, borza   => 16687, bosanac => 15302,
                        bosbach => 14305, bosch   => 1257, bosche  => 11950, boschen => 16566,
                        boschitz
                                => 22414, bose    => 2765,
                        bosel   => 7711, bosendorfer
                                => 18214,
                        bosin   => 20535, boskovic
                                => 5992,
                        bosnjak => 1931, bosnjakovic
                                => 4586,
                        bossa   => 13730, bosse   => 2003, bossert => 7665, bossmann
                                => 16396,
                        bostan  => 9542, bostanci
                                => 8199,
                        boswarth
                                => 21084, botel   => 24030,
                        both    => 2779, bothe   => 2048, bothmann
                                => 20485,
                        bothur  => 20677, botic   => 19851, botsch  => 20400, bott    => 2932,
                        botta   => 15069, bottcher
                                => 266,
                        bottge  => 20540, bottger => 1602, bottinger
                                => 15277,
                        bottjer => 13019, bottner => 5220, bouillon
                                => 24248,
                        boyka   => 11560, boyraz  => 10273, boysen  => 7295, bozani  => 20580,
                        bozdag  => 9715, bozdemir
                                => 14454,
                        bozdogan
                                => 23574, bozic   => 1321,
                        bozinovic
                                => 19763, bozkan  => 17910,
                        bozkurt => 691, boztepe => 16948, braasch => 8270, braatz  => 7247,
                        brabandt
                                => 24140, brabec  => 10307,
                        brabenetz
                                => 23136, bracher => 11114,
                        brachmaier
                                => 9275, brachmann
                                => 9264,
                        brachner
                                => 19190, bracht  => 6925,
                        brack   => 5928, bracke  => 19101, bracker => 23729, brackmann
                                => 11539,
                        bradaric
                                => 7817, bradatsch
                                => 23174,
                        brade   => 11892, brader  => 9865, bradl   => 8818, bradler => 20740,
                        bradtke => 20665, braduljevic
                                => 22452,
                        brahimi => 6209, brahm   => 22273, braig   => 17348, brait   => 20447,
                        brajkovic
                                => 12480, brake   => 10432,
                        bramberger
                                => 7204, brambock
                                => 6515,
                        bramer  => 12069, brammer => 11340, brand   => 361, brandacher
                                => 11568,
                        brandau => 8189, brandauer
                                => 2187,
                        brandecker
                                => 8295, brandel => 20966,
                        brandenburg
                                => 2083, brandenburger
                                => 7736,
                        brandes => 1574, brandfellner
                                => 12956,
                        brandhofer
                                => 12670, brandhorst
                                => 18002,
                        brandhuber
                                => 11191, brandl  => 243,
                        brandle => 7061, brandlhofer
                                => 19921,
                        brandlmayr
                                => 13379, brandmair
                                => 17466,
                        brandmayer
                                => 21152, brandmayr
                                => 6429,
                        brandmeier
                                => 20970, brandmuller
                                => 19576,
                        brandner
                                => 381, brands  => 7487,
                        brandstadter
                                => 21402, brandstaetter
                                => 4511,
                        brandstatter
                                => 154, brandstetter
                                => 267,
                        brandstotter
                                => 3106, brandt  => 133,
                        brandtner
                                => 1274, brandy  => 18975,
                        brankovic
                                => 4892, brantner
                                => 2599,
                        brantweiner
                                => 13909, brasch  => 18204,
                        brase   => 17916, brass   => 14058, bratic  => 10533, bratz   => 22074,
                        brauchart
                                => 3686, brauchle
                                => 22685,
                        brauckhoff
                                => 24042, brauckmann
                                => 13107,
                        brauer  => 719, braukmann
                                => 24205,
                        braumandl
                                => 18745, braumann
                                => 8441,
                        braun   => 38, braunauer
                                => 18930,
                        braune  => 1922, brauneder
                                => 8833,
                        braunegger
                                => 5325, brauneis
                                => 4287,
                        brauner => 2797, braunert
                                => 20427,
                        braunhofer
                                => 12082, braunig => 10491,
                        brauning
                                => 13141, brauns  => 6011,
                        braunsberger
                                => 13201, braunschmidt
                                => 18145,
                        braunsdorf
                                => 13008, braunseis
                                => 22830,
                        braunstein
                                => 3980, braunsteiner
                                => 4368,
                        braunstingl
                                => 23186, braunstorfer
                                => 16398,
                        brausch => 17785, brause  => 9248, brautigam
                                => 2876,
                        brazda  => 22765, brcina  => 16756, brech   => 19669, brecher => 14056,
                        brechlin
                                => 23371, brecht  => 3311,
                        brechtel
                                => 20398, brecka  => 19523,
                        breckner
                                => 8733, brede   => 6447,
                        bredemeier
                                => 12281, bredl   => 14706,
                        bredow  => 6123, breer   => 23209, bregar  => 17949, bregenzer
                                => 19710,
                        brehm   => 1896, brehme  => 10003, brehmer => 4784, breidenbach
                                => 4807,
                        breidler
                                => 20179, breier  => 5728,
                        breil   => 24184, breimaier
                                => 20477,
                        breineder
                                => 20529, breiner => 8473,
                        breinesberger
                                => 10960, breinholder
                                => 11626,
                        breininger
                                => 22300, breitbach
                                => 14668,
                        breitbarth
                                => 20008, breitegger
                                => 10248,
                        breitenbach
                                => 3898, breitenbaumer
                                => 13874,
                        breitenberger
                                => 5092, breitenecker
                                => 11598,
                        breiteneder
                                => 3689, breitenfelder
                                => 17481,
                        breitenfellner
                                => 9882, breitenhuber
                                => 18942,
                        breitenlechner
                                => 10140, breitenseher
                                => 19594,
                        breitenstein
                                => 8161, breitenthaler
                                => 13701,
                        breitfeld
                                => 10505, breitfuss
                                => 4311,
                        breithaupt
                                => 15678, breithuber
                                => 11396,
                        breitkopf
                                => 9984, breitler
                                => 7950,
                        breitling
                                => 17856, breitner
                                => 21257,
                        breitsching
                                => 19438, breitschopf
                                => 11834,
                        breitsprecher
                                => 11979, breitung
                                => 22975,
                        breitwieser
                                => 5045, breitzke
                                => 20446,
                        brekalo => 17655, breker  => 19330, brell   => 21030, brem    => 8568,
                        bremer  => 831, brendel => 1475, brendle => 11876, brendler
                                => 14591,
                        brenke  => 22921, brenkusch
                                => 22512,
                        brenn   => 9116, brennecke
                                => 4998,
                        brenneis
                                => 12282, brenner => 504,
                        brenninger
                                => 21655, brennsteiner
                                => 5679,
                        brenter => 16442, bresch  => 19630, bressel => 14361, bresser => 18361,
                        bretis  => 22011, bretschneider
                                => 2351,
                        brettenthaler
                                => 22589, bretterbauer
                                => 21705,
                        bretterklieber
                                => 6924, bretthauer
                                => 16210,
                        brettner
                                => 18871, brettschneider
                                => 4969,
                        bretz   => 8305, bretzke => 19243, breu    => 3905, breuer  => 351,
                        breunig => 6431, breuninger
                                => 20275,
                        breuss  => 2470, breyer  => 5733, brezina => 6898, breznik => 12618,
                        brichta => 16628, brida   => 23369, brieden => 24361, briedl  => 19480,
                        briegel => 24044, brieger => 10616, briel   => 22694, briem   => 23268,
                        briese  => 6707, briesemeister
                                => 17784,
                        brietzke
                                => 21282, brill   => 3226,
                        brinckmann
                                => 12421, brindlinger
                                => 18058,
                        bringmann
                                => 12452, brings  => 11292,
                        brink   => 2755, brinker => 4810, brinkhoff
                                => 17446,
                        brinkmann
                                => 398, brinkmeier
                                => 23096,
                        brinkschulte
                                => 24070, britsch => 24403,
                        britz   => 8095, brix    => 4015, briza   => 20637, brkic   => 1182,
                        brkovic => 15073, brnjic  => 17404, brnoviak
                                => 21634,
                        brocic  => 21494, brock   => 2248, brocke  => 12156, brocker => 6473,
                        brockhaus
                                => 8394, brockhoff
                                => 15852,
                        brockl  => 14393, brockmann
                                => 1299,
                        brockmeier
                                => 23699, brockmeyer
                                => 16508,
                        brocks  => 14427, broda   => 7962, brodbeck
                                => 10425,
                        brode   => 18564, broderbauer
                                => 12263,
                        brodersen
                                => 6704, brodesser
                                => 14618,
                        brodinger
                                => 18998, brodmann
                                => 22211,
                        brodnig => 10993, brodowski
                                => 14901,
                        brodschneider
                                => 19928, brodt   => 23937,
                        brodtrager
                                => 8585, broer   => 23198,
                        broger  => 15188, brohl   => 18580, broich  => 9392, broker  => 5883,
                        broll   => 15424, brombach
                                => 12444,
                        bromme  => 17628, brommer => 20899, bronner => 11879, broring => 24317,
                        brosch  => 4275, brosche => 15952, broscheit
                                => 20420,
                        broschek
                                => 18469, brose   => 3059,
                        brosel  => 23680, broser  => 20795, brosig  => 7693, brosius => 12817,
                        brosowski
                                => 20534, bross   => 11592,
                        brost   => 15455, broszeit
                                => 20254,
                        brotzner
                                => 17917, brouwer => 19140,
                        brouwers
                                => 21919, brozek  => 17834,
                        bruch   => 3759, brucher => 15901, bruchmann
                                => 13872,
                        bruck   => 1737, bruckbauer
                                => 5566,
                        bruckel => 23628, brucker => 4611, bruckl  => 2439, bruckler
                                => 2951,
                        bruckmann
                                => 4655, bruckmeier
                                => 21044,
                        bruckmoser
                                => 7199, bruckmuller
                                => 4109,
                        bruckner
                                => 178, bruckschwaiger
                                => 15575,
                        bruderhofer
                                => 21511, bruderl => 18689,
                        brueck  => 20676, brueckner
                                => 13167,
                        brueggemann
                                => 16039, bruggemann
                                => 1166,
                        bruggen => 9421, brugger => 230, bruggl  => 12932, bruggler
                                => 4886,
                        bruggmann
                                => 21183, bruggraber
                                => 6917,
                        brugmann
                                => 8862, brugner => 14851,
                        bruhl   => 3373, bruhn   => 1761, bruhns  => 15634, brumm   => 7038,
                        brumme  => 14450, brummer => 3921, brunauer
                                => 5695,
                        brunbauer
                                => 10213, brundl  => 6882,
                        brundlinger
                                => 15554, brune   => 3321,
                        brunger => 22776, brungs  => 23842, brunhuber
                                => 10067,
                        brunig  => 15736, bruning => 1503, brunjes => 12246, brunk   => 10647,
                        brunke  => 6097, brunken => 10812, brunkhorst
                                => 14354,
                        brunmair
                                => 11462, brunmayr
                                => 5496,
                        brunn   => 6176, brunnader
                                => 14636,
                        brunnauer
                                => 7717, brunnbauer
                                => 3751,
                        brunner => 44, brunnert
                                => 14447,
                        brunnhofer
                                => 6994, brunnhuber
                                => 12067,
                        brunnmair
                                => 20835, brunnmayr
                                => 11159,
                        brunnsteiner
                                => 15116, brunnthaler
                                => 15021,
                        brunnthaller
                                => 20307, brunold => 10084,
                        brunotte
                                => 21301, brunow  => 23044,
                        bruns   => 363, brunsch => 15970, brunsteiner
                                => 18213,
                        brunthaler
                                => 4905, bruntschko
                                => 21455,
                        bruny   => 18728, brunzel => 17769, bruse   => 17179, bruser  => 23447,
                        bruske  => 24265, bruss   => 20473, brussow => 16273, brustle => 14573,
                        brutscher
                                => 19282, brutti  => 15751,
                        brutting
                                => 22953, bryant  => 16705,
                        brzezinski
                                => 11843, brzoska => 14446,
                        bstieler
                                => 11442, bubeck  => 23765,
                        bubestinger
                                => 13376, bublitz => 9728,
                        bucar   => 22682, buchacher
                                => 1733,
                        buchart => 16629, buchauer
                                => 7527,
                        buchbauer
                                => 5908, buchberger
                                => 884,
                        buchebner
                                => 4895, buchecker
                                => 20652,
                        buchegger
                                => 505, buchel  => 4931,
                        buchele => 9588, bucher  => 638, bucherl => 19627, buchert => 12174,
                        buchgraber
                                => 6294, buchhammer
                                => 16847,
                        buchhas => 18952, buchhausl
                                => 22270,
                        buchheim
                                => 8248, buchheister
                                => 14405,
                        buchheit
                                => 23262, buchholtz
                                => 24345,
                        buchholz
                                => 392, buchholzer
                                => 9471,
                        buchhorn
                                => 17079, buchi   => 15011,
                        buchinger
                                => 751, buchleitner
                                => 7359,
                        buchler => 6260, buchmaier
                                => 12567,
                        buchmann
                                => 1750, buchmayer
                                => 6607,
                        buchmayr
                                => 4756, buchmeier
                                => 19047,
                        buchmuller
                                => 8041, buchner => 518,
                        buchreiter
                                => 17907, buchroithner
                                => 18350,
                        buchsbaum
                                => 4385, buchsenmeister
                                => 19007,
                        buchsteiner
                                => 4434, buchta  => 8023,
                        buchwald
                                => 2743, bucic   => 21687,
                        buck    => 962, buckel  => 17956, bucken  => 24393, bucker  => 3927,
                        bucking => 23555, buckow  => 20566, budak   => 3636, budde   => 1661,
                        budenbender
                                => 18370, buder   => 2161,
                        budimirovic
                                => 16083, budimlic
                                => 10258,
                        budweg  => 20463, budzinski
                                => 22635,
                        buechner
                                => 22457, buehler => 17125,
                        buerger => 13896, buettner
                                => 8920,
                        bugelnig
                                => 7991, buggelsheim
                                => 8532,
                        bugl    => 7174, bugler  => 11887, bugurcu => 22822, buhl    => 2549,
                        buhler  => 1288, buhlmann
                                => 17164,
                        buhmann => 7842, buhner  => 8828, buhr    => 3472, buhren  => 22734,
                        buhrer  => 11864, buhring => 9254, buhringer
                                => 10419,
                        buhrmann
                                => 16373, bujak   => 21269,
                        bujari  => 16825, bujupi  => 16677, buker   => 8891, bukovica
                                => 17355,
                        bukowski
                                => 8076, bulat   => 16834,
                        bulbul  => 5272, bulduk  => 4466, buljubasic
                                => 4616,
                        bull    => 4241, bulla   => 8483, buller  => 9164, bulling => 23914,
                        bullinger
                                => 14754, bullmann
                                => 11938,
                        bulow   => 3958, bultmann
                                => 16364,
                        bulut   => 658, bumann  => 15479, bumba   => 10953, bumberger
                                => 9202,
                        bundschuh
                                => 4698, bunge   => 5068,
                        bunger  => 5024, bungert => 12277, bunic   => 13790, buning  => 14374,
                        bunjaku => 9555, bunjes  => 22669, bunk    => 5208, bunke   => 13293,
                        bunning => 12028, bunse   => 14652, bunte   => 11999, bunting => 24039,
                        buntrock
                                => 16383, bunzel  => 9241,
                        burandt => 19603, burbach => 8897, burchardt
                                => 7894,
                        burchert
                                => 14438, burckhardt
                                => 15492,
                        burczyk => 20671, burda   => 12554, burdack => 19970, burek   => 23148,
                        bures   => 11742, buresch => 5366, burfeind
                                => 20191,
                        burgard => 9385, burgardt
                                => 21517,
                        burgdorf
                                => 11268, burgel  => 9957,
                        burgemeister
                                => 23722, burger  => 301,
                        burgert => 17180, burggraf
                                => 8581,
                        burghardt
                                => 1570, burghart
                                => 4036,
                        burghauser
                                => 18852, burgholzer
                                => 7893,
                        burghuber
                                => 9642, burgio  => 18802,
                        burgler => 4106, burgmann
                                => 21056,
                        burgschwaiger
                                => 9251, burgstaller
                                => 324,
                        burgsteiner
                                => 9232, burian  => 3470,
                        buric   => 7149, buricic => 14021, burisch => 17882, burisic => 21042,
                        burk    => 5154, burkardt
                                => 19879,
                        burkart => 5356, burke   => 10869, burkert => 3209, burkhardt
                                => 685,
                        burkhart
                                => 6302, burkle  => 6178,
                        burmann => 11372, burmeister
                                => 1042,
                        burmester
                                => 3698, burner  => 13515,
                        burow   => 7306, burrichter
                                => 21069,
                        bursch  => 22929, burscher
                                => 17622,
                        burst   => 11953, burtscher
                                => 474,
                        burwitz => 24429, burzic  => 21999, busack  => 20896, buscemi => 21546,
                        busch   => 191, buschbeck
                                => 14885,
                        busche  => 5430, buschek => 23005, buschel => 17723, buschendorf
                                => 24123,
                        buschenreiter
                                => 17245, buscher => 2167,
                        busching
                                => 22544, buschke => 23676,
                        buschmann
                                => 1388, buschnegg
                                => 21881,
                        busel   => 8345, busemann
                                => 20098,
                        busing  => 5627, buske   => 8837, buss    => 2690, busse   => 729,
                        bussmann
                                => 4337, buter   => 7385,
                        buthmann
                                => 22569, butow   => 11399,
                        butsch  => 20245, butscher
                                => 20265,
                        buttazoni
                                => 9152, buttenhauser
                                => 8901,
                        butterweck
                                => 23700, buttgen => 14346,
                        buttgenbach
                                => 23710, buttgereit
                                => 11205,
                        buttinger
                                => 2744, buttler => 8105,
                        buttner => 348, butz    => 2399, butzke  => 10393, buxbaum => 2425,
                        buxbaumer
                                => 9931, buyar   => 15530,
                        buyuk   => 11720, buzanich
                                => 19315,
                        buzek   => 17698, buzhala => 19364, buzzi   => 16841, bytyqi  => 1857,
                        cabar   => 22143, cabuk   => 12974, cacic   => 21851, cagli   => 22847,
                        cajic   => 6711, cajlakovic
                                => 21583,
                        cakal   => 16969, cakan   => 15515, cakar   => 5295, cakic   => 22007,
                        cakici  => 10786, cakir   => 782, cakiroglu
                                => 18315,
                        cakmak  => 1694, cakolli => 24272, calabrese
                                => 10189,
                        caldonazzi
                                => 18986, calik   => 8019,
                        calis   => 11027, calisir => 21978, caliskan
                                => 1426,
                        callies => 14436, callsen => 18433, caman   => 19833, camci   => 17958,
                        camondo => 18151, campregher
                                => 17426,
                        camur   => 16739, can     => 143, canbaz  => 15264, canbolat
                                => 23127,
                        cankaya => 5639, cankovic
                                => 21835,
                        canli   => 8734, canturk => 19191, capar   => 11730, capasso => 18785,
                        capek   => 12500, capellari
                                => 18460,
                        capkin  => 17206, capone  => 6504, cappello
                                => 18772,
                        caputo  => 10175, caranovic
                                => 17695,
                        carbonari
                                => 12612, carbone => 12597,
                        carius  => 14869, carle   => 18794, carls   => 20371, caron   => 24244,
                        carpentari
                                => 20204, carrozzo
                                => 21554,
                        carstens
                                => 2309, carstensen
                                => 2088,
                        carta   => 13702, caruso  => 4400, casagranda
                                => 14275,
                        cash    => 8514, caspari => 7091, casper  => 5459, caspers => 7241,
                        cassel  => 19280, cassens => 13498, castellitz
                                => 18550,
                        castiglione
                                => 18762, catal   => 23756,
                        catalano
                                => 11616, catania => 12595,
                        catic   => 3639, catovic => 20808, causevic
                                => 3175,
                        cavallaro
                                => 18754, cavallo => 15066,
                        cavdar  => 10300, cavkic  => 13981, cavus   => 6886, cavusoglu
                                => 16933,
                        cayir   => 10341, cayli   => 21270, cebeci  => 9109, cebulla => 12099,
                        cecco   => 21294, cech    => 3079, ceesay  => 8513, cehajic => 6339,
                        cehic   => 2933, cejka   => 13495, cejvanovic
                                => 21033,
                        cekic   => 3271, cekuc   => 22359, celebi  => 2584, celebic => 10822,
                        celen   => 15318, celentano
                                => 18705,
                        celep   => 10298, celepci => 1490, celic   => 21915, celik   => 158,
                        celikel => 19189, celiker => 15355, celikkaya
                                => 15245,
                        celikovic
                                => 15370, cenanovic
                                => 16997,
                        cenik   => 18859, ceper   => 20904, ceran   => 15299, cerci   => 24109,
                        ceric   => 20636, cerimovic
                                => 15913,
                        cerkezovic
                                => 22737, cermak  => 4463,
                        cerncic => 17136, cerny   => 1221, certov  => 15422, cervenka
                                => 21754,
                        cervinka
                                => 19249, cetin   => 416,
                        cetiner => 12732, cetinkaya
                                => 1285,
                        cetintas
                                => 17969, cetojevic
                                => 21931,
                        cevik   => 2656, cevizci => 14752, ceylan  => 883, chael   => 22283,
                        chahrour
                                => 7776, chalupa => 18706,
                        chalupsky
                                => 20908, chanel  => 8979,
                        charvat => 16884, charwat => 14210, chehade => 16615, cherie  => 19397,
                        chilla  => 20906, chiriac => 19159, chladek => 17411, chmela  => 17485,
                        chmiel  => 19435, chmielewski
                                => 14383,
                        chojnacki
                                => 24318, cholewa => 16452,
                        christ  => 688, christandl
                                => 8099,
                        christensen
                                => 4882, christiani
                                => 17975,
                        christians
                                => 8700, christiansen
                                => 1368,
                        christiner
                                => 19656, christler
                                => 12149,
                        christmann
                                => 2338, christofl
                                => 19166,
                        christou
                                => 19314, chrobok => 19437,
                        chromy  => 16597, chudoba => 22574, chvatal => 22818, chytil  => 19318,
                        cicak   => 20407, cicek   => 1175, cicekdag
                                => 19557,
                        cichon  => 9276, cichy   => 12154, cicio   => 21623, ciesielski
                                => 16145,
                        ciesla  => 23052, cieslak => 19233, cieslik => 11449, cifci   => 7937,
                        cifric  => 23260, ciftci  => 2101, cihlar  => 16191, cikaric => 22218,
                        cilingir
                                => 22702, cimen   => 3477,
                        cimino  => 18757, cinar   => 1325, ciocan  => 20593, ciplak  => 18474,
                        cipolla => 21507, ciric   => 9137, cirillo => 13750, cirkic  => 18814,
                        cirpan  => 20051, citak   => 19014, civelek => 8082, civic   => 20011,
                        cividino
                                => 18131, cizek   => 8997,
                        cizmic  => 10222, claassen
                                => 10364,
                        clasen  => 3553, classen => 4666, clausen => 1742, clausing
                                => 23960,
                        clausnitzer
                                => 13505, clauss  => 5215,
                        claussen
                                => 5363, clemen  => 24213,
                        clementi
                                => 16842, clermont
                                => 24237,
                        cleve   => 16698, clever  => 7507, clyde   => 16668, cobain  => 24262,
                        coban   => 1586, cobanoglu
                                => 15231,
                        coenen  => 4467, cohnen  => 20930, cohrs   => 6785, colada  => 18387,
                        colak   => 1772, colakovic
                                => 12369,
                        colditz => 9483, colic   => 3378, collet  => 15333, collmann
                                => 23752,
                        cologne => 2118, colonia => 10200, colucci => 11624, comak   => 22430,
                        conen   => 19170, congar  => 10524, conrad  => 494, conradi => 6025,
                        conrads => 6083, conradt => 11840, conrady => 24310, conzelmann
                                => 11497,
                        cook    => 7479, cooper  => 3177, coordes => 13393, coppola => 8983,
                        coralic => 6601, cordes  => 978, cords   => 18568, cordt   => 22521,
                        cordts  => 16556, core    => 6499, corkovic
                                => 21641,
                        corleone
                                => 3511, cornelissen
                                => 15335,
                        cornelsen
                                => 19259, cornils => 23593,
                        corsten => 15541, cortese => 18746, cosar   => 11036, cosgun  => 7392,
                        cosic   => 1250, coskun  => 1060, coskuner
                                => 8146,
                        costea  => 9026, coufal  => 16242, cramer  => 1467, cremer  => 1405,
                        cremers => 15336, crepaz  => 15254, creutz  => 17637, creutzburg
                                => 17265,
                        cristi  => 16675, cristian
                                => 4394,
                        crnkic  => 12138, crnoja  => 23115, crombach
                                => 20938,
                        crone   => 14059, csar    => 7112, csaszar => 21958, cseke   => 20989,
                        csenar  => 11838, cserkits
                                => 19263,
                        csida   => 11330, csillag => 21890, csizmadia
                                => 23167,
                        cubukcu => 17997, cujic   => 21761, cukic   => 17938, cullmann
                                => 16502,
                        curcic  => 16402, curic   => 6348, curth   => 17309, cvetkovic
                                => 3240,
                        cvijanovic
                                => 17755, cvijetic
                                => 21649,
                        cvijetinovic
                                => 17238, cvijic  => 12922,
                        cyron   => 22872, czaja   => 6388, czajka  => 22314, czarnecki
                                => 9270,
                        czarnetzki
                                => 16153, czech   => 2850,
                        czekalla
                                => 12400, czepa   => 21112,
                        czermak => 8956, czernin => 18032, czerny  => 1993, czerwenka
                                => 19076,
                        czerwinski
                                => 8782, czihak  => 22034,
                        czogalla
                                => 13459, czvitkovits
                                => 23410,
                        dabelstein
                                => 24215, daberer => 12193,
                        dabernig
                                => 4783, dabic   => 21749,
                        dablander
                                => 10670, dabrowski
                                => 9005,
                        dachs   => 7967, dafert  => 18318, daffner => 16349, dagdelen
                                => 10615,
                        dagdeviren
                                => 13161, dagli   => 8577,
                        daglinger
                                => 20302, dagostino
                                => 16707,
                        dahdal  => 8969, dahl    => 2783, dahle   => 23858, dahlem  => 19840,
                        dahlenburg
                                => 23078, dahlhaus
                                => 10018,
                        dahlhoff
                                => 22777, dahlke  => 3760,
                        dahlmann
                                => 4216, dahlmanns
                                => 21299,
                        dahm    => 3133, dahmen  => 2341, dahms   => 3249, dahn    => 7050,
                        dahne   => 7391, dahnke  => 14528, daichendt
                                => 14326,
                        dajic   => 23192, dakic   => 10120, dalessandro
                                => 18741,
                        dalgic  => 16899, dalipi  => 10950, dalkilic
                                => 19026,
                        daller  => 10476, dallhammer
                                => 20310,
                        dallinger
                                => 1536, dallmann
                                => 4605,
                        dalmatiner
                                => 18504, damar   => 13989,
                        damaschke
                                => 12095, dambach => 17157,
                        dambacher
                                => 18034, dambauer
                                => 13789,
                        damberger
                                => 5381, dambock => 12075,
                        dambrosio
                                => 18761, dambrowski
                                => 24434,
                        damej   => 17163, damer   => 20964, damerau => 13387, damerow => 10115,
                        dames   => 12613, damico  => 10186, damisch => 21329, damjanovic
                                => 5451,
                        damm    => 1122, dammann => 3475, dammer  => 13547, dammerer
                                => 13997,
                        damnjanovic
                                => 6957, dampfhofer
                                => 15699,
                        dams    => 8109, dandler => 17542, danek   => 8386, dang    => 2961,
                        dangel  => 10747, dangelo => 10185, dangl   => 1198, danglmaier
                                => 19790,
                        daniels => 2427, danis   => 21777, danisch => 14879, danker  => 10406,
                        dankert => 7399, dankl   => 5240, danklmaier
                                => 6915,
                        danko   => 6342, danler  => 3018, danne   => 12986, danneberg
                                => 14444,
                        dannecker
                                => 18160, dannehl => 17072,
                        dannemann
                                => 12035, dannenberg
                                => 4373,
                        danner  => 939, dannerbauer
                                => 17641,
                        danninger
                                => 1360, danowski
                                => 19520,
                        danter  => 18187, danz    => 5809, danzer  => 4543, danzinger
                                => 2936,
                        danzl   => 4064, daraban => 19712, darabos => 21744, dargel  => 8830,
                        darilmaz
                                => 13192, daringer
                                => 18400,
                        darmann => 7799, darnhofer
                                => 6681,
                        darrer  => 23035, darwich => 12523, darwisch
                                => 23388,
                        dascalu => 15590, daschner
                                => 12331,
                        dasdemir
                                => 8179, daske   => 23802,
                        dassler => 16369, dastl   => 19133, dathe   => 8239, datler  => 10719,
                        datscher
                                => 13172, datzberger
                                => 12638,
                        datzreiter
                                => 13131, daub    => 4822,
                        daube   => 16219, dauber  => 18587, daubner => 17779, daubock => 23376,
                        daucher => 11810, daum    => 1879, daumann => 13247, daume   => 20134,
                        daurer  => 3961, dausch  => 23891, dautaj  => 16651, dauth   => 24180,
                        dauti   => 3966, dautovic
                                => 6205,
                        davidovic
                                => 5278, davids  => 8952,
                        davulcu => 17844, dawlatzai
                                => 16816,
                        daxauer => 14627, daxbacher
                                => 21313,
                        daxberger
                                => 9011, daxbock => 3080,
                        daxecker
                                => 8428, daxenbichler
                                => 15415,
                        daxer   => 3575, daxner  => 9548, dayakli => 17093, dayan   => 13645,
                        deari   => 12561, debus   => 4310, dechant => 7575, decher  => 20031,
                        dechert => 16091, dechler => 21338, decker  => 531, deckers => 8108,
                        deckert => 3402, dederichs
                                => 7357,
                        dedic   => 1611, dedovic => 23635, deeken  => 14243, deffner => 15798,
                        deflorian
                                => 23492, degasperi
                                => 9355,
                        degel   => 19725, degelmann
                                => 20864,
                        degen   => 2498, degener => 8917, degenhardt
                                => 3702,
                        degenhart
                                => 11763, degenkolb
                                => 22398,
                        deger   => 10801, degirmenci
                                => 6871,
                        degner  => 5327, degold  => 11075, dehler  => 14161, dehmel  => 10042,
                        dehn    => 4075, dehne   => 7463, dehner  => 11904, dehnert => 10676,
                        deibert => 19334, deibl   => 12910, deichmann
                                => 7260,
                        deichsel
                                => 17621, deicke  => 23130,
                        deimann => 22992, deimbacher
                                => 12625,
                        deimel  => 3455, deinert => 8301, deinhofer
                                => 9027,
                        deininger
                                => 7577, deisenhammer
                                => 10181,
                        deiser  => 7478, deisinger
                                => 16277,
                        deisl   => 4451, deiss   => 17896, deistler
                                => 21231,
                        deiters => 12190, deixelberger
                                => 14297,
                        deixler => 18840, dejanovic
                                => 16479,
                        dekic   => 8096, dekker  => 21950, delalic => 20507, delfs   => 9400,
                        delic   => 960, dell    => 4868, deller  => 18660, delling => 20478,
                        demaj   => 13682, demant  => 20319, dembowski
                                => 20877,
                        dembski => 16184, demel   => 5710, demelbauer
                                => 13713,
                        demic   => 8736, demir   => 115, demiral => 5538, demiralp
                                => 17474,
                        demiray => 9787, demirbas
                                => 6125,
                        demirbilek
                                => 6815, demircan
                                => 2559,
                        demirci => 1162, demircioglu
                                => 20960,
                        demirel => 1327, demirhan
                                => 6571,
                        demiri  => 3614, demirkaya
                                => 11048,
                        demirkiran
                                => 7861, demirkol
                                => 11714,
                        demiroglu
                                => 14090, demirov => 9100,
                        demirova
                                => 21893, demirovic
                                => 5714,
                        demirovski
                                => 24428, demirsoy
                                => 14755,
                        demirtas
                                => 2970, demme   => 24004,
                        demmel  => 9075, demmelbauer
                                => 14154,
                        demmer  => 5975, demmerer
                                => 21590,
                        demmerle
                                => 24448, demmler => 9454,
                        demolli => 18672, demski  => 14046, demuth  => 3201, denecke => 5434,
                        deneke  => 16001, dengel  => 8593, dengg   => 951, dengler => 3051,
                        denifl  => 23321, denizli => 16940, denk    => 620, denker  => 4039,
                        denkert => 20830, denkmair
                                => 21707,
                        denkmayr
                                => 18283, denner  => 6137,
                        dennerlein
                                => 22484, denninger
                                => 21797,
                        denter  => 23877, denz    => 6569, denzel  => 11601, denzer  => 11106,
                        denzin  => 24108, denzler => 22201, depauli => 19122, depner  => 13058,
                        deppe   => 3486, depping => 17665, deppisch
                                => 23856,
                        depta   => 17284, depunkt => 16050, derdak  => 15535, dereli  => 15350,
                        derfler => 5969, derflinger
                                => 3342,
                        derichs => 10530, derin   => 6297, dering  => 17484, deringer
                                => 17534,
                        derkits => 9526, derks   => 11802, derksen => 4321, derler  => 1381,
                        dermutz => 23173, derndorfer
                                => 14138,
                        derntl  => 7019, dersch  => 9686, dersim  => 4029, dertli  => 14878,
                        dertnig => 16357, dervisevic
                                => 6532,
                        dervishaj
                                => 18645, dervishi
                                => 11574,
                        desch   => 7335, deschka => 20905, deschmann
                                => 14116,
                        deschner
                                => 19803, despotovic
                                => 10855,
                        destani => 16832, deter   => 19972, detering
                                => 22659,
                        determann
                                => 23774, deters  => 5378,
                        detert  => 20581, dethlefs
                                => 14815,
                        dethlefsen
                                => 20062, dethloff
                                => 13049,
                        detjen  => 22582, detlefsen
                                => 11414,
                        detmers => 23275, dette   => 18328, detter  => 15940, dettke  => 21199,
                        dettling
                                => 17134, dettmann
                                => 5182,
                        dettmar => 22732, dettmer => 4041, detzel  => 21566, deubel  => 11344,
                        deubler => 18768, deuerling
                                => 22696,
                        deuretzbacher
                                => 21760, deuring => 15877,
                        deuschle
                                => 17976, deuter  => 14759,
                        deutinger
                                => 3264, deutsch => 389,
                        deutschbauer
                                => 10454, deutschl
                                => 23162,
                        deutschlander
                                => 23845, deutschmann
                                => 855,
                        deveci  => 3101, devic   => 20811, dewald  => 5158, dewitz  => 11475,
                        dexheimer
                                => 23088, diabl   => 21581,
                        diaconu => 21957, diamant => 18686, dibbern => 16074, dibiasi => 14939,
                        dibrani => 10893, dichtl  => 6305, dick    => 1104, dickel  => 8130,
                        dicker  => 7275, dickert => 18517, dicketmuller
                                => 21466,
                        dickinger
                                => 9848, dickmann
                                => 6026,
                        dicks   => 14048, didovic => 21977, diebel  => 12447, dieber  => 14441,
                        diebold => 9182, diechtler
                                => 23458,
                        dieck   => 11457, dieckhoff
                                => 18060,
                        dieckmann
                                => 1844, diederich
                                => 4507,
                        diederichs
                                => 5433, diedrich
                                => 2674,
                        diedrichs
                                => 13250, diedrichsen
                                => 16149,
                        diefenbach
                                => 6738, diegel  => 17738,
                        diegruber
                                => 19488, diehl   => 790,
                        diehm   => 10489, diehr   => 23660, dieke   => 23984, dieker  => 23614,
                        diekmann
                                => 1605, diel    => 4888,
                        dielacher
                                => 9703, dieling => 24052,
                        dielmann
                                => 23445, diem    => 2432,
                        diemer  => 6585, dieminger
                                => 19266,
                        dienbauer
                                => 11526, diendorfer
                                => 10856,
                        dienel  => 16253, dienemann
                                => 17670,
                        diener  => 2455, diensthuber
                                => 17919,
                        dienstl => 6716, dieplinger
                                => 7596,
                        diepold => 10223, diercks => 7462, dierich => 16250, dieringer
                                => 12614,
                        dierkes => 6427, dierks  => 3155, dierl   => 20356, diermaier
                                => 17102,
                        diers   => 7039, diesel  => 7916, diesenberger
                                => 18868,
                        diesenreiter
                                => 6908, diesenreither
                                => 19053,
                        diesing => 14487, diesner => 16671, diess   => 22166, diessner
                                => 13025,
                        dietachmair
                                => 20363, dietachmayr
                                => 15787,
                        diete   => 24377, dietel  => 7215, dieterich
                                => 6157,
                        dieterle
                                => 9192, diethart
                                => 10161,
                        dietinger
                                => 9077, dietl   => 2528,
                        dietmaier
                                => 22184, dietmann
                                => 20019,
                        dietmayer
                                => 18544, dietrich
                                => 166,
                        dietrichsteiner
                                => 16983, dietsch => 7877,
                        dietsche
                                => 15481, dietz   => 417,
                        dietze  => 1506, dietzel => 3233, dietzmann
                                => 22467,
                        dietzsch
                                => 8272, diewald => 4372,
                        diezel  => 22386, digruber
                                => 6860,
                        diker   => 21878, dikici  => 16021, dikme   => 22511, dikmen  => 8576,
                        dilan   => 21362, dilger  => 10523, dill    => 3819, diller  => 9570,
                        dilling => 20394, dillinger
                                => 12694,
                        dillmann
                                => 5179, dilly   => 19832,
                        dimai   => 15969, dimic   => 7307, dimitriadis
                                => 15381,
                        dimitrijevic
                                => 1488, dimitriou
                                => 19375,
                        dimitrov
                                => 2392, dimitrova
                                => 3284,
                        dimmel  => 15117, dimov   => 16928, dimova  => 21807, dinc    => 1925,
                        dindic  => 21308, dine    => 1410, dingens => 16228, dinger  => 7793,
                        dinges  => 10051, dingler => 21223, dinh    => 3833, dinhobl => 19516,
                        dinhof  => 11973, dinic   => 6293, dinkel  => 7667, dinler  => 10745,
                        dinse   => 5846, dinter  => 6386, dinulovic
                                => 22851,
                        dionela => 19276, dioso   => 19747, dippel  => 5194, dippold => 13122,
                        dirisamer
                                => 10916, dirkes  => 11264,
                        dirks   => 2211, dirksen => 6927, dirlinger
                                => 10836,
                        dirnbacher
                                => 14590, dirnbauer
                                => 10451,
                        dirnberger
                                => 1062, dirnbock
                                => 13245,
                        dirscherl
                                => 10569, disch   => 17138,
                        discher => 15610, dissauer
                                => 6437,
                        distel  => 16845, distelberger
                                => 14369,
                        distl   => 20412, distler => 4024, ditrich => 20189, dittberner
                                => 11401,
                        dittert => 13487, dittlbacher
                                => 19691,
                        dittmann
                                => 950, dittmar => 2618,
                        dittmer => 3027, dittrich
                                => 573,
                        ditzel  => 19236, ditzlmuller
                                => 21456,
                        divis   => 15784, divjak  => 10045, divos   => 18445, diwald  => 9413,
                        diwisch => 16765, dizdar  => 22008, dizdarevic
                                => 1428,
                        djedovic
                                => 6848, djokic  => 3135,
                        djordjevic
                                => 157, djukanovic
                                => 20577,
                        djukic  => 2010, djulic  => 21638, djurdjevic
                                => 3032,
                        djuric  => 1171, djuricic
                                => 13884,
                        djurovic
                                => 15993, dlouhy  => 22069,
                        dlugosch
                                => 17598, dobai   => 21239,
                        dobay   => 20997, dobberstein
                                => 14665,
                        dobbert => 20111, dobbertin
                                => 15833,
                        dobel   => 14499, dober   => 5271, doberer => 15160, doberl  => 8703,
                        dobernig
                                => 6231, dobersberger
                                => 14288,
                        dobersek
                                => 19112, doberstein
                                => 14458,
                        dobetsberger
                                => 13640, dobias  => 11873,
                        dobida  => 16627, doblander
                                => 17281,
                        dobler  => 835, doblhammer
                                => 14719,
                        doblhofer
                                => 10697, doblinger
                                => 8771,
                        doblmayr
                                => 21592, dobmeier
                                => 23641,
                        dobner  => 6343, dobnig  => 11671, dobnigg => 20317, dobnik  => 14074,
                        dobretsberger
                                => 11737, dobretzberger
                                => 15292,
                        dobrev  => 19155, dobric  => 13724, dobringer
                                => 17591,
                        dobro   => 21275, dobrosavljevic
                                => 13719,
                        dobrounig
                                => 18609, dobrovits
                                => 19427,
                        dobrowolski
                                => 22914, dockhorn
                                => 19284,
                        dockner => 11567, dodig   => 21057, doege   => 11808, doering => 4185,
                        doerr   => 8697, doetsch => 17384, dogan   => 213, doganay => 4881,
                        dogic   => 12775, dogru   => 5284, dogrul  => 22686, dohle   => 8280,
                        dohler  => 4493, dohmann => 24222, dohmen  => 2748, dohnal  => 5943,
                        dohr    => 1883, dohring => 6085, dohrmann
                                => 5223,
                        dohrn   => 15718, dokic   => 14244, dokulil => 22944, dold    => 5572,
                        doleschal
                                => 15053, dolezal => 1672,
                        dolic   => 6776, dolinar => 12191, dolinsek
                                => 18107,
                        dolischka
                                => 20678, doll    => 1690,
                        dolle   => 10733, doller  => 3035, dollerer
                                => 18287,
                        dolliner
                                => 18464, dolling => 12482,
                        dollinger
                                => 4533, dollmann
                                => 22487,
                        dolzer  => 4008, domanig => 17897, domann  => 14440, domanski
                                => 22051,
                        domazet => 15890, domberger
                                => 23176,
                        dombrowski
                                => 2466, dombrowsky
                                => 13139,
                        domeier => 21013, domenig => 5409, domeyer => 22827, domig   => 6407,
                        domin   => 12594, dominkovic
                                => 7547,
                        domke   => 3099, domnick => 10576, domrose => 23434, domschke
                                => 17614,
                        donabauer
                                => 11326, donabaum
                                => 11955,
                        donat   => 5483, donath  => 1915, donaubauer
                                => 11381,
                        donauer => 14682, donges  => 15827, donhauser
                                => 8798,
                        donik   => 14495, donmez  => 2139, donner  => 1763, donnerer
                                => 14061,
                        donninger
                                => 12976, doose   => 13035,
                        dopke   => 15564, dopler  => 8454, doppelbauer
                                => 7986,
                        doppelhofer
                                => 2098, doppelreiter
                                => 4120,
                        doppler => 541, dopplinger
                                => 13827,
                        dorau   => 23950, dordevic
                                => 6540,
                        dordic  => 16965, dorendorf
                                => 24060,
                        dorer   => 16912, dorfel  => 12194, dorfer  => 902, dorfinger
                                => 8347,
                        dorfler => 2592, dorflinger
                                => 2616,
                        dorfmayr
                                => 12753, dorfmeister
                                => 7219,
                        dorfner => 5467, dorge   => 11533, doring  => 418, doringer
                                => 22003,
                        dorler  => 14600, dormann => 9690, dorn    => 821, dornauer
                                => 2235,
                        dornberger
                                => 24454, dornbusch
                                => 6417,
                        dorner  => 407, dornetshuber
                                => 10308,
                        dornfeld
                                => 24385, dornhackl
                                => 20649,
                        dornheim
                                => 24344, dornhofer
                                => 6162,
                        dornieden
                                => 16477, dornig  => 19409,
                        dornik  => 18796, dorninger
                                => 3408,
                        dornstauder
                                => 20119, dorow   => 11813,
                        dorr    => 1063, dorre   => 9500, dorrer  => 10227, dorries => 22948,
                        dorsam  => 23140, dorsch  => 3347, dorschner
                                => 16555,
                        dorst   => 13178, dosch   => 13911, doschek => 16932, doscher => 10654,
                        dose    => 5694, doski   => 19366, dost    => 3602, dostal  => 3795,
                        dotsch  => 9480, dotter  => 14734, dotterweich
                                => 19774,
                        dottl   => 18776, dotzauer
                                => 11515,
                        dotzl   => 11198, dotzler => 20006, doubek  => 14991, doujak  => 8000,
                        doupona => 21811, dovjak  => 9498, drabek  => 7839, drabits => 20190,
                        drack   => 9612, draeger => 5337, draganovic
                                => 7351,
                        dragaschnig
                                => 18984, drage   => 21728,
                        drager  => 2577, dragic  => 5932, dragojevic
                                => 10229,
                        dragomirovic
                                => 12509, dragosits
                                => 7318,
                        dragovic
                                => 19228, dragschitz
                                => 15679,
                        draguljic
                                => 11554, dragusha
                                => 21415,
                        dragutinovic
                                => 11863, draheim => 9262,
                        dralle  => 24043, dramac  => 14077, drammeh => 16685, draschl => 8553,
                        draschwandtner
                                => 23545, draskovits
                                => 18583,
                        drath   => 20488, drausinger
                                => 21907,
                        draxl   => 2623, draxler => 822, drechsel
                                => 2746,
                        drechsler
                                => 1726, dreer   => 10244,
                        drees   => 2506, dreesen => 15339, dreessen
                                => 23786,
                        dreger  => 6625, dreher  => 1354, dreier  => 1330, dreilich
                                => 20916,
                        dreiling
                                => 14194, dreindl => 23214,
                        dreisbach
                                => 17669, dreisiebner
                                => 20972,
                        drescher
                                => 1077, dreschl => 11615,
                        drese   => 20889, dresel  => 12126, dresen  => 10370, dreshaj => 21273,
                        dressel => 2919, dressen => 11523, dressler
                                => 2689,
                        drewes  => 3029, drewitz => 13401, drews   => 866, drexel  => 3904,
                        drexl   => 22905, drexler => 2384, dreyer  => 1024, dridi   => 15304,
                        drieling
                                => 20454, dries   => 19103,
                        drieschner
                                => 20303, driessen
                                => 12939,
                        drinic  => 13960, drissner
                                => 22378,
                        driussi => 19396, drljepan
                                => 18305,
                        drobesch
                                => 10551, droege  => 23229,
                        droese  => 23325, droge   => 5642, droll   => 15967, drolle  => 7979,
                        droscher
                                => 8799, drose   => 16172,
                        drosg   => 15035, drossler
                                => 18134,
                        drost   => 6637, droste  => 3678, drotleff
                                => 17226,
                        drucker => 11686, druke   => 22342, druml   => 9741, drumm   => 8611,
                        drummer => 11613, druschowitz
                                => 21394,
                        dubberke
                                => 20588, dubbert => 18132,
                        dubiel  => 13093, dubravac
                                => 13676,
                        dubsky  => 21522, ducanovic
                                => 18301,
                        duchek  => 13508, duck    => 6378, ducker  => 15579, duda    => 2580,
                        dudda   => 11914, dudeck  => 22860, dudek   => 3288, duderstadt
                                => 24290,
                        dudic   => 13792, dudziak => 20929, dudzik  => 23302, duerr   => 15502,
                        duffek  => 14547, duffner => 14256, dufner  => 13280, duftner => 13556,
                        duftschmied
                                => 23513, dujakovic
                                => 12632,
                        dujmic  => 18177, dujmovic
                                => 9039,
                        dukic   => 4427, dulger  => 10054, dulic   => 8739, dulle   => 9949,
                        duller  => 1650, dullinger
                                => 7573,
                        dullnig => 1963, duman   => 1067, dumfart => 9992, dumke   => 6341,
                        dumler  => 17812, dummer  => 9112, duncker => 22278, dundar  => 5319,
                        dunger  => 18063, dungl   => 7032, dunic   => 20135, dunkel  => 2332,
                        dunker  => 5197, dunkl   => 3280, dunser  => 1888, dunst   => 2496,
                        dunzinger
                                => 13050, duong   => 3976,
                        dupke   => 23976, duracak => 20606, durager => 8806, durakovic
                                => 3540,
                        duraku  => 11408, dural   => 24056, duranovic
                                => 9669,
                        duratovic
                                => 14279, durauer => 19962,
                        durchschlag
                                => 11074, durdevic
                                => 12962,
                        duregger
                                => 10692, durgun  => 7914,
                        durgut  => 11940, durguti => 22625, durgutovic
                                => 23469,
                        duric   => 3180, during  => 5813, duringer
                                => 8509,
                        durkop  => 23826, durlacher
                                => 12581,
                        durlinger
                                => 18153, durmaz  => 2011,
                        durmic  => 21619, durmishi
                                => 12589,
                        durmoser
                                => 11617, durnberger
                                => 2042,
                        durnegger
                                => 18230, durnwalder
                                => 21670,
                        durr    => 1640, durrschmidt
                                => 23166,
                        durst   => 6904, durstberger
                                => 6024,
                        durstmuller
                                => 19619, durukan => 12464,
                        dusanic => 16778, duschek => 10861, duscher => 10972, duschl  => 9692,
                        dusek   => 15808, dusentrieb
                                => 14715,
                        dusing  => 17800, duske   => 13509, dusterhoft
                                => 15754,
                        dutsch  => 17154, dutschke
                                => 17933,
                        dutter  => 11053, dutzler => 3115, duvel   => 18126, duvnjak => 12000,
                        duwe    => 5543, duwel   => 13221, duyar   => 12389, duymaz  => 22984,
                        duzenli => 20045, dvoracek
                                => 11267,
                        dvorak  => 2497, dworacek
                                => 23289,
                        dworak  => 2732, dworschak
                                => 3199,
                        dygruber
                                => 10166, dylong  => 23675,
                        dzaferi => 19205, dzaferovic
                                => 9490,
                        dzafic  => 7544, dzajic  => 21742, dzakulic
                                => 21315,
                        dzananovic
                                => 18755, dzanic  => 17027,
                        dzebic  => 14345, dzehverovic
                                => 15974,
                        dzelili => 18866, dzilic  => 20238, dzinic  => 9708, dziuba  => 15470,
                        ebbers  => 14203, ebbert  => 23769, ebbing  => 15823, ebbinghaus
                                => 13354,
                        ebel    => 1740, ebeling => 1599, ebenbauer
                                => 15361,
                        ebenberger
                                => 7054, ebenbichler
                                => 13759,
                        ebenfuhrer
                                => 19096, ebenhoch
                                => 17795,
                        ebenhofer
                                => 18277, ebenwaldner
                                => 18642,
                        eberdorfer
                                => 9701, eberhardt
                                => 850,
                        eberhart
                                => 1699, eberharter
                                => 484,
                        eberl   => 464, eberle  => 1582, eberlein
                                => 3945,
                        eberling
                                => 21575, ebermann
                                => 9654,
                        ebers   => 9502, ebersbach
                                => 8817,
                        ebersberger
                                => 15230, ebert   => 320,
                        eberth  => 18381, eberts  => 24386, eberwein
                                => 9627,
                        eberz   => 20277, ebetshuber
                                => 13007,
                        ebinger => 9646, eblinger
                                => 21596,
                        ebmer   => 11450, ebner   => 60, ebrahimi
                                => 4864,
                        ebser   => 19589, ebster  => 2965, eckardt => 1385, eckel   => 4916,
                        eckelmann
                                => 14250, eckelt  => 16015,
                        eckenfellner
                                => 14437, ecker   => 211,
                        eckerl  => 18914, eckerle => 17692, eckermann
                                => 10753,
                        eckers  => 22509, eckerstorfer
                                => 2138,
                        eckert  => 309, eckes   => 14830, eckhardt
                                => 1220,
                        eckhart => 1783, eckhoff => 5403, eckinger
                                => 23603,
                        eckl    => 2833, ecklbauer
                                => 11925,
                        ecklmayr
                                => 16715, eckmann => 8691,
                        eckmayr => 19510, eckner  => 24100, eckschlager
                                => 7738,
                        eckstein
                                => 1729, edegger => 17441,
                        edelbacher
                                => 9466, edelbauer
                                => 7533,
                        edelbrunner
                                => 19183, edelhofer
                                => 5527,
                        edelmann
                                => 2327, edelmayer
                                => 20915,
                        edelmuller
                                => 19436, edelsbacher
                                => 13506,
                        edelsbrunner
                                => 3572, eden    => 3972,
                        edenhauser
                                => 8633, edenhofer
                                => 20126,
                        eder    => 24, ederer  => 2397, edinger => 1834, edita   => 21759,
                        edlbauer
                                => 12058, edler   => 1759,
                        edlinger
                                => 345, edlmayer
                                => 20683,
                        edlmayr => 9809, edtbauer
                                => 19586,
                        edthofer
                                => 17169, edtmaier
                                => 19305,
                        edtmayer
                                => 21072, edtmayr => 16448,
                        effenberger
                                => 5985, efferl  => 18784,
                        effertz => 11362, egal    => 4440, egalo   => 17898, egarter => 4732,
                        egartner
                                => 8545, egbers  => 8261,
                        egender => 19093, eger    => 2972, egerbacher
                                => 16279,
                        egerer  => 10314, egermann
                                => 20154,
                        egert   => 12751, eggarter
                                => 16922,
                        eggbauer
                                => 15659, eggebrecht
                                => 14254,
                        eggeling
                                => 18430, eggenberger
                                => 5096,
                        eggendorfer
                                => 15107, eggenhofer
                                => 15585,
                        eggenreich
                                => 15109, egger   => 36,
                        eggers  => 1099, eggerstorfer
                                => 14026,
                        eggert  => 851, eggertsberger
                                => 19194,
                        eggler  => 18335, eglauer => 17264, egle    => 4860, egler   => 19381,
                        eglseer => 15128, egner   => 5965, ehammer => 17904, ehart   => 5974,
                        ehebruster
                                => 14188, ehgartner
                                => 2953,
                        ehinger => 15298, ehlen   => 7805, ehler   => 17588, ehlers  => 778,
                        ehlert  => 1314, ehling  => 16201, ehmann  => 2747, ehmcke  => 24103,
                        ehmer   => 13018, ehmke   => 4793, ehnert  => 12504, ehrenberg
                                => 4529,
                        ehrenberger
                                => 5938, ehrenfellner
                                => 21897,
                        ehrengruber
                                => 4729, ehrenhofer
                                => 5442,
                        ehrenhuber
                                => 15283, ehrenleitner
                                => 17629,
                        ehrenreich
                                => 2016, ehrensberger
                                => 8695,
                        ehrenstrasser
                                => 19810, ehrentraut
                                => 10321,
                        ehresmann
                                => 20104, ehret   => 4618,
                        ehrhardt
                                => 952, ehrich  => 5421,
                        ehrig   => 9469, ehring  => 17983, ehringer
                                => 23128,
                        ehrke   => 8825, ehrle   => 24170, ehrler  => 19345, ehrlich => 1329,
                        ehrmann => 6895, ehrnhofer
                                => 21972,
                        ehrnleitner
                                => 22310, ehrschwendtner
                                => 10689,
                        ehweiner
                                => 19063, eibegger
                                => 21491,
                        eibel   => 2620, eiben   => 13231, eibenberger
                                => 21724,
                        eibensteiner
                                => 2429, eiber   => 21212,
                        eibinger
                                => 9643, eibisberger
                                => 6535,
                        eibl    => 713, eibler  => 8583, eibner  => 22688, eich    => 2871,
                        eichbauer
                                => 16901, eichberg
                                => 18419,
                        eichberger
                                => 1059, eichel  => 9273,
                        eichelberger
                                => 18589, eichelmann
                                => 15603,
                        eichenauer
                                => 12698, eichenberg
                                => 22887,
                        eichenseer
                                => 20338, eichenseher
                                => 22701,
                        eicher  => 2672, eichert => 10504, eichholz
                                => 5151,
                        eichholzer
                                => 12820, eichhorn
                                => 721,
                        eichhorst
                                => 7818, eichin  => 22508,
                        eichinger
                                => 529, eichler => 858,
                        eichmann
                                => 3840, eichner => 2458,
                        eichstadt
                                => 9797, eichtinger
                                => 7561,
                        eichwald
                                => 12449, eichwalder
                                => 13814,
                        eick    => 6802, eicker  => 11417, eickhoff
                                => 3165,
                        eickholt
                                => 18389, eickmann
                                => 12296,
                        eickmeier
                                => 18448, eidam   => 14005,
                        eiden   => 15016, eidenberger
                                => 6006,
                        eidenhammer
                                => 10216, eidenschink
                                => 23497,
                        eidler  => 3353, eidner  => 16022, eiermann
                                => 23213,
                        eifert  => 8863, eifler  => 5345, eigelsreiter
                                => 10685,
                        eigentler
                                => 15380, eigner  => 922,
                        eikermann
                                => 17372, eilenberger
                                => 19665,
                        eiler   => 9422, eilers  => 1561, eiling  => 22392, eilmannsberger
                                => 10738,
                        eilmsteiner
                                => 13952, eilts   => 14888,
                        eimer   => 14597, einberger
                                => 16990,
                        einbock => 14965, einecke => 23919, einenkel
                                => 17817,
                        einert  => 17883, einfalt => 3545, einfeldt
                                => 23726,
                        einhaus => 20339, einicke => 24093, einsiedl
                                => 11365,
                        einsiedler
                                => 9655, einspieler
                                => 4656,
                        einwaller
                                => 13129, einwallner
                                => 18895,
                        einzinger
                                => 12522, eipeldauer
                                => 11265,
                        eipeltauer
                                => 20382, eiper   => 11996,
                        eirich  => 8912, eisbacher
                                => 16554,
                        eisel   => 11029, eisele  => 1820, eiselt  => 10336, eisemann
                                => 17804,
                        eisenbach
                                => 15968, eisenbarth
                                => 10716,
                        eisenbauer
                                => 22004, eisenberg
                                => 6943,
                        eisenberger
                                => 4316, eisenblatter
                                => 13229,
                        eisendle
                                => 12147, eisenfuhrer
                                => 12733,
                        eisenhardt
                                => 11407, eisenhauer
                                => 6734,
                        eisenhuber
                                => 15543, eisenhut
                                => 9633,
                        eisenhuth
                                => 13130, eisenkolb
                                => 20567,
                        eisenkolbl
                                => 14898, eisenmann
                                => 4552,
                        eisenmenger
                                => 18584, eisenreich
                                => 8711,
                        eisenschmidt
                                => 14845, eisentraut
                                => 24465,
                        eiser   => 17732, eisermann
                                => 6439,
                        eisert  => 9825, eisfeld => 8746, eisinger
                                => 6587,
                        eisl    => 838, eisler  => 5482, eismann => 4771, eisner  => 875,
                        eisold  => 9414, eisschiel
                                => 11618,
                        eissing => 22596, eisterer
                                => 15112,
                        eitel   => 6372, eiter   => 1796, eiterer => 7579, eiting  => 24461,
                        eitler  => 7153, eitner  => 9433, eitzenberger
                                => 6844,
                        eitzinger
                                => 5524, ejupi   => 11418,
                        eker    => 3418, ekici   => 3850, ekinci  => 1788, ekmekci => 15308,
                        elbek   => 22621, elbers  => 9294, elbert  => 6763, elbflorenz
                                => 22649,
                        elezaj  => 15716, elezi   => 10886, elfers  => 15972, elfert  => 12081,
                        elflein => 16012, elger   => 22111, elgit   => 8592, elixhauser
                                => 13986,
                        eljazovic
                                => 21532, ella    => 4384,
                        elle    => 5458, ellenberger
                                => 19343,
                        ellensohn
                                => 5227, eller   => 994,
                        ellerbrock
                                => 10098, ellermann
                                => 7284,
                        ellersdorfer
                                => 9222, ellert  => 15715,
                        elling  => 17468, ellinger
                                => 2785,
                        ellmaier
                                => 16386, ellmann => 16089,
                        ellmauer
                                => 3917, ellmauthaler
                                => 14332,
                        ellmer  => 3621, ellmerer
                                => 12272,
                        ellrich => 17289, ellwanger
                                => 19392,
                        elmaci  => 23353, elmazi  => 11409, elmecker
                                => 14537,
                        elmer   => 3507, elmleitner
                                => 18669,
                        elpunkt => 21295, elsasser
                                => 10344,
                        elschner
                                => 23317, elsen   => 6327,
                        elsenhuber
                                => 22167, elsensohn
                                => 11947,
                        elser   => 9218, elshani => 7120, elsholz => 14533, elsigan => 13699,
                        elsinger
                                => 15075, elsner  => 995,
                        elsnik  => 20604, elster  => 10601, elstermann
                                => 22969,
                        elstner => 12963, elter   => 12993, elvers  => 20128, elzein  => 17101,
                        elzer   => 20769, embacher
                                => 1376,
                        emberger
                                => 2178, emde    => 5020,
                        emeder  => 13445, emich   => 20286, emilov  => 16942, eminger => 19539,
                        emini   => 2499, emken   => 14782, emmel   => 12873, emmer   => 8993,
                        emmerling
                                => 12179, emmerstorfer
                                => 12930,
                        emmert  => 6731, emminger
                                => 5583,
                        emmrich => 6174, empl    => 8256, empunkt => 13205, emric   => 21330,
                        emrich  => 5118, emsenhuber
                                => 12383,
                        emser   => 18435, endemann
                                => 11350,
                        ender   => 1142, enderle => 9782, enderlein
                                => 11952,
                        enders  => 1831, endl    => 3624, endler  => 7220, endres  => 1289,
                        endress => 23249, endstrasser
                                => 18857,
                        endter  => 15767, enengel => 18974, enengl  => 5972, enenkel => 16117,
                        engbers => 17656, engel   => 97, engelberger
                                => 12768,
                        engelbogen
                                => 22048, engelbrecht
                                => 2848,
                        engelbrechtsmuller
                                => 21616, engelen => 15329,
                        engelhard
                                => 5816, engelhardt
                                => 454,
                        engelhart
                                => 7800, engelke => 2683,
                        engelking
                                => 22412, engelmaier
                                => 7455,
                        engelmann
                                => 724, engelmayer
                                => 12948,
                        engels  => 766, engelsberger
                                => 18495,
                        engelscharmullner
                                => 23267, engemann
                                => 8432,
                        engert  => 5377, engertsberger
                                => 8141,
                        engetsberger
                                => 20253, engl    => 1109,
                        englbrecht
                                => 15795, engleder
                                => 4410,
                        engleitner
                                => 9322, engler  => 1278,
                        englert => 2543, engling => 17862, engljahringer
                                => 17073,
                        englmeier
                                => 20504, engmann => 14843,
                        engstler
                                => 9119, enhuber => 12090,
                        enigl   => 18738, enke    => 5148, enkelmann
                                => 23000,
                        enne    => 4264, ennemoser
                                => 2390,
                        ennen   => 14242, enner   => 18999, ennikl  => 23208, enns    => 8636,
                        ennser  => 13768, ennsmann
                                => 22324,
                        enockl  => 12104, ensinger
                                => 15234,
                        ensmann => 14685, entenfellner
                                => 23266,
                        entfellner
                                => 13855, enthammer
                                => 10129,
                        enthofer
                                => 14360, entholzer
                                => 9798,
                        entleitner
                                => 19269, entner  => 4686,
                        entstrasser
                                => 14903, enzelsberger
                                => 21307,
                        enzenberger
                                => 10662, enzenebner
                                => 20978,
                        enzenhofer
                                => 2835, enzesberger
                                => 20672,
                        enzi    => 2666, enzinger
                                => 1100,
                        enzlmuller
                                => 11521, enzmann => 10351,
                        eppenschwandtner
                                => 11965, eppensteiner
                                => 5452,
                        epperlein
                                => 17368, eppich  => 13623,
                        epping  => 14274, eppinger
                                => 16257,
                        epple   => 5565, eppler  => 7674, erarslan
                                => 21469,
                        eraslan => 6590, erath   => 6800, erbach  => 20387, erbas   => 11718,
                        erbay   => 13333, erbek   => 9212, erber   => 1502, erbes   => 10192,
                        erbis   => 20702, erbschwendtner
                                => 16033,
                        erceg   => 20550, ercin   => 18297, erdemir => 15209, erdemli => 15651,
                        erden   => 8601, erdik   => 9350, erdil   => 20574, erdmann => 445,
                        erdogan => 627, erdogdu => 9070, erdogmus
                                => 21306,
                        erdugan => 21010, ereiz   => 16954, erfurth => 8744, ergen   => 11089,
                        erhardt => 2715, erhart  => 686, erharter
                                => 3747,
                        erian   => 11098, erichsen
                                => 7780,
                        erkaya  => 20713, erkelenz
                                => 16119,
                        erken   => 10029, erkens  => 11079, erker   => 12725, erkilic => 13072,
                        erkinger
                                => 4790, erkoc   => 16005,
                        erkol   => 13329, erkus   => 8517, erlach  => 7373, erlacher
                                => 733,
                        erlbacher
                                => 5088, erlebach
                                => 22326,
                        erler   => 936, erlinger
                                => 2012,
                        erlmoser
                                => 13669, erlsbacher
                                => 13728,
                        ermel   => 19329, ermer   => 16056, ermert  => 10711, ermis   => 9560,
                        ermisch => 9970, ermler  => 20233, ernecker
                                => 18940,
                        ernhard => 21609, ernhofer
                                => 23146,
                        ernstberger
                                => 13187, ernstbrunner
                                => 20433,
                        eroglu  => 1341, erpunkt => 14886, errath  => 13600, ersoy   => 1989,
                        ersoz   => 14772, ertas   => 10158, ertek   => 22479, ertel   => 4166,
                        ertelt  => 14209, ertem   => 16929, erten   => 12838, ertl    => 298,
                        ertle   => 23819, ertler  => 7593, ertlschweiger
                                => 19982,
                        erturk  => 4277, erxleben
                                => 14724,
                        eryigit => 21983, eryilmaz
                                => 8143,
                        esberger
                                => 16655, esch    => 2556,
                        eschbach
                                => 9772, eschbacher
                                => 12842,
                        esche   => 8226, eschelmuller
                                => 8706,
                        eschenbach
                                => 14836, eschenbacher
                                => 23184,
                        escher  => 4404, eschig  => 22325, eschke  => 19809, eschlbock
                                => 10898,
                        eschmann
                                => 17132, eschner => 14812,
                        eschrich
                                => 10668, eschweiler
                                => 8929,
                        esen    => 2533, eskandari
                                => 12583,
                        esletzbichler
                                => 13802, espig   => 13560,
                        esposito
                                => 2713, espunkt => 4826,
                        esser   => 498, essig   => 9685, essing  => 17268, essl    => 2521,
                        essler  => 21182, essletzbichler
                                => 13006,
                        esslinger
                                => 14096, essmann => 23154,
                        esterbauer
                                => 4622, esterer => 7262,
                        esterl  => 9653, estermann
                                => 10943,
                        etemi   => 15014, etlinger
                                => 7008,
                        ettel   => 14544, ettenauer
                                => 3811,
                        ettinger
                                => 4514, ettl    => 1766,
                        ettlinger
                                => 16244, ettrich => 24041,
                        etzel   => 8321, etzelsberger
                                => 15488,
                        etzelsdorfer
                                => 12443, etzelstorfer
                                => 9314,
                        etzer   => 8776, etzinger
                                => 19991,
                        etzlstorfer
                                => 9507, etzold  => 8713,
                        eule    => 5856, euler   => 3274, eulitz  => 13285, eurich  => 19222,
                        euskirchen
                                => 21034, euteneuer
                                => 19756,
                        everding
                                => 12157, evers   => 1110,
                        evert   => 10387, evertz  => 12215, ewen    => 8669, ewers   => 6655,
                        ewert   => 1383, ewertz  => 24178, exel    => 8554, exenberger
                                => 1765,
                        exler   => 18486, exner   => 1638, eyrich  => 16031, ezidi   => 7825,
                        faast   => 17593, fabbro  => 15739, faber   => 1056, fabig   => 12365,
                        fabing  => 23328, fabisch => 14489, fabricius
                                => 11633,
                        fabry   => 12790, fabsits => 8954, fachberger
                                => 16103,
                        fachinger
                                => 24104, fackler => 11390,
                        fadinger
                                => 17640, faerber => 18018,
                        faffelberger
                                => 20664, fagerer => 9606,
                        fagschlunger
                                => 16305, fahlbusch
                                => 9887,
                        fahle   => 17522, fahnrich
                                => 13927,
                        fahr    => 8303, fahrecker
                                => 10803,
                        fahrenholz
                                => 12937, fahrig  => 23953,
                        fahringer
                                => 14760, fahrmann
                                => 21293,
                        fahrnberger
                                => 3552, fahrner => 5358,
                        fahrngruber
                                => 3389, faisst  => 17988,
                        faist   => 7620, faistauer
                                => 6603,
                        fajic   => 18874, fajkovic
                                => 15437,
                        fakhro  => 6913, fakih   => 10118, falbesoner
                                => 9180,
                        falch   => 2925, falck   => 14872, falcone => 9557, falger  => 4704,
                        falke   => 2115, falkenau
                                => 23199,
                        falkenberg
                                => 3393, falkenhagen
                                => 17350,
                        falkenstein
                                => 7067, falkensteiner
                                => 3232,
                        falkinger
                                => 15158, falkner => 615,
                        falkowski
                                => 17412, faller  => 3532,
                        fallmann
                                => 2294, fallwickl
                                => 23027,
                        fally   => 3718, falschlunger
                                => 17065,
                        falterbauer
                                => 22029, faltermeier
                                => 9811,
                        faltin  => 11021, falzberger
                                => 15127,
                        fandl   => 6584, fandler => 19271, fandrich
                                => 13022,
                        fangl   => 18093, fangmann
                                => 15870,
                        fanie   => 18421, faninger
                                => 22538,
                        fank    => 8231, fankhauser
                                => 560,
                        fankl   => 22637, fanninger
                                => 7033,
                        fanselow
                                => 18380, fantur  => 20147,
                        faour   => 14937, farber  => 2731, farcher => 17301, farfeleder
                                => 12634,
                        farkas  => 1091, farmer  => 3822, fartek  => 8590, farthofer
                                => 5247,
                        farwick => 18357, fasch   => 13065, fasching
                                => 249,
                        faschingbauer
                                => 16222, faschingleitner
                                => 22191,
                        fasel   => 16684, fasold  => 16248, fassbender
                                => 2573,
                        fasser  => 5926, fassl   => 3296, fassler => 15975, fassold => 13196,
                        fasswald
                                => 22689, fasthuber
                                => 17747,
                        fastl   => 18817, fath    => 5763, fatkic  => 11458, fattinger
                                => 9747,
                        faude   => 24380, fauland => 1552, faulhaber
                                => 6591,
                        faulstich
                                => 12123, faupel  => 14323,
                        fauser  => 13296, faust   => 889, faustenhammer
                                => 16779,
                        fauster => 6960, faustmann
                                => 3384,
                        faustner
                                => 16809, fauth   => 15416,
                        fazekas => 6697, fazio   => 11620, fazlic  => 4971, fazliu  => 8973,
                        fecher  => 14292, fechner => 1777, fecht   => 8844, fechter => 12306,
                        fechtig => 10748, fechtner
                                => 14269,
                        fedder  => 19428, feddern => 17451, feddersen
                                => 7003,
                        feder   => 5691, federer => 6208, federl  => 20361, federmann
                                => 17736,
                        federspiel
                                => 5492, feeberger
                                => 13074,
                        feger   => 9650, fegerl  => 23009, fehberger
                                => 22581,
                        fehlberg
                                => 24323, fehling => 7772,
                        fehr    => 3631, fehre   => 24424, fehrenbach
                                => 7097,
                        fehrenbacher
                                => 24075, fehrer  => 13627,
                        fehring => 24068, fehringer
                                => 1934,
                        fehrmann
                                => 6062, fehse   => 7342,
                        feibel  => 15015, feicht  => 12769, feichtenhofer
                                => 14698,
                        feichtenschlager
                                => 1571, feichter
                                => 1493,
                        feichtinger
                                => 290, feichtl => 17505,
                        feichtlbauer
                                => 8815, feichtner
                                => 1715,
                        feick   => 19618, feiel   => 4848, feierabend
                                => 8165,
                        feiersinger
                                => 4677, feiertag
                                => 3722,
                        feige   => 3688, feigel  => 22307, feigl   => 1583, feike   => 23939,
                        feil    => 3047, feiler  => 4740, feilmayr
                                => 8365,
                        feindt  => 14746, feiner  => 4254, feirer  => 10498, feischl => 7999,
                        feist   => 3658, feistel => 13000, feistl  => 14828, feistmantl
                                => 20431,
                        feistritzer
                                => 4200, feith   => 20304,
                        feitl   => 9858, feitzinger
                                => 16116,
                        fejes   => 17487, fejza   => 16654, fejzic  => 4843, fejzullahu
                                => 12596,
                        fekete  => 3508, fekonja => 15702, felbauer
                                => 14737,
                        felber  => 1026, felberbauer
                                => 10876,
                        felbermair
                                => 9662, felbermayer
                                => 7969,
                        felbermayr
                                => 11374, felbinger
                                => 10881,
                        feldbacher
                                => 4350, feldbauer
                                => 22736,
                        feldbaumer
                                => 7110, feldbusch
                                => 15848,
                        felden  => 23792, felder  => 1409, felderer
                                => 6262,
                        feldgrill
                                => 17395, feldhaas
                                => 18715,
                        feldhammer
                                => 23427, feldhaus
                                => 5546,
                        feldhofer
                                => 5952, feldhoff
                                => 14464,
                        feldhusen
                                => 23854, feldinger
                                => 17025,
                        feldkamp
                                => 8210, feldkircher
                                => 14763,
                        feldler => 22244, feldmann
                                => 662,
                        feldmeier
                                => 7901, feldner => 10895,
                        feldt   => 12059, feldweber
                                => 21414,
                        felfer  => 22092, felfernig
                                => 10264,
                        felgenhauer
                                => 9869, felgentreu
                                => 20451,
                        felger  => 19290, felgitscher
                                => 16792,
                        felgner => 12235, felhofer
                                => 14908,
                        felic   => 9107, felkel  => 24097, felker  => 15452, felkl   => 13348,
                        fellegger
                                => 22500, felleitner
                                => 22090,
                        fellenberg
                                => 18120, feller  => 2523,
                        fellhauer
                                => 23525, fellhofer
                                => 8166,
                        fellinger
                                => 1090, fellmann
                                => 10355,
                        fellner => 246, fellnhofer
                                => 16188,
                        fels    => 4587, felsberger
                                => 3349,
                        felsch  => 9380, felser  => 8089, felsinger
                                => 18696,
                        felske  => 10842, felsmann
                                => 20120,
                        felsner => 11646, felten  => 7618, feltes  => 18791, felzmann
                                => 14490,
                        fembock => 19119, fenchel => 24358, fend    => 4362, fendel  => 17923,
                        fender  => 6558, fendt   => 7891, feneberger
                                => 18366,
                        fenger  => 20800, fengler => 5426, fenkart => 6232, fennen  => 23269,
                        fenner  => 8642, fennes  => 12577, fenninger
                                => 11134,
                        fenske  => 3721, fenz    => 2454, fenzl   => 3936, ferati  => 10139,
                        ferber  => 4648, ferch   => 24112, fercher => 991, ferchl  => 21673,
                        ferchland
                                => 23816, fererberger
                                => 19870,
                        ferihumer
                                => 22579, ferizaj => 16659,
                        ferizi  => 11583, ferk    => 4165, ferlin  => 21932, ferlitsch
                                => 19444,
                        fernau  => 23793, fernholz
                                => 24066,
                        fernsebner
                                => 12245, ferrante
                                => 18753,
                        ferrara => 6823, ferraro => 7953, ferrera => 21450, fersch  => 19012,
                        fersterer
                                => 5708, ferstl  => 1510,
                        fertala => 19463, fertl   => 8882, fertner => 19545, fertschnig
                                => 19613,
                        fesel   => 14940, feser   => 10924, fessel  => 12227, fesser  => 24301,
                        fessl   => 1873, fessler => 2423, festerling
                                => 17660,
                        fetahaj => 16836, fetahi  => 16829, fetahu  => 21403, fetai   => 11880,
                        fetsch  => 24419, fetscher
                                => 22898,
                        fett    => 7286, fette   => 23943, fetter  => 21563, fetting => 23805,
                        fettinger
                                => 12004, fettner => 18201,
                        fetty   => 18612, fetz    => 1433, fetzer  => 4487, feucht  => 11011,
                        feuchter
                                => 6094, feuchtinger
                                => 9903,
                        feuchtner
                                => 19960, feuersinger
                                => 22477,
                        feuerstein
                                => 1691, feulner => 11223,
                        feurer  => 15310, feurle  => 8978, feurstein
                                => 1374,
                        feustel => 7863, feyer   => 17146, feyerabend
                                => 11285,
                        feyerer => 22801, feyersinger
                                => 10372,
                        feyertag
                                => 11943, feyrer  => 11687,
                        fiala   => 1277, ficht   => 17532, fichte  => 9425, fichtel => 18215,
                        fichtenbauer
                                => 10570, fichter => 10825,
                        fichtinger
                                => 992, fichtl  => 10324,
                        fichtner
                                => 1789, fickel  => 18325,
                        ficker  => 13577, fickert => 17375, fidanci => 22520, fidler  => 3756,
                        fiebelkorn
                                => 24409, fieberg => 21144,
                        fiebig  => 2028, fiebiger
                                => 12760,
                        fiechtl => 8353, fiechtner
                                => 23253,
                        fiedel  => 23111, fiedler => 229, fiege   => 8909, fieger  => 20378,
                        fiegl   => 1967, fielitz => 18078, fieseler
                                => 13313,
                        fietz   => 7656, figerl  => 18890, figge   => 7352, figl    => 2304,
                        figura  => 13722, filca   => 21423, filip   => 6819, filipiak
                                => 23691,
                        filipov => 16935, filipovic
                                => 693,
                        filippi => 11886, fill    => 5966, filla   => 17205, fillafer
                                => 10603,
                        filler  => 7756, fillinger
                                => 18069,
                        filser  => 23903, filz    => 6959, filzer  => 9939, filzmaier
                                => 7563,
                        filzmoser
                                => 4097, filzwieser
                                => 10763,
                        fimberger
                                => 16051, finck   => 6332,
                        findeis => 13636, findeisen
                                => 4086,
                        findenig
                                => 3260, finding => 19698,
                        findl   => 17414, finger  => 1951, fingerhut
                                => 14780,
                        fingerle
                                => 24399, fingerlos
                                => 22675,
                        fink    => 99, finkbeiner
                                => 5872,
                        finke   => 1041, finken  => 13432, finkenzeller
                                => 13598,
                        finkler => 17023, finnern => 20081, finster => 4823, finsterbusch
                                => 24167,
                        finsterer
                                => 21177, finze   => 23084,
                        finzel  => 17347, fiolka  => 20106, fiore   => 9554, firlinger
                                => 13810,
                        firmkranz
                                => 14984, firulovic
                                => 12239,
                        fisch   => 2381, fischbach
                                => 3301,
                        fischbacher
                                => 1807, fischbauer
                                => 16045,
                        fischer => 7, fischerauer
                                => 16680,
                        fischereder
                                => 12152, fischerlehner
                                => 16622,
                        fischhofer
                                => 16209, fischhuber
                                => 11573,
                        fischill
                                => 16295, fischinger
                                => 8260,
                        fischl  => 2912, fischler
                                => 11640,
                        fischlmayr
                                => 21702, fischnaller
                                => 12660,
                        fischwenger
                                => 21065, fisser  => 20980,
                        fister  => 6767, fitsch  => 7358, fitschen
                                => 16280,
                        fittkau => 18462, fitz    => 1877, fitzinger
                                => 8276,
                        fitzka  => 13829, fitzke  => 22646, fitzner => 6161, fixl    => 5662,
                        flachberger
                                => 13182, flack   => 24276,
                        flade   => 12202, fladenhofer
                                => 13864,
                        fladerer
                                => 10177, fladischer
                                => 10509,
                        fladl   => 15077, fladung => 18010, flaggl  => 18572, flaig   => 6954,
                        flamig  => 23391, flamm   => 16204, flandorfer
                                => 8951,
                        flankl  => 22053, flasch  => 4391, flaschberger
                                => 4072,
                        flash   => 14948, flath   => 15227, flatschacher
                                => 13386,
                        flatschart
                                => 15843, flatscher
                                => 3040,
                        flatz   => 2076, flechl  => 5750, flechsig
                                => 11334,
                        flechtner
                                => 16300, fleck   => 938,
                        fleckenstein
                                => 5824, flecker => 6809,
                        fleckl  => 12650, fleer   => 14504, flegel  => 7267, fleidl  => 16808,
                        fleig   => 9134, fleige  => 16342, fleisch => 2136, fleischanderl
                                => 5815,
                        fleischer
                                => 629, fleischhacker
                                => 828,
                        fleischhauer
                                => 5214, fleischmann
                                => 1136,
                        fleiss  => 10979, fleissner
                                => 3892,
                        flemming
                                => 2262, flender => 22705,
                        flesch  => 6918, flessner
                                => 14865,
                        fletschberger
                                => 16673, fletzberger
                                => 11151,
                        flick   => 4327, flicker => 1897, flickinger
                                => 23252,
                        fliege  => 18488, fliegel => 23779, flieger => 9683, fliegner
                                => 20442,
                        flierl  => 20037, fliesser
                                => 11765,
                        flindt  => 20255, flink   => 21240, flint   => 18800, flir    => 7856,
                        flock   => 8616, flockner
                                => 21526,
                        flohr   => 3312, floimayr
                                => 13110,
                        florczak
                                => 23784, florescu
                                => 17584,
                        floric  => 16641, florke  => 20714, florl   => 5835, florschutz
                                => 23850,
                        flory   => 21482, floter  => 12945, flottmann
                                => 20748,
                        flotzinger
                                => 9459, fluch   => 2547,
                        flucher => 4816, flugaj  => 12904, flugge  => 5199, flunger => 18836,
                        fochler => 11280, focke   => 5533, focken  => 13191, fodinger
                                => 10379,
                        foerster
                                => 3571, foger   => 3589,
                        fohringer
                                => 4564, foidl   => 1996,
                        foisner => 11901, foissner
                                => 18739,
                        foitzik => 17868, fojan   => 18565, fokken  => 14498, foldyna => 15589,
                        foley   => 22139, folger  => 19064, folgmann
                                => 21085,
                        folie   => 7541, folkers => 24376, folkerts
                                => 15964,
                        foller  => 22667, follmann
                                => 14001,
                        follmer => 17256, folsch  => 20623, folser  => 14186, foltin  => 12749,
                        folz    => 7895, fonfara => 24207, fontaine
                                => 12786,
                        foramitti
                                => 20170, forcher => 3481,
                        foric   => 15151, forjan  => 9777, forkel  => 13220, forker  => 24219,
                        formanek
                                => 9345, formann => 12542,
                        formella
                                => 14594, forner  => 19253,
                        fornoff => 20862, forst   => 4145, forstenlechner
                                => 15902,
                        forstenpointner
                                => 12687, forster => 264,
                        forsthuber
                                => 3683, forstinger
                                => 4403,
                        forstlechner
                                => 19896, forstner
                                => 647,
                        forthofer
                                => 17443, forthuber
                                => 8366,
                        fortmann
                                => 10658, fortmuller
                                => 8153,
                        fortsch => 6127, fortschegger
                                => 16397,
                        fortunat
                                => 19828, fosleitner
                                => 14426,
                        fossl   => 6368, foth    => 8804, fotsch  => 13116, fotschl => 20595,
                        fottinger
                                => 9620, fraas   => 17828,
                        fraberger
                                => 8203, fradl   => 22389,
                        fradrich
                                => 20015, frager  => 14216,
                        fragner => 2452, frahm   => 3482, fraidl  => 9995, frainer => 16946,
                        frais   => 8457, fraisl  => 5493, fraiss  => 9596, fraissl => 11580,
                        framke  => 23712, franck  => 3832, francke => 9784, frandl  => 17884,
                        frania  => 19038, franjic => 8002, franke  => 94, frankel => 19935,
                        franken => 2078, frankenberg
                                => 12166,
                        frankenberger
                                => 11380, frankenstein
                                => 11609,
                        frankl  => 5950, franta  => 8446, frantes => 17177, frantsich
                                => 21656,
                        frantz  => 14010, frantzen
                                => 12829,
                        franzelin
                                => 18682, franzen => 1809,
                        franzke => 3587, franzmann
                                => 22100,
                        franzoi => 17693, frasch  => 17246, frasl   => 16390, frass   => 11606,
                        frassl  => 23385, fratzl  => 23615, frauenberger
                                => 16147,
                        frauendorf
                                => 15687, fraueneder
                                => 16379,
                        frauenhuber
                                => 16952, frauenlob
                                => 20783,
                        frauenschuh
                                => 7131, fraunberger
                                => 21992,
                        fraundorfer
                                => 10537, fraungruber
                                => 22037,
                        fraunschiel
                                => 20933, frauscher
                                => 2258,
                        frauwallner
                                => 7154, fraydl  => 22770,
                        frech   => 4875, frechen => 22365, freckmann
                                => 20108,
                        fredrich
                                => 7261, freese  => 1653,
                        frehse  => 14331, freiberg
                                => 4199,
                        freiberger
                                => 2989, freidinger
                                => 23386,
                        freidl  => 2408, freidorfer
                                => 14640,
                        freigang
                                => 13403, freigassner
                                => 10093,
                        freiler => 3679, freilinger
                                => 4904,
                        freimann
                                => 9186, freimuller
                                => 13573,
                        freimuth
                                => 6121, freinberger
                                => 7902,
                        freinbichler
                                => 19768, freinhofer
                                => 14044,
                        freinschlag
                                => 8656, freis   => 19146,
                        freise  => 9955, freisinger
                                => 2969,
                        freismuth
                                => 11293, freissmuth
                                => 15546,
                        freistatter
                                => 6808, freistetter
                                => 9600,
                        freitag => 440, freithofer
                                => 13706,
                        freithofnig
                                => 14893, freiwald
                                => 9282,
                        freller => 7124, frenkel => 15093, frenken => 14631, frenkenberger
                                => 19244,
                        frensch => 17968, frenz   => 4670, frenzel => 868, frerichs
                                => 2701,
                        fresacher
                                => 18282, frese   => 3799,
                        fresner => 21136, fressner
                                => 15468,
                        freudenberg
                                => 4363, freudenberger
                                => 11738,
                        freudenreich
                                => 15983, freudenschuss
                                => 18910,
                        freudenstein
                                => 13088, freudenthal
                                => 18737,
                        freudenthaler
                                => 1080, freunberger
                                => 16283,
                        freund  => 640, freundlinger
                                => 18658,
                        freundorfer
                                => 16938, freundt => 18054,
                        frevert => 20824, frewein => 7565, frey    => 382, freyberg
                                => 15830,
                        freydl  => 13851, freye   => 13029, freyenschlag
                                => 21119,
                        freyer  => 3166, freyler => 22407, freymann
                                => 23194,
                        freynschlag
                                => 18499, freysinger
                                => 21437,
                        freytag => 4157, frick   => 1666, fricke  => 537, frickel => 24245,
                        fricker => 19320, friebe  => 3490, friebel => 6353, fried   => 3712,
                        friedberger
                                => 22593, friede  => 5833,
                        friederichs
                                => 12934, friedhoff
                                => 15556,
                        friedinger
                                => 19025, friedl  => 160,
                        friedle => 8181, friedlein
                                => 23833,
                        friedler
                                => 19445, friedmann
                                => 4739,
                        friedreich
                                => 18856, friedrich
                                => 84,
                        friedrichs
                                => 1154, friedrichsen
                                => 6036,
                        friedwagner
                                => 11113, frieling
                                => 11282,
                        friemel => 15720, fries   => 1309, friesacher
                                => 4055,
                        friese  => 1958, friesen => 2047, friesenbichler
                                => 1973,
                        friesenecker
                                => 6200, friesenegger
                                => 13675,
                        frieser => 15898, friesinger
                                => 9280,
                        friesl  => 15399, friess  => 8043, friessnegg
                                => 12424,
                        frietsch
                                => 24460, frimmel => 21059,
                        fringer => 18312, frings  => 2363, frisch  => 1550, frischauf
                                => 6542,
                        frischer
                                => 14524, frischherz
                                => 15216,
                        frischholz
                                => 18385, frischkorn
                                => 23116,
                        frischmann
                                => 2955, frischmuth
                                => 16354,
                        frithum => 16662, fritsch => 663, fritsche
                                => 1424,
                        fritscher
                                => 17680, fritschi
                                => 22194,
                        frittum => 18743, fritz   => 116, fritze  => 6679, fritzen => 10391,
                        fritzenwallner
                                => 3610, fritzenwanger
                                => 20157,
                        fritzenwanker
                                => 8684, fritzer => 3824,
                        fritzl  => 5188, fritzler
                                => 18770,
                        fritzsch
                                => 4339, fritzsche
                                => 998,
                        frobel  => 12310, frobose => 19721, froch   => 13170, frode   => 11426,
                        frodl   => 21173, froehlich
                                => 5963,
                        froese  => 8637, frohberg
                                => 11440,
                        frohle  => 15194, frohler => 19993, frohlich
                                => 280,
                        frohling
                                => 7372, frohmann
                                => 21175,
                        frohn   => 7436, frohne  => 19999, frohner => 11481, frohnert
                                => 24047,
                        frohnwieser
                                => 9694, frois   => 21863,
                        froitzheim
                                => 19462, frolich => 13239,
                        froller => 18173, fromel  => 19037, fromhund
                                => 21892,
                        fromm   => 1871, frommann
                                => 10686,
                        fromme  => 6136, frommel => 16931, frommer => 16284, frommherz
                                => 22263,
                        frommhold
                                => 18415, fromwald
                                => 18887,
                        fronius => 22545, frosch  => 5273, froschauer
                                => 1977,
                        froschl => 1176, frose   => 10818, frost   => 2776, frostl  => 14946,
                        frotscher
                                => 16937, frowein => 23968,
                        frowis  => 7604, fruchtenicht
                                => 21113,
                        fruehwirth
                                => 12830, fruhauf => 3817,
                        fruhberger
                                => 21160, fruhmann
                                => 1741,
                        fruhstuck
                                => 6220, fruhwald
                                => 4549,
                        fruhwirt
                                => 3763, fruhwirth
                                => 360,
                        frundt  => 23070, fruth   => 9096, fuchs   => 26, fuchsbauer
                                => 13624,
                        fuchsberger
                                => 1920, fuchsbichler
                                => 3909,
                        fuchsel => 23945, fuchshofer
                                => 5587,
                        fuchshuber
                                => 5570, fuchslueger
                                => 23587,
                        fuchsluger
                                => 10642, fuchssteiner
                                => 17567,
                        fucik   => 21755, fuerst  => 13565, fuetsch => 7992, fuger   => 19319,
                        fugger  => 2898, fugmann => 14615, fuhrer  => 1005, fuhring => 21848,
                        fuhrlinger
                                => 15456, fuhrmann
                                => 521,
                        fulde   => 22617, fuller  => 12053, fulterer
                                => 14379,
                        funck   => 8664, funder  => 11129, funfstuck
                                => 21156,
                        funk    => 489, funke   => 558, funken  => 10037, furbass => 18085,
                        furch   => 21858, fureder => 1565, furhacker
                                => 21689,
                        furhapter
                                => 11035, furhauser
                                => 21555,
                        furholzer
                                => 19162, furian  => 9045,
                        furlan  => 8232, furlinger
                                => 2091,
                        furndorfler
                                => 21181, furnkranz
                                => 6486,
                        furnschuss
                                => 13135, furnsinn
                                => 17506,
                        furpass => 8507, furrutter
                                => 18302,
                        furst   => 508, furstaller
                                => 22280,
                        furstauer
                                => 9947, furstenau
                                => 20818,
                        furstenberg
                                => 7848, furstler
                                => 16159,
                        furstner
                                => 13775, furtbauer
                                => 9896,
                        furthauer
                                => 12774, furthmayr
                                => 19104,
                        furthner
                                => 18985, furtinger
                                => 18731,
                        furtlehner
                                => 4458, furtmuller
                                => 15232,
                        furtner => 1771, furuncu => 11439, furweger
                                => 15291,
                        furxer  => 16924, fuschlberger
                                => 11785,
                        fusco   => 16720, fusselberger
                                => 10180,
                        fussenegger
                                => 3928, fussi   => 2354,
                        futterer
                                => 8219, futterknecht
                                => 11051,
                        fuxsteiner
                                => 18951, gaal    => 4558,
                        gaar    => 7251, gabauer => 4879, gabbert => 17757, gabel   => 3768,
                        gabl    => 1529, gabler  => 2588, gachter => 5355, gacic   => 9917,
                        gaderbauer
                                => 7011, gaderer => 10403,
                        gadermaier
                                => 13709, gadermayr
                                => 17083,
                        gadinger
                                => 18123, gadner  => 13512,
                        gadow   => 20496, gadringer
                                => 9890,
                        gaebel  => 17575, gaede   => 8780, gaertner
                                => 5520,
                        gaffal  => 17233, gager   => 5275, gaggl   => 2485, gagic   => 17399,
                        gagliano
                                => 16718, gagliardi
                                => 18744,
                        gagulic => 15168, gahbauer
                                => 12275,
                        gahleitner
                                => 1680, gaich   => 5544,
                        gaida   => 4915, gaigg   => 7125, gailberger
                                => 15189,
                        gailer  => 7090, gaisbacher
                                => 18364,
                        gaisbauer
                                => 3074, gaisberger
                                => 7021,
                        gaisbock
                                => 15235, gaisch  => 7908,
                        gaiser  => 6376, gaiswinkler
                                => 9402,
                        gaitzenauer
                                => 17568, gajda   => 13696,
                        gajewski
                                => 7701, gajic   => 1082,
                        galambos
                                => 21942, galati  => 21534,
                        galehr  => 8288, galic   => 4420, galijasevic
                                => 15801,
                        galik   => 22832, gall    => 2717, galla   => 11586, gallas  => 18730,
                        gallasch
                                => 17563, gallaun => 9671,
                        galle   => 3996, gallei  => 19739, galler  => 739, gallhuber
                                => 17287,
                        galli   => 3497, gallistl
                                => 5371,
                        gallob  => 4411, gallus  => 8175, gally   => 10055, galonska
                                => 16306,
                        galos   => 15352, galovic => 20867, galster => 17149, galsterer
                                => 11464,
                        gamauf  => 4276, gambino => 12607, gamerith
                                => 19729,
                        gaming  => 7912, gammer  => 10362, gampe   => 18526, gamper  => 1674,
                        gamperl => 2849, gamsjager
                                => 1546,
                        ganahl  => 1762, ganauser
                                => 22595,
                        gander  => 3151, gandler => 5988, gangl   => 520, ganglbauer
                                => 9006,
                        ganglberger
                                => 4654, gangoly => 17524,
                        ganhor  => 16307, ganic   => 18883, ganitzer
                                => 22443,
                        gann    => 7924, ganner  => 18758, gans    => 5317, gansberger
                                => 6286,
                        gansch  => 5915, ganschow
                                => 23725,
                        gansen  => 18524, ganser  => 2242, ganske  => 17047, ganss   => 22967,
                        ganster => 1936, gansterer
                                => 9440,
                        ganter  => 6049, gantert => 22264, gantner => 3746, gantschacher
                                => 19197,
                        gantschnig
                                => 17143, gantschnigg
                                => 12426,
                        ganzberger
                                => 19644, ganzer  => 6387,
                        ganzi   => 21712, gapp    => 2433, gappitz => 21628, gappmaier
                                => 2324,
                        gappmayer
                                => 16327, gappmayr
                                => 15935,
                        garas   => 18024, garbe   => 3147, garber  => 1907, garbers => 15567,
                        garbrecht
                                => 16221, gareis  => 8523,
                        garhammer
                                => 24029, garibovic
                                => 17340,
                        garic   => 12257, garling => 19588, garms   => 20959, garnitschnig
                                => 18900,
                        garofalo
                                => 16717, garschall
                                => 16499,
                        garstenauer
                                => 4538, gartlehner
                                => 7929,
                        gartler => 3423, gartmann
                                => 11862,
                        gartner => 380, gartz   => 15777, gasch   => 7340, gaschler
                                => 14684,
                        gashi   => 258, gasic   => 12699, gasparevic
                                => 19429,
                        gasper  => 11595, gasperl => 11239, gasperlmair
                                => 9363,
                        gaspers => 19556, gassenbauer
                                => 12005,
                        gasser  => 241, gassler => 3351, gassmann
                                => 8349,
                        gassner => 252, gast    => 2456, gastager
                                => 10760,
                        gastberger
                                => 8144, gasteiger
                                => 2995,
                        gasteiner
                                => 20461, gastinger
                                => 11569,
                        gastl   => 3730, gathmann
                                => 24427,
                        gatscher
                                => 14513, gatt    => 4785,
                        gatter  => 22540, gatterbauer
                                => 5909,
                        gatterer
                                => 3922, gattermaier
                                => 9268,
                        gattermann
                                => 13361, gattermayer
                                => 14080,
                        gatternig
                                => 8987, gattinger
                                => 2814,
                        gatto   => 18750, gattringer
                                => 1027,
                        gatzka  => 24027, gatzke  => 7758, gaubatz => 18444, gaube   => 4100,
                        gaubinger
                                => 9289, gaubmann
                                => 23502,
                        gauer   => 9734, gauger  => 10627, gaugg   => 4976, gaugl   => 4038,
                        gaugusch
                                => 7347, gaul    => 5334,
                        gaulhofer
                                => 8781, gaulke  => 14003,
                        gaunersdorfer
                                => 16492, gauper  => 17204,
                        gaupmann
                                => 4897, gaus    => 5465,
                        gausmann
                                => 20956, gauss   => 15281,
                        gauster => 6175, gausterer
                                => 7255,
                        gautsch => 8710, gavran  => 7175, gavranovic
                                => 15193,
                        gavric  => 3845, gavrilovic
                                => 5040,
                        gavrilovici
                                => 22657, gavris  => 22883,
                        gawenda => 20558, gawlik  => 8433, gawron  => 15681, gayer   => 13921,
                        gazic   => 21816, gazso   => 21443, gebauer => 1021, gebbert => 23781,
                        gebel   => 3991, gebele  => 22757, gebeneter
                                => 15238,
                        geber   => 21750, gebert  => 2075, gebeshuber
                                => 9290,
                        gebesmair
                                => 19473, gebetsberger
                                => 4477,
                        gebetsroither
                                => 4851, gebhardt
                                => 465,
                        gebhart => 1976, gebhartl
                                => 21530,
                        gebler  => 12083, gecaj   => 21407, gedermann
                                => 21841,
                        gedik   => 3539, gedikli => 20095, geers   => 9702, geese   => 14265,
                        gegenbauer
                                => 14211, gegenfurtner
                                => 19524,
                        gegenhuber
                                => 8008, gegenleitner
                                => 19302,
                        gehle   => 11262, gehlen  => 6611, gehler  => 24076, gehlert => 11232,
                        gehlhaar
                                => 15658, gehling => 15860,
                        gehmair => 22611, gehmayr => 14905, gehre   => 10837, gehrer  => 4435,
                        gehrig  => 8679, gehring => 2017, gehringer
                                => 9250,
                        gehrke  => 1210, gehrlein
                                => 20845,
                        gehrmann
                                => 1364, gehrt   => 13044,
                        gehwolf => 14907, geib    => 6935, geibel  => 9478, geiblinger
                                => 4917,
                        geidel  => 20903, geider  => 19626, geier   => 1045, geieregger
                                => 19615,
                        geiger  => 430, geiken  => 20777, geilen  => 22361, geiler  => 13885,
                        geiling => 17683, geimer  => 20707, geipel  => 8243, geir    => 8053,
                        geirhofer
                                => 21818, geis    => 3327,
                        geisberger
                                => 11255, geisecker
                                => 20372,
                        geiseder
                                => 23295, geisel  => 8665,
                        geiselhart
                                => 18582, geisen  => 22707,
                        geiser  => 8536, geisinger
                                => 13815,
                        geisler => 405, geiss   => 6380, geisser => 20350, geissler
                                => 894,
                        geist   => 2489, geistberger
                                => 21723,
                        geiswinkler
                                => 22615, geithner
                                => 22817,
                        geitner => 9444, geitzenauer
                                => 19092,
                        gelbenegger
                                => 19579, gelbmann
                                => 7490,
                        geldmacher
                                => 18212, geldner => 16903,
                        gelfert => 18344, geljic  => 18992, gell    => 5689, geller  => 6832,
                        gellermann
                                => 19777, gellert => 4626,
                        gellner => 22655, gellrich
                                => 12340,
                        gelter  => 8582, gemeiner
                                => 21225,
                        gemeinhardt
                                => 14826, gemici  => 16963,
                        gemmel  => 20976, gemmer  => 20018, genc    => 1418, gencer  => 2733,
                        genewein
                                => 15043, geng    => 8505,
                        genge   => 24268, genger  => 17965, genner  => 18043, genova  => 21525,
                        genrich => 24313, gensbichler
                                => 7906,
                        gensch  => 8892, genseberger
                                => 16666,
                        genser  => 2518, gensheimer
                                => 24107,
                        gensler => 12300, gensluckner
                                => 23243,
                        gentile => 7955, gentner => 8227, gentsch => 9770, gentz   => 13442,
                        gentzsch
                                => 16355, genz    => 4050,
                        genzel  => 16551, georgiadis
                                => 9791,
                        georgiev
                                => 2846, georgieva
                                => 3855,
                        georgiou
                                => 15453, geppert => 2916,
                        gepunkt => 16436, gerards => 11088, gerasch => 12498, gerber  => 740,
                        gerbig  => 8464, gerbl   => 19255, gerdau  => 23156, gerdenits
                                => 14676,
                        gerdenitsch
                                => 9337, gerdes  => 836,
                        gerding => 17580, gerdt   => 19584, gerdts  => 18358, gerecke => 9804,
                        gererstorfer
                                => 21067, geretschlager
                                => 12366,
                        gerger  => 8595, gergert => 24007, gerguri => 21433, gerhards
                                => 3033,
                        gerhardt
                                => 925, gerhardter
                                => 6636,
                        gerhartinger
                                => 15139, gerhold => 8563,
                        gericke => 2343, gerigk  => 15703, gerike  => 24397, gerisch => 14814,
                        gerke   => 2344, gerken  => 2169, gerl    => 4464, gerlach => 368,
                        gerland => 23479, gerlich => 10327, gerling => 3989, gerlinger
                                => 19646,
                        gerlitz => 16027, gerloff => 7827, germadnik
                                => 20721,
                        germann => 4574, germany => 9552, germer  => 8652, gernand => 19727,
                        gerner  => 3513, gernert => 20075, gerngross
                                => 13904,
                        gernhardt
                                => 16600, geroldinger
                                => 20855,
                        gerritzen
                                => 18188, gersch  => 18437,
                        gersdorf
                                => 13621, gerst   => 11250,
                        gerstbauer
                                => 9599, gerstenberg
                                => 9925,
                        gerstenberger
                                => 8344, gerstenmayer
                                => 22774,
                        gerster => 11728, gersthofer
                                => 14497,
                        gerstl  => 2342, gerstmann
                                => 11040,
                        gerstmayr
                                => 8778, gerstner
                                => 3429,
                        gerstorfer
                                => 9954, gerth   => 2937,
                        gertz   => 7783, gertzen => 20389, gerull  => 19836, gerwien => 21228,
                        gerwig  => 23867, gerzabek
                                => 22321,
                        gerzic  => 16798, geschke => 14229, gesell  => 9584, geser   => 14928,
                        gesierich
                                => 17839, gesing  => 22102,
                        geske   => 8662, gesselbauer
                                => 14805,
                        gessl   => 4554, gesslbauer
                                => 5480,
                        gessler => 11874, gessner => 3793, gesswagner
                                => 16325,
                        gether  => 6496, gette   => 21521, gettinger
                                => 19115,
                        getzinger
                                => 15639, geuer   => 20789,
                        gevorgyan
                                => 24250, gewessler
                                => 20842,
                        geyer   => 1018, geyik   => 10065, geyrhofer
                                => 17403,
                        gezer   => 4913, gezgin  => 19188, gezici  => 17644, gfall   => 12692,
                        gfellner
                                => 20141, gfohler => 10986,
                        gfoller => 9604, gfollner
                                => 8870,
                        gfrerer => 1241, ghanbari
                                => 15859,
                        gharbi  => 13656, ghasemi => 13637, ghassemi
                                => 23394,
                        ghobrial
                                => 20939, gholami => 3709,
                        ghorbani
                                => 11570, gibiser => 15120,
                        gibley  => 23608, giebel  => 5207, giebler => 16419, giefing => 2401,
                        giegerich
                                => 20089, giegerl => 16575,
                        giehl   => 12844, gielow  => 19224, gierer  => 11361, giering => 20731,
                        gierke  => 6969, gierl   => 17450, gierlinger
                                => 2014,
                        giermann
                                => 20508, giersberg
                                => 20124,
                        giersch => 9916, gierse  => 15601, gierth  => 8905, giertz  => 16000,
                        gies    => 5537, giesa   => 14205, giesbrecht
                                => 13996,
                        giese   => 712, giesecke
                                => 6455,
                        gieseke => 14558, giesel  => 11118, gieseler
                                => 6919,
                        gieselmann
                                => 19553, giesemann
                                => 22626,
                        giesen  => 2080, gieser  => 24391, giesinger
                                => 3526,
                        giesler => 7371, giessauf
                                => 18633,
                        giessler
                                => 8355, giessmann
                                => 20790,
                        gietl   => 13318, gietler => 10528, gietz   => 24191, giffinger
                                => 15871,
                        gigacher
                                => 12379, gigele  => 13993,
                        giger   => 17798, gigerl  => 6281, gigler  => 3929, gilberg => 20914,
                        gilch   => 15596, gilhofer
                                => 22161,
                        gille   => 4469, giller  => 19356, gillert => 24463, gilles  => 3659,
                        gillesberger
                                => 11056, gillessen
                                => 12831,
                        gillhofer
                                => 10287, gillich => 21478,
                        gillitschka
                                => 22892, gillmann
                                => 10463,
                        gillmayr
                                => 21607, gillner => 16514,
                        gilly   => 13785, gimbel  => 11499, gimmler => 20413, gimpel  => 16500,
                        gimpl   => 3366, gindl   => 1639, giner   => 8977, gingl   => 15686,
                        ginner  => 13735, gintenreiter
                                => 18827,
                        gintenstorfer
                                => 19275, ginter  => 12766,
                        ginther => 10022, ginzel  => 23804, ginzinger
                                => 15834,
                        giordano
                                => 8991, girardelli
                                => 19638,
                        girgin  => 9663, giritzer
                                => 19942,
                        girke   => 15950, girkinger
                                => 12373,
                        girlinger
                                => 17044, girod   => 22199,
                        girsch  => 14516, girstmair
                                => 12329,
                        giselbrecht
                                => 4839, gisinger
                                => 10554,
                        gissing => 10440, gitschthaler
                                => 21838,
                        gittel  => 20663, gitterle
                                => 10230,
                        gittmaier
                                => 19405, giuliani
                                => 6948,
                        giunta  => 16709, gjini   => 24231, gjocaj  => 21267, gjokaj  => 16822,
                        glaab   => 20901, glabonjat
                                => 14588,
                        gladbach
                                => 16605, glade   => 17858,
                        glaeser => 10404, glahn   => 15854, glamocak
                                => 18259,
                        glander => 18413, glanner => 21159, glantschnig
                                => 1719,
                        glanz   => 3577, glanzer => 1549, glanznig
                                => 4084,
                        glarcher
                                => 12648, glas    => 3362,
                        glasel  => 19987, glaser  => 535, glasl   => 15862, glasmacher
                                => 14325,
                        glasner => 6444, glasow  => 19893, glass   => 6207, glasser => 12185,
                        glatter => 20816, glatz   => 525, glatzel => 7868, glatzer => 13805,
                        glatzl  => 5405, glatzle => 22371, glaubitz
                                => 8450,
                        glauninger
                                => 5485, glavan  => 21418,
                        glavas  => 6817, glavic  => 19514, glawe   => 10076, glawischnig
                                => 14231,
                        glawogger
                                => 13064, glechner
                                => 12779,
                        gleichmann
                                => 11946, gleichweit
                                => 4392,
                        gleim   => 12346, gleinser
                                => 12036,
                        gleirscher
                                => 4377, gleisberg
                                => 15727,
                        gleiss  => 17282, gleissner
                                => 8342,
                        gleitsmann
                                => 16237, gleixner
                                => 10284,
                        glenz   => 22648, gletthofer
                                => 10644,
                        glettler
                                => 2923, gliber  => 19965,
                        glibo   => 22597, glibusic
                                => 18271,
                        glienke => 17077, glier   => 21621, gligorevic
                                => 21780,
                        gligoric
                                => 8614, glindemann
                                => 24142,
                        glinka  => 12967, glinz   => 17597, glisic  => 7214, glitzner
                                => 14057,
                        globisch
                                => 18393, glock   => 5512,
                        glocker => 14669, glockl  => 6396, glockler
                                => 13903,
                        glockner
                                => 2634, glode   => 16200,
                        gloede  => 20392, gloger  => 9486, glomb   => 11977, glosl   => 16637,
                        glossl  => 13156, glowacki
                                => 15429,
                        gluck   => 1087, gludovatz
                                => 22125,
                        gluth   => 16316, gmachl  => 10126, gmainer => 8849, gmeinbauer
                                => 13769,
                        gmeindl => 19127, gmeiner => 490, gmoser  => 6358, gmundner
                                => 23498,
                        gnadenberger
                                => 10267, gnadig  => 19901,
                        gnadlinger
                                => 21824, gnant   => 16203,
                        gnaser  => 13593, gnauck  => 12465, gneist  => 7048, gnigler => 12622,
                        gobbels => 12279, gobber  => 14182, gobel   => 533, gobelhaider
                                => 21387,
                        gobeljic
                                => 18634, gober   => 13583,
                        gobl    => 2861, gocer   => 18152, gocht   => 21302, gocke   => 19909,
                        gockel  => 8875, gocmen  => 14925, godau   => 15815, godde   => 8407,
                        godecke => 7808, godeke  => 24174, godel   => 19118, goderle => 13063,
                        godicke => 20469, godina  => 19378, godl    => 4695, goebel  => 1881,
                        goebels => 21081, goede   => 14022, goedecke
                                => 11492,
                        goedl   => 19937, goeke   => 22576, goergen => 16351, goergens
                                => 24354,
                        goerke  => 6390, goerlich
                                => 21066,
                        goertz  => 4612, goeschl => 15256, goess   => 22601, goetz   => 2451,
                        goetze  => 7744, goetzke => 23827, goger   => 3676, gogg    => 7333,
                        gogic   => 13714, gogl    => 6910, gogolin => 13569, gohla   => 22282,
                        gohler  => 4681, gohlke  => 4536, gohner  => 21224, gohring => 4333,
                        goigitzer
                                => 19322, goiser  => 18922,
                        gojer   => 22780, gojic   => 17671, gojkovic
                                => 10926,
                        gokdemir
                                => 10294, goker   => 22753,
                        gokkaya => 10312, gokler  => 13551, goksen  => 17979, goktas  => 6561,
                        golacz  => 21483, golda   => 21432, goldammer
                                => 8894,
                        goldau  => 20414, goldbach
                                => 3582,
                        goldbeck
                                => 14271, goldberg
                                => 4711,
                        goldberger
                                => 5289, golde   => 18008,
                        goldenstein
                                => 10587, golderer
                                => 20348,
                        goldgruber
                                => 7172, goldhahn
                                => 15284,
                        goldhammer
                                => 24332, goldinger
                                => 16549,
                        goldmann
                                => 1815, goldnagl
                                => 7890,
                        goldner => 6696, goldschmidt
                                => 3838,
                        goldstein
                                => 5688, golec   => 22336,
                        golenia => 23761, goletz  => 23405, golger  => 6876, golinski
                                => 22054,
                        golja   => 23101, goll    => 5081, golla   => 6483, gollackner
                                => 10255,
                        gollan  => 14276, golle   => 23754, gollenz => 19218, goller  => 3252,
                        golles  => 2072, gollhammer
                                => 18889,
                        golling => 17694, gollinger
                                => 9247,
                        gollmann
                                => 12439, gollmer => 24341,
                        gollmitzer
                                => 17038, gollner => 1268,
                        gollnick
                                => 15921, gollob  => 3623,
                        gollowitsch
                                => 10000, gollub  => 23815,
                        gollwitzer
                                => 23046, golob   => 3428,
                        golombek
                                => 16169, golser  => 3694,
                        golss   => 14206, goltl   => 13635, goltz   => 6916, golub   => 12958,
                        golubovic
                                => 3348, golz    => 4505,
                        golze   => 18482, goman   => 5450, gombert => 16977, gomboc  => 20007,
                        gombocz => 7564, gombotz => 17863, gomernik
                                => 21369,
                        gomig   => 6234, gommlich
                                => 22884,
                        gonaus  => 10602, gondosch
                                => 19404,
                        gonen   => 15501, gonitzer
                                => 10845,
                        gonschorek
                                => 14273, gonsior => 12433,
                        gopel   => 8805, gopfert => 3156, goppel  => 16063, goppert => 13349,
                        gorbach => 6050, gorditsch
                                => 23059,
                        gorecki => 14073, goren   => 9092, gores   => 21191, goretic => 18451,
                        goretzki
                                => 13183, gorfer  => 22643,
                        gorg    => 7346, gorgas  => 22550, gorgen  => 5649, gorgens => 13418,
                        gorges  => 6023, gorgulu => 5193, goricke => 13585, goring  => 5205,
                        goritschnig
                                => 4748, goritz  => 12222,
                        goritzer
                                => 14270, goriup  => 14097,
                        goriupp => 9963, gorka   => 21422, gorke   => 7381, gorlach => 14519,
                        gorlich => 5097, gorlitz => 7060, gormez  => 20148, gorner  => 4649,
                        gornik  => 16057, gorny   => 9851, gorres  => 13315, gorsch  => 16177,
                        gorski  => 6226, gortz   => 3025, gosch   => 1302, goschel => 23015,
                        goschl  => 1465, gossel  => 21179, gossen  => 11856, gossenreiter
                                => 13838,
                        gossinger
                                => 5916, gossl   => 8129,
                        gosslbauer
                                => 19333, gossler => 3164,
                        gossmann
                                => 12323, gossner => 12499,
                        gossnitzer
                                => 19880, gossweiner
                                => 20807,
                        gossy   => 17935, gostl   => 8589, gostner => 9438, gosweiner
                                => 7386,
                        gothe   => 8363, gothel  => 18086, gotsch  => 5332, gotschhofer
                                => 21364,
                        gotschl => 13528, gotte   => 6646, gottel  => 18375, gottert => 18030,
                        gotthardt
                                => 5435, gotthart
                                => 17546,
                        gotting => 11313, gottler => 14407, gottlich
                                => 12740,
                        gottlicher
                                => 18321, gottling
                                => 24025,
                        gottmann
                                => 19931, gottsbacher
                                => 7847,
                        gottsbachner
                                => 13780, gottsch => 23570,
                        gottschalk
                                => 802, gottschall
                                => 9776,
                        gottsche
                                => 13394, gottschlich
                                => 7587,
                        gottschling
                                => 5370, gottstein
                                => 19447,
                        gottwald
                                => 1671, gotz    => 306,
                        gotze   => 926, gotzenbrugger
                                => 16775,
                        gotzendorfer
                                => 8980, gotzfried
                                => 23598,
                        gotzhaber
                                => 17530, gotzinger
                                => 5699,
                        gotzl   => 9463, gotzmann
                                => 23569,
                        gozlum  => 12735, graaf   => 23241, graap   => 14748, grabau  => 22385,
                        grabbe  => 14176, grabbert
                                => 14650,
                        grabe   => 6093, grabenbauer
                                => 11639,
                        grabenhofer
                                => 4274, grabenschweiger
                                => 16877,
                        grabensteiner
                                => 14140, grabenweger
                                => 15047,
                        graber  => 2945, grabert => 16426, grabher => 1723, grabherr
                                => 8755,
                        grabl   => 12839, grabler => 5071, grabmaier
                                => 12344,
                        grabmair
                                => 21648, grabmayer
                                => 16617,
                        grabmayr
                                => 19078, grabner => 146,
                        grabo   => 22823, grabosch
                                => 19980,
                        grabovac
                                => 7078, grabow  => 4070,
                        grabowski
                                => 1231, grabowsky
                                => 22691,
                        grabs   => 15650, gradauer
                                => 10807,
                        gradenegger
                                => 10765, grader  => 9058,
                        gradert => 24214, gradinger
                                => 5136,
                        gradischnig
                                => 5767, gradl   => 5138,
                        gradnitzer
                                => 10708, gradwohl
                                => 2604,
                        graeber => 16539, graef   => 5749, graefe  => 11273, graetz  => 13507,
                        graf    => 76, grafe   => 2474, grafenauer
                                => 5259,
                        grafenberger
                                => 20893, grafeneder
                                => 3887,
                        graff   => 7960, grafinger
                                => 4827,
                        grafl   => 2609, grafling
                                => 16745,
                        grafoner
                                => 10251, grage   => 23847,
                        grager  => 22960, gragger => 21141, grahic  => 16249, grahl   => 3350,
                        grahn   => 13279, grahovac
                                => 13794,
                        graichen
                                => 9948, graier  => 20278,
                        grall   => 7787, graller => 17099, gramann => 19398, gramberger
                                => 7996,
                        grambow => 19844, gramer  => 9177, graml   => 18266, gramlich
                                => 9167,
                        gramlinger
                                => 10275, grammel => 23688,
                        grammer => 7782, grams   => 4177, gramsch => 11208, gramshammer
                                => 19485,
                        granabetter
                                => 21812, granata => 21529,
                        granbichler
                                => 15821, grande  => 6201,
                        grander => 4786, grandits
                                => 3660,
                        grandl  => 7978, grandt  => 16602, granegger
                                => 6506,
                        graner  => 12532, grangl  => 12743, granig  => 1811, granitz => 12912,
                        granitzer
                                => 6319, grantner
                                => 12268,
                        granz   => 20474, granzow => 8332, grapentin
                                => 23957,
                        grasberger
                                => 7546, grasbock
                                => 6268,
                        grasch  => 17955, graschi => 15793, grasel  => 8570, graser  => 4765,
                        grasl   => 2301, grasmann
                                => 9762,
                        grasmuck
                                => 20857, grasmugg
                                => 22367,
                        graspointner
                                => 22395, grass   => 5263,
                        grassauer
                                => 20936, grasse  => 9442,
                        grassegger
                                => 10392, grasser => 905,
                        grasserbauer
                                => 11678, grasshoff
                                => 13481,
                        grassinger
                                => 14503, grassl  => 1756,
                        grassler
                                => 9175, grassmair
                                => 23623,
                        grassmann
                                => 10613, grassmayr
                                => 23086,
                        grassmugg
                                => 9062, grasso  => 8992,
                        grath   => 8335, grathwohl
                                => 21286,
                        gratl   => 7990, gratsch => 20422, gratt   => 6257, gratz   => 1387,
                        gratzer => 572, gratzl  => 1411, grau    => 1414, graubner
                                => 16105,
                        grauel  => 20279, grauer  => 9950, graul   => 6133, graulich
                                => 19178,
                        graumann
                                => 6002, graupner
                                => 3654,
                        graupp  => 9672, graus   => 15106, grausam => 10681, grausgruber
                                => 10880,
                        grave   => 8519, gravogl => 8546, graw    => 7886, grawe   => 11119,
                        grbavac => 22798, grbic   => 1594, greb    => 6079, grebe   => 3476,
                        grebenstein
                                => 24065, greber  => 3231,
                        grebien => 3939, grebner => 14866, grechenig
                                => 13350,
                        greco   => 3341, gredler => 2539, grefe   => 19834, greger  => 5502,
                        gregori => 10058, gregoritsch
                                => 12832,
                        gregorius
                                => 19830, grehl   => 20271,
                        greibl  => 18534, greiderer
                                => 4027,
                        greier  => 11111, greif   => 3291, greifeneder
                                => 3662,
                        greifensteiner
                                => 17321, greiff  => 21079,
                        greil   => 2962, greilberger
                                => 11143,
                        greiler => 18654, greiling
                                => 23122,
                        greilinger
                                => 10660, greim   => 11848,
                        greimeister
                                => 22912, greimel => 2619,
                        greimer => 17526, greiml  => 19604, grein   => 10289, greindl => 5320,
                        greinecker
                                => 8845, greiner => 697,
                        greinert
                                => 13111, greinocker
                                => 13124,
                        greis   => 8502, greisberger
                                => 7878,
                        greiser => 20336, greisinger
                                => 10207,
                        greistorfer
                                => 18198, greiter => 11493,
                        grell   => 5195, grellmann
                                => 14508,
                        gremm   => 24331, gremsl  => 12659, grenz   => 5396, greschitz
                                => 17145,
                        greschner
                                => 23971, gresens => 22926,
                        greslehner
                                => 23365, gress   => 12151,
                        gressenbauer
                                => 9066, gressenberger
                                => 17298,
                        gresser => 21104, gressl  => 8322, gressler
                                => 20470,
                        grestenberger
                                => 22749, grether => 10457,
                        gretler => 23581, greubel => 24439, greuel  => 17035, greul   => 6658,
                        greulich
                                => 4374, greunz  => 18903,
                        greussing
                                => 9837, greuter => 15242,
                        greve   => 2413, greven  => 11090, grewe   => 2695, grey    => 5044,
                        grgic   => 796, gridling
                                => 14011,
                        grieb   => 11394, griebel => 4653, griebenow
                                => 23697,
                        griebl  => 10243, griebler
                                => 17184,
                        griebsch
                                => 19748, grieger => 4051,
                        griem   => 17354, griep   => 17039, gries   => 2738, griesauer
                                => 21745,
                        griesbach
                                => 7692, griesbacher
                                => 10829,
                        griesbeck
                                => 20177, griese  => 3085,
                        griesebner
                                => 16106, griesel => 20850,
                        grieser => 7469, grieshofer
                                => 18097,
                        griesinger
                                => 19682, griesmaier
                                => 19027,
                        griesmayr
                                => 16488, griess  => 20145,
                        griessbach
                                => 22908, griessenberger
                                => 20660,
                        griessenbock
                                => 21612, griesser
                                => 944,
                        griessl => 16303, griessler
                                => 4627,
                        griessmaier
                                => 22789, griessner
                                => 7595,
                        griffiths
                                => 21339, grigat  => 20613,
                        grigo   => 12983, grigoleit
                                => 12491,
                        grigoryan
                                => 15181, grill   => 239,
                        grille  => 23366, grillenberger
                                => 10710,
                        grillhofer
                                => 16298, grillitsch
                                => 3266,
                        grillmaier
                                => 21785, grillmayer
                                => 21300,
                        grillnberger
                                => 9300, grilz   => 7602,
                        grimm   => 238, grimme  => 8216, grimmer => 5514, grimschitz
                                => 18920,
                        grimus  => 11343, grininger
                                => 12865,
                        grinninger
                                => 17927, grinschgl
                                => 3665,
                        grintschacher
                                => 23465, grissemann
                                => 8666,
                        grissenberger
                                => 17790, gritsch => 770,
                        gritschacher
                                => 21540, gritzner
                                => 7169,
                        gritznig
                                => 22287, grobbauer
                                => 16860,
                        grobe   => 6923, grobel  => 22878, grober  => 11748, grobl   => 5425,
                        groblacher
                                => 10077, grobner => 4876,
                        grochowski
                                => 23917, groder  => 8773,
                        groeger => 10338, groen   => 19307, groeneveld
                                => 14071,
                        groenewold
                                => 15876, groening
                                => 22031,
                        grofler => 13435, groger  => 2540, grogger => 9632, groh    => 2495,
                        groher  => 20100, grohmann
                                => 2906,
                        grohnert
                                => 17775, grohs   => 6533,
                        groicher
                                => 10931, groinig => 12515,
                        grois   => 17885, groiss  => 1735, grojer  => 14126, groll   => 4144,
                        groller => 4825, grollitsch
                                => 16062,
                        gromer  => 3561, grommes => 22557, gronau  => 3962, grone   => 7317,
                        groneberg
                                => 17987, gronemann
                                => 24413,
                        groner  => 11371, gronewold
                                => 10014,
                        groning => 5632, gronister
                                => 22968,
                        gronke  => 17518, gronwald
                                => 14883,
                        groos   => 12349, gropp   => 8918, gros    => 5925, grosch  => 3371,
                        grosche => 8385, groschel
                                => 13341,
                        groschl => 14120, groschner
                                => 23147,
                        grosic  => 10490, grosinger
                                => 19477,
                        gross   => 161, grossalber
                                => 11660,
                        grossauer
                                => 5429, grossberger
                                => 15459,
                        grossbichler
                                => 21569, grossbotzl
                                => 21480,
                        grossegger
                                => 10203, grossing
                                => 7571,
                        grossinger
                                => 10936, grosskopf
                                => 7770,
                        grossl  => 17200, grossmann
                                => 734,
                        grosspietsch
                                => 17836, grossschadl
                                => 3403,
                        grossschartner
                                => 19781, grossschedl
                                => 9589,
                        grosssteiner
                                => 8113, grosswang
                                => 23390,
                        grostlinger
                                => 22318, grote   => 1525,
                        groth   => 1126, grothaus
                                => 16527,
                        grothe  => 2310, grotheer
                                => 9918,
                        grothmann
                                => 23791, grothues
                                => 24383,
                        grotjahn
                                => 22337, grotsch => 13312,
                        grottenthaler
                                => 22496, grotz   => 16071,
                        grotzinger
                                => 18143, grotzl  => 9792,
                        grozinger
                                => 23859, grubauer
                                => 5553,
                        grubbauer
                                => 6865, grube   => 1597,
                        grubeck => 18703, grubel  => 11438, grubelnig
                                => 12337,
                        grubelnik
                                => 7985, gruber  => 1,
                        grubert => 8650, grubesic
                                => 16100,
                        grubhofer
                                => 5258, grubinger
                                => 5635,
                        grubl   => 4774, grubler => 7194, grublinger
                                => 17410,
                        grubmair
                                => 17554, grubmann
                                => 19694,
                        grubmuller
                                => 3841, grubner => 5443,
                        gruda   => 23093, grudl   => 18121, gruel   => 24433, gruen   => 18751,
                        gruener => 16804, gruger  => 17678, gruhl   => 19920, gruhle  => 19771,
                        gruhlke => 23636, gruhn   => 5400, grujic  => 2299, grujicic
                                => 15142,
                        grull   => 18417, grumbach
                                => 15629,
                        grummer => 23114, grun    => 1370, grunanger
                                => 13255,
                        grunau  => 13289, grunauer
                                => 2527,
                        grunbart
                                => 15146, grunberg
                                => 4221,
                        grunberger
                                => 1898, grunbichler
                                => 9976,
                        grundbek
                                => 22094, grundbichler
                                => 20258,
                        grundbock
                                => 16906, grundel => 7052,
                        grundhammer
                                => 14355, grundig => 22900,
                        grundl  => 15939, grundler
                                => 6338,
                        grundlinger
                                => 15013, grundmann
                                => 1297,
                        grundner
                                => 1379, grundnig
                                => 11202,
                        grundtner
                                => 13555, gruneberg
                                => 5838,
                        gruneis => 5431, grunenberg
                                => 16164,
                        gruner  => 1462, grunert => 2312, grunewald
                                => 2126,
                        grunhagen
                                => 18442, grunig  => 22197,
                        gruning => 7299, gruninger
                                => 22216,
                        grunke  => 22419, grunling
                                => 13599,
                        grunow  => 7297, grunstaudl
                                => 6467,
                        grunsteidl
                                => 5129, grunwald
                                => 727,
                        grunzweil
                                => 11807, grupe   => 10598,
                        grupp   => 9323, grurl   => 19567, gruschka
                                => 14619,
                        gruschwitz
                                => 18538, gruss   => 6787,
                        gruszka => 19024, gruter  => 11152, grutsch => 10796, grutschnig
                                => 10388,
                        gruttner
                                => 8369, grutzmacher
                                => 6795,
                        grutzner
                                => 6728, grzyb   => 23995,
                        gsaller => 15136, gschaar => 23023, gschaider
                                => 1812,
                        gschanes
                                => 9553, gschiel => 3061,
                        gschladt
                                => 21719, gschliesser
                                => 15803,
                        gschmeidler
                                => 10923, gschosser
                                => 11957,
                        gschossmann
                                => 12535, gschwandtl
                                => 6735,
                        gschwandtner
                                => 845, gschwantner
                                => 13392,
                        gschweitl
                                => 17560, gschwendtner
                                => 2883,
                        gschwenter
                                => 23413, gschwentner
                                => 6512,
                        gschwind
                                => 24270, gschwindl
                                => 19713,
                        gsell   => 13887, gsellmann
                                => 7538,
                        gsenger => 3940, gsodam  => 13666, gsollpointner
                                => 14406,
                        gsols   => 11261, gspan   => 10982, gspandl => 9099, gspurning
                                => 7624,
                        gstach  => 16064, gstallnig
                                => 18818,
                        gstettenhofer
                                => 18911, gstettner
                                => 8919,
                        gsteu   => 21593, gstir   => 14306, gstottenbauer
                                => 23125,
                        gstottenmayr
                                => 11638, gstottner
                                => 3692,
                        gstrein => 661, gubitzer
                                => 11744,
                        gucci   => 10150, gucher  => 18570, guclu   => 4668, gudat   => 14389,
                        guddat  => 16387, gude    => 8635, gudelj  => 13786, gudeljevic
                                => 15096,
                        guden   => 21193, guder   => 7395, guderian
                                => 20890,
                        gueli   => 21578, guem    => 7494, gufler  => 6827, gugel   => 15401,
                        gugenberger
                                => 13777, guger   => 7222,
                        gugerbauer
                                => 23185, gugerel => 15134,
                        gugerell
                                => 7765, gugg    => 8673,
                        gugganig
                                => 7634, guggemos
                                => 21088,
                        guggenberger
                                => 949, guggenbichler
                                => 4289,
                        gugglberger
                                => 11044, gugimaier
                                => 15611,
                        gugl    => 7330, gugler  => 3225, guhl    => 4967, guhne   => 20564,
                        guirguis
                                => 18053, gul     => 450,
                        gulde   => 11336, guldenpfennig
                                => 19919,
                        guldner => 8886, gulec   => 7582, guler   => 940, guleryuz
                                => 14739,
                        gullner => 16805, gulmez  => 9059, gultekin
                                => 2792,
                        gumbrecht
                                => 23778, gumhold => 9938,
                        gummersbach
                                => 20053, gumpenberger
                                => 5075,
                        gumpert => 14683, gumpinger
                                => 7098,
                        gumpold => 8379, gumpoldsberger
                                => 13965,
                        gumpoltsberger
                                => 9829, gumprecht
                                => 15119,
                        gumus   => 2234, gunacker
                                => 20468,
                        gunal   => 11696, gunaydin
                                => 7202,
                        gundacker
                                => 4408, gundelach
                                => 23874,
                        gundemir
                                => 14078, gundendorfer
                                => 16992,
                        gundermann
                                => 10684, gundinger
                                => 10838,
                        gundlach
                                => 3329, gundogan
                                => 7599,
                        gundogdu
                                => 4073, gundolf => 4324,
                        gunduz  => 1617, guner   => 3107, gunes   => 856, guneser => 19786,
                        gungor  => 1421, gunia   => 16401, gunkel  => 3967, guntermann
                                => 14237,
                        gunther => 101, gunthner
                                => 12931,
                        guntner => 12044, guntzel => 23320, gunz    => 4263, gunzel  => 3409,
                        gunzer  => 20219, guppenberger
                                => 20522,
                        gupper  => 10335, guran   => 23567, gurbuz  => 2800, gurdal  => 21027,
                        gurdet  => 13893, gurel   => 4541, gurke   => 16289, gurler  => 7836,
                        gurleyen
                                => 22843, gurmann => 8268,
                        gursch  => 12384, gurschler
                                => 9840,
                        gurses  => 11585, gurski  => 19237, gursoy  => 6547, gurster => 22802,
                        gurth   => 20928, gurtl   => 13897, gurtler => 3433, gurtner => 3525,
                        guschelbauer
                                => 9922, guse    => 4476,
                        gusel   => 20788, gusenbauer
                                => 2974,
                        gusenleitner
                                => 6560, guske   => 23342,
                        gussnig => 11788, guster  => 16681, gusterer
                                => 21110,
                        gustke  => 14511, gutberlet
                                => 12187,
                        gutbrod => 23899, gutbrunner
                                => 15248,
                        gutekunst
                                => 17171, gutenbrunner
                                => 6531,
                        gutensohn
                                => 9638, gutenthaler
                                => 22829,
                        gutgesell
                                => 19888, guth    => 2740,
                        gutheil => 21094, guthmann
                                => 17990,
                        gutic   => 16363, gutjahr => 4300, gutkas  => 18681, gutknecht
                                => 9174,
                        gutl    => 3999, gutleben
                                => 18041,
                        gutlederer
                                => 8965, gutmann => 714,
                        gutmayer
                                => 20837, gutowski
                                => 12362,
                        gutsch  => 10506, gutsche => 3437, gutschelhofer
                                => 20087,
                        gutscher
                                => 12805, gutschi => 1562,
                        gutschmidt
                                => 13260, gutschow
                                => 16047,
                        guttenberger
                                => 18479, guttenbrunner
                                => 7100,
                        guttersberger
                                => 12854, guttler => 5614,
                        guttmann
                                => 2757, gutwenger
                                => 12664,
                        gutzeit => 5015, gutzelnig
                                => 18519,
                        gutzmann
                                => 14793, guvercin
                                => 20833,
                        guzel   => 1713, gvozden => 12857, gvozdenovic
                                => 22267,
                        gvozdic => 23343, gwenger => 18605, gwercher
                                => 19028,
                        gwiggner
                                => 7212, gwiss   => 18888,
                        gyorok  => 23467, ha      => 90, haack   => 1317, haacke  => 15786,
                        haag    => 893, haage   => 23283, haagen  => 15696, haager  => 10462,
                        haak    => 2461, haake   => 3256, haarmann
                                => 6715,
                        haas    => 63, haase   => 231, haaser  => 3450, habacher
                                => 11764,
                        habacht => 17636, habben  => 13162, habeck  => 9146, habedank
                                => 14799,
                        habel   => 5105, habeler => 6135, habenbacher
                                => 14052,
                        habenicht
                                => 12462, haber   => 6223,
                        haberer => 9404, haberfellner
                                => 2832,
                        haberger
                                => 23542, haberhauer
                                => 7975,
                        haberhofer
                                => 17153, haberkorn
                                => 4880,
                        haberl  => 321, haberland
                                => 4081,
                        haberle => 7434, haberlein
                                => 23835,
                        haberleitner
                                => 10805, haberler
                                => 5811,
                        habermann
                                => 1982, habermehl
                                => 18310,
                        habernig
                                => 6042, haberreiter
                                => 22828,
                        habersack
                                => 13695, habersam
                                => 18843,
                        habersatter
                                => 4949, haberstock
                                => 22761,
                        haberstroh
                                => 10030, haberzettl
                                => 20826,
                        habetler
                                => 15631, habibi  => 917,
                        habibovic
                                => 21867, habich  => 5721,
                        habicher
                                => 7162, habichler
                                => 18861,
                        habicht => 9347, habig   => 18280, habinger
                                => 14992,
                        habisohn
                                => 22085, habison => 20452,
                        habit   => 16574, habith  => 13305, habitzl => 12802, hable   => 6250,
                        hablesreiter
                                => 15868, habres  => 16141,
                        habring => 20160, habringer
                                => 14534,
                        hache   => 16730, hachenberg
                                => 17312,
                        hachmann
                                => 12851, hachmeister
                                => 20673,
                        hack    => 1970, hackbarth
                                => 5777,
                        hacke   => 8134, hackel  => 6324, hackenberg
                                => 5753,
                        hacker  => 2260, hackert => 17574, hackhofer
                                => 18438,
                        hackl   => 108, hackmann
                                => 5636,
                        hackner => 14510, hackstein
                                => 18477,
                        hacksteiner
                                => 9608, hackstock
                                => 11746,
                        hader   => 4592, haderer => 1300, hadicke => 13390, hadler  => 3625,
                        hadolt  => 16506, hadrich => 7854, hadrigan
                                => 20036,
                        hadwiger
                                => 21226, hadzic  => 1121,
                        hadziefendic
                                => 21488, hadzipasic
                                => 4415,
                        haecker => 13405, haemmerle
                                => 13969,
                        haenel  => 20937, haensel => 19212, haering => 22227, haertel => 11827,
                        haese   => 12032, haeusler
                                => 22232,
                        hafele  => 6872, hafellner
                                => 18810,
                        hafemann
                                => 19220, hafenscher
                                => 5159,
                        hafer   => 17527, haferkamp
                                => 12386,
                        haferkorn
                                => 11459, haffke  => 24201,
                        haffner => 7514, hafizovic
                                => 11084,
                        hafke   => 16037, hafner  => 236, haftner => 19640, hagauer => 15056,
                        hage    => 7913, hagedorn
                                => 1627,
                        hagel   => 4796, hagele  => 4830, hagelstein
                                => 12801,
                        hagemann
                                => 1069, hagemeier
                                => 14548,
                        hagemeister
                                => 6471, hagen   => 681,
                        hagenah => 19657, hagenauer
                                => 6251,
                        hagendorf
                                => 23736, hageneder
                                => 10957,
                        hagenhofer
                                => 10144, hager   => 169,
                        hagge   => 13538, haghofer
                                => 7531,
                        haginger
                                => 14200, hagleitner
                                => 10674,
                        hagler  => 9284, hagmann => 3863, hagmuller
                                => 21328,
                        hagn    => 3444, hagner  => 13307, hagspiel
                                => 3781,
                        hahmann => 15780, hahn    => 104, hahne   => 3691, hahnekamp
                                => 13457,
                        hahnel  => 3082, hahnemann
                                => 14554,
                        hahnenkamp
                                => 19531, hahner  => 9418,
                        hahnl   => 9135, hahnlein
                                => 14701,
                        haiberger
                                => 17748, haibock => 12919,
                        haid    => 1097, haida   => 24210, haidacher
                                => 4948,
                        haidbauer
                                => 11284, haidegger
                                => 9789,
                        haiden  => 1692, haidenbauer
                                => 18891,
                        haidenthaler
                                => 21650, haider  => 79,
                        haiderer
                                => 4389, haidinger
                                => 1108,
                        haidl   => 5623, haidler => 16490, haidn   => 16961, haidner => 12295,
                        haiduk  => 23981, haidvogel
                                => 15903,
                        haidvogl
                                => 8763, haigermoser
                                => 16620,
                        haim    => 4454, haimberger
                                => 15498,
                        haimbock
                                => 19286, haimburger
                                => 9115,
                        haimel  => 21043, haimerl => 8073, hain    => 2194, hainberger
                                => 11691,
                        hainbuchner
                                => 22208, haindl  => 1034,
                        hainfellner
                                => 11701, haingartner
                                => 7503,
                        hainke  => 16421, hainz   => 3138, hainzer => 8747, hainzl  => 1745,
                        haisch  => 24189, haist   => 15677, haitzer => 22619, haitzinger
                                => 9451,
                        haitzmann
                                => 5494, hajdaraj
                                => 18652,
                        hajdarevic
                                => 6059, hajdari => 4598,
                        hajder  => 17859, hajdini => 13683, hajdu   => 13052, hajek   => 1507,
                        hajny   => 12852, hajredini
                                => 16827,
                        hajric  => 18627, hajrizi => 11156, hajrovic
                                => 22013,
                        hajszan => 16513, hake    => 6940, haker   => 16956, hakobyan
                                => 19113,
                        haktaniyan
                                => 21692, halama  => 19430,
                        halasz  => 12800, halavac => 20065, halbach => 12995, halbartschlager
                                => 7426,
                        halbauer
                                => 8477, halbedl => 13912,
                        halbeisen
                                => 5560, halbertschlager
                                => 16697,
                        halbig  => 11486, halbmayr
                                => 6197,
                        halbrainer
                                => 15476, halbritter
                                => 14536,
                        halbwachs
                                => 14207, halbweis
                                => 19299,
                        halbwirth
                                => 13734, halefoglu
                                => 17940,
                        halfar  => 22316, halfmann
                                => 16217,
                        halfter => 24476, halici  => 10873, halilagic
                                => 10374,
                        halilaj => 10035, halili  => 5231, halilovic
                                => 984,
                        halimi  => 8489, haliti  => 5056, halkic  => 6570, hallbauer
                                => 20227,
                        hallegger
                                => 15365, haller  => 278,
                        hallinger
                                => 11934, hallmann
                                => 3957,
                        hallwirth
                                => 14959, halm    => 6883,
                        halmer  => 11194, halmetschlager
                                => 16463,
                        halper  => 1863, halsegger
                                => 20359,
                        halter  => 8084, haltermann
                                => 20866,
                        halvax  => 9680, halwachs
                                => 2568,
                        halwax  => 10858, hamacher
                                => 2213,
                        hamade  => 14958, hamann  => 542, hambach => 12468, hamberger
                                => 4244,
                        hambock => 23323, hameder => 19225, hamedinger
                                => 3573,
                        hameister
                                => 18399, hamel   => 7612,
                        hamer   => 10212, hamernik
                                => 17431,
                        hameseder
                                => 15991, hametner
                                => 2110,
                        hamidovic
                                => 6574, hamiti  => 18650,
                        hamm    => 1795, hammann => 4691, hammel  => 5805, hammer  => 194,
                        hammerer
                                => 1366, hammerich
                                => 20088,
                        hammerl => 816, hammerle
                                => 680,
                        hammerling
                                => 20001, hammermann
                                => 22518,
                        hammermeister
                                => 13549, hammermuller
                                => 13736,
                        hammerschmid
                                => 2287, hammerschmidt
                                => 2661,
                        hammerschmied
                                => 9181, hammertinger
                                => 16408,
                        hammes  => 4602, hamminger
                                => 4914,
                        hamo    => 2967, hampe   => 4521, hampel  => 1464, hampl   => 15145,
                        hampp   => 23124, hamulic => 18990, hamzabegovic
                                => 21917,
                        hamzic  => 1543, hanak   => 10033, hanauer => 11809, hanchen => 24364,
                        handanagic
                                => 20150, handke  => 3598,
                        handl   => 805, handlbauer
                                => 12526,
                        handle  => 3039, handlechner
                                => 9245,
                        handler => 524, handlos => 11299, handrich
                                => 23177,
                        handrick
                                => 19453, handschuh
                                => 9495,
                        handt   => 16128, haneder => 6629, hanel   => 4080, hanemann
                                => 14017,
                        hanetseder
                                => 20551, hanf    => 4630,
                        hanft   => 15722, hangelmann
                                => 21024,
                        hangl   => 5167, hangler => 6398, hangobl => 16259, hanifl  => 14982,
                        hanig   => 16415, hanika  => 14396, hanisch => 1673, hanke   => 547,
                        hankel  => 9225, hanken  => 21215, hanl    => 8641, hanle   => 23219,
                        hanler  => 21618, hannak  => 21103, hannappel
                                => 12078,
                        hanneken
                                => 14857, hannemann
                                => 1431,
                        hanner  => 9530, hannesschlager
                                => 10561,
                        hannig  => 4351, hanny   => 9259, hanousek
                                => 20591,
                        hanreich
                                => 20697, hansbauer
                                => 19331,
                        hansch  => 4689, hanschek
                                => 19235,
                        hanschitz
                                => 4781, hanschke
                                => 13425,
                        hanschmann
                                => 23284, hansel  => 2880,
                        hanselmann
                                => 11153, hansen  => 138,
                        hanser  => 1076, hanses  => 17472, hanske  => 13185, hanslik => 12989,
                        hansmann
                                => 3520, hanssen => 12797,
                        hanstein
                                => 11324, hansy   => 22132,
                        hantel  => 15938, hantke  => 6105, hantsch => 20345, hantschel
                                => 22112,
                        hantzschel
                                => 16596, hanus   => 10250,
                        hanusch => 10333, hanzal  => 19652, hanzl   => 5287, hapke   => 9964,
                        happ    => 8009, happacher
                                => 14051,
                        happe   => 5526, happel  => 7181, happerger
                                => 21793,
                        hapunkt => 4367, harant  => 9163, harasser
                                => 13948,
                        harauer => 22606, harbas  => 9445, harbauer
                                => 21891,
                        harbeck => 23794, harbich => 17263, harcevic
                                => 19672,
                        hard    => 6206, harder  => 973, harders => 8317, hardt   => 1572,
                        hardtke => 20318, hareter => 12992, harfmann
                                => 10599,
                        harg    => 8387, hargassner
                                => 10157,
                        harich  => 12541, harig   => 13517, haring  => 649, haritzer
                                => 20096,
                        harkam  => 22715, harke   => 11364, harlander
                                => 3172,
                        harle   => 12010, harley  => 11784, harloff => 10556, harman  => 12514,
                        harmanci
                                => 6325, harms   => 544,
                        harmsen => 16544, harmuth => 14611, harnack => 12501, harner  => 16049,
                        harnisch
                                => 3376, harnischmacher
                                => 24440,
                        harper  => 7113, harpf   => 19179, harrauer
                                => 9732,
                        harre   => 23105, harreiter
                                => 17609,
                        harreither
                                => 9019, harrer  => 463,
                        harrich => 6066, harries => 17008, harringer
                                => 2891,
                        harsch  => 9111, hart    => 2770, hartberger
                                => 10501,
                        hartel  => 2032, hartenberger
                                => 11231,
                        hartenstein
                                => 12177, hartenthaler
                                => 17682,
                        harter  => 6730, hartert => 24008, harth   => 6769, hartig  => 2602,
                        harting => 12136, hartinger
                                => 1647,
                        hartje  => 18191, hartke  => 24342, hartkopf
                                => 10410,
                        hartl   => 152, hartlauer
                                => 17243,
                        hartleb => 6311, hartleib
                                => 17865,
                        hartlieb
                                => 3117, hartling
                                => 20927,
                        hartlmayr
                                => 17429, hartmann
                                => 50,
                        hartner => 1686, hartsleben
                                => 23537,
                        hartung => 608, hartweger
                                => 8362,
                        hartwich
                                => 3937, hartwig => 706,
                        hartz   => 7440, harutyunyan
                                => 21842,
                        harwardt
                                => 14733, harwock => 18835,
                        harz    => 5996, harzer  => 12066, harzheim
                                => 23887,
                        harzl   => 16309, hasanagic
                                => 12914,
                        hasanaj => 7954, hasani  => 1451, hasanov => 9699, hasanova
                                => 12773,
                        hasanovic
                                => 1495, haschek => 14162,
                        haschka => 17551, haschke => 5586, hase    => 1114, hasel   => 14087,
                        haselbach
                                => 19376, haselbacher
                                => 9022,
                        haselbauer
                                => 19565, haselberger
                                => 3901,
                        haselbock
                                => 13977, haselgruber
                                => 15058,
                        haselmaier
                                => 15147, haselmayer
                                => 20054,
                        haselmayr
                                => 10013, haseloff
                                => 11959,
                        haselsberger
                                => 4343, haselsteiner
                                => 2283,
                        haselwanter
                                => 2320, hasemann
                                => 23118,
                        hasenauer
                                => 3502, hasenbein
                                => 17394,
                        hasenberger
                                => 12668, hasenbichler
                                => 8530,
                        hasenburger
                                => 14844, hasenhutl
                                => 9520,
                        hasenohrl
                                => 5702, hasenstab
                                => 22393,
                        hasenzagl
                                => 18673, hasert  => 21185,
                        hasewend
                                => 19550, hashani => 17140,
                        hashemi => 3504, hashimi => 8937, hasi    => 4594, hasibeder
                                => 17611,
                        hasic   => 3247, hasieber
                                => 15984,
                        hasimovic
                                => 8194, haskamp => 20142,
                        haskic  => 13958, haslacher
                                => 3464,
                        haslauer
                                => 1842, haslbeck
                                => 15919,
                        haslberger
                                => 9321, haslebner
                                => 21350,
                        haslehner
                                => 6706, hasler  => 1207,
                        haslhofer
                                => 5715, haslinger
                                => 190,
                        haslwanter
                                => 2628, haspel  => 9015,
                        haspl   => 8188, hass    => 2773, hassanzadeh
                                => 21248,
                        hasse   => 3006, hassel  => 6071, hasselbach
                                => 10619,
                        hasselberg
                                => 16096, hasselmann
                                => 8147,
                        hassenpflug
                                => 18011, hasslacher
                                => 14042,
                        hassler => 1689, hasslinger
                                => 14319,
                        hasslwanter
                                => 12686, hastedt => 17305,
                        hastreiter
                                => 23585, hatheier
                                => 12135,
                        hatic   => 23285, hattenberger
                                => 11460,
                        hattinger
                                => 2179, hatvan  => 22835,
                        hatwagner
                                => 22924, hatz    => 6842,
                        hatzenbichler
                                => 13826, hatzer  => 11682,
                        hatzl   => 2198, hatzmann
                                => 6035,
                        haubenberger
                                => 22104, haubenhofer
                                => 9348,
                        haubenwaller
                                => 7412, haubenwallner
                                => 8133,
                        hauber  => 7580, haubert => 22057, haubner => 6356, haubold => 3687,
                        haubrich
                                => 9170, hauch   => 11736,
                        hauck   => 1184, haucke  => 11247, haude   => 14705, haudum  => 8559,
                        haueis  => 10574, hauenschild
                                => 13382,
                        hauenstein
                                => 9764, hauer   => 260,
                        hauf    => 7688, haufe   => 2768, hauff   => 13763, hauffe  => 11121,
                        haug    => 1555, haugeneder
                                => 6684,
                        haugg   => 22693, haugk   => 19544, hauk    => 5730, haumann => 18734,
                        haumer  => 1955, haun    => 7292, haunold => 3890, haunschmid
                                => 5469,
                        haunschmidt
                                => 10131, haunschmied
                                => 15472,
                        haunsperger
                                => 15973, haupenthal
                                => 17389,
                        haupert => 24327, haupl   => 8617, haupt   => 554, hauptmann
                                => 2326,
                        hauptvogel
                                => 19440, hausbacher
                                => 10459,
                        hausberger
                                => 1266, hausch  => 23789,
                        hauschild
                                => 2269, hauschildt
                                => 9305,
                        hausdorf
                                => 14111, hausdorfer
                                => 18337,
                        hauseder
                                => 18138, hausegger
                                => 2702,
                        hausen  => 10636, hausensteiner
                                => 18809,
                        hauser  => 85, hauserer
                                => 13813,
                        hausharter
                                => 7920, haushofer
                                => 8766,
                        hausjell
                                => 10590, hausl   => 13745,
                        hausladen
                                => 12142, hausle  => 6211,
                        hausleithner
                                => 15279, hausleitner
                                => 3077,
                        hausler => 1446, hausmann
                                => 987,
                        hausner => 5107, hauss   => 9371, hausser => 14690, haussler
                                => 4495,
                        haussmann
                                => 11302, haussner
                                => 23715,
                        haustein
                                => 4853, hauswald
                                => 7737,
                        hauswirth
                                => 10703, hauth   => 19914,
                        hauthaler
                                => 14151, hautmann
                                => 15594,
                        hautz   => 7558, hautzinger
                                => 11750,
                        hauzenberger
                                => 9758, havel   => 8493,
                        havelka => 15466, havemann
                                => 14582,
                        haverkamp
                                => 9384, haverland
                                => 22809,
                        havlicek
                                => 7980, havlik  => 9013,
                        havranek
                                => 19723, hawel   => 8841,
                        hawelka => 12280, haweri  => 15872, haxhija => 24233, haxhiu  => 14988,
                        haybock => 21901, haydari => 21370, haydn   => 4776, hayen   => 19108,
                        hayer   => 18597, hazara  => 7428, haziri  => 6215, hebben  => 23886,
                        hebein  => 6685, hebel   => 7407, hebenstreit
                                => 1448,
                        heber   => 5245, heberle => 15402, heberlein
                                => 19845,
                        hebert  => 22040, hebesberger
                                => 9630,
                        hebestreit
                                => 9458, hechenberger
                                => 1596,
                        hechenbichler
                                => 15084, hechenblaickner
                                => 10318,
                        hechenblaikner
                                => 5731, hecher  => 4570,
                        hechinger
                                => 21635, hechl   => 12544,
                        hechler => 8374, hecht   => 773, hechtl  => 9687, heck    => 923,
                        hecke   => 18490, heckel  => 2952, hecker  => 1239, heckert => 12862,
                        hecking => 22962, heckl   => 10350, heckmann
                                => 1623,
                        heckner => 22728, hedderich
                                => 13536,
                        hedemann
                                => 13526, hedenig => 16858,
                        hedrich => 6402, heeger  => 12759, heel    => 4330, heerdegen
                                => 21285,
                        heeren  => 7231, heering => 24371, heerlein
                                => 23704,
                        heermann
                                => 18497, hees    => 7276,
                        heesch  => 13436, heese   => 5211, heesen  => 19612, hefel   => 9398,
                        hefele  => 17358, hefler  => 21157, hefner  => 14148, heftberger
                                => 10759,
                        hefter  => 18324, hegedus => 9556, hegel   => 12367, hegele  => 22105,
                        hegemann
                                => 5395, heger   => 1554,
                        hegewald
                                => 5864, hegger  => 23491,
                        hegic   => 21836, hegmann => 16125, hegner  => 10441, hehenberger
                                => 2172,
                        heher   => 8104, hehl    => 6770, hehle   => 5069, hehn    => 8380,
                        heibel  => 15656, heiber  => 18545, heibl   => 16268, heichinger
                                => 15638,
                        heid    => 2975, heidari => 5079, heidecke
                                => 22061,
                        heidecker
                                => 17577, heidegger
                                => 2033,
                        heidekum
                                => 21613, heidel  => 6742,
                        heidemann
                                => 1909, heiden  => 2853,
                        heidenhofer
                                => 19572, heidenkummer
                                => 22173,
                        heidenreich
                                => 1587, heider  => 1372,
                        heiderich
                                => 14604, heidinger
                                => 2007,
                        heidkamp
                                => 18075, heidl   => 13937,
                        heidler => 8602, heidlmair
                                => 15618,
                        heidmann
                                => 12425, heidorn => 16439,
                        heidrich
                                => 1542, heidt   => 6359,
                        heidtmann
                                => 15917, heiduk  => 15858,
                        heier   => 8265, heiermann
                                => 18023,
                        heigenhauser
                                => 19454, heigl   => 701,
                        heil    => 1020, heiland => 6514, heilemann
                                => 7432,
                        heiler  => 8604, heilig  => 4153, heiligenbrunner
                                => 13660,
                        heiling => 3300, heilinger
                                => 5025,
                        heilmann
                                => 1377, heilmeier
                                => 22388,
                        heim    => 784, heimann => 1248, heimbach
                                => 10568,
                        heimberger
                                => 6494, heimel  => 18959,
                        heimer  => 15959, heimerl => 14215, heimes  => 10849, heiml   => 10467,
                        heims   => 24150, hein    => 300, heindel => 23857, heindl  => 595,
                        heindorf
                                => 23775, heine   => 500,
                        heinecke
                                => 4502, heinemann
                                => 653,
                        heinen  => 1143, heinicke
                                => 3941,
                        heinig  => 5786, heining => 23493, heininger
                                => 7885,
                        heinisch
                                => 2507, heinitz => 13061,
                        heinkel => 24389, heinl   => 9094, heinle  => 8899, heinlein
                                => 5650,
                        heinold => 17515, heinreichsberger
                                => 13561,
                        heinrich
                                => 136, heinrichs
                                => 1000,
                        heins   => 3306, heinsch => 24051, heinschink
                                => 16885,
                        heinsohn
                                => 9828, heintz  => 6044,
                        heintze => 9831, heinze  => 478, heinzel => 7567, heinzelmann
                                => 4189,
                        heinzen => 15101, heinzig => 19933, heinzl  => 1504, heinzle => 2684,
                        heinzmann
                                => 5562, heis    => 4508,
                        heise   => 829, heisel  => 17520, heiseler
                                => 12748,
                        heisenberg
                                => 12063, heiser  => 5103,
                        heiserer
                                => 15321, heisig  => 6168,
                        heising => 14801, heisinger
                                => 21690,
                        heisler => 8586, heiss   => 788, heissenberger
                                => 1965,
                        heissig => 21801, heissl  => 19204, heister => 8793, heisterkamp
                                => 13031,
                        heistermann
                                => 23684, heiter  => 20158,
                        heitkamp
                                => 9492, heitmann
                                => 1103,
                        heitmuller
                                => 20241, heitz   => 7668,
                        heitzer => 8031, heitzinger
                                => 3069,
                        heitzmann
                                => 13878, heizinger
                                => 20064,
                        heizmann
                                => 8685, helber  => 23701,
                        helbig  => 1003, helbing => 3590, helbock => 9044, helbok  => 16693,
                        held    => 551, heldmann
                                => 13434,
                        heldt   => 3241, helfrich
                                => 5361,
                        helgert => 18178, hell    => 1124, hellbach
                                => 18133,
                        hellberg
                                => 13166, heller  => 383,
                        hellermann
                                => 21860, hellerschmid
                                => 11582,
                        hellerschmied
                                => 20607, helling => 7719,
                        hellinger
                                => 12527, hellmair
                                => 22605,
                        hellmann
                                => 1337, hellmayr
                                => 19260,
                        hellmer => 16232, hellmers
                                => 12352,
                        hellmich
                                => 3693, hellmig => 19751,
                        hellmund
                                => 8701, hellmuth
                                => 3950,
                        hellriegel
                                => 14635, hellrigl
                                => 9487,
                        hellrung
                                => 24370, hellstern
                                => 14622,
                        hellwagner
                                => 8855, hellweg => 12240,
                        hellweger
                                => 21700, hellwig => 1101,
                        helm    => 942, helmberger
                                => 12629,
                        helmbrecht
                                => 19580, helmecke
                                => 11327,
                        helmel  => 10285, helmer  => 5270, helmers => 8338, helmert => 13571,
                        helmes  => 11474, helmhart
                                => 16339,
                        helmholz
                                => 23844, helmich => 17213,
                        helmig  => 13086, helminger
                                => 9166,
                        helmke  => 6682, helml   => 11434, helmle  => 17731, helmreich
                                => 4151,
                        helmrich
                                => 15779, helms   => 3149,
                        helnwein
                                => 22647, helperstorfer
                                => 16003,
                        helsper => 23897, helten  => 22444, helwig  => 7001, hemberger
                                => 16381,
                        hemedinger
                                => 19503, hemetsberger
                                => 804,
                        hemetzberger
                                => 20340, heming  => 22086,
                        hemken  => 18557, hemker  => 16480, hemmann => 12964, hemme   => 8456,
                        hemmelmayr
                                => 10543, hemmer  => 4156,
                        hemmerich
                                => 11346, hemmerling
                                => 10512,
                        hemmers => 23993, hemmersbach
                                => 15749,
                        hempe   => 23771, hempel  => 746, hempelmann
                                => 23735,
                        hempen  => 11956, hempfling
                                => 18028,
                        hemsing => 19262, hendel  => 6060, hendler => 12341, hendrich
                                => 6659,
                        hendricks
                                => 5666, hendriks
                                => 10342,
                        hendrix => 11786, hengl   => 5160, hengsberger
                                => 13644,
                        hengst  => 5131, hengstberger
                                => 11768,
                        hengstschlager
                                => 20834, henikl  => 18020,
                        henke   => 559, henkel  => 634, henkelmann
                                => 10580,
                        henken  => 23548, henker  => 10741, henkes  => 11794, henle   => 17160,
                        henn    => 1782, henne   => 3060, henneberg
                                => 7072,
                        henneberger
                                => 14099, hennecke
                                => 6464,
                        henneke => 13095, hennemann
                                => 5822,
                        hennen  => 9126, hennerbichler
                                => 2658,
                        hennersdorf
                                => 21153, hennicke
                                => 15675,
                        hennies => 22539, hennig  => 410, henniger
                                => 14881,
                        hennigs => 20971, henning => 429, henninger
                                => 6545,
                        hennings
                                => 4501, henningsen
                                => 7057,
                        hennrich
                                => 13473, henrich => 2509,
                        henrichs
                                => 6373, henrici => 19752,
                        hensch  => 17165, henschel
                                => 1685,
                        henschke
                                => 5896, hense   => 5427,
                        hensel  => 913, henseleit
                                => 16291,
                        henseler
                                => 5564, hensen  => 7233,
                        hensler => 15222, hentrich
                                => 6454,
                        hentsch => 18574, hentschel
                                => 728,
                        hentschke
                                => 16576, hentze  => 11899,
                        hentzschel
                                => 13272, henze   => 1343,
                        henzel  => 14036, henzl   => 21924, henzler => 17592, hepp    => 4261,
                        heppe   => 20625, hepperger
                                => 15241,
                        heppner => 6039, hepting => 20994, herbach => 24326, herbek  => 15110,
                        herber  => 5791, herberg => 10819, herberger
                                => 13582,
                        herbers => 10087, herberstein
                                => 22722,
                        herbertz
                                => 14566, herbich => 19521,
                        herbig  => 6416, herbold => 10707, herbrich
                                => 12288,
                        herbst  => 439, herburger
                                => 7806,
                        herceg  => 13020, herczeg => 8375, herda   => 22323, herde   => 9800,
                        herdem  => 16359, herden  => 9885, herdt   => 7250, herdy   => 16173,
                        herfort => 14525, herfurth
                                => 4842,
                        hergert => 5481, herges  => 23990, hergesell
                                => 21291,
                        herget  => 5994, herholz => 16185, heric   => 12167, hering  => 1357,
                        heringer
                                => 22035, heritsch
                                => 16766,
                        herke   => 19137, herkenrath
                                => 18240,
                        herklotz
                                => 17764, herkner => 23234,
                        herkt   => 23646, herler  => 11602, herling => 19929, hermanek
                                => 16414,
                        hermanns
                                => 1986, hermans => 19099,
                        hermeling
                                => 22768, hermentin
                                => 21591,
                        hermes  => 1480, herms   => 7363, hermsdorf
                                => 13380,
                        hermsen => 10714, hermuller
                                => 22114,
                        hernach => 11125, herndl  => 7511, herndler
                                => 5575,
                        herndlhofer
                                => 19968, hernegger
                                => 20368,
                        herneth => 21135, hernler => 10245, herold  => 664, herpel  => 23870,
                        herpich => 9742, herr    => 1695, herre   => 9004, herrig  => 22680,
                        herrler => 24035, herrlich
                                => 12370,
                        herrling
                                => 23133, herrmann
                                => 64,
                        herrnegger
                                => 12158, herrnhofer
                                => 21553,
                        hersch  => 18481, herschel
                                => 20878,
                        hertel  => 1160, herten  => 24256, herter  => 4054, herth   => 19426,
                        herting => 15748, hertl   => 15268, hertle  => 14841, hertlein
                                => 7833,
                        hertling
                                => 18402, hertrampf
                                => 24211,
                        hertrich
                                => 14174, hertweck
                                => 19476,
                        hertwig => 6382, hertz   => 11611, herunter
                                => 10101,
                        herweg  => 12098, herz    => 901, herzberg
                                => 2764,
                        herzberger
                                => 11667, herzele => 11723,
                        herzer  => 8098, herzig  => 2538, herzing => 17881, herzl   => 15886,
                        herzmann
                                => 22115, herzog  => 175,
                        hesch   => 10246, heschl  => 1893, heske   => 23265, hess    => 588,
                        hesse   => 299, hessel  => 4472, hesselbach
                                => 20633,
                        hesselbarth
                                => 19494, hesselmann
                                => 19764,
                        hessenberger
                                => 7413, hessler => 5399,
                        hessling
                                => 17469, hesso   => 11894,
                        hetemi  => 24247, hetfleisch
                                => 18581,
                        hetlinger
                                => 16080, hettegger
                                => 1522,
                        hetterich
                                => 18102, hettich => 7789,
                        hettinger
                                => 17627, hettler => 24418,
                        hettrich
                                => 23619, hettwer => 13427,
                        hetzel  => 4449, hetzenauer
                                => 3930,
                        hetzendorfer
                                => 19084, hetzer  => 13564,
                        hetzl   => 16167, hetzmannseder
                                => 14743,
                        heubach => 17787, heubacher
                                => 14941,
                        heubeck => 19889, heuberger
                                => 4067,
                        heublein
                                => 14561, heuer   => 846,
                        heuermann
                                => 11972, heugenhauser
                                => 8708,
                        heumader
                                => 16214, heumann => 3874,
                        heumesser
                                => 22563, heun    => 8440,
                        heupel  => 17361, heurich => 20688, heuschkel
                                => 10752,
                        heuschneider
                                => 17120, heuschober
                                => 22810,
                        heusel  => 20260, heuser  => 1547, heusinger
                                => 15765,
                        heyde   => 6010, heydecke
                                => 23811,
                        heydemann
                                => 24415, heyden  => 5535,
                        heyder  => 6604, heydrich
                                => 22594,
                        heyen   => 6336, heyer   => 1544, heymann => 2350, heyn    => 3700,
                        heyne   => 3550, heynen  => 19111, heyse   => 21928, hezel   => 20796,
                        hibic   => 16333, hickelsberger
                                => 21856,
                        hickl   => 12637, hickmann
                                => 9731,
                        hidanovic
                                => 6854, hiden   => 3861,
                        hiebaum => 5305, hieber  => 7784, hiebl   => 2707, hiebler => 2662,
                        hieblinger
                                => 14330, hieden  => 21981,
                        hieger  => 11211, hieke   => 8709, hielscher
                                => 3255,
                        hiemer  => 12037, hiemetsberger
                                => 21739,
                        hierl   => 7223, hiermann
                                => 5423,
                        hieronimus
                                => 24398, hierzberger
                                => 19021,
                        hierzer => 2246, hiesberger
                                => 4665,
                        hiesl   => 16750, hieslmair
                                => 21560,
                        hiesmayr
                                => 19200, hietz   => 15038,
                        hilbe   => 15746, hilber  => 3883, hilbert => 2337, hilbig  => 4371,
                        hilbrand
                                => 14083, hilbrecht
                                => 23667,
                        hild    => 4673, hildebrand
                                => 1064,
                        hildebrandt
                                => 412, hilden  => 20349,
                        hildenbrand
                                => 9778, hildmann
                                => 16285,
                        hildner => 17155, hilgenberg
                                => 12866,
                        hilgendorf
                                => 15994, hilger  => 2865,
                        hilgers => 3169, hilgert => 7640, hilker  => 11240, hill    => 1081,
                        hillbrand
                                => 3959, hille   => 1500,
                        hillebrand
                                => 1935, hillebrandt
                                => 16180,
                        hillebrecht
                                => 11482, hillemann
                                => 23668,
                        hillen  => 7609, hillenbrand
                                => 6671,
                        hiller  => 1019, hillers => 18202, hillert => 15762, hillesheim
                                => 17010,
                        hillig  => 14795, hillinger
                                => 1832,
                        hillmann
                                => 2752, hillmer => 8678,
                        hilmer  => 6663, hilpert => 3576, hilpold => 23453, hilscher
                                => 11774,
                        hilse   => 8880, hiltl   => 24087, hilzensauer
                                => 21502,
                        himmelbauer
                                => 2112, himmelfreundpointner
                                => 15192,
                        himmelmann
                                => 17435, himmelreich
                                => 10266,
                        himmelsbach
                                => 10320, himmer  => 8063,
                        himmler => 15210, himsl   => 9016, himstedt
                                => 17549,
                        hinck   => 12804, hindelang
                                => 23663,
                        hinderks
                                => 23085, hindinger
                                => 22151,
                        hindler => 21086, hinger  => 11339, hingsamer
                                => 13406,
                        hingst  => 11370, hinke   => 13908, hinkel  => 3463, hinkelmann
                                => 7904,
                        hinker  => 22971, hinners => 24115, hinrichs
                                => 754,
                        hinrichsen
                                => 3670, hinsberger
                                => 22708,
                        hinsch  => 10525, hinsche => 19986, hintenaus
                                => 23220,
                        hintenberger
                                => 19164, hinterauer
                                => 14960,
                        hinterbauer
                                => 22260, hinterberger
                                => 765,
                        hinterbichler
                                => 21830, hinterbuchinger
                                => 23141,
                        hinterdorfer
                                => 3727, hinterecker
                                => 10384,
                        hinteregger
                                => 683, hinterer
                                => 14661,
                        hinterhofer
                                => 7126, hinterholzer
                                => 3943,
                        hinterholzl
                                => 5559, hinterkorner
                                => 8490,
                        hinterlechner
                                => 10108, hinterleitner
                                => 812,
                        hintermaier
                                => 8333, hintermair
                                => 18554,
                        hintermann
                                => 14953, hintermayer
                                => 8936,
                        hintermayr
                                => 16754, hintermeier
                                => 16696,
                        hintermuller
                                => 16914, hinterndorfer
                                => 3825,
                        hinterplattner
                                => 10168, hinterreiter
                                => 3111,
                        hinterreither
                                => 11689, hinterseer
                                => 6725,
                        hintersteiner
                                => 2291, hintersteininger
                                => 10121,
                        hinterwallner
                                => 20895, hinterwirth
                                => 10148,
                        hintner => 3434, hintringer
                                => 2231,
                        hintsteiner
                                => 6478, hintz   => 3385,
                        hintze  => 3072, hintzen => 10522, hinz    => 399, hinze   => 1829,
                        hinzen  => 23989, hinzer  => 23830, hinzmann
                                => 6077,
                        hipfinger
                                => 22980, hipfl   => 5951,
                        hipp    => 4929, hippe   => 7046, hippesroither
                                => 18345,
                        hippler => 11112, hiptmair
                                => 13179,
                        hirche  => 10649, hirczy  => 14749, hirmann => 4908, hirmer  => 13343,
                        hirner  => 2157, hirnsberger
                                => 21633,
                        hirnschall
                                => 7993, hirnsperger
                                => 22169,
                        hirsch  => 375, hirschbeck
                                => 11907,
                        hirschberg
                                => 11333, hirschberger
                                => 11662,
                        hirschbichler
                                => 6117, hirschbock
                                => 9968,
                        hirschegger
                                => 7477, hirscher
                                => 2870,
                        hirschfeld
                                => 4710, hirschhofer
                                => 9207,
                        hirschhuber
                                => 22709, hirschler
                                => 7294,
                        hirschmann
                                => 1509, hirschmugl
                                => 5262,
                        hirsekorn
                                => 23341, hirt    => 2531,
                        hirte   => 11990, hirtenfelder
                                => 12574,
                        hirtenfellner
                                => 15174, hirtenlehner
                                => 5761,
                        hirth   => 5887, hirthe  => 22890, hirtl   => 4258, hirtler => 9624,
                        hirtreiter
                                => 16110, hirtz   => 13383,
                        hirz    => 6203, hirzberger
                                => 12094,
                        hirzer  => 9172, hirzinger
                                => 6107,
                        hitsch  => 12457, hitzenberger
                                => 12643,
                        hitzinger
                                => 12874, hitzl   => 18422,
                        hitzler => 12957, hladik  => 3608, hladky  => 19753, hlava   => 14408,
                        hlavac  => 16710, hlavacek
                                => 10174,
                        hnilicka
                                => 21408, hoang   => 1579,
                        hobart  => 6859, hobarth => 4005, hobbiger
                                => 19842,
                        hobel   => 3441, hobelleitner
                                => 12883,
                        hobelsberger
                                => 20465, hober   => 11674,
                        hoberg  => 13463, hobiger => 6102, hobinger
                                => 9605,
                        hobisch => 11124, hobusch => 19715, hochauer
                                => 21080,
                        hochbrugger
                                => 20393, hoche   => 23409,
                        hochedlinger
                                => 12972, hochegger
                                => 1924,
                        hochenauer
                                => 19822, hochenwarter
                                => 18272,
                        hocherl => 14474, hochfellner
                                => 5885,
                        hochfilzer
                                => 5315, hochgatterer
                                => 6389,
                        hochgerner
                                => 7826, hochhauser
                                => 8400,
                        hochhold
                                => 9544, hochholzer
                                => 9034,
                        hochhuber
                                => 23599, hochi   => 15462,
                        hochkogler
                                => 15155, hochleitner
                                => 2152,
                        hochmair
                                => 15918, hochmann
                                => 18392,
                        hochmayer
                                => 17437, hochmayr
                                => 13776,
                        hochmeister
                                => 7055, hochmuth
                                => 5266,
                        hochpochler
                                => 16029, hochradl
                                => 8254,
                        hochrainer
                                => 5032, hochrein
                                => 22425,
                        hochreiner
                                => 10794, hochreiter
                                => 809,
                        hochrieser
                                => 20429, hochschild
                                => 24300,
                        hochschwarzer
                                => 11144, hochsmann
                                => 16258,
                        hochstaffl
                                => 6525, hochsteger
                                => 18414,
                        hochstein
                                => 9360, hochsteiner
                                => 5164,
                        hochstoger
                                => 2375, hochstrasser
                                => 6364,
                        hochtl  => 5888, hochwallner
                                => 8721,
                        hochwarter
                                => 8478, hochwimmer
                                => 4136,
                        hock    => 2379, hocke   => 5827, hocker  => 9978, hockner => 6851,
                        hodapp  => 22949, hodl    => 438, hodlmoser
                                => 5256,
                        hodosi  => 9073, hodroj  => 20968, hodzic  => 433, hoedl   => 6463,
                        hoefer  => 10618, hoefler => 10999, hoeft   => 10421, hoehn   => 19385,
                        hoehne  => 11166, hoeller => 5440, hoelscher
                                => 19406,
                        hoelzl  => 11503, hoenig  => 24199, hoepfner
                                => 14020,
                        hoeppner
                                => 17098, hoerl   => 18713,
                        hoermann
                                => 14741, hofacker
                                => 12159,
                        hofbauer
                                => 132, hofecker
                                => 14523,
                        hofegger
                                => 3462, hofel   => 22658,
                        hofer   => 17, hoferer => 22816, hoferichter
                                => 19532,
                        hoff    => 1228, hoffellner
                                => 12850,
                        hoffelner
                                => 3509, hoffer  => 4267,
                        hofferer
                                => 5180, hoffernig
                                => 20399,
                        hoffi   => 10069, hoffken => 23330, hoffman => 6511, hoffmann
                                => 18,
                        hoffmeister
                                => 2560, hoffmeyer
                                => 22243,
                        hoffner => 22873, hofheinz
                                => 17257,
                        hofherr => 14995, hofinger
                                => 999,
                        hofko   => 14963, hofle   => 8297, hoflechner
                                => 15121,
                        hoflehner
                                => 9470, hofleitner
                                => 19008,
                        hofler  => 442, hoflich => 11629, hofling => 9079, hoflinger
                                => 7161,
                        hoflmaier
                                => 15851, hofmacher
                                => 12798,
                        hofman  => 16740, hofmann => 53, hofmarcher
                                => 4486,
                        hofmayer
                                => 17221, hofmeier
                                => 22251,
                        hofmeister
                                => 1854, hofmuller
                                => 16875,
                        hofner  => 8565, hofpointner
                                => 16908,
                        hofreiter
                                => 5063, hofrichter
                                => 14128,
                        hofschweiger
                                => 18511, hofstadler
                                => 2279,
                        hofstadter
                                => 4700, hofstaetter
                                => 10369,
                        hofstatter
                                => 755, hofstetter
                                => 1942,
                        hofstotter
                                => 18811, hoft    => 4983,
                        hoftberger
                                => 11522, hogemann
                                => 23294,
                        hogl    => 8173, hogler  => 8131, hoglinger
                                => 1983,
                        hogrefe => 13181, hohaus  => 19511, hoheisel
                                => 9228,
                        hohenauer
                                => 10486, hohenberg
                                => 20744,
                        hohenberger
                                => 4680, hohenbichler
                                => 15526,
                        hohenecker
                                => 14088, hoheneder
                                => 8128,
                        hohenegg
                                => 12201, hohenegger
                                => 11270,
                        hohengasser
                                => 21665, hohenrainer
                                => 18732,
                        hohensasser
                                => 17721, hohensee
                                => 16393,
                        hohensinn
                                => 5391, hohensinner
                                => 9462,
                        hohenstein
                                => 11528, hohenwallner
                                => 16561,
                        hohenwarter
                                => 2357, hohfurtner
                                => 18976,
                        hohl    => 1856, hohler  => 15880, hohlfeld
                                => 6777,
                        hohlrieder
                                => 9060, hohmann => 749,
                        hohmeier
                                => 24089, hohn    => 1335,
                        hohne   => 1150, hohneder
                                => 21062,
                        hohnen  => 23840, hoier   => 22099, hoing   => 21016, hoinig  => 22360,
                        hois    => 6241, hojas   => 6846, hojnik  => 20123, hokic   => 14655,
                        holas   => 13840, holasek => 21138, holaus  => 5754, holba   => 16733,
                        holbing => 23071, holbling
                                => 1801,
                        holblinger
                                => 21747, holcik  => 22137,
                        hold    => 3049, holder  => 8618, holderl => 19934, holdernig
                                => 17381,
                        holdorf => 23952, holecek => 19681, holemar => 19667, holik   => 18801,
                        holker  => 23072, holl    => 1613, holland => 2837, hollander
                                => 5634,
                        hollatz => 20137, hollauf => 6401, hollaus => 767, hollbacher
                                => 3055,
                        hollein => 24128, holleis => 7265, hollenbach
                                => 10821,
                        hollenstein
                                => 4526, hollensteiner
                                => 16126,
                        holler  => 183, hollerbauer
                                => 10969,
                        hollerer
                                => 1710, hollerschmid
                                => 18368,
                        hollerweger
                                => 21310, hollfelder
                                => 22752,
                        hollhuber
                                => 10325, holling => 19941,
                        hollinger
                                => 3529, hollmann
                                => 2093,
                        hollmuller
                                => 2886, hollnbuchner
                                => 18822,
                        hollnsteiner
                                => 14009, hollriegl
                                => 18749,
                        hollrigl
                                => 4268, hollstein
                                => 4838,
                        hollwart
                                => 5910, hollwarth
                                => 2896,
                        hollweck
                                => 17890, hollweg => 19210,
                        hollwerth
                                => 5523, holly   => 4214,
                        holnsteiner
                                => 12211, holoubek
                                => 16582,
                        holper  => 8567, holscher
                                => 1849,
                        holst   => 2162, holste  => 9238, holstein
                                => 2981,
                        holsten => 12413, holter  => 14657, holtermann
                                => 12470,
                        holthaus
                                => 8429, holthausen
                                => 20116,
                        holtkamp
                                => 4674, holtmann
                                => 4102,
                        holtz   => 2493, holub   => 2775, holy    => 2854, holz    => 481,
                        holzapfel
                                => 2143, holzbauer
                                => 2635,
                        holzberger
                                => 23883, holze   => 12115,
                        holzel  => 4298, holzem  => 23522, holzer  => 68, holzerbauer
                                => 10962,
                        holzfeind
                                => 11572, holzgethan
                                => 14768,
                        holzhacker
                                => 12656, holzhammer
                                => 9331,
                        holzhauer
                                => 7062, holzhausen
                                => 10047,
                        holzhauser
                                => 14696, holzheimer
                                => 24336,
                        holzheu => 22533, holzi   => 16375, holzinger
                                => 275,
                        holzknecht
                                => 815, holzl   => 349,
                        holzle  => 17770, holzleithner
                                => 16920,
                        holzleitner
                                => 4331, holzmann
                                => 466,
                        holzmuller
                                => 6461, holzner => 1558,
                        holzschuh
                                => 5474, holzschuster
                                => 6488,
                        holztrattner
                                => 12708, holzwarth
                                => 6138,
                        holzweber
                                => 2508, homann  => 1917,
                        hombach => 13335, homberg => 10064, homberger
                                => 22205,
                        homburg => 7853, homeier => 22474, homeyer => 14638, hommel  => 5028,
                        hommen  => 21121, hommes  => 24316, homola  => 10420, homolka => 17419,
                        homrighausen
                                => 20650, homuth  => 16020,
                        honeder => 3414, honemann
                                => 20216,
                        honer   => 15676, honicke => 6698, honickl => 21757, honig   => 3737,
                        honigl  => 11608, honigsberger
                                => 16322,
                        honigschnabel
                                => 23626, honigsperger
                                => 18867,
                        honinger
                                => 20357, honisch => 21882,
                        honnef  => 23107, honold  => 12463, hontsch => 23755, hooge   => 23873,
                        hoops   => 13530, hoper   => 14686, hopf    => 1786, hopfe   => 12283,
                        hopfer  => 4094, hopfgartner
                                => 2328,
                        hopfl   => 13917, hopflinger
                                => 12855,
                        hopfner => 3217, hopner  => 17471, hopovac => 21763, hopp    => 1773,
                        hoppe   => 250, hoppen  => 10475, hopperger
                                => 4406,
                        hoppert => 23339, hoppichler
                                => 12700,
                        hoppl   => 21109, hoppmann
                                => 9907,
                        hoppner => 2419, horacek => 15688, horack  => 14190, horak   => 1352,
                        horandner
                                => 12077, horandtner
                                => 21605,
                        horatschek
                                => 12640, horbach => 10429,
                        horbiger
                                => 12453, horbinger
                                => 8415,
                        horbst  => 16695, horburger
                                => 10863,
                        horch   => 8816, horejs  => 23120, horfarter
                                => 10306,
                        horhager
                                => 2204, horhan  => 8587,
                        horig   => 17599, horing  => 12933, horitzauer
                                => 22854,
                        horky   => 12549, horl    => 1836, horlacher
                                => 11871,
                        horler  => 19585, hormandinger
                                => 7983,
                        hormann => 602, hormanseder
                                => 6000,
                        horn    => 171, hornak  => 22660, hornauer
                                => 15560,
                        hornbacher
                                => 13490, hornbachner
                                => 7526,
                        hornberger
                                => 10104, horndler
                                => 16466,
                        hornegger
                                => 13412, hornek  => 13801,
                        hornemann
                                => 19643, horner  => 1923,
                        horngacher
                                => 3050, hornickel
                                => 23178,
                        hornig  => 3456, hornik  => 10167, horning => 11461, hornlein
                                => 24299,
                        hornschemeyer
                                => 20570, hornung => 1870,
                        horozovic
                                => 15349, horsch  => 12286,
                        horschig
                                => 23743, horschlager
                                => 5046,
                        horster => 17662, horstmann
                                => 1340,
                        hortenhuber
                                => 7578, horth   => 18742,
                        hortig  => 19794, horting => 13868, hortler => 19543, hortnagl
                                => 3058,
                        hortner => 13788, horvat  => 852, horvath => 91, horvathova
                                => 14660,
                        horvatits
                                => 10099, horwath => 4479,
                        horzenberger
                                => 23187, horzer  => 4829,
                        hosaini => 15710, hosang  => 19291, hosch   => 7823, hoschek => 13842,
                        hoschler
                                => 17928, hose    => 8118,
                        hoseini => 5487, hosel   => 9367, hosele  => 9579, hosemann
                                => 20793,
                        hoser   => 14507, hosiner => 17619, hosl    => 7287, hosner  => 5529,
                        hosp    => 1693, hossaini
                                => 4397,
                        hosseini
                                => 1116, hossfeld
                                => 19779,
                        hossinger
                                => 13085, hossini => 24228,
                        hossl   => 11547, hotea   => 22186, hoti    => 2984, hotter  => 1476,
                        hotwagner
                                => 13817, hotz    => 6274,
                        hotze   => 10610, hotzel  => 12412, hotzendorfer
                                => 18247,
                        hotzeneder
                                => 17666, hotzinger
                                => 10578,
                        hotzl   => 9652, houben  => 6911, houdek  => 7675, houska  => 21376,
                        hovel   => 12088, hovelmann
                                => 17277,
                        hoven   => 11363, hovhannisyan
                                => 21814,
                        hovorka => 22937, howe    => 7252, hoxha   => 2280, hoxhaj  => 9545,
                        hoyer   => 1157, hraba   => 21190, hradecky
                                => 18059,
                        hradil  => 10605, hrastnik
                                => 8712,
                        hrbek   => 20578, hrdina  => 17097, hrdlicka
                                => 3452,
                        hribar  => 6249, hribernigg
                                => 21880,
                        hribernik
                                => 6578, hristov => 4581,
                        hristova
                                => 5742, hrnjic  => 17385,
                        hrnjica => 17056, hronek  => 17019, hrouda  => 16711, hrovat  => 9558,
                        hruby   => 6115, hruschka
                                => 11178,
                        hruska  => 8328, hrustic => 16904, hsyny   => 12582, huainig => 14028,
                        hubacek => 14679, hubauer => 6786, hubel   => 9086, hubener => 11405,
                        hubenthal
                                => 14693, huber   => 3,
                        huberts => 16525, hubinger
                                => 4893,
                        hubl    => 3258, hubler  => 3809, hubmann => 832, hubmayer
                                => 11645,
                        hubmer  => 10592, hubner  => 234, hubrich => 9303, hubrig  => 24407,
                        hubsch  => 5276, hubscher
                                => 9176,
                        hubschmann
                                => 14608, huck    => 3344,
                        hucke   => 9195, hudec   => 16315, hudelist
                                => 3997,
                        huditz  => 14921, hudler  => 18450, hueber  => 4281, huebner => 3547,
                        huemer  => 233, huesmann
                                => 14729,
                        hueter  => 20297, huetter => 15358, huetz   => 17123, hufnagel
                                => 4278,
                        hufnagl => 1155, hufner  => 12423, huhn    => 2086, huhne   => 16274,
                        huismann
                                => 23959, hukic   => 12940,
                        hulaj   => 16839, hulku   => 22394, huller  => 14804, hulmbauer
                                => 17771,
                        huls    => 6177, hulsebus
                                => 24309,
                        hulsmann
                                => 2761, humann  => 22796,
                        humbert => 15367, humburg => 19788, humenberger
                                => 8302,
                        humer   => 482, hummel  => 725, hummelbrunner
                                => 7694,
                        hummer  => 1213, humpel  => 13371, humpeler
                                => 15956,
                        humpelstetter
                                => 11681, humpert => 10541,
                        humpl   => 14364, hund    => 2855, hundegger
                                => 11587,
                        hundertmark
                                => 7388, hundertpfund
                                => 12552,
                        hundsberger
                                => 20223, hundsbichler
                                => 9240,
                        hundsdorfer
                                => 23191, hundt   => 3592,
                        hunfeld => 23207, hunger  => 1817, hunke   => 17550, hunold  => 7672,
                        huntemann
                                => 17516, hupe    => 8246,
                        hupfauf => 18844, hupfeld => 19887, hupfer  => 10847, hupka   => 24278,
                        huppert => 14312, huppertz
                                => 5140,
                        hurem   => 15177, huremovic
                                => 4519,
                        hurler  => 19881, hurnaus => 10784, hurner  => 11241, hurst   => 13726,
                        hurter  => 23776, hurtig  => 24169, husanovic
                                => 20618,
                        husar   => 10672, husch   => 14764, huschka => 8526, husemann
                                => 7305,
                        huser   => 10090, husic   => 1479, husidic => 15819, husing  => 11337,
                        husken  => 9306, huskic  => 4572, husmann => 5569, husovic => 17943,
                        huss    => 2873, hussaini
                                => 8931,
                        hussl   => 12982, hussmann
                                => 17458,
                        hussong => 21146, hustedt => 22668, huster  => 8209, husung  => 21276,
                        huszar  => 13347, hutecek => 18955, hutegger
                                => 9566,
                        huter   => 1551, huth    => 1339, huther  => 6451, huthmacher
                                => 23236,
                        hutmacher
                                => 15494, hutschenreuter
                                => 22403,
                        hutsteiner
                                => 13663, huttegger
                                => 8742,
                        huttel  => 23731, huttemann
                                => 14482,
                        huttenberger
                                => 18640, huttenbrenner
                                => 16755,
                        huttenrauch
                                => 22413, hutter  => 279,
                        hutterer
                                => 1614, hutthaler
                                => 21608,
                        huttig  => 12168, huttinger
                                => 13194,
                        huttl   => 11024, huttler => 12901, huttmann
                                => 12161,
                        huttner => 3735, hutzinger
                                => 17483,
                        hutzler => 12018, huwald  => 19912, huwer   => 22895, huynh   => 4743,
                        hyden   => 10914, hylla   => 23632, hyseni  => 3829, iancu   => 7785,
                        ibach   => 19869, iberdemaj
                                => 23106,
                        iberer  => 15175, ibili   => 18939, ibisevic
                                => 11828,
                        ibishi  => 8974, ibounig => 18655, ibradzic
                                => 22571,
                        ibrahimi
                                => 2964, ibrahimovic
                                => 2545,
                        ibraimi => 4595, ibraimovic
                                => 15519,
                        ibric   => 8313, ibrisimovic
                                => 9187,
                        ibryam  => 21952, icanovic
                                => 20291,
                        ickert  => 18547, idinger => 6906, idler   => 20801, idrizaj => 11412,
                        idrizi  => 6495, iffland => 16516, ifkovits
                                => 11354,
                        igel    => 6435, igler   => 10826, iglseder
                                => 16497,
                        ignjatovic
                                => 13631, ihle    => 3914,
                        ihmels  => 24072, ihrig   => 7750, ihrke   => 17753, ikic    => 3641,
                        ilazi   => 11423, ileana  => 22532, ileli   => 21743, ileri   => 15313,
                        ilesic  => 17684, ilgen   => 18049, ilgenstein
                                => 23455,
                        ilgin   => 22481, ilgner  => 11642, ilgun   => 23398, ilic    => 189,
                        ilies   => 16679, iliev   => 4282, ilieva  => 8024, illek   => 11534,
                        illert  => 24356, illes   => 19136, illetschko
                                => 11335,
                        illgen  => 7807, illgoutz
                                => 22343,
                        illibauer
                                => 12209, illich  => 17553,
                        illichmann
                                => 20214, illig   => 9998,
                        illing  => 6747, illinger
                                => 22956,
                        illitsch
                                => 12626, illmaier
                                => 11366,
                        illmann => 24144, illmayer
                                => 11967,
                        illmer  => 6612, illner  => 12327, ilsemann
                                => 17903,
                        ilsinger
                                => 13542, ilter   => 10897,
                        imamoglu
                                => 13846, imamovic
                                => 4865,
                        imber   => 12363, imeraj  => 13919, imeri   => 2985, imhof   => 4475,
                        imhoff  => 15083, imilian => 15728, imler   => 12427, immel   => 9405,
                        immervoll
                                => 11168, immig   => 19265,
                        immler  => 3279, imrek   => 20240, imsirovic
                                => 5507,
                        ince    => 1937, indinger
                                => 20536,
                        indlekofer
                                => 23837, infanger
                                => 9217,
                        ingruber
                                => 8580, ingwersen
                                => 9265,
                        injac   => 22556, inmann  => 20646, innerbichler
                                => 18700,
                        innerebner
                                => 22797, innerhofer
                                => 2631,
                        innerhuber
                                => 21683, innerlohinger
                                => 20945,
                        innerwinkler
                                => 19600, inreiter
                                => 7923,
                        inschlag
                                => 18918, inselsbacher
                                => 10582,
                        inwinkl => 16777, inzinger
                                => 7804,
                        inzko   => 18648, ioannidis
                                => 12907,
                        ioannou => 19324, iorga   => 20996, ippolito
                                => 18777,
                        ipsen   => 22731, iraki   => 24179, irani   => 5658, irger   => 22162,
                        irion   => 23322, irmer   => 6749, irmisch => 23807, irmler  => 13931,
                        irmscher
                                => 5829, irnberger
                                => 14204,
                        irrasch => 8364, irrgang => 6438, irschik => 9830, irsigler
                                => 12122,
                        isakovic
                                => 5503, iscan   => 19530,
                        isele   => 11157, isenberg
                                => 10435,
                        iseni   => 3627, isenmann
                                => 22269,
                        isensee => 10401, isepp   => 18516, isermann
                                => 18502,
                        isic    => 7796, isik    => 1616, ising   => 16570, islami  => 5911,
                        islamovic
                                => 6650, isler   => 10334,
                        isleyen => 19677, islitzer
                                => 7375,
                        ismaili => 4548, ismajli => 13700, isola   => 15740, isopp   => 5054,
                        issel   => 23925, isser   => 13970, isso    => 7325, istegal => 18520,
                        istrate => 15552, istrefi => 6381, isufaj  => 14862, isufi   => 6379,
                        italia  => 10901, italiano
                                => 13720,
                        ittner  => 11816, itzinger
                                => 14730,
                        itzlinger
                                => 21090, ivancsics
                                => 17701,
                        ivanic  => 9813, ivankovic
                                => 10736,
                        ivanov  => 1253, ivanova => 1804, ivanovic
                                => 1201,
                        ivants  => 22904, ivic    => 2990, ivicic  => 18917, ivkovic => 3669,
                        iwanow  => 15377, izgi    => 8482, jabarkhil
                                => 19341,
                        jablonka
                                => 22297, jablonski
                                => 4042,
                        jabornig
                                => 18729, jabs    => 7452,
                        jachmann
                                => 13324, jachs   => 7341,
                        jacimovic
                                => 18636, jackel  => 2502,
                        jackisch
                                => 9969, jackle  => 11877,
                        jacob   => 516, jacobi  => 1392, jacobs  => 674, jacobsen
                                => 1827,
                        jacoby  => 9120, jaeckel => 10001, jaeger  => 1183, jaekel  => 8810,
                        jaenicke
                                => 15698, jaensch => 8377,
                        jaeschke
                                => 10567, jafari  => 2639,
                        jagemann
                                => 19927, jagenbrein
                                => 20756,
                        jager   => 150, jagerhofer
                                => 11295,
                        jagersbacher
                                => 12448, jagersberger
                                => 3599,
                        jaglitsch
                                => 23592, jagodic => 18875,
                        jagsch  => 10480, jagschitz
                                => 10183,
                        jagusch => 7773, jahaj   => 21258, jahic   => 3633, jahn    => 209,
                        jahncke => 17966, jahne   => 8848, jahnel  => 9749, jahnert => 20299,
                        jahnichen
                                => 19568, jahnig  => 10552,
                        jahnke  => 1151, jahns   => 3668, jahoda  => 21150, jahodinsky
                                => 19018,
                        jahrbacher
                                => 16987, jahrl   => 23080,
                        jahrling
                                => 18354, jahrmann
                                => 7322,
                        jaidhauser
                                => 9025, jaindl  => 12217,
                        jaitner => 19229, jakaj   => 15721, jakel   => 2615, jakesch => 18532,
                        jakic   => 15485, jakli   => 19049, jaklitsch
                                => 5407,
                        jakober => 6409, jakobi  => 2023, jakobitsch
                                => 11933,
                        jakobs  => 1477, jakoby  => 8448, jakopitsch
                                => 16960,
                        jakovljevic
                                => 2021, jaksa   => 22455,
                        jaksch  => 4181, jaksic  => 9257, jakubec => 11388, jakubek => 20249,
                        jakubiak
                                => 24408, jakubovic
                                => 23228,
                        jakubowski
                                => 6595, jakupaj => 16828,
                        jakupi  => 5960, jakupovic
                                => 2771,
                        jallow  => 7943, jambor  => 14414, jambrich
                                => 17447,
                        jambrits
                                => 20872, jamer   => 21725,
                        jammer  => 10841, jammernegg
                                => 3206,
                        jamnig  => 4184, jamnigg => 19110, jamnik  => 10128, jamock  => 20063,
                        jamshidi
                                => 21368, janach  => 11789,
                        janas   => 15538, jancic  => 19125, jancik  => 17632, janda   => 2767,
                        jander  => 8663, jandl   => 888, jandrasits
                                => 16256,
                        jandrisevits
                                => 8202, jandrisits
                                => 7936,
                        jandt   => 11846, janecek => 10774, janele  => 16338, janesch => 4076,
                        janich  => 22335, janichen
                                => 17620,
                        janicijevic
                                => 4952, janicke => 4347,
                        janicki => 17114, janisch => 722, janiszewski
                                => 24209,
                        janits  => 18870, janjic  => 4359, jank    => 1450, janke   => 1144,
                        janker  => 8013, jankl   => 23171, jankovic
                                => 335,
                        jankowiak
                                => 14659, jankowitsch
                                => 15577,
                        jankowska
                                => 22711, jankowski
                                => 1875,
                        jankowsky
                                => 22534, jannach => 9203,
                        jannasch
                                => 23679, janning => 9148,
                        jannsen => 18170, janocha => 23389, janoschka
                                => 24284,
                        janota  => 21287, janotta => 19811, janousek
                                => 22055,
                        janowitz
                                => 24294, janowski
                                => 9233,
                        jans    => 7211, jansa   => 20952, jansch  => 7348, jansche => 20352,
                        janschitz
                                => 7892, jansen  => 172,
                        jansenberger
                                => 5446, janser  => 15002,
                        jansky  => 8903, janson  => 4615, janssen => 304, jantke  => 20700,
                        jantos  => 22718, jantscher
                                => 1657,
                        jantschgi
                                => 9634, jantz   => 15454,
                        jantzen => 6944, januzi  => 13870, jany    => 5486, janz    => 2277,
                        janzen  => 1470, jappel  => 16170, jarchow => 15672, jaretz  => 15129,
                        jaritz  => 1944, jarmer  => 17569, jarnig  => 10586, jaros   => 9080,
                        jarosch => 4725, jarosz  => 15223, jasaragic
                                => 21383,
                        jasarevic
                                => 3064, jasari  => 12703,
                        jasaroski
                                => 14258, jaschinski
                                => 10828,
                        jaschke => 4358, jashari => 1810, jasic   => 10209, jasinski
                                => 12827,
                        jasper  => 4603, jaspers => 9117, jaster  => 11288, jatic   => 15070,
                        jauch   => 4770, jauer   => 23100, jauernig
                                => 14819,
                        jauk    => 844, jauker  => 13877, jauschnegg
                                => 21219,
                        jausner => 19885, jautz   => 10971, jawish  => 22834, jaworek => 23419,
                        jaworski
                                => 7652, jeckel  => 17612,
                        jedamzik
                                => 24187, jedinger
                                => 5516,
                        jedlicka
                                => 6893, jefkaj  => 22228,
                        jeftic  => 11653, jehle   => 4375, jeindl  => 11556, jeitler => 1974,
                        jeitner => 17519, jekel   => 20300, jelen   => 18373, jelic   => 3335,
                        jelinek => 1303, jell    => 3191, jeller  => 11981, jellinek
                                => 12548,
                        jellitsch
                                => 14978, jelusic => 20005,
                        jende   => 23332, jenei   => 21713, jenewein
                                => 1129,
                        jenic   => 7720, jenisch => 16913, jenke   => 7459, jenkins => 9538,
                        jenko   => 17272, jenner  => 10152, jennewein
                                => 9898,
                        jensch  => 12492, jensen  => 702, jenss   => 23528, jentsch => 2411,
                        jentzsch
                                => 3584, jenul   => 18157,
                        jeong   => 19297, jepsen  => 23500, jerabek => 4496, jereb   => 23134,
                        jeremias
                                => 15046, jeremic => 4919,
                        jerke   => 12314, jerkovic
                                => 6709,
                        jernej  => 4559, jerney  => 20805, jeromin => 11207, jesacher
                                => 9853,
                        jesch   => 9668, jeschke => 2829, jeschko => 5941, jesenko => 12646,
                        jesic   => 13017, jeske   => 2158, jesner  => 11756, jess    => 6818,
                        jesse   => 5241, jessen  => 2218, jessenitschnig
                                => 8864,
                        jessernig
                                => 18235, jessner => 6497,
                        jester  => 20143, jestl   => 12665, jetschko
                                => 15439,
                        jetter  => 11471, jetzinger
                                => 3860,
                        jevtic  => 2777, jezek   => 9871, jilch   => 14747, jilek   => 13808,
                        jindra  => 11179, jirout  => 15518, jirsa   => 21448, jirsak  => 23495,
                        jobst   => 2606, jobstl  => 979, jobstmann
                                => 21451,
                        jocham  => 8426, jocher  => 14386, jochheim
                                => 12388,
                        jochim  => 7415, jochimsen
                                => 23624,
                        jochl   => 5797, jochmann
                                => 14540,
                        jochriem
                                => 20404, jochtl  => 18924,
                        jochum  => 2377, jocic   => 16764, jodicke => 17537, jodlbauer
                                => 11513,
                        joebstl => 19293, joest   => 21045, joham   => 1455, johanning
                                => 11891,
                        johannsen
                                => 1362, johannson
                                => 22168,
                        johansen
                                => 21544, johansson
                                => 11743,
                        johne   => 8047, johnen  => 8112, johnk   => 9446, johnsen => 11137,
                        johnston
                                => 21331, jokic   => 6119,
                        jokiel  => 19566, jokisch => 17700, joksch  => 17457, joksimovic
                                => 2741,
                        joldic  => 13320, jolli   => 17501, jonach  => 9343, jonczyk => 23862,
                        jongebloed
                                => 24000, jonke   => 10360,
                        jonovic => 8938, jonuzi  => 6764, joos    => 4160, joosten => 11078,
                        joppich => 19660, jorda   => 19384, jordan  => 512, jordt   => 24338,
                        jorgens => 21100, jorgensen
                                => 22441,
                        jorger  => 22222, jorgl   => 21852, jorke   => 23932, joschko => 18405,
                        josephs => 17082, josic   => 3620, josipovic
                                => 3132,
                        jost    => 759, josten  => 8115, joswig  => 7018, joszt   => 18110,
                        jotanovic
                                => 18833, jourdan => 15089,
                        jovanic => 23223, jovanov => 8087, jovanovic
                                => 42,
                        jovic   => 584, jovicic => 2735, jozic   => 4869, jozipovic
                                => 20252,
                        juchart => 22041, juchem  => 10416, judex   => 21518, judmaier
                                => 12534,
                        judmann => 22940, juen    => 679, juergens
                                => 11997,
                        juffinger
                                => 9010, jugel   => 22494,
                        jugovic => 8676, juhnke  => 14904, jukic   => 2209, julich  => 10688,
                        junek   => 20974, junemann
                                => 5177,
                        jung    => 80, jungbauer
                                => 4335,
                        jungblut
                                => 6722, jungbluth
                                => 4780,
                        jungclaus
                                => 19961, jungermann
                                => 14419,
                        junghanel
                                => 19736, junghanns
                                => 8411,
                        junghans
                                => 2686, jungheim
                                => 24293,
                        junginger
                                => 14825, jungk   => 11228,
                        jungkunz
                                => 22348, junglas => 16321,
                        jungling
                                => 4223, jungmair
                                => 21682,
                        jungmann
                                => 2908, jungmayr
                                => 15153,
                        jungnickel
                                => 7070, jungreithmair
                                => 14517,
                        jungreithmayr
                                => 19555, jungreuthmayer
                                => 21974,
                        jungst  => 17292, jungwirt
                                => 16676,
                        jungwirth
                                => 737, junk    => 3234,
                        junker  => 1032, junuzovic
                                => 9723,
                        jurak   => 17393, juranek => 20859, juraschek
                                => 23916,
                        jurcevic
                                => 22459, jurczyk => 15936,
                        jurgens => 870, jurgensen
                                => 2367,
                        jurges  => 20127, juric   => 799, juricevic
                                => 16782,
                        juriga  => 18881, jurina  => 18600, jurisch => 10831, jurisic => 3293,
                        juritsch
                                => 4178, jurk    => 6375,
                        jurkic  => 12253, jurkovic
                                => 9952,
                        jurkowitsch
                                => 13539, jurkschat
                                => 20629,
                        jursitzky
                                => 17330, jurss   => 12372,
                        jusic   => 2230, jussel  => 8520, just    => 1107, justen  => 14000,
                        juster  => 23031, jusufi  => 5209, jusufovic
                                => 12476,
                        jutte   => 23314, jutten  => 23933, juttner => 5181, juvan   => 18878,
                        kaack   => 24118, kaar    => 3827, kaatz   => 7376, kabak   => 9127,
                        kabakci => 18091, kabas   => 15225, kabasakal
                                => 20379,
                        kabashi => 2986, kabatas => 20425, kabelik => 23552, kabelitz
                                => 13169,
                        kabicher
                                => 17214, kabinger
                                => 15157,
                        kabisch => 13625, kablan  => 13867, kabuli  => 16817, kabus   => 19689,
                        kacar   => 5254, kacemer => 21726, kachel  => 11543, kacic   => 21360,
                        kacmaz  => 11913, kaczmarczyk
                                => 8612,
                        kaczmarek
                                => 2300, kaczor  => 22308,
                        kadanka => 16519, kaden   => 2465, kaderabek
                                => 22812,
                        kadic   => 4430, kading  => 9940, kadioglu
                                => 22420,
                        kadiric => 15760, kadlec  => 6264, kadletz => 16341, kadner  => 20288,
                        kadow   => 15654, kadric  => 6470, kadriji => 22743, kadriu  => 11576,
                        kaeding => 22482, kaefer  => 13002, kaehler => 18500, kaese   => 20871,
                        kaestner
                                => 14025, kafel   => 21775,
                        kafer   => 756, kaferbock
                                => 3600,
                        kaffenberger
                                => 22460, kaffka  => 20848,
                        kafka   => 4235, kaftan  => 22327, kagel   => 18446, kager   => 730,
                        kagerer => 7160, kahl    => 981, kahlbacher
                                => 8796,
                        kahle   => 2463, kahler  => 3084, kahlert => 4099, kahlhammer
                                => 13384,
                        kahlke  => 18513, kahmann => 9237, kahnert => 14165, kahnt   => 10824,
                        kahofer => 10260, kahr    => 689, kahraman
                                => 1306,
                        kahrer  => 5557, kahri   => 8758, kahric  => 16240, kahriman
                                => 9160,
                        kahrimanovic
                                => 5997, kahrs   => 10809,
                        kahveci => 12701, kahya   => 19116, kaiblinger
                                => 2980,
                        kaider  => 13809, kail    => 6807, kaimbacher
                                => 8205,
                        kaimberger
                                => 13537, kain    => 1664,
                        kainbacher
                                => 8101, kainberger
                                => 5076,
                        kaindl  => 1179, kaindlbauer
                                => 19648,
                        kaindlstorfer
                                => 11683, kaineder
                                => 4723,
                        kainer  => 2202, kainhofer
                                => 8541,
                        kainrad => 22103, kainrath
                                => 3108,
                        kaintz  => 20897, kainz   => 162, kainzbauer
                                => 10143,
                        kainzner
                                => 9879, kairies => 22431,
                        kaiser  => 61, kaisergruber
                                => 15503,
                        kajic   => 10968, kajtazi => 12551, kajtazovic
                                => 15226,
                        kajtezovic
                                => 18923, kakar   => 16610,
                        kakkar  => 18602, kalab   => 9074, kalac   => 13850, kalafat => 20949,
                        kalash  => 21333, kalay   => 23399, kalayci => 5111, kalb    => 4429,
                        kalbitz => 20874, kalch   => 13963, kalchbrenner
                                => 4811,
                        kalcher => 1119, kalchgruber
                                => 6501,
                        kalchschmid
                                => 14603, kaldi   => 22746,
                        kalem   => 15236, kalic   => 19620, kalies  => 22806, kalinowski
                                => 5150,
                        kalis   => 21314, kalisch => 5436, kalka   => 21140, kalkan  => 2655,
                        kalkbrenner
                                => 8596, kalkhofer
                                => 14372,
                        kalkowski
                                => 19699, kallab  => 20651,
                        kalleitner
                                => 12298, kallenbach
                                => 5412,
                        kallenberg
                                => 23872, kaller  => 11548,
                        kallies => 19664, kallinger
                                => 2393,
                        kallmeyer
                                => 10792, kallweit
                                => 6194,
                        kalmar  => 11649, kalmbach
                                => 10508,
                        kalmuk  => 22727, kals    => 6811, kalsberger
                                => 10356,
                        kalser  => 6879, kalt    => 4730, kaltak  => 14564, kalteis => 1706,
                        kaltenbach
                                => 5359, kaltenbacher
                                => 3849,
                        kaltenberger
                                => 5206, kaltenbock
                                => 1696,
                        kaltenborn
                                => 23033, kaltenbrunner
                                => 843,
                        kaltenecker
                                => 8619, kaltenegger
                                => 1316,
                        kaltenhauser
                                => 7855, kaltenhofer
                                => 13949,
                        kalthoff
                                => 13157, kalti   => 21953,
                        kaltner => 16474, kaltofen
                                => 16564,
                        kaltschmid
                                => 12927, kaltschmidt
                                => 24303,
                        kaltseis
                                => 11025, kaltwasser
                                => 13428,
                        kalus   => 10165, kalusche
                                => 23738,
                        kaluza  => 5643, kalweit => 10758, kamann  => 23831, kamaryt => 16362,
                        kambach => 23753, kamberi => 9260, kamberovic
                                => 22409,
                        kamenz  => 17570, kameraj => 21438, kaminski
                                => 1039,
                        kaminsky
                                => 10433, kamke   => 22052,
                        kamleithner
                                => 17645, kamleitner
                                => 4011,
                        kamm    => 4066, kammann => 8324, kammel  => 13080, kammerer
                                => 1457,
                        kammerhofer
                                => 1797, kammerhuber
                                => 14082,
                        kammerl => 19558, kammerlander
                                => 2333,
                        kammerling
                                => 12446, kammermeier
                                => 10057,
                        kammler => 9883, kamnik  => 8140, kamp    => 1943, kampa   => 8704,
                        kampe   => 5652, kampel  => 8988, kampen  => 9165, kampenhuber
                                => 13514,
                        kamper  => 1995, kamphausen
                                => 10626,
                        kampichler
                                => 8247, kampitsch
                                => 11039,
                        kampl   => 3181, kampleitner
                                => 12419,
                        kampmann
                                => 3810, kamps   => 4201,
                        kamptner
                                => 15511, kampusch
                                => 11698,
                        kamrath => 23907, kanat   => 8064, kanatschnig
                                => 11514,
                        kandemir
                                => 2587, kandlbauer
                                => 9426,
                        kandlbinder
                                => 22751, kandler => 2207,
                        kandlhofer
                                => 10998, kandolf => 8981,
                        kandora => 23362, kandut  => 23618, kanduth => 8714, kandutsch
                                => 10611,
                        kandziora
                                => 13266, kaneider
                                => 21800,
                        kangler => 17931, kania   => 4461, kanis   => 15322, kanitz  => 10412,
                        kanne   => 9912, kannegiesser
                                => 19983,
                        kannenberg
                                => 11097, kannengiesser
                                => 18205,
                        kanns   => 23744, kansy   => 10632, kant    => 7905, kantar  => 15164,
                        kantauer
                                => 21149, kanter  => 15904,
                        kanthak => 17937, kantner => 6649, kanuric => 10730, kanz    => 7735,
                        kanzian => 4426, kanzler => 4708, kapaun  => 10848, kapelari
                                => 22033,
                        kapell  => 18026, kapeller
                                => 605,
                        kapetanovic
                                => 18401, kapfenberger
                                => 9724,
                        kapfensteiner
                                => 20175, kapfer  => 3425,
                        kapferer
                                => 2801, kapfhammer
                                => 17456,
                        kapfinger
                                => 6737, kapic   => 5867,
                        kapitza => 22586, kapl    => 5595, kaplan  => 780, kaplaner
                                => 10970,
                        kapler  => 20264, kapoun  => 20562, kapp    => 4248, kappacher
                                => 7326,
                        kappaun => 20776, kappe   => 10497, kappel  => 1264, kappeller
                                => 14673,
                        kappelmann
                                => 17649, kappen  => 23852,
                        kapper  => 6308, kappes  => 4250, kappl   => 10906, kappler => 5314,
                        kapplmuller
                                => 16988, kaps    => 4766,
                        kapun   => 5675, kapunkt => 2827, kapus   => 18873, kapusuz => 20280,
                        kapuy   => 21854, kara    => 315, karaagac
                                => 13791,
                        karaardic
                                => 17459, karaarslan
                                => 8198,
                        karaaslan
                                => 4906, karabacak
                                => 5743,
                        karabas => 22256, karabasevic
                                => 16571,
                        karabasic
                                => 14390, karabay => 7083,
                        karabegovic
                                => 15050, karabulut
                                => 1353,
                        karaca  => 1120, karacam => 14160, karacan => 8028, karacic => 21873,
                        karacsony
                                => 17631, karadag => 3203,
                        karadal => 22804, karadas => 10257, karadavut
                                => 13199,
                        karademir
                                => 7568, karadeniz
                                => 2793,
                        karadogan
                                => 13581, karaduman
                                => 5982,
                        karadza => 17104, karadzic
                                => 20144,
                        karagiannis
                                => 19414, karagoz => 3286,
                        karagulle
                                => 15180, karahan => 3114,
                        karahasanovic
                                => 9929, karahodzic
                                => 10983,
                        karajic => 17476, karakas => 2795, karakaya
                                => 1978,
                        karakoc => 3853, karakose
                                => 20728,
                        karakurt
                                => 6563, karakus => 2102,
                        karali  => 10888, karalic => 9621, karall  => 3466, karaman => 1837,
                        karanfil
                                => 19121, karaoglan
                                => 8615,
                        karaoglu
                                => 10309, karaoguz
                                => 16529,
                        karapinar
                                => 13871, karas   => 12649,
                        karasch => 23719, karasin => 15065, karasu  => 7244, karatas => 1439,
                        karatay => 15320, karau   => 14877, karayel => 19020, karbach => 13527,
                        karbe   => 10529, karch   => 8314, karcher => 9359, karczewski
                                => 23181,
                        kardas  => 14708, kardos  => 16994, karer   => 7705, karg    => 3120,
                        karge   => 8201, karger  => 5751, kargin  => 24071, kargl   => 718,
                        karic   => 2417, karigl  => 13258, karimi  => 1803, karisch => 21716,
                        karisik => 11500, karitnig
                                => 14971,
                        karius  => 16310, karla   => 18699, karlbauer
                                => 19801,
                        karle   => 7336, karlhofer
                                => 19985,
                        karlhuber
                                => 18622, karlik  => 18050,
                        karlin  => 15312, karlinger
                                => 2705,
                        karlovits
                                => 9967, karlsberger
                                => 22942,
                        karlsbock
                                => 14977, karlsson
                                => 22183,
                        karmann => 9820, karnatz => 16593, karnaus => 21645, karner  => 103,
                        karnicar
                                => 22221, karnitschnig
                                => 15790,
                        karnthaler
                                => 15328, karolyi => 5149,
                        karow   => 7437, karp    => 7519, karpf   => 4107, karpinski
                                => 17018,
                        karpuz  => 20376, karras  => 9759, karrasch
                                => 9843,
                        karrer  => 1111, karsch  => 7721, karst   => 11505, karstens
                                => 7421,
                        kartal  => 1419, karthaus
                                => 20467,
                        karupovic
                                => 18424, kasal   => 14817,
                        kasalo  => 9832, kasap   => 9129, kasapoglu
                                => 17984,
                        kasapovic
                                => 22868, kasbauer
                                => 5712,
                        kasberger
                                => 7157, kasch   => 7844,
                        kaschel => 18042, kaschner
                                => 12050,
                        kaseberg
                                => 17465, kasel   => 23991,
                        kaser   => 3656, kaserbacher
                                => 18896,
                        kaserer => 4206, kases   => 10933, kashofer
                                => 21808,
                        kasic   => 21790, kasinger
                                => 9386,
                        kasis   => 17762, kaske   => 23474, kaspar  => 1290, kasparek
                                => 17860,
                        kaspari => 12921, kasper  => 954, kasperek
                                => 23103,
                        kaspers => 14191, kasprzak
                                => 15360,
                        kasprzyk
                                => 20426, kassecker
                                => 20025,
                        kassegger
                                => 16545, kassens => 21026,
                        kasser  => 10879, kasses  => 20324, kassl   => 17392, kassler => 13824,
                        kassmannhuber
                                => 15115, kassner => 6479,
                        kast    => 5064, kastberger
                                => 12653,
                        kasten  => 2512, kastenberger
                                => 11767,
                        kastenhofer
                                => 3769, kastenholz
                                => 21304,
                        kastenhuber
                                => 11004, kastens => 18016,
                        kaster  => 14031, kastinger
                                => 5530,
                        kastl   => 4353, kastle  => 14481, kastler => 4754, kastner => 312,
                        kastrati
                                => 2160, kasumovic
                                => 12888,
                        kaswurm => 10612, kathan  => 7550, kather  => 14964, kathmann
                                => 14562,
                        katholnig
                                => 7073, kathrein
                                => 1437,
                        katic   => 3103, katnik  => 16152, katona  => 4490, katsch  => 12689,
                        katschnig
                                => 10070, katter  => 19852,
                        katterbauer
                                => 12517, katterl => 16019,
                        kattinger
                                => 14461, kattner => 7221,
                        kattnig => 4961, katz    => 3343, katzbauer
                                => 13807,
                        katzbeck
                                => 16156, katzenbeisser
                                => 21654,
                        katzenberger
                                => 11001, katzengruber
                                => 8470,
                        katzenhofer
                                => 23559, katzenschlager
                                => 11711,
                        katzensteiner
                                => 4085, katzer  => 6888,
                        katzian => 18620, katzinger
                                => 5501,
                        katzlberger
                                => 8659, katzler => 20726,
                        katzlinger
                                => 9780, katzmann
                                => 16530,
                        katzmayr
                                => 22015, kaube   => 15615,
                        kaubisch
                                => 23912, kauder  => 8075,
                        kauderer
                                => 14776, kauer   => 5296,
                        kauert  => 14150, kauffmann
                                => 6520,
                        kaufhold
                                => 3158, kaufmann
                                => 93,
                        kaul    => 3034, kaulen  => 23721, kaulfuss
                                => 17604,
                        kaulich => 24186, kaumanns
                                => 18506,
                        kaune   => 19208, kaup    => 7725, kaupa   => 22117, kaupp   => 14753,
                        kaurin  => 9774, kaurzinek
                                => 21401,
                        kausch  => 8916, kausche => 24431, kauschke
                                => 18371,
                        kausl   => 11562, kauth   => 17496, kautschitz
                                => 18598,
                        kautz   => 3360, kavak   => 8192, kavalirek
                                => 13039,
                        kavas   => 16911, kaya    => 98, kayacan => 19522, kayahan => 19073,
                        kayali  => 14935, kayan   => 21773, kayar   => 22266, kaygisiz
                                => 7614,
                        kaygusuz
                                => 16226, kayikci => 22996,
                        kaymak  => 11038, kaymaz  => 9061, kaynak  => 9641, kaynar  => 11780,
                        kayser  => 2505, kazan   => 9756, kazanci => 21899, kazda   => 18906,
                        kazemi  => 8492, kazianka
                                => 8306,
                        kazic   => 15857, kazimi  => 24227, kazmierczak
                                => 14018,
                        keber   => 11752, keceli  => 14054, kecik   => 21708, keck    => 1700,
                        keckeis => 3193, keckel  => 19755, keding  => 18483, keese   => 20492,
                        kefer   => 6403, kegel   => 4090, kegele  => 19679, kegler  => 14023,
                        kehl    => 2927, kehler  => 22145, kehr    => 4489, kehrer  => 3400,
                        keiblinger
                                => 10698, keidel  => 9297,
                        keil    => 502, keiler  => 5417, keilhauer
                                => 23655,
                        keilholz
                                => 17247, keim    => 3303,
                        keimel  => 15049, keinberger
                                => 21622,
                        keinprecht
                                => 19495, keinrath
                                => 10427,
                        keintzel
                                => 23415, keiper  => 20181,
                        keiser  => 9150, keitel  => 6182, kekec   => 18210, kekic   => 8107,
                        kelava  => 11931, kelch   => 6657, kelebek => 19000, kelemen => 5478,
                        keles   => 1436, kelih   => 12530, kelle   => 10395, keller  => 105,
                        kellerer
                                => 9575, kellermann
                                => 1823,
                        kellermayr
                                => 15307, kelling => 12229,
                        kellmann
                                => 23661, kellner => 477,
                        kelm    => 3272, kelmendi
                                => 3711,
                        kelsch  => 22503, kelz    => 2959, kemedinger
                                => 22437,
                        kemeter => 16812, kemmer  => 5878, kemmerich
                                => 23546,
                        kemmerling
                                => 11227, kemmler => 14152,
                        kemnitz => 13613, kempa   => 5577, kempe   => 2030, kempen  => 15344,
                        kemper  => 1147, kempf   => 1332, kempin  => 18480, kempinger
                                => 19241,
                        kempken => 22762, kempkes => 8858, kempter => 12747, kemptner
                                => 9145,
                        kemter  => 23520, kendlbacher
                                => 1718,
                        kendler => 3742, kennst  => 7628, kenzian => 19707, keplinger
                                => 1333,
                        keppeler
                                => 19740, kepper  => 23737,
                        keppler => 3965, kepplinger
                                => 2316,
                        keranovic
                                => 16536, kerber  => 2034,
                        kerbl   => 2778, kerbler => 7621, kerculj => 7535, kerekes => 15520,
                        kerer   => 23129, kerger  => 19171, kerkhoff
                                => 5550,
                        kerkmann
                                => 23308, kerle   => 8608,
                        kerler  => 11918, kermer  => 13076, kern    => 107, kernbauer
                                => 13021,
                        kernbeis
                                => 21703, kernbichler
                                => 4438,
                        kernchen
                                => 22885, kerndl  => 20563,
                        kernegger
                                => 11676, kerner  => 4297,
                        kerngast
                                => 18221, kernmaier
                                => 21831,
                        kernmayer
                                => 13469, kernstock
                                => 3128,
                        kerpic  => 21412, kerrer  => 19611, kersch  => 20000, kerschbaum
                                => 1744,
                        kerschbaumer
                                => 338, kerschbaummayr
                                => 7171,
                        kerschbaumsteiner
                                => 8698, kerschberger
                                => 15753,
                        kerschdorfer
                                => 9793, kersche => 19994,
                        kerschenbauer
                                => 6726, kerscher
                                => 4456,
                        kerschhaggl
                                => 6788, kerschhofer
                                => 7337,
                        kerschner
                                => 2887, kerstan => 13015,
                        kersten => 1208, kersting
                                => 3238,
                        kerth   => 22466, kerzendorfer
                                => 20686,
                        keser   => 3634, keserovic
                                => 11101,
                        kesgin  => 13494, kesic   => 13345, kesici  => 9547, keske   => 22720,
                        keskic  => 10293, keskin  => 611, keskinsoy
                                => 15257,
                        kesper  => 22664, kessel  => 3038, kesselbacher
                                => 20225,
                        kesseler
                                => 18792, kessels => 19123,
                        kessler => 694, kessner => 23463, kestel  => 17791, kesten  => 22292,
                        kesting => 11915, kestler => 10481, kestner => 24145, ketelsen
                                => 8814,
                        ketschler
                                => 19308, ketter  => 19035,
                        ketterer
                                => 5568, ketterl => 24388,
                        kettinger
                                => 12828, kettl   => 6252,
                        kettler => 5993, kettlgruber
                                => 19984,
                        kettmann
                                => 22932, kettner => 3361,
                        ketzer  => 11174, ketzler => 20282, keuchel => 21071, keune   => 14119,
                        keunecke
                                => 22058, keuper  => 19625,
                        keusch  => 3417, keuschnig
                                => 5752,
                        keuschnigg
                                => 6143, keutel  => 21278,
                        keuter  => 12950, kewitz  => 18150, keyser  => 21947, khachatryan
                                => 21933,
                        khademi => 21237, khalife => 21322, khavari => 9609, khawari => 7952,
                        khosravi
                                => 19062, kiani   => 21309,
                        kibler  => 21046, kicaj   => 16838, kick    => 4954, kickenweiz
                                => 13723,
                        kicker  => 6330, kickinger
                                => 3630,
                        kickmaier
                                => 11896, kickmeier
                                => 17478,
                        kieber  => 19858, kiebler => 21855, kiechl  => 9983, kiechle => 16304,
                        kiedl   => 9706, kiefel  => 23183, kiefer  => 583, kiefl   => 20003,
                        kiegerl => 6296, kiegerll
                                => 21960,
                        kiehl   => 7056, kiehn   => 13321, kiehne  => 11309, kiel    => 1878,
                        kielhorn
                                => 23377, kielmann
                                => 10639,
                        kielnhofer
                                => 8176, kienast => 2173,
                        kienbacher
                                => 11605, kienbauer
                                => 13339,
                        kienberger
                                => 2192, kienbink
                                => 19251,
                        kienbock
                                => 17168, kiendl  => 21817,
                        kiendler
                                => 10659, kiene   => 10717,
                        kiener  => 5826, kienesberger
                                => 5667,
                        kieninger
                                => 12415, kienitz => 13601,
                        kienle  => 7277, kienleitner
                                => 10939,
                        kiennast
                                => 22001, kienpointner
                                => 17650,
                        kienreich
                                => 2971, kientzl => 12900,
                        kienzer => 7026, kienzl  => 2073, kienzle => 6963, kienzler
                                => 11958,
                        kieper  => 18182, kierdorf
                                => 20839,
                        kiermeier
                                => 19517, kiese   => 18712,
                        kiesel  => 3399, kieselbach
                                => 14868,
                        kiesenebner
                                => 15024, kiesenhofer
                                => 4566,
                        kieser  => 10466, kiesewalter
                                => 20103,
                        kiesewetter
                                => 4098, kiesl   => 14502,
                        kieslich
                                => 8458, kiesling
                                => 7997,
                        kiesow  => 14391, kiessig => 22627, kiessling
                                => 2519,
                        kietaibl
                                => 20792, kietz   => 23861,
                        kietzmann
                                => 11316, kieweg  => 18472,
                        kikic   => 23549, kilga   => 9401, kilger  => 15578, kilic   => 274,
                        kilicarslan
                                => 20608, kilicaslan
                                => 6553,
                        kilinc  => 1902, killi   => 19419, killian => 16915, killinger
                                => 6527,
                        kilzer  => 5907, kimberger
                                => 22312,
                        kimeswenger
                                => 22608, kimmel  => 5306,
                        kimmerle
                                => 23098, kimmich => 17285,
                        kimmig  => 17482, kimpel  => 14221, kinas   => 21492, kinast  => 6092,
                        kinateder
                                => 17216, kinberger
                                => 13678,
                        kindel  => 11210, kindermann
                                => 3439,
                        kindervater
                                => 23869, kindig  => 20531,
                        kindl   => 4236, kindler => 3207, kindlinger
                                => 12918,
                        kindt   => 9704, kinkel  => 17219, kinne   => 13291, kinner  => 18527,
                        kinski  => 16432, kinsky  => 15169, kintzel => 20703, kinz    => 7751,
                        kinzel  => 4767, kinzer  => 12153, kinzl   => 6306, kipka   => 20632,
                        kipp    => 5155, kipper  => 8119, kipperer
                                => 23064,
                        kipping => 9958, kirac   => 20471, kirbach => 19974, kirbas  => 22320,
                        kirch   => 4308, kirchbaumer
                                => 16729,
                        kirchberger
                                => 2089, kirchebner
                                => 4752,
                        kircheis
                                => 14171, kirchengast
                                => 11703,
                        kircher => 1407, kirchgasser
                                => 9666,
                        kirchhof
                                => 3942, kirchhofer
                                => 7464,
                        kirchhoff
                                => 1359, kirchknopf
                                => 9842,
                        kirchleitner
                                => 18925, kirchler
                                => 7107,
                        kirchmaier
                                => 16041, kirchmair
                                => 624,
                        kirchmann
                                => 9082, kirchmayer
                                => 4115,
                        kirchmayr
                                => 2762, kirchmeier
                                => 14790,
                        kirchmeir
                                => 23251, kirchner
                                => 358,
                        kirchschlager
                                => 11759, kirchsteiger
                                => 2483,
                        kirchtag
                                => 17960, kirchweger
                                => 4077,
                        kireviz => 22402, kirfel  => 22779, kirilmaz
                                => 23578,
                        kirilov => 16982, kiris   => 19001, kirisits
                                => 5515,
                        kirmse  => 7103, kirnbauer
                                => 2403,
                        kirner  => 10263, kirsch  => 556, kirschbaum
                                => 4030,
                        kirsche => 9253, kirschenhofer
                                => 7888,
                        kirschke
                                => 6710, kirschmann
                                => 24154,
                        kirschner
                                => 795, kirschnick
                                => 17963,
                        kirschstein
                                => 13511, kirscht => 22742,
                        kirst   => 4957, kirste  => 7094, kirstein
                                => 3570,
                        kirzenberger
                                => 19659, kischel => 20070,
                        kisler  => 21133, kisling => 14415, kislinger
                                => 7197,
                        kismetovic
                                => 19606, kiss    => 452,
                        kissel  => 6971, kisser  => 14637, kissmann
                                => 23648,
                        kissner => 15430, kister  => 9982, kisters => 22515, kistler => 11860,
                        kistner => 4168, kitanovic
                                => 21758,
                        kitic   => 17267, kittel  => 3367, kittelmann
                                => 14783,
                        kittenberger
                                => 5927, kittinger
                                => 4269,
                        kittl   => 4720, kittler => 7288, kittner => 9349, kitz    => 5698,
                        kitzberger
                                => 5741, kitzbichler
                                => 6414,
                        kitzing => 12207, kitzinger
                                => 19799,
                        kitzler => 2462, kitzmann
                                => 18088,
                        kitzmantel
                                => 20502, kitzmuller
                                => 2714,
                        kitzweger
                                => 18782, kitzwogerer
                                => 18826,
                        kivrak  => 12868, kiwitt  => 17849, kiyak   => 15275, kizil   => 9476,
                        kiziler => 16609, kizilirmak
                                => 5904,
                        kizilkaya
                                => 14663, klaar   => 22136,
                        klaassen
                                => 11091, klabacher
                                => 22561,
                        klabunde
                                => 10396, klackl  => 13894,
                        klade   => 8548, kladnik => 17900, klaes   => 12205, klaffenbock
                                => 2994,
                        klaffl  => 18707, klages  => 7334, klaghofer
                                => 16528,
                        klahn   => 14910, klahr   => 23723, klaiber => 6054, klaic   => 23444,
                        klaindl => 19130, klamann => 22578, klambauer
                                => 6459,
                        klaming => 15098, klaminger
                                => 13120,
                        klamm   => 19757, klammer => 598, klamminger
                                => 9594,
                        klammler
                                => 10892, klampfer
                                => 1961,
                        klampferer
                                => 10156, klampfl => 4652,
                        klamt   => 14410, klancnik
                                => 22207,
                        klann   => 10398, klanner => 15156, klapeer => 15910, klapf   => 8512,
                        klapka  => 23276, klapp   => 14108, klappacher
                                => 5232,
                        klapper => 7226, klappert
                                => 15925,
                        klapproth
                                => 8840, klapsch => 9394,
                        klaric  => 5837, klarmann
                                => 20727,
                        klasen  => 4194, klass   => 8103, klassen => 2407, klatt   => 1295,
                        klatte  => 9244, klatzer => 6635, klauck  => 15400, klauda  => 22631,
                        klaue   => 20184, klauer  => 20610, klauke  => 8759, klaunzer
                                => 6440,
                        klausberger
                                => 7545, klausch => 23979,
                        klause  => 14208, klausegger
                                => 19223,
                        klausen => 13359, klauser => 3340, klaushofer
                                => 5504,
                        klausing
                                => 15747, klausmann
                                => 14555,
                        klausner
                                => 1044, klausnitzer
                                => 22985,
                        klausriegler
                                => 18720, klauss  => 11921,
                        klawatsch
                                => 12052, klawitter
                                => 6393,
                        klawonn => 24195, klebe   => 15882, kleber  => 2486, kleboth => 17805,
                        klee    => 1610, kleeberg
                                => 9307,
                        kleeblatt
                                => 20944, kleedorfer
                                => 10706,
                        kleemaier
                                => 8932, kleemair
                                => 17819,
                        kleemann
                                => 2040, kleen   => 6757,
                        kleer   => 20812, klees   => 13323, kleewein
                                => 5923,
                        kleffmann
                                => 20501, klehm   => 19239,
                        klehr   => 21265, kleiber => 5999, kleimann
                                => 11444,
                        klein   => 25, kleinbauer
                                => 21715,
                        kleinberger
                                => 11628, kleinbichler
                                => 11186,
                        kleinburger
                                => 14473, kleindienst
                                => 2480,
                        kleindl => 18265, kleinert
                                => 1758,
                        kleinfeld
                                => 9972, kleinfercher
                                => 13389,
                        kleinferchner
                                => 10431, kleinhagauer
                                => 11740,
                        kleinhans
                                => 5979, kleinhappel
                                => 17936,
                        kleinhappl
                                => 14257, kleinheinz
                                => 12709,
                        kleinhenz
                                => 13259, kleinhofer
                                => 19195,
                        kleinke => 13277, kleinlein
                                => 19569,
                        kleinlercher
                                => 3952, kleinmann
                                => 12988,
                        kleinow => 21283, kleinrath
                                => 6772,
                        kleinsasser
                                => 12861, kleinschmidt
                                => 1911,
                        kleinschuster
                                => 8418, kleinsorge
                                => 17495,
                        kleinwachter
                                => 18139, kleiser => 20698,
                        kleissl => 17651, kleissner
                                => 20132,
                        kleist  => 5392, klemann => 22044, klemen  => 4563, klemenc => 21631,
                        klemenjak
                                => 16130, klement => 1236,
                        klemenz => 10465, klemke  => 14156, klemm   => 904, klemme  => 10518,
                        klemmer => 7170, klemp   => 12017, klemt   => 11317, klene   => 24348,
                        klengel => 20925, klenk   => 5041, klenke  => 8462, klenkhart
                                => 22558,
                        klenner => 8038, klepic  => 16484, klepp   => 14601, klepzig => 20605,
                        klett   => 4325, klette  => 15894, klettner
                                => 9561,
                        kletz   => 15202, kletzander
                                => 10413,
                        kletzenbauer
                                => 15165, kletzl  => 5394,
                        kletzmayr
                                => 11054, klever  => 12576,
                        kley    => 3562, klich   => 22332, kliche  => 10596, klicic  => 6982,
                        klick   => 15912, klieber => 8672, kliem   => 5216, kliemann
                                => 17030,
                        kliemstein
                                => 17115, klien   => 4575,
                        klier   => 3872, kliesch => 17754, kliewer => 17110, klikovits
                                => 15123,
                        klima   => 2878, klimbacher
                                => 8439,
                        klimczak
                                => 24080, klimek  => 5291,
                        kliment => 20244, klimesch
                                => 21674,
                        klimke  => 9921, klimm   => 14401, klimmek => 24048, klimmer => 11717,
                        klimpel => 10704, klimt   => 12923, klinar  => 23633, klindworth
                                => 17460,
                        kling   => 1716, klingbacher
                                => 13026,
                        klingbeil
                                => 6801, klingberg
                                => 13604,
                        klinge  => 3923, klingebiel
                                => 10048,
                        klingel => 11971, klingelhofer
                                => 12210,
                        klingemann
                                => 23683, klingenberg
                                => 4341,
                        klingenschmid
                                => 4048, klinger => 613,
                        klingersberger
                                => 19642, klingler
                                => 1075,
                        klinglmair
                                => 9760, klingner
                                => 9200,
                        klink   => 2422, klinkan => 18029, klinke  => 4211, klinkenberg
                                => 9714,
                        klinker => 19733, klinkert
                                => 13073,
                        klinkhammer
                                => 6144, klinner => 14201,
                        klinser => 9189, klippel => 8214, klisch  => 14142, klitsch => 23224,
                        klitzke => 17012, kljajic => 3732, klocke  => 4504, klocker => 1036,
                        klockl  => 4483, klockner
                                => 5406,
                        kloiber => 1604, kloibhofer
                                => 3073,
                        kloihofer
                                => 11165, kloimstein
                                => 21420,
                        kloos   => 4995, klopf   => 2836, klopfer => 11161, klopp   => 7383,
                        kloppe  => 24018, kloppel => 11367, kloppenburg
                                => 17407,
                        klopper => 9379, klopsch => 13358, klos    => 3265, klosch  => 4052,
                        klose   => 577, kloser  => 20234, kloske  => 23062, kloss   => 2892,
                        klostermann
                                => 4301, kloth   => 7301,
                        klotz   => 839, klotzbucher
                                => 24288,
                        klotzer => 11433, klotzsche
                                => 15796,
                        kloucek => 23012, kluber  => 11428, kluck   => 10409, kluckner
                                => 5304,
                        klucsarits
                                => 15363, klug    => 528,
                        kluge   => 548, kluger  => 9054, klugmann
                                => 22838,
                        klukas  => 20619, klumaier
                                => 22618,
                        klump   => 16559, klumper => 23102, klumpp  => 5163, klunder => 12378,
                        klunsner
                                => 16970, klusener
                                => 24196,
                        klusmann
                                => 16598, klute   => 14318,
                        kluth   => 2567, klutsch => 17783, klutz   => 23079, kluver  => 9354,
                        kluwe   => 20852, kment   => 22299, knaack  => 5203, knaak   => 5618,
                        knab    => 6566, knabb   => 20766, knabe   => 3068, knabl   => 1498,
                        knackstedt
                                => 23226, knafl   => 6104,
                        knall   => 24173, knaller => 10397, knape   => 9389, knapp   => 263,
                        knappe  => 3494, knappinger
                                => 20586,
                        knappitsch
                                => 4031, knarr   => 17707,
                        knass   => 17536, knaub   => 8408, knauber => 17911, knauder => 4537,
                        knauer  => 1940, knauf   => 3458, knauff  => 18155, knaup   => 8300,
                        knaus   => 1079, knauseder
                                => 5029,
                        knauss  => 9906, knauth  => 9434, knauthe => 23678, knebel  => 3645,
                        knecht  => 2396, knechtel
                                => 14062,
                        knechtl => 11057, kneer   => 17273, kneidinger
                                => 2888,
                        kneifel => 22340, kneip   => 7044, kneisel => 10756, kneisl  => 11023,
                        kneissl => 2642, knell   => 12702, knepper => 9834, kneringer
                                => 7493,
                        knerr   => 18396, knes    => 6243, knetsch => 12431, knett   => 23460,
                        knezevic
                                => 791, knezovic
                                => 18300,
                        knief   => 23259, knieling
                                => 12231,
                        kniely  => 21688, kniep   => 12045, knieper => 15990, knieps  => 17792,
                        knierim => 10640, knierling
                                => 22435,
                        knies   => 11833, kniewallner
                                => 12164,
                        kniewasser
                                => 14272, knigge  => 8252,
                        knill   => 23230, knipp   => 11968, knipping
                                => 9902,
                        knippschild
                                => 21102, knips   => 24077,
                        knirsch => 19052, knispel => 14702, knitel  => 13227, knittel => 4294,
                        knittelfelder
                                => 14529, knitter => 20364,
                        knobbe  => 19782, knobel  => 8683, knobelreiter
                                => 17866,
                        knobl   => 4388, knoblauch
                                => 5156,
                        knoblechner
                                => 12020, knoblich
                                => 7840,
                        knobloch
                                => 1946, knoch   => 4478,
                        knoche  => 4824, knochel => 16323, knodel  => 11177, knodl   => 11358,
                        knodler => 8803, knodlstorfer
                                => 19418,
                        knofel  => 9823, knoflach
                                => 7995,
                        knofler => 16483, knogler => 7466, knoke   => 10557, knoll   => 333,
                        knolle  => 20685, knoop   => 3492, knop    => 2117, knopf   => 2147,
                        knopfle => 12226, knopfler
                                => 21462,
                        knopp   => 3048, knopper => 11658, knops   => 15341, knor    => 8544,
                        knorr   => 1197, knorre  => 20528, knospe  => 10559, knotek  => 10472,
                        knoth   => 6032, knothe  => 9261, knott   => 4779, knotz   => 6210,
                        knotzer => 9876, knudsen => 11855, knunz   => 14570, knupfer => 14918,
                        knuppel => 8451, knust   => 6693, knuth   => 2943, knuttel => 14301,
                        knutzen => 16427, kobald  => 1928, koban   => 5303, kobani  => 13847,
                        kobas   => 15330, kobath  => 22530, kobbe   => 16243, kobel   => 17121,
                        kobelt  => 17135, kober   => 1014, koberger
                                => 12196,
                        koberl  => 744, koberle => 13559, koberstein
                                => 16206,
                        kobler  => 1872, koblinger
                                => 5757,
                        koblitz => 23762, koblmuller
                                => 8083,
                        kobold  => 15255, kobus   => 11116, koc     => 357, koca    => 1969,
                        kocabas => 13879, kocabay => 5606, kocabey => 23305, kocak   => 741,
                        kocaman => 7559, kocaoglan
                                => 21580,
                        kocaoglu
                                => 9131, kocas   => 15269,
                        kocaturk
                                => 23334, kocer   => 6242,
                        koch    => 21, kochan  => 13661, kochanek
                                => 21176,
                        kochanski
                                => 24049, kochberger
                                => 15343,
                        kocher  => 1240, kochl   => 2331, kochle  => 14987, kochler => 15953,
                        kochling
                                => 20510, kochs   => 23946,
                        koci    => 8217, kocic   => 8639, kock    => 221, kockeis => 13416,
                        kockritz
                                => 17625, kocks   => 22489,
                        kocoglu => 22000, kocyigit
                                => 7167,
                        kodel   => 20779, koder   => 15082, koderhold
                                => 11566,
                        koditz  => 20041, kodra   => 15714, kodym   => 13646, koeberl => 9033,
                        koeck   => 7239, koehler => 1646, koehn   => 14068, koelbl  => 19085,
                        koell   => 16898, koenen  => 5168, koenig  => 1568, koepke  => 13451,
                        koeppe  => 17978, koeppen => 20323, koerber => 16211, koerner => 5903,
                        koers   => 20841, koessler
                                => 14147,
                        koester => 6347, kofeler => 18218, kofer   => 7165, koffler => 19504,
                        koffu   => 17445, kofinger
                                => 15580,
                        kofler  => 179, kogan   => 21528, kogel   => 5971, kogelbauer
                                => 7875,
                        kogelmann
                                => 16416, kogelnig
                                => 14041,
                        koger   => 14931, kogl    => 2978, koglbauer
                                => 5204,
                        koglberger
                                => 17605, koglek  => 18175,
                        kogler  => 96, koglin  => 11836, kogoj   => 12525, kohl    => 501,
                        kohlbacher
                                => 1799, kohlbauer
                                => 4857,
                        kohlberger
                                => 3113, kohldorfer
                                => 8966,
                        kohlen  => 16123, kohlendorfer
                                => 15945,
                        kohler  => 65, kohlert => 24471, kohlfurst
                                => 9118,
                        kohlhaas
                                => 9966, kohlhase
                                => 18013,
                        kohlhauser
                                => 4424, kohlhepp
                                => 18487,
                        kohlhofer
                                => 2818, kohlhoff
                                => 19922,
                        kohlhuber
                                => 8148, kohlmaier
                                => 3969,
                        kohlmann
                                => 3449, kohlmayer
                                => 8867,
                        kohlmayr
                                => 9114, kohlmeier
                                => 19963,
                        kohlmeyer
                                => 16317, kohlreiter
                                => 19202,
                        kohls   => 6623, kohlstedt
                                => 23868,
                        kohlweg => 4061, kohlweiss
                                => 10269,
                        kohmann => 23764, kohn    => 1656, kohne   => 4639, kohnen  => 4773,
                        kohnert => 12023, kohnhauser
                                => 12546,
                        kohnke  => 11199, kohnlein
                                => 21040,
                        kohout  => 10367, kohoutek
                                => 22070,
                        kohrs   => 11389, kohrt   => 11507, kohtz   => 22842, koidl   => 3789,
                        koinegg => 4003, koiner  => 13772, koinig  => 13499, koiser  => 16446,
                        koisser => 10009, koitz   => 9913, kojadinovic
                                => 22922,
                        kojic   => 4379, kokalj  => 18105, koken   => 9110, kokic   => 14122,
                        koklu   => 16771, kokol   => 17278, kokollari
                                => 13784,
                        kokot   => 13918, kokott  => 9946, kolak   => 16262, kolakovic
                                => 21496,
                        kolar   => 1514, kolaric => 14398, kolarik => 14824, kolb    => 652,
                        kolbe   => 1537, kolbeck => 8224, kolbel  => 17735, kolberg => 4688,
                        kolberger
                                => 15831, kolbinger
                                => 16964,
                        kolbitsch
                                => 9697, kolbl   => 1774,
                        kolblinger
                                => 8667, kolbow  => 20979,
                        kolditz => 14289, kolenda => 23829, koletnik
                                => 20823,
                        kolev   => 13930, koleva  => 13971, kolic   => 22159, kolinsky
                                => 19761,
                        kolitsch
                                => 21850, kolkmann
                                => 22925,
                        koll    => 1065, kolland => 7387, kollar  => 6746, kollarits
                                => 19192,
                        kollau  => 14628, kolldorfer
                                => 22277,
                        kolle   => 9335, kollegger
                                => 2008,
                        koller  => 67, kolleritsch
                                => 11749,
                        kolli   => 15041, kolling => 5884, kollinger
                                => 15893,
                        kollmann
                                => 641, kollmeier
                                => 17713,
                        kollmer => 13543, kollmitzer
                                => 21776,
                        kollmorgen
                                => 23836, kollmutzer
                                => 21427,
                        kolln   => 20418, kollner => 3363, kollnig => 12756, kollreider
                                => 7608,
                        kollros => 12183, kollroser
                                => 21097,
                        kollross
                                => 17187, kolly   => 15464,
                        kolm    => 1806, kolmbauer
                                => 15937,
                        kolmberger
                                => 20844, kolodziej
                                => 5756,
                        kolowrat
                                => 23335, kolsch  => 4844,
                        kolter  => 23222, koltermann
                                => 13148,
                        koltringer
                                => 7420, kolvenbach
                                => 23242,
                        komaier => 15891, komander
                                => 20430,
                        komarek => 7064, komatz  => 18832, komenda => 14579, kometer => 9971,
                        kometter
                                => 17841, kommer  => 22671,
                        komorowski
                                => 19551, komposch
                                => 9391,
                        komsic  => 15563, komurcu => 15051, konak   => 15266, kondic  => 16424,
                        konecny => 5590, koneke  => 18546, konemann
                                => 12145,
                        konen   => 13003, konermann
                                => 23442,
                        konert  => 16055, konic   => 23119, konieczny
                                => 9105,
                        konietzko
                                => 14861, konietzny
                                => 18278,
                        konig   => 57, koniger => 21298, konighofer
                                => 15150,
                        konigsberger
                                => 5014, konigsecker
                                => 16634,
                        konigseder
                                => 9944, konigshofer
                                => 2092,
                        konigsmann
                                => 16065, konigstein
                                => 20603,
                        konigstorfer
                                => 18039, konjevic
                                => 21439,
                        konlechner
                                => 13126, konnecke
                                => 7312,
                        konnerth
                                => 19071, konning => 17590,
                        konopka => 6345, konrad  => 202, konradi => 13331, konradt => 21868,
                        konrath => 3430, konstantinidis
                                => 15527,
                        konstantinov
                                => 20984, kontny  => 18463,
                        konuk   => 16925, konzack => 16247, konzett => 2575, koob    => 7345,
                        koop    => 2561, koopmann
                                => 3496,
                        koops   => 14366, kopatsch
                                => 15159,
                        kopcke  => 17886, kopec   => 22181, kopecky => 8422, kopeinig
                                => 2847,
                        koper   => 23168, kopeter => 18355, kopetzky
                                => 7164,
                        kopfer  => 11831, kopfle  => 18593, kopic   => 9419, kopietz => 11395,
                        kopinits
                                => 23117, kopischke
                                => 24157,
                        kopitsch
                                => 21938, kopka   => 14125,
                        kopke   => 2947, koplenig
                                => 13558,
                        koplin  => 18181, kopmann => 16013, kopp    => 507, koppe   => 3245,
                        koppel  => 2510, koppelmann
                                => 23982,
                        koppen  => 2956, koppenberger
                                => 18989,
                        koppenhagen
                                => 23047, koppenhofer
                                => 23659,
                        koppensteiner
                                => 974, kopper  => 7841,
                        koppermann
                                => 24353, koppers => 13470,
                        koppi   => 20868, koppitsch
                                => 7163,
                        koppitz => 19069, koppl   => 2614, koppler => 5921, kopplin => 13452,
                        kopriva => 16835, kopsch  => 12847, korak   => 5567, koraschnigg
                                => 21355,
                        korath  => 21242, korb    => 2987, korbel  => 8955, korber  => 2296,
                        korbler => 3767, korbmacher
                                => 23319,
                        kordes  => 10702, kordesch
                                => 13589,
                        koreiman
                                => 18388, koreimann
                                => 14095,
                        korell  => 17547, koren   => 2464, korenjak
                                => 8915,
                        kores   => 15948, korfer  => 14835, korff   => 8382, korherr => 10910,
                        korinek => 13024, korinth => 13615, korkmaz => 550, korkusuz
                                => 23380,
                        korkut  => 7572, kormann => 8857, kormesser
                                => 14063,
                        korn    => 956, kornberger
                                => 2979,
                        korner  => 432, kornfehl
                                => 18904,
                        kornfeind
                                => 17905, kornfeld
                                => 2274,
                        kornhausl
                                => 22920, kornherr
                                => 6301,
                        kornmann
                                => 17346, kornmuller
                                => 16951,
                        kornsteiner
                                => 17063, korntheuer
                                => 7726,
                        korntner
                                => 11050, koroglu => 7206,
                        koroschetz
                                => 10323, korosec => 12841,
                        korp    => 6873, korsch  => 10727, korsten => 18006, korte   => 1501,
                        korten  => 15905, kortge  => 22526, korth   => 4637, korthals
                                => 22994,
                        korting => 14572, kortmann
                                => 5166,
                        kortschak
                                => 18977, kortum  => 18478,
                        koruyucu
                                => 18694, kosak   => 11043,
                        kosanke => 23489, kosanovic
                                => 19996,
                        kosar   => 14949, kosch   => 8017, koschar => 12351, koschat => 12022,
                        kosche  => 8562, koschel => 14808, koschella
                                => 23906,
                        koschier
                                => 9376, koschinski
                                => 13004,
                        koschitz
                                => 22223, koschmieder
                                => 16371,
                        koschnick
                                => 17311, koschu  => 19847,
                        koschutnig
                                => 19797, kose    => 1168,
                        kosel   => 5855, koseoglu
                                => 10850,
                        koser   => 19272, kosian  => 24119, kosic   => 10089, kosjak  => 13990,
                        koska   => 21866, kosker  => 22261, kosling => 12942, koslowski
                                => 2303,
                        kosnjak => 20014, koss    => 7626, kossack => 9279, kossl   => 16674,
                        kosslbacher
                                => 18382, kossler => 1808,
                        kossmann
                                => 9989, kossner => 13647,
                        kost    => 6365, kostadinov
                                => 16344,
                        kostadinova
                                => 19004, kostadinovic
                                => 19457,
                        kostal  => 14653, kostandinovic
                                => 13721,
                        kostenbauer
                                => 12114, kostenbaumer
                                => 10701,
                        kostenberger
                                => 7368, kostenzer
                                => 5685,
                        koster  => 561, kosterke
                                => 23404,
                        kosters => 4513, kostic  => 347, kostinger
                                => 3468,
                        kostka  => 8705, kostl   => 9133, kostler => 6360, kostlinger
                                => 20403,
                        kostner => 5812, kostov  => 18982, kostrzewa
                                => 18022,
                        kostwein
                                => 23246, kosumi  => 13363,
                        kotek   => 16973, kothbauer
                                => 7984,
                        kothe   => 3764, kother  => 23336, kothgasser
                                => 7152,
                        kothgassner
                                => 21903, kothmaier
                                => 19326,
                        kotnik  => 12387, kotowski
                                => 14767,
                        kotrba  => 7981, kotsch  => 21158, kott    => 8707, kotte   => 5471,
                        kotter  => 5847, kotthoff
                                => 22865,
                        kotting => 13243, kottke  => 12485, kottl   => 11555, kottmann
                                => 10442,
                        kottstorfer
                                => 17270, kottwitz
                                => 17058,
                        kotulla => 14585, kotzbeck
                                => 15373,
                        kotzian => 19009, kotzur  => 14342, koubek  => 18484, koudelka
                                => 16548,
                        kovac   => 1675, kovacevic
                                => 388,
                        kovaci  => 18643, kovacic => 2125, kovacova
                                => 13616,
                        kovacs  => 538, kovacsics
                                => 16324,
                        kovar   => 5023, kovarik => 9274, kovats  => 21317, kowal   => 10195,
                        kowalczyk
                                => 3866, kowald  => 7644,
                        kowalewski
                                => 5621, kowalik => 17183,
                        kowalke => 14774, kowalska
                                => 8066,
                        kowalski
                                => 906, kowalsky
                                => 22185,
                        kowalzik
                                => 17535, kowar   => 10755,
                        kowarik => 17225, kowarsch
                                => 14462,
                        kowatsch
                                => 4696, kowitz  => 23247,
                        kowol   => 13541, kowollik
                                => 16267,
                        kowski  => 20250, koylu   => 21748, koysuren
                                => 12237,
                        koyun   => 10288, koyuncu => 3089, kozak   => 10198, kozan   => 10171,
                        kozar   => 10004, kozel   => 7655, kozik   => 17196, koziol  => 8675,
                        kozlica => 10865, kozlik  => 19442, kozlowski
                                => 6831,
                        kraatz  => 6110, krabacher
                                => 7467,
                        krabath => 6782, krabbe  => 7015, krabbes => 24045, krabichler
                                => 12371,
                        krach   => 13935, kracher => 6510, krachler
                                => 5042,
                        kracht  => 4329, krack   => 13522, kracke  => 14882, kraemer => 2096,
                        krafczyk
                                => 21192, krafft  => 6613,
                        krafka  => 22488, kraft   => 272, kraftner
                                => 10295,
                        krah    => 6779, krahbichler
                                => 9574,
                        krahe   => 12188, krahl   => 3387, krahmer => 20573, krahn   => 6019,
                        krahofer
                                => 16475, kraiger => 7709,
                        krainer => 503, krainz  => 1403, krajewski
                                => 7096,
                        krajger => 22065, krajic  => 20499, krajina => 10221, krajinovic
                                => 8037,
                        krajisnik
                                => 19423, krajnc  => 8419,
                        kraker  => 11447, krakhofer
                                => 12679,
                        krakolinig
                                => 18909, krakow  => 11472,
                        krakowitsch
                                => 16773, kral    => 1326,
                        kraler  => 5865, kralik  => 12564, kraljevic
                                => 11508,
                        krall   => 966, krallinger
                                => 7779,
                        krallmann
                                => 23200, kramar  => 13900,
                        kramberger
                                => 17677, kramer  => 163,
                        krames  => 19094, krametter
                                => 15980,
                        kraml   => 2070, kramm   => 6369, krammel => 5351, krammer => 184,
                        kramml  => 18209, kramp   => 5651, krampe  => 7653, krampitz
                                => 12996,
                        krampl  => 3261, kramreiter
                                => 21771,
                        kramser => 12333, kranabetter
                                => 7028,
                        kranawetter
                                => 5237, kranebitter
                                => 3230,
                        kraner  => 11951, kranewitter
                                => 15628,
                        kranhold
                                => 23931, kranich => 6602,
                        kranister
                                => 19198, kranjec => 14813,
                        krankl  => 18820, kranl   => 15949, kranner => 8012, krannich
                                => 8389,
                        krantz  => 19407, kranz   => 885, kranzelbinder
                                => 19831,
                        kranzer => 14030, kranzinger
                                => 14136,
                        kranzl  => 3836, krapesch
                                => 23143,
                        krapf   => 4247, krapfenbauer
                                => 8430,
                        krapfl  => 9234, krapinger
                                => 18695,
                        krapp   => 6839, krappinger
                                => 9904,
                        krasa   => 20388, kraschitzer
                                => 23461,
                        kraschl => 8654, krasemann
                                => 24105,
                        kraska  => 18333, krasnic => 24255, krasnici
                                => 7500,
                        krasnik => 19911, krasniq => 22879, krasniqi
                                => 269,
                        krass   => 15640, krasser => 2119, krassnig
                                => 2973,
                        krassnitzer
                                => 1287, kratky  => 3104,
                        kratochvil
                                => 10208, kratochwil
                                => 5579,
                        kratochwill
                                => 8603, kratschmann
                                => 19081,
                        kratschmer
                                => 9512, kratz   => 1948,
                        kratzenberg
                                => 24074, kratzer => 1030,
                        kratzke => 20547, kratzsch
                                => 14915,
                        kratzwald
                                => 12169, krauel  => 17337,
                        kraus   => 145, krause  => 45, krauser => 20696, kraushaar
                                => 12970,
                        kraushofer
                                => 4527, krauskopf
                                => 14130,
                        krausler
                                => 7377, krauss  => 943,
                        krausse => 6076, kraussler
                                => 19835,
                        kraut   => 5955, krauter => 10303, krautgartner
                                => 4582,
                        krautgasser
                                => 15111, krauth  => 17808,
                        krautler
                                => 7757, krautsack
                                => 12359,
                        krautschneider
                                => 20755, krautwald
                                => 21023,
                        krautwaschl
                                => 20301, krautwurst
                                => 16294,
                        krautz  => 11234, krautzer
                                => 21722,
                        kravanja
                                => 9432, krawczyk
                                => 4775,
                        krawietz
                                => 20973, kraxberger
                                => 7830,
                        kraxner => 970, krcal   => 16811, krebber => 19989, krebs   => 462,
                        krech   => 12051, kreckel => 19825, kreer   => 19036, kreft   => 3031,
                        kreher  => 6153, krehl   => 16238, kreibich
                                => 13214,
                        kreidl  => 1153, kreil   => 4794, kreiling
                                => 21196,
                        kreilinger
                                => 16613, kreimer => 6212,
                        krein   => 15403, kreindl => 2595, kreinecker
                                => 14476,
                        kreiner => 980, kreinz  => 21827, kreipl  => 19168, kreische
                                => 22424,
                        kreischer
                                => 20448, kreiseder
                                => 7186,
                        kreisel => 5987, kreiser => 24013, kreisl  => 22062, kreissl => 13355,
                        kreitner
                                => 10249, kreitz  => 13055,
                        kreitzer
                                => 19981, krejca  => 22450,
                        krejci  => 4028, krekeler
                                => 22856,
                        krell   => 4978, kreller => 16584, kremenovic
                                => 20194,
                        kremer  => 530, kremers => 9826, kremmel => 8651, kremnitzer
                                => 7140,
                        kremp   => 16175, krempel => 22923, krempl  => 4760, krempler
                                => 13731,
                        krems   => 7151, kremser => 672, kremshuber
                                => 14124,
                        kremsl  => 12569, kremsner
                                => 6352,
                        kren    => 8503, krenauer
                                => 14689,
                        krendl  => 3613, krengel => 12487, krenkel => 19245, krenmair
                                => 13043,
                        krenmayr
                                => 10988, krenn   => 86,
                        krennbauer
                                => 18886, krenner => 9430,
                        krennmayr
                                => 19734, krenslehner
                                => 12313,
                        krentz  => 20091, krenz   => 2644, krenzer => 12014, krepatz => 20885,
                        kreppenhofer
                                => 22915, krepper => 15100,
                        kresnik => 11821, kress   => 2205, kresse  => 5324, kresser => 16882,
                        kressin => 22077, krestel => 21872, kreth   => 17725, kretschmann
                                => 2353,
                        kretschmar
                                => 6673, kretschmer
                                => 886,
                        krettek => 20747, kretz   => 7191, kretzer => 8127, kretzl  => 19717,
                        kretzschmann
                                => 23742, kretzschmar
                                => 964,
                        kreuder => 20239, kreusch => 15362, kreuser => 24120, kreuter => 4446,
                        kreutner
                                => 7308, kreutz  => 2150,
                        kreutzer
                                => 1847, kreutzfeldt
                                => 17486,
                        kreutzmann
                                => 8472, kreuzberg
                                => 12871,
                        kreuzberger
                                => 4727, kreuzeder
                                => 6972,
                        kreuzer => 317, kreuzhuber
                                => 4260,
                        kreuziger
                                => 18367, kreuzinger
                                => 12409,
                        kreuzmayr
                                => 13781, kreuzriegler
                                => 21542,
                        kreuzweger
                                => 16388, kreuzwieser
                                => 8004,
                        krey    => 3951, kreye   => 13531, kribernegg
                                => 16111,
                        kribitz => 18327, krick   => 7760, kricke  => 23790, krickl  => 3531,
                        kriebel => 8330, krieber => 13752, kriebernegg
                                => 10415,
                        kriechbaum
                                => 3285, kriechbaumer
                                => 5498,
                        kriechhammer
                                => 7712, kriegel => 5226,
                        krieger => 592, kriegl  => 1165, kriegler
                                => 8016,
                        kriegner
                                => 5976, kriendlhofer
                                => 22961,
                        kriener => 11248, krienke => 15955, krienzer
                                => 10655,
                        krier   => 24249, krierer => 18403, kriese  => 14189, kriesel => 23796,
                        kriesten
                                => 15733, krietsch
                                => 22902,
                        krifter => 10833, krill   => 20643, krimbacher
                                => 4977,
                        krimmel => 16377, krimpelstatter
                                => 21551,
                        kring   => 20017, krings  => 3004, krinke  => 19848, krinner => 10677,
                        krippel => 7114, krippl  => 20791, krippner
                                => 13881,
                        krisch  => 9513, krischanitz
                                => 20880,
                        krische => 17013, krischer
                                => 15705,
                        krischke
                                => 16883, krismer => 1833,
                        krispel => 10526, krisper => 7480, krispin => 18416, krispler
                                => 6424,
                        krist   => 8504, krista  => 23104, kristan => 11469, kristandl
                                => 10742,
                        kristen => 7562, kristic => 13979, kristl  => 9880, kristler
                                => 7382,
                        kristo  => 8971, kritsch => 11781, kritzinger
                                => 5065,
                        krivec  => 20537, kriz    => 6670, krizanac
                                => 13984,
                        krizek  => 22965, krnjic  => 5047, krobath => 1323, krober  => 5418,
                        kroboth => 4735, kroeger => 7254, kroell  => 5778, kroepfl => 19696,
                        kroger  => 585, kroggel => 20268, krogmann
                                => 8812,
                        kroh    => 6448, krohn   => 1523, krohne  => 20745, krohnert
                                => 16048,
                        krois   => 3011, kroisleitner
                                => 11782,
                        kroiss  => 2149, kroissl => 19641, krojer  => 23625, kroker  => 11175,
                        kroll   => 395, krombach
                                => 23020,
                        krombholz
                                => 20514, kromer  => 6891,
                        kromm   => 11188, kromoser
                                => 15162,
                        kromp   => 12669, kron    => 6645, kronabetter
                                => 22839,
                        kronabitter
                                => 14235, kronauer
                                => 23433,
                        kronaus => 15309, kronawetter
                                => 8026,
                        kronawettleitner
                                => 18144, kronawitter
                                => 15229,
                        kronberg
                                => 19760, kronberger
                                => 890,
                        kronbichler
                                => 8508, krondorfer
                                => 8463,
                        kronegger
                                => 19899, kroneisl
                                => 22778,
                        kronenberg
                                => 6951, kronenberger
                                => 15794,
                        kroner  => 4512, kronert => 12182, krones  => 14512, kronhofer
                                => 15067,
                        kronig  => 15246, kroning => 9209, kronister
                                => 8467,
                        kronke  => 19853, kronlachner
                                => 8542,
                        kronlechner
                                => 11525, kronreif
                                => 9213,
                        kronschlager
                                => 18680, kronschnabl
                                => 15856,
                        kronsteiner
                                => 1400, kronthaler
                                => 6615,
                        kropf   => 1313, kropfitsch
                                => 6480,
                        kropfl  => 3304, kropfreiter
                                => 12030,
                        kropik  => 9607, kropiunik
                                => 14035,
                        kropp   => 2240, krosbacher
                                => 14268,
                        kross   => 9863, kroth   => 22036, krottendorfer
                                => 10726,
                        krottenthaler
                                => 10349, krottmaier
                                => 23045,
                        krotz   => 18137, kroupa  => 11641, krsic   => 18072, krsmanovic
                                => 23313,
                        krstic  => 1580, kruber  => 17675, kruck   => 9327, kruckenfellner
                                => 11777,
                        kruckenhauser
                                => 8049, kruckl  => 11721,
                        kruder  => 21597, krueger => 1234, kruft   => 18164, krug    => 596,
                        krugel  => 9188, kruger  => 35, krugl   => 18935, krugmann
                                => 17843,
                        kruisz  => 12722, krulis  => 16485, krull   => 2682, krumbach
                                => 17854,
                        krumbein
                                => 19509, krumbholz
                                => 14658,
                        krumbiegel
                                => 18045, krumbock
                                => 4488,
                        krumm   => 3773, krumme  => 20358, krumnow => 20325, krump   => 7977,
                        krumpeck
                                => 17517, krumpholz
                                => 11949,
                        krumphuber
                                => 13408, krumpl  => 18907,
                        krumrey => 18036, krupa   => 11705, krupic  => 15782, krupka  => 16851,
                        krupke  => 19990, krupp   => 4220, kruppa  => 5585, krusch  => 10331,
                        krusche => 10049, kruschel
                                => 18096,
                        kruschinski
                                => 18228, kruschitz
                                => 13430,
                        kruse   => 222, kruselburger
                                => 11751,
                        kruska  => 19943, kruspel => 11962, krutsch => 11825, krutzler
                                => 5774,
                        kryezi  => 17531, kryeziu => 2038, kubak   => 20503, kuban   => 17212,
                        kubat   => 9162, kube    => 2931, kubiak  => 6344, kubicek => 11478,
                        kubicki => 20133, kubik   => 6867, kubin   => 9849, kubinger
                                => 9381,
                        kubis   => 15435, kubisch => 13947, kubitz  => 9856, kubitza => 9504,
                        kubler  => 2109, kubsch  => 20230, kucera  => 2355, kuch    => 7566,
                        kuchar  => 6758, kucharczyk
                                => 22811,
                        kucharski
                                => 10206, kuchenbecker
                                => 8259,
                        kuchenmeister
                                => 14362, kucher  => 3170,
                        kuchernig
                                => 20248, kuchl   => 23432,
                        kuchler => 3228, kuchling
                                => 8465,
                        kuchner => 18378, kuchta  => 15528, kuck    => 4518, kuckuck => 24306,
                        kucuk   => 2447, kucukyasar
                                => 14647,
                        kuczera => 19451, kudic   => 12718, kudrna  => 12393, kuduzovic
                                => 17562,
                        kuebler => 22254, kuehl   => 15410, kuehn   => 3574, kuehne  => 10460,
                        kuehnel => 22516, kuen    => 2297, kuenz   => 13548, kuess   => 7745,
                        kuester => 19277, kuffner => 15692, kufner  => 9631, kugelmann
                                => 19946,
                        kugerl  => 2490, kugi    => 5747, kugler  => 552, kuhar   => 19278,
                        kuhberger
                                => 3250, kuhbock => 18579,
                        kuhhas  => 19046, kuhl    => 1071, kuhle   => 12195, kuhleitner
                                => 10405,
                        kuhlemann
                                => 23558, kuhles  => 17401,
                        kuhling => 9864, kuhlmann
                                => 738,
                        kuhlmey => 14717, kuhmayer
                                => 14803,
                        kuhn    => 180, kuhnapfel
                                => 22572,
                        kuhnast => 16431, kuhne   => 568, kuhnel  => 1644, kuhnemann
                                => 17217,
                        kuhnemund
                                => 14430, kuhnen  => 20337,
                        kuhner  => 4163, kuhnert => 2267, kuhnke  => 6074, kuhnl   => 11271,
                        kuhnle  => 9497, kuhnlein
                                => 14744,
                        kuhnt   => 5218, kuhr    => 5898, kuhrer  => 7949, kuhrmann
                                => 24350,
                        kuhrt   => 10516, kuhteubl
                                => 20553,
                        kuhtreiber
                                => 15197, kuiper  => 22171,
                        kuipers => 19131, kujat   => 20804, kujath  => 20483, kujawa  => 16423,
                        kukic   => 12690, kukla   => 5820, kuklinski
                                => 18404,
                        kuktits => 23212, kukuk   => 21209, kula    => 7497, kulaber => 21606,
                        kulak   => 17106, kulaksiz
                                => 18475,
                        kulcsar => 18084, kulessa => 22788, kuleta  => 18081, kulhanek
                                => 13828,
                        kulic   => 15927, kulig   => 23929, kulik   => 8151, kulisch => 23714,
                        kulka   => 15425, kulke   => 13033, kulla   => 12543, kullick => 23751,
                        kullmann
                                => 3964, kullmer => 19711,
                        kullnig => 14114, kulmer  => 1156, kulmesch
                                => 23527,
                        kulmitzer
                                => 17357, kulnig  => 21614,
                        kuloglu => 22032, kulovic => 19915, kulovics
                                => 14709,
                        kulovits
                                => 7964, kulper  => 23746,
                        kulterer
                                => 3105, kulzer  => 15879,
                        kumhofer
                                => 19074, kummel  => 4679,
                        kummer  => 709, kummerer
                                => 23235,
                        kummerle
                                => 16068, kummerow
                                => 12251,
                        kumpf   => 10102, kumpfmuller
                                => 16567,
                        kumpitsch
                                => 4634, kumpusch
                                => 9586,
                        kunath  => 2950, kuncic  => 16966, kunczer => 18637, kunde   => 5683,
                        kundigraber
                                => 11531, kundt   => 21188,
                        kunduru => 18391, kuner   => 24175, kunert  => 1535, kunesch => 13468,
                        kung    => 3893, kunisch => 12312, kunkel  => 1251, kunkic  => 19868,
                        kunne   => 8412, kunnemann
                                => 24185,
                        kunstl  => 16986, kunstmann
                                => 6651,
                        kunstner
                                => 7973, kunter  => 14718,
                        kunterbunt
                                => 22577, kunth   => 16459,
                        kuntner => 2809, kuntz   => 4312, kuntze  => 4045, kuntzsch
                                => 13246,
                        kunz    => 325, kunze   => 273, kunzel  => 2247, kunzelmann
                                => 14224,
                        kunzer  => 19575, kunzmann
                                => 4095,
                        kupeli  => 16086, kuper   => 6821, kupfer  => 2536, kupferschmidt
                                => 23169,
                        kupfner => 7030, kupiec  => 20231, kupka   => 5967, kupke   => 6116,
                        kuppek  => 17436, kupper  => 1880, kuppers => 2216, kupresak
                                => 16856,
                        kuprian => 2934, kupsch  => 12223, kuqi    => 8221, kurasch => 22272,
                        kurath  => 20715, kurban  => 18594, kurbegovic
                                => 16353,
                        kurbis  => 22783, kurbisch
                                => 15642,
                        kurda   => 13138, kurdi   => 2276, kurdisch
                                => 13485,
                        kurdish => 12823, kurej   => 23621, kurek   => 10259, kuric   => 12662,
                        kurka   => 12007, kurkowski
                                => 22674,
                        kurmus  => 22020, kurnaz  => 6245, kurner  => 7119, kurnik  => 17758,
                        kurnsteiner
                                => 22454, kurowski
                                => 11906,
                        kurre   => 16783, kursawe => 10700, kurschner
                                => 4071,
                        kursun  => 16967, kurta   => 10002, kurtaj  => 12591, kurtalic
                                => 15814,
                        kurtanovic
                                => 22353, kurten  => 7327,
                        kurtenbach
                                => 21186, kurteshi
                                => 18668,
                        kurth   => 976, kurtic  => 17561, kurtoglu
                                => 9711,
                        kurtovic
                                => 4416, kurtulmus
                                => 21184,
                        kurtz   => 3270, kurtze  => 17899, kuru    => 6271, kuruel  => 23296,
                        kurz    => 177, kurzawa => 19936, kurzbauer
                                => 11105,
                        kurzemann
                                => 16802, kurzhals
                                => 14392,
                        kurzinger
                                => 23514, kurzl   => 19988,
                        kurzmann
                                => 1620, kurzreiter
                                => 14955,
                        kurzweg => 23417, kurzweil
                                => 8114,
                        kusch   => 3392, kuschal => 17673, kusche  => 5851, kuschel => 3129,
                        kuschke => 18057, kuschmierz
                                => 22792,
                        kuschnig
                                => 6853, kuscu   => 12815,
                        kusdat  => 21720, kusel   => 16146, kuska   => 23920, kuske   => 9397,
                        kuspert => 22888, kuss    => 5264, kussegg => 17766, kusserow
                                => 23695,
                        kussian => 21630, kussner => 17961, kuster  => 1273, kusters => 6410,
                        kustner => 11331, kustura => 9351, kutasi  => 21685, kutej   => 21810,
                        kuter   => 24113, kuthe   => 13372, kuther  => 18317, kutil   => 19554,
                        kutlu   => 4026, kutrowatz
                                => 19403,
                        kutsch  => 8728, kutsche => 10629, kutscher
                                => 3404,
                        kutschera
                                => 4471, kutschi => 10940,
                        kutschke
                                => 8853, kutter  => 7676,
                        kuttig  => 24036, kuttin  => 10600, kuttler => 23693, kuttner => 2976,
                        kutuk   => 20290, kutz    => 3565, kutzer  => 11903, kutzner => 3935,
                        kuzmanovic
                                => 3615, kuzmic  => 16905,
                        kuzmits => 19829, kuznik  => 23032, kuzu    => 3956, kvapil  => 18074,
                        kwapil  => 22987, kwasny  => 21227, kwiatkowska
                                => 19695,
                        kwiatkowski
                                => 4608, kwiek   => 2697,
                        kynast  => 14643, laaber  => 21876, laabmayr
                                => 18409,
                        laabs   => 7754, laake   => 23374, laakmann
                                => 16054,
                        laaser  => 16591, laass   => 20077, laatsch => 17461, labacher
                                => 20888,
                        labahn  => 10031, labak   => 14313, labenbacher
                                => 13686,
                        laber   => 6654, labes   => 17029, labidi  => 24252, labitzke
                                => 16171,
                        labmayer
                                => 18718, labner  => 11139,
                        labudda => 24459, labus   => 22939, lach    => 3805, lachberger
                                => 18783,
                        lachenmaier
                                => 20213, lacher  => 5183,
                        lachinger
                                => 7970, lachmair
                                => 19676,
                        lachmann
                                => 2237, lachmayer
                                => 13232,
                        lachmayr
                                => 18697, lachner => 4421,
                        lachnit => 16595, lachowitz
                                => 9835,
                        lacic   => 21693, lacin   => 24246, lackinger
                                => 2739,
                        lackmann
                                => 10804, lackner => 74,
                        lademann
                                => 18231, ladendorf
                                => 24015,
                        ladendorfer
                                => 23182, ladenhauf
                                => 15183,
                        ladewig => 8660, ladinig => 2133, ladner  => 1227, ladreiter
                                => 13835,
                        ladstatter
                                => 3222, ladurner
                                => 18258,
                        ladwig  => 3762, laengle => 23157, lafenthaler
                                => 16181,
                        lafer   => 4123, laffer  => 10449, lafner  => 20267, lageder => 15384,
                        lagemann
                                => 17053, lagger  => 3500,
                        laggner => 9095, lagler  => 959, laher   => 8575, lahmann => 14303,
                        lahme   => 13054, lahmer  => 11303, lahner  => 5228, lahnsteiner
                                => 7150,
                        lahofer => 16669, lahr    => 7423, laibacher
                                => 21751,
                        laier   => 17720, laimbock
                                => 19098,
                        laimer  => 1298, laimgruber
                                => 16366,
                        laiminger
                                => 10911, lainer  => 5294,
                        laireiter
                                => 5281, laister => 4800,
                        lajqi   => 15597, lakatos => 3681, lakic   => 6997, lakits  => 18748,
                        lakner  => 10363, lakonig => 22499, lalic   => 6721, lalilu  => 23509,
                        lamatsch
                                => 17947, lambauer
                                => 3330,
                        lambeck => 21354, lamberg => 12814, lambers => 13337, lambert => 3607,
                        lamberti
                                => 12606, lamberty
                                => 12803,
                        lambertz
                                => 4777, lambrecht
                                => 4126,
                        lameraner
                                => 23279, lamers  => 8625,
                        lamesic => 11028, lametschwandtner
                                => 18428,
                        lamm    => 3445, lammel  => 19041, lammer  => 1432, lammerer
                                => 13099,
                        lammerhirt
                                => 15810, lammerhofer
                                => 21385,
                        lammerhuber
                                => 15406, lammers => 2208,
                        lammert => 7821, lammle  => 23642, lamp    => 7951, lampacher
                                => 20428,
                        lamparter
                                => 16278, lampe   => 1355,
                        lampel  => 4867, lampersberger
                                => 10514,
                        lampert => 1441, lamping => 12160, lampl   => 1429, lamplmair
                                => 15442,
                        lamplmayr
                                => 11797, lamprecht
                                => 469,
                        lanbach => 16144, landau  => 7585, landauer
                                => 2060,
                        landauf => 21769, landeck => 15863, landefeld
                                => 24447,
                        landerl => 9684, landgraf
                                => 1793,
                        landl   => 1852, landlinger
                                => 14196,
                        landmann
                                => 4450, landmesser
                                => 22265,
                        landrichinger
                                => 11791, landrock
                                => 14402,
                        landsberger
                                => 20151, landschutzer
                                => 11664,
                        landsteiner
                                => 14105, landstetter
                                => 9572,
                        landwehr
                                => 3787, lanegger
                                => 19956,
                        laner   => 4509, lanfermann
                                => 21259,
                        lang    => 55, langanger
                                => 21206,
                        langanke
                                => 17382, langauer
                                => 4778,
                        langbauer
                                => 5510, langbehn
                                => 17825,
                        langbein
                                => 6129, lange   => 37,
                        langeder
                                => 3461, langegger
                                => 2108,
                        langel  => 22219, langemann
                                => 23144,
                        langenbach
                                => 6058, langenberg
                                => 8735,
                        langendorf
                                => 14425, langeneder
                                => 22918,
                        langenfeld
                                => 14341, langenhan
                                => 21139,
                        langer  => 244, langfeld
                                => 20718,
                        langgartner
                                => 13466, langgruber
                                => 21493,
                        langguth
                                => 5365, langhammer
                                => 4937,
                        langhans
                                => 6193, langheinrich
                                => 12430,
                        langhofer
                                => 17659, langhoff
                                => 12332,
                        langholz
                                => 23949, langhorst
                                => 12113,
                        langkau => 22422, langle  => 2799, langlitz
                                => 18100,
                        langlotz
                                => 17327, langmaier
                                => 7499,
                        langmann
                                => 1371, langmayr
                                => 17463,
                        langner => 988, langnickel
                                => 24280,
                        langohr => 16974, langosch
                                => 23996,
                        langreiter
                                => 4285, langrock
                                => 17572,
                        langsenlehner
                                => 12824, langstadlinger
                                => 20016,
                        langsteiner
                                => 13145, langstrumpf
                                => 11049,
                        langthaler
                                => 2624, langwald
                                => 24050,
                        langwieder
                                => 20579, langwieser
                                => 7139,
                        langzauner
                                => 22279, lankes  => 8751,
                        lankmaier
                                => 17105, lankmayer
                                => 22713,
                        lanner  => 1787, lanschutzer
                                => 6337,
                        lanser  => 9786, lanthaler
                                => 6078,
                        lantzsch
                                => 23758, lanz    => 1838,
                        lanzer  => 16216, lanzersdorfer
                                => 18195,
                        lanzerstorfer
                                => 10234, lanzinger
                                => 3320,
                        lanzl   => 6858, lanzmaier
                                => 14806,
                        lapp    => 8152, lappe   => 8696, lapper  => 21567, laqua   => 9313,
                        larch   => 4660, larcher => 808, larisch => 8250, larndorfer
                                => 11117,
                        larsen  => 7491, larson  => 21472, larsson => 18719, lasch   => 6929,
                        laschalt
                                => 13069, laschet => 14914,
                        laschitz
                                => 17455, laschka => 22383,
                        laschober
                                => 6086, laser   => 9000,
                        laserer => 22113, lasinger
                                => 11269,
                        laska   => 21399, laskaj  => 19359, laske   => 10111, laskowski
                                => 4481,
                        lass    => 8668, lassacher
                                => 3626,
                        lasselsberger
                                => 17236, lasser  => 4705,
                        lasshofer
                                => 14648, lassig  => 9352,
                        lassl   => 13117, lassnig => 1074, lastin  => 20183, latifi  => 4866,
                        latschbacher
                                => 23067, latta   => 22154,
                        lattacher
                                => 7043, lattermann
                                => 23853,
                        lattner => 10383, latza   => 20819, latzel  => 12750, latzelsberger
                                => 20950,
                        latzer  => 15099, latzke  => 20161, lau     => 840, laub    => 5133,
                        laubach => 9456, laube   => 2924, laubenstein
                                => 20409,
                        lauber  => 4148, laubert => 24162, laubichler
                                => 6130,
                        laubinger
                                => 4215, lauble  => 23698,
                        laubner => 15239, laubreiter
                                => 21870,
                        lauchart
                                => 15191, lauck   => 15095,
                        lauckner
                                => 15655, laudan  => 19948,
                        laude   => 22016, laudien => 20408, laue    => 3316, lauenburger
                                => 23980,
                        lauenroth
                                => 18000, lauenstein
                                => 16161,
                        lauer   => 879, lauermann
                                => 15288,
                        laufenberg
                                => 11495, laufenbock
                                => 15887,
                        laufer  => 3557, lauff   => 18031, laufs   => 19860, laumann => 5479,
                        laumen  => 20723, laumer  => 15934, lauria  => 15072, laurisch
                                => 23008,
                        lauritsch
                                => 9892, lausberg
                                => 12813,
                        lausch  => 7583, lauscher
                                => 23010,
                        lausecker
                                => 11850, lausegger
                                => 8510,
                        lausen  => 13098, lauser  => 24053, lauss   => 8622, laussegger
                                => 8852,
                        lautenbach
                                => 10762, lautenbacher
                                => 19997,
                        lautenschlager
                                => 4525, lauterbach
                                => 1887,
                        lauth   => 15806, lautner => 5026, lautz   => 23037, laux    => 2410,
                        lawrenz => 5647, layer   => 15278, lazarevic
                                => 1304,
                        lazaridis
                                => 19417, lazic   => 1040,
                        leban   => 16505, lebeda  => 14607, lebenbauer
                                => 19323,
                        leber   => 1401, leberbauer
                                => 11200,
                        lebernegg
                                => 22461, lebersorger
                                => 15250,
                        lebert  => 18346, lebesmuhlbacher
                                => 20155,
                        lebinger
                                => 11235, lebitsch
                                => 8889,
                        leblhuber
                                => 11545, lecaj   => 16831,
                        lechenauer
                                => 18330, lecher  => 17161,
                        lechleitner
                                => 2503, lechler => 13503,
                        lechmann
                                => 12652, lechner => 52,
                        lechthaler
                                => 4355, lecker  => 18159,
                        leder   => 3638, lederbauer
                                => 8271,
                        lederer => 666, lederhaas
                                => 13841,
                        lederhilger
                                => 8308, lederle => 9565,
                        ledermann
                                => 15471, ledermuller
                                => 6518,
                        lederwasch
                                => 17752, ledig   => 20212,
                        ledl    => 5373, ledolter
                                => 22192,
                        ledwig  => 24360, ledwinka
                                => 16772,
                        leeb    => 393, leen    => 5905, leffler => 18804, legat   => 1749,
                        legenstein
                                => 4013, leger   => 11661,
                        legerer => 13773, legler  => 8178, legner  => 22331, lehenauer
                                => 23304,
                        lehenbauer
                                => 9592, leherbauer
                                => 15965,
                        lehermayr
                                => 15835, lehmann => 47,
                        lehmberg
                                => 20919, lehmeier
                                => 10066,
                        lehmkuhl
                                => 8123, lehn    => 8145,
                        lehne   => 14486, lehnen  => 3953, lehner  => 69, lehnert => 1310,
                        lehnhardt
                                => 10832, lehnhoff
                                => 19692,
                        lehninger
                                => 7947, lehofer => 11127,
                        lehr    => 2282, lehrbaum
                                => 16700,
                        lehrbaumer
                                => 18716, lehrke  => 13519,
                        lehrl   => 20122, lehrmann
                                => 13226,
                        lehrner => 9988, lehwald => 16154, leib    => 8078, leiber  => 24134,
                        leibetseder
                                => 1512, leibl   => 22328,
                        leibold => 7822, leich   => 24124, leicher => 18162, leichsenring
                                => 8764,
                        leichtfried
                                => 1615, leichtle
                                => 22275,
                        leidel  => 20146, leidenfrost
                                => 4318,
                        leidig  => 11237, leidinger
                                => 4049,
                        leidl   => 7344, leidlmair
                                => 14253,
                        leidner => 13364, leier   => 10291, leifeld => 18304, leifert => 22585,
                        leiin   => 21768, leikam  => 13856, leikauf => 14842, leikermoser
                                => 21706,
                        leimbach
                                => 8868, leimer  => 2652,
                        leimgruber
                                => 17661, leimhofer
                                => 3771,
                        leimlehner
                                => 12232, lein    => 607,
                        leinberger
                                => 21115, leindl  => 19174,
                        leine   => 14677, leinen  => 18044, leinenbach
                                => 17714,
                        leiner  => 2722, leinert => 17639, leineweber
                                => 14233,
                        leinfellner
                                => 15201, leingartner
                                => 15025,
                        leingruber
                                => 16002, leinhos => 24472,
                        leininger
                                => 20634, leinmuller
                                => 22021,
                        leins   => 21041, leinwather
                                => 23488,
                        leinweber
                                => 6277, leipert => 15732,
                        leipold => 3878, leirer  => 21598, leis    => 3714, leisch  => 12555,
                        leischner
                                => 21274, leiser  => 10439,
                        leisering
                                => 24156, leismann
                                => 16361,
                        leismuller
                                => 20817, leisner => 11982,
                        leiss   => 8235, leisser => 6318, leissner
                                => 17948,
                        leist   => 6887, leister => 8059, leistikow
                                => 13460,
                        leistner
                                => 2879, leitenbauer
                                => 10239,
                        leitenberger
                                => 19878, leitenmuller
                                => 20331,
                        leitgeb => 293, leithinger
                                => 11666,
                        leithner
                                => 2369, leithold
                                => 22067,
                        leiti   => 18845, leitinger
                                => 1460,
                        leitl   => 8913, leitner => 23, leitold => 7041, leitsberger
                                => 21940,
                        leitz   => 17529, leitzinger
                                => 15265,
                        lekaj   => 21255, lekic   => 6354, lelic   => 13774, lembacher
                                => 6626,
                        lembacker
                                => 21539, lembcke => 14220,
                        lemberger
                                => 2772, lembke  => 4222,
                        lemcke  => 7263, lemke   => 509, lemm    => 4804, lemme   => 10925,
                        lemmen  => 22377, lemmer  => 7300, lemmerer
                                => 2858,
                        lemmermann
                                => 24098, lemoine => 16735,
                        lenart  => 18944, lenauer => 21220, lender  => 24412, lendl   => 3063,
                        lener   => 3596, lengauer
                                => 574,
                        lengdorfer
                                => 18795, lenger  => 6235,
                        lengert => 12274, lengheimer
                                => 19783,
                        lengsfeld
                                => 18249, lengyel => 6642,
                        lenhardt
                                => 9067, lenhart => 5416,
                        lenk    => 1621, lenkeit => 16072, lennartz
                                => 4516,
                        lenner  => 18536, lensch  => 22700, lensing => 14779, lentner => 9447,
                        lentsch => 3146, lentz   => 6331, lentzen => 16481, lenz    => 227,
                        lenzbauer
                                => 10218, lenze   => 11306,
                        lenzeder
                                => 10798, lenzen  => 3174,
                        lenzenweger
                                => 17972, lenzhofer
                                => 10232,
                        lenzi   => 14887, lenzinger
                                => 19819,
                        lenzner => 15761, leobacher
                                => 12674,
                        leodolter
                                => 3002, leone   => 4553,
                        leonfellner
                                => 14418, leonhardsberger
                                => 8160,
                        leonhardt
                                => 1158, leonhartsberger
                                => 1717,
                        leopolder
                                => 19474, leopoldseder
                                => 14581,
                        lepka   => 20846, lepke   => 20082, lepold  => 9919, lepper  => 12264,
                        leppert => 10750, leppin  => 9364, leprich => 17060, lepschi => 18623,
                        lepuschitz
                                => 4994, lerbs   => 18505,
                        lerch   => 1420, lerchbacher
                                => 7530,
                        lerchbaumer
                                => 2383, lerche  => 6005,
                        lerchenmuller
                                => 17178, lercher => 1318,
                        lerchner
                                => 4877, lerchster
                                => 6259,
                        lerner  => 5082, lersch  => 23021, lesacher
                                => 18663,
                        lesch   => 5656, leschanz
                                => 16301,
                        lesche  => 24131, leschke => 10382, lesiak  => 10651, lesic   => 22284,
                        lesjak  => 3899, leske   => 10414, leski   => 15303, leskovar
                                => 11071,
                        lesky   => 5631, lesniak => 15536, lesnik  => 16692, lessel  => 24311,
                        lesser  => 11634, lessiak => 6705, lessig  => 17338, lessing => 12001,
                        lessmann
                                => 10783, lessnigg
                                => 22193,
                        letic   => 9785, letonja => 14811, letsch  => 9194, letta   => 20917,
                        lettau  => 13213, lettenbichler
                                => 4912,
                        lettieri
                                => 21501, lettmayer
                                => 20346,
                        lettner => 578, lettow  => 15832, letzner => 23759, leube   => 22490,
                        leubner => 16293, leucht  => 14777, leuchtenberg
                                => 20590,
                        leuchtenmuller
                                => 20196, leukel  => 20653,
                        leupold => 5598, leuschner
                                => 3076,
                        leuteritz
                                => 17477, leutgeb => 963,
                        leutgob => 13471, leuthner
                                => 5077,
                        leuthold
                                => 15474, leutner => 8549,
                        leutschacher
                                => 17320, leven   => 9197,
                        leverenz
                                => 15861, levermann
                                => 17261,
                        lewald  => 17765, lewandowska
                                => 15532,
                        lewandowski
                                => 2180, lewerenz
                                => 7732,
                        lewinski
                                => 23748, lewisch => 16786,
                        lexer   => 7828, lexow   => 20806, leyendecker
                                => 6773,
                        leymann => 23244, leypold => 18525, leyrer  => 10423, lhotka  => 17234,
                        libal   => 15337, licata  => 11637, lichtblau
                                => 14616,
                        lichtenauer
                                => 10871, lichtenberg
                                => 3640,
                        lichtenberger
                                => 3847, lichtenecker
                                => 11488,
                        lichtenegger
                                => 752, lichtenfeld
                                => 19686,
                        lichtenschopf
                                => 15137, lichtenstein
                                => 10932,
                        lichtenwald
                                => 24443, lichtenwallner
                                => 17821,
                        lichtenworther
                                => 15171, lichter => 11304,
                        lichtl  => 10138, lichtmannegger
                                => 17293,
                        lichtner
                                => 15661, lichtscheidl
                                => 17051,
                        lidauer => 9769, lidjan  => 21386, lieb    => 2788, liebau  => 6754,
                        liebchen
                                => 16140, liebel  => 15421,
                        liebelt => 10562, liebenauer
                                => 19513,
                        liebenberger
                                => 18996, liebenow
                                => 13562,
                        liebentritt
                                => 11047, liebermann
                                => 7022,
                        liebers => 12325, liebert => 5519, lieberum
                                => 18456,
                        lieberwirth
                                => 23013, liebeskind
                                => 23402,
                        liebetegger
                                => 17657, liebetrau
                                => 7696,
                        liebezeit
                                => 23963, liebhart
                                => 2782,
                        liebich => 5302, liebig  => 1997, liebing => 7766, liebisch
                                => 12475,
                        liebke  => 21127, liebl   => 2787, liebmann
                                => 2637,
                        liebminger
                                => 3431, liebner => 13419,
                        liebold => 6098, liebrecht
                                => 16428,
                        liebs   => 23356, liebsch => 6441, liebscher
                                => 2805,
                        lieckfeldt
                                => 23918, liedke  => 23454,
                        liedl   => 3299, liedtke => 1361, liegl   => 5661, liehmann
                                => 24470,
                        liehr   => 8443, lieleg  => 16643, lienau  => 19637, lienbacher
                                => 1776,
                        liendl  => 4910, liener  => 18799, lienert => 15484, lienhart
                                => 3699,
                        liepe   => 14688, liepert => 17993, liepold => 17855, lier    => 7272,
                        liermann
                                => 8139, liers   => 17801,
                        liersch => 12041, lierzer => 14223, liese   => 3791, liesegang
                                => 16313,
                        liesenfeld
                                => 11128, lieser  => 14675,
                        liesinger
                                => 15694, lieske  => 5415,
                        lietz   => 3741, lietzau => 22498, liewald => 21106, liftinger
                                => 17005,
                        likar   => 21869, lila    => 5663, lilienthal
                                => 7076,
                        limani  => 3269, limbach => 5645, limberg => 6784, limberger
                                => 5532,
                        limburg => 11360, limmer  => 4460, limpert => 21050, lina    => 1434,
                        linauer => 20568, lind    => 1999, lindau  => 8452, lindauer
                                => 12893,
                        lindbichler
                                => 7218, lindebner
                                => 15048,
                        lindemann
                                => 543, linden  => 2555,
                        lindenau
                                => 5765, lindenbauer
                                => 5499,
                        lindenberg
                                => 4593, lindenberger
                                => 9951,
                        lindenblatt
                                => 20757, lindenhofer
                                => 8813,
                        lindenthal
                                => 16921, lindenthaler
                                => 5706,
                        linder  => 1145, lindert => 23673, lindhorst
                                => 7290,
                        lindig  => 12013, lindinger
                                => 1747,
                        lindl   => 17376, lindlar => 22997, lindlbauer
                                => 2942,
                        lindmayr
                                => 18303, lindmoser
                                => 15574,
                        lindner => 173, lindorfer
                                => 1703,
                        lindow  => 17571, lindschinger
                                => 11298,
                        lindt   => 10452, lindtner
                                => 3548,
                        line    => 2275, linecker
                                => 7269,
                        linek   => 22319, linge   => 17830, lingemann
                                => 20049,
                        lingen  => 14641, lingenhel
                                => 18147,
                        lingg   => 8406, lingk   => 20921, lingnau => 12218, lingner => 8149,
                        linhardt
                                => 17480, linhart => 2414,
                        link    => 539, linka   => 17202, linke   => 451, linnartz
                                => 15704,
                        linne   => 11329, linnemann
                                => 3597,
                        linner  => 9024, linninger
                                => 12906,
                        linortner
                                => 12633, lins    => 2000,
                        linsbauer
                                => 8538, linsberger
                                => 19489,
                        linsbichler
                                => 16801, linse   => 12402,
                        linseder
                                => 23597, linsel  => 23954,
                        linser  => 10469, linshalm
                                => 21548,
                        linsinger
                                => 17084, lintner => 1389,
                        lintschinger
                                => 7932, linz    => 3398,
                        linzer  => 6239, linzmeier
                                => 23203,
                        linzner => 15997, lipburger
                                => 12737,
                        lipfert => 18281, lipinski
                                => 5989,
                        lipka   => 9204, lipke   => 8786, lipnik  => 9032, lipp    => 1012,
                        lippert => 1164, lipphardt
                                => 23210,
                        lippitsch
                                => 7925, lippke  => 11919,
                        lippl   => 13972, lippmann
                                => 2469,
                        lippold => 3071, lipps   => 20074, lipski  => 14484, lipusch => 14004,
                        lirsch  => 12521, lisch   => 19508, lischka => 5018, lischke => 10023,
                        lisec   => 18834, liska   => 5152, liske   => 10675, lisker  => 23964,
                        lison   => 21925, lisowski
                                => 22628,
                        lissek  => 20156, lissner => 12928, lisson  => 15648, list    => 1046,
                        listl   => 21087, litau   => 14387, litke   => 19311, litschauer
                                => 3488,
                        littau  => 15763, littmann
                                => 7713,
                        litzinger
                                => 24289, litzlbauer
                                => 5724,
                        ljubas  => 9796, ljubic  => 11456, ljubicic
                                => 16418,
                        ljubijankic
                                => 4632, ljubisavljevic
                                => 9675,
                        ljubojevic
                                => 15828, lleshi  => 24230,
                        loacker => 2884, lobbert => 21263, lobel   => 7005, lobenwein
                                => 6958,
                        lober   => 8312, lobert  => 24426, lobinger
                                => 17929,
                        lobmaier
                                => 22333, lobner  => 11795,
                        lobnig  => 4747, loca    => 6214, loch    => 2612, lochbihler
                                => 17780,
                        lochel  => 21011, locher  => 7205, lochmann
                                => 5121,
                        lochner => 3579, locke   => 3567, locker  => 4196, lockinger
                                => 18334,
                        loco    => 3096, locos   => 15032, loder   => 5948, loderer => 15364,
                        lodler  => 23036, loebel  => 23702, loeffler
                                => 6556,
                        loehr   => 19591, loeper  => 24367, loeser  => 19538, loewe   => 7867,
                        loffel  => 19350, loffelmann
                                => 18948,
                        loffler => 517, logar   => 9610, logemann
                                => 8357,
                        loges   => 14678, lohaus  => 19735, loher   => 17130, lohfeyer
                                => 13215,
                        lohinger
                                => 22423, lohle   => 23733,
                        lohmann => 698, lohmar  => 17250, lohmeier
                                => 12256,
                        lohmer  => 24126, lohmeyer
                                => 13268,
                        lohmuller
                                => 11359, lohner  => 7570,
                        lohnert => 15963, lohninger
                                => 5293,
                        lohoff  => 23311, lohr    => 2271, lohrengel
                                => 18257,
                        lohrer  => 22268, lohrmann
                                => 9936,
                        lohse   => 1294, lohwasser
                                => 19593,
                        loibichler
                                => 18447, loibl   => 1363,
                        loibnegger
                                => 4447, loibner => 6057,
                        loicht  => 13218, loidl   => 657, loidolt => 3345, loindl  => 20935,
                        loipold => 5090, loitsch => 20658, loitzl  => 7243, loizenbauer
                                => 11045,
                        lojic   => 22485, lojnik  => 21082, lokaj   => 24236, lolic   => 20295,
                        lombardo
                                => 5919, lommatzsch
                                => 12289,
                        loncar  => 18207, londer  => 15725, longerich
                                => 20668,
                        longin  => 13010, longo   => 7942, loock   => 13733, look    => 7485,
                        loos    => 1395, loose   => 3221, loosen  => 11083, loper   => 19730,
                        lorbeer => 11966, lorber  => 2478, lorch   => 9415, lorek   => 14493,
                        lorentz => 14072, lorenz  => 92, lorenzen
                                => 1688,
                        lorenzer
                                => 11002, loretz  => 6820,
                        lorey   => 23170, lorich  => 19795, loritz  => 15270, lorke   => 18169,
                        lorse   => 15988, lorunser
                                => 18467,
                        losbichler
                                => 8624, losch   => 3629,
                        losche  => 6458, loschenbrand
                                => 12572,
                        loschenkohl
                                => 19091, loscher => 2340,
                        loschke => 24390, loschl  => 6744, loschner
                                => 10085,
                        loschnig
                                => 15759, loschnigg
                                => 20475,
                        loschy  => 18515, losel   => 14505, loser   => 3503, losert  => 10484,
                        loske   => 13102, losse   => 17464, lossl   => 22889, loth    => 4874,
                        lott    => 7661, lotter  => 8597, lottermoser
                                => 15395,
                        lottersberger
                                => 21467, lottes  => 17525,
                        lottmann
                                => 15750, lotz    => 1658,
                        lotze   => 8398, lotzsch => 20296, lovrek  => 20109, lovrenovic
                                => 16646,
                        lovric  => 2378, lovrinovic
                                => 16978,
                        lovse   => 23452, lowe    => 1491, lowenherz
                                => 8850,
                        lowenstein
                                => 13941, lower   => 13407,
                        lozic   => 19772, lubbe   => 7471, lubben  => 5602, lubbers => 6674,
                        lubbert => 9484, lubcke  => 8461, luber   => 8275, lubitz  => 12071,
                        lubke   => 2373, lublasser
                                => 14936,
                        lubrich => 24416, lucaciu => 19529, lucassen
                                => 23657,
                        luchner => 7525, luchs   => 22247, lucht   => 4480, lucic   => 1533,
                        luck    => 1216, lucke   => 2053, luckeneder
                                => 16052,
                        lucker  => 23481, luckerbauer
                                => 9824,
                        luckert => 15755, lucking => 9216, luckl   => 14431, luckner => 15923,
                        luckow  => 18295, lucks   => 16535, luczak  => 14343, luddecke
                                => 13417,
                        ludecke => 4818, ludeke  => 12148, ludemann
                                => 4361,
                        luder   => 5619, luderer => 15946, luderitz
                                => 17235,
                        luders  => 2874, ludes   => 19481, ludescher
                                => 4885,
                        ludewig => 2632, ludicke => 12308, ludke   => 6477, ludolph => 14179,
                        ludtke  => 1964, ludwig  => 125, lueck   => 15888, luecke  => 24127,
                        luedtke => 17952, luef    => 2786, lueger  => 1575, luegger => 16760,
                        luer    => 7871, luers   => 13513, luftenegger
                                => 6426,
                        luftensteiner
                                => 4413, lugbauer
                                => 7654,
                        luger   => 496, lugert  => 19957, lugger  => 4522, lughofer
                                => 21303,
                        luginger
                                => 21735, lugitsch
                                => 15982,
                        lugmair => 10622, lugmayr => 4734, lugner  => 18937, lugonjic
                                => 19687,
                        lugstein
                                => 3281, luhmann => 7087,
                        luhr    => 5899, luhring => 16017, luhrs   => 6990, luidold => 5949,
                        luisser => 15613, lujic   => 19726, lukac   => 12877, lukacevic
                                => 17722,
                        lukan   => 21499, lukasser
                                => 4251,
                        lukat   => 15792, luke    => 5860, luken   => 5858, lukenda => 22203,
                        lukesch => 18124, luketina
                                => 15908,
                        lukic   => 425, lukitsch
                                => 19231,
                        lukowski
                                => 23885, luksch  => 6718,
                        lulic   => 22027, lumassegger
                                => 17365,
                        lumesberger
                                => 22212, lumetsberger
                                => 8718,
                        lumetzberger
                                => 10235, lummer  => 20983,
                        lummerstorfer
                                => 22196, lumpe   => 24263,
                        lumplecker
                                => 9312, lund    => 6485,
                        lungkofler
                                => 20513, lungwitz
                                => 23654,
                        luning  => 15976, lunzer  => 5318, lupar   => 23358, lupke   => 12473,
                        lurger  => 9009, lurzer  => 7972, luschin => 9844, luschnig
                                => 4667,
                        luschnik
                                => 18639, luser   => 23204,
                        lusser  => 8291, lustig  => 2292, lutge   => 23820, luth    => 5596,
                        luthardt
                                => 9477, luthe   => 23800,
                        luther  => 2005, luthje  => 11252, lutje   => 11279, lutjen  => 23825,
                        lutjens => 22592, lutke   => 17727, lutsch  => 13883, lutschounig
                                => 21829,
                        luttenberger
                                => 1272, lutter  => 3479,
                        luttermann
                                => 22945, luttge  => 22440,
                        luttich => 11989, luttig  => 15841, luttinger
                                => 18774,
                        luttmann
                                => 15744, lutze   => 6421,
                        lutzenberger
                                => 17705, lutzenkirchen
                                => 22382,
                        lutzke  => 24328, lutzmann
                                => 17090,
                        lux     => 849, luxner  => 5461, maack   => 4687, maag    => 8682,
                        maahs   => 18196, maas    => 948, maass   => 1066, maassen => 4205,
                        maatouk => 18619, maatz   => 14246, macanovic
                                => 12758,
                        macek   => 5397, mach    => 1869, machacek
                                => 7610,
                        macheiner
                                => 2151, machel  => 18724,
                        macher  => 819, macherhammer
                                => 16647,
                        machherndl
                                => 13257, machl   => 21436,
                        machner => 20907, machnik => 19670, macho   => 1908, machold => 22766,
                        machon  => 16095, machreich
                                => 12455,
                        machura => 19448, maciejewski
                                => 13502,
                        mack    => 1132, macke   => 8197, mackert => 16510, mackinger
                                => 13740,
                        mackner => 22837, mackowiak
                                => 17379,
                        macura  => 20366, madaus  => 23889, madel   => 20767, maden   => 18626,
                        madeo   => 21506, mader   => 281, maderbacher
                                => 10964,
                        maderebner
                                => 16174, maderegger
                                => 18459,
                        maderner
                                => 14902, madersbacher
                                => 7554,
                        maderthaner
                                => 2681, madl    => 2004,
                        madlberger
                                => 15394, madlener
                                => 2572,
                        madler  => 13287, madlmayr
                                => 8946,
                        madner  => 7636, madreiter
                                => 14404,
                        madritsch
                                => 9838, madrutter
                                => 17351,
                        madsen  => 16748, maeder  => 22189, maerz   => 15576, magauer => 18250,
                        magek   => 19802, magel   => 18470, mager   => 2321, magerl  => 6974,
                        magerle => 11032, mages   => 8598, magg    => 8518, maggio  => 21498,
                        magiera => 10478, magin   => 11890, maglic  => 23440, maglock => 18892,
                        magnes  => 18894, magnet  => 9003, magnussen
                                => 24028,
                        magomadova
                                => 22791, magritzer
                                => 15540,
                        magyar  => 4395, mahlberg
                                => 18056,
                        mahler  => 1534, mahlke  => 12381, mahlknecht
                                => 12244,
                        mahlmann
                                => 19459, mahlow  => 22401,
                        mahlstedt
                                => 17500, mahmic  => 10197,
                        mahmoodi
                                => 24223, mahmoudi
                                => 18608,
                        mahmuljin
                                => 21820, mahmutagic
                                => 22363,
                        mahmutaj
                                => 19348, mahmutovic
                                => 3224,
                        mahn    => 5539, mahnke  => 3806, mahnken => 23910, mahoni  => 19867,
                        mahr    => 2387, mahrer  => 12080, mahringer
                                => 4023,
                        mahrt   => 20682, maibaum => 8753, maier   => 22, maierbrugger
                                => 11632,
                        maierhofer
                                => 377, maierl  => 14302,
                        maikisch
                                => 18586, mailander
                                => 12953,
                        maile   => 12262, maindl  => 16799, mainka  => 5607, mainusch
                                => 23349,
                        mair    => 83, mairbock
                                => 23441,
                        mairhofer
                                => 731, mairhuber
                                => 10589,
                        mairinger
                                => 2784, mairitsch
                                => 4193,
                        mairleitner
                                => 17049, maisch  => 7870,
                        maisel  => 14599, maislinger
                                => 2284,
                        maisser => 19102, maister => 22787, maitz   => 1901, maiwald => 2563,
                        majcen  => 17353, majchrzak
                                => 17578,
                        majer   => 4638, majetic => 12350, majewski
                                => 4470,
                        majic   => 10426, majlovic
                                => 23337,
                        majstorovic
                                => 5547, makalic => 22096,
                        makaveli
                                => 16694, makic   => 10789,
                        makivic => 19458, makoru  => 18431, makowski
                                => 6081,
                        maksic  => 9679, maksimovic
                                => 1912,
                        maksuti => 7662, makula  => 15734, malatschnig
                                => 22116,
                        malcher => 11355, malchow => 8230, maldoner
                                => 14468,
                        malecek => 14310, maleki  => 13648, malesevic
                                => 7987,
                        malessa => 24475, maletic => 11819, maletz  => 22449, maletzki
                                => 16487,
                        maletzky
                                => 20750, malic   => 6828,
                        malinowski
                                => 6013, maliqi  => 4304,
                        malits  => 13529, malke   => 11589, malkic  => 8025, mallaun => 8730,
                        malle   => 1764, maller  => 13845, malli   => 1473, mallin  => 15276,
                        mallinger
                                => 6968, mallmann
                                => 10389,
                        mallon  => 15085, mallwitz
                                => 24218,
                        mally   => 3671, maloku  => 7660, malone  => 21454, malsch  => 11413,
                        malter  => 7697, maltzahn
                                => 22936,
                        maly    => 3555, malz    => 7752, malzahn => 11454, malzer  => 6573,
                        malzner => 17085, mamerow => 16404, mamic   => 12276, mammadov
                                => 21885,
                        mammen  => 21312, mamudoski
                                => 10358,
                        mamuti  => 13520, manahl  => 16749, mancuso => 10915, mandel  => 4127,
                        manderscheid
                                => 23994, mandic  => 2529,
                        mandl   => 186, mandlbauer
                                => 18222,
                        mandler => 5541, mandt   => 12490, manegold
                                => 17232,
                        mang    => 2087, mangard => 21147, mangelberger
                                => 9746,
                        mangelsdorf
                                => 15724, mangeng => 3416,
                        manger  => 10496, manglberger
                                => 18967,
                        mangold => 2057, mangott => 13703, mangweth
                                => 17286,
                        manhardt
                                => 11607, manhart => 5234,
                        manhartsberger
                                => 18665, manhartsgruber
                                => 20415,
                        mania   => 8950, manig   => 13533, maninger
                                => 14129,
                        manka   => 18670, manke   => 5339, mankel  => 20532, mann    => 261,
                        mannel  => 11233, manninger
                                => 5070,
                        manns   => 6652, mannsberger
                                => 6053,
                        manojlovic
                                => 4349, manovic => 19778,
                        manschein
                                => 22730, manseder
                                => 16580,
                        manser  => 12357, mansfeld
                                => 9201,
                        manske  => 5335, mante   => 20780, mantei  => 12881, manteufel
                                => 23471,
                        manteuffel
                                => 24090, manthe  => 19294,
                        manthei => 11445, manthey => 2418, mantl   => 6100, mantler => 5153,
                        mantsch => 10408, manukyan
                                => 21756,
                        manz    => 2993, manzenreiter
                                => 5114,
                        manzke  => 10643, manzl   => 3618, marak   => 16558, marakovits
                                => 14860,
                        marangoz
                                => 23893, marath  => 23092,
                        marbach => 14081, marbler => 5321, marburger
                                => 13409,
                        marceta => 17533, marchart
                                => 10027,
                        marchel => 6833, marcher => 3379, marchese
                                => 12599,
                        marchetti
                                => 7959, marchhart
                                => 7739,
                        marchl  => 5175, marchner
                                => 16653,
                        marchsteiner
                                => 8117, marciniak
                                => 7237,
                        marcinkowski
                                => 16468, marder  => 23152,
                        mardini => 13639, marecek => 22536, marent  => 8055, maresch => 4870,
                        marggraf
                                => 10510, margotti
                                => 18066,
                        margraf => 7256, margreiter
                                => 912,
                        mariacher
                                => 2481, marian  => 3519,
                        maric   => 716, maricic => 6991, marien  => 15332, marienfeld
                                => 11502,
                        marihart
                                => 19583, marijanovic
                                => 4706,
                        marik   => 5593, marincic
                                => 14340,
                        marinelli
                                => 21461, mariner => 13982,
                        maringer
                                => 2581, marinic => 20344,
                        marinitsch
                                => 18704, marinkovic
                                => 192,
                        marino  => 3093, marinov => 5755, marinova
                                => 6577,
                        marinovic
                                => 3635, marinz  => 23263,
                        maritsch
                                => 22793, maritschnegg
                                => 12745,
                        maritschnig
                                => 22131, marjanovic
                                => 895,
                        markanovic
                                => 21425, markart => 6861,
                        markel  => 14874, marker  => 11425, markert => 2041, marketz => 19636,
                        markgraf
                                => 4366, markhart
                                => 18913,
                        markic  => 10638, markiewicz
                                => 19317,
                        markl   => 1296, markmann
                                => 5448,
                        markolin
                                => 17690, markov  => 13853,
                        markovic
                                => 144, markovits
                                => 20617,
                        markowitsch
                                => 7715, markowitz
                                => 19731,
                        markowski
                                => 6942, marks   => 1632,
                        marksteiner
                                => 2653, marktl  => 2918,
                        marku   => 16644, markut  => 11991, markwardt
                                => 14472,
                        markwart
                                => 14075, marlovits
                                => 15660,
                        marlow  => 19309, maroc   => 7481, marohn  => 14469, marojevic
                                => 11805,
                        marold  => 8537, marolt  => 19616, maron   => 10935, maros   => 13689,
                        marotta => 13746, marquard
                                => 9191,
                        marquardt
                                => 526, marquart
                                => 8690,
                        marr    => 7483, marschalek
                                => 18440,
                        marschall
                                => 1868, marschik
                                => 20028,
                        marschke
                                => 13628, marschner
                                => 3643,
                        marschnig
                                => 10827, marte   => 1073,
                        martel  => 10917, martens => 460, martensen
                                => 13195,
                        marter  => 23681, marterer
                                => 19258,
                        martetschlager
                                => 15775, marth   => 1904,
                        martic  => 6111, martinec
                                => 14400,
                        martinek
                                => 4701, martini => 1738,
                        martinovic
                                => 1711, martinz => 6946,
                        martschini
                                => 19900, maruhn  => 12969,
                        marusic => 10918, marvan  => 18167, marx    => 276, marxen  => 10718,
                        marzendorfer
                                => 15895, marzinger
                                => 3970,
                        masch   => 12506, maschat => 23397, masche  => 16168, maschek => 9468,
                        mascher => 6446, mascherbauer
                                => 23594,
                        maschke => 3484, maschl  => 14798, maschler
                                => 12397,
                        maschmann
                                => 18542, masek   => 18090,
                        maser   => 6217, masic   => 5832, masinovic
                                => 13629,
                        maskow  => 23383, maslowski
                                => 23457,
                        masopust
                                => 20555, massaro => 21514,
                        masser  => 2654, massing => 15432, massinger
                                => 17116,
                        massmann
                                => 13378, massner => 22654,
                        masson  => 24242, massow  => 13612, mast    => 5455, masuch  => 14218,
                        masuhr  => 22562, masur   => 8290, matanovic
                                => 7184,
                        matata  => 21426, matauschek
                                => 22502,
                        matei   => 4989, matejcek
                                => 22995,
                        matejic => 6529, matejka => 4938, matek   => 21677, matekalo
                                => 22373,
                        matern  => 5030, materna => 17203, materne => 12791, matha   => 9501,
                        mathe   => 10955, matheis => 5288, mathes  => 4306, mathey  => 22217,
                        mathies => 4340, mathieu => 10179, mathis  => 882, mathoi  => 16272,
                        mathy   => 11884, matic   => 758, matijasevic
                                => 11773,
                        matijevic
                                => 6134, matis   => 22095,
                        matitz  => 21929, matlschweiger
                                => 23303,
                        matosevic
                                => 12808, matouschek
                                => 21681,
                        matousek
                                => 9536, matsche => 12785,
                        matschek
                                => 4556, matschke
                                => 7430,
                        matschnig
                                => 12860, matschnigg
                                => 17710,
                        matt    => 847, mattausch
                                => 13875,
                        mattern => 2404, mattersberger
                                => 2188,
                        mattersdorfer
                                => 6794, mattes  => 2405,
                        matthaei
                                => 20489, matthai => 15637,
                        mattheis
                                => 11386, matthes => 1072,
                        mattheus
                                => 21927, matthews
                                => 10864,
                        matthey => 17119, matthies
                                => 2264,
                        matthiesen
                                => 4828, matthiessen
                                => 15622,
                        mattick => 17479, mattke  => 20854, mattle  => 9085, mattner => 9277,
                        matula  => 8551, matuschek
                                => 10268,
                        matuszak
                                => 18154, matuszewski
                                => 18070,
                        matysiak
                                => 14771, matz    => 2195,
                        matzat  => 14353, matzen  => 11498, matzenberger
                                => 6189,
                        matzer  => 2263, matzhold
                                => 6890,
                        matzinger
                                => 1864, matzka  => 10068,
                        matzke  => 3777, matzl   => 23075, matzler => 9821, matzner => 8925,
                        maubach => 14551, mauch   => 6589, maucher => 9298, mauel   => 16688,
                        mauerbauer
                                => 17816, mauerer => 13083,
                        mauerhofer
                                => 1626, mauermann
                                => 14538,
                        mauersberger
                                => 7728, mauhart => 11310,
                        mauksch => 23068, maul    => 2305, maulwurf
                                => 24188,
                        maunz   => 8750, mauracher
                                => 2099,
                        maureder
                                => 11009, maurer  => 112,
                        maurhart
                                => 18498, mauritsch
                                => 19156,
                        maurus  => 16455, maus    => 187, mausal  => 12335, mauschen
                                => 15979,
                        mauser  => 7553, mausi   => 14575, mausii  => 22721, mausolf => 17360,
                        mauss   => 22374, mausser => 14240, maute   => 14050, mauthner
                                => 3564,
                        mautner => 2911, mavraj  => 13578, mavridis
                                => 22009,
                        maxhuni => 19377, maxian  => 15571, maxones => 17888, maxonus => 19841,
                        may     => 318, mayer   => 19, mayerhofer
                                => 271,
                        mayerhuber
                                => 18390, mayerl  => 4233,
                        mayr    => 41, mayrbaurl
                                => 17195,
                        mayrhauser
                                => 11012, mayrhofer
                                => 141,
                        mayrhuber
                                => 5449, mayringer
                                => 13831,
                        mayrl   => 13300, mayrpeter
                                => 19856,
                        mayrwoger
                                => 12688, maywald => 18561,
                        mazreku => 10899, mazur   => 3719, mazurek => 10210, mcfly   => 7965,
                        mechler => 17552, mecke   => 16151, meckel  => 11511, mecking => 20027,
                        meder   => 4714, mederer => 13550, medic   => 7958, meding  => 11420,
                        medlitsch
                                => 23245, medwed  => 13755,
                        meermann
                                => 19998, mees    => 7601,
                        meese   => 19154, meffert => 7835, megyeri => 20281, mehaj   => 19355,
                        mehic   => 2566, mehl    => 3498, mehler  => 4988, mehlhorn
                                => 3677,
                        mehlich => 22501, mehlig  => 23926, mehling => 14584, mehlis  => 22453,
                        mehlmann
                                => 20995, mehlmauer
                                => 19327,
                        mehmedi => 9803, mehmedov
                                => 6599,
                        mehmedova
                                => 11067, mehmedovic
                                => 1518,
                        mehmetaj
                                => 12585, mehmeti => 2176,
                        mehner  => 5424, mehnert => 3017, mehovic => 24357, mehrens => 19491,
                        mehring => 9846, mehringer
                                => 15224,
                        mehrtens
                                => 11935, meibock => 18798,
                        meichenitsch
                                => 13439, meichsner
                                => 9867,
                        meidl   => 6594, meidlinger
                                => 7310,
                        meier   => 34, meierhofer
                                => 5059,
                        meiers  => 13041, meijer  => 19135, meikl   => 13174, meiler  => 11882,
                        meiling => 22286, meilinger
                                => 10205,
                        meincke => 15645, meinders
                                => 21025,
                        meindl  => 1203, meindlhumer
                                => 20851,
                        meindorfer
                                => 23381, meinecke
                                => 3480,
                        meineke => 16030, meinel  => 3796, meiners => 2958, meinert => 2831,
                        meingassner
                                => 8058, meingast
                                => 13655,
                        meinhardt
                                => 1840, meinhart
                                => 4703,
                        meinhold
                                => 7331, meinicke
                                => 18567,
                        meininger
                                => 11483, meinke  => 3704,
                        meinl   => 16118, meins   => 10583, meinschad
                                => 20272,
                        meinzer => 14460, meirhofer
                                => 21342,
                        meis    => 6843, meise   => 4831, meisel  => 3292, meisen  => 17071,
                        meiser  => 3251, meisinger
                                => 3736,
                        meisl   => 5584, meisner => 5556, meiss   => 19859, meissl  => 3369,
                        meissner
                                => 446, meissnitzer
                                => 6836,
                        meister => 576, meisterl
                                => 9373,
                        meitz   => 4137, meixner => 566, mejri   => 18617, mekic   => 15766,
                        melbinger
                                => 8320, melchart
                                => 16769,
                        melcher => 1945, melchers
                                => 14556,
                        melchert
                                => 5788, melchior
                                => 5692,
                        melde   => 23727, melder  => 24374, melichar
                                => 8629,
                        melikoglu
                                => 21457, mellacher
                                => 13823,
                        meller  => 5933, mellitzer
                                => 11110,
                        melmer  => 5552, melnik  => 21565, melody  => 12528, meloni  => 18764,
                        melzer  => 993, melzig  => 23145, memaj   => 21397, memedi  => 10281,
                        memedoski
                                => 13951, memedov => 19082,
                        memeti  => 6554, memic   => 2025, memisevic
                                => 13787,
                        memisoglu
                                => 13866, menacher
                                => 19995,
                        mencigar
                                => 23022, mende   => 1320,
                        mendel  => 5803, menden  => 18076, mendl   => 18529, mendler => 23464,
                        meneder => 15475, meng    => 4699, mengel  => 4815, menger  => 4791,
                        menges  => 5592, menghin => 20539, menhard => 20235, menhardt
                                => 21195,
                        menhart => 7404, menke   => 1449, menken  => 22612, menne   => 5389,
                        mennel  => 5472, menner  => 10894, menneweger
                                => 12781,
                        menning => 14514, mensching
                                => 23749,
                        mense   => 13210, mensing => 6468, mente   => 18807, mentel  => 18458,
                        mentil  => 7179, mentin  => 21063, mentrup => 24441, mentzel => 9318,
                        menz    => 2935, menze   => 8765, menzel  => 387, menzer  => 10588,
                        menzinger
                                => 17807, menzl   => 11010,
                        meraner => 18035, merbach => 24382, merdanovic
                                => 13062,
                        mergel  => 19596, mergen  => 16747, mergenthaler
                                => 20330,
                        mergler => 22672, mergner => 11430, merhaut => 14816, merhi   => 18591,
                        merk    => 2079, merkel  => 825, merkelbach
                                => 23941,
                        merkens => 17512, merker  => 3748, merkert => 19505, merkinger
                                => 8877,
                        merkl   => 5509, merkle  => 3884, merklein
                                => 23777,
                        merl    => 5845, mermer  => 15019, mersch  => 6606, mersmann
                                => 13202,
                        mertel  => 11297, merten  => 1539, mertens => 488, mertes  => 5531,
                        mertin  => 7457, mertineit
                                => 20188,
                        mertins => 6350, mertl   => 7088, mertsch => 17280, mertz   => 9716,
                        merz    => 814, merzinger
                                => 23131,
                        mesanovic
                                => 13544, mesaros => 21784,
                        mesch   => 13070, meschede
                                => 17892,
                        meschik => 13995, meschke => 14037, meschnark
                                => 19661,
                        meschnig
                                => 16509, mesic   => 2249,
                        meskic  => 11063, messer  => 4484, messerer
                                => 5874,
                        messerschmidt
                                => 3334, messina => 6508,
                        messing => 7687, messinger
                                => 13876,
                        messmer => 9763, messner => 314, mester  => 4591, meszaros
                                => 5981,
                        metaj   => 14990, methner => 11185, metnitzer
                                => 13366,
                        metodiev
                                => 16984, mettbach
                                => 6428,
                        metten  => 19117, metternich
                                => 14623,
                        mettke  => 21123, mettler => 19336, metz    => 772, metzdorf
                                => 17796,
                        metze   => 8403, metzen  => 9206, metzenbauer
                                => 21444,
                        metzger => 810, metzinger
                                => 23396,
                        metzke  => 20940, metzker => 14560, metzler => 707, metzner => 1775,
                        meuer   => 11429, meurer  => 1754, meusburger
                                => 1196,
                        meusel  => 4985, meuser  => 6383, meuter  => 19157, mewes   => 2813,
                        meyer   => 9, meyerdierks
                                => 23973,
                        meyerhoff
                                => 12110, meyers  => 7603,
                        meyn    => 6748, mezger  => 7677, mhmdy   => 13633, micanovic
                                => 10146,
                        micelli => 19399, michaelis
                                => 931,
                        michaels
                                => 19296, michaelsen
                                => 11108,
                        michalak
                                => 6333, michalek
                                => 8748,
                        michalik
                                => 6582, michalitsch
                                => 13399,
                        michalk => 14348, michalke
                                => 8859,
                        michalko
                                => 18941, michalowski
                                => 17314,
                        michalski
                                => 2557, michalsky
                                => 22542,
                        micheel => 8907, michel  => 256, micheler
                                => 10204,
                        micheli => 9614, michelitsch
                                => 2220,
                        michels => 827, michelsen
                                => 11519,
                        micheluzzi
                                => 21445, michenthaler
                                => 8621,
                        michetschlager
                                => 19622, micheu  => 21311,
                        michitsch
                                => 13294, michler => 6310,
                        michlits
                                => 14086, michlmayr
                                => 7881,
                        michna  => 19421, michor  => 14595, michtner
                                => 21520,
                        micic   => 2524, mickl   => 18276, middeke => 20654, middendorf
                                => 5170,
                        midzan  => 23586, midzic  => 8785, miebach => 8438, miedl   => 3851,
                        miedler => 4259, miehe   => 14199, miehl   => 18885, miehle  => 14317,
                        miele   => 21547, mielke  => 989, mierau  => 24125, miersch => 6798,
                        mies    => 6309, miesbacher
                                => 20308,
                        miesbauer
                                => 9985, miesenberger
                                => 13771,
                        miesenbock
                                => 14370, miess   => 24038,
                        mieth   => 7069, miethe  => 16018, miethke => 23239, mietz   => 12011,
                        mietzner
                                => 11320, miftari => 4040,
                        miggitsch
                                => 14329, mihailov
                                => 10381,
                        mihailova
                                => 21993, mihailovic
                                => 12290,
                        mihajlovic
                                => 705, mihali  => 21256,
                        mihalic => 23225, mihalits
                                => 10237,
                        mihaljevic
                                => 16661, mihaylov
                                => 11798,
                        mihaylova
                                => 15356, mijailovic
                                => 4523,
                        mijajlovic
                                => 12214, mijatovic
                                => 2578,
                        mijic   => 8093, mikes   => 13795, mikic   => 2868, mikl    => 6003,
                        miklautsch
                                => 13450, miklautz
                                => 6732,
                        mikolajczak
                                => 21980, mikolajczyk
                                => 17861,
                        mikosch => 16120, miksch  => 4647, miksche => 13967, miksits => 18938,
                        mikula  => 2426, mikulic => 11289, mikulovic
                                => 12818,
                        mikus   => 19446, mikusch => 10884, milacher
                                => 21837,
                        miladinovic
                                => 2438, milak   => 18021,
                        milakovic
                                => 13175, milano  => 5457,
                        milanovic
                                => 1127, milazzo => 18787,
                        milbradt
                                => 20647, milchrahm
                                => 5785,
                        mild    => 4788, milde   => 2754, mildenberger
                                => 7961,
                        mildner => 5301, mileder => 12442, milenkovic
                                => 1133,
                        miletic => 2232, milewski
                                => 11315,
                        milic   => 996, milicevic
                                => 3216,
                        milicic => 18356, milinkovic
                                => 11077,
                        militzer
                                => 24182, milivojevic
                                => 5882,
                        miljak  => 18854, miljanovic
                                => 13988,
                        miljkovic
                                => 2409, milke   => 12848,
                        milkovics
                                => 22739, mill    => 7944,
                        millauer
                                => 11930, miller  => 285,
                        millinger
                                => 4149, millner => 10885,
                        millonig
                                => 7495, milojevic
                                => 2842,
                        milojkovic
                                => 6840, miloradovic
                                => 12461,
                        milosavljevic
                                => 2051, milosevic
                                => 659,
                        milovanovic
                                => 1178, milutinovic
                                => 5931,
                        milz    => 5814, mimlich => 21696, mimra   => 21321, minarik => 6741,
                        mindermann
                                => 17304, mindrup => 23923,
                        mindt   => 20548, minge   => 16311, miniberger
                                => 20969,
                        minic   => 15185, minich  => 19068, minichberger
                                => 7486,
                        minichshofer
                                => 16553, mink    => 6648,
                        minke   => 16496, minnich => 20242, minor   => 10928, minuth  => 23596,
                        mirbach => 12410, mircic  => 17297, mirkovic
                                => 1386,
                        mirnig  => 7673, mirow   => 24106, mirtl   => 16236, mirwald => 22584,
                        mirzaei => 21334, mirzai  => 8211, misch   => 7378, mischek => 22927,
                        mischinger
                                => 8081, mischitz
                                => 7082,
                        mischke => 2824, mischkulnig
                                => 12061,
                        mischok => 24404, misic   => 2607, misini  => 13698, misirli => 22759,
                        miskic  => 6572, miskovic
                                => 2374,
                        mislimi => 15931, misotitsch
                                => 21352,
                        missal  => 20594, missbach
                                => 17438,
                        misslinger
                                => 11312, mistelbauer
                                => 4709,
                        mistelberger
                                => 21092, mistlberger
                                => 12140,
                        mitev   => 9676, miteva  => 21832, mitgutsch
                                => 5017,
                        mitic   => 2742, mitkov  => 15375, mitmannsgruber
                                => 15881,
                        mitmasser
                                => 12364, mitrovic
                                => 208,
                        mitsche => 8552, mitschke
                                => 4345,
                        mittag  => 3213, mittasch
                                => 23011,
                        mittelbach
                                => 12072, mittelberger
                                => 9757,
                        mittelstadt
                                => 4500, mittelstaedt
                                => 20620,
                        mittendorf
                                => 17925, mittendorfer
                                => 2278,
                        mittendrein
                                => 14796, mittenhuber
                                => 21883,
                        mitter  => 818, mitterbacher
                                => 3095,
                        mitterbauer
                                => 2175, mitterberger
                                => 5375,
                        mitterbock
                                => 8015, mitterbuchner
                                => 15989,
                        mitterdorfer
                                => 4482, mitterecker
                                => 11690,
                        mitteregger
                                => 861, mitterer
                                => 708,
                        mitterhauser
                                => 5013, mitterhofer
                                => 8003,
                        mitterhuber
                                => 3364, mitterhuemer
                                => 14264,
                        mitterhumer
                                => 14155, mitterlechner
                                => 8005,
                        mitterlehner
                                => 1682, mitterling
                                => 17362,
                        mittermaier
                                => 4718, mittermair
                                => 3254,
                        mittermayer
                                => 7945, mittermayr
                                => 1049,
                        mittermeier
                                => 6575, mittermeir
                                => 22144,
                        mittermuller
                                => 8111, mitterndorfer
                                => 14403,
                        mitterwallner
                                => 14435, mittl   => 18288,
                        mittler => 10709, mittmann
                                => 6034,
                        mittmannsgruber
                                => 14423, mixner  => 19720,
                        mizelli => 22133, mizic   => 18064, mladek  => 18819, mladenov
                                => 21975,
                        mladenovic
                                => 1926, mlakar  => 12026,
                        mlekusch
                                => 18229, mlinar  => 9805,
                        mlinaric
                                => 22438, mnich   => 18286,
                        mobes   => 22504, mobius  => 1966, mobus   => 8204, moch    => 6634,
                        mocher  => 19087, mock    => 2196, mockel  => 2424, mockenhaupt
                                => 17814,
                        mocnik  => 14947, moder   => 3786, moderer => 16702, moderndorfer
                                => 18015,
                        modica  => 21527, modl    => 6845, modlagl => 22692, modler  => 19925,
                        modlhammer
                                => 18848, modre   => 15771,
                        modritsch
                                => 17902, modritscher
                                => 8126,
                        modz    => 7196, moebius => 20680, moeckel => 24095, moeller => 1649,
                        moers   => 11082, moerth  => 21129, moertl  => 23547, mogge   => 23801,
                        mohamadi
                                => 7108, mohammadi
                                => 511,
                        mohapp  => 11709, mohaupt => 14334, mohle   => 6460, mohler  => 16302,
                        mohlmann
                                => 10500, mohn    => 6952,
                        mohnke  => 12271, mohns   => 24365, mohr    => 270, mohren  => 21036,
                        mohring => 3244, mohrke  => 15662, mohrle  => 14892, mohrmann
                                => 10021,
                        mohseni => 21337, moik    => 3041, moise   => 21471, moisi   => 14876,
                        moisl   => 15559, moitzi  => 2921, mokesch => 12265, mold    => 6665,
                        moldaschl
                                => 12875, moldenhauer
                                => 3696,
                        molders => 11466, moldovan
                                => 2345,
                        molitor => 2867, moll    => 891, mollenbeck
                                => 17676,
                        mollenhauer
                                => 9281, moller  => 75,
                        mollers => 5624, mollich => 18116, mollmann
                                => 5890,
                        mollner => 20390, molnar  => 1173, molschl => 17558, molter  => 8236,
                        molterer
                                => 13053, molzahn => 20032,
                        molzbichler
                                => 16356, molzer  => 7643,
                        momberg => 21570, momberger
                                => 22587,
                        momirovic
                                => 21795, monai   => 23053,
                        monch   => 3782, mondl   => 5946, monien  => 24114, monig   => 18260,
                        monitzer
                                => 6482, monnich => 9847,
                        monnig  => 18199, monsberger
                                => 3973,
                        monschau
                                => 20638, monschein
                                => 2286,
                        monsees => 16199, montag  => 2820, montalto
                                => 18766,
                        montana => 1238, montibeller
                                => 16290,
                        monz    => 4089, moog    => 6472, moor    => 3619, moormann
                                => 10060,
                        moos    => 3903, moosbauer
                                => 11760,
                        moosbrugger
                                => 480, moosburger
                                => 20635,
                        mooshammer
                                => 14032, mooslechner
                                => 7911,
                        moosmann
                                => 3432, moradi  => 3604,
                        morak   => 6073, morandell
                                => 19410,
                        morasch => 18264, morath  => 15505, moravec => 13165, morawe  => 17750,
                        morawek => 13248, morawetz
                                => 6167,
                        morawietz
                                => 8352, morawitz
                                => 11591,
                        morawski
                                => 23602, morbach => 15418,
                        morche  => 22853, mordhorst
                                => 18395,
                        morgenbesser
                                => 9738, morgenroth
                                => 5796,
                        morgenstern
                                => 1263, morgner => 8289,
                        moriggl => 21429, morina  => 848, moritsch
                                => 10411,
                        moritzer
                                => 18760, morlock => 13591,
                        morocutti
                                => 14070, morokutti
                                => 17373,
                        morosan => 21653, morri   => 16478, morsch  => 11806, morschbacher
                                => 19172,
                        morscher
                                => 5852, morsdorf
                                => 20197,
                        mortenhuber
                                => 13762, morth   => 864,
                        mortl   => 1956, mortsch => 10117, morwald => 15855, morzinger
                                => 7045,
                        mosavi  => 8970, mosbach => 20763, mosbacher
                                => 6934,
                        mosby   => 18208, mosch   => 5200, moschen => 16843, moschitz
                                => 9122,
                        moschl  => 8521, moschner
                                => 23938,
                        mosebach
                                => 11300, mosel   => 15885,
                        moseler => 24378, mosenbacher
                                => 16196,
                        mosenbichler
                                => 15023, moseneder
                                => 9455,
                        moser   => 13, moshammer
                                => 7380,
                        mosig   => 14712, mosinger
                                => 22981,
                        mosl    => 3977, mosler  => 11052, moslinger
                                => 4474,
                        moss    => 8485, mosser  => 4641, mosshammer
                                => 12929,
                        mossinger
                                => 21447, mosslacher
                                => 10771,
                        mossler => 10141, mossmer => 17689, mossner => 15641, most    => 8516,
                        mostbock
                                => 13113, mostert => 21966,
                        mostetschnig
                                => 20397, mostl   => 1979,
                        mostogl => 7539, moswitzer
                                => 14920,
                        mothes  => 7882, motsch  => 19061, motschiunig
                                => 15900,
                        motschnig
                                => 19742, mottl   => 8057,
                        moucka  => 15947, moursi  => 22805, mousavi => 16636, movia   => 13618,
                        mozelt  => 12892, mratinkovic
                                => 9901,
                        mraz    => 6539, mrazek  => 7398, mrkonjic
                                => 5087,
                        mrosek  => 8416, mross   => 17797, mrotzek => 24410, mrowka  => 24164,
                        mrozek  => 11900, mrsic   => 8998, muaremi => 17733, mucha   => 4393,
                        muche   => 22764, mucher  => 13480, muchitsch
                                => 5086,
                        muchow  => 15897, muck    => 3391, mucke   => 2071, muckenhuber
                                => 9726,
                        muckenhumer
                                => 22237, muders  => 24302,
                        muecke  => 23911, muehl   => 22970, muehlbacher
                                => 11490,
                        mueller => 130, muellner
                                => 7224,
                        muench  => 9169, mugge   => 14711, mugitsch
                                => 22684,
                        muglach => 18379, mugrauer
                                => 16865,
                        muhamedbegovic
                                => 22313, muhic   => 12422,
                        muhl    => 4547, muhlbach
                                => 7365,
                        muhlbacher
                                => 427, muhlbachler
                                => 5198,
                        muhlbauer
                                => 1835, muhlberg
                                => 11274,
                        muhlberger
                                => 1378, muhlbock
                                => 1950,
                        muhlburger
                                => 13525, muhlecker
                                => 22165,
                        muhleder
                                => 9149, muhlegger
                                => 3544,
                        muhlehner
                                => 9870, muhlenbeck
                                => 24435,
                        muhlenberg
                                => 17729, muhler  => 19533,
                        muhlfellner
                                => 14732, muhlhans
                                => 15314,
                        muhlhaus
                                => 15909, muhlhauser
                                => 13708,
                        muhlhofer
                                => 19905, muhlig  => 20205,
                        muhling => 13091, muhllechner
                                => 21404,
                        muhllehner
                                => 23255, muhlmann
                                => 5839,
                        muhlparzer
                                => 18241, muhlsteiger
                                => 21752,
                        muhlthaler
                                => 9014, muhr    => 569,
                        muhrer  => 8760, muhri   => 8944, muhringer
                                => 10184,
                        muigg   => 3322, muik    => 6118, mujagic => 6432, mujakic => 19837,
                        mujanovic
                                => 6237, mujcic  => 21603,
                        mujcinovic
                                => 12764, mujic   => 2114,
                        mujkanovic
                                => 4238, mujkic  => 2696,
                        mulaj   => 9611, mulalic => 7684, mulder  => 21935, muldur  => 19114,
                        mulej   => 20725, mullabazi
                                => 19086,
                        mullauer
                                => 3297, mulleder
                                => 6546,
                        mullegger
                                => 6199, muller  => 2,
                        mullers => 7323, mullner => 176, multhaup
                                => 23496,
                        muminovic
                                => 2894, mumm    => 7876,
                        mumme   => 18220, mummert => 14416, muncan  => 16150, munch   => 523,
                        munchow => 8774, mund    => 3869, mundigler
                                => 23577,
                        mundler => 22215, mundt   => 2121, mungenast
                                => 7285,
                        munich  => 10159, munk    => 6900, munkel  => 20479, munkelt => 19775,
                        munker  => 14847, munnich => 7397, munsch  => 17509, munster => 2111,
                        munstermann
                                => 10550, munz    => 3868,
                        munzberg
                                => 14624, munzel  => 18225,
                        munzer  => 2825, munzert => 14784, munzinger
                                => 24351,
                        munzker => 9915, munzner => 15813, muqaj   => 14871, muradi  => 21324,
                        muralter
                                => 11868, murati  => 2500,
                        muratovic
                                => 2018, muratspahic
                                => 18880,
                        murauer => 2302, murawski
                                => 9214,
                        murer   => 12795, murgg   => 11553, murhammer
                                => 12450,
                        muric   => 2909, muriqi  => 21271, murko   => 12913, murlasits
                                => 11287,
                        murmann => 22234, murnig  => 18949, murr    => 8090, murrer  => 18592,
                        murseli => 13783, murtezi => 22570, murtic  => 8547, murtinger
                                => 20506,
                        murzl   => 12056, musanovic
                                => 18908,
                        musat   => 22246, musavi  => 16818, musawi  => 11878, musch   => 11030,
                        muschet => 20395, muschik => 18662, muser   => 15995, musial  => 15457,
                        musil   => 2589, musinovic
                                => 14324,
                        musiol  => 7690, muslija => 16830, muslimovic
                                => 14994,
                        musliu  => 4964, muslu   => 23190, mussbacher
                                => 8967,
                        musser  => 15378, mussig  => 21120, mussmann
                                => 20561,
                        mussnig => 11506, mustafi => 4900, mustafic
                                => 2530,
                        mustafov
                                => 7188, mustafova
                                => 19150,
                        mustedanagic
                                => 12307, muster  => 841,
                        mutenthaler
                                => 13895, muth    => 1663,
                        muther  => 13212, mutlu   => 1606, mutschlechner
                                => 8558,
                        mutschler
                                => 9775, muttenthaler
                                => 5393,
                        mutz    => 7183, mutze   => 7020, mutzel  => 20193, muxel   => 4903,
                        muzaferovic
                                => 10749, naber   => 5973,
                        nabizada
                                => 18628, nachbagauer
                                => 9645,
                        nachbargauer
                                => 13886, nachbauer
                                => 10597,
                        nachbaur
                                => 2535, nachforg
                                => 12796,
                        nachreiner
                                => 24335, nachtigall
                                => 4104,
                        nachtmann
                                => 15537, nachtwey
                                => 18068,
                        nacke   => 8821, nadarevic
                                => 12642,
                        nadegger
                                => 15097, naderer => 2268,
                        naderhirn
                                => 9736, naderi  => 10872,
                        nadler  => 5738, nadolny => 15414, nadolski
                                => 22358,
                        nador   => 13962, nadrag  => 20004, naeve   => 19949, nagel   => 235,
                        nagele  => 1276, nageler => 5098, nagelhofer
                                => 22276,
                        nager   => 18098, nagiller
                                => 8304,
                        nagl    => 404, nagler  => 3317, naglseder
                                => 13441,
                        nagy    => 291, nahler  => 22976, nahrer  => 20487, nahrstedt
                                => 21151,
                        nairz   => 3235, najafi  => 14951, nakicevic
                                => 18877,
                        nalbant => 19185, nannen  => 13023, napetschnig
                                => 3522,
                        napoli  => 10153, napolitano
                                => 15042,
                        narat   => 16958, narath  => 21236, nardin  => 9047, nardon  => 18618,
                        narnhofer
                                => 11377, narr    => 7257,
                        naschberger
                                => 5145, naschenweng
                                => 10581,
                        naseri  => 10125, nasic   => 17269, nass    => 6489, nassan  => 21083,
                        nastasijevic
                                => 14064, nastl   => 22679,
                        nather  => 7730, nator   => 16889, natschlager
                                => 11969,
                        natter  => 2448, natterer
                                => 23584,
                        natusch => 22030, naujok  => 20198, naujokat
                                => 14735,
                        naujoks => 3401, naumann => 328, naundorf
                                => 9914,
                        nauschnegg
                                => 14820, navratil
                                => 7400,
                        nawabi  => 14961, nawrath => 10473, nawratil
                                => 17991,
                        nawrocki
                                => 11219, nawrot  => 15465,
                        nawroth => 13415, nayir   => 17954, nazari  => 2376, nebauer => 16721,
                        nebel   => 3042, nebelung
                                => 13100,
                        nebenfuhr
                                => 12727, neckam  => 18853,
                        necker  => 23728, nedelea => 22857, nedeljkov
                                => 12242,
                        nedeljkovic
                                => 2416, nedic   => 3674,
                        nedwed  => 16193, neef    => 6095, neemann => 23855, neff    => 4022,
                        neger   => 8315, negrea  => 20624, neher   => 6894, nehiba  => 15609,
                        nehls   => 3664, nehlsen => 21174, nehrig  => 24163, nehring => 4180,
                        nehrkorn
                                => 21264, neidhardt
                                => 6723,
                        neidhart
                                => 4365, neidl   => 18274,
                        neier   => 19470, neise   => 20013, neiss   => 19804, neissl  => 13030,
                        neitsch => 19926, neitzel => 3894, neitzke => 15398, nekam   => 13704,
                        nekola  => 16252, nekrep  => 23076, nelke   => 18493, nell    => 7549,
                        nellen  => 15490, nelles  => 6608, nellessen
                                => 18194,
                        nemec   => 1652, nemecek => 9593, nemet   => 17734, nemeth  => 797,
                        nemetz  => 3438, nemitz  => 8399, nenadic => 14592, nenadovic
                                => 16143,
                        nendwich
                                => 7209, nenning => 3183,
                        nennstiel
                                => 19938, nentwich
                                => 13718,
                        nentwig => 9689, neppl   => 21730, nepraunig
                                => 17739,
                        nerger  => 11256, nerlich => 7850, nesensohn
                                => 5346,
                        neske   => 19270, nesler  => 16208, nessl   => 20813, nessler => 10278,
                        nessmann
                                => 10134, nestelbacher
                                => 14442,
                        nestelberger
                                => 8183, nestler => 2289,
                        nestmann
                                => 23250, nestorov
                                => 20920,
                        nestorovic
                                => 12510, nett    => 4617,
                        netter  => 23530, netzel  => 12120, netzer  => 1770, neubacher
                                => 2049,
                        neubauer
                                => 128, neubeck => 20679,
                        neuber  => 2930, neuberger
                                => 4019,
                        neubert => 604, neubock => 9317, neubrand
                                => 23780,
                        neuburger
                                => 5495, neudeck => 11732,
                        neudecker
                                => 10330, neudert => 10100,
                        neudorfer
                                => 2130, neuendorf
                                => 6683,
                        neuenfeldt
                                => 22698, neufeld => 2812,
                        neugebauer
                                => 1048, neugschwandtner
                                => 21189,
                        neugschwentner
                                => 20667, neuhaus => 897,
                        neuhausen
                                => 18491, neuhauser
                                => 587,
                        neuherz => 3729, neuhof  => 16336, neuhofer
                                => 2308,
                        neuhoff => 9924, neuhold => 294, neuhuber
                                => 3443,
                        neujahr => 20066, neukam  => 7063, neukirch
                                => 8769,
                        neukirchen
                                => 13579, neukirchner
                                => 10170,
                        neuland => 19562, neulinger
                                => 2336,
                        neumaier
                                => 2285, neumair => 8392,
                        neuman  => 21523, neumann => 31, neumayer
                                => 1102,
                        neumayr => 1232, neumeier
                                => 2917,
                        neumeister
                                => 946, neumeyer
                                => 8068,
                        neumuller
                                => 1630, neundlinger
                                => 5252,
                        neundorf
                                => 20309, neuner  => 646,
                        neuninger
                                => 9041, neunteufel
                                => 3783,
                        neunteufl
                                => 11209, neuper  => 10142,
                        neupert => 6980, neurath => 22427, neurauter
                                => 1396,
                        neureiter
                                => 1520, neurohr => 22259,
                        neuroth => 23466, neururer
                                => 1648,
                        neuschitzer
                                => 12890, neuschmid
                                => 14583,
                        neuser  => 10539, neusiedler
                                => 10424,
                        neuss   => 14889, neusser => 14412, neussl  => 17290, neustifter
                                => 10240,
                        neuweg  => 16947, neuwirt => 23051, neuwirth
                                => 419,
                        neuwirther
                                => 20520, neuzil  => 23540,
                        nevermann
                                => 23477, neyer   => 5353,
                        nezic   => 16999, neziraj => 13694, neziri  => 2875, nezirovic
                                => 15131,
                        nguyen  => 72, nickel  => 468, nickels => 13767, nickisch
                                => 19716,
                        nickl   => 7200, nicklaus
                                => 15643,
                        nicklisch
                                => 17832, nickol  => 22723,
                        nicolosi
                                => 21533, nicolussi
                                => 5280,
                        niebauer
                                => 12685, niebel  => 21233,
                        niebergall
                                => 9460, niebler => 11932,
                        niebling
                                => 18236, niebuhr => 3807,
                        niederacher
                                => 13140, niederbacher
                                => 10929,
                        niederberger
                                => 6985, niederbichler
                                => 15539,
                        niederbrucker
                                => 16793, niederdorfer
                                => 8847,
                        niederegger
                                => 6653, niederer
                                => 4722,
                        niederhammer
                                => 18466, niederhausen
                                => 22916,
                        niederhauser
                                => 8358, niederhofer
                                => 9388,
                        niederhuber
                                => 10194, niederkircher
                                => 19285,
                        niederkofler
                                => 8360, niederl => 1088,
                        niederleitner
                                => 14382, niedermaier
                                => 9635,
                        niedermair
                                => 8244, niedermayer
                                => 4122,
                        niedermayr
                                => 2217, niedermeier
                                => 2617,
                        niedermeyer
                                => 22084, niedermoser
                                => 11733,
                        niedermuhlbichler
                                => 20511, niedermuller
                                => 11435,
                        niederreiter
                                => 4716, niederseer
                                => 21779,
                        niederstrasser
                                => 15627, niedertscheider
                                => 18629,
                        niederwieser
                                => 11393, niederwimmer
                                => 18710,
                        niederwolfsgruber
                                => 22220, niedl   => 11164,
                        niedrist
                                => 11455, niefergall
                                => 16136,
                        niegelhell
                                => 16073, niegl   => 12810,
                        niehaus => 3926, niehoff => 4664, niehues => 6021, niehus  => 12385,
                        niel    => 7948, nieland => 11504, nielsen => 1853, niemann => 601,
                        niemczyk
                                => 19443, niemeier
                                => 5881,
                        niemetz => 15020, niemeyer
                                => 1885,
                        niemietz
                                => 23616, niemoller
                                => 24183,
                        nienaber
                                => 9246, niendorf
                                => 12395,
                        nienhaus
                                => 5184, nienstedt
                                => 23797,
                        niepel  => 20583, nierhaus
                                => 23757,
                        niermann
                                => 6159, nies    => 6008,
                        niese   => 20294, niesel  => 23890, niesen  => 12833, niesner => 23091,
                        niess   => 19913, niessen => 5420, niessl  => 15178, niessner
                                => 12361,
                        niestroj
                                => 14411, nieswandt
                                => 17716,
                        niethammer
                                => 16337, nietsch => 13597,
                        nietzold
                                => 23716, niewerth
                                => 15626,
                        niewohner
                                => 20774, nigg    => 4672,
                        niggemann
                                => 6377, niggemeier
                                => 19614,
                        niggl   => 17402, nigischer
                                => 11844,
                        nigl    => 2913, nigro   => 16713, nigsch  => 3758, nika    => 3828,
                        nikic   => 5894, niklaus => 17122, niklos  => 20486, nikodijevic
                                => 18790,
                        nikol   => 18678, nikolaidis
                                => 17191,
                        nikolaou
                                => 17189, nikolasch
                                => 15606,
                        nikolic => 110, nikollbibaj
                                => 17719,
                        nikolov => 4571, nikolova
                                => 8010,
                        nikolovski
                                => 22005, nikqi   => 15499,
                        nilges  => 20832, nilles  => 18122, nilsson => 12611, nimfuhr => 19045,
                        nimmerfall
                                => 23363, nimmerrichter
                                => 18962,
                        nimmervoll
                                => 4614, nimmrichter
                                => 13357,
                        nimpf   => 20316, ninaus  => 2579, nindl   => 2806, ninic   => 17092,
                        ninkovic
                                => 16774, ninnemann
                                => 23709,
                        nippert => 23865, nique   => 12093, nirschl => 11014, nisandzic
                                => 10820,
                        nisic   => 14069, nissen  => 2045, nissl   => 21792, nistelberger
                                => 5387,
                        nistl   => 13482, nitsch  => 2146, nitsche => 1206, nitschke
                                => 1202,
                        nitz    => 4147, nitze   => 16438, nitzsche
                                => 2219,
                        nitzschke
                                => 13038, nixdorf => 7384,
                        noack   => 401, nobauer => 1791, nobel   => 16950, nobile  => 18747,
                        nobis   => 5717, nocke   => 19816, nocker  => 4284, nockl   => 23418,
                        nockler => 22935, noebauer
                                => 17003,
                        noelle  => 19304, noeske  => 22744, noest   => 19758, noetzel => 10761,
                        noffke  => 22650, noggler => 19977, nohammer
                                => 17538,
                        nohmer  => 16689, nohrer  => 7240, noichl  => 8958, noisternig
                                => 8881,
                        nokaj   => 19365, nolde   => 16158, nolden  => 6392, nolke   => 16512,
                        noll    => 1037, nolle   => 11518, noller  => 15873, nolte   => 671,
                        nolting => 6108, nolz    => 7489, nomayr  => 19537, nonnenmacher
                                => 12876,
                        noori   => 2479, nordhoff
                                => 19610,
                        nordmann
                                => 3578, nordmeyer
                                => 23895,
                        nordt   => 20710, norenberg
                                => 13233,
                        norris  => 14975, nosek   => 15297, nosig   => 18113, noske   => 11909,
                        nossek  => 23373, nost    => 3792, nosterer
                                => 20865,
                        notdurfter
                                => 14388, nothaft => 24372,
                        nothdurft
                                => 14172, nothdurfter
                                => 5470,
                        nothegger
                                => 3984, nothnagel
                                => 13928,
                        notstaller
                                => 13844, nott    => 6322,
                        notter  => 9258, notzel  => 9962, notzold => 17439, noureddine
                                => 21944,
                        novac   => 13800, novacek => 7396, novak   => 223, novakov => 3030,
                        novakovic
                                => 1443, novic   => 18862,
                        novkovic
                                => 20270, novosel => 11319,
                        novotny => 1130, novy    => 8447, nowack  => 2687, nowacki => 9311,
                        nowaczyk
                                => 20587, nowak   => 237,
                        nowakowski
                                => 6041, nowara  => 22357,
                        nowicki => 6335, nowitzki
                                => 12456,
                        nowotny => 3453, noxcho  => 20943, nrecaj  => 22089, nuart   => 19952,
                        nubel   => 12304, nuber   => 11881, nuchter => 17942, nuck    => 7492,
                        nuhanovic
                                => 3516, nuhic   => 12677,
                        nukic   => 9007, numanovic
                                => 13314,
                        nunner  => 11716, nuredini
                                => 5488,
                        nurenberg
                                => 21134, nurikic => 18588,
                        nurnberger
                                => 4150, nushi   => 12587,
                        nuss    => 6834, nussbaum
                                => 8533,
                        nussbaumer
                                => 665, nussbaummuller
                                => 12441,
                        nussdorfer
                                => 16763, nusse   => 24200,
                        nusser  => 8561, nussgraber
                                => 21409,
                        nuster  => 19313, nutz    => 2657, nutzel  => 18285, nyikos  => 22421,
                        obenaus => 11318, obendorfer
                                => 19467,
                        obendrauf
                                => 9493, ober    => 3014,
                        oberacher
                                => 21721, oberaigner
                                => 8893,
                        oberascher
                                => 3489, oberauer
                                => 2838,
                        oberbauer
                                => 5762, oberbeck
                                => 23048,
                        oberbichler
                                => 5705, oberbramberger
                                => 17470,
                        oberbucher
                                => 17016, oberdanner
                                => 9937,
                        oberdorfer
                                => 2613, obereder
                                => 2895,
                        oberegger
                                => 6490, obereigner
                                => 17514,
                        oberenzer
                                => 16667, oberer  => 6030,
                        obererlacher
                                => 9619, obergantschnig
                                => 16577,
                        oberger => 10566, obergmeiner
                                => 16699,
                        obergruber
                                => 9981, oberguggenberger
                                => 14981,
                        oberhamberger
                                => 10390, oberhammer
                                => 8768,
                        oberhauser
                                => 723, oberhofer
                                => 1564,
                        oberhollenzer
                                => 15507, oberhuber
                                => 3358,
                        oberhumer
                                => 9664, oberklammer
                                => 16939,
                        oberkofler
                                => 6254, oberlader
                                => 21799,
                        oberladstatter
                                => 6124, oberlander
                                => 4009,
                        oberle  => 5807, oberlechner
                                => 3657,
                        oberlehner
                                => 17380, oberleitner
                                => 1061,
                        oberlercher
                                => 8824, oberlerchner
                                => 8923,
                        oberlohr
                                => 18092, oberlojer
                                => 15756,
                        oberluggauer
                                => 14180, obermaier
                                => 3541,
                        obermair
                                => 2798, obermann
                                => 5162,
                        obermayer
                                => 3160, obermayr
                                => 1242,
                        obermeier
                                => 2203, obermeyer
                                => 12219,
                        obermoser
                                => 1497, obermuller
                                => 1822,
                        obernauer
                                => 16314, obernberger
                                => 6753,
                        oberndorfer
                                => 1365, oberneder
                                => 13286,
                        oberngruber
                                => 9012, obernosterer
                                => 3326,
                        oberortner
                                => 12755, oberpeilsteiner
                                => 14112,
                        oberrauch
                                => 13275, oberrauner
                                => 4069,
                        oberrauter
                                => 11726, oberreiter
                                => 2002,
                        oberressl
                                => 19924, oberroithmair
                                => 21770,
                        oberscheider
                                => 15138, oberschelp
                                => 23135,
                        oberschmid
                                => 14457, oberschneider
                                => 17342,
                        obersteiner
                                => 3949, obert   => 9753,
                        oberthaler
                                => 9481, oberthanner
                                => 12311,
                        oberwalder
                                => 7691, oberwandling
                                => 12040,
                        oberweger
                                => 9383, oberwinkler
                                => 6979,
                        oberzaucher
                                => 7472, obexer  => 16114,
                        obholzer
                                => 18521, obinger => 21998,
                        obkircher
                                => 12186, oblak   => 4468,
                        oblasser
                                => 7422, obmann  => 3944,
                        obojes  => 12853, obradovic
                                => 1068,
                        obrenovic
                                => 20493, obrist  => 7207,
                        obritzberger
                                => 21778, obritzhauser
                                => 13398,
                        obruca  => 17276, obst    => 2020, obwaller
                                => 6067,
                        obweger => 9868, obwegeser
                                => 13449,
                        ocak    => 6567, ocalan  => 20802, ochabauer
                                => 11712,
                        ochenbauer
                                => 19211, ochensberger
                                => 12391,
                        ochmann => 8277, ochs    => 2123, ochse   => 22831, ochsenhofer
                                => 6680,
                        ockert  => 14285, oconnor => 21353, odabas  => 9562, odabasi => 14397,
                        odendahl
                                => 16384, odenthal
                                => 5877,
                        odobasic
                                => 23480, oehler  => 4940,
                        oehlmann
                                => 24414, oehme   => 3323,
                        oehmichen
                                => 13467, oelke   => 14043,
                        oelkers => 10095, oellers => 16417, oelmann => 9329, oelschlagel
                                => 23747,
                        oelschlager
                                => 17341, oelschlegel
                                => 24314,
                        oelsner => 9399, oelze   => 13388, oepen   => 17613, oertel  => 1734,
                        oertelt => 24208, oerter  => 24152, oeser   => 5844, oesterle
                                => 10852,
                        oesterreich
                                => 18095, oesterreicher
                                => 21510,
                        oestmann
                                => 20519, oestreich
                                => 4959,
                        oestreicher
                                => 24273, oetjen  => 16403,
                        oetken  => 17425, oettel  => 12087, oettinger
                                => 22274,
                        oettl   => 21325, oetzel  => 17230, oevermann
                                => 22896,
                        oezdemir
                                => 17152, oezelt  => 23382,
                        ofenbock
                                => 4457, ofer    => 8460,
                        offel   => 12121, offenbacher
                                => 17820,
                        offenberger
                                => 8251, offenthaler
                                => 16612,
                        offergeld
                                => 17396, offerl  => 21122,
                        offermann
                                => 3948, offermanns
                                => 9875,
                        offner  => 3924, ofner   => 307, ogertschnig
                                => 22432,
                        ognjanovic
                                => 18759, ogris   => 1369,
                        ogrisek => 16435, ohlendorf
                                => 9375,
                        ohler   => 6500, ohlig   => 19939, ohliger => 19750, ohlinger
                                => 2306,
                        ohlsen  => 10680, ohlzelt => 20814, ohmann  => 23536, ohnesorge
                                => 14672,
                        ohrfandl
                                => 14263, oismuller
                                => 11867,
                        oitzinger
                                => 6720, okanovic
                                => 10123,
                        okatan  => 21441, oksuz   => 5099, oktem   => 23379, okumus  => 8856,
                        okur    => 7192, okutan  => 16407, okyay   => 17442, olbert  => 17209,
                        olbertz => 24466, olbrich => 3001, olbricht
                                => 22510,
                        oldenburg
                                => 2257, olejniczak
                                => 18374,
                        olejnik => 14127, olesch  => 14863, olga    => 7506, olgar   => 23601,
                        olipitz => 17108, oller   => 2389, ollerer => 12180, olliges => 23344,
                        ollinger
                                => 4462, olmez   => 5723,
                        olsacher
                                => 6656, olschewski
                                => 3499,
                        olsen   => 6219, olsson  => 17103, olszewski
                                => 12819,
                        oltersdorf
                                => 18307, olthoff => 11540,
                        oltmann => 13500, oltmanns
                                => 3161,
                        olzant  => 23055, omairat => 23986, omann   => 9783, omanovic
                                => 7512,
                        omayrat => 11549, omeirat => 2273, omelko  => 12118, omeradzic
                                => 10722,
                        omeragic
                                => 15247, omercevic
                                => 15040,
                        omerovic
                                => 834, omlor   => 24166,
                        ommer   => 20518, omoruyi => 16271, onal    => 5735, ondrak  => 21686,
                        ondrovics
                                => 22665, ongun   => 12170,
                        onken   => 8371, onmaz   => 5239, onnen   => 22368, onturk  => 10220,
                        opel    => 5769, opelka  => 21398, opetnik => 9519, opfermann
                                => 16187,
                        opitz   => 785, oppel   => 8092, oppelt  => 10624, oppenauer
                                => 6976,
                        oppeneiger
                                => 6156, opper   => 16004,
                        oppermann
                                => 1447, oppinger
                                => 21949,
                        oppitz  => 11382, oppolzer
                                => 14133,
                        opriessnig
                                => 13322, opris   => 17218,
                        orascanin
                                => 8795, orasch  => 5703,
                        orasche => 11037, oraze   => 8071, ordelt  => 21843, oren    => 8784,
                        orgl    => 7864, orgler  => 7994, orieschnig
                                => 19785,
                        orlowski
                                => 4849, orman   => 21902,
                        ornek   => 19059, ornetsmuller
                                => 17310,
                        ornetzeder
                                => 20722, ornig   => 12575,
                        oroshi  => 23099, orsolic => 7625, orsolits
                                => 22824,
                        orsulic => 18921, ortbauer
                                => 5348,
                        orth    => 1642, orthaber
                                => 12916,
                        orthofer
                                => 9055, ortlepp => 8208,
                        ortler  => 9378, ortlieb => 8094, ortmann => 1714, ortmanns
                                => 22846,
                        ortmayr => 13793, ortner  => 114, ortwein => 23475, oruc    => 5117,
                        osanger => 15205, osburg  => 24122, oschatz => 17708, oschmann
                                => 7419,
                        osinski => 22056, osmanagic
                                => 12776,
                        osmanaj => 11578, osmanbasic
                                => 23316,
                        osmancevic
                                => 9031, osmani  => 1322,
                        osmankic
                                => 14980, osmanov => 15306,
                        osmanovic
                                => 1601, osmers  => 19500,
                        osso    => 6837, ossowski
                                => 14385,
                        osswald => 8720, ostendorf
                                => 4354,
                        oster   => 3122, osterbauer
                                => 10948,
                        osterburg
                                => 23785, osterkamp
                                => 11322,
                        osterkorn
                                => 14145, osterland
                                => 20965,
                        osterle => 5793, osterloh
                                => 6163,
                        ostermaier
                                => 14674, ostermann
                                => 930,
                        ostermayer
                                => 15812, ostermeier
                                => 5007,
                        ostermeyer
                                => 23997, osterreicher
                                => 1244,
                        ostertag
                                => 7144, osterwald
                                => 24320,
                        ostheimer
                                => 14703, osthoff => 13365,
                        ostler  => 24083, ostmann => 11391, ostojic => 3186, ostrowski
                                => 5760,
                        ostwald => 6445, oswald  => 296, oswaldi => 21672, otremba => 14520,
                        ott     => 257, ottacher
                                => 19958,
                        otte    => 1008, otten   => 1293, ottendorfer
                                => 15207,
                        ottens  => 23175, otter   => 3685, otterbach
                                => 10779,
                        ottersbach
                                => 20616, ottinger
                                => 24275,
                        ottino  => 11158, ottitsch
                                => 12436,
                        ottl    => 3276, ottmann => 11008, otto    => 127, ottowitz
                                => 11623,
                        otzlinger
                                => 22257, oueslati
                                => 21988,
                        ouschan => 9396, over    => 8491, overath => 23414, overbeck
                                => 9449,
                        overhage
                                => 22859, overkamp
                                => 22517,
                        owczarek
                                => 22306, ozalp   => 9801,
                        ozarslan
                                => 23572, ozbay   => 8070,
                        ozbek   => 3208, ozcan   => 619, ozcelik => 2436, ozdamar => 21004,
                        ozdemir => 214, ozdil   => 19483, ozdogan => 10286, ozel    => 2988,
                        ozen    => 2189, ozer    => 1055, ozgan   => 16872, ozgen   => 6875,
                        ozkan   => 631, ozkanli => 20924, ozkara  => 12778, ozkaya  => 3852,
                        ozkul   => 12720, ozmen   => 1900, ozsoy   => 5189, oztas   => 6160,
                        oztekin => 21268, ozturk  => 148, ozyanik => 13861, ozyilmaz
                                => 22639,
                        ozyurek => 21806, ozyurt  => 11059, paape   => 22633, paarmann
                                => 20934,
                        paasch  => 7899, paasche => 21064, pabinger
                                => 13680,
                        pabisch => 15079, pable   => 7446, pabst   => 1349, pachatz => 11226,
                        pache   => 9569, pacher  => 643, pachernegg
                                => 8634,
                        pachernig
                                => 22869, pachernik
                                => 18916,
                        pachinger
                                => 4383, pachler => 1709,
                        pachner => 2966, pachoinig
                                => 8186,
                        pachschwoll
                                => 8120, pacino  => 10147,
                        pack    => 4601, pacolli => 21280, padberg => 9895, padinger
                                => 20870,
                        paech   => 13217, paetow  => 12103, paetsch => 13164, paetz   => 13127,
                        paetzold
                                => 9745, paffenholz
                                => 20661,
                        paffrath
                                => 14153, pagano  => 13737,
                        pagel   => 2159, pagels  => 7339, pagger  => 5947, pagitsch
                                => 9752,
                        pagitz  => 6007, pahl    => 1825, pahlke  => 6400, pahnke  => 13330,
                        pahr    => 8435, paier   => 1914, paierl  => 19139, pail    => 3424,
                        pailer  => 8963, painer  => 11272, painsi  => 5185, painsipp
                                => 16752,
                        paireder
                                => 8699, paischer
                                => 19416,
                        pajaziti
                                => 7956, pajer   => 10224,
                        pajger  => 19206, pajic   => 2844, pajkic  => 22470, pajkovic
                                => 5555,
                        pajnik  => 22763, pakir   => 23483, pala    => 4694, palank  => 17248,
                        palatin => 12320, palecek => 22472, paleczek
                                => 21305,
                        palenik => 13488, palermo => 7957, paleskic
                                => 20484,
                        palfi   => 14781, palfinger
                                => 9184,
                        palic   => 15196, palka   => 13924, palkovits
                                => 16863,
                        pall    => 4125, pallas  => 21556, palle   => 7657, paller  => 4958,
                        pallhuber
                                => 17497, pallinger
                                => 12009,
                        palm    => 1595, palmanshofer
                                => 8424,
                        palme   => 5959, palmetshofer
                                => 3483,
                        palmetzhofer
                                => 5196, palta   => 3157,
                        paltram => 14093, paluc   => 17895, paluch  => 17207, palumbo => 8995,
                        palzenberger
                                => 17188, palzer  => 8154,
                        pamer   => 10623, paminger
                                => 21727,
                        pammer  => 801, pamminger
                                => 5084,
                        pampel  => 13121, pamperer
                                => 18994,
                        pamperl => 5701, panagiotidis
                                => 17198,
                        panagl  => 14848, panahi  => 21371, pancheri
                                => 16562,
                        pander  => 17994, pandur  => 14376, panek   => 13859, pangerl => 8890,
                        pangratz
                                => 18641, panhofer
                                => 7040,
                        panholzer
                                => 2313, panholzl
                                => 16639,
                        panhuber
                                => 9448, panic   => 1991,
                        panitz  => 11348, pankarter
                                => 15602,
                        panke   => 14247, panknin => 22848, pankoke => 23286, pankow  => 7036,
                        pankrath
                                => 19599, pankratz
                                => 10254,
                        pannagl => 13837, pannek  => 23459, panner  => 14810, pannier => 11790,
                        panny   => 18376, panse   => 12336, pansi   => 3616, pansy   => 13230,
                        pantel  => 16035, pantelic
                                => 6190,
                        panten  => 21252, panter  => 11145, panther => 10296, pantic  => 3755,
                        pantke  => 24469, panwinkler
                                => 17875,
                        pany    => 5110, panzenbock
                                => 2170,
                        panzenboeck
                                => 22381, panzer  => 2598,
                        panzl   => 7832, papadopoulos
                                => 2113,
                        papadopoulou
                                => 5061, papageorgiou
                                => 19411,
                        papai   => 4128, papak   => 16286, pape    => 824, papendorf
                                => 19582,
                        papenfuss
                                => 9933, papesch => 10447,
                        papic   => 6588, papke   => 4317, papousek
                                => 19420,
                        papp    => 2522, pappalardo
                                => 21504,
                        pappas  => 13712, pappert => 14809, paradeiser
                                => 16230,
                        pardeller
                                => 15769, parger  => 20202,
                        pargfrieder
                                => 10474, pargger => 9710,
                        parigger
                                => 18781, parisi  => 8976,
                        parlak  => 4006, parmak  => 11672, parmaksiz
                                => 19088,
                        parpandjelovic
                                => 20589, partel  => 17449,
                        parth   => 2703, partinger
                                => 14131,
                        partl   => 2449, partoll => 9568, partsch => 15240, partzsch
                                => 22609,
                        parusel => 23694, parzer  => 1569, pasalic => 13225, pasch   => 6869,
                        pasche  => 24269, paschek => 9788, paschen => 11357, pascher => 3750,
                        pasching
                                => 20455, paschinger
                                => 3173,
                        paschke => 2699, paschl  => 20094, paschold
                                => 18408,
                        paseka  => 20873, pasemann
                                => 19564,
                        pasler  => 22463, passath => 14448, passecker
                                => 18691,
                        passegger
                                => 8331, passler => 9053,
                        passon  => 14298, passow  => 17635, past    => 7869, pasteiner
                                => 21962,
                        paster  => 13811, pasterk => 7515, pasternak
                                => 15436,
                        pastore => 18752, patak   => 16254, pataki  => 11213, patek   => 10130,
                        patermann
                                => 24349, paterno => 15743,
                        paternoster
                                => 23112, patrascu
                                => 21014,
                        patry   => 21537, patsch  => 4889, patscheider
                                => 9302,
                        pattberg
                                => 23832, patterer
                                => 5219,
                        pattis  => 16109, patzak  => 15691, patzelt => 5977, patzer  => 5764,
                        patzig  => 11436, patzke  => 10044, patzl   => 15371, patzold => 2471,
                        patzschke
                                => 14399, pauer   => 2148,
                        pauger  => 14917, pauker  => 12111, paukner => 6662, paul    => 135,
                        paulic  => 18968, paulick => 6385, paulig  => 20659, paulik  => 6896,
                        paulitsch
                                => 918, paulmann
                                => 12216,
                        paulmichl
                                => 16623, pauls   => 3308,
                        paulsen => 1505, paulus  => 1117, paulusberger
                                => 12619,
                        paulweber
                                => 15446, pauly   => 2920,
                        paumann => 12570, paun    => 5646, paunger => 16282, paunovic
                                => 771,
                        paurevic
                                => 14973, pauritsch
                                => 2723,
                        pausch  => 3823, pauschenwein
                                => 12553,
                        pauser  => 6229, paust   => 22066, paustian
                                => 14530,
                        pautsch => 24400, pautz   => 20549, pauzenberger
                                => 8535,
                        pavelka => 16445, pavic   => 2412, pavlicek
                                => 12287,
                        pavlidis
                                => 19415, pavlik  => 15346,
                        pavlov  => 12590, pavlovic
                                => 305,
                        pawelczyk
                                => 20674, pawelka => 22356,
                        pawlak  => 5773, pawlik  => 4921, pawlowski
                                => 4060,
                        paydal  => 21178, payer   => 779, payerl  => 8048, payne   => 13650,
                        payr    => 2520, payreder
                                => 6576,
                        payrich => 16800, pazdera => 19743, pazour  => 21382, pebock  => 16917,
                        pech    => 3871, pecha   => 15864, pecher  => 10347, pechhacker
                                => 3858,
                        pechlaner
                                => 23273, pechmann
                                => 6142,
                        pechtl  => 14033, pecile  => 16848, peck    => 5823, pecker  => 21948,
                        pecnik  => 10079, pedarnig
                                => 23450,
                        pedersen
                                => 11630, pedevilla
                                => 6766,
                        peer    => 362, peeters => 13957, peetz   => 5404, peglow  => 17068,
                        pegrin  => 19083, pehab   => 12811, peham   => 1282, pehbock => 13857,
                        peheim  => 9986, peherstorfer
                                => 3457,
                        pehlic  => 11193, pehlivan
                                => 3859,
                        pehlke  => 20879, pehofer => 21076, peichl  => 15649, peifer  => 13483,
                        peiffer => 13966, peikert => 14850, pein    => 6874, peinbauer
                                => 6202,
                        peindl  => 17730, peine   => 7316, peinelt => 23766, peinemann
                                => 19722,
                        peinhaupt
                                => 12342, peinhopf
                                => 5057,
                        peinsipp
                                => 3067, peinthor
                                => 12998,
                        peintinger
                                => 9205, peintner
                                => 14337,
                        peiritsch
                                => 19017, peirleitner
                                => 13292,
                        peischl => 3707, peisker => 12106, peisser => 15113, peissl  => 13839,
                        peitl   => 11800, peitler => 2366, peitsch => 20644, peitz   => 7797,
                        pejanovic
                                => 21711, pejcic  => 18897,
                        pejic   => 1319, pejkic  => 22651, pejkovic
                                => 16093,
                        pekarek => 8550, pekcan  => 21124, peker   => 4561, pekic   => 10712,
                        peklar  => 19080, pekmezci
                                => 18997,
                        pekrul  => 20786, pektas  => 7245, pelger  => 20416, pelikan => 8372,
                        pellegrini
                                => 24240, pellegrino
                                => 10188,
                        pelster => 20542, peltzer => 8999, pelz    => 2443, pelzeder
                                => 16059,
                        pelzer  => 2067, pelzl   => 10173, pelzmann
                                => 2760,
                        pemberger
                                => 9132, pemmer  => 7232,
                        pemwieser
                                => 19598, penasso => 18038,
                        pendelin
                                => 18864, pendic  => 15757,
                        pendl   => 1279, peneder => 8341, penker  => 2803, penkner => 14100,
                        penndorf
                                => 17259, pennekamp
                                => 19597,
                        penner  => 5540, pennerstorfer
                                => 16604,
                        penning => 9128, penninger
                                => 4336,
                        penno   => 18514, penz    => 654, penzel  => 13574, penzinger
                                => 7158,
                        penzkofer
                                => 14262, pepaj   => 12592,
                        peper   => 6733, pepic   => 13097, peppler => 24295, pepunkt => 12213,
                        perak   => 20068, peranovic
                                => 13836,
                        perauer => 8354, perberschlager
                                => 18767,
                        percht  => 10584, perchtaler
                                => 18980,
                        perchthaler
                                => 10877, perchtold
                                => 4891,
                        perdacher
                                => 6164, perfahl => 21636,
                        perfler => 9089, perger  => 3652, perhab  => 9023, perhofer
                                => 8964,
                        peric   => 684, perina  => 15896, perischa
                                => 22022,
                        perisic => 15730, perkhofer
                                => 14315,
                        perkmann
                                => 11704, perko   => 7771,
                        perkonig
                                => 19019, perkonigg
                                => 17181,
                        perkovic
                                => 12691, perktold
                                => 7552,
                        perkuhn => 24220, perl    => 2193, perleberg
                                => 24091,
                        perlick => 21284, perlinger
                                => 7968,
                        permoser
                                => 5620, perndl  => 12396,
                        perndorfer
                                => 10080, pernecker
                                => 21632,
                        pernegger
                                => 5143, pernek  => 21487,
                        perner  => 748, pernerstorfer
                                => 19030,
                        pernetstatter
                                => 21389, pernhofer
                                => 15582,
                        pernik  => 23554, pernitsch
                                => 8527,
                        pernkopf
                                => 6204, pernlochner
                                => 22346,
                        pernold => 10225, pernsteiner
                                => 5073,
                        pernull => 9874, pernutsch
                                => 16183,
                        perri   => 16663, perrone => 10913, persch  => 9103, perschke
                                => 13478,
                        perschl => 10471, perschon
                                => 16374,
                        perschy => 13342, persson => 19321, persterer
                                => 15928,
                        perstling
                                => 15701, perterer
                                => 12411,
                        pertiller
                                => 8779, pertl   => 1009,
                        pertlwieser
                                => 23299, perviz  => 7259,
                        perwein => 5300, perzl   => 11092, pesch   => 3134, peschek => 10902,
                        peschel => 2745, peschke => 2914, peschl  => 18168, peschta => 14227,
                        pesendorfer
                                => 1195, pessl   => 5043,
                        pessler => 16461, pesta   => 18599, pester  => 12405, petautschnig
                                => 7933,
                        petek   => 5119, petereit
                                => 6987,
                        peterherr
                                => 19577, peterka => 7866,
                        peterlechner
                                => 21477, peterlin
                                => 17343,
                        petermaier
                                => 12189, petermandl
                                => 21846,
                        petermann
                                => 1819, petermichl
                                => 14085,
                        peternel
                                => 16949, peternell
                                => 9472,
                        peters  => 58, peterseil
                                => 4644,
                        petersen
                                => 203, petershofer
                                => 12704,
                        petersmann
                                => 22364, petersohn
                                => 9286,
                        peterson
                                => 4545, petersson
                                => 24058,
                        peterstorfer
                                => 21453, peterwagner
                                => 20762,
                        petkov  => 12684, petkova => 16894, petkovic
                                => 1929,
                        petrak  => 12429, petras  => 11647, petrasch
                                => 16887,
                        petrat  => 14721, petratschek
                                => 21047,
                        petreus => 16761, petri   => 1563, petric  => 6279, petricevic
                                => 13684,
                        petrich => 8534, petrick => 7006, petridis
                                => 24277,
                        petrik  => 5437, petritsch
                                => 2223,
                        petritz => 4984, petronijevic
                                => 6699,
                        petrosyan
                                => 24251, petrov  => 3198,
                        petrova => 3975, petrovic
                                => 88,
                        petrow  => 24260, petrusic
                                => 11229,
                        petry   => 1927, petsch  => 5739, petschar
                                => 12270,
                        petscharnig
                                => 9199, petschauer
                                => 18436,
                        petschenig
                                => 6829, petscher
                                => 15140,
                        petschl => 23217, petschnig
                                => 3778,
                        petter  => 4604, pettermann
                                => 17255,
                        petters => 14016, pettinger
                                => 13799,
                        petutschnig
                                => 2335, petutschnigg
                                => 23270,
                        petz    => 803, petzke  => 19645, petzl   => 6793, petzold => 807,
                        petzoldt
                                => 14909, peuckert
                                => 23138,
                        peuker  => 6065, peukert => 4979, peuser  => 17222, pewal   => 19548,
                        peyer   => 13716, peyerl  => 21061, peyrl   => 21738, pezer   => 22109,
                        pfabigan
                                => 7734, pfaff   => 947,
                        pfaffe  => 22863, pfaffenberger
                                => 16542,
                        pfaffenbichler
                                => 15625, pfaffeneder
                                => 5051,
                        pfaffinger
                                => 13143, pfahl   => 11524,
                        pfahler => 22497, pfaller => 8632, pfalzer => 12767, pfalzgraf
                                => 14694,
                        pfander => 11532, pfandl  => 3412, pfandler
                                => 15354,
                        pfann   => 11308, pfannenschmidt
                                => 20798,
                        pfanner => 5124, pfannhauser
                                => 8653,
                        pfannschmidt
                                => 23142, pfanzelter
                                => 19602,
                        pfarr   => 14880, pfarrhofer
                                => 8279,
                        pfarrkirchner
                                => 20992, pfatschbacher
                                => 14700,
                        pfattner
                                => 19793, pfau    => 3220,
                        pfauser => 21639, pfausler
                                => 16138,
                        pfeffer => 546, pfefferkorn
                                => 6015,
                        pfefferle
                                => 11758, pfeifenberger
                                => 1851,
                        pfeifer => 265, pfeiffenberger
                                => 5563,
                        pfeiffer
                                => 205, pfeifhofer
                                => 6756,
                        pfeil   => 2201, pfeiler => 2135, pfennich
                                => 9718,
                        pfennig => 4459, pferscher
                                => 17002,
                        pferschy
                                => 19207, pfeufer => 21038,
                        pfeuffer
                                => 6701, pfingstl
                                => 2691,
                        pfingstner
                                => 16926, pfister => 669,
                        pfisterer
                                => 4016, pfitscher
                                => 15805,
                        pfitzer => 17810, pfitzner
                                => 5525,
                        pflanz  => 14535, pflanzl => 5600, pflaum  => 5641, pfleger => 1004,
                        pfleiderer
                                => 19391, pflieger
                                => 20691,
                        pflug   => 3740, pflugbeil
                                => 21241,
                        pfluger => 4342, pflugl  => 4140, pflugler
                                => 7872,
                        pfneisl => 16678, pfneiszl
                                => 13940,
                        pfohl   => 17826, pforr   => 17887, pfortner
                                => 22411,
                        pfoser  => 5283, pfotenhauer
                                => 22758,
                        pfrommer
                                => 15942, pfuhl   => 12394,
                        pfuller => 16345, pfundner
                                => 6538,
                        pfuner  => 23019, pfurtscheller
                                => 1540,
                        pfusterer
                                => 17364, pfutzenreuter
                                => 24458,
                        pfutzner
                                => 15838, pham    => 757,
                        phan    => 2035, philippi
                                => 4782,
                        philippitsch
                                => 21828, philipps
                                => 5792,
                        piasecki
                                => 22108, piatek  => 21430,
                        piazza  => 13739, piber   => 5686, piberger
                                => 18360,
                        picard  => 19107, picha   => 10436, pichelbauer
                                => 15496,
                        picher  => 14527, pichl   => 6503, pichlbauer
                                => 3723,
                        pichler => 16, pichlerbauer
                                => 18384,
                        pichlhofer
                                => 16227, pichlmaier
                                => 11729,
                        pichlmair
                                => 21481, pichlmann
                                => 14785,
                        pichlmayer
                                => 19160, pichorner
                                => 10236,
                        picht   => 17781, pick    => 3422, pickel  => 8234, picker  => 7051,
                        pickert => 13096, pickl   => 3359, pieber  => 919, pieberl => 18087,
                        piecha  => 11254, piechaczek
                                => 20434,
                        pieck   => 21961, piehl   => 6983, piehler => 9325, piekarski
                                => 18156,
                        piel    => 4195, pieler  => 3566, pielmeier
                                => 22855,
                        pientka => 20733, pienz   => 13946, pieper  => 616, piereder
                                => 10290,
                        pierer  => 5269, pieringer
                                => 4132,
                        piesch  => 16930, piesker => 16498, pietrek => 17696, pietrzak
                                => 10376,
                        pietsch => 798, pietschmann
                                => 5629,
                        pietschnig
                                => 13862, pietz   => 12471,
                        pietzner
                                => 15907, pietzsch
                                => 5035,
                        piffer  => 14691, piffl   => 16518, pigall  => 21834, pignitter
                                => 7145,
                        pijetlovic
                                => 21740, pilarski
                                => 17045,
                        pilch   => 9894, pilger  => 9141, pilgerstorfer
                                => 7569,
                        pilgram => 5983, pilgrim => 16944, pilic   => 5657, pilipovic
                                => 16265,
                        piller  => 2364, pillhofer
                                => 11510,
                        pillichshammer
                                => 6465, pilling => 17096,
                        pillinger
                                => 6222, pillitsch
                                => 21815,
                        pils    => 1015, pilsinger
                                => 12353,
                        pilsl   => 6986, pilsner => 23443, pilz    => 413, pimpel  => 21996,
                        pimperl => 13679, pinetz  => 18960, pingel  => 5655, pinger  => 24177,
                        pinggera
                                => 11677, pingist => 20712,
                        pingitzer
                                => 12233, pink    => 3605,
                        pinkert => 9357, pinna   => 13757, pinnow  => 9161, pinsker => 20080,
                        pintar  => 12609, pintaric
                                => 21995,
                        pinter  => 553, pinteritsch
                                => 22354,
                        pinther => 22525, pinzger => 10966, pioch   => 9427, piontek => 4528,
                        piotrowski
                                => 4757, pipan   => 18635,
                        piper   => 6037, pippan  => 9338, pippig  => 20057, piras   => 15342,
                        pircher => 1051, pirchl  => 18879, pirchmoser
                                => 7268,
                        pirchner
                                => 2472, pireci  => 8801,
                        pirelli => 9773, pirhan  => 20232, piribauer
                                => 3536,
                        piringer
                                => 3491, pirkebner
                                => 16874,
                        pirker  => 164, pirkheim
                                => 20557,
                        pirkl   => 18653, pirklbauer
                                => 2940,
                        pirkner => 8865, pirkopf => 19773, pirkwieser
                                => 20334,
                        pirmann => 18714, pirnbacher
                                => 9309,
                        pirner  => 15738, pirngruber
                                => 9101,
                        pirolt  => 6230, piroth  => 23448, piroutz => 15512, pirringer
                                => 14038,
                        pirsch  => 23438, pirstinger
                                => 16751,
                        pirzer  => 23888, pirzl   => 10443, pisano  => 15080, pischel => 13118,
                        pischinger
                                => 9017, pischke => 13136,
                        pischl  => 23639, pischler
                                => 6838,
                        piskaty => 17109, piske   => 15392, piskernig
                                => 17499,
                        piskernik
                                => 18489, piskin  => 19054,
                        pissenberger
                                => 18165, pistauer
                                => 23561,
                        pister  => 23610, pistor  => 24333, pistorius
                                => 15445,
                        pistotnig
                                => 20200, pistotnik
                                => 11923,
                        pistracher
                                => 16780, pistrich
                                => 16631,
                        pitscheider
                                => 14979, pitschmann
                                => 11593,
                        pittelkow
                                => 23670, pitter  => 6945,
                        pitterl => 21847, pitterle
                                => 18309,
                        pittl   => 4208, pittner => 10365, pittracher
                                => 11652,
                        pitz    => 5331, pitzen  => 23001, pitzer  => 4494, pitzl   => 3993,
                        pivolic => 21887, pixner  => 3816, pjetri  => 21254, plachota
                                => 22428,
                        plachy  => 10965, placke  => 20527, placzek => 14234, plagemann
                                => 14610,
                        plagge  => 12252, plaickner
                                => 13688,
                        plaimer => 13012, plainer => 6541, plakolm => 10110, plambeck
                                => 16501,
                        plamberger
                                => 10908, plamenig
                                => 17852,
                        planegger
                                => 17600, planer  => 6524,
                        planert => 20521, plangg  => 21640, plangger
                                => 2460,
                        planinc => 20237, planitzer
                                => 3844,
                        plank   => 220, planka  => 15163, plankenbichler
                                => 22840,
                        plankensteiner
                                => 5176, plankl  => 20778,
                        planner => 8984, planteu => 17306, plasch  => 13151, plaschg => 9255,
                        plaschke
                                => 24375, plass   => 13915,
                        plasser => 6523, plate   => 4124, platen  => 13588, plath   => 3920,
                        platsch => 20375, platt   => 8680, platter => 18189, plattner
                                => 495,
                        platzek => 18339, platzer => 336, platzgummer
                                => 12038,
                        platzl  => 16011, platzner
                                => 13654,
                        plaul   => 20168, plaumann
                                => 15588,
                        plautz  => 7774, plazotta
                                => 17606,
                        pleger  => 21093, plehn   => 23674, pleifer => 16626, pleikner
                                => 21602,
                        plein   => 10163, pleiner => 12117, pleines => 23812, pleininger
                                => 11016,
                        pleninger
                                => 17492, plenk   => 12946,
                        pleschberger
                                => 4982, plesser => 11133,
                        plesskott
                                => 19106, plessl  => 7274,
                        plessnitzer
                                => 20977, pletsch => 19232,
                        pletschacher
                                => 18314, pletschko
                                => 23392,
                        plett   => 19303, pletz   => 6394, pletzenauer
                                => 12538,
                        pletzer => 4812, plewa   => 13923, plewe   => 20035, plewka  => 12299,
                        pleyer  => 6579, pliem   => 16107, plieschnegger
                                => 10994,
                        plieschnig
                                => 16205, pliessnig
                                => 14251,
                        plischke
                                => 10802, pllana  => 12559,
                        ploberger
                                => 7210, plobst  => 17208,
                        plocek  => 20628, ploch   => 13936, plochberger
                                => 13082,
                        plochl  => 4569, plock   => 13492, plockinger
                                => 10997,
                        ploder  => 3653, ploderer
                                => 21732,
                        ploderl => 8091, ploetz  => 17702, ploger  => 6084, ploier  => 12836,
                        ploiner => 19279, ploner  => 1780, plonka  => 16157, ploog   => 17773,
                        plorer  => 9682, plosch  => 22240, ploschnik
                                => 22075,
                        plossnig
                                => 15141, plotz   => 5192,
                        plotzeneder
                                => 18825, pluch   => 11353,
                        plum    => 3757, plumer  => 17279, plursch => 15351, pluta   => 14496,
                        poandl  => 10664, pobaschnig
                                => 11022,
                        pobatschnig
                                => 14728, pober   => 20909,
                        pobric  => 20444, pochacker
                                => 12655,
                        pocheim => 13652, pocher  => 8686, pochhacker
                                => 4243,
                        pochtrager
                                => 12065, pock    => 1115,
                        pockl   => 12835, pockstaller
                                => 16854,
                        pocksteiner
                                => 4935, pocrnja => 14309,
                        poder   => 23231, podesser
                                => 4619,
                        podgornik
                                => 15037, podlipnig
                                => 21617,
                        podolski
                                => 21898, poell   => 14620,
                        poelz   => 22064, poelzl  => 11142, poensgen
                                => 23478,
                        poerschke
                                => 12238, poeschl => 20481,
                        poetsch => 20289, poetzsch
                                => 22560,
                        pogatetz
                                => 18556, pogats  => 9790,
                        pogatschnig
                                => 8996, poglitsch
                                => 7177,
                        pogritz => 18246, pohacker
                                => 17802,
                        pohl    => 170, pohland => 17543, pohle   => 2164, pohlen  => 24221,
                        pohler  => 7089, pohlers => 23706, pohling => 12971, pohlmann
                                => 1235,
                        pohls   => 24141, pohn    => 2725, poier   => 6526, poindl  => 10740,
                        poinstingl
                                => 20741, pointecker
                                => 7710,
                        pointinger
                                => 4531, pointl  => 10346,
                        pointner
                                => 651, poisinger
                                => 13123,
                        poiss   => 8484, pojer   => 4271, pokorny => 1023, polacek => 18709,
                        polak   => 8528, polanc  => 19425, polanski
                                => 24446,
                        polansky
                                => 19873, polanz  => 20406,
                        polat   => 365, polenz  => 17430, polic   => 9709, politschar
                                => 22880,
                        polivka => 22733, poljak  => 12460, poll    => 1259, pollabauer
                                => 5116,
                        pollack => 8584, pollak  => 924, pollanz => 21997, polle   => 20263,
                        pollek  => 22014, poller  => 9043, polleres
                                => 12398,
                        polleritzer
                                => 18884, polleros
                                => 23315,
                        pollerus
                                => 22118, pollex  => 19800,
                        pollhammer
                                => 2029, pollheimer
                                => 19684,
                        pollhuber
                                => 10739, pollin  => 22387,
                        pollinger
                                => 5770, pollitzer
                                => 12305,
                        pollmann
                                => 4074, pollmeier
                                => 12477,
                        pollmer => 22506, pollok  => 7093, pollross
                                => 11517,
                        poloczek
                                => 17371, polska  => 14380,
                        polster => 3628, polsterer
                                => 16791,
                        polt    => 2190, polte   => 13456, polter  => 23851, polterauer
                                => 9688,
                        poltl   => 2065, poltner => 15305, polz    => 2677, polzer  => 2036,
                        polzguter
                                => 19902, polzgutter
                                => 13142,
                        polzhofer
                                => 5935, polzin  => 5344,
                        polzl   => 609, polzlbauer
                                => 5693,
                        polzleitner
                                => 10946, polzler => 18528,
                        pomberger
                                => 4535, pommer  => 2901,
                        pommeranz
                                => 23582, pommerening
                                => 8649,
                        pommerenke
                                => 16075, pomper  => 6810,
                        pomplun => 23966, ponath  => 21361, pongratz
                                => 1600,
                        pongritz
                                => 13748, pongruber
                                => 22772,
                        ponhold => 18051, ponholzer
                                => 17879,
                        ponisch => 19528, ponitz  => 16263, ponjavic
                                => 18407,
                        ponjevic
                                => 12107, ponner  => 23264,
                        ponsold => 11387, ponstingl
                                => 9423,
                        ponta   => 21290, pontasch
                                => 6080,
                        ponweiser
                                => 6667, pooch   => 14225,
                        popa    => 3978, popadic => 22352, popal   => 9541, popescu => 2290,
                        popic   => 13858, popodi  => 16025, popov   => 8557, popova  => 16833,
                        popovic => 817, popp    => 639, poppe   => 2402, poppel  => 13068,
                        poppen  => 14308, popper  => 16038, popperl => 17323, popping => 24324,
                        poppinga
                                => 18473, poppinger
                                => 13880,
                        poppl   => 17970, populorum
                                => 15706,
                        porada  => 23505, porath  => 7639, poredos => 20458, poric   => 14015,
                        porranzl
                                => 21377, porrmann
                                => 24437,
                        porsch  => 6300, porschen
                                => 12479,
                        porschke
                                => 20509, porst   => 17756,
                        porsuklu
                                => 15653, porten  => 17909,
                        portenkirchner
                                => 5545, porth   => 18290,
                        portmann
                                => 22187, portner => 18362,
                        portz   => 17918, posarnig
                                => 14831,
                        posavec => 21073, posch   => 100, poschacher
                                => 14443,
                        poschalko
                                => 19010, poscharnik
                                => 9754,
                        poschauko
                                => 9979, poschel => 13133,
                        poscher => 9171, poschinger
                                => 9673,
                        poschko => 10868, poschl  => 961, poschmann
                                => 9881,
                        poschner
                                => 18127, posendorfer
                                => 18899,
                        poser   => 4682, pospichal
                                => 14612,
                        pospiech
                                => 12943, pospischil
                                => 9453,
                        pospisil
                                => 5597, posratschnig
                                => 17078,
                        possegger
                                => 4412, posselt => 6630,
                        possert => 16790, posset  => 21452, post    => 1633, posteiner
                                => 21729,
                        postel  => 12742, postl   => 1545, postlbauer
                                => 20112,
                        postler => 11212, postmann
                                => 12505,
                        potempa => 23348, poth    => 6328, potisk  => 18585, potocnik
                                => 2165,
                        potokovic
                                => 19678, pototschnig
                                => 4138,
                        pototschnigg
                                => 14475, pototschnik
                                => 21388,
                        potratz => 12864, potsch  => 3617, potscher
                                => 2780,
                        potschke
                                => 11349, pott    => 3895,
                        potter  => 8367, potthast
                                => 9374,
                        potthoff
                                => 3673, pottinger
                                => 4229,
                        pottler => 4295, pottschacher
                                => 15103,
                        potz    => 5249, potzelsberger
                                => 7532,
                        potzinger
                                => 5934, potzl   => 10878,
                        potzlberger
                                => 14352, potzmann
                                => 9113,
                        potzsch => 3248, povoden => 22644, poyer   => 22486, poyraz  => 2866,
                        praauer => 13084, pracher => 6805, pracht  => 8455, prack   => 9540,
                        pradel  => 15391, prader  => 8281, prager  => 2056, prahauser
                                => 17113,
                        praher  => 3879, prahl   => 10011, prajo   => 16092, prall   => 14012,
                        pralle  => 23942, pramberger
                                => 9639,
                        pramendorfer
                                => 19072, pramer  => 21658,
                        pramhaas
                                => 18227, pramhas => 10891,
                        prammer => 2542, pramstaller
                                => 11176,
                        prand   => 23526, prandl  => 14266, prandstatter
                                => 6881,
                        prandstotter
                                => 20730, prang   => 10061,
                        prange  => 4789, prangenberg
                                => 18427,
                        pranger => 6186, prangl  => 13316, pranjic => 4173, prankl  => 7589,
                        prantauer
                                => 23281, pranter => 10713,
                        prantl  => 869, prantner
                                => 2816,
                        pranz   => 21955, pranzl  => 7520, praprotnik
                                => 20377,
                        prasch  => 3705, praschberger
                                => 7366,
                        praschinger
                                => 16746, praschl => 6132,
                        prasse  => 13146, prasser => 5454, prassl  => 3523, prast   => 22126,
                        pratl   => 9649, pratljacic
                                => 15663,
                        pratsch => 22871, pratscher
                                => 6620,
                        pratter => 3612, prattes => 3289, prause  => 4817, prautzsch
                                => 22769,
                        pravdic => 21022, praxmarer
                                => 1191,
                        prazak  => 21162, precht  => 11928, prechtl => 4273, predic  => 13059,
                        predota => 13725, pree    => 5106, pregartner
                                => 6246,
                        pregenzer
                                => 8982, pregesbauer
                                => 19601,
                        pregl   => 15204, preglau => 18079, pregler => 10343, prehm   => 22955,
                        prehn   => 6399, prehofer
                                => 14316,
                        preibisch
                                => 22464, preimel => 12358,
                        preiml  => 6791, prein   => 4750, preindl => 18441, preiner => 4414,
                        preinfalk
                                => 7408, preining
                                => 5511,
                        preininger
                                => 3992, preinsperger
                                => 23206,
                        preiser => 6040, preisinger
                                => 6185,
                        preisl  => 11109, preisler
                                => 12616,
                        preisner
                                => 23364, preiss  => 2501,
                        preissegger
                                => 21782, preissl => 7781,
                        preissler
                                => 8475, preitler
                                => 14846,
                        preletzer
                                => 19818, prell   => 6188,
                        preller => 10579, prellinger
                                => 21714,
                        prem    => 742, premm   => 10944, prendinger
                                => 14852,
                        prengel => 23590, prenn   => 10241, prenner => 1159, prenninger
                                => 5678,
                        prentner
                                => 6404, prenzel => 13223,
                        preradovic
                                => 16133, prescher
                                => 8401,
                        preschern
                                => 9771, preslmayr
                                => 12897,
                        presser => 19288, pressinger
                                => 11291,
                        pressl  => 4589, presslaber
                                => 7627,
                        presslauer
                                => 15884, pressler
                                => 6361,
                        pressnitz
                                => 20724, prestel => 13617,
                        prestin => 22803, pretsch => 15434, pretscher
                                => 15789,
                        pretscherer
                                => 12782, pretschuh
                                => 10025,
                        prettenhofer
                                => 4242, prettenthaler
                                => 4546,
                        pretterhofer
                                => 2822, prettner
                                => 6240,
                        pretz   => 19581, pretzer => 22773, pretzl  => 21002, pretzsch
                                => 16053,
                        preuer  => 17308, preuner => 13184, preusche
                                => 14742,
                        preuss  => 690, preusse => 18571, preusser
                                => 11277,
                        preussner
                                => 20597, prevedel
                                => 20987,
                        preyer  => 7845, prgic   => 10607, pribil  => 11019, pribitzer
                                => 10113,
                        pribyl  => 7510, price   => 8943, pricken => 23962, priebe  => 3007,
                        priebernig
                                => 13160, prielepeck
                                => 21187,
                        prieler => 3200, prielinger
                                => 12723,
                        priem   => 19105, priemer => 12116, prien   => 14906, pries   => 3176,
                        priesching
                                => 14577, prieschl
                                => 9479,
                        priesner
                                => 12713, priess  => 7708,
                        prieth  => 23435, prietl  => 4224, prietzel
                                => 16413,
                        priewasser
                                => 2706, prigge  => 9266,
                        priglinger
                                => 9020, prill   => 4228,
                        priller => 4442, prillinger
                                => 19501,
                        prillwitz
                                => 17934, primas  => 21857,
                        primetshofer
                                => 19184, primetzhofer
                                => 9740,
                        primig  => 14924, primorac
                                => 23631,
                        primus  => 2960, prinz   => 311, pripfl  => 21114, prisching
                                => 4579,
                        prischl => 12697, prislan => 22491, prison  => 12284, prisslan
                                => 20002,
                        pristovnik
                                => 19861, pritz   => 3282,
                        pritzi  => 21647, pritzkow
                                => 22903,
                        pritzl  => 16135, probst  => 515, prochaska
                                => 4082,
                        prochazka
                                => 4197, prochnow
                                => 6622,
                        prock   => 7248, prodanovic
                                => 16385,
                        prodinger
                                => 1463, profanter
                                => 22405,
                        proft   => 10843, proglhof
                                => 11974,
                        prohart => 15916, prohaska
                                => 1697,
                        prohazka
                                => 22559, prohl   => 8921,
                        prokes  => 22150, prokesch
                                => 5003,
                        prokop  => 3088, prokosch
                                => 16652,
                        proksch => 4712, proll   => 1724, promberger
                                => 6247,
                        promer  => 22861, promitzer
                                => 6932,
                        prommegger
                                => 3145, prommer => 8808,
                        pronebner
                                => 14723, pronegg => 6089,
                        propp   => 15461, propper => 24387, proprenter
                                => 21474,
                        proprentner
                                => 9154, propst  => 6096,
                        prosch  => 7123, proschek
                                => 22087,
                        proschinger
                                => 15816, prosic  => 7775,
                        prosini => 22549, proske  => 6708, pross   => 13753, prossegger
                                => 7349,
                        prosser => 5402, prossinger
                                => 15451,
                        prost   => 16741, prothmann
                                => 16163,
                        protsch => 20283, protz   => 15545, protze  => 22726, provenzano
                                => 21512,
                        proyer  => 9559, prskalo => 15428, prucha  => 9406, pruckl  => 9647,
                        pruckler
                                => 18838, pruckner
                                => 3963,
                        prucknig
                                => 19890, prufer  => 6408,
                        prugger => 3915, pruin   => 23532, pruller => 4167, prunner => 21894,
                        prunster
                                => 7762, pruscha => 18677,
                        pruss   => 12198, prutej  => 12872, pruter  => 17761, prutsch => 4280,
                        prutti  => 9030, prutz   => 21137, pruwasser
                                => 19048,
                        prvulovic
                                => 4933, przybilla
                                => 8323,
                        przybyla
                                => 15534, przybylski
                                => 12021,
                        pschernig
                                => 10648, pschill => 17782,
                        ptacek  => 16873, puaschitz
                                => 23504,
                        puchas  => 7930, puchberger
                                => 13798,
                        puchegger
                                => 3877, pucher  => 370,
                        puchinger
                                => 5863, puchleitner
                                => 6139,
                        puchmayr
                                => 20449, puchner => 1609,
                        puchta  => 16166, puchwein
                                => 13707,
                        pudic   => 15198, puehringer
                                => 11216,
                        puelacher
                                => 16014, puetz   => 14837,
                        pufahl  => 24073, puffer  => 7632, puffing => 12673, puggl   => 18410,
                        pugl    => 8168, pugliese
                                => 13727,
                        puglisi => 21509, puhl    => 7187, puhlmann
                                => 9859,
                        puhr    => 4492, puhringer
                                => 453,
                        puljic  => 13048, pulker  => 12658, pulko   => 20165, puls    => 3168,
                        pulsinger
                                => 21840, pulver  => 14079,
                        pumberger
                                => 3583, pummer  => 4313,
                        pumpel  => 21460, pumsleitner
                                => 20167,
                        punkenhofer
                                => 19930, puntigam
                                => 1291,
                        puntschart
                                => 18009, punz    => 1454,
                        punzenberger
                                => 11046, puppe   => 8883,
                        purcher => 13158, puregger
                                => 13242,
                        purer   => 14193, purger  => 20305, purgstaller
                                => 6491,
                        purin   => 15869, purkarthofer
                                => 8500,
                        purkhart
                                => 20584, purkrabek
                                => 19561,
                        purner  => 7742, purrer  => 6528, pursche => 18176, purschke
                                => 19479,
                        purstinger
                                => 7092, purstl  => 19978,
                        purstner
                                => 18553, purtscheller
                                => 20419,
                        purtscher
                                => 7998, purucker
                                => 24016,
                        pusam   => 12645, pusch   => 1932, puschacher
                                => 10887,
                        puschel => 3672, puscher => 22429, puschitz
                                => 9909,
                        puschl  => 10127, puschmann
                                => 6285,
                        puschner
                                => 15296, puschnig
                                => 7166,
                        puschnigg
                                => 21859, puschnik
                                => 11242,
                        puskar  => 13188, pusnik  => 9582, pussnig => 21904, pusswald
                                => 13906,
                        pusteblume
                                => 18298, puster  => 5628,
                        pusterhofer
                                => 3842, pusztai => 19067,
                        putscher
                                => 16297, putschogl
                                => 18359,
                        putta   => 16814, putter  => 20332, puttinger
                                => 6565,
                        puttmann
                                => 14526, putz    => 247,
                        putzer  => 7509, putzgruber
                                => 12408,
                        putzhuber
                                => 20464, putzi   => 15212,
                        putzke  => 19846, putzl   => 21341, pyka    => 7786, pyringer
                                => 11905,
                        qaderi  => 24226, qafleshi
                                => 21473,
                        qasemi  => 11403, qerimi  => 13920, qmshlw  => 19386, quaas   => 6719,
                        quack   => 10694, quade   => 4108, quadflieg
                                => 19158,
                        quadt   => 14185, quandt  => 4172, quante  => 15914, quantschnig
                                => 12657,
                        quanz   => 21111, quaresma
                                => 12573,
                        quass   => 22613, quast   => 2400, quatember
                                => 16486,
                        queck   => 9366, quednau => 13476, quehenberger
                                => 1953,
                        queisser
                                => 23649, quell   => 20012,
                        quellmalz
                                => 24033, quendler
                                => 12125,
                        quentin => 21930, querbach
                                => 24287,
                        quest   => 22127, quick   => 15347, quint   => 6516, quinz   => 18055,
                        quiring => 15449, quitt   => 16090, raab    => 373, raabe   => 1757,
                        raaber  => 12793, raasch  => 5781, raatz   => 9158, rabanser
                                => 14198,
                        rabe    => 968, rabeder => 8065, rabel   => 13190, rabengruber
                                => 14278,
                        rabenstein
                                => 8606, rabensteiner
                                => 1876,
                        raber   => 10353, rabiger => 22471, rabitsch
                                => 1722,
                        rabl    => 837, rabus   => 18005, racaj   => 14740, racer   => 24238,
                        rach    => 6507, rachbauer
                                => 2206,
                        rachinger
                                => 21586, racho   => 20982,
                        rachow  => 7079, racic   => 12203, rack    => 7136, rackl   => 22351,
                        rackow  => 14927, rackwitz
                                => 15924,
                        radacher
                                => 17332, radakovic
                                => 16971,
                        radakovits
                                => 5939, radanovic
                                => 9585,
                        radant  => 24194, radau   => 12459, radauer => 2571, radax   => 15055,
                        radda   => 18849, raddatz => 3663, radde   => 23871, radeck  => 15809,
                        radecke => 19728, radeke  => 23908, rademacher
                                => 1301,
                        rademann
                                => 15933, radenkovic
                                => 14245,
                        rader   => 3141, radermacher
                                => 3886,
                        radeschnig
                                => 16910, radev   => 15372,
                        radeva  => 19181, radhuber
                                => 21405,
                        radic   => 1344, radics  => 11379, radinger
                                => 1866,
                        radisic => 15179, radits  => 11845, raditsch
                                => 21663,
                        radivojevic
                                => 3856, radke   => 2182,
                        radkohl => 13820, radl    => 872, radler  => 2807, radlherr
                                => 22281,
                        radlinger
                                => 17778, radlingmayr
                                => 20611,
                        radloff => 5004, radmacher
                                => 20911,
                        radman  => 12584, radner  => 6456, radojevic
                                => 7155,
                        radojicic
                                => 15184, radojkovic
                                => 6033,
                        radomirovic
                                => 18865, radomski
                                => 16391,
                        radon   => 23638, radonjic
                                => 13267,
                        rados   => 6583, radosavljevic
                                => 414,
                        radosevic
                                => 10625, radosztics
                                => 12571,
                        radovanovic
                                => 1245, radtke  => 776,
                        radu    => 1830, radulovic
                                => 2061,
                        radunz  => 24457, raeder  => 18439, rafetseder
                                => 5673,
                        rafetzeder
                                => 18954, raffalt => 17490,
                        raffeiner
                                => 9618, raffel  => 15608,
                        raffelsberger
                                => 3346, raffer  => 10215,
                        raffetseder
                                => 4724, raffl   => 4636,
                        raffler => 5790, raffling
                                => 11095,
                        rafling => 22897, rager   => 7813, raggam  => 21167, ragger  => 4941,
                        raggl   => 2576, ragitsch
                                => 10201,
                        ragossnig
                                => 20056, ragusa  => 16725,
                        raguse  => 22372, rahberger
                                => 20162,
                        rahimi  => 1662, rahlf   => 17630, rahm    => 3907, rahmann => 16955,
                        rahmanovic
                                => 11614, rahmati => 18630,
                        rahn    => 1541, rahner  => 23006, rahofer => 15778, raible  => 14146,
                        raich   => 2145, raidinger
                                => 20182,
                        raidl   => 2459, raimann => 12772, rainalter
                                => 14957,
                        rainbacher
                                => 17473, rainbow => 16993,
                        rainer  => 106, raisch  => 16061, raith   => 2156, raithel => 9489,
                        raithofer
                                => 12261, rajabi  => 13667,
                        rajcic  => 14802, rajic   => 4252, rajkovaca
                                => 18293,
                        rajkovic
                                => 4551, rakic   => 1311,
                        rakipi  => 19349, rakovic => 10900, rakow   => 10585, rakowitz
                                => 16864,
                        rakowski
                                => 12884, ralser  => 10261,
                        ramabaja
                                => 14695, ramadani
                                => 986,
                        ramadanovic
                                => 24395, ramaj   => 10137,
                        ramakic => 12085, ramberger
                                => 13001,
                        rambock => 22366, rambousek
                                => 15943,
                        rambow  => 10534, ramcke  => 18108, rameder => 5052, rameis  => 18017,
                        ramerstorfer
                                => 18492, rametsteiner
                                => 11993,
                        ramezani
                                => 21378, ramharter
                                => 8106,
                        ramic   => 1233, ramisch => 14576, ramizi  => 19362, ramke   => 14501,
                        raml    => 4728, ramler  => 18611, ramljak => 15817, ramm    => 2514,
                        ramme   => 22121, rammel  => 7394, rammelmuller
                                => 9532,
                        rammer  => 5398, rammerstorfer
                                => 4346,
                        ramming => 23161, ramminger
                                => 10977,
                        rammler => 10732, rammo   => 19979, ramoser => 10633, ramovic => 12715,
                        rampitsch
                                => 7540, rampl   => 18688,
                        rampler => 15317, ramsauer
                                => 1585,
                        ramsbacher
                                => 6449, ramschak
                                => 15447,
                        ramsebner
                                => 7809, ramser  => 20130,
                        ramskogler
                                => 6568, ramsner => 21359,
                        ramusch => 13797, ranacher
                                => 5986,
                        ranalter
                                => 8688, rancic  => 22624,
                        randazzo
                                => 13743, randel  => 22529,
                        randjelovic
                                => 11643, raneburger
                                => 22473,
                        ranegger
                                => 21733, ranetbauer
                                => 21766,
                        ranft   => 5630, ranftl  => 2627, ranftler
                                => 22258,
                        rangger => 5401, raninger
                                => 5900,
                        ranisavljevic
                                => 18956, rank    => 4293,
                        ranke   => 13150, rankl   => 5505, rankovic
                                => 8556,
                        ranner  => 3278, ranninger
                                => 10193,
                        ranseder
                                => 21541, rantner => 21519,
                        ranz    => 7364, ranzenberger
                                => 22206,
                        ranzinger
                                => 12973, rapatz  => 20491,
                        rapberger
                                => 12863, rapp    => 933,
                        rappe   => 24254, rappel  => 11669, rappitsch
                                => 8896,
                        rappl   => 5379, rappold => 2270, rasch   => 1790, raschdorf
                                => 24362,
                        rasche  => 3946, raschhofer
                                => 7768,
                        raschke => 2050, raschun => 21357, raser   => 11829, rashiti => 18683,
                        rasho   => 6374, rasic   => 12519, rasinger
                                => 7482,
                        rasmussen
                                => 10196, rasner  => 15633,
                        rasoli  => 14976, rasouli => 21365, raspotnig
                                => 10743,
                        rass    => 5146, rassbach
                                => 17582,
                        rasser  => 5681, rassi   => 14634, rassinger
                                => 12705,
                        rassl   => 22025, rast    => 7504, rastinger
                                => 19791,
                        rastl   => 11875, rasuli  => 5817, ratajczak
                                => 9850,
                        ratay   => 16719, rath    => 283, rathammer
                                => 15480,
                        rathauscher
                                => 20918, rathbauer
                                => 10456,
                        rathberger
                                => 11031, ratheiser
                                => 15911,
                        rathgeb => 3932, rathgeber
                                => 9761,
                        rathje  => 7099, rathjen => 10724, rathjens
                                => 17307,
                        rathke  => 6700, rathkolb
                                => 11400,
                        rathmair
                                => 17148, rathmann
                                => 3451,
                        rathmanner
                                => 10907, rathmayer
                                => 22369,
                        rathmayr
                                => 5265, rathner => 8839,
                        raths   => 15506, rathsack
                                => 23787,
                        ratke   => 21197, ratkovic
                                => 12562,
                        ratsch  => 17703, rattacher
                                => 22107,
                        rattay  => 21172, rattenberger
                                => 18905,
                        rattensberger
                                => 10817, ratz    => 4000,
                        ratzberger
                                => 7542, ratzel  => 23884,
                        ratzenbock
                                => 2473, ratzer  => 20794,
                        ratzinger
                                => 6020, ratzke  => 23940,
                        ratzmann
                                => 24193, rau     => 565,
                        raubertochter
                                => 20910, rauch   => 199,
                        rauchbauer
                                => 14300, rauchberger
                                => 11501,
                        rauchegger
                                => 4387, rauchenberger
                                => 13674,
                        rauchenschwandtner
                                => 10538, rauchenwald
                                => 10555,
                        rauchfuss
                                => 16131, raudaschl
                                => 10133,
                        raudner => 8196, raue    => 6145, rauer   => 4759, rauh    => 2939,
                        rauhofer
                                => 11796, rauhut  => 6689,
                        raulf   => 15726, raunegger
                                => 5388,
                        rauner  => 10967, raunig  => 4625, raunigg => 20831, raunjak => 10517,
                        raupach => 6745, rausch  => 660, rauschenbach
                                => 7066,
                        rauscher
                                => 431, rauser  => 23050,
                        rautenberg
                                => 3386, rauter  => 329,
                        rauth   => 4169, rautner => 5186, rautz   => 23629, raven   => 12783,
                        razenberger
                                => 9935, rebel   => 9522,
                        rebernig
                                => 3650, rebernik
                                => 8540,
                        rebhan  => 9057, rebhandl
                                => 7390,
                        rebholz => 15804, rebmann => 8163, rech    => 3187, rechberger
                                => 622,
                        rechenberg
                                => 22345, rechenberger
                                => 23300,
                        recher  => 11998, rechlin => 19486, reck    => 1910, recke   => 15929,
                        recker  => 6768, reckers => 23878, reckert => 15598, reckling
                                => 18106,
                        reckmann
                                => 11954, recknagel
                                => 11294,
                        recktenwald
                                => 9301, reddig  => 9215,
                        redecker
                                => 20257, redeker => 7321,
                        redel   => 15091, redemann
                                => 18094,
                        redenius
                                => 12269, reder   => 3070,
                        rederer => 14375, redhammer
                                => 12178,
                        redinger
                                => 13367, redl    => 633,
                        redlich => 4628, redlin  => 16358, redlinger
                                => 11563,
                        redmann => 6999, redolfi => 16846, redtenbacher
                                => 9583,
                        redzepovic
                                => 21862, redzic  => 2122,
                        reeck   => 22091, reen    => 6816, reents  => 15842, reese   => 2253,
                        reetz   => 6101, regenfelder
                                => 3505,
                        regensburger
                                => 3666, reger   => 3319,
                        reggentin
                                => 24384, regler  => 12228,
                        regner  => 4130, rehbein => 4179, rehberg => 3415, rehberger
                                => 3695,
                        rehbock => 22632, rehder  => 7027, reheis  => 16066, reher   => 6775,
                        rehfeld => 9839, rehfeldt
                                => 8926,
                        rehling => 17823, rehm    => 1593, rehmann => 11872, rehme   => 23838,
                        rehmer  => 24006, rehn    => 8213, rehner  => 22877, rehrl   => 1553,
                        rehse   => 8756, rehwald => 18531, reiber  => 8267, reibnegger
                                => 10549,
                        reibold => 24464, reich   => 458, reichard
                                => 10135,
                        reichardt
                                => 1731, reichart
                                => 4152,
                        reichartzeder
                                => 13983, reiche  => 1968,
                        reichegger
                                => 14299, reichel => 692,
                        reichelt
                                => 813, reichenauer
                                => 16781,
                        reichenbach
                                => 2610, reichenberg
                                => 22725,
                        reichenberger
                                => 7698, reichenhauser
                                => 21599,
                        reichenpfader
                                => 9001, reichenvater
                                => 16807,
                        reicher => 1170, reichert
                                => 390,
                        reichetseder
                                => 21170, reichhard
                                => 20079,
                        reichhardt
                                => 11741, reichhart
                                => 7686,
                        reichhold
                                => 4871, reichholf
                                => 9845,
                        reichinger
                                => 3277, reichl  => 491,
                        reichle => 8174, reichling
                                => 19163,
                        reichmann
                                => 1053, reichor => 21343,
                        reichow => 12977, reichspfarrer
                                => 19671,
                        reichstein
                                => 11283, reichsthaler
                                => 21595,
                        reichwald
                                => 19862, reichwein
                                => 17624,
                        reickersdorfer
                                => 23367, reidenbach
                                => 21201,
                        reider  => 21485, reidinger
                                => 5850,
                        reidl   => 15295, reif    => 1186, reifecker
                                => 22507,
                        reifenauer
                                => 20138, reifenrath
                                => 17507,
                        reifetshammer
                                => 22155, reiff   => 8034,
                        reifinger
                                => 21417, reifschneider
                                => 24046,
                        reiger  => 13464, reigl   => 14639, reigner => 21326, reiher  => 7880,
                        reihs   => 10793, reikersdorfer
                                => 12438,
                        reil    => 4164, reiling => 20353, reim    => 4291, reimair => 7137,
                        reimann => 394, reimer  => 823, reimers => 1990, rein    => 1482,
                        reinalter
                                => 12064, reinartz
                                => 4037,
                        reinbacher
                                => 1397, reinberger
                                => 5251,
                        reinbold
                                => 9452, reincke => 9272,
                        reinders
                                => 6618, reindl  => 436,
                        reinecke
                                => 1732, reinecker
                                => 23007,
                        reinegger
                                => 21701, reineke => 4986,
                        reinelt => 5984, reinemann
                                => 20847,
                        reiners => 3022, reinert => 1952, reinfrank
                                => 21652,
                        reingruber
                                => 2359, reinhardt
                                => 218,
                        reinheimer
                                => 15419, reinhofer
                                => 20355,
                        reinholz
                                => 7746, reinicke
                                => 3896,
                        reinig  => 14311, reining => 17369, reininger
                                => 2097,
                        reinisch
                                => 675, reinke  => 1199,
                        reinl   => 11203, reinmuller
                                => 7590,
                        reinprecht
                                => 1083, reins   => 20052,
                        reinsberger
                                => 13653, reinsch => 3779,
                        reinsperger
                                => 11970, reinstadler
                                => 3243,
                        reinthaler
                                => 1728, reinthaller
                                => 10657,
                        reintjes
                                => 23306, reinwald
                                => 4659,
                        reinwein
                                => 17845, reiprich
                                => 24366,
                        reis    => 1452, reisacher
                                => 15274,
                        reisch  => 6298, reischauer
                                => 13352,
                        reischenbock
                                => 13040, reischer
                                => 2660,
                        reischl => 726, reischutz
                                => 21767,
                        reisdorf
                                => 23936, reisecker
                                => 7896,
                        reisegger
                                => 9516, reisel  => 22505,
                        reisenauer
                                => 6384, reisenbauer
                                => 4439,
                        reisenberger
                                => 4629, reisenbichler
                                => 4702,
                        reisener
                                => 23607, reisenhofer
                                => 1527,
                        reiser  => 1813, reisetbauer
                                => 18674,
                        reising => 11352, reisinger
                                => 140,
                        reiskopf
                                => 17776, reisl   => 21568,
                        reisner => 1252, reiss   => 1725, reissig => 8222, reissmann
                                => 7767,
                        reissner
                                => 9543, reiswich
                                => 15695,
                        reisz   => 20421, reitbauer
                                => 873,
                        reitberger
                                => 10326, reiter  => 39,
                        reiterer
                                => 379, reiterits
                                => 22717,
                        reiterlehner
                                => 22081, reitetschlager
                                => 20530,
                        reitgruber
                                => 13265, reith   => 3205,
                        reither => 4204, reithmayer
                                => 14751,
                        reithmayr
                                => 8051, reithmeier
                                => 15261,
                        reithner
                                => 7448, reithofer
                                => 1152,
                        reithuber
                                => 16392, reitinger
                                => 1612,
                        reitmaier
                                => 7524, reitmann
                                => 12124,
                        reitmayer
                                => 21849, reitmayr
                                => 11086,
                        reitmeier
                                => 8588, reitmeir
                                => 23039,
                        reitner => 5912, reitsamer
                                => 6012,
                        reitstatter
                                => 13325, reitter => 5222,
                        reitterer
                                => 10980, reitz   => 1472,
                        reitze  => 19806, reitzer => 20494, reitzig => 23696, reitzl  => 17638,
                        reker   => 14750, rekic   => 7496, reljic  => 15166, rellum  => 18291,
                        relota  => 18192, remberg => 24402, rembold => 23368, remde   => 24346,
                        remer   => 18576, remke   => 22602, remler  => 14006, remme   => 20754,
                        remmel  => 12437, remmele => 23028, remmers => 6150, remmert => 9494,
                        remmo   => 11960, rempe   => 15583, rempel  => 6340, remplbauer
                                => 23272,
                        remschnig
                                => 18103, renauer => 15824,
                        rendl   => 4265, renetzeder
                                => 13524,
                        renger  => 8056, renhart => 17488, renk    => 7142, renken  => 4093,
                        renker  => 22989, renneberg
                                => 18530,
                        rennecke
                                => 23708, renner  => 396,
                        rennert => 8326, rennhofer
                                => 7810,
                        rensch  => 10458, rensi   => 19379, rensing => 21211, rentenberger
                                => 14249,
                        rentmeister
                                => 19148, rentsch => 5561,
                        rentschler
                                => 9900, rentz   => 15409,
                        rentzsch
                                => 8822, renz    => 1590,
                        renzhammer
                                => 14107, renzl   => 8062,
                        repitsch
                                => 16796, repkowsky
                                => 19439,
                        repnik  => 13863, repolusk
                                => 7132,
                        repp    => 6517, reppe   => 23057, reppin  => 16471, rerich  => 20758,
                        rericha => 17378, resch   => 119, reschenhofer
                                => 9436,
                        rescher => 18244, reschke => 2434, reschreiter
                                => 3804,
                        resel   => 10252, resetarits
                                => 17827,
                        reshani => 17914, resinger
                                => 3126,
                        reske   => 8842, resl    => 4118, respondek
                                => 12414,
                        ressel  => 5745, ressi   => 20438, ressl   => 5285, ressler => 5132,
                        ressmann
                                => 7180, rester  => 9603,
                        restle  => 22376, retschitzegger
                                => 8404,
                        rettberg
                                => 17406, rettenbacher
                                => 957,
                        rettenegger
                                => 7379, rettenmoser
                                => 22653,
                        rettensteiner
                                => 3528, rettenwander
                                => 10503,
                        rettenwender
                                => 5253, retter  => 4922,
                        rettich => 15517, rettig  => 2608, rettinger
                                => 17300,
                        rettl   => 14344, retzer  => 8661, retzl   => 13849, retzlaff
                                => 3465,
                        reuber  => 10683, reumann => 7168, reumuller
                                => 10883,
                        reus    => 7938, reusch  => 3501, reuschel
                                => 10563,
                        reuscher
                                => 24172, reuss   => 3960,
                        reuter  => 282, reuther => 3081, reutter => 6984, reutterer
                                => 20417,
                        rexeis  => 12536, rexeisen
                                => 23408,
                        rexha   => 8959, rexhaj  => 10040, rexhepi => 1118, rexin   => 23254,
                        reyer   => 11708, reymann => 17648, rezac   => 20746, rezaei  => 7476,
                        rezai   => 1092, rezaie  => 6936, reznicek
                                => 19289,
                        rhode   => 8732, rhomberg
                                => 5250,
                        ribbe   => 14580, ribic   => 5672, ribis   => 10778, ribisch => 10377,
                        ribitsch
                                => 8125, richardt
                                => 6739,
                        richartz
                                => 11812, richarz => 14707,
                        richert => 3012, richler => 15054, richter => 20, richters
                                => 13200,
                        richtsfeld
                                => 9729, ricke   => 18033,
                        ricken  => 8638, ricker  => 18725, rickers => 21077, rickert => 3717,
                        rickmann
                                => 10696, ridder  => 5428,
                        riebe   => 5580, riebel  => 14854, riebeling
                                => 20736,
                        riebenbauer
                                => 7059, rieber  => 14770,
                        rieberer
                                => 8599, rieche  => 14350,
                        riechel => 23523, riechers
                                => 15605,
                        riechert
                                => 9802, riechmann
                                => 13453,
                        rieck   => 1751, riecke  => 16460, riecken => 23165, rieckhoff
                                => 14532,
                        rieckmann
                                => 14567, ried    => 6263,
                        riede   => 9098, riedel  => 219, riedemann
                                => 18551,
                        rieder  => 232, riederer
                                => 3388,
                        riediger
                                => 7058, riedinger
                                => 15294,
                        riedl   => 126, riedle  => 17876, riedler => 1011, riedlinger
                                => 24137,
                        riedlsperger
                                => 2700, riedmann
                                => 1391,
                        riedmuller
                                => 7002, riedner => 14671,
                        riedrich
                                => 12469, riefler => 15529,
                        riege   => 18336, riegel  => 3127, riegelnegg
                                => 17995,
                        rieger  => 228, riegerbauer
                                => 11402,
                        riegger => 12343, riegler => 102, riehl   => 4323, riehle  => 12141,
                        riehm   => 15941, riehs   => 16871, rieken  => 7741, rieker  => 12390,
                        riemann => 2360, riemelmoser
                                => 13092,
                        riemenschneider
                                => 7360, riemer  => 1373,
                        riener  => 1530, rienzner
                                => 20543,
                        riepan  => 18179, riepe   => 10082, rieper  => 19242, riepl   => 1270,
                        riepler => 5031, ries    => 1440, riesch  => 23017, riese   => 3171,
                        riesenbeck
                                => 22341, riesenberger
                                => 14656,
                        riesenfellner
                                => 19817, riesenhuber
                                => 11559,
                        rieser  => 582, riesinger
                                => 23818,
                        riesner => 8395, riess   => 3478, riester => 13413, riesterer
                                => 16058,
                        rieth   => 9403, riethmuller
                                => 9407,
                        rietschel
                                => 12496, rietz   => 5521,
                        rietzler
                                => 6614, rietzschel
                                => 17912,
                        riewe   => 16078, riezinger
                                => 17760,
                        riezler => 11948, riffel  => 12608, riffnaller
                                => 22285,
                        rigger  => 23211, rigler  => 4920, riha    => 5571, riisk   => 18313,
                        rikanovic
                                => 20719, rikic   => 21905,
                        rilling => 24057, rimbach => 12355, rimkus  => 12119, riml    => 1845,
                        rimml   => 5255, rimser  => 13180, rina    => 1629, rinck   => 14794,
                        rindberger
                                => 17494, rinderer
                                => 6835,
                        rindermann
                                => 24352, rindfleisch
                                => 22573,
                        rindler => 3515, ring    => 2090, ringbauer
                                => 11535,
                        ringdorfer
                                => 20038, ringel  => 4161,
                        ringer  => 4753, ringhofer
                                => 1444,
                        ringl   => 4896, ringleb => 17366, ringler => 8240, ringseis
                                => 10149,
                        ringwald
                                => 11368, rink    => 2415,
                        rinke   => 3647, rinker  => 15820, rinne   => 8767, rinner  => 934,
                        rinnerberger
                                => 9029, rinnergschwentner
                                => 19969,
                        rinnerthaler
                                => 8904, rinnhofer
                                => 4726,
                        ripke   => 12224, rippel  => 11069, ripper  => 8787, rippitsch
                                => 19431,
                        rippl   => 13944, risch   => 3772, rischawy
                                => 22695,
                        rischka => 20689, riske   => 15440, riss    => 6371, rissbacher
                                => 22059,
                        risse   => 3906, rissmann
                                => 10766,
                        rist    => 5736, ristau  => 6937, ristic  => 1013, ristov  => 19607,
                        ristow  => 17014, ritsch  => 5795, ritschel
                                => 6064,
                        ritscher
                                => 8578, ritt    => 2058,
                        rittberger
                                => 12221, ritter  => 204,
                        rittinghaus
                                => 23600, rittler => 14692,
                        rittmann
                                => 10620, rittmannsberger
                                => 17339,
                        rittmeier
                                => 20820, rittner => 12273,
                        rittsteuer
                                => 22315, ritz    => 2802,
                        ritzberger
                                => 7460, ritzel  => 22060,
                        ritzer  => 3603, ritzinger
                                => 2265,
                        ritzmaier
                                => 23456, ritzmann
                                => 10402,
                        rixen   => 14884, rizvanovic
                                => 6453,
                        rizzo   => 3982, robatsch
                                => 7024,
                        robben  => 9707, robel   => 11551, roben   => 11238, rober   => 7309,
                        robertz => 17510, robier  => 14598, robinig => 21644, robitsch
                                => 9081,
                        robitschko
                                => 14531, robl    => 5414,
                        robnik  => 13891, roch    => 5477, rochla  => 7753, rochlitz
                                => 23947,
                        rochow  => 16409, rock    => 1345, rockel  => 8310, rockenbauer
                                => 4713,
                        rockenschaub
                                => 3800, rocker  => 16701,
                        rockl   => 16084, rocklinger
                                => 22148,
                        rockmann
                                => 18269, rockstroh
                                => 6761,
                        rockt   => 17971, rode    => 1438, rodel   => 3253, roden   => 19175,
                        rodenberg
                                => 13105, roder   => 621,
                        rodewald
                                => 7356, rodic   => 21347,
                        rodig   => 17237, rodiger => 5382, roding  => 20828, rodinger
                                => 15273,
                        rodlach => 15906, rodlauer
                                => 9659,
                        rodler  => 2446, roeck   => 18443, roedel  => 17021, roeder  => 3891,
                        roehl   => 16434, roemer  => 8171, roepke  => 22047, roesch  => 17147,
                        roese   => 15791, roesler => 14008, roesner => 16473, roessler
                                => 9640,
                        rofner  => 4143, rogall  => 10776, rogalla => 9905, rogalski
                                => 8655,
                        rogan   => 15315, rogatsch
                                => 14593,
                        rogatschnig
                                => 21557, rogge   => 1753,
                        roggenbuck
                                => 15562, roggendorf
                                => 20269,
                        roggenhofer
                                => 22629, rogic   => 10073,
                        rogl    => 4159, rogler  => 12578, rogner  => 8564, rogowski
                                => 6933,
                        rohatsch
                                => 12631, rohde   => 420,
                        rohe    => 4951, rohl    => 2629, rohland => 8283, rohle   => 22600,
                        rohleder
                                => 5225, rohlf   => 20720,
                        rohlfing
                                => 12319, rohlfs  => 7458,
                        rohling => 9899, rohloff => 5019, rohmann => 4855, rohn    => 5125,
                        rohne   => 15592, rohner  => 9342, rohr    => 1971, rohrauer
                                => 4326,
                        rohrbach
                                => 5558, rohrbacher
                                => 11920,
                        rohrbeck
                                => 11779, rohrbock
                                => 20149,
                        rohregger
                                => 3808, rohrer  => 1112,
                        rohrhofer
                                => 6864, rohrich => 8102,
                        rohricht
                                => 17405, rohrig  => 2171,
                        rohringer
                                => 3766, rohrl   => 11058,
                        rohrle  => 18248, rohrleitner
                                => 17001,
                        rohrmann
                                => 13404, rohrmanstorfer
                                => 21463,
                        rohrmoser
                                => 898, rohrmuller
                                => 14291,
                        rohrs   => 6789, rohrweck
                                => 12236,
                        rohwedder
                                => 10071, rohweder
                                => 19256,
                        rohwer  => 7393, roick   => 18112, roider  => 3581, roidl   => 20821,
                        roiko   => 20362, rois    => 5221, roiss   => 19100, roith   => 20306,
                        roither => 3947, roithinger
                                => 11961,
                        roithmayr
                                => 21148, roithmeier
                                => 16179,
                        roithner
                                => 4530, roitinger
                                => 20118,
                        roitner => 4296, rojacher
                                => 21198,
                        rojahn  => 14039, rojava  => 18322, rojer   => 20752, rojko   => 9072,
                        rolfes  => 4657, rolfs   => 14849, roling  => 17033, rolke   => 17296,
                        roll    => 3716, roller  => 5697, rollig  => 20476, rollmann
                                => 20512,
                        roloff  => 3143, romagna => 12042, romahn  => 12382, romanowski
                                => 9506,
                        rombach => 6172, romberg => 16522, romeike => 13595, romer   => 859,
                        rometsch
                                => 23760, romhild => 9220,
                        romic   => 16102, romirer => 12693, rommel  => 2250, rommer  => 22583,
                        rommerskirchen
                                => 18503, rompf   => 20311,
                        romstorfer
                                => 21363, ronacher
                                => 1390,
                        ronge   => 11041, ronneberger
                                => 22590,
                        ronsch  => 12184, roos    => 1531, roosen  => 16959, root    => 6909,
                        ropatsch
                                => 21989, roper   => 9224,
                        ropers  => 20021, ropertz => 20121, ropin   => 19134, ropke   => 7831,
                        roppel  => 21130, roppelt => 16547, rorig   => 23426, rosch   => 1496,
                        rosche  => 19973, roscher => 3295, roschitz
                                => 7859,
                        rosebrock
                                => 16099, rosegger
                                => 8835,
                        roseler => 10495, rosemann
                                => 8420,
                        rosemeier
                                => 21001, rosenau => 5591,
                        rosenauer
                                => 3644, rosenbach
                                => 11942,
                        rosenbauer
                                => 14853, rosenbaum
                                => 2758,
                        rosenberg
                                => 1767, rosenberger
                                => 677,
                        rosenbichler
                                => 10875, rosenblatt
                                => 19332,
                        rosenblattl
                                => 14149, rosenboom
                                => 15700,
                        rosenbrock
                                => 24267, rosenbusch
                                => 13346,
                        rosendahl
                                => 5367, roseneder
                                => 17315,
                        rosenegger
                                => 13994, rosener => 18294,
                        rosenfeld
                                => 7141, rosenfelder
                                => 16264,
                        rosenfeldt
                                => 23400, rosengart
                                => 23839,
                        rosenkranz
                                => 1748, rosenlechner
                                => 17581,
                        rosenmaier
                                => 13580, rosenmayer
                                => 15390,
                        rosenow => 9377, rosenstatter
                                => 15671,
                        rosenstein
                                => 23707, rosensteiner
                                => 6902,
                        rosenthal
                                => 1721, rosenthaler
                                => 5737,
                        rosentreter
                                => 15463, rosenzopf
                                => 6056,
                        rosenzweig
                                => 15467, roser   => 5441,
                        rosgen  => 21249, rosic   => 6224, rosin   => 3661, rosina  => 12789,
                        rosinger
                                => 11656, rosinski
                                => 16008,
                        roske   => 9836, rosker  => 22255, rosler  => 1676, rosmann => 8348,
                        rosner  => 2104, ross    => 1526, rossa   => 7940, rossak  => 20312,
                        rossbach
                                => 7699, rossbacher
                                => 14236,
                        rossberg
                                => 6457, rossbock
                                => 23069,
                        rossegger
                                => 6184, rossel  => 9097,
                        rossgatterer
                                => 17712, rosskogler
                                => 16897,
                        rosskopf
                                => 16968, rossl   => 8884,
                        rossle  => 24002, rossler => 1375, rossmanith
                                => 20596,
                        rossmann
                                => 1105, rossner => 5842,
                        rossol  => 18111, rossow  => 6796, rost    => 1058, rostami => 16633,
                        rostek  => 19578, rostel  => 19456, rotar   => 16308, rotermund
                                => 14232,
                        roters  => 11120, roth    => 123, rothauer
                                => 9139,
                        rothbart
                                => 18372, rothbauer
                                => 11182,
                        rothberger
                                => 22128, rothbock
                                => 17294,
                        rothdeutsch
                                => 20612, rothe   => 534,
                        rothenberger
                                => 12891, rotheneder
                                => 8745,
                        rothensteiner
                                => 19015, rother  => 1035,
                        rothermel
                                => 14019, rothert => 22690,
                        rothfuss
                                => 24129, rothig  => 10787,
                        rothkopf
                                => 20986, rothleitner
                                => 7584,
                        rothmann
                                => 10305, rothmeier
                                => 20538,
                        rothmund
                                => 15513, rothschadl
                                => 11861,
                        rothschedl
                                => 13744, rothwangl
                                => 19040,
                        rothweiler
                                => 19400, rotschadl
                                => 23508,
                        rotschopf
                                => 17089, rott    => 2841,
                        rottenschlager
                                => 15108, rottensteiner
                                => 1416,
                        rotter  => 1137, rottgen => 13448, rottger => 3918, rottgers
                                => 23158,
                        rottinger
                                => 12966, rottler => 17818,
                        rottmann
                                => 3446, rotzer  => 4858,
                        rovcanin
                                => 18841, rover   => 13465,
                        rower   => 17822, roxana  => 15078, royer   => 5463, rozhon  => 15845,
                        rozic   => 14281, rrahmani
                                => 11581,
                        rrustemi
                                => 18676, rubak   => 19176,
                        rubendunst
                                => 19292, rubenser
                                => 23256,
                        rubenzer
                                => 19737, rubik   => 18363,
                        rubin   => 8488, rubino  => 13741, rubner  => 14377, rubsam  => 13586,
                        ruch    => 6949, ruck    => 4909, ruckel  => 24394, ruckendorfer
                                => 19005,
                        ruckensteiner
                                => 21475, ruckenstuhl
                                => 11100,
                        rucker  => 3118, ruckert => 2307, ruckhofer
                                => 13715,
                        ruckl   => 19815, rucklinger
                                => 16621,
                        rudat   => 6993, rudek   => 22082, rudel   => 12780, rudelstorfer
                                => 12197,
                        ruder   => 10553, ruderes => 17799, rudert  => 17767, rudig   => 8692,
                        rudigier
                                => 1667, rudisser
                                => 9514,
                        rudloff => 3916, rudlstorfer
                                => 19908,
                        rudnick => 15396, rudnik  => 11104, rudolph => 310, rudolphi
                                => 16541,
                        rudorf  => 19674, rudorfer
                                => 10641,
                        ruech   => 13444, ruepp   => 13761, ruess   => 9677, ruetz   => 2532,
                        ruezhofer
                                => 17977, ruff    => 3210,
                        ruffer  => 8391, ruffing => 12139, rufnummer
                                => 17633,
                        ruge    => 4332, ruger   => 2819, ruggenthaler
                                => 5513,
                        ruggiero
                                => 15076, ruhaltinger
                                => 15031,
                        ruhdorfer
                                => 6790, ruhl    => 2019,
                        ruhland => 3056, ruhle   => 4360, ruhlemann
                                => 12208,
                        ruhling => 15680, ruhlmann
                                => 23814,
                        ruhmann => 10772, ruhmanseder
                                => 20639,
                        ruhmer  => 13590, ruhnau  => 9256, ruhnke  => 10096, ruhri   => 9755,
                        ruhrig  => 19165, ruhrlinger
                                => 13290,
                        ruhsam  => 12987, ruisz   => 22858, ruiter  => 13189, ruland  => 6114,
                        rulke   => 18115, rulofs  => 21318, rumer   => 11644, rumetshofer
                                => 6009,
                        rummel  => 4939, rummele => 12621, rummer  => 21911, rummerstorfer
                                => 23237,
                        rummler => 13238, rump    => 4693, rumpel  => 7279, rumpf   => 2059,
                        rumpfhuber
                                => 16220, rumpl   => 4302,
                        rumpler => 2081, rumpold => 3167, runda   => 19452, runge   => 787,
                        runggaldier
                                => 22296, runkel  => 4972,
                        runte   => 14518, ruoff   => 10519, rupitsch
                                => 9018,
                        rupitz  => 19461, rupp    => 768, ruppe   => 20218, ruppel  => 3983,
                        ruppelt => 15670, ruppenthal
                                => 12856,
                        ruppert => 1445, ruppitsch
                                => 15094,
                        ruppnig => 13670, rupprecht
                                => 1839,
                        rupprechter
                                => 3448, ruprecht
                                => 5141,
                        ruprechter
                                => 5202, rusch   => 2227,
                        rusche  => 6187, ruscher => 4925, ruschitzka
                                => 14067,
                        ruschka => 22874, ruschke => 14282, rushiti => 8223, rusing  => 17870,
                        russ    => 2421, russegger
                                => 4947,
                        russia  => 17086, russinger
                                => 22480,
                        russmann
                                => 16372, russo   => 1413,
                        russold => 12580, rust    => 2186, rustemi => 14999, ruster  => 14539,
                        rustler => 19784, ruter   => 5386, ruthe   => 17288, ruthenberg
                                => 23516,
                        ruther  => 4534, ruthner => 5432, ruthofer
                                => 21039,
                        rutkowski
                                => 5333, rutrecht
                                => 13609,
                        rutsch  => 9781, rutten  => 4981, rutter  => 4065, ruttgers
                                => 10767,
                        ruttinger
                                => 16378, ruttmann
                                => 18927,
                        ruttnig => 11384, rutz    => 4607, rutzel  => 17973, rutzler => 6729,
                        ruzic   => 6522, ruzicka => 3506, ruznic  => 14563, rybak   => 14066,
                        rybar   => 21180, ryll    => 8255, rzepka  => 10663, saado   => 3933,
                        saager  => 13576, saalbach
                                => 14894,
                        saalfeld
                                => 10671, saalmann
                                => 20061,
                        saar    => 5917, saathoff
                                => 3790,
                        sabani  => 8949, sabanovic
                                => 5224,
                        sabath  => 21400, sabathi => 6928, sabathy => 12031, sabel   => 15324,
                        sabic   => 2134, sabitzer
                                => 2361,
                        sablatnig
                                => 8681, sablotny
                                => 22754,
                        saborowski
                                => 24079, sabou   => 20391,
                        sabutsch
                                => 19654, sachau  => 23278,
                        sacher  => 5091, sacherer
                                => 7528,
                        sachs   => 1459, sachse  => 1408, sachsenhofer
                                => 11854,
                        saciri  => 12825, sacirovic
                                => 12845,
                        sack    => 3426, sackl   => 2094, sackmann
                                => 10604,
                        sadeghi => 9518, sadeqi  => 19344, sadikovic
                                => 8494,
                        sadiku  => 2349, sadjak  => 4103, sadleder
                                => 22072,
                        sadler  => 22146, sadlowski
                                => 16087,
                        sadovnik
                                => 16985, sadowski
                                => 5771,
                        sadriu  => 21449, saeedi  => 18595, saeger  => 20117, saemann => 20020,
                        saenger => 15566, safari  => 7475, safarik => 22225, safron  => 22663,
                        sageder => 3189, sager   => 4862, saggau  => 24474, sagir   => 6806,
                        sagl    => 7508, saglam  => 2391, saglik  => 17646, sagmeister
                                => 969,
                        sagmuller
                                => 16665, sagner  => 23717,
                        sahan   => 2551, sahanic => 19688, sahbaz  => 5958, sahbegovic
                                => 15558,
                        sahin   => 159, sahiner => 13108, sahingoz
                                => 8074,
                        sahinovic
                                => 7280, sahinturk
                                => 21037,
                        sahitaj => 12593, sahiti  => 5210, sahler  => 10919, sahm    => 6016,
                        sahman  => 22554, sahne   => 11214, saiger  => 12254, saile   => 18365,
                        sailer  => 400, sainitzer
                                => 16420,
                        saiti   => 6555, sajn    => 7143, sakalli => 21900, sakanovic
                                => 12706,
                        sakar   => 13642, sakarya => 11710, sakiri  => 22224, sakoparnig
                                => 21561,
                        sakowski
                                => 16198, salamon => 10253,
                        salatovic
                                => 15267, salber  => 11659,
                        salbrechter
                                => 5298, salchegger
                                => 4821,
                        salchenegger
                                => 11538, salcher => 1668,
                        salchner
                                => 3743, salchow => 23595,
                        salehi  => 9517, salentinig
                                => 9417,
                        saler   => 13395, salerno => 9573, salewski
                                => 5174,
                        salfellner
                                => 18946, salfenauer
                                => 16437,
                        salfinger
                                => 18631, salhofer
                                => 5684,
                        saliev  => 19138, salihi  => 5913, salihovic
                                => 1959,
                        salihu  => 4834, saliji  => 12954, saliu   => 13685, salja   => 21413,
                        salkanovic
                                => 11155, salkic  => 3427,
                        sallaberger
                                => 5534, sallahi => 16826,
                        sallegger
                                => 16708, saller  => 5277,
                        sallinger
                                => 5233, salmen  => 10788,
                        salmhofer
                                => 3708, salmutter
                                => 19724,
                        salner  => 13751, salomo  => 19621, salomon => 2129, salvenmoser
                                => 3831,
                        salzbacher
                                => 21787, salzberger
                                => 24405,
                        salzer  => 1471, salzgeber
                                => 3394,
                        salzger => 3979, salzinger
                                => 17786,
                        salzlechner
                                => 13974, salzmann
                                => 990,
                        salzwedel
                                => 15685, samann  => 12949,
                        samardzic
                                => 3005, sambale => 21118,
                        sambs   => 21465, samek   => 8138, samel   => 24011, sames   => 17573,
                        samhaber
                                => 3178, saminger
                                => 16212,
                        samitsch
                                => 10903, samitz  => 11663,
                        samland => 17715, sammer  => 932, sammet  => 13608, samonig => 16197,
                        sampl   => 1701, sampt   => 10867, sams    => 3710, samsel  => 23909,
                        samwald => 8274, sancak  => 8600, sand    => 2885, sandberg
                                => 17094,
                        sandberger
                                => 11258, sandbichler
                                => 7837,
                        sander  => 259, sanders => 2482, sandgruber
                                => 14471,
                        sandhofer
                                => 5848, sandholzer
                                => 8579,
                        sandic  => 17325, sandig  => 12407, sandler => 7438, sandmann
                                => 2315,
                        sandmayr
                                => 20209, sandner => 2902,
                        sandow  => 19587, sandrieser
                                => 17087,
                        sandriesser
                                => 16896, sandrisser
                                => 12326,
                        sandrock
                                => 12377, sandt   => 23927,
                        sandtner
                                => 12516, sandulovic
                                => 12792,
                        sandvoss
                                => 21260, sanfilippo
                                => 16723,
                        sanli   => 8014, sanna   => 10921, sanneh  => 18726, santangelo
                                => 16714,
                        santeler
                                => 5576, santer  => 2382,
                        santner => 953, santoro => 4557, sapina  => 21029, sapper  => 9602,
                        sappl   => 5522, sarac   => 4232, saracevic
                                => 18426,
                        saracoglu
                                => 21052, sarajlic
                                => 9295,
                        saral   => 21051, sarca   => 21965, sarcevic
                                => 7702,
                        sargsyan
                                => 18963, sari    => 881,
                        sariay  => 22699, saric   => 2325, sarica  => 17170, saricicek
                                => 11102,
                        sarigul => 14617, sarikaya
                                => 2140,
                        saringer
                                => 6857, sarioglu
                                => 10005,
                        saritas => 10991, sarkozi => 5518, sarlak  => 17223, sarrer  => 23557,
                        sartor  => 18638, sartorius
                                => 14629,
                        sarwari => 9527, sarwary => 19340, saskin  => 10896, sasmaz  => 12840,
                        sass    => 2622, sasse   => 2256, sassmann
                                => 7651,
                        sassmannshausen
                                => 17415, satler  => 14381,
                        satran  => 21853, sattlberger
                                => 15840,
                        sattlecker
                                => 10354, sattlegger
                                => 9226,
                        sattler => 434, sattmann
                                => 17544,
                        satzer  => 15148, satzinger
                                => 4583,
                        sauberer
                                => 20033, sauberlich
                                => 19609,
                        sauer   => 206, sauerbier
                                => 11766,
                        sauerborn
                                => 10764, sauerbrey
                                => 8738,
                        sauerland
                                => 8425, sauermann
                                => 7443,
                        sauerschnig
                                => 10693, sauerteig
                                => 21205,
                        sauerwald
                                => 8902, sauerwein
                                => 8670,
                        sauerzapf
                                => 11842, saul    => 6825,
                        saupe   => 6727, saur    => 7047, saurer  => 1412, saurwein
                                => 5260,
                        sauseng => 4101, sauter  => 1466, sautner => 8249, sautter => 8180,
                        savanovic
                                => 16606, savci   => 21875,
                        savic   => 423, savkovic
                                => 15186,
                        savran  => 13334, savvidis
                                => 19412,
                        sawatzki
                                => 6962, sawicki => 18812,
                        sawitzki
                                => 19903, saxer   => 18539,
                        saxinger
                                => 11443, sayan   => 8985,
                        sayar   => 13672, saygili => 16229, saygin  => 11575, sayin   => 8054,
                        scalet  => 15334, scha    => 1702, schaab  => 12605, schaack => 23361,
                        schaad  => 22190, schaaf  => 1230, schaak  => 10770, schaake => 21238,
                        schaal  => 3585, schaale => 21221, schaap  => 23503, schaar  => 4737,
                        schaarschmidt
                                => 3594, schabasser
                                => 14358,
                        schabauer
                                => 3163, schabel => 18803,
                        schabelreiter
                                => 13905, schaber => 5787,
                        schabereiter
                                => 10773, schaberl
                                => 16400,
                        schabernack
                                => 13234, schaberreiter
                                => 13302,
                        schabert
                                => 24330, schabes => 12666,
                        schabetsberger
                                => 11026, schabhuttl
                                => 9700,
                        schabl  => 10417, schablas
                                => 17996,
                        schabus => 7410, schachenhofer
                                => 9221,
                        schacher
                                => 22204, schacherl
                                => 7617,
                        schachermayr
                                => 9779, schachinger
                                => 618,
                        schachl => 4092, schachner
                                => 567,
                        schacht => 1874, schachtner
                                => 16918,
                        schachtschneider
                                => 23420, schack  => 6425,
                        schad   => 4047, schadauer
                                => 8957,
                        schade  => 656, schadenbauer
                                => 12566,
                        schadenhofer
                                => 12867, schader => 11775,
                        schadinger
                                => 22338, schadl  => 8190,
                        schadle => 13898, schadler
                                => 4183,
                        schadlich
                                => 4202, schadow => 11230,
                        schadt  => 8800, schaefer
                                => 437,
                        schaefers
                                => 24151, schaeffer
                                => 11754,
                        schaer  => 19339, schafer => 29, schafers
                                => 4105,
                        schaffauer
                                => 22543, schaffel
                                => 18004,
                        schaffenrath
                                => 6122, schaffer
                                => 397,
                        schafferer
                                => 7714, schafferhofer
                                => 13907,
                        schaffert
                                => 16340, schaffler
                                => 3586,
                        schafflinger
                                => 14506, schaffner
                                => 5961,
                        schaffranek
                                => 22677, schaffrath
                                => 4833,
                        schafhauser
                                => 15359, schafhuber
                                => 19264,
                        schaflechner
                                => 11984, schafleitner
                                => 10889,
                        schafzahl
                                => 13882, schager => 5746,
                        schagerl
                                => 1660, schagl  => 20040,
                        schaible
                                => 7311, schaich => 17173,
                        schaider
                                => 10974, schaidreiter
                                => 6702,
                        schal   => 21216, schalek => 16703, schalk  => 1468, schalko => 18027,
                        schall  => 2996, schalla => 20773, schallauer
                                => 6713,
                        schalle => 22390, schallenberg
                                => 9395,
                        schaller
                                => 972, schallert
                                => 6813,
                        schallhart
                                => 15061, schalli => 18296,
                        schallmeiner
                                => 12309, schalow => 16491,
                        schambach
                                => 22636, schamberger
                                => 7803,
                        schandel
                                => 17367, schander
                                => 12316,
                        schandl => 1821, schanes => 14968, schank  => 16578, schanner
                                => 15491,
                        schano  => 21626, schantl => 876, schantz => 20365, schanz  => 5201,
                        schanze => 10846, schanzl => 22906, schaper => 1992, schapers
                                => 19623,
                        schardinger
                                => 11476, schardt => 5902,
                        scharer => 22290, scharf  => 610, scharfegger
                                => 19492,
                        scharfenberg
                                => 7449, scharfetter
                                => 5419,
                        scharff => 9866, scharinger
                                => 1281,
                        scharl  => 4255, scharler
                                => 2105,
                        scharmann
                                => 11724, scharmer
                                => 11688,
                        scharmitzer
                                => 22807, scharnagl
                                => 8802,
                        scharnbock
                                => 17107, scharner
                                => 3375,
                        scharnhorst
                                => 16534, scharnreitner
                                => 13090,
                        scharnweber
                                => 23930, scharpf => 12941,
                        scharping
                                => 24285, scharr  => 17498,
                        scharrer
                                => 5783, schartmuller
                                => 3356,
                        schartner
                                => 1895, schasching
                                => 12172,
                        schaschl
                                => 17794, schatt  => 22214,
                        schattauer
                                => 6562, schattleitner
                                => 15233,
                        schattschneider
                                => 17585, schatz  => 408,
                        schatzberger
                                => 10984, schatzer
                                => 4154,
                        schatzl => 2185, schatzle
                                => 5165,
                        schatzlmair
                                => 18961, schatzmann
                                => 7148,
                        schatzmayr
                                => 15837, schau   => 6317,
                        schaub  => 1678, schauberger
                                => 12984,
                        schauble
                                => 10468, schaubmair
                                => 15326,
                        schaudt => 23876, schauer => 326, schauerte
                                => 8731,
                        schauf  => 15635, schauff => 18073, schaufler
                                => 1631,
                        schauflinger
                                => 22599, schauhuber
                                => 18860,
                        schaum  => 13332, schaumann
                                => 8754,
                        schaumberger
                                => 3028, schaumburg
                                => 11296,
                        schaumuller
                                => 17872, schaunig
                                => 7749,
                        schaupensteiner
                                => 22458, schauperl
                                => 11590,
                        schaupp => 3595, schauppenlehner
                                => 13681,
                        schaupper
                                => 14778, schaur  => 21513,
                        schaurecker
                                => 20314, schaurhofer
                                => 11771,
                        schausberger
                                => 4034, schautzer
                                => 8560,
                        schawarz
                                => 20922, sche    => 3648,
                        schebesta
                                => 7727, scheck  => 4433,
                        schedel => 17324, scheder => 14891, schediwy
                                => 20853,
                        schedl  => 5599, schedlbauer
                                => 11762,
                        schedlberger
                                => 4620, schedle => 21089,
                        schedler
                                => 2441, scheed  => 22176,
                        scheel  => 1474, scheele => 4651, scheer  => 1204, scheerer
                                => 7029,
                        schefbanker
                                => 20153, schefer => 11621,
                        scheffauer
                                => 23060, scheffel
                                => 3684,
                        scheffer
                                => 5687, scheffknecht
                                => 6774,
                        scheffler
                                => 762, scheffner
                                => 20585,
                        scheffold
                                => 18270, scheib  => 11509,
                        scheibe => 2085, scheibel
                                => 5768,
                        scheibelberger
                                => 12654, scheibelhofer
                                => 9524,
                        scheibelreiter
                                => 11625, scheibenpflug
                                => 8783,
                        scheibenreif
                                => 6238, scheibenstock
                                => 21210,
                        scheiber
                                => 374, scheibl => 3925,
                        scheiblauer
                                => 9637, scheible
                                => 18275,
                        scheiblecker
                                => 17922, scheiblehner
                                => 12432,
                        scheibler
                                => 19363, scheiblhofer
                                => 7522,
                        scheibmayr
                                => 20410, scheibner
                                => 6265,
                        scheichelbauer
                                => 22350, scheichenberger
                                => 15214,
                        scheicher
                                => 4186, scheichl
                                => 7228,
                        scheickl
                                => 22522, scheid  => 3560,
                        scheidbach
                                => 14687, scheidel
                                => 23512,
                        scheidemann
                                => 18559, scheider
                                => 8046,
                        scheidig
                                => 23711, scheiding
                                => 24422,
                        scheidl => 1163, scheidle
                                => 11747,
                        scheidleder
                                => 15260, scheidler
                                => 11257,
                        scheidnagl
                                => 20226, scheidt => 3889,
                        scheier => 13306, scheiermann
                                => 21251,
                        scheifinger
                                => 11657, scheiflinger
                                => 6303,
                        scheikl => 3407, scheil  => 10545, schein  => 3559, scheinast
                                => 11206,
                        scheinecker
                                => 15012, scheiner
                                => 8501,
                        scheinert
                                => 17274, scheinpflug
                                => 19502,
                        scheipl => 21572, scheiring
                                => 7104,
                        scheit  => 22565, scheiterbauer
                                => 12944,
                        scheithauer
                                => 10339, schelch => 7669,
                        scheld  => 13563, schelenz
                                => 21253,
                        scheler => 6113, schelhorn
                                => 24003,
                        schell  => 1584, schellander
                                => 1886,
                        schellbach
                                => 23630, schellberg
                                => 20292,
                        schelle => 8373, schellenbacher
                                => 22049,
                        schellenberg
                                => 3471, schellenberger
                                => 6295,
                        scheller
                                => 1494, schellhammer
                                => 23573,
                        schellhase
                                => 17344, schellhorn
                                => 6850,
                        schellin
                                => 15878, schelling
                                => 8339,
                        schellmann
                                => 9961, schellnast
                                => 13758,
                        schellnegger
                                => 8658, schels  => 21000,
                        schelter
                                => 24282, schemel => 18468,
                        schemm  => 24337, schemmel
                                => 15219,
                        schempp => 17266, schen   => 24010, schenck => 10366, schendel
                                => 13397,
                        schendl => 8122, schendzielorz
                                => 24026,
                        schenk  => 428, schenke => 4357, schenkel
                                => 5341,
                        schenker
                                => 6287, schenkermayr
                                => 15057,
                        schennach
                                => 3826, schenner
                                => 7303,
                        scheper => 13297, schepers
                                => 4309,
                        schepp  => 10614, scher   => 18789, scherb  => 9945, scherbarth
                                => 23806,
                        scherbaum
                                => 12726, scherber
                                => 20060,
                        scherbichler
                                => 18148, scherbl => 19964,
                        scherbler
                                => 20276, scherer => 422,
                        scherf  => 2904, scherff => 22640, scherfler
                                => 12102,
                        scherhaufer
                                => 18973, scheriau
                                => 3839,
                        scherl  => 4240, scherleitner
                                => 11236,
                        scherling
                                => 10513, scherm  => 11908,
                        schermann
                                => 1981, schermer
                                => 9698,
                        schermuly
                                => 23089, schernberger
                                => 18351,
                        scherndl
                                => 11491, scherner
                                => 15213,
                        schernthaner
                                => 2177, schernthanner
                                => 9920,
                        scherr  => 1348, scherrer
                                => 3052,
                        schertel
                                => 23824, schertler
                                => 5601,
                        scherubl
                                => 16454, scherwitzl
                                => 8459,
                        scherz  => 1017, scherzer
                                => 1305,
                        scherzinger
                                => 13992, schett  => 2339,
                        schettler
                                => 7102, scheu   => 5517,
                        scheubmayr
                                => 20797, scheuch => 6852,
                        scheuchenegger
                                => 14714, scheuchenpflug
                                => 11917,
                        scheuchenstuhl
                                => 11937, scheucher
                                => 783,
                        scheuchl
                                => 14952, scheuer => 4146,
                        scheuerer
                                => 6884, scheuermann
                                => 3144,
                        scheufele
                                => 20402, scheufler
                                => 17432,
                        scheuhammer
                                => 21117, scheumann
                                => 20955,
                        scheumbauer
                                => 20113, scheunemann
                                => 5779,
                        scheunert
                                => 15783, scheurecker
                                => 18135,
                        scheuren
                                => 21973, scheurer
                                => 6552,
                        scheurich
                                => 22745, scheuring
                                => 12909,
                        scheuringer
                                => 2181, scheutz => 5682,
                        schewe  => 3802, schi    => 2191, schibani
                                => 21888,
                        schibich
                                => 15417, schich  => 23898,
                        schichl => 12624, schicho => 3257, schick  => 1016, schicke => 11912,
                        schicker
                                => 4852, schickhofer
                                => 17989,
                        schickinger
                                => 16026, schicklgruber
                                => 17873,
                        schickling
                                => 20107, schickmair
                                => 16649,
                        schickmayr
                                => 10359, schider => 20621,
                        schie   => 17746, schiebel
                                => 6313,
                        schieber
                                => 12752, schiebler
                                => 21694,
                        schiechl
                                => 9889, schiechtl
                                => 10695,
                        schieck => 12508, schieder
                                => 2046,
                        schiedlbauer
                                => 20912, schiefelbein
                                => 13619,
                        schiefer
                                => 617, schieferdecker
                                => 19651,
                        schieferer
                                => 18692, schiefermuller
                                => 20274,
                        schiefert
                                => 23403, schiefner
                                => 24450,
                        schiegl => 8264, schieh  => 20768, schiek  => 17944, schieke => 12146,
                        schiel  => 6950, schiele => 3406, schielke
                                => 9959,
                        schiemann
                                => 2358, schiemenz
                                => 18316,
                        schiemer
                                => 7470, schiendorfer
                                => 11835,
                        schiener
                                => 10959, schier  => 4162,
                        schieraus
                                => 17846, schieren
                                => 14569,
                        schierenberg
                                => 24092, schierer
                                => 10020,
                        schierholz
                                => 20545, schierhuber
                                => 7918,
                        schierl => 6075, schierle
                                => 21194,
                        schierz => 14609, schiesser
                                => 9410,
                        schiessl
                                => 5962, schiessler
                                => 21637,
                        schiessling
                                => 15071, schiester
                                => 15557,
                        schiestl
                                => 867, schietz => 21803,
                        schiewe => 14455, schiffbanker
                                => 21604,
                        schiffer
                                => 1308, schifferl
                                => 15621,
                        schiffers
                                => 10575, schiffler
                                => 14159,
                        schifflhuber
                                => 20840, schiffmann
                                => 5716,
                        schiffner
                                => 4745, schigan => 21765,
                        schikora
                                => 9973, schikowski
                                => 18141,
                        schilchegger
                                => 12495, schilcher
                                => 1043,
                        schild  => 2648, schildberger
                                => 6621,
                        schildbock
                                => 13455, schilde => 14913,
                        schilder
                                => 13198, schildhauer
                                => 14896,
                        schildknecht
                                => 19347, schildorfer
                                => 16787,
                        schildt => 8253, schilk  => 21805, schilke => 9341, schill  => 3185,
                        schiller
                                => 385, schilli => 22445,
                        schilling
                                => 292, schillinger
                                => 4584,
                        schillings
                                => 8623, schillo => 22134,
                        schilz  => 19874, schima  => 14480, schimak => 8934, schimani
                                => 16233,
                        schimanko
                                => 14110, schimann
                                => 16660,
                        schimanski
                                => 4787, schimautz
                                => 22344,
                        schimbock
                                => 18763, schimek => 3637,
                        schimke => 20186, schimkowitsch
                                => 23082,
                        schimmel
                                => 3546, schimmelpfennig
                                => 7763,
                        schimmer
                                => 9695, schimmerl
                                => 17889,
                        schimmler
                                => 19060, schimon => 21055,
                        schimpel
                                => 9008, schimpelsberger
                                => 13462,
                        schimpf => 4707, schimpfhuber
                                => 11072,
                        schimpfossl
                                => 15010, schimpl => 1499,
                        schinagl
                                => 1634, schindecker
                                => 19413,
                        schindel
                                => 11138, schindelar
                                => 12924,
                        schindele
                                => 8368, schindhelm
                                => 21015,
                        schindl => 3752, schindlauer
                                => 4738,
                        schindlbeck
                                => 17874, schindlegger
                                => 7759,
                        schindler
                                => 297, schindlinger
                                => 21994,
                        schinegger
                                => 21017, schinhan
                                => 17623,
                        schink  => 5128, schinke => 8471, schinkel
                                => 7270,
                        schinkinger
                                => 11494, schinko => 5101,
                        schinner
                                => 13607, schinnerl
                                => 1031,
                        schinninger
                                => 21367, schinwald
                                => 6017,
                        schinzel
                                => 13945, schipfer
                                => 12474,
                        schipflinger
                                => 2857, schipp  => 24005,
                        schippany
                                => 22291, schippel
                                => 15376,
                        schipper
                                => 4613, schippers
                                => 11787,
                        schirgi => 11980, schirl  => 8524, schirlbauer
                                => 22784,
                        schirm  => 12360, schirmbeck
                                => 21476,
                        schirmer
                                => 997, schirner
                                => 23905,
                        schirnhofer
                                => 2685, schirra => 6148,
                        schirrmacher
                                => 9819, schirrmeister
                                => 9242,
                        schittenhelm
                                => 18242, schitter
                                => 5235,
                        schiwek => 17467, schiwy  => 23132, schl    => 5609, schlaak => 11398,
                        schlacher
                                => 2484, schlachter
                                => 9046,
                        schlack => 15382, schlader
                                => 9818,
                        schladitz
                                => 20370, schlaffer
                                => 4175,
                        schlag  => 4928, schlagbauer
                                => 5886,
                        schlager
                                => 350, schlageter
                                => 14091,
                        schlagl => 16224, schlagnitweit
                                => 14347,
                        schlarmann
                                => 22934, schlatte
                                => 8486,
                        schlatter
                                => 3524, schlatzer
                                => 4999,
                        schlau  => 23841, schlauer
                                => 9816,
                        schlebusch
                                => 14602, schlechmair
                                => 18882,
                        schlederer
                                => 9482, schlee  => 6180,
                        schleef => 15668, schlegel
                                => 472,
                        schlegelmilch
                                => 14163, schlegl => 5242,
                        schlei  => 22088, schleich
                                => 5798,
                        schleicher
                                => 1487, schleier
                                => 17260,
                        schleif => 20761, schleifer
                                => 3701,
                        schleinitz
                                => 15723, schleinzer
                                => 4758,
                        schlemmer
                                => 3109, schlender
                                => 8914,
                        schlenger
                                => 23999, schlenker
                                => 5573,
                        schlenz => 19055, schlereth
                                => 8245,
                        schleritzko
                                => 9911, schlesier
                                => 13005,
                        schlesiger
                                => 13370, schlesinger
                                => 5500,
                        schletter
                                => 24453, schley  => 5439,
                        schleyer
                                => 14115, schlich => 13328,
                        schlicht
                                => 3023, schlichting
                                => 2671,
                        schlick => 2120, schlicker
                                => 10515,
                        schlie  => 15619, schlieber
                                => 21535,
                        schlief => 23216, schlieker
                                => 15652,
                        schliemann
                                => 22439, schliep => 16234,
                        schlieper
                                => 9860, schlierenzauer
                                => 19143,
                        schlimm => 22881, schlindwein
                                => 19213,
                        schlingmann
                                => 19647, schlink => 20810,
                        schlintl
                                => 12788, schlitt => 15883,
                        schlitzer
                                => 15473, schloegl
                                => 11841,
                        schloemer
                                => 23880, schloffel
                                => 23652,
                        schloffer
                                => 2380, schlogel
                                => 21798,
                        schlogelhofer
                                => 13103, schlogl => 470,
                        schloglhofer
                                => 9093, schloglmann
                                => 18945,
                        schlojer
                                => 18786, schlomer
                                => 7012,
                        schlommer
                                => 9810, schlosinger
                                => 21349,
                        schlosser
                                => 1399, schlote => 22537,
                        schlothauer
                                => 15957, schlotmann
                                => 20559,
                        schlott => 9372, schlotter
                                => 8871,
                        schlotthauer
                                => 24243, schlottmann
                                => 13089,
                        schluck => 20524, schluder
                                => 12403,
                        schlueter
                                => 7812, schlund => 11926,
                        schlundt
                                => 20220, schlusselberger
                                => 14230,
                        schluter
                                => 455, schlutter
                                => 17824,
                        schm    => 4225, schmahl => 7747, schmalenbach
                                => 20729,
                        schmalenberg
                                => 20039, schmalfuss
                                => 13208,
                        schmalhofer
                                => 15684, schmallegger
                                => 11356,
                        schmalnauer
                                => 13042, schmalz => 3298,
                        schmalzbauer
                                => 9535, schmalzer
                                => 6147,
                        schmalzl
                                => 5726, schmaranzer
                                => 9416,
                        schmatz => 6920, schmauder
                                => 19662,
                        schmaus => 10039, schmautz
                                => 17011,
                        schmedemann
                                => 24355, schmedes
                                => 17921,
                        schmedler
                                => 11679, schmeer => 14294,
                        schmees => 24297, schmehl => 24022, schmeichel
                                => 20176,
                        schmeing
                                => 22080, schmeiser
                                => 19328,
                        schmeisser
                                => 9953, schmelcher
                                => 24014,
                        schmeling
                                => 7811, schmelter
                                => 10790,
                        schmelz => 6288, schmelzer
                                => 2013,
                        schmelzle
                                => 17848, schmengler
                                => 24217,
                        schmerlaib
                                => 8860, schmi   => 10572,
                        schmich => 24298, schmickl
                                => 9806,
                        schmickler
                                => 20436, schmid  => 32,
                        schmidbauer
                                => 1891, schmidberger
                                => 3788,
                        schmider
                                => 14338, schmiderer
                                => 2946,
                        schmidhammer
                                => 8643, schmidhofer
                                => 2948,
                        schmidhuber
                                => 3995, schmidi => 10187,
                        schmidinger
                                => 1769, schmidke
                                => 20215,
                        schmidl => 1192, schmidlechner
                                => 6154,
                        schmidleithner
                                => 18099, schmidleitner
                                => 12303,
                        schmidler
                                => 19675, schmidsberger
                                => 7235,
                        schmidseder
                                => 10097, schmidt => 4,
                        schmidtbauer
                                => 16069, schmidtberger
                                => 19013,
                        schmidtchen
                                => 11410, schmidthaler
                                => 5178,
                        schmidtke
                                => 1342, schmidtmann
                                => 14789,
                        schmidts
                                => 18193, schmied => 456,
                        schmiedbauer
                                => 6992, schmiedel
                                => 2941,
                        schmieder
                                => 1985, schmiederer
                                => 11496,
                        schmiedhofer
                                => 11939, schmiedl
                                => 6988,
                        schmiedlechner
                                => 18765, schmiedmaier
                                => 22042,
                        schmiedt
                                => 14168, schmieg => 24363,
                        schmiemann
                                => 24102, schmierer
                                => 21877,
                        schminke
                                => 23653, schmirl => 14421,
                        schmit  => 4253, schmitd => 20131, schmitt => 54, schmitter
                                => 12843,
                        schmittner
                                => 24369, schmitz => 43,
                        schmitzberger
                                => 2839, schmitzer
                                => 10214,
                        schmoelzer
                                => 19033, schmoger
                                => 16716,
                        schmohl => 16034, schmoldt
                                => 19469,
                        schmolke
                                => 6973, schmoll => 2774,
                        schmoller
                                => 18453, schmollerl
                                => 20737,
                        schmolmuller
                                => 16097, schmolz => 4419,
                        schmolzer
                                => 1516, schmuck => 982,
                        schmucker
                                => 7227, schmunk => 20083,
                        schmutz => 2796, schmutzer
                                => 3192,
                        schmutzhart
                                => 16895, schmutzler
                                => 7858,
                        schn    => 8061, schnabel
                                => 1028,
                        schnabl => 892, schnabler
                                => 8854,
                        schnack => 16573, schnackenberg
                                => 19813,
                        schnaitl
                                => 9324, schnaitmann
                                => 21143,
                        schnaitter
                                => 21886, schnakenberg
                                => 13193,
                        schnallinger
                                => 11927, schnalzenberger
                                => 14060,
                        schnalzer
                                => 11163, schnapp => 18047,
                        schnarr => 22160, schnaubelt
                                => 18932,
                        schneck => 4924, schneckenleitner
                                => 10274,
                        schnecker
                                => 13634, schnedl => 2897,
                        schnedlitz
                                => 23282, schneebacher
                                => 16813,
                        schneebauer
                                => 4805, schneeberg
                                => 20373,
                        schneeberger
                                => 522, schneeflock
                                => 21589,
                        schneegans
                                => 23745, schneegass
                                => 23686,
                        schneemann
                                => 7592, schneeweis
                                => 6714,
                        schneeweiss
                                => 3873, schnegg => 4315,
                        schneglberger
                                => 8496, schneiber
                                => 12558,
                        schneid => 11839, schneider
                                => 5,
                        schneiderbauer
                                => 8729, schneidereit
                                => 7897,
                        schneiders
                                => 5347, schneidewind
                                => 8791,
                        schneidhofer
                                => 4192, schneidinger
                                => 14261,
                        schnelzer
                                => 14565, schnepel
                                => 17413,
                        schnepf => 5828, schnepfleitner
                                => 14989,
                        schneppe
                                => 24158, schnettler
                                => 22271,
                        schnetzer
                                => 2670, schnetzinger
                                => 19894,
                        schnidar
                                => 15624, schnieder
                                => 8719,
                        schnieders
                                => 4676, schnier => 17383,
                        schnitker
                                => 21154, schnittger
                                => 16328,
                        schnittker
                                => 23163, schnitzer
                                => 2254,
                        schnitzhofer
                                => 8294, schnitzler
                                => 2541,
                        schnoell
                                => 15920, schnogl => 22202,
                        schnoll => 2716, schnolzer
                                => 23535,
                        schnoor => 4510, schnorr => 11830, schnorrenberg
                                => 20251,
                        schnotzinger
                                => 10987, schnuderl
                                => 15673,
                        schnur  => 4286, schnurer
                                => 22808,
                        schnurr => 8671, scho    => 3880, schob   => 23568, schoba  => 21741,
                        schobel => 4926, schober => 124, schoberberger
                                => 13638,
                        schoberegger
                                => 15493, schoberer
                                => 21865,
                        schoberl
                                => 2142, schoberleitner
                                => 12175,
                        schobersberger
                                => 16540, schobert
                                => 11375,
                        schoberth
                                => 18496, schobesberger
                                => 2141,
                        schobinger
                                => 10172, schoby  => 20732,
                        schoch  => 3543, schock  => 4749, schodel => 16447, schoder => 3405,
                        schoderbock
                                => 11251, schodinger
                                => 23393,
                        schodl  => 5343, schoeberl
                                => 18991,
                        schoemaker
                                => 24432, schoen  => 4580,
                        schoenauer
                                => 18846, schoenberger
                                => 17336,
                        schoene => 12137, schoenen
                                => 17251,
                        schoenfeld
                                => 15087, schoenfelder
                                => 24012,
                        schoepf => 5862, schofbeck
                                => 15004,
                        schofberger
                                => 18717, schofer => 10088,
                        schoffauer
                                => 16776, schoffel
                                => 8898,
                        schoffl => 9510, schoffler
                                => 18226,
                        schoffmann
                                => 1508, schofl  => 14293,
                        schofmann
                                => 9443, schoftner
                                => 8383,
                        schoger => 20975, schoggl => 4087, schogl  => 7453, schogler
                                => 8543,
                        schoissengeier
                                => 21356, schoiswohl
                                => 5238,
                        schoitsch
                                => 19466, schoknecht
                                => 12435,
                        scholda => 22814, scholer => 5408, scholl  => 975, schollauf
                                => 7792,
                        schollbach
                                => 23720, schollbauer
                                => 18590,
                        scholle => 6419, schollenberger
                                => 23560,
                        scholler
                                => 1712, schollhammer
                                => 16076,
                        schollhorn
                                => 20693, scholm  => 20266,
                        scholmberger
                                => 23423, schols  => 20050,
                        scholten
                                => 3223, scholtes
                                => 10368,
                        scholtyssek
                                => 20171, scholtz => 12171,
                        scholz  => 73, scholze => 2860, scholzel
                                => 9344,
                        scholzen
                                => 19169, schomacker
                                => 22410,
                        schomaker
                                => 7704, schomann
                                => 15674,
                        schomberg
                                => 22652, schomburg
                                => 7418,
                        schommer
                                => 9159, schonau => 10656,
                        schonauer
                                => 1794, schonbach
                                => 14727,
                        schonbacher
                                => 6351, schonbauer
                                => 4239,
                        schonbeck
                                => 11419, schonberg
                                => 4283,
                        schonberger
                                => 1229, schonbichler
                                => 9997,
                        schonborn
                                => 7304, schonbrunn
                                => 20687,
                        schondorfer
                                => 2055, schone  => 941,
                        schonebeck
                                => 17939, schoneberg
                                => 6170,
                        schoneberger
                                => 18232, schoneck
                                => 16261,
                        schonefeld
                                => 13396, schonegger
                                => 2245,
                        schoneich
                                => 15770, schonemann
                                => 4083,
                        schonenberg
                                => 15508, schonenberger
                                => 18625,
                        schoner => 5497, schonert
                                => 20328,
                        schonewolf
                                => 24067, schonfeld
                                => 1095,
                        schonfelder
                                => 2394, schonfeldt
                                => 9316,
                        schongruber
                                => 9125, schongrundner
                                => 5038,
                        schonhals
                                => 23026, schonhart
                                => 14945,
                        schonherr
                                => 1739, schonhofen
                                => 19767,
                        schonhofer
                                => 7648, schonhoff
                                => 10488,
                        schonholz
                                => 21861, schonhuber
                                => 10091,
                        schonig => 7846, schoniger
                                => 13067,
                        schoning
                                => 3487, schoninger
                                => 14642,
                        schonitz
                                => 24451, schonknecht
                                => 12128,
                        schonleber
                                => 24307, schonlechner
                                => 20765,
                        schonleitner
                                => 2255, schonrock
                                => 13013,
                        schons  => 19216, schonstein
                                => 23651,
                        schonthaler
                                => 8052, schonwald
                                => 10485,
                        schonwalder
                                => 14169, schonwetter
                                => 14550,
                        schony  => 9123, schoo   => 22451, schoof  => 7242, schoofs => 13959,
                        schoolmann
                                => 12048, schoon  => 4207,
                        schoop  => 15489, schoosleitner
                                => 15135,
                        schope  => 12321, schopf  => 384, schopke => 15709, schopp  => 8609,
                        schoppa => 23338, schoppe => 7755, schopper
                                => 3447,
                        schoppl => 5460, schoppner
                                => 22478,
                        schops  => 7883, schorer => 12902, schorg  => 8006, schorgendorfer
                                => 11286,
                        schorghofer
                                => 2676, schorghuber
                                => 6436,
                        schork  => 14013, schorkhuber
                                => 4980,
                        schorkl => 20192, schorkmayer
                                => 14098,
                        schormann
                                => 15892, schorn  => 1987,
                        schornsteiner
                                => 15161, schorpp => 22245,
                        schorr  => 5821, schoser => 10375, schosser
                                => 12484,
                        schossler
                                => 22553, schott  => 862,
                        schotte => 9705, schottl => 10546, schottle
                                => 19897,
                        schottler
                                => 6989, schottner
                                => 22524,
                        schotz  => 7447, schr    => 5137, schrabauer
                                => 12047,
                        schrade => 6103, schrader
                                => 599,
                        schraffl
                                => 18769, schrage => 7367,
                        schragl => 5922, schrall => 16625, schram  => 15366, schrambock
                                => 17674,
                        schramek
                                => 9198, schramel
                                => 16795,
                        schraml => 4733, schramm => 277, schrammel
                                => 1338,
                        schrampf
                                => 16728, schrandt
                                => 24024,
                        schrangl
                                => 21918, schrank => 3024,
                        schranner
                                => 24304, schranz => 449,
                        schranzhofer
                                => 8613, schratl => 11325,
                        schratt => 11824, schrattenecker
                                => 1746,
                        schrattenholzer
                                => 19886, schrattenthaler
                                => 13852,
                        schratter
                                => 6082, schrattner
                                => 18323,
                        schratzberger
                                => 14578, schratzer
                                => 14219,
                        schraut => 22375, schraven
                                => 17709,
                        schreck => 2859, schreder
                                => 3331,
                        schredl => 9503, schrefl => 6004, schrei  => 2983, schreiber
                                => 151,
                        schreiblehner
                                => 17842, schreider
                                => 22750,
                        schreieck
                                => 21698, schreier
                                => 1669,
                        schreilechner
                                => 8727, schreiner
                                => 352,
                        schreiter
                                => 2605, schreitl
                                => 18062,
                        schreivogl
                                => 21615, schremmer
                                => 13554,
                        schrempf
                                => 1185, schrems => 10904,
                        schremser
                                => 17215, schrenk => 1384,
                        schretter
                                => 4873, schrettl
                                => 5869,
                        schretzmayer
                                => 18646, schrewe => 16296,
                        schrey  => 10542, schreyer
                                => 3188,
                        schrick => 20424, schrickel
                                => 13264,
                        schricker
                                => 19709, schriebl
                                => 2590,
                        schriefer
                                => 19634, schriefl
                                => 6492,
                        schriever
                                => 11537, schrimpf
                                => 8819,
                        schrittesser
                                => 7849, schrittwieser
                                => 1394,
                        schrock => 3219, schrocker
                                => 3091,
                        schrod  => 22799, schrodel
                                => 21060,
                        schroder
                                => 30, schrodl => 6605,
                        schrodt => 19814, schrodter
                                => 10646,
                        schroecker
                                => 21643, schroeder
                                => 591,
                        schroedter
                                => 16195, schroer => 1998,
                        schroers
                                => 7332, schroeter
                                => 3667,
                        schroff => 19383, schrofl => 14483, schrofner
                                => 16981,
                        schroll => 1654, schrom  => 15172, schron  => 22794, schropfer
                                => 9815,
                        schropp => 12428, schrors => 23951, schrot  => 24034, schroter
                                => 415,
                        schroth => 3912, schrott => 1659, schrottenbaum
                                => 18615,
                        schrotter
                                => 6619, schrottner
                                => 5491,
                        schruf  => 15008, schrumpf
                                => 13446,
                        schu    => 1489, schubel => 12033, schuber => 15287, schubert
                                => 78,
                        schuberth
                                => 9088, schubl  => 8740,
                        schuch  => 1524, schuchardt
                                => 3009,
                        schuchert
                                => 16070, schuchhardt
                                => 22867,
                        schuchlenz
                                => 18119, schuchmann
                                => 13186,
                        schucht => 15836, schuchter
                                => 2457,
                        schuck  => 3551, schuckert
                                => 8645,
                        schuecker
                                => 13521, schueler
                                => 10839,
                        schueller
                                => 20437, schuermann
                                => 15735,
                        schuessler
                                => 16223, schuett => 16137,
                        schuette
                                => 12096, schuetz => 5968,
                        schuetze
                                => 11183, schuff  => 16464,
                        schuffenhauer
                                => 14491, schug   => 4174,
                        schugerl
                                => 23510, schuh   => 447,
                        schuhbauer
                                => 19044, schuhknecht
                                => 16121,
                        schuhleitner
                                => 19079, schuhmacher
                                => 1903,
                        schuhmann
                                => 2199, schuhmayer
                                => 20565,
                        schuhmeier
                                => 23004, schuhmeister
                                => 23612,
                        schuiki => 18702, schuldes
                                => 23875,
                        schuldt => 1921, schulein
                                => 20961,
                        schulenburg
                                => 6628, schuler => 648,
                        schulhofer
                                => 18661, schulke => 6736,
                        schull  => 22836, schuller
                                => 625,
                        schulli => 22179, schulmann
                                => 24019,
                        schulmeister
                                => 8571, schulner
                                => 22974,
                        schulnig
                                => 12376, schult  => 1919,
                        schulte => 181, schulten
                                => 5868,
                        schultermandl
                                => 15133, schultes
                                => 5257,
                        schultheis
                                => 4402, schultheiss
                                => 5368,
                        schultschik
                                => 22519, schultz => 313,
                        schultze
                                => 1557, schulz  => 12,
                        schulze => 51, schulzki
                                => 24155,
                        schum   => 22248, schumacher
                                => 129,
                        schumann
                                => 197, schumi  => 9328,
                        schumich
                                => 20256, schumitsch
                                => 21666,
                        schumm  => 9320, schummer
                                => 24325,
                        schumy  => 22370, schunck => 19247, schunemann
                                => 2372,
                        schunk  => 4717, schunke => 5554, schunko => 10016, schupfer
                                => 5802,
                        schupp  => 3908, schuppe => 14434, schur   => 6192, schuren => 19703,
                        schurer => 6052, schurholz
                                => 22719,
                        schurian
                                => 5990, schuricht
                                => 13047,
                        schurig => 4840, schuring
                                => 20456,
                        schurmann
                                => 1271, schurr  => 7084,
                        schurrer
                                => 10768, schurz  => 4578,
                        schuschnig
                                => 17231, schusser
                                => 5936,
                        schussler
                                => 2759, schussmann
                                => 19631,
                        schuster
                                => 70, schusterbauer
                                => 16016,
                        schustereder
                                => 18779, schuth  => 20201,
                        schutt  => 1190, schutte => 871, schuttelkopf
                                => 21791,
                        schuttengruber
                                => 14998, schuttenkopf
                                => 23613,
                        schutter
                                => 5876, schutti => 8953,
                        schutting
                                => 8170, schuttler
                                => 5653,
                        schutz  => 366, schutze => 650, schutzelhofer
                                => 15104,
                        schutzeneder
                                => 10507, schutzenhofer
                                => 2467,
                        schutzinger
                                => 12623, schwaab => 15405,
                        schwab  => 196, schwabauer
                                => 20101,
                        schwabe => 1265, schwabegger
                                => 12681,
                        schwabl => 2548, schwager
                                => 4432,
                        schwagerl
                                => 23846, schwahn => 20222,
                        schwaiger
                                => 117, schwaighofer
                                => 1139,
                        schwake => 16465, schwalb => 13299, schwalbach
                                => 15690,
                        schwalbe
                                => 5147, schwald => 15251,
                        schwall => 21959, schwalm => 4761, schwamberger
                                => 15195,
                        schwamborn
                                => 20059, schwameis
                                => 20546,
                        schwan  => 2074, schwanda
                                => 18614,
                        schwandl
                                => 13273, schwandner
                                => 20894,
                        schwandt
                                => 5380, schwandtner
                                => 23499,
                        schwaneberg
                                => 22826, schwaninger
                                => 7921,
                        schwanitz
                                => 13584, schwank => 19369,
                        schwanke
                                => 5784, schwankl
                                => 24020,
                        schwanninger
                                => 16569, schwanzer
                                => 8162,
                        schwar  => 12019, schwarcz
                                => 20048,
                        schwarhofer
                                => 21101, schwark => 6072,
                        schwarm => 19540, schwarte
                                => 11986,
                        schwarting
                                => 15547, schwartz
                                => 1453,
                        schwartze
                                => 22380, schwarz => 33,
                        schwarzbach
                                => 7411, schwarzbauer
                                => 3003,
                        schwarzbock
                                => 19932, schwarze
                                => 1149,
                        schwarzenauer
                                => 7190, schwarzenbacher
                                => 2437,
                        schwarzenberg
                                => 14104, schwarzenberger
                                => 2709,
                        schwarzenbrunner
                                => 7671, schwarzenecker
                                => 15623,
                        schwarzenegger
                                => 16840, schwarzer
                                => 1224,
                        schwarzfischer
                                => 16330, schwarzfurtner
                                => 23422,
                        schwarzgruber
                                => 6216, schwarzhans
                                => 10938,
                        schwarzinger
                                => 1736, schwarzkogler
                                => 10840,
                        schwarzkopf
                                => 2922, schwarzl
                                => 865,
                        schwarzler
                                => 2251, schwarzlmuller
                                => 7982,
                        schwarzlose
                                => 16241, schwarzmaier
                                => 18398,
                        schwarzmann
                                => 2828, schwarzmayr
                                => 14962,
                        schwarzmeier
                                => 18118, schwarzmuller
                                => 15866,
                        schwayer
                                => 23195, schwebel
                                => 24286,
                        schwed  => 14178, schweda => 6598, schwede => 7468, schweder
                                => 17026,
                        schwedler
                                => 10591, schwedt => 16006,
                        schween => 24449, schweer => 8329, schweers
                                => 9390,
                        schwegler
                                => 9173, schwegmann
                                => 19798,
                        schweiberer
                                => 10571, schweifer
                                => 11757,
                        schweig => 17050, schweiger
                                => 137,
                        schweigert
                                => 7635, schweighart
                                => 4555,
                        schweighofer
                                => 359, schweighuber
                                => 14184,
                        schweigl
                                => 7843, schweigler
                                => 8040,
                        schweikart
                                => 20195, schweiker
                                => 23449,
                        schweikert
                                => 8388, schweinberger
                                => 3397,
                        schweinester
                                => 20092, schweinsberg
                                => 16276,
                        schweinzer
                                => 2851, schweiss
                                => 24373,
                        schweitzer
                                => 1415, schweizer
                                => 1085,
                        schwemberger
                                => 9292, schwemmer
                                => 10806,
                        schwendemann
                                => 12905, schwendenwein
                                => 12012,
                        schwender
                                => 16520, schwendinger
                                => 1592,
                        schwendner
                                => 20782, schwendtner
                                => 16186,
                        schweng => 11197, schwenger
                                => 24379,
                        schwenk => 2552, schwenke
                                => 5369,
                        schwenker
                                => 20457, schwenn => 16115,
                        schwenner
                                => 14429, schwenninger
                                => 20102,
                        schwenter
                                => 14492, schwentner
                                => 6912,
                        schwenzer
                                => 18349, schwenzfeier
                                => 23081,
                        schweppe
                                => 20159, schwerdt
                                => 7513,
                        schwerdtfeger
                                => 4850, schwerdtner
                                => 9464,
                        schwerin
                                => 5889, schwering
                                => 12024,
                        schwermer
                                => 19639, schwertberger
                                => 21373,
                        schwertfeger
                                => 9183, schwertner
                                => 14029,
                        schwetz => 7851, schwichtenberg
                                => 10775,
                        schwickert
                                => 15555, schwieger
                                => 13036,
                        schwienbacher
                                => 21967, schwier => 16587,
                        schwiertz
                                => 23713, schwierz
                                => 16043,
                        schwimmer
                                => 12322, schwind => 3888,
                        schwindsackl
                                => 13360, schwindt
                                => 10191,
                        schwing => 8737, schwingenschlogl
                                => 5078,
                        schwinger
                                => 4007, schwinghammer
                                => 7971,
                        schwingshackl
                                => 20631, schwinn => 7658,
                        schwitalla
                                => 13077, schwitzer
                                => 17416,
                        schwodiauer
                                => 15125, schworer
                                => 12458,
                        schwuchow
                                => 12952, sciacca => 21531,
                        scofield
                                => 18701, sebek   => 23197,
                        seber   => 11596, sebernegg
                                => 14632,
                        sebesta => 8029, sebestyen
                                => 13237,
                        secco   => 15745, secic   => 20369, secka   => 16331, seckler => 23288,
                        sedelmaier
                                => 22076, sedighi => 16819,
                        sediqi  => 10874, sedivy  => 11487, sedlacek
                                => 3333,
                        sedlaczek
                                => 15060, sedlak  => 5880,
                        sedlatschek
                                => 17197, sedlmaier
                                => 18186,
                        sedlmayer
                                => 17345, sedlmeier
                                => 8876,
                        seebach => 14428, seebacher
                                => 563,
                        seebauer
                                => 9674, seebeck => 22528,
                        seeber  => 5109, seeberg => 21058, seeberger
                                => 8572,
                        seebock => 11594, seeburger
                                => 11898,
                        seeck   => 20284, seedorf => 16470, seefeld => 9748, seefeldt
                                => 9157,
                        seefried
                                => 11307, seeger  => 965,
                        seegers => 10532, seegert => 16347, seehafer
                                => 23041,
                        seehofer
                                => 15573, seel    => 3130,
                        seeland => 18353, seelaus => 19541, seelbach
                                => 17328,
                        seeleitner
                                => 14545, seelhofer
                                => 19003,
                        seelig  => 5016, seeliger
                                => 5892,
                        seeling => 16127, seelmann
                                => 12029,
                        seelos  => 7013, seemann => 1246, seemuller
                                => 16537,
                        seer    => 5360, seethaler
                                => 4405,
                        seewald => 1984, seferagic
                                => 14202,
                        seferaj => 21262, seferi  => 13677, seferovic
                                => 11373,
                        seger   => 7189, seggl   => 10385, sehic   => 3324, sehnal  => 14177,
                        seib    => 7516, seibel  => 1778, seiberl => 5732, seibert => 1681,
                        seibl   => 21558, seibold => 2630, seibt   => 3556, seichter
                                => 18014,
                        seidel  => 139, seidelmann
                                => 17880,
                        seidemann
                                => 8761, seidenberg
                                => 20569,
                        seidensticker
                                => 23894, seider  => 12375,
                        seidl   => 122, seidlberger
                                => 22706,
                        seidler => 1618, seidlitz
                                => 14738,
                        seidner => 11619, seidnitzer
                                => 10017,
                        seier   => 8044, seifarth
                                => 10015,
                        seifer  => 22681, seifert => 174, seiferth
                                => 12445,
                        seiffert
                                => 3242, seifried
                                => 2729,
                        seifriedsberger
                                => 8434, seifter => 11542,
                        seiler  => 800, seilinger
                                => 12675,
                        seimann => 19187, seipel  => 8241, seipelt => 22447, seipp   => 10810,
                        seirer  => 19592, seiringer
                                => 2504,
                        seirlehner
                                => 12678, seisenbacher
                                => 6505,
                        seiser  => 2116, seisl   => 7289, seiss   => 18185, seiter  => 6639,
                        seith   => 23730, seitinger
                                => 8402,
                        seitl   => 18649, seitlinger
                                => 5067,
                        seitner => 4973, seitz   => 403, seiwald => 1249, seiwert => 17679,
                        sejdic  => 12540, sejdija => 18926, sejdini => 14864, sejdinovic
                                => 23562,
                        sejdiu  => 5920, sejdovic
                                => 23232,
                        seker   => 2594, sekerija
                                => 20441,
                        sekic   => 8033, sekmen  => 15176, sekulic => 5744, sekyra  => 16251,
                        selak   => 18915, selbach => 6938, selbmann
                                => 14040,
                        selent  => 13534, selic   => 17397, selig   => 6638, seliger => 4645,
                        selikoglu
                                => 22673, selimi  => 2554,
                        selimovic
                                => 1422, selinger
                                => 4609,
                        selke   => 9155, selker  => 15853, sell    => 1861, selle   => 4968,
                        sellin  => 13168, sellinger
                                => 19693,
                        sellitsch
                                => 19765, sellmann
                                => 9996,
                        sellmer => 23881, sellner => 10645, selmani => 4550, selmanovic
                                => 13659,
                        seltenhammer
                                => 11369, selter  => 17699,
                        seltmann
                                => 6126, selzer  => 4307,
                        sembach => 18465, semerci => 20951, semiz   => 7130, semler  => 7928,
                        semlitsch
                                => 4731, semmelmann
                                => 22833,
                        semmelrock
                                => 12651, semmernegg
                                => 23042,
                        semmler => 2736, semmo   => 11520, semper  => 7963, semrau  => 7442,
                        sen     => 579, sendler => 20991, sendlhofer
                                => 5740,
                        senegacnik
                                => 20926, senekowitsch
                                => 6669,
                        senf    => 4344, senff   => 22073, senft   => 5727, senfter => 5008,
                        senftleben
                                => 7777, senge   => 19395,
                        senger  => 2491, sengstschmid
                                => 20351,
                        sengthaler
                                => 8689, senkel  => 19617,
                        senn    => 2769, senner  => 23094, senoglu => 21679, senoner => 21954,
                        sens    => 7229, sensenberger
                                => 21579,
                        sensoy  => 14787, senst   => 20753, sentepe => 17032, senturk => 3197,
                        senzenberger
                                => 12635, seper   => 4588,
                        seppele => 23139, sepperer
                                => 11599,
                        serafin => 12586, serce   => 20953, serdarevic
                                => 23357,
                        sereinig
                                => 5157, seres   => 22755,
                        serin   => 8027, serloth => 15568, serschen
                                => 16886,
                        sert    => 2054, sertkaya
                                => 14769,
                        serttas => 11584, sesli   => 20626, sesselmann
                                => 20327,
                        sessler => 22986, sester  => 19824, sesterhenn
                                => 23541,
                        setik   => 21813, setzer  => 8846, seubert => 5144, seufert => 5870,
                        seuffert
                                => 20354, seunig  => 14002,
                        sevcik  => 10531, seven   => 3820, sever   => 4428, sevignani
                                => 23038,
                        sevimli => 13954, sevindik
                                => 17428,
                        sewald  => 21913, sewing  => 22288, seybold => 8591, seydel  => 10470,
                        seyer   => 6550, seyfarth
                                => 4532,
                        seyfert => 8724, seyffarth
                                => 24368,
                        seyffert
                                => 17759, seyfried
                                => 4213,
                        seyler  => 22864, seyr    => 4270, seyrek  => 17857, seyringer
                                => 20701,
                        seyrl   => 11702, seyser  => 12328, seywald => 8444, shabanaj
                                => 19351,
                        shabani => 2001, shahini => 24232, shakur  => 3971, shala   => 670,
                        sharifi => 4237, sharp   => 21336, shasivari
                                => 21348,
                        shatri  => 13922, sheen   => 14954, shehu   => 8497, shekho  => 13987,
                        shenaraj
                                => 22588, shenouda
                                => 19559,
                        shepherd
                                => 15441, sherifi => 15000,
                        shingali
                                => 14873, shirazi => 13643,
                        shishani
                                => 17555, shkodra => 19354,
                        shnkly  => 18211, shykhw  => 23690, siala   => 18721, sibic   => 21495,
                        sichelschmidt
                                => 23672, siciliano
                                => 12603,
                        sickert => 13295, sicking => 16134, sickinger
                                => 7678,
                        sickl   => 11529, siderits
                                => 18217,
                        sidiropoulos
                                => 18089, sidlo   => 14170,
                        siebeck => 24296, siebel  => 8296, siebels => 16067, siebenbrunner
                                => 18829,
                        siebenhaar
                                => 16024, siebenhandl
                                => 4573,
                        siebenhofer
                                => 3352, siebenstich
                                => 21839,
                        sieber  => 1280, sieberer
                                => 1222,
                        sieberg => 23843, siebers => 19906, siebert => 406, siebertz
                                => 16132,
                        siebke  => 16218, siebler => 14786, siebold => 10754, siebrecht
                                => 10078,
                        sieder  => 4114, siedl   => 3913, siefert => 5616, siefken => 19560,
                        siegel  => 878, siegele => 2184, siegemund
                                => 16579,
                        siegers => 24312, siegert => 1954, siegesleitner
                                => 13535,
                        sieghartsleitner
                                => 10074, siegismund
                                => 23650,
                        siegl   => 444, siegle  => 14328, siegler => 7598, siegmann
                                => 6367,
                        sieker  => 13211, siekmann
                                => 6183,
                        sielaff => 8834, sieland => 22384, sielemann
                                => 24017,
                        sieler  => 11066, sieling => 17444, siemann => 12869, siemen  => 17992,
                        siemens => 3765, siemer  => 3968, siemers => 6692, siemes  => 13976,
                        siemon  => 7722, siemoneit
                                => 23627,
                        siems   => 7369, siemsen => 22982, siemund => 24110, siener  => 13890,
                        siepe   => 18369, sieper  => 22870, siepmann
                                => 7645,
                        siering => 12129, siess   => 6087, sieverding
                                => 17946,
                        sievers => 1002, sievert => 3065, siewert => 2155, sifkovits
                                => 8169,
                        siggelkow
                                => 16365, sigl    => 916,
                        sijak   => 20380, sijamhodzic
                                => 12143,
                        sikora  => 4262, sikorski
                                => 9144,
                        silaghi => 15338, silberbauer
                                => 4004,
                        silberberger
                                => 5704, silbergasser
                                => 12682,
                        silberhorn
                                => 21031, silbermann
                                => 9807,
                        silbernagel
                                => 22175, silbernagl
                                => 19077,
                        silberschneider
                                => 11654, silhacek
                                => 22575,
                        silic   => 20243, sill    => 7133, sillaber
                                => 7004,
                        siller  => 1161, simader => 6686, simbeck => 17953, simburger
                                => 6028,
                        simek   => 7900, simeonov
                                => 12821,
                        simeonova
                                => 21985, simeonovic
                                => 14286,
                        simeth  => 19050, simetsberger
                                => 21391,
                        simetzberger
                                => 13673, simeunovic
                                => 14834,
                        simhandl
                                => 19034, simhofer
                                => 17724,
                        simic   => 355, simikic => 19702, simion  => 15199, simlinger
                                => 6046,
                        simma   => 3473, simmel  => 9977, simmer  => 7907, simmerl => 14500,
                        simmerle
                                => 21470, simmet  => 19536,
                        simon   => 118, simoner => 5290, simonis => 11076, simonitsch
                                => 6191,
                        simonlehner
                                => 14856, simonovic
                                => 7824,
                        simons  => 2710, simonsen
                                => 16239,
                        simperl => 22622, simsek  => 409, simson  => 15030, simtschitsch
                                => 14007,
                        simunovic
                                => 9028, sinabell
                                => 16890,
                        sinani  => 3713, sinanovic
                                => 7790,
                        sindelar
                                => 14453, sindermann
                                => 10808,
                        sindi   => 18613, sindler => 10949, sindlgruber
                                => 19142,
                        sindlhofer
                                => 16690, singer  => 346,
                        singler => 24143, singraber
                                => 20993,
                        sinka   => 19368, sinkovits
                                => 19042,
                        sinner  => 8525, sinnhuber
                                => 9623,
                        sinning => 12917, sintinger
                                => 23331,
                        sinz    => 7361, sinzinger
                                => 4058,
                        sipka   => 16757, sippel  => 4764, sippl   => 24339, sipura  => 11673,
                        sirbu   => 21737, sirch   => 19464, sischka => 21833, sisic   => 2673,
                        sisman  => 15290, sitar   => 13821, sitte   => 13066, sittel  => 22738,
                        sitter  => 4044, sittig  => 11276, sittler => 18830, sittner => 11627,
                        sitzmann
                                => 19515, sitzwohl
                                => 17741,
                        siutz   => 15960, sivac   => 22226, sivic   => 10628, sivri   => 23066,
                        sivrikaya
                                => 14349, siwek   => 19441,
                        skala   => 6627, skalic  => 15243, skaper  => 16656, skarek  => 17744,
                        skarits => 21375, skenderi
                                => 10038,
                        skenderovic
                                => 11916, skerget => 21577,
                        skiba   => 6631, skibba  => 20648, skibbe  => 11422, skina   => 23164,
                        skivjani
                                => 20221, skoff   => 8453,
                        skofitsch
                                => 19449, skola   => 19497,
                        skopal  => 15044, skopek  => 15386, skora   => 15003, skorepa => 23551,
                        skoric  => 12108, skorjanz
                                => 22514,
                        skorupa => 24417, skowronek
                                => 7465,
                        skrbo   => 23123, skreinig
                                => 21381,
                        skrgic  => 12317, skrijelj
                                => 12746,
                        skringer
                                => 8910, skrzypczak
                                => 19273,
                        skubel  => 13249, skupin  => 13400, sladek  => 6171, sladky  => 17981,
                        sladojevic
                                => 19011, slamanig
                                => 2721,
                        slanec  => 17224, slavik  => 6213, slawinski
                                => 23424,
                        slezak  => 13163, slijepcevic
                                => 18898,
                        slipek  => 23291, sliskovic
                                => 14248,
                        sliwa   => 17777, sliwinski
                                => 24040,
                        slotta  => 17749, slowik  => 17210, sluga   => 20799, sluganovic
                                => 18722,
                        smailovic
                                => 15388, smajic  => 3218,
                        smajli  => 10145, smajlovic
                                => 2724,
                        smeets  => 21916, smejkal => 12731, smekal  => 9722, smerecnig
                                => 22603,
                        smeritschnig
                                => 19871, smetana => 7121,
                        smidt   => 9581, smiljanic
                                => 16995,
                        smirnov => 15311, smits   => 15327, smola   => 22045, smolak  => 20735,
                        smole   => 6031, smolej  => 18847, smoliner
                                => 23370,
                        smolinski
                                => 16098, smolka  => 6901,
                        smolle  => 16902, smolnik => 20453, smuda   => 20247, smutny  => 16550,
                        snyder  => 19301, sobczak => 11131, sobek   => 17199, sobiech => 23412,
                        sobolewski
                                => 17745, sobota  => 21762,
                        sobotka => 4814, sobotta => 6405, sobottka
                                => 17908,
                        socha   => 15249, socher  => 13424, sochor  => 16603, soder   => 11453,
                        sofic   => 21774, softic  => 2068, sogner  => 22317, sogut   => 12133,
                        sohar   => 15420, sohler  => 10815, sohm    => 4328, sohnel  => 14649,
                        sohns   => 14722, soika   => 21074, sojer   => 6275, sojka   => 10199,
                        sokcevic
                                => 21490, sokic   => 13078,
                        sokmen  => 21772, sokoli  => 11406, sokoll  => 16907, sokolov => 21804,
                        sokolovic
                                => 15600, sokolowski
                                => 7258,
                        solak   => 4131, solbach => 10823, soldan  => 16849, soldo   => 10062,
                        solkner => 6266, soller  => 12870, sollinger
                                => 9408,
                        sollner => 3728, sollradl
                                => 9597,
                        solmaz  => 4499, soltani => 6812, soltau  => 6771, solter  => 15930,
                        somma   => 19388, sommer  => 121, sommerauer
                                => 2228,
                        sommerbauer
                                => 8908, sommerbichler
                                => 20958,
                        sommereder
                                => 17258, sommeregger
                                => 3000,
                        sommerer
                                => 3354, sommerfeld
                                => 1517,
                        sommerfeldt
                                => 17697, sommerhuber
                                => 14451,
                        sommersguter
                                => 8945, somogyi => 11847,
                        somweber
                                => 10136, sonderegger
                                => 4863,
                        sondermann
                                => 4856, sonksen => 18418,
                        sonmez  => 1260, sonnabend
                                => 11448,
                        sonnberger
                                => 3370, sonnbichler
                                => 17891,
                        sonneborn
                                => 18197, sonnek  => 21934,
                        sonnemann
                                => 13385, sonnenberg
                                => 2347,
                        sonnenburg
                                => 8928, sonnenfeld
                                => 23074,
                        sonnenschein
                                => 5299, sonnichsen
                                => 13461,
                        sonnleithner
                                => 9576, sonnleitner
                                => 514,
                        sonntag => 745, sonnweber
                                => 5323,
                        sontag  => 19254, sontheimer
                                => 17398,
                        sontowski
                                => 23817, sonvilla
                                => 14479,
                        sopjani => 20010, soppa   => 18563, soraperra
                                => 13843,
                        sorensen
                                => 8172, sorg    => 4946,
                        sorgatz => 22815, sorge   => 4847, sorgel  => 16552, sorgenfrei
                                => 14368,
                        sorger  => 1038, sorglos => 13929, sorgmann
                                => 18806,
                        sorgner => 15781, sorgo   => 14320, soriat  => 14775, sorko   => 4742,
                        sormaz  => 15433, sorrentino
                                => 13747,
                        soser   => 19954, sosic   => 8413, sosna   => 19432, sosnowski
                                => 17112,
                        soucek  => 15029, soukup  => 6926, soundso => 9665, sowa    => 4129,
                        sowada  => 14605, soyak   => 16881, soydemir
                                => 21007,
                        soydere => 19090, soyka   => 17316, soylemez
                                => 14515,
                        soylu   => 3854, soysal  => 7560, sozen   => 12054, sozeri  => 15514,
                        spacek  => 12959, spacil  => 19312, spadinger
                                => 14956,
                        spaeth  => 14587, spagnolo
                                => 21515,
                        spahic  => 3310, spahija => 7664, spahiu  => 4596, spahn   => 4878,
                        spahr   => 17128, spallek => 15632, spalt   => 8895, span    => 6061,
                        spanblochl
                                => 17041, spandl  => 5104,
                        spang   => 6995, spangenberg
                                => 2893,
                        spangl  => 13848, spangler
                                => 17186,
                        spaniol => 15413, spanitz => 19700, spanlang
                                => 15263,
                        spann   => 11665, spannagel
                                => 23928,
                        spannagl
                                => 21699, spannbauer
                                => 21379,
                        spanner => 7931, spannlang
                                => 17326,
                        spannring
                                => 7586, spanring
                                => 3591,
                        sparber => 7106, spari   => 4836, sparr   => 14586, spasojevic
                                => 2863,
                        spath   => 1843, spatt   => 7887, spatz   => 8396, spatzenegger
                                => 13779,
                        spatzier
                                => 21951, spatzierer
                                => 22552,
                        spazierer
                                => 21416, specht  => 1052,
                        speck   => 3137, speckbacher
                                => 17054,
                        specker => 15487, speckle => 16859, speckmann
                                => 10075,
                        speer   => 3542, speicher
                                => 6099,
                        speidel => 7273, speier  => 16112, speigner
                                => 13641,
                        speiser => 5230, spelitz => 22417, spendier
                                => 4279,
                        spendlingwimmer
                                => 19944, spenger => 10464,
                        spengler
                                => 2183, spenner => 23828,
                        sperber => 4171, sperger => 14118, sperk   => 15620, sperker => 16962,
                        sperl   => 967, sperlich
                                => 4448,
                        sperling
                                => 1089, spernbauer
                                => 14226,
                        sperneder
                                => 19865, sperr   => 5854,
                        sperrer => 8648, sperz   => 17548, speth   => 8238, spettel => 10211,
                        spicker => 12771, spickermann
                                => 22638,
                        spiecker
                                => 19535, spiegel => 1481,
                        spiegelberg
                                => 22233, spiegl  => 1484,
                        spiegler
                                => 13254, spiehs  => 18850,
                        spieker => 5002, spiekermann
                                => 5372,
                        spielauer
                                => 8790, spielberg
                                => 22978,
                        spielberger
                                => 13336, spielbichler
                                => 7007,
                        spielbuchler
                                => 16368, spielhofer
                                => 11561,
                        spielmann
                                => 4217, spielvogel
                                => 12717,
                        spier   => 19230, spiering
                                => 13362,
                        spiertz => 24096, spies   => 1939, spiesberger
                                => 8874,
                        spiess  => 3097, spiessberger
                                => 7037,
                        spieth  => 19571, spilka  => 15799, spilker => 11224, spill   => 21028,
                        spille  => 18684, spiller => 5799, spillner
                                => 12055,
                        spina   => 15068, spindelberger
                                => 12285,
                        spindlberger
                                => 16892, spindlegger
                                => 19401,
                        spindler
                                => 927, spinner => 17158,
                        spirk   => 4854, spiroch => 22866, spiss   => 2322, spitaler
                                => 1591,
                        spittel => 19498, spittler
                                => 24198,
                        spitz   => 4142, spitzauer
                                => 14823,
                        spitzbart
                                => 4158, spitzenberger
                                => 15797,
                        spitzer => 471, spitzhofer
                                => 12809,
                        spitzl  => 15203, spitzlinger
                                => 15045,
                        spitznagel
                                => 21161, spitzner
                                => 9151,
                        spitzwieser
                                => 6970, splettstosser
                                => 19704,
                        splinter
                                => 17742, splitt  => 20287,
                        spock   => 16113, spohn   => 12512, spohr   => 6914, sponholz
                                => 16376,
                        sponring
                                => 5536, sponseiler
                                => 13782,
                        sporer  => 1217, spork   => 2386, sporl   => 8200, sporleder
                                => 22548,
                        sporn   => 10791, sporr   => 8788, sporrer => 11017, spors   => 19821,
                        spottl  => 12015, sprachmann
                                => 13278,
                        spranger
                                => 7733, spreen  => 17244,
                        spreitz => 10190, spreitzer
                                => 1001,
                        spreitzhofer
                                => 4936, spreng  => 17144,
                        sprengel
                                => 9428, sprenger
                                => 1243,
                        sprengnagel
                                => 21562, sprick  => 11527,
                        sprickler
                                => 16691, spring  => 9533,
                        springer
                                => 921, springhetti
                                => 16469,
                        springmann
                                => 9987, springob
                                => 23470,
                        sprinzl => 11451, spritzendorfer
                                => 14465,
                        sprotte => 17062, spuller => 8327, spyra   => 15758, srbulovic
                                => 17059,
                        srejic  => 22910, sretenovic
                                => 22448,
                        srienz  => 11577, sroka   => 9795, staab   => 4684, staack  => 7053,
                        staar   => 13657, staats  => 11123, stabauer
                                => 5801,
                        stabel  => 12807, stabenow
                                => 14897,
                        stabentheiner
                                => 16318, staber  => 5473,
                        stablein
                                => 23658, stabler => 15500,
                        stach   => 3720, stache  => 6616, stachel => 13377, stachelberger
                                => 15682,
                        stacher => 6422, stacherl
                                => 17069,
                        stachl  => 7086, stachowiak
                                => 11544,
                        stachowski
                                => 22909, stade   => 9409,
                        stadelmann
                                => 3419, stadelwieser
                                => 21822,
                        stadie  => 14662, stadlbauer
                                => 1255,
                        stadler => 95, stadlhofer
                                => 6173,
                        stadlhuber
                                => 13606, stadlinger
                                => 17579,
                        stadlmair
                                => 14363, stadlmann
                                => 2640,
                        stadlmayr
                                => 5995, stadlober
                                => 10081,
                        stadter => 20560, stadtfeld
                                => 15542,
                        stadtler
                                => 12074, stadtmuller
                                => 11895,
                        staffl  => 21576, staffler
                                => 13567,
                        stafflinger
                                => 23485, staffner
                                => 22157,
                        stagge  => 22786, staggl  => 10860, stagl   => 4683, stahl   => 372,
                        stahlberg
                                => 8888, stahle  => 21164,
                        stahler => 20716, stahlhut
                                => 14422,
                        stahlmann
                                => 18289, stahlschmidt
                                => 16231,
                        stahmer => 15839, stahn   => 7829, stahnke => 8640, stahr   => 9346,
                        staib   => 18136, staiger => 5357, stainer => 14456, stajan  => 20954,
                        stajic  => 11184, stajkovic
                                => 18863,
                        stallecker
                                => 22998, staller => 3726,
                        stallinger
                                => 3410, stallmann
                                => 12454,
                        stallone
                                => 21468, staltner
                                => 16343,
                        stalzer => 18224, stamenkovic
                                => 4808,
                        stamer  => 8233, stamm   => 1624, stammberger
                                => 22712,
                        stammel => 24009, stammer => 8878, stamminger
                                => 15423,
                        stammler
                                => 11911, stamp   => 22153,
                        stampf  => 7230, stampfel
                                => 21505,
                        stampfer
                                => 1947, stampfl => 3237,
                        stampler
                                => 7600, stan    => 5462,
                        stanchev
                                => 23153, stancic => 8607,
                        stanculovic
                                => 8515, standegger
                                => 17717,
                        stander => 15711, standfest
                                => 16583,
                        standhartinger
                                => 12886, standke => 9878,
                        standl  => 12579, standmann
                                => 18180,
                        stanek  => 3485, stanescu
                                => 22819,
                        stang   => 3987, stangassinger
                                => 21543,
                        stange  => 1123, stangenberg
                                => 20670,
                        stanger => 11823, stangier
                                => 23179,
                        stangl  => 216, stanic  => 1860, staniek => 17015, stanimirovic
                                => 14645,
                        stanisavljevic
                                => 7748, stanisic
                                => 11020,
                        stanislawski
                                => 22844, stanke  => 7649,
                        stankiewicz
                                => 19173, stankov => 23346,
                        stankovic
                                => 188, stanojevic
                                => 479,
                        stanojlovic
                                => 12816, stanzel => 8820,
                        stanzer => 10890, stanzl  => 5139, stapel  => 6975, stapelfeldt
                                => 11480,
                        stapf   => 8741, stapper => 24197, starcevic
                                => 12513,
                        starchel
                                => 18575, starchl => 12225,
                        starck  => 8627, staribacher
                                => 14166,
                        starick => 24202, staringer
                                => 15926,
                        starkl  => 6166, starlinger
                                => 4768,
                        starnberger
                                => 18261, starosta
                                => 22322,
                        stary   => 3315, starz   => 21789, starzacher
                                => 16560,
                        starzengruber
                                => 7401, starzer => 5644,
                        starzinger
                                => 11263, stasch  => 8466,
                        stasiak => 17048, stasny  => 12176, stastny => 6334, statovci
                                => 19945,
                        stattmann
                                => 6291, staub   => 5342,
                        staubach
                                => 14314, stauber => 4565,
                        staubmann
                                => 3124, stauch  => 5385,
                        staud   => 12762, staudach
                                => 23221,
                        staudacher
                                => 1677, staude  => 6666,
                        staudenmaier
                                => 22469, stauder => 3421,
                        staudigl
                                => 20860, staudinger
                                => 597,
                        staudt  => 3140, staudte => 19745, staufer => 3159, stauffer
                                => 9730,
                        stauss  => 15867, stebegg => 16215, steber  => 24315, stebner => 15587,
                        stech   => 19762, stecher => 2052, steck   => 5313, steckbauer
                                => 23529,
                        steckel => 9841, stecker => 9667, steckholzer
                                => 22241,
                        steding => 15986, steeb   => 12980, steeg   => 9908, steeger => 12192,
                        steen   => 4599, steenbock
                                => 20459,
                        steenken
                                => 13154, steer   => 19058,
                        stefanek
                                => 21982, stefaner
                                => 13692,
                        stefaniak
                                => 20273, stefanidis
                                => 19424,
                        stefanits
                                => 17654, stefanitsch
                                => 18338,
                        stefanov
                                => 6292, stefanova
                                => 10304,
                        stefanovic
                                => 1687, stefanski
                                => 14027,
                        steffel => 21691, steffelbauer
                                => 17349,
                        steffenhagen
                                => 20180, steffens
                                => 769,
                        steffes => 14413, steffner
                                => 12034,
                        stefitz => 16879, stefl   => 12134, steflitsch
                                => 19006,
                        stegbuchner
                                => 23360, stege   => 18423,
                        stegemann
                                => 1960, stegen  => 19129,
                        steger  => 426, steglich
                                => 5637,
                        stegmaier
                                => 6370, stegmann
                                => 2582,
                        stegmuller
                                => 14967, stegner => 11013,
                        stehle  => 4623, stehlik => 7915, stehling
                                => 13311,
                        stehno  => 18966, stehr   => 4597, stehrer => 11093, steib   => 22676,
                        steibl  => 10106, steidel => 22106, steidl  => 1086, steidle => 8749,
                        steier  => 15258, steiert => 20140, steigberger
                                => 23384,
                        steigenberger
                                => 15154, steiger => 1096,
                        steigerwald
                                => 6695, steimel => 14543,
                        steimer => 11154, steimle => 23539, stein   => 111, steinacher
                                => 1625,
                        steinacker
                                => 14195, steinauer
                                => 16453,
                        steinbach
                                => 678, steinbacher
                                => 1486,
                        steinbauer
                                => 673, steinbeck
                                => 7681,
                        steinberg
                                => 1862, steinberger
                                => 487,
                        steinbichl
                                => 15182, steinbichler
                                => 1899,
                        steinbock
                                => 2903, steinborn
                                => 3318,
                        steinbrecher
                                => 4017, steinbrenner
                                => 10276,
                        steinbrink
                                => 14758, steinbruck
                                => 7429,
                        steinbrugger
                                => 8555, steindl => 255,
                        steindler
                                => 21424, steindorfer
                                => 3998,
                        steinebach
                                => 11180, steineck
                                => 15533,
                        steinecke
                                => 7729, steinecker
                                => 10151,
                        steineder
                                => 12915, steinegger
                                => 5468,
                        steinemann
                                => 17124, steiner => 10,
                        steinerberger
                                => 14485, steinermann
                                => 23087,
                        steinermayr
                                => 19325, steinert
                                => 1189,
                        steinfeld
                                => 10653, steinfeldt
                                => 20178,
                        steinfurth
                                => 17523, steingraber
                                => 20396,
                        steingruber
                                => 6624, steinhagen
                                => 8445,
                        steinhammer
                                => 19839, steinhardt
                                => 8827,
                        steinhart
                                => 11735, steinhauer
                                => 2804,
                        steinhaus
                                => 10735, steinhausen
                                => 14546,
                        steinhauser
                                => 2636, steinhausler
                                => 22735,
                        steinhilber
                                => 23703, steinhof
                                => 22740,
                        steinhofel
                                => 22426, steinhofer
                                => 6847,
                        steinhoff
                                => 3152, steinhofler
                                => 17511,
                        steinhorst
                                => 17878, steinhuber
                                => 6870,
                        steinicke
                                => 9368, steinig => 13263,
                        steiniger
                                => 8794, steininger
                                => 215,
                        steinkamp
                                => 6140, steinkasserer
                                => 16989,
                        steinke => 1275, steinkellner
                                => 513,
                        steinkleibl
                                => 14800, steinkogler
                                => 2753,
                        steinkopf
                                => 17335, steinle => 5930,
                        steinlechner
                                => 696, steinlesberger
                                => 21826,
                        steinmair
                                => 9340, steinmann
                                => 2069,
                        steinmassl
                                => 12999, steinmaurer
                                => 6889,
                        steinmayr
                                => 12162, steinmeier
                                => 9812,
                        steinmetz
                                => 1205, steinmeyer
                                => 10737,
                        steinmuller
                                => 6001, steinparzer
                                => 17009,
                        steins  => 9249, steinschaden
                                => 10315,
                        steinscherer
                                => 8933, steinschneider
                                => 20047,
                        steinwandter
                                => 19152, steinweg
                                => 16410,
                        steinwender
                                => 540, steinwendner
                                => 10665,
                        steinwendtner
                                => 9063, steinwidder
                                => 8032,
                        steirer => 3036, steitz  => 8789, steixner
                                => 7543,
                        stejskal
                                => 13147, stell   => 24239,
                        steller => 8193, stelling
                                => 8726,
                        stelljes
                                => 6717, stellmach
                                => 12105,
                        stellmacher
                                => 5638, stellnberger
                                => 10493,
                        stellwag
                                => 22564, stelter => 3015,
                        stelzeneder
                                => 21624, stelzer => 711,
                        stelzhammer
                                => 3194, stelzig => 19877,
                        stelzl  => 1256, stelzmuller
                                => 7695,
                        stelzner
                                => 10428, stemberger
                                => 5384,
                        stemer  => 5711, stemeseder
                                => 12144,
                        stemmann
                                => 22800, stemmer => 4014,
                        stemmler
                                => 5818, stempfer
                                => 4567,
                        stempfle
                                => 22714, stemplinger
                                => 15977,
                        sten    => 3019, stendel => 23387, stender => 4227, stengel => 2562,
                        stengele
                                => 22236, stenger => 4314,
                        stengg  => 9185, stengl  => 18158, stenglein
                                => 11929,
                        stenitzer
                                => 9591, stenner => 24468,
                        stenz   => 12898, stenzel => 1029, stepan  => 7118, stepanek
                                => 5267,
                        stepanovic
                                => 4685, stephani
                                => 11820,
                        stephany
                                => 21976, stepien => 22172,
                        steppan => 20136, steppat => 24442, stepper => 23292, sterba  => 15259,
                        sterf   => 15397, stering => 10086, sterk   => 11885, sterkl  => 17302,
                        sterl   => 20445, sterlinger
                                => 17726,
                        stermann
                                => 24130, stern   => 476,
                        sternad => 3372, sternat => 16495, sternath
                                => 7444,
                        sternbauer
                                => 11065, sternberg
                                => 3148,
                        sternberger
                                => 17462, sternchen
                                => 4453,
                        sternecker
                                => 23274, sterner => 7101,
                        sternig => 11988, sternkopf
                                => 21171,
                        sterr   => 12025, sterrer => 6179, sterz   => 10297, sterzel => 24456,
                        sterzenbach
                                => 20029, sterzer => 21538,
                        sterzinger
                                => 12416, stessl  => 11392,
                        stetina => 22294, stetschnig
                                => 21651,
                        stetter => 8436, stettner
                                => 10430,
                        steube  => 14521, steuber => 10679, steudel => 12200, steudtner
                                => 23732,
                        steuer  => 2550, steuernagel
                                => 17024,
                        steurer => 485, stevanovic
                                => 510,
                        stevens => 3338, stevic  => 1174, steyer  => 10322, steyrer => 2603,
                        stian   => 13711, stiasny => 23473, stibor  => 18114, stich   => 3994,
                        stichauner
                                => 11978, sticher => 20957,
                        stichling
                                => 15664, stickel => 8278,
                        stickelberger
                                => 17962, stickler
                                => 3725,
                        stidl   => 10922, stiebellehner
                                => 18184,
                        stieber => 7557, stiebitz
                                => 22645,
                        stiedl  => 4256, stief   => 5037, stiefel => 6227, stiefsohn
                                => 6228,
                        stiegeler
                                => 23354, stieger => 2222,
                        stieglbauer
                                => 5720, stiegler
                                => 600,
                        stieglitz
                                => 7597, stiehl  => 9488,
                        stiehler
                                => 8644, stieler => 7065,
                        stielow => 19655, stiendl => 9084, stienen => 21964, stieninger
                                => 20172,
                        stiens  => 24253, stier   => 2095, stierle => 23904, stierschneider
                                => 7135,
                        stiewe  => 13071, stifter => 2066, stiftinger
                                => 21709,
                        stigger => 8468, stiglbauer
                                => 16346,
                        stigler => 13964, stiglitz
                                => 9713,
                        stijepic
                                => 15644, stiller => 1286,
                        stimpfl => 7794, stindl  => 10352, stindt  => 20341, stingeder
                                => 10866,
                        stingl  => 2252, stinner => 23901, stinson => 7266, stipic  => 7934,
                        stippich
                                => 20206, stipsits
                                => 6964,
                        stirner => 21229, stitz   => 11635, stix    => 1209, stjepanovic
                                => 4001,
                        stjepic => 21825, stobbe  => 5800, stobe   => 14267, stober  => 5326,
                        stoberl => 18657, stobich => 4417, stoby   => 22043, stoch   => 21019,
                        stock   => 717, stockel => 5759, stockenhuber
                                => 9429,
                        stocker => 217, stockerer
                                => 22958,
                        stockert
                                => 21145, stockhammer
                                => 2006,
                        stockhausen
                                => 9910, stocki  => 17095,
                        stockinger
                                => 319, stockklauser
                                => 23073,
                        stockl  => 289, stockle => 12278, stocklegger
                                => 22535,
                        stocklein
                                => 12173, stockler
                                => 4364,
                        stockmaier
                                => 12676, stockmann
                                => 3066,
                        stockmayr
                                => 21582, stockner
                                => 3911,
                        stockreiter
                                => 2215, stocks  => 22163,
                        stoderegger
                                => 18454, stoecker
                                => 23430,
                        stoeckl => 6921, stoeger => 8989, stoehr  => 12754, stoermer
                                => 19787,
                        stofan  => 21786, stoff   => 2929, stoffel => 5243, stoffelbauer
                                => 19628,
                        stoffels
                                => 7606, stoffers
                                => 8762,
                        stoffler
                                => 10461, stoffregen
                                => 18238,
                        stoger  => 353, stogerer
                                => 4020,
                        stoglehner
                                => 11170, stogmuller
                                => 6420,
                        stogner => 13575, stohl   => 11253, stohr   => 1461, stoiber => 1858,
                        stoifl  => 12089, stoik   => 21871, stoimaier
                                => 15773,
                        stoiser => 3632, stoisser
                                => 7534,
                        stoitzner
                                => 21406, stojak  => 8626,
                        stojakovic
                                => 6443, stojanov
                                => 14238,
                        stojanovic
                                => 331, stojcevic
                                => 8449,
                        stojic  => 17513, stojicevic
                                => 11857,
                        stojiljkovic
                                => 11081, stojkov => 8975,
                        stojkovic
                                => 1532, stojnic => 17239,
                        stokic  => 3642, stolberg
                                => 17610,
                        stoldt  => 19683, stoll   => 581, stollberg
                                => 9439,
                        stollberger
                                => 23533, stolle  => 2261,
                        stollenwerk
                                => 8228, stoller => 19342,
                        stolley => 23900, stollinger
                                => 7523,
                        stollnberger
                                => 12348, stollner
                                => 9208,
                        stollwitzer
                                => 21489, stolp   => 12380,
                        stolpe  => 11994, stolper => 13144, stolt   => 22551, stolte  => 3770,
                        stoltenberg
                                => 12920, stolting
                                => 11941,
                        stoltz  => 19316, stolz   => 958, stolze  => 2692, stolzel => 18223,
                        stolzenberg
                                => 10046, stolzenburg
                                => 9332,
                        stolzle => 19496, stolzlechner
                                => 10164,
                        stomberg
                                => 13411, stommel => 20042,
                        stoni   => 9613, stonig  => 16768, stopfer => 14439, stopfner
                                => 23421,
                        stopp   => 13523, stoppa  => 18813, stoppacher
                                => 10947,
                        stoppel => 10302, stopper => 7225, storbeck
                                => 17417,
                        storch  => 2298, storck  => 8137, storer  => 14858, storf   => 13251,
                        stork   => 3100, storm   => 4465, stormer => 5893, stornig => 8826,
                        storz   => 5161, storzer => 23834, stosic  => 11172, stoss   => 16704,
                        stossel => 15713, stosser => 23705, stossier
                                => 16543,
                        stossl  => 22899, stoter  => 23205, stotter => 5622, stottinger
                                => 8159,
                        stottner
                                => 12728, stotz   => 6366,
                        stotzel => 11341, stotzer => 12247, stover  => 5901, stowasser
                                => 12488,
                        stower  => 18411, stoxreiter
                                => 12644,
                        stoyanov
                                => 7581, stoyanova
                                => 13833,
                        stoye   => 6799, strablegg
                                => 19789,
                        strache => 21277, strack  => 2977, stracke => 4219, stracker
                                => 22231,
                        stradner
                                => 2229, strafner
                                => 23606,
                        strahammer
                                => 16682, strahl  => 6792,
                        strahlhofer
                                => 10448, straif  => 7313,
                        strainovic
                                => 8045, straka  => 3150,
                        strametz
                                => 4170, stramitzer
                                => 18842,
                        stramm  => 20554, strang  => 17091, stranig => 6824, stranimaier
                                => 14664,
                        stranner
                                => 6537, stransky
                                => 11715,
                        stranz  => 4806, stranzinger
                                => 4576,
                        stranzl => 5066, strassegger
                                => 7761,
                        strasser
                                => 82, strasshofer
                                => 19573,
                        strassl => 6677, strassmair
                                => 17185,
                        strassmayr
                                => 19203, strate  => 12440,
                        strater => 14141, strathmann
                                => 14452,
                        stratmann
                                => 1988, stratznig
                                => 21335,
                        strau   => 15958, straub  => 911, straube => 2625, straubel
                                => 19951,
                        straubinger
                                => 9196, strauch => 1093,
                        strauss => 545, straussberger
                                => 21809,
                        strbac  => 15211, streb   => 24061, strebe  => 14773, strebel => 17117,
                        strebinger
                                => 6051, strebl  => 5350,
                        streck  => 8832, strecker
                                => 2667,
                        strehl  => 5581, strehlau
                                => 14509,
                        strehle => 7293, strehlow
                                => 9211,
                        streibl => 7988, streich => 4798, streicher
                                => 1643,
                        streif  => 5718, streimelweger
                                => 7917,
                        strein  => 22250, streiner
                                => 19770,
                        streitberger
                                => 6391, streiter
                                => 10487,
                        streitler
                                => 19749, streitner
                                => 16762,
                        strele  => 7016, streller
                                => 18332,
                        strelow => 9727, strempel
                                => 14766,
                        strempfl
                                => 11345, strenn  => 21669,
                        strerath
                                => 24473, stressler
                                => 20882,
                        streubel
                                => 8866, streuber
                                => 17685,
                        strey   => 15393, stricker
                                => 2323,
                        strickner
                                => 6225, striebel
                                => 22963,
                        strieder
                                => 10316, striedinger
                                => 12027,
                        striednig
                                => 7343, striegel
                                => 13351,
                        striegl => 23798, striegler
                                => 20902,
                        striessnig
                                => 19918, strietzel
                                => 14630,
                        strigl  => 3102, strillinger
                                => 16797,
                        strimitzer
                                => 10256, strini  => 7355,
                        striny  => 15404, strittmatter
                                => 9178,
                        stritzel
                                => 23666, stritzinger
                                => 11432,
                        stritzke
                                => 18146, stritzl => 10905,
                        strnad  => 4884, strobach
                                => 11218,
                        strobel => 887, strobele
                                => 19542,
                        strobelt
                                => 20556, strobitzer
                                => 13756,
                        strobl  => 131, stroblmair
                                => 15114,
                        stroblmayr
                                => 23589, strodl  => 14367,
                        stroer  => 21132, stroh   => 3125, strohbach
                                => 7075,
                        stroher => 23515, strohhausl
                                => 21168,
                        strohl  => 20630, strohle => 7529, strohlein
                                => 19808,
                        strohm  => 10558, strohmaier
                                => 985,
                        strohmayer
                                => 2022, strohmayr
                                => 17182,
                        strohmeier
                                => 1047, strohmenger
                                => 24308,
                        strohmer
                                => 6513, strohmeyer
                                => 12710,
                        strohrigl
                                => 21035, strohschein
                                => 19527,
                        stroissnig
                                => 13458, stroitz => 21734,
                        stroj   => 15978, strolz  => 2214, stromberg
                                => 17587,
                        stromberger
                                => 1346, strommer
                                => 1916,
                        strondl => 7615, stroot  => 23767, stropnik
                                => 13732,
                        stroppa => 21297, stross  => 12267, strothmann
                                => 9467,
                        strotmann
                                => 10650, strouhal
                                => 15482,
                        strube  => 4993, strubel => 17920, struber => 5859, strubing
                                => 11397,
                        strubreiter
                                => 10371, struck  => 1913,
                        struckl => 10811, struckmann
                                => 16546,
                        struckmeier
                                => 16082, struger => 5508,
                        strugger
                                => 12938, struggl => 13288,
                        strumpf => 20450, strunk  => 3078, strunz  => 5956, strupp  => 16462,
                        struss  => 20988, strutz  => 3474, strutzenberger
                                => 9365,
                        strutzmann
                                => 7638, struve  => 7402,
                        struwe  => 7454, strzelczyk
                                => 23298,
                        stubauer
                                => 10996, stubbe  => 6329,
                        stuben  => 19876, stubenrauch
                                => 12481,
                        stubenvoll
                                => 8086, stuber  => 4809,
                        stubing => 20764, stubinger
                                => 10262,
                        stubits => 10934, stubler => 6647, stubner => 10661, stuchlik
                                => 16312,
                        stuchly => 18815, stuckelberger
                                => 19109,
                        stuckelschwaiger
                                => 20622, stuckert
                                => 23863,
                        stuckler
                                => 977, stucklschweiger
                                => 20541,
                        stuckmann
                                => 22964, stude   => 20505,
                        studener
                                => 21584, studeny => 8986,
                        studer  => 9616, studt   => 10573, stueckler
                                => 14557,
                        stuefer => 18656, stuetz  => 18978, stuff   => 21358, stuger  => 8809,
                        stuhlberger
                                => 8752, stuhler => 14840,
                        stuhlhofer
                                => 19246, stuhlmann
                                => 20838,
                        stuhlpfarrer
                                => 7926, stuhr   => 11068,
                        stuke   => 18342, stumm   => 7642, stummer => 899, stummerer
                                => 21128,
                        stummvoll
                                => 15448, stump   => 15483,
                        stumpe  => 7014, stumpf  => 971, stumpfer
                                => 13206,
                        stumpfl => 18142, stumpp  => 8777, stumptner
                                => 5729,
                        stumvoll
                                => 6415, stundner
                                => 10116,
                        stunkel => 20751, stupar  => 13219, stuphann
                                => 21764,
                        stupp   => 13998, stuppnig
                                => 21991,
                        sturl   => 21600, sturm   => 286, sturmann
                                => 11814,
                        sturmberger
                                => 18736, sturmer => 3862,
                        sturmlechner
                                => 9227, sturn   => 14549,
                        sturzenbecher
                                => 16081, sturzer => 9369,
                        sturzl  => 11473, sturzlinger
                                => 16440,
                        stute   => 9210, stuttler
                                => 16565,
                        stutz   => 1635, stutzer => 14606, stutzner
                                => 19221,
                        stuve   => 19697, stuven  => 19872, stuwe   => 7425, subasi  => 11722,
                        subasic => 5707, subic   => 12339, subotic => 12627, suchan  => 12493,
                        suchanek
                                => 5060, sucher  => 4116,
                        suchy   => 6530, sucic   => 23307, suckow  => 12368, sudmann => 22620,
                        suess   => 12707, suhr    => 2266, suitner => 10720, suklitsch
                                => 16758,
                        sulejmani
                                => 2037, sulejmanovic
                                => 9143,
                        sulic   => 18616, sulimani
                                => 8212,
                        suljic  => 2830, suljkanovic
                                => 17007,
                        sultani => 5659, suludere
                                => 13177,
                        sulyok  => 12739, sulzbacher
                                => 2718,
                        sulzberger
                                => 8869, sulzenbacher
                                => 12672,
                        sulzer  => 1283, sulzner => 11761, sumann  => 9287, sumer   => 17174,
                        sumereder
                                => 18573, summa   => 19097,
                        summer  => 910, summerauer
                                => 19465,
                        summerer
                                => 9932, sumper  => 4845,
                        sundermann
                                => 10797, sundl   => 4997,
                        sunitsch
                                => 8647, sunko   => 12550,
                        sunshine
                                => 1779, suntinger
                                => 1637,
                        supanz  => 10154, suppan  => 557, suppaner
                                => 16788,
                        suppanz => 18950, supper  => 3739, surbock => 10178, surmann => 12003,
                        surtmann
                                => 13016, surucu  => 14102,
                        susam   => 18647, suske   => 24063, suss    => 1219, sussenbacher
                                => 18320,
                        sussitz => 7296, sussmann
                                => 16919,
                        sutcu   => 18929, sutor   => 22456, sutter  => 3339, sutterlin
                                => 14089,
                        sutterluty
                                => 6128, suttner => 9926,
                        suttnig => 22983, suvajac => 14559, suzen   => 23040, svatek  => 18566,
                        svatos  => 22729, svensson
                                => 11148,
                        svoboda => 1727, svraka  => 17768, swaschnig
                                => 21068,
                        sweet   => 3813, swoboda => 775, sydow   => 5027, sykes   => 9681,
                        sykora  => 4930, syla    => 4503, sylaj   => 16823, sylejmani
                                => 5964,
                        sylkaj  => 15090, sylvester
                                => 12533,
                        syring  => 11465, szabo   => 793, szakacs => 13209, szalai  => 6868,
                        szalay  => 5274, szameitat
                                => 9431,
                        szanto  => 22741, szarka  => 20043, szauer  => 17080, szczepaniak
                                => 17664,
                        szczepanski
                                => 12887, szedenik
                                => 15027,
                        szegedi => 17159, szekely => 7941, szekeres
                                => 21746,
                        szerencsi
                                => 20320, szewczyk
                                => 11034,
                        szigeti => 13497, szilagyi
                                => 10751,
                        szillat => 22623, szmolyan
                                => 21230,
                        szulc   => 16980, szymanski
                                => 4043,
                        szymczak
                                => 13433, tabakovic
                                => 7555,
                        tabbert => 13216, tabel   => 15818, tabelander
                                => 19807,
                        tabernig
                                => 10124, tabojer => 18876,
                        taborsky
                                => 7129, tacke   => 7764,
                        tackenberg
                                => 24425, tadic   => 2127,
                        tadzic  => 19608, taferner
                                => 820,
                        tafilaj => 19361, tagger  => 18858, tagwerker
                                => 7576,
                        taheri  => 9509, tahic   => 16382, tahiraj => 14996, tahiri  => 2641,
                        tahirovic
                                => 6290, taibinger
                                => 21895,
                        taibl   => 21879, tairi   => 4837, tajek   => 21250, tajik   => 5668,
                        talay   => 19526, talic   => 12293, tallian => 11281, talsky  => 20772,
                        tamandl => 16563, tamegger
                                => 2319,
                        tamerl  => 16515, tamm    => 6413, tamme   => 12511, tammen  => 7374,
                        tanackovic
                                => 21986, tanasic => 21936,
                        tanaskovic
                                => 12736, tanczos => 13540,
                        tandl   => 10299, tanger  => 21923, tangermann
                                => 17853,
                        tangl   => 7517, tanha   => 2317, tanic   => 16176, tanis   => 12777,
                        tank    => 4544, tanneberger
                                => 14626,
                        tanner  => 9036, tannert => 12092, tannhauser
                                => 24117,
                        tannheimer
                                => 23025, tanrikulu
                                => 15244,
                        tanriverdi
                                => 5953, tantscher
                                => 13027,
                        tanzer  => 1148, tanzler => 18723, tapken  => 13546, tapler  => 18919,
                        tappauf => 16635, tappe   => 6131, tapper  => 22164, tappert => 11189,
                        tappler => 16806, tarakci => 6198, tarantino
                                => 16727,
                        tarbauer
                                => 21217, targil  => 20498,
                        tarim   => 15825, tarmann => 5011, tasan   => 15561, tasar   => 18174,
                        tasch   => 9974, taschek => 19300, taschl  => 15811, taschler
                                => 7328,
                        taschner
                                => 1645, taschwer
                                => 11727,
                        tasci   => 5115, tasdelen
                                => 13899,
                        tasdemir
                                => 5102, tasholli
                                => 19371,
                        tasic   => 11692, taskin  => 3611, taskiran
                                => 6892,
                        taspinar
                                => 19132, tasser  => 18893,
                        tassold => 23575, tassone => 21559, tastan  => 9179, tastekin
                                => 17945,
                        tastl   => 22670, tatar   => 5050, tatarevic
                                => 17070,
                        tatschl => 2365, tatzber => 15325, tatzberger
                                => 19493,
                        tatzer  => 5804, tatzgern
                                => 17031,
                        tatzl   => 10169, tatzreiter
                                => 4819,
                        taube   => 3139, taubel  => 21821, tauber  => 1755, taubert => 2370,
                        taubinger
                                => 11851, taubl   => 9862,
                        taubmann
                                => 20645, taubner => 16077,
                        taucher => 1226, tauchert
                                => 12260,
                        tauchhammer
                                => 8311, tauchner
                                => 2395,
                        tauchnitz
                                => 23902, taudes  => 15516,
                        tauer   => 15282, taufner => 21671, taumberger
                                => 9271,
                        taupe   => 11441, taurer  => 10995, taus    => 6953, tausch  => 6877,
                        tauschek
                                => 12761, tauscher
                                => 6258,
                        tauschitz
                                => 18693, tauschmann
                                => 8968,
                        tausendfreund
                                => 19992, tauss   => 11793,
                        tausz   => 17595, taute   => 17528, tautenhahn
                                => 17390,
                        tautscher
                                => 8836, tautschnig
                                => 12250,
                        tautz   => 9267, taxacher
                                => 3008,
                        taxer   => 5780, tazreiter
                                => 9999,
                        tebbe   => 10609, tebben  => 23773, techt   => 14726, teddy   => 10862,
                        tedesco => 13738, teetz   => 21070, tegeler => 11964, tegethoff
                                => 17352,
                        tegge   => 17815, tegischer
                                => 14241,
                        tegtmeier
                                => 10834, tegtmeyer
                                => 17658,
                        tehrani => 11564, teichert
                                => 2314,
                        teichgraber
                                => 23218, teichmann
                                => 1138,
                        teichmeister
                                => 18386, teichtmeister
                                => 15017,
                        teier   => 19240, teipel  => 23772, teissl  => 10271, tekbas  => 20999,
                        tekcan  => 13422, tekdemir
                                => 17634,
                        teke    => 6493, teker   => 9636, tekin   => 920, tektas  => 22566,
                        telesklav
                                => 21731, telle   => 19145,
                        teller  => 10378, telli   => 8085, tellmann
                                => 19792,
                        telschow
                                => 22641, telsnig => 6783,
                        tement  => 22079, temiz   => 7176, temme   => 5875, temmel  => 1180,
                        temmen  => 16266, tempelmayr
                                => 16060,
                        temper  => 3459, templin => 8229, tendl   => 23506, tengg   => 3309,
                        tengler => 12975, tenner  => 17493, tennert => 22683, tenzer  => 23439,
                        tepe    => 4577, tepegoz => 18003, teply   => 14284, teppan  => 13570,
                        tepper  => 6956, terbeck => 22433, terhorst
                                => 10008,
                        terkl   => 8397, terler  => 4473, terlinden
                                => 19147,
                        termure => 17809, ternes  => 8136, terzer  => 18140, terzi   => 5991,
                        terzic  => 4010, tesar   => 6644, tesch   => 2596, tesche  => 14045,
                        teschke => 11530, teschl  => 8723, teschner
                                => 3938,
                        tesic   => 6043, teske   => 2869, tessmann
                                => 9739,
                        tessmer => 11376, testa   => 15064, tetik   => 4444, tettenborn
                                => 16213,
                        tetzel  => 17793, tetzlaff
                                => 3325,
                        tetzner => 9283, teubel  => 13532, teubenbacher
                                => 6862,
                        teuber  => 3229, teubert => 14336, teubl   => 3864, teubner => 5410,
                        teucher => 22568, teuchert
                                => 16104,
                        teuchmann
                                => 19826, teufel  => 2200,
                        teufl   => 1098, teufner => 17557, teumer  => 22946, teusch  => 22951,
                        teuscher
                                => 17126, teuschl => 5766,
                        teuschler
                                => 10942, teutsch => 16299,
                        teveli  => 20207, tewes   => 4376, tews    => 3697, textor  => 22397,
                        tezel   => 21969, thal    => 8088, thalbauer
                                => 13587,
                        thaler  => 149, thalhamer
                                => 15525,
                        thalhammer
                                => 1125, thalheim
                                => 11985,
                        thalheimer
                                => 24132, thalinger
                                => 13269,
                        thaller => 532, thallinger
                                => 3092,
                        thalmann
                                => 7594, thalmayr
                                => 18664,
                        thamerl => 21508, thamm   => 2368, thanner => 3302, thaqi   => 2877,
                        thater  => 17303, thauer  => 24181, thede   => 15591, theel   => 16380,
                        theil   => 4436, theile  => 5626, theilen => 14252, theiler => 7435,
                        theilig => 16245, theilmann
                                => 23029,
                        theimer => 23799, thein   => 12784, theiner => 7111, theis   => 1267,
                        theisen => 2751, theisinger
                                => 20743,
                        theisl  => 7574, theiss  => 6280, theissen
                                => 7613,
                        theissl => 5021, theke   => 24334, thelen  => 1906, thell   => 17688,
                        themann => 16332, themel  => 10386, themessl
                                => 14047,
                        theobald
                                => 2928, theodoridis
                                => 17193,
                        theodoridou
                                => 22302, thesing => 10594,
                        theuer  => 13892, theuerkauf
                                => 8715,
                        theuermann
                                => 3593, theune  => 22415,
                        theurer => 10945, theuretzbacher
                                => 11470,
                        theurl  => 14757, theus   => 22063, theussl => 8150, thewes  => 11411,
                        thews   => 18537, thiede  => 2515, thiedemann
                                => 23538,
                        thieke  => 23972, thiel   => 253, thiele  => 242, thielecke
                                => 21213,
                        thielemann
                                => 5010, thielen => 3460,
                        thielicke
                                => 22771, thielke => 17789,
                        thielmann
                                => 7010, thielsch
                                => 15731,
                        thiem   => 2823, thiemann
                                => 1889,
                        thieme  => 853, thienel => 19719, thier   => 2435, thierbach
                                => 8911,
                        thierfelder
                                => 8743, thiermann
                                => 15829,
                        thiery  => 21939, thies   => 1607, thiesen => 7249, thiess  => 13889,
                        thiessen
                                => 7630, thill   => 17131,
                        thimm   => 5447, thinius => 20575, thissen => 7611, thoben  => 8269,
                        thode   => 6664, thole   => 14053, tholen  => 7298, tholl   => 19248,
                        thoma   => 1324, thomae  => 17418, thomalla
                                => 9252,
                        thomanek
                                => 15741, thomann => 5713,
                        thomasberger
                                => 21107, thomaser
                                => 18651,
                        thomasser
                                => 13253, thome   => 5542,
                        thommes => 22716, thoms   => 2890, thomsen => 937, thon    => 4944,
                        thone   => 6462, thonhauser
                                => 4246,
                        thonhofer
                                => 6675, thoni   => 2900,
                        thonnes => 21204, thony   => 9002, thorer  => 18279, thormahlen
                                => 21018,
                        thormann
                                => 3411, thorn   => 11849,
                        thorwarth
                                => 23312, thorwartl
                                => 10182,
                        thosold => 22993, thoss   => 7009, thrun   => 18061, thulke  => 24343,
                        thull   => 16517, thum    => 5112, thumann => 19796, thumer  => 11622,
                        thumfart
                                => 10219, thumm   => 14394,
                        thummel => 14670, thummler
                                => 13009,
                        thun    => 8184, thunder => 19201, thunig  => 19959, thur    => 7884,
                        thurau  => 5871, thuringer
                                => 5929,
                        thurm   => 8414, thurmann
                                => 19917,
                        thurmer => 12734, thurn   => 9651, thurnbichler
                                => 11770,
                        thurner => 308, thurnes => 17034, thurnher
                                => 3204,
                        thurnhofer
                                => 15092, thurow  => 7637,
                        thyssen => 12799, tiane   => 17057, tichler => 19975, tichy   => 3094,
                        tieber  => 2288, tiede   => 4646, tiedemann
                                => 1578,
                        tiedge  => 24436, tiedt   => 11826, tiedtke => 8393, tiefenbach
                                => 24329,
                        tiefenbacher
                                => 935, tiefenbock
                                => 13596,
                        tiefenbrunner
                                => 10247, tiefengraber
                                => 8829,
                        tiefenthaler
                                => 2238, tiefnig => 10345,
                        tiemann => 2881, tiesler => 20432, tietgen => 23958, tietje  => 12155,
                        tietjen => 4962, tietz   => 1212, tietze  => 2621, tiffner => 9735,
                        tigges  => 7081, tikvic  => 13566, tilch   => 12961, tilg    => 4671,
                        tilgner => 12131, tilki   => 10050, tillack => 12960, tille   => 10444,
                        tiller  => 10052, tillian => 9590, tillmann
                                => 1949,
                        tillmanns
                                => 6765, tilzer  => 15646,
                        timis   => 19950, timischl
                                => 8370,
                        timm    => 761, timmann => 20641, timme   => 8346, timmer  => 5354,
                        timmermann
                                => 2166, timmler => 19605,
                        timpe   => 8797, tinauer => 21390, tindl   => 22894, tinhof  => 7607,
                        tinkhauser
                                => 18254, tinnacher
                                => 18048,
                        tipotsch
                                => 3337, tippelt => 13493,
                        tippl   => 14970, tippler => 21629, tippmann
                                => 12401,
                        tippner => 20695, tiras   => 22252, tiric   => 10669, tirler  => 23517,
                        tirol   => 4902, tiryaki => 7591, tischberger
                                => 8318,
                        tischendorf
                                => 10083, tischer => 2737,
                        tischhart
                                => 10978, tischler
                                => 703,
                        tischlinger
                                => 13426, tischner
                                => 13454,
                        tissen  => 8242, tittel  => 6743, tittelbach
                                => 20883,
                        tittmann
                                => 14542, titz    => 2693,
                        titze   => 3211, tjaden  => 14359, tjarks  => 14919, tobben  => 22972,
                        tober   => 2999, tobien  => 17356, tobisch => 9857, tobler  => 10535,
                        tobolka => 13114, tochterle
                                => 18837,
                        tockner => 2763, todic   => 17751, todling => 9334, todorov => 5094,
                        todorova
                                => 8007, todorovic
                                => 316,
                        todt    => 8018, todter  => 16572, todtling
                                => 13240,
                        toepfer => 14239, toferer => 7203, tofferl => 9299, togel   => 15289,
                        toglhofer
                                => 6690, tohumcu => 16281,
                        toifl   => 3086, tokat   => 5312, toker   => 19658, tokgoz  => 16260,
                        tokic   => 9156, tokmak  => 11003, tolaj   => 13925, tolic   => 11987,
                        tolke   => 17706, tolksdorf
                                => 6475,
                        tolle   => 6090, toller  => 22919, tollner => 17999, tollschein
                                => 23355,
                        toluay  => 15666, toman   => 6751, tomandl => 10608, tomanek => 11149,
                        tomann  => 14900, tomasch => 11801, tomaschek
                                => 13014,
                        tomaschewski
                                => 24381, tomaschitz
                                => 4018,
                        tomaschko
                                => 11516, tomaselli
                                => 6559,
                        tomasevic
                                => 6299, tomasic => 17211,
                        tomasin => 16853, tomasini
                                => 12610,
                        tomaszewski
                                => 11140, tomazzoli
                                => 18577,
                        tomberger
                                => 9539, tomczak => 8158,
                        tomczyk => 20405, tomel   => 23571, tomic   => 457, tomisser
                                => 15293,
                        tomovic => 22782, tomschitz
                                => 15586,
                        tomsich => 15253, tomsits => 13778, tonjes  => 14646, tonn    => 5789,
                        tonner  => 10725, tonnies => 9288, tonweber
                                => 13087,
                        topal   => 2039, topalli => 14993, topaloglu
                                => 12837,
                        topalovic
                                => 2488, topcu   => 2794,
                        topel   => 22821, topf    => 2826, topfer  => 1905, topfl   => 21053,
                        topic   => 2430, topkara => 20411, toplak  => 22991, toplitsch
                                => 18494,
                        topp    => 7271, toprak  => 1865, toptas  => 24274, topuz   => 9720,
                        toraman => 11910, toretto => 15059, torggler
                                => 22198,
                        toria   => 11670, torker  => 22182, torma   => 21009, tornow  => 6423,
                        torok   => 4190, toromanovic
                                => 14049,
                        torun   => 5286, tosch   => 8035, toscher => 22954, tosic   => 7324,
                        tossmann
                                => 16122, tosun   => 1106,
                        toth    => 590, totsch  => 20709, totschnig
                                => 20599,
                        totter  => 5843, totzke  => 23662, totzl   => 16532, touray  => 11600,
                        toussaint
                                => 12588, toyran  => 14424,
                        tozak   => 19298, traar   => 18237, traber  => 11865, trabert => 13489,
                        trabi   => 12079, trabos  => 21202, traby   => 14818, traeger => 20384,
                        trageser
                                => 19506, tragler => 14445,
                        tragner => 13261, trailovic
                                => 3142,
                        traindl => 22442, traint  => 23196, traintinger
                                => 15237,
                        trajilovic
                                => 21564, trajkovic
                                => 13622,
                        tramm   => 18012, trammer => 13137, tramp   => 18690, trampitsch
                                => 3724,
                        tramposch
                                => 21214, trampusch
                                => 17454,
                        tran    => 424, tranacher
                                => 14930,
                        traninger
                                => 21440, trankler
                                => 24062,
                        trankner
                                => 18512, trapl   => 19151,
                        trapp   => 1261, trappe  => 14139, trappl  => 5422, trappmann
                                => 23724,
                        tratter => 10407, trattler
                                => 11338,
                        trattner
                                => 1214, trattnig
                                => 2647,
                        traub   => 4191, traud   => 23056, traumuller
                                => 17283,
                        traun   => 10231, traunbauer
                                => 22913,
                        trauner => 1743, traunfellner
                                => 9827,
                        traunmuller
                                => 8060, trauntschnig
                                => 11902,
                        traunwieser
                                => 12879, trausinger
                                => 21819,
                        trausner
                                => 11631, trausnitz
                                => 13270,
                        trausnitzer
                                => 17589, traussnig
                                => 11693,
                        traut   => 4506, trautenberger
                                => 17772,
                        trauth  => 20139, trautmann
                                => 1140,
                        trautner
                                => 10277, trautsamwieser
                                => 23340,
                        trauttmansdorff
                                => 18957, trautvetter
                                => 13224,
                        trautwein
                                => 4320, travnicek
                                => 13281,
                        travnik => 12994, trawoger
                                => 12399,
                        traxel  => 19387, traxl   => 5664, traxler => 570, trbara  => 18771,
                        trede   => 17318, treder  => 12043, treffler
                                => 12667,
                        treffner
                                => 3514, treiber => 3368,
                        treichel
                                => 6633, treichl => 2750,
                        treichler
                                => 11870, treidl  => 23576,
                        treitler
                                => 3897, tremel  => 15572,
                        tremetsberger
                                => 20110, tremetzberger
                                => 10348,
                        treml   => 6048, tremmel => 3307, trenk   => 12472, trenker => 3843,
                        trenkle => 18245, trenkler
                                => 19904,
                        trenkwalder
                                => 3622, trenner => 12062,
                        trenz   => 10282, trepte  => 11196, treptow => 10536, trescher
                                => 18965,
                        tress   => 19718, tressler
                                => 22988,
                        trestl  => 20784, trettenbrein
                                => 7320,
                        tretter => 11707, trettin => 14034, trettler
                                => 21125,
                        treude  => 23277, treuer  => 22010, treul   => 22097, treutlein
                                => 24420,
                        treutler
                                => 23740, tribus  => 21945,
                        tributsch
                                => 17141, trice   => 17322,
                        trick   => 5680, trieb   => 3083, triebel => 4942, triebl  => 4226,
                        triebnig
                                => 10103, triendl => 4970,
                        triesch => 21244, trifunovic
                                => 6544,
                        triller => 11060, trimborn
                                => 8872,
                        trimmel => 854, trink   => 10715, trinkaus
                                => 18518,
                        trinker => 2516, trinkl  => 1918, trinko  => 7159, trinks  => 6676,
                        tripolt => 6581, tripp   => 10909, trippe  => 22747, trippel => 14101,
                        trippl  => 11332, trippold
                                => 16670,
                        trippolt
                                => 7147, trischler
                                => 22930,
                        trisko  => 13222, tritremmel
                                => 9551,
                        tritscher
                                => 2899, tritschler
                                => 8182,
                        trittner
                                => 18206, trivunovic
                                => 16456,
                        trixl   => 3606, trixner => 23121, trnka   => 7521, trobe   => 13796,
                        trober  => 17877, trobinger
                                => 8831,
                        trocha  => 22298, troger  => 1975, trois   => 22404, trojan  => 5589,
                        trojer  => 2371, troll   => 9229, tromayer
                                => 13901,
                        trommer => 4635, trommler
                                => 14541,
                        trondl  => 11347, trondle => 14094, troppacher
                                => 20058,
                        tropper => 3212, troppmair
                                => 3374,
                        troscher
                                => 6418, troschke
                                => 20576,
                        trost   => 1930, troster => 8072, trostl  => 7551, trott   => 11859,
                        trotzmuller
                                => 12483, trovato => 12604,
                        troyer  => 11171, trsek   => 20423, trugler => 20787, truhlar => 21662,
                        trujic  => 15130, trujkic => 18383, trully  => 22122, trumic  => 16189,
                        trumler => 18601, trummer => 391, trumper => 8442, trumpf  => 13620,
                        trumpp  => 24086, trunk   => 9071, truong  => 4245, trupp   => 9578,
                        truskaller
                                => 14255, trutschnig
                                => 10930,
                        tschabitscher
                                => 21659, tschabrun
                                => 8770,
                        tschabuschnig
                                => 10319, tschandl
                                => 14761,
                        tschanhenz
                                => 19306, tschank => 15221,
                        tschann => 5670, tschapeller
                                => 19892,
                        tscharnig
                                => 18509, tscharnuter
                                => 12661,
                        tscharre
                                => 12936, tschemernjak
                                => 10757,
                        tschenet
                                => 18972, tschenett
                                => 13830,
                        tschentscher
                                => 22555, tscheppe
                                => 7278,
                        tscherne
                                => 5611, tscherner
                                => 17833,
                        tschernigg
                                => 20105, tschernitz
                                => 4560,
                        tschernko
                                => 15105, tschernutter
                                => 13303,
                        tschida => 5048, tschiderer
                                => 9269,
                        tschiggerl
                                => 20383, tschiltsch
                                => 22400,
                        tschinder
                                => 10400, tschinderle
                                => 21332,
                        tschinkel
                                => 21545, tschirk => 13764,
                        tschirner
                                => 7865, tschoder
                                => 23579,
                        tschofen
                                => 3527, tschohl => 15102,
                        tschojer
                                => 20705, tschol  => 7834,
                        tscholl => 9356, tschoner
                                => 16642,
                        tschope => 15844, tschorn => 16360, tschuden
                                => 17156,
                        tschugg => 12991, tschurtschenthaler
                                => 12518,
                        tschurtz
                                => 13262, tubic   => 19624,
                        tucek   => 15088, tuchel  => 17545, tuchen  => 20086, tuchler => 3328,
                        tucho   => 21289, tucholski
                                => 22379,
                        tuchscherer
                                => 18267, tuerk   => 14986,
                        tufekci => 13516, tufekcic
                                => 20931,
                        tuider  => 10813, tulic   => 19898, tulpe   => 23913, tuma    => 5212,
                        tumler  => 13132, tummers => 21218, tummler => 24423, tunc    => 2295,
                        tunca   => 15379, tunjic  => 7501, tupita  => 22483, tuppinger
                                => 12885,
                        turan   => 874, turanovic
                                => 20034,
                        turba   => 23501, turban  => 20071, turbanisch
                                => 16101,
                        turcu   => 19056, turecek => 16009, turek   => 11697, turel   => 21165,
                        turk    => 1006, turkanovic
                                => 21906,
                        turkcan => 15018, turke   => 11753, turkmen => 1867, turkoglu
                                => 6267,
                        turkyilmaz
                                => 7246, turner  => 3706,
                        turowski
                                => 16568, turtscher
                                => 3026,
                        turudic => 19650, turza   => 23014, tusch   => 5674, tusche  => 16533,
                        tuschek => 15007, tuscher => 8702, tutar   => 22249, tutkun  => 24203,
                        tutschek
                                => 15875, tuttner => 11695,
                        tutzer  => 22977, tuysuz  => 20326, tuzun   => 15262, tweraser
                                => 20684,
                        tyson   => 5677, tzschoppe
                                => 19701,
                        ubben   => 15850, ubelbacher
                                => 22289,
                        uberbacher
                                => 5191, uberreiter
                                => 16088,
                        ublacker
                                => 9598, ubleis  => 5292,
                        ucar    => 1456, ucuncu  => 17175, udermann
                                => 21421,
                        uebel   => 11837, uecker  => 6349, uggowitzer
                                => 13729,
                        ugurlu  => 6549, uhlemann
                                => 3332,
                        uhlenbrock
                                => 10092, uhlich  => 11489,
                        uhlig   => 750, uhlir   => 10687, uhlmann => 1957, uhrich  => 21552,
                        uhrig   => 6830, uhrmann => 24059, uitz    => 2398, ukaj    => 5819,
                        ulbing  => 3283, ulbrich => 1404, ulbricht
                                => 2311,
                        ulferts => 11963, ulger   => 11694, uller   => 14716, ullmann => 1128,
                        ullram  => 15144, ullreich
                                => 16645,
                        ullrich => 369, ulmer   => 4418, ulreich => 2431, ultsch  => 17334,
                        uludag  => 5954, ulusoy  => 2513, ulutas  => 12181, umbach  => 5830,
                        umbreit => 16588, umdasch => 18971, umfahrer
                                => 10595,
                        umgeher => 3775, umlauft => 20640, umschaden
                                => 7646,
                        umundum => 22152, unal    => 635, unalan  => 13207, unbehaun
                                => 23810,
                        undemir => 21926, unden   => 20187, undesser
                                => 16794,
                        undeutsch
                                => 12086, undsoo  => 17643,
                        unfried => 6474, ungar   => 10937, ungefug => 23822, unger   => 156,
                        ungerank
                                => 18077, ungerbock
                                => 4898,
                        ungerer => 20734, ungerhofer
                                => 12315,
                        ungermann
                                => 19769, ungersback
                                => 17229,
                        ungersbock
                                => 7689, unglaub => 12060,
                        unglaube
                                => 23257, unkelbach
                                => 23271,
                        unland  => 23685, unlu    => 1670, unrath  => 18449, unrau   => 22141,
                        unruh   => 4182, unterasinger
                                => 15124,
                        unterberg
                                => 16504, unterberger
                                => 371,
                        unterbrunner
                                => 12981, unterdorfer
                                => 23030,
                        unteregger
                                => 8873, unterer => 16722,
                        unterfurtner
                                => 23290, unterguggenberger
                                => 9168,
                        unterholzer
                                => 4562, unterhuber
                                => 13309,
                        unterhumer
                                => 19534, unterkircher
                                => 4802,
                        unterkofler
                                => 4059, unterkreuter
                                => 14912,
                        unterladstatter
                                => 11484, unterlass
                                => 18979,
                        unterlechner
                                => 3774, unterlercher
                                => 11136,
                        unterlerchner
                                => 7682, unterluggauer
                                => 6961,
                        untermoser
                                => 9285, unterrainer
                                => 1538,
                        unterreiner
                                => 10667, unterrieder
                                => 20333,
                        untersberger
                                => 15549, unterscheider
                                => 20374,
                        untersteiner
                                => 8381, unteruberbacher
                                => 17074,
                        unterwaditzer
                                => 23159, unterwandling
                                => 23431,
                        unterweger
                                => 603, unterwurzacher
                                => 6149,
                        unterzaucher
                                => 11162, untiedt => 23188,
                        unver   => 6931, unverzagt
                                => 12294,
                        uphoff  => 7889, urabl   => 12628, urach   => 19057, urbach  => 8838,
                        urban   => 332, urbanczyk
                                => 21990,
                        urbanek => 2601, urbaner => 18508, urbaniak
                                => 13252,
                        urbanitsch
                                => 11122, urbanski
                                => 9140,
                        urbanz  => 16943, urbitsch
                                => 21207,
                        urbschat
                                => 19708, urdl    => 6750,
                        urich   => 16744, urner   => 20173, urosevic
                                => 6314,
                        urschinger
                                => 19268, urschitz
                                => 3263,
                        urschler
                                => 7353, ursprunger
                                => 11636,
                        urstoger
                                => 13437, urthaler
                                => 20085,
                        usinger => 17616, uslu    => 2730, usta    => 2064, ustaoglu
                                => 11655,
                        ustundag
                                => 23763, ustunel => 19563,
                        utech   => 15408, utecht  => 12417, utsch   => 11944, uyanik  => 6899,
                        uyar    => 4425, uygur   => 15272, uysal   => 2281, uzelac  => 21435,
                        uzulmez => 16736, uzun    => 1010, uzuner  => 19374, uzunkaya
                                => 20125,
                        uzunoglu
                                => 14024, vacek   => 7536,
                        vader   => 22158, vahle   => 13171, vajda   => 9068, valek   => 15170,
                        valent  => 11323, valenta => 3294, valenti => 18735, valentic
                                => 15987,
                        valentini
                                => 21434, valland => 20967,
                        vallant => 1358, vallaster
                                => 8410,
                        valtiner
                                => 18821, valtingojer
                                => 20026,
                        valuch  => 20694, vanek   => 5810, vanicek => 14488, vanselow
                                => 17583,
                        varadi  => 19910, vardar  => 19141, varga   => 402, vargova => 19043,
                        varli   => 14351, varna   => 17566, vaschauner
                                => 9243,
                        vasic   => 207, vasicek => 16784, vasilev => 4923, vasileva
                                => 6878,
                        vasilic => 19482, vasiljevic
                                => 1933,
                        vasiljkovic
                                => 5605, vasiu   => 19370,
                        vasold  => 9886, vassilev
                                => 15495,
                        vassiliadis
                                => 23978, vatansever
                                => 19144,
                        vatter  => 12911, vaupel  => 6068, vavra   => 8566, vecchio => 15074,
                        vedda   => 23983, vedder  => 9411, vehlow  => 24467, veigel  => 20572,
                        veigl   => 3184, veit    => 1254, veith   => 3435, veits   => 15081,
                        veitschegger
                                => 19002, veladzic
                                => 10119,
                        velagic => 5633, velic   => 2388, velickovic
                                => 14466,
                        velija  => 15719, velik   => 16590, veliu   => 8220, veljkovic
                                => 5022,
                        vella   => 9577, velte   => 14420, velten  => 4835, vendel  => 18855,
                        venier  => 4401, vennemann
                                => 9230,
                        venohr  => 18037, venus   => 9528, venzke  => 17081, venzl   => 19632,
                        veratschnig
                                => 13961, verch   => 22943,
                        verdino => 21296, veres   => 8887, verfurth
                                => 20887,
                        vergeiner
                                => 7302, vergin  => 23974,
                        verheyen
                                => 21914, verhoeven
                                => 10361,
                        verhounig
                                => 16862, verhulsdonk
                                => 20998,
                        veronik => 17043, veselcic
                                => 19923,
                        veseli  => 4832, veselinovic
                                => 13697,
                        vesely  => 3981, vesic   => 18329, vesper  => 8206, vespermann
                                => 12354,
                        vester  => 13475, vetter  => 632, vetterlein
                                => 21108,
                        vettermann
                                => 22973, vettori => 18934,
                        vezonik => 20335, vicari  => 21536, vidakovic
                                => 7077,
                        vidalli => 21601, vidic   => 8630, vidmar  => 22928, vidounig
                                => 17601,
                        vidovic => 1581, viebrock
                                => 22362,
                        viechtbauer
                                => 13632, vieghofer
                                => 16433,
                        viehauser
                                => 8610, viehbock
                                => 5690,
                        viehhauser
                                => 3780, viehl   => 22756,
                        viehmann
                                => 11404, viehrig => 24133,
                        viehweg => 19455, viehweger
                                => 15996,
                        vielgut => 21464, vielhaber
                                => 7315,
                        vienna  => 2910, viereck => 14477, vieregge
                                => 15788,
                        vierke  => 20114, vierling
                                => 17906,
                        vierlinger
                                => 13032, viertbauer
                                => 23258,
                        vierthaler
                                => 7068, viertlbauer
                                => 23151,
                        viertler
                                => 13477, viertlmayr
                                => 20781,
                        vieten  => 8417, vieth   => 4813, vietz   => 14697, vietze  => 17740,
                        vieweg  => 8861, vigl    => 7814, vikic   => 23329, vilic   => 12683,
                        villwock
                                => 12859, vinca   => 12212,
                        vincetic
                                => 8069, vinciguerra
                                => 24176,
                        vincze  => 16334, vinke   => 18166, vinkovic
                                => 18698,
                        virnich => 23988, visintainer
                                => 23611,
                        visser  => 8531, vitale  => 6218, vitek   => 12199, vitzthum
                                => 3848,
                        viyana  => 20497, vlach   => 15544, vlasic  => 21642, vlasich => 21912,
                        vlcek   => 16731, vock    => 5053, vocke   => 17295, vockner => 13045,
                        vodenik => 20360, vodicka => 21200, voelkel => 17220, voelker => 11383,
                        vogel   => 89, vogelauer
                                => 18455,
                        vogele  => 9051, vogeler => 15822, vogelgesang
                                => 9424,
                        vogelmann
                                => 14470, vogelsang
                                => 2544,
                        vogelsberger
                                => 9923, vogelsinger
                                => 16767,
                        voges   => 5352, vogetseder
                                => 13327,
                        voggenberger
                                => 11096, voggeneder
                                => 15593,
                        voggenreiter
                                => 19499, vogl    => 421,
                        vogler  => 1393, voglhofer
                                => 8879,
                        voglhuber
                                => 5466, voglmayr
                                => 15271,
                        voglreiter
                                => 7873, vogrin  => 17704,
                        vogt    => 147, vohringer
                                => 14911,
                        voicu   => 21823, voigt   => 153, voigtlander
                                => 5853,
                        voigtmann
                                => 22875, voit    => 4212,
                        voith   => 7588, voithofer
                                => 2031,
                        voitl   => 15167, vojinovic
                                => 8132,
                        vojvoda => 19373, vokshi  => 16824, volderauer
                                => 5244,
                        volek   => 17129, volgger => 3517, volk    => 1331, volke   => 10682,
                        volkel  => 2872, volkert => 7034, volkl   => 3569, volkmann
                                => 1492,
                        volkmer => 3749, volkner => 10026, volkwein
                                => 23955,
                        volland => 8359, vollbrecht
                                => 7085,
                        volleritsch
                                => 13421, vollert => 8361,
                        vollmaier
                                => 11680, vollmann
                                => 2163,
                        vollmar => 8811, vollmeier
                                => 21661,
                        vollmer => 806, vollmers
                                => 20495,
                        vollnhofer
                                => 5945, vollrath
                                => 5438,
                        vollstedt
                                => 18425, vollstuber
                                => 15922,
                        volmer  => 8725, volpe   => 12601, volpert => 17959, volquardsen
                                => 24292,
                        voltz   => 19281, volz    => 2027, volzke  => 22938, vonach  => 8286,
                        vonbank => 5130, vonblon => 10912, vonbrul => 16975, vonbun  => 15581,
                        vonier  => 10560, vonmetz => 22170, vonwald => 13818, voppichler
                                => 11314,
                        voraberger
                                => 7633, vorauer => 9106,
                        vorbeck => 13610, vorberg => 20482, vorderderfler
                                => 18933,
                        vorderegger
                                => 8574, vorderleitner
                                => 19552,
                        vorderwinkler
                                => 10380, vorhauer
                                => 7723,
                        vorhofer
                                => 10678, vorisek => 19629,
                        vormann => 23634, vorndran
                                => 23656,
                        vorpahl => 14113, vorraber
                                => 3262,
                        vorreiter
                                => 7898, vorstandlechner
                                => 17142,
                        vorwerg => 24438, vorwerk => 5413, vosen   => 21003, voskuhl => 17835,
                        voss    => 354, vosseler
                                => 22238,
                        vossen  => 7605, votsch  => 3988, votter  => 5328, vrabel  => 10394,
                        vrana   => 7666, vranjes => 18912, vratny  => 22135, vrdoljak
                                => 11832,
                        vrenezi => 12600, vrhovac => 11557, vucenovic
                                => 14304,
                        vuckovic
                                => 4386, vujanovic
                                => 12846,
                        vujcic  => 11055, vujic   => 4380, vujicic => 7236, vukadin => 12968,
                        vukadinovic
                                => 15063, vukasinovic
                                => 19714,
                        vukic   => 11541, vukoja  => 12091, vukovic => 1223, vukovich
                                => 23446,
                        vuletic => 22724, vural   => 983, vyhnalek
                                => 18109,
                        waack   => 9941, waayne  => 20884, wabnegg => 6146, wabnegger
                                => 8843,
                        wabnig  => 12531, wabnigg => 18995, wabnitz => 23739, wache   => 7683,
                        wachholz
                                => 8124, wachmann
                                => 8594,
                        wachs   => 9330, wachsmann
                                => 7216,
                        wachsmuth
                                => 4669, wachtel => 6395,
                        wachtendorf
                                => 20869, wachter => 386,
                        wachtler
                                => 9393, wacker  => 1284,
                        wackerle
                                => 17667, wackernell
                                => 13611,
                        wadewitz
                                => 24190, waditzer
                                => 23521,
                        wadl    => 6276, wadlegger
                                => 17453,
                        wadler  => 19283, wadsack => 20460, waechter
                                => 20863,
                        wagemann
                                => 8851, wagenbichler
                                => 22235,
                        wageneder
                                => 5083, wagener => 1269,
                        wagenhofer
                                => 3016, wagenknecht
                                => 5012,
                        wagenleitner
                                => 9049, wagensonner
                                => 17249,
                        wagentristl
                                => 21921, wager   => 6481,
                        wagesreiter
                                => 12070, wagesreither
                                => 17788,
                        wagger  => 16866, waglechner
                                => 9223,
                        wagler  => 12880, wagneder
                                => 21610,
                        wagner  => 8, wahle   => 8287, wahlers => 13152, wahlmuller
                                => 4249,
                        wahls   => 19820, wahner  => 23741, wahringer
                                => 21717,
                        waibel  => 3190, waibl   => 9485, waidacher
                                => 14553,
                        waidelich
                                => 22813, waidhofer
                                => 8020,
                        wailzer => 19337, wais    => 3865, waismayer
                                => 14942,
                        waitschacher
                                => 21366, waitz   => 9725,
                        wakolbinger
                                => 2749, wakonig => 6411,
                        walch   => 343, walchensteiner
                                => 13999,
                        walcher => 536, walchhofer
                                => 4520,
                        walchhutter
                                => 20739, walchshofer
                                => 3785,
                        walczak => 7619, waldau  => 21095, waldbauer
                                => 4079,
                        waldburger
                                => 15999, waldeck => 9817,
                        waldegger
                                => 12497, walden  => 11135,
                        waldenberger
                                => 7685, waldenburger
                                => 23692,
                        waldenmaier
                                => 21279, walder  => 586,
                        waldhart
                                => 4292, waldhauser
                                => 3154,
                        waldhausl
                                => 13860, waldherr
                                => 2789,
                        waldhor => 5122, waldhuber
                                => 15966,
                        waldinger
                                => 23034, waldl   => 5033,
                        waldmann
                                => 2445, waldner => 763,
                        waldorf => 15524, waldow  => 11822, waldschmidt
                                => 12451,
                        waldvogel
                                => 15477, walenta => 17434,
                        walgenbach
                                => 15915, walisch => 18981,
                        walitsch
                                => 14745, walka   => 19252,
                        walke   => 19854, walkenhorst
                                => 14213,
                        walkner => 2586, walkowiak
                                => 12266,
                        wall    => 3609, walla   => 10989, wallas  => 10941, wallasch
                                => 18082,
                        wallat  => 15657, wallbaum
                                => 13474,
                        wallensteiner
                                => 10292, wallenta
                                => 18828,
                        waller  => 7173, wallerberger
                                => 18687,
                        wallerstorfer
                                => 13414, wallgram
                                => 20825,
                        wallinger
                                => 2132, wallis  => 14055,
                        wallisch
                                => 3098, wallmann
                                => 7680,
                        wallmuller
                                => 19519, wallner => 48,
                        wallnofer
                                => 11006, wallraff
                                => 20224,
                        walluschnig
                                => 16972, wally   => 3044,
                        walper  => 24054, walsberger
                                => 12895,
                        walser  => 735, waltenberger
                                => 6484,
                        walters => 12539, waltersdorfer
                                => 18183,
                        walther => 240, waltl   => 1146, waltner => 9766, waltritsch
                                => 21442,
                        walz    => 1211, walzel  => 23985, walzer  => 2711, walzl   => 1824,
                        walzthoni
                                => 16425, wambach => 13057,
                        wambacher
                                => 22330, wammerl => 11437,
                        wamser  => 22068, wandaller
                                => 12822,
                        wander  => 18711, wanders => 12568, wandl   => 3182, wandrey => 24266,
                        wandschneider
                                => 24212, wandt   => 12039,
                        wandtke => 23437, wanek   => 10870, wanger  => 6617, wangler => 14681,
                        waniczek
                                => 21788, waniek  => 23563,
                        wank    => 8390, wanka   => 13933, wanke   => 5093, wanker  => 6597,
                        wankmuller
                                => 15149, wanko   => 8506,
                        wannemacher
                                => 20152, wanner  => 3835,
                        wannerer
                                => 21323, wanninger
                                => 9441,
                        wansch  => 4663, wanzenbock
                                => 7416,
                        wappel  => 6610, wappl   => 18543, wappler => 9437, wardak  => 21327,
                        warkentin
                                => 6355, warmuth => 3882,
                        warncke => 8922, warnecke
                                => 3162,
                        warneke => 13060, warning => 18510, warnke  => 2954, warnken => 11888,
                        warscher
                                => 22339, wartbichler
                                => 11132,
                        wartecker
                                => 14574, wartenberg
                                => 9930,
                        warter  => 5036, warth   => 11479, wartha  => 13854, wartinger
                                => 13391,
                        wartmann
                                => 12894, warzecha
                                => 10112,
                        wascher => 6687, waschk  => 22678, waschke => 9799, waschl  => 21844,
                        waschnig
                                => 11244, wasem   => 24225,
                        waser   => 9457, wasilewski
                                => 17075,
                        wasined => 23583, wasinger
                                => 5648,
                        wasle   => 12049, wasmund => 24392, wasmuth => 17691, wasner  => 8011,
                        wassenberg
                                => 21098, wasserbauer
                                => 6412,
                        wasserer
                                => 9435, wasserfaller
                                => 22129,
                        wassermair
                                => 22006, wassermann
                                => 1805,
                        wassertheurer
                                => 5049, wassmann
                                => 10635,
                        wassmer => 23961, wassmuth
                                => 16190,
                        wassong => 23359, wastian => 5660, wastl   => 4141, watermann
                                => 9808,
                        waters  => 22124, watzdorf
                                => 17020,
                        watzek  => 10927, watzinger
                                => 1784,
                        watzke  => 14287, watzl   => 5120, wauer   => 13429, wawra   => 12978,
                        wawrzyniak
                                => 11546, waxenegger
                                => 14651,
                        waynee  => 9339, webel   => 15616, weber   => 11, weberberger
                                => 13956,
                        weberhofer
                                => 8605, weberndorfer
                                => 20163,
                        webers  => 12834, webersdorfer
                                => 15286,
                        webhofer
                                => 5669, webinger
                                => 15348,
                        wechner => 4257, wechselberger
                                => 461,
                        wechsler
                                => 10007, wechtitsch
                                => 8266,
                        weck    => 4381, wecke   => 17565, wecker  => 7409, weckerle
                                => 17475,
                        weckert => 23644, weckesser
                                => 24462,
                        weckwerth
                                => 16192, wedam   => 5617,
                        wedde   => 20738, wedekind
                                => 3955,
                        wedel   => 4198, wedemann
                                => 23451,
                        wedemeyer
                                => 6433, wedenig => 2963,
                        wedig   => 17448, wedl    => 4945, wedler  => 7451, weege   => 22038,
                        weers   => 11477, weerts  => 13968, weese   => 20285, wefer   => 20067,
                        wefers  => 10691, wegel   => 20385, wegele  => 17504, wegener => 644,
                        wegenschimmel
                                => 19434, wegenstein
                                => 22301,
                        weger   => 2756, wegerer => 4299, wegerich
                                => 24340,
                        wegert  => 18273, wegerth => 15369, weghofer
                                => 2077,
                        weglehner
                                => 15874, wegleitner
                                => 10238,
                        wegmann => 2815, wegmayr => 21419, wegner  => 339, wegscheider
                                => 655,
                        wegscheidler
                                => 18831, wehinger
                                => 2907,
                        wehle   => 15772, wehling => 8273, wehlmann
                                => 24094,
                        wehmann => 21281, wehmeier
                                => 8900,
                        wehmeyer
                                => 8384, wehner  => 1078,
                        wehnert => 10043, wehofer => 12503, wehr    => 4378, wehrhahn
                                => 12241,
                        wehrle  => 4485, wehrmann
                                => 4658,
                        wehrstedt
                                => 14183, weiand  => 23113,
                        weibel  => 21937, weibold => 11015, weichbold
                                => 13128,
                        weichbrodt
                                => 24455, weichel => 19690,
                        weichelt
                                => 8350, weichenberger
                                => 11776,
                        weichert
                                => 3075, weichhart
                                => 13717,
                        weichinger
                                => 6442, weichselbaum
                                => 2650,
                        weichselbaumer
                                => 4176, weichselberger
                                => 12220,
                        weichselbraun
                                => 6672, weichsler
                                => 16976,
                        weick   => 10105, weickert
                                => 9934,
                        weickinger
                                => 14121, weickl  => 19066,
                        weidacher
                                => 11550, weidauer
                                => 14371,
                        weide   => 4631, weidel  => 23462, weidemann
                                => 2420,
                        weidenauer
                                => 4319, weidenbach
                                => 14181,
                        weidenthaler
                                => 15190, weidig  => 19884,
                        weidinger
                                => 492, weidl   => 15200,
                        weidler => 11427, weidlich
                                => 3744,
                        weidlinger
                                => 8022, weidlitsch
                                => 19947,
                        weidmann
                                => 4934, weidner => 826,
                        weidt   => 23518, weier   => 11889, weiermair
                                => 12951,
                        weiermann
                                => 16482, weiermayer
                                => 20228,
                        weigand => 2239, weigandt
                                => 18778,
                        weigang => 18117, weigel  => 896, weigelt => 1708, weigerstorfer
                                => 22495,
                        weigert => 4288, weigl   => 699, weiglhofer
                                => 16953,
                        weigmann
                                => 17061, weigner => 18046,
                        weigold => 17986, weigt   => 8340, weiher  => 7718, weihmann
                                => 14378,
                        weihrauch
                                => 5861, weihs   => 3834,
                        weikert => 8337, weikl   => 10176, weiland => 1619, weilandt
                                => 14762,
                        weilbold
                                => 21431, weilbuchner
                                => 11301,
                        weiler  => 1225, weilguni
                                => 5100,
                        weilguny
                                => 6152, weilharter
                                => 2494,
                        weilhartner
                                => 6521, weilinger
                                => 9888,
                        weimann => 3268, weimer  => 2840, weinand => 6978, weinauer
                                => 22862,
                        weinbacher
                                => 17275, weinbauer
                                => 11246,
                        weinberg
                                => 4057, weinberger
                                => 364,
                        weinbrenner
                                => 23860, weindl  => 5261,
                        weiner  => 4887, weinert => 1425, weinfurter
                                => 16586,
                        weinfurtner
                                => 21166, weingart
                                => 9587,
                        weingarten
                                => 7389, weingartner
                                => 1608,
                        weingartsberger
                                => 17127, weingartshofer
                                => 19227,
                        weingerl
                                => 15450, weingrill
                                => 13662,
                        weinhandl
                                => 3797, weinhappel
                                => 21340,
                        weinhappl
                                => 8522, weinhardt
                                => 16412,
                        weinhart
                                => 16900, weinhaupl
                                => 10357,
                        weinheimer
                                => 17838, weinhofer
                                => 6694,
                        weinhold
                                => 1994, weinkauf
                                => 17602,
                        weinlich
                                => 16585, weinlinger
                                => 19668,
                        weinmann
                                => 2600, weinmayr
                                => 14373,
                        weinmuller
                                => 9721, weinrauch
                                => 16607,
                        weinreich
                                => 5374, weinrich
                                => 5123,
                        weinschenk
                                => 24021, weinstabl
                                => 5268,
                        weinstock
                                => 22820, weinwurm
                                => 10830,
                        weinzerl
                                => 10985, weinzetl
                                => 22210,
                        weinzettl
                                => 3535, weinzierl
                                => 1684,
                        weinzinger
                                => 10010, weinzirl
                                => 16162,
                        weippert
                                => 14867, weirather
                                => 4396,
                        weirauch
                                => 10690, weirer  => 13806,
                        weirich => 7631, weis    => 736, weisbrod
                                => 17556,
                        weisch  => 13486, weise   => 612, weisel  => 18461, weiser  => 2009,
                        weisgerber
                                => 12878, weisgram
                                => 14333,
                        weishaupl
                                => 14192, weishaupt
                                => 6641,
                        weisheit
                                => 6752, weiske  => 10499,
                        weiskopf
                                => 3554, weismann
                                => 10114,
                        weiss   => 81, weissacher
                                => 15033,
                        weissbach
                                => 5390, weissbacher
                                => 5940,
                        weissbock
                                => 16235, weissenbach
                                => 21131,
                        weissenbacher
                                => 1818, weissenback
                                => 21222,
                        weissenbeck
                                => 20023, weissenberg
                                => 23550,
                        weissenberger
                                => 6849, weissenbock
                                => 2638,
                        weissenboeck
                                => 14322, weissenborn
                                => 6155,
                        weissenbrunner
                                => 20517, weisseneder
                                => 23406,
                        weissenegger
                                => 15426, weissenfels
                                => 21142,
                        weissengruber
                                => 8001, weissensteiner
                                => 2168,
                        weisser => 4801, weissflog
                                => 9877,
                        weissgerber
                                => 17668, weisshaupt
                                => 23248,
                        weissinger
                                => 4322, weissl  => 20981,
                        weissleder
                                => 24165, weissmann
                                => 5456,
                        weissnegger
                                => 20655, weisz   => 2564,
                        weitensfelder
                                => 16614, weitenthaler
                                => 17319,
                        weitgasser
                                => 4218, weith   => 23486,
                        weitkamp
                                => 22475, weitlaner
                                => 5338,
                        weitmann
                                => 17869, weitschacher
                                => 17359,
                        weitz   => 4590, weitze  => 23823, weitzel => 4063, weitzenbock
                                => 23640,
                        weitzer => 3395, weitzmann
                                => 23770,
                        weixelbaum
                                => 10217, weixelbaumer
                                => 9508,
                        weixelberger
                                => 17503, weixelbraun
                                => 6536,
                        weixlbaumer
                                => 8336, weixlbraun
                                => 16444,
                        weixler => 3119, weizel  => 13134, welge   => 24149, welke   => 7433,
                        welker  => 4960, wellbrock
                                => 11245,
                        weller  => 1025, welles  => 22999, wellhausen
                                => 19590,
                        welling => 9473, wellmann
                                => 3396,
                        wellner => 7707, wellnitz
                                => 10777,
                        welsch  => 1720, welscher
                                => 24359,
                        welser  => 4678, welte   => 5476, welter  => 2525, welters => 19161,
                        welz    => 2664, welzel  => 3454, wenck   => 20343, wende   => 2131,
                        wendel  => 1636, wendelken
                                => 20836,
                        wendelmuth
                                => 23934, wenderoth
                                => 13496,
                        wendisch
                                => 18533, wendl   => 2611,
                        wendland
                                => 2468, wendlandt
                                => 6195,
                        wendler => 1665, wendling
                                => 8657,
                        wendlinger
                                => 9601, wendner => 15028,
                        wendorf => 12955, wendorff
                                => 22078,
                        wendrich
                                => 15768, wendt   => 340,
                        wendtner
                                => 17743, wengel  => 22462,
                        wengenroth
                                => 17941, wenger  => 1033,
                        wengert => 16441, wengler => 7074, wenighofer
                                => 20963,
                        wenigwieser
                                => 4932, wenin   => 21021,
                        wening  => 19402, weninger
                                => 704,
                        wenisch => 11351, wenk    => 3116, wenkel  => 14167, wenko   => 10976,
                        wenner  => 7146, wenning => 8316, wenninger
                                => 4992,
                        wensauer
                                => 20690, wensing => 19891,
                        wenske  => 10502, wenter  => 16927, wentz   => 17028, wentzel => 8885,
                        wenz    => 3215, wenzel  => 201, wenzl   => 1237, wenzlaff
                                => 13317,
                        wenzler => 19525, weppler => 22355, wepunkt => 8775, weratschnig
                                => 7208,
                        werber  => 13819, werdenich
                                => 12729,
                        werder  => 11150, werderits
                                => 15565,
                        werderitsch
                                => 19310, werdnig => 18644,
                        werkl   => 9308, werkmann
                                => 24023,
                        werkmeister
                                => 10036, werkovits
                                => 19215,
                        werlberger
                                => 5411, werle   => 5308,
                        werlich => 24264, werling => 17603, wermann => 14494, wermke  => 19732,
                        wermter => 22825, wermuth => 19274, wernbacher
                                => 10521,
                        wernecke
                                => 6977, wernegger
                                => 16941,
                        werneke => 21235, werner  => 49, wernet  => 17559, wernhart
                                => 11259,
                        wernicke
                                => 2781, wernig  => 1485,
                        werning => 13274, wernisch
                                => 13603,
                        wernitz => 23669, wernitznig
                                => 12806,
                        wernle  => 10494, werres  => 23645, werth   => 2659, werther => 10744,
                        werthmann
                                => 7778, wertschnig
                                => 16458,
                        werzer  => 13501, wesch   => 18535, wesche  => 9382, wesely  => 5085,
                        wesemann
                                => 5005, wesenauer
                                => 9648,
                        wesenberg
                                => 22917, weser   => 10723,
                        weskamp => 23665, wesner  => 12615, wesolowski
                                => 14827,
                        wessel  => 1427, wesseler
                                => 23566,
                        wesselmann
                                => 15826, wessels => 1576,
                        wessely => 1848, wessendorf
                                => 14736,
                        wessling
                                => 9852, wessner => 13504,
                        westenberger
                                => 14409, westendorf
                                => 10109,
                        wester  => 7134, westerhoff
                                => 9861,
                        westerholt
                                => 22957, westerkamp
                                => 17317,
                        westermann
                                => 1430, westermayer
                                => 8284,
                        westermayr
                                => 21943, westermeier
                                => 14109,
                        westhoff
                                => 6967, westphal
                                => 467,
                        westphalen
                                => 19546, westreicher
                                => 7629,
                        westrich
                                => 24411, wetscher
                                => 13804,
                        wetschnig
                                => 18308, wettengel
                                => 19673,
                        wettig  => 18255, wettlaufer
                                => 17100,
                        wettstein
                                => 17118, wetzel  => 668,
                        wetzelberger
                                => 14568, wetzelhutter
                                => 11869,
                        wetzig  => 14357, wetzler => 17540, wetzlinger
                                => 10781,
                        wetzlmaier
                                => 18708, wetzstein
                                => 17227,
                        wever   => 20500, wewer   => 22416, wewers  => 23922, weyand  => 6688,
                        weyel   => 24347, weyer   => 3910, weyers  => 4953, weyland => 16094,
                        weymann => 13081, weyrauch
                                => 9980,
                        weyrer  => 15152, weyrich => 11976, wezel   => 17711, whatelse
                                => 19234,
                        wibmer  => 1057, wicha   => 20293, wiche   => 24064, wicher  => 10769,
                        wichern => 22790, wichert => 3580, wichmann
                                => 789,
                        wicht   => 7213, wick    => 2428, wicke   => 5322, wickel  => 18340,
                        wicker  => 17162, wickert => 8135, wicklein
                                => 13125,
                        widauer => 3875, widder  => 13472, widegger
                                => 18671,
                        widemair
                                => 18163, widera  => 7874,
                        widerin => 18869, widermann
                                => 18621,
                        widerna => 20760, widhalm => 1350, widlhofer
                                => 22200,
                        widlroither
                                => 10437, widmaier
                                => 10844,
                        widmann => 1336, widmer  => 13760, widmoser
                                => 5311,
                        widner  => 5246, widnig  => 21946, widowitz
                                => 9884,
                        widschwenter
                                => 19126, wiebe   => 3380,
                        wieber  => 21048, wiebogen
                                => 17006,
                        wiebusch
                                => 13112, wiech   => 24146,
                        wiechers
                                => 10034, wiechert
                                => 5603,
                        wiechmann
                                => 3239, wieck   => 7291,
                        wieczorek
                                => 1519, wiede   => 12057,
                        wiedemann
                                => 623, wieden  => 20602,
                        wiedenegger
                                => 13914, wiedenhofer
                                => 3381,
                        wiedenhoft
                                => 20822, wiedenmann
                                => 7329,
                        wiedergut
                                => 20662, wiederhold
                                => 8187,
                        wiederin
                                => 15052, wiederkehr
                                => 18872,
                        wiedermann
                                => 4769, wiedl   => 4025,
                        wiedlroither
                                => 18019, wiedmann
                                => 4032,
                        wiedner => 1218, wiefler => 22123, wiegand => 682, wiegandt
                                => 12502,
                        wiegel  => 5654, wiegele => 4517, wiegelmann
                                => 18101,
                        wieger  => 13228, wiegers => 20439, wiegert => 13282, wiegleb => 19746,
                        wiegmann
                                => 3682, wiegner => 19754,
                        wiehart => 23416, wiehe   => 11424, wiehl   => 23155, wieland => 637,
                        wielander
                                => 6070, wielandner
                                => 15357,
                        wiele   => 18507, wieler  => 22028, wieltsch
                                => 14449,
                        wieltschnig
                                => 12641, wiemann => 3675,
                        wiemer  => 4640, wiemers => 10072, wien    => 341, wiena   => 20666,
                        wienand => 8263, wienberg
                                => 19649,
                        wiencke => 18125, wiendl  => 22349, wienecke
                                => 6781,
                        wienekamp
                                => 15550, wieneke => 9822,
                        wienen  => 20932, wiener  => 1054, wienerroither
                                => 3530,
                        wieners => 23054, wienert => 14756, wienhold
                                => 10565,
                        wienholz
                                => 21020, wieninger
                                => 7556,
                        wienke  => 7860, wiens   => 4610, wierer  => 13651, wiesauer
                                => 4899,
                        wiesbauer
                                => 2583, wiesbock
                                => 17427,
                        wiese   => 527, wiesel  => 9661, wieselthaler
                                => 23350,
                        wiesemann
                                => 6712, wiesenbauer
                                => 17046,
                        wiesenberger
                                => 15800, wieseneder
                                => 10990,
                        wiesenegger
                                => 14838, wiesener
                                => 15807,
                        wiesenhofer
                                => 2727, wiesenthal
                                => 24084,
                        wieser  => 77, wiesflecker
                                => 8097,
                        wieshofer
                                => 5009, wiesi   => 15849,
                        wiesinger
                                => 212, wieske  => 23588,
                        wiesler => 7989, wiesmair
                                => 14890,
                        wiesmann
                                => 6580, wiesmayr
                                => 5058,
                        wiesmuller
                                => 5475, wiesner => 900,
                        wiessner
                                => 9315, wiest   => 5782,
                        wiestner
                                => 18603, wiethoff
                                => 23864,
                        wiezorek
                                => 23511, wigger  => 7663,
                        wiggers => 13975, wilberg => 17642, wilbers => 19167, wilbert => 9136,
                        wilcke  => 12291, wilczek => 5748, wild    => 676, wildauer
                                => 1816,
                        wildbacher
                                => 10477, wildberger
                                => 20084,
                        wilde   => 1181, wildeis => 13056, wildemann
                                => 18065,
                        wildenhain
                                => 23977, wildfeuer
                                => 21091,
                        wildgrube
                                => 21163, wildhagen
                                => 20770,
                        wilding => 3382, wildling
                                => 5942,
                        wildmann
                                => 22188, wildner => 6866,
                        wildt   => 12076, wilfert => 13155, wilfing => 4431, wilfinger
                                => 1334,
                        wilfling
                                => 1515, wilflingseder
                                => 11769,
                        wilhelm => 224, wilhelmer
                                => 2668,
                        wilhelmi
                                => 4991, wilhelms
                                => 8142,
                        wilhelmstatter
                                => 20609, wilhelmy
                                => 20046,
                        wilk    => 2450, wilke   => 448, wilken  => 1655, wilkening
                                => 10544,
                        wilkens => 2352, wilkes  => 11853, willach => 16524, willam  => 10954,
                        willberg
                                => 24160, willburger
                                => 23565,
                        wille   => 1193, willecke
                                => 14596,
                        willegger
                                => 11042, willeke => 11512,
                        willems => 2553, willemsen
                                => 8620,
                        willenberg
                                => 16348, willenborg
                                => 17686,
                        willer  => 4950, willers => 9153, willert => 6307, willfurth
                                => 22642,
                        willig  => 8191, willim  => 18052, willing => 7282, willinger
                                => 2817,
                        willingshofer
                                => 11173, willingstorfer
                                => 22527,
                        willkomm
                                => 20759, willmann
                                => 2998,
                        willmes => 13197, willms  => 1846, willnauer
                                => 18839,
                        willner => 8050, willroider
                                => 21096,
                        wilmer  => 22026, wilmes  => 7795, wilms   => 1380, wilmsen => 19124,
                        wilplinger
                                => 16616, wilscher
                                => 18540,
                        wilsdorf
                                => 17422, wilts   => 10107,
                        wiltsche
                                => 8757, wiltschko
                                => 18816,
                        wiltschnig
                                => 11650, wimberger
                                => 3259,
                        wimhofer
                                => 14384, wimmeder
                                => 16046,
                        wimmer  => 59, wimmers => 20315, wimmler => 20472, wimpissinger
                                => 9965,
                        wimplinger
                                => 18412, winchester
                                => 6826,
                        wind    => 1760, windbacher
                                => 16618,
                        windberger
                                => 11922, windbichler
                                => 4692,
                        windbuchler
                                => 20699, windegger
                                => 15951,
                        winder  => 4542, winderl => 18727, windhaber
                                => 2915,
                        windhagauer
                                => 22966, windhager
                                => 1785,
                        windhofer
                                => 4112, windholz
                                => 8343,
                        windhorst
                                => 14821, windisch
                                => 344,
                        windischbauer
                                => 7700, windischhofer
                                => 9927,
                        windmuller
                                => 16399, windner => 12016,
                        windpassinger
                                => 17728, windrich
                                => 24111,
                        windsperger
                                => 14926, windsteig
                                => 19051,
                        windt   => 15944, wingen  => 19907, wingender
                                => 23813,
                        wingert => 13939, wingerter
                                => 24037,
                        wink    => 6922, winkel  => 1841, winkelbauer
                                => 4053,
                        winkelhofer
                                => 7071, winkelmann
                                => 929,
                        winkelmayer
                                => 8487, winkelmuller
                                => 15187,
                        winkels => 6452, winkens => 11201, winklbauer
                                => 12073,
                        winklehner
                                => 11648, winkler => 28,
                        winklhofer
                                => 6236, winklmayr
                                => 18233,
                        winnen  => 21941, winner  => 14969, winninger
                                => 17139,
                        winsauer
                                => 5134, winter  => 87,
                        winterauer
                                => 14731, winterberg
                                => 7679,
                        winterer
                                => 12345, winterfeld
                                => 13241,
                        winterhalder
                                => 23682, winterhalter
                                => 18251,
                        winterhoff
                                => 16557, winterle
                                => 23309,
                        winterleitner
                                => 5775, wintersberger
                                => 11739,
                        wintersteiger
                                => 7080, winterstein
                                => 4859,
                        wintersteller
                                => 2475, wintschnig
                                => 13104,
                        winzen  => 19507, winzer  => 5279, wipfler => 6534, wiplinger
                                => 14217,
                        wippel  => 1328, wipper  => 22406, wipperfurth
                                => 20891,
                        wippermann
                                => 12165, wippich => 14875,
                        wipplinger
                                => 3974, wirges  => 20024,
                        wirkner => 20236, wirnsberger
                                => 2385,
                        wirnsperger
                                => 12507, wirrer  => 7706,
                        wirsching
                                => 12494, wirsing => 10041,
                        wirtenberger
                                => 16007, wirth   => 473,
                        wirths  => 17813, wirtitsch
                                => 16589,
                        wirtl   => 11571, wirtz   => 1113, wischenbart
                                => 10328,
                        wischer => 13153, wischmann
                                => 13271,
                        wischnewski
                                => 4633, wisgrill
                                => 14833,
                        wisniewska
                                => 21987, wisniewski
                                => 3655,
                        wisotzki
                                => 17982, wissel  => 8309,
                        wisser  => 11249, wissiak => 11817, wissing => 7424, wissmann
                                => 7670,
                        wister  => 23428, wistuba => 14106, witek   => 9928, witkowski
                                => 5806,
                        witsch  => 10226, witschel
                                => 13276,
                        witschnig
                                => 11536, witt    => 284,
                        wittberger
                                => 12127, wittchen
                                => 16044,
                        witte   => 493, witteck => 19738, wittek  => 4746, wittemann
                                => 24085,
                        witten  => 17718, wittenbecher
                                => 23948,
                        wittenberg
                                => 3753, wittenburg
                                => 12318,
                        wittenzellner
                                => 15697, witter  => 8674,
                        witthuhn
                                => 23395, wittich => 5362,
                        wittig  => 928, witting => 4624, wittkamp
                                => 17901,
                        wittke  => 2570, wittkopf
                                => 16451,
                        wittkowski
                                => 8293, wittler => 13356,
                        wittmann
                                => 593, wittmer => 9767,
                        wittner => 19065, wittrich
                                => 21585,
                        wittrock
                                => 12990, wittstock
                                => 9387,
                        wittwer => 4437, witwer  => 16040, witzany => 20829, witzel  => 3798,
                        witzelnig
                                => 15504, witzemann
                                => 18252,
                        witzeneder
                                => 17831, witzgall
                                => 23605,
                        witzig  => 19352, witzke  => 6930, witzmann
                                => 6169,
                        wlach   => 16494, wlcek   => 16998, wlodarczyk
                                => 23992,
                        wloka   => 16449, woath   => 23544, wobbe   => 22760, wober   => 3794,
                        wobst   => 17915, wochner => 14522, wochnik => 22408, wockinger
                                => 9628,
                        wockl   => 12206, woditschka
                                => 17811,
                        wodrich => 13592, wodtke  => 14922, woegerbauer
                                => 23609,
                        woehrer => 20069, woelk   => 13626, woelke  => 14065, woerner => 17851,
                        woger   => 16737, wogerbauer
                                => 1826,
                        wogerer => 2330, woginger
                                => 11604,
                        wograndl
                                => 15407, wohler  => 7406,
                        wohlers => 6668, wohlert => 7362, wohleser
                                => 10313,
                        wohlesser
                                => 22476, wohlfahrt
                                => 3568,
                        wohlfart
                                => 8687, wohlfarter
                                => 7049,
                        wohlfarth
                                => 7031, wohlfeil
                                => 14644,
                        wohlgemuth
                                => 2852, wohlgenannt
                                => 2224,
                        wohlkinger
                                => 22567, wohlleben
                                => 14365,
                        wohlmuth
                                => 1573, wohlmuther
                                => 7156,
                        wohlrab => 8772, wohlschlager
                                => 3821,
                        wohner  => 17913, wohrer  => 2225, wohrle  => 8924, wohry   => 15323,
                        woisetschlager
                                => 10160, woithe  => 20313,
                        woitsch => 18420, woitzik => 22391, wojciechowski
                                => 8631,
                        wojcik  => 9083, wolbart => 20892, wolber  => 10721, wolbitsch
                                => 11612,
                        woldrich
                                => 5006, woldt   => 19849,
                        woletz  => 23620, wolf    => 27, wolfbauer
                                => 21484,
                        wolfel  => 3881, wolfer  => 13888, wolfert => 22309, wolfesberger
                                => 9050,
                        wolff   => 168, wolfger => 6981, wolfgramm
                                => 16395,
                        wolfgruber
                                => 4744, wolfinger
                                => 3761,
                        wolfl   => 4515, wolfle  => 7703, wolfler => 3830, wolflingseder
                                => 18548,
                        wolfmayr
                                => 4841, wolfrum => 6120,
                        wolfsbauer
                                => 11080, wolfsberger
                                => 3436,
                        wolfschwenger
                                => 19776, wolfsegger
                                => 14395,
                        wolfsgruber
                                => 6450, wolfslehner
                                => 19484,
                        wolfsteiner
                                => 5608, wolfthaler
                                => 20582,
                        wolgast => 14137, wolger  => 22845, wolk    => 4498, wolkart => 7862,
                        wolke   => 4755, wolkenstein
                                => 15331,
                        wolkerstorfer
                                => 5489, wolki   => 18522,
                        woll    => 5213, wollenberg
                                => 7903,
                        wollenhaupt
                                => 16476, wollenweber
                                => 10593,
                        woller  => 8677, wollersheim
                                => 24055,
                        wollesen
                                => 24121, wollinger
                                => 5970,
                        wollmann
                                => 5310, wollner => 4792,
                        wollnik => 21288, wollny  => 4820, wollschlager
                                => 7857,
                        wolny   => 11290, wolpert => 12248, wols    => 8474, wolschlager
                                => 17167,
                        wolsegger
                                => 14621, wolski  => 11099,
                        wolte   => 11467, wolter  => 367, woltering
                                => 15802,
                        wolters => 1312, woltmann
                                => 12997,
                        woltran => 18200, woltron => 10445, woltsche
                                => 10961,
                        wonderland
                                => 17964, wondra  => 15385,
                        wondrak => 14855, wonisch => 3801, wonka   => 22024, wonneberger
                                => 19471,
                        wood    => 4234, wopfner => 8110, worbs   => 17363, worch   => 15617,
                        worel   => 20516, worgetter
                                => 12292,
                        worgotter
                                => 2968, worister
                                => 18007,
                        worle   => 9052, worm    => 5349, wormann => 14132, worndl  => 4540,
                        worndle => 7456, worner  => 2174, worsdorfer
                                => 23892,
                        worthmann
                                => 20990, wortmann
                                => 2356,
                        worz    => 5722, woschitz
                                => 2534,
                        woss    => 3214, wossner => 18216, wostmann
                                => 18569,
                        wostry  => 23149, wotawa  => 15208, wotzel  => 12338, woyke   => 23333,
                        wozniak => 6326, wozny   => 23016, wrage   => 13256, wrann   => 6181,
                        wrase   => 22656, wratny  => 23180, wratschko
                                => 13834,
                        wrede   => 3784, wretschko
                                => 18256,
                        wriedt  => 16207, wriesnig
                                => 21678,
                        wrobel  => 2043, wroblewski
                                => 7647,
                        wrona   => 16287, wruck   => 9737, wrulich => 9525, wruss   => 16743,
                        wucherer
                                => 5340, wucherpfennig
                                => 24147,
                        wuggenig
                                => 7731, wuhrer  => 5696,
                        wukits  => 15521, wukitsevits
                                => 13766,
                        wukonig => 16861, wukovits
                                => 6273,
                        wulf    => 833, wulfert => 14870, wulff   => 1521, wulfing => 23647,
                        wullner => 14478, wultsch => 20675, wulz    => 2997, wunder  => 2107,
                        wunderbar
                                => 20858, wunderer
                                => 8039,
                        wunderl => 7819, wunderle
                                => 17333,
                        wunderlich
                                => 732, wundsam => 10482,
                        wunner  => 24031, wunsche => 2957, wunscher
                                => 16803,
                        wuppinger
                                => 11005, wurcher => 11610,
                        wurfel  => 5444, wurfl   => 9564, wurflinger
                                => 20523,
                        wurger  => 9567, wurhofer
                                => 15319,
                        wurm    => 254, wurmer  => 18523, wurmhoringer
                                => 22347,
                        wurmitsch
                                => 20749, wurmitzer
                                => 5831,
                        wurnig  => 21573, wurnitsch
                                => 6814,
                        wurrer  => 13902, wurscht => 19780, wurst   => 9461, wurster => 5841,
                        wurtenberger
                                => 16160, wurth   => 11651,
                        wurtz   => 9678, wurz    => 2651, wurzenberger
                                => 2720,
                        wurzenrainer
                                => 9353, wurzer  => 376,
                        wurzinger
                                => 1167, wurzl   => 7441,
                        wurzrainer
                                => 4990, wurzwallner
                                => 11893,
                        wussow  => 17980, wust    => 2348, wustefeld
                                => 9897,
                        wustemann
                                => 19475, wustenberg
                                => 12297,
                        wustinger
                                => 6797, wustmann
                                => 20627,
                        wustner => 8258, wutke   => 23795, wutscher
                                => 9942,
                        wutte   => 2103, wutti   => 9499, wuttig  => 20900, wuttke  => 2704,
                        wutzl   => 5376, wutzler => 19955, wutzlhofer
                                => 14103,
                        wuzella => 7910, wycisk  => 20815, wydra   => 20174, wysocki => 15460,
                        xanki   => 23372, xhafa   => 21392, xhaferi => 21395, xheladini
                                => 19367,
                        xhemaili
                                => 10728, xhemajli
                                => 19360,
                        yagci   => 6112, yagdi   => 7641, yakar   => 11073, yakut   => 12002,
                        yalcin  => 555, yalcinkaya
                                => 5095,
                        yaldiz  => 19209, yalin   => 23301, yalman  => 16876, yaman   => 1548,
                        yanal   => 22541, yanar   => 13985, yankov  => 15374, yapar   => 22002,
                        yapici  => 10450, yaqubi  => 15708, yarar   => 7820, yavas   => 11731,
                        yavsan  => 18311, yavuz   => 715, yawari  => 15712, yaylaci => 15280,
                        yazar   => 12730, yazgan  => 14277, yazgi   => 16724, yazici  => 2790,
                        yenipinar
                                => 23351, yerli   => 21380,
                        yerlikaya
                                => 12712, yesil   => 3538,
                        yesilbas
                                => 24319, yesildag
                                => 19186,
                        yesilkaya
                                => 18578, yesiloz => 16648,
                        yesilyurt
                                => 8569, yetim   => 21896,
                        yigit   => 781, yigiter => 11146, yikilmaz
                                => 22468,
                        yildiran
                                => 17850, yildirim
                                => 142,
                        yildiz  => 155, yildizhan
                                => 23879,
                        yilmaz  => 71, yilmazer
                                => 14699,
                        yldrm   => 22604, yolcu   => 10311, yondem  => 21549, yordanov
                                => 6323,
                        yordanova
                                => 9658, yorgun  => 16945,
                        yoruk   => 10317, yorulmaz
                                => 6272,
                        yousefi => 10859, yousofi => 21246, yousufi => 16815, yozgat  => 17893,
                        yuce    => 6564, yuksek  => 15252, yuksel  => 880, yurdakul
                                => 8021,
                        yurekli => 19016, yurtseven
                                => 12467,
                        yurtsever
                                => 15034, yurttas => 10963,
                        yusupov => 20072, yuvanc  => 18793, zabel   => 1683, zabernig
                                => 13754,
                        zabransky
                                => 20030, zach    => 225,
                        zacharias
                                => 3037, zachau  => 20600,
                        zachbauer
                                => 14123, zacher  => 4062,
                        zacherl => 12744, zachert => 23297, zachhuber
                                => 21012,
                        zachl   => 18988, zachmann
                                => 13510,
                        zachow  => 17763, zachs   => 16450, zacsek  => 16526, zadran  => 8939,
                        zadravec
                                => 13034, zadrazil
                                => 16870,
                        zagar   => 14791, zagler  => 3196, zahirovic
                                => 5897,
                        zahn    => 908, zahner  => 14076, zahradnik
                                => 9069,
                        zahrer  => 10853, zahringer
                                => 23482,
                        zahrl   => 15218, zainzinger
                                => 7769,
                        zaiser  => 8694, zajac   => 8036, zajic   => 13825, zajicek => 12826,
                        zakall  => 21611, zakrzewski
                                => 15553,
                        zalewski
                                => 16891, zaller  => 16472,
                        zambelli
                                => 13934, zamberger
                                => 16124,
                        zambo   => 13932, zaminer => 9319, zamzow  => 23261, zander  => 594,
                        zandl   => 9021, zang    => 8121, zanger  => 15847, zangerl => 667,
                        zangerle
                                => 2015, zangger => 22852,
                        zangl   => 2063, zanier  => 19390, zanitzer
                                => 22465,
                        zanker  => 14280, zankl   => 2453, zanner  => 11321, zant    => 6760,
                        zapf    => 2669, zapfel  => 6803, zapke   => 19866, zapletal
                                => 8164,
                        zapp    => 7350, zappe   => 11311, zararsiz
                                => 15006,
                        zarbl   => 20775, zarbo   => 24258, zaremba => 8155, zarfl   => 2444,
                        zaric   => 3236, zarits  => 21718, zarl    => 7283, zarre   => 17424,
                        zartl   => 12908, zarzer  => 19295, zaspel  => 24088, zastrow => 9147,
                        zauchinger
                                => 18268, zauchner
                                => 3314,
                        zaufl   => 18219, zauner  => 182, zaunschirm
                                => 11700,
                        zauser  => 18347, zavadil => 18958, zawadzki
                                => 13973,
                        zawrel  => 12524, zaxo    => 8628, zdravkovic
                                => 3986,
                        zeaiter => 10455, zeba    => 5080, zebedin => 10265, zeber   => 18679,
                        zebisch => 22630, zecevic => 5453, zech    => 2144, zecha   => 13447,
                        zechmann
                                => 6856, zechmeister
                                => 1356,
                        zechner => 288, zecic   => 15992, zeciri  => 20073, zecirovic
                                => 18808,
                        zederbauer
                                => 12097, zedler  => 12985,
                        zeferer => 22178, zefferer
                                => 5490,
                        zehentbauer
                                => 19023, zehentmayr
                                => 16246,
                        zehentner
                                => 3902, zehetbauer
                                => 8495,
                        zehetgruber
                                => 6304, zehethofer
                                => 10122,
                        zehetleitner
                                => 22446, zehetmayer
                                => 10520,
                        zehetner
                                => 564, zehnder => 19335,
                        zehner  => 6966, zehnpfennig
                                => 22979,
                        zehrer  => 23664, zeibig  => 19460, zeidler => 1705, zeiger  => 9333,
                        zeiher  => 19549, zeilbauer
                                => 17541,
                        zeilberger
                                => 7518, zeiler  => 1398,
                        zeilermayr
                                => 23531, zeilinger
                                => 630,
                        zeiller => 16036, zeillinger
                                => 12258,
                        zeiml   => 16712, zein    => 6196, zeindl  => 14092, zeiner  => 1894,
                        zeinhofer
                                => 19882, zeininger
                                => 6778,
                        zeinlinger
                                => 16869, zeintl  => 14283,
                        zeinzinger
                                => 14966, zeiringer
                                => 6109,
                        zeise   => 10606, zeisel  => 13028, zeiselberger
                                => 21099,
                        zeiser  => 9326, zeising => 11485, zeiske  => 18485, zeisler => 16909,
                        zeiss   => 12617, zeissl  => 21155, zeissler
                                => 21393,
                        zeitelberger
                                => 21500, zeitelhofer
                                => 21587,
                        zeitlberger
                                => 11699, zeitler => 2546,
                        zeitlhofer
                                => 3919, zeitlinger
                                => 9130,
                        zeitz   => 5548, zekaj   => 12547, zekan   => 16429, zekic   => 15522,
                        zekiri  => 9712, zelder  => 22580, zelenka => 4524, zeleny  => 16632,
                        zelger  => 9571, zeljkovic
                                => 17370,
                        zell    => 5126, zeller  => 786, zellhofer
                                => 2346,
                        zellinger
                                => 7743, zellmann
                                => 19685,
                        zellmer => 10800, zellner => 4907, zellnig => 15443, zelmer  => 23921,
                        zelzer  => 11222, zeman   => 7474, zemanek => 9765, zemann  => 3649,
                        zemke   => 6106, zemsauer
                                => 13955,
                        zendeli => 9814, zender  => 11975, zenelaj => 16820, zeneli  => 5918,
                        zenger  => 12889, zengerer
                                => 5734,
                        zengerle
                                => 17291, zengerling
                                => 17626,
                        zengin  => 1781, zenke   => 15742, zenker  => 2856, zenkl   => 16430,
                        zenku   => 16672, zenner  => 6609, zentgraf
                                => 8319,
                        zentner => 11064, zenuni  => 8225, zenz    => 695, zeppenfeld
                                => 16599,
                        zeppetzauer
                                => 10310, zeqiraj => 24234,
                        zeqiri  => 4398, zerbe   => 6406, zerbst  => 23975, zeric   => 16759,
                        zerlauth
                                => 9304, zernig  => 5309,
                        zerza   => 12663, zett    => 6151, zettel  => 4390, zettl   => 1588,
                        zettler => 15022, zetzmann
                                => 23782,
                        zetzsche
                                => 11416, zeuch   => 19883,
                        zeugner => 23375, zeugswetter
                                => 16785,
                        zeuner  => 8080, zeybek  => 10329, zeyen   => 24291, zeyrek  => 20259,
                        zezula  => 18306, zhuta   => 16837, ziberi  => 16957, zibusch => 21874,
                        zickert => 23436, zickler => 12392, zidek   => 18733, ziebarth
                                => 11130,
                        ziebell => 13075, ziegelwagner
                                => 17172,
                        ziegelwanger
                                => 11565, ziegenbalg
                                => 23809,
                        ziegenbein
                                => 23202, ziegenhagen
                                => 19857,
                        zieger  => 4422, ziegerhofer
                                => 5808,
                        ziegert => 11385, ziegler => 200, ziegner => 12243, ziehe   => 21169,
                        zieher  => 10617, ziehm   => 10782, zielinski
                                => 2808,
                        zielke  => 2259, zielonka
                                => 13236,
                        ziemann => 3390, ziemer  => 5794, ziemke  => 17377, ziems   => 10012,
                        ziener  => 20164, zienert => 18104, ziepl   => 16810, zierer  => 11007,
                        zierfuss
                                => 20347, ziergoi => 22242,
                        zierhofer
                                => 8356, zierhut => 16467,
                        zierke  => 20208, zierl   => 6855, zierler => 2821, zierlinger
                                => 13822,
                        ziermann
                                => 13649, zierold => 17687,
                        ziervogl
                                => 22952, zieschang
                                => 23215,
                        ziesche => 14321, ziese   => 13340, zieserl => 18071, zieske  => 24421,
                        ziesler => 16032, zietlow => 19680, zietz   => 17042, zikeli  => 20261,
                        zikic   => 18025, zilch   => 16178, zilic   => 11187, ziller  => 5364,
                        zilles  => 24216, zillig  => 22093, zillinger
                                => 5640,
                        zillmann
                                => 11266, zillmer => 23189,
                        zillner => 7498, zimmel  => 2272, zimmer  => 251, zimmerbauer
                                => 13119,
                        zimmerebner
                                => 18558, zimmerer
                                => 6703,
                        zimmerl => 4987, zimmerling
                                => 13011,
                        zimmermann
                                => 40, zimny   => 18299,
                        zimpel  => 10422, zindel  => 22209, zindler => 22849, zineder => 10652,
                        zinganell
                                => 20490, zingerle
                                => 6740,
                        zinggl  => 18067, zingl   => 3776, zingler => 13557, zinhobl => 21910,
                        ziniel  => 14829, zink    => 1402, zinke   => 3469, zinkl   => 7193,
                        zinn    => 4795, zinnebner
                                => 21753,
                        zinnecker
                                => 20941, zinner  => 5169,
                        zinniel => 18659, zinocker
                                => 18457,
                        zinser  => 11745, zinsmeister
                                => 17137,
                        zintel  => 22666, zinterl => 19217, zintl   => 11225, ziolkowski
                                => 23077,
                        zipfel  => 5612, zippel  => 7427, zipper  => 20443, zipperle
                                => 19855,
                        zippusch
                                => 6434, zirbisegger
                                => 23061,
                        zirkel  => 15961, zirkl   => 8823, zirknitzer
                                => 8409,
                        zirngast
                                => 2719, zirngibl
                                => 10795,
                        zirnstein
                                => 24321, zischka => 14899,
                        zischkin
                                => 17386, zisler  => 22119,
                        zisser  => 2698, zistler => 21574, zitterer
                                => 22012,
                        zitterl => 17133, zittlau => 17240, zitz    => 2492, zitzelsberger
                                => 11431,
                        zitzenbacher
                                => 18675, zitzler => 16916,
                        zitzmann
                                => 5135, zivanovic
                                => 1458,
                        zivic   => 14725, zivkovic
                                => 549,
                        zivojinovic
                                => 10981, zivotic => 5758,
                        zizak   => 21796, zlabinger
                                => 4690,
                        zlanabitnig
                                => 15776, zlatic  => 5873,
                        zlattinger
                                => 21676, zlobl   => 7201,
                        zmolnig => 17829, zmugg   => 4046, znidar  => 10705, zobel   => 2810,
                        zobernig
                                => 13149, zobinger
                                => 22591,
                        zobl    => 5034, zoch    => 8195, zochbauer
                                => 3990,
                        zocher  => 6430, zochinger
                                => 14625,
                        zochling
                                => 1406, zochmann
                                => 16394,
                        zochmeister
                                => 13803, zockt   => 23783,
                        zoder   => 11734, zoechbauer
                                => 23476,
                        zoehrer => 10975, zoellner
                                => 20367,
                        zogaj   => 8962, zoger   => 17615, zoggeler
                                => 20876,
                        zoglauer
                                => 16592, zogsberger
                                => 18263,
                        zohrer  => 774, zoidl   => 9091, zoister => 11552, zoitl   => 13353,
                        zojer   => 7976, zoller  => 2406, zolles  => 17806, zollner => 2243,
                        zopf    => 3837, zoppel  => 21984, zoppoth => 15001, zoric   => 18953,
                        zorlu   => 6543, zorn    => 1589, zorner  => 12420, zornow  => 21208,
                        zorweg  => 14923, zorzi   => 8237, zoscher => 9474, zoschke => 18377,
                        zosel   => 23137, zotsch  => 7879, zott    => 7122, zotter  => 945,
                        zottl   => 3121, zottler => 7939, zoubek  => 15118, zovko   => 17329,
                        zraunig => 5055, zschau  => 15614, zschiesche
                                => 16406,
                        zschocke
                                => 20657, zsifkovits
                                => 8539,
                        zsivkovits
                                => 15636, zuber   => 4113,
                        zuchner => 23677, zuckerstatter
                                => 16367,
                        zudrell => 11468, zuhlke  => 3812, zuhlsdorf
                                => 22434,
                        zukaj   => 8207, zukanovic
                                => 18788,
                        zukic   => 7370, zuleger => 23494, zulehner
                                => 15036,
                        zulic   => 6312, zuljevic
                                => 13369,
                        zumpe   => 16443, zumpf   => 19070, zumtobel
                                => 8948,
                        zundel  => 7450, zundorf => 15689, zunic   => 7109, zunker  => 16108,
                        zupan   => 8960, zupanc  => 13552, zupancic
                                => 16789,
                        zuparic => 11033, zurek   => 10479, zuschnig
                                => 10577,
                        zuser   => 5937, zussner => 11190, zuther  => 14327, zwanzger
                                => 11755,
                        zwarg   => 24159, zwatz   => 12935, zweckmayr
                                => 23227,
                        zweibrot
                                => 8499, zweidick
                                => 21736,
                        zweiler => 13568, zweimuller
                                => 3287,
                        zwerger => 8930, zwerina => 21845, zwetti  => 14704, zwettler
                                => 4452,
                        zweytick
                                => 23018, zwick   => 4445,
                        zwicker => 12714, zwickl  => 4290, zwicklhuber
                                => 16923,
                        zwiefelhofer
                                => 16934, zwilling
                                => 12068,
                        zwinger => 16650, zwingler
                                => 22396,
                        zwingmann
                                => 17930, zwinz   => 5610,
                        zwirchmayr
                                => 22882, zwirn   => 13410,
                        zwirner => 19032, zwischenberger
                                => 8042,
                        zwischenbrugger
                                => 9855, zwitkovits
                                => 15764,
                        zwitter => 16706, zwolfer => 6233, zyberi  => 21261, zylka   => 23519,
                        zymeri  => 23097
                      },
  german_wikipedia => {
                        100       => 390, 1000      => 1142, 1100      => 5623,
                        1200      => 2971, 1250      => 8086, 1300      => 4540, 1400      => 4998,
                        1500      => 2112, 1600      => 3708, 1650      => 8087, 1700      => 4109,
                        1720      => 8779, 1730      => 7668, 1740      => 8722, 1750      => 6805,
                        1760      => 8002, 1763      => 8852, 1765      => 8780, 1766      => 8356,
                        1770      => 7803, 1774      => 8465, 1775      => 8466, 1777      => 8924,
                        1780      => 6310, 1781      => 8467, 1782      => 8584, 1783      => 7486,
                        1784      => 8410, 1785      => 7412, 1786      => 8519, 1787      => 7669,
                        1788      => 8853, 1789      => 6235, 1790      => 4982, 1791      => 7757,
                        1792      => 6842, 1793      => 6373, 1794      => 7581, 1795      => 7845,
                        1796      => 7286, 1797      => 7716, 1798      => 6548, 1799      => 7896,
                        1800      => 2555, 1801      => 5599, 1802      => 5974, 1803      => 5856,
                        1804      => 7582, 1805      => 6604, 1806      => 5036, 1807      => 6581,
                        1808      => 6051, 1809      => 5600, "180deg"  => 22533, 1810      => 4642,
                        1811      => 5577, 1812      => 5395, 1813      => 4798, 1814      => 4504,
                        1815      => 4118, 1816      => 5134, 1817      => 5881, 1818      => 5016,
                        1819      => 5803, 1820      => 4780, "1820er"  => 23719, 1821      => 5037,
                        1822      => 5776, 1823      => 5975, 1824      => 4913, 1825      => 5396,
                        1826      => 6013, 1827      => 6737, 1828      => 5601, 1829      => 5578,
                        1830      => 3567, "1830er"  => 12453, 1831      => 5264, 1832      => 4999,
                        1833      => 4896, 1834      => 5054, 1835      => 4505, 1836      => 4268,
                        1837      => 4329, 1838      => 5431, 1839      => 4846, 1840      => 3423,
                        "1840er"  => 15951, 1841      => 4735, 1842      => 4392, 1843      => 4330,
                        1844      => 4356, 1845      => 3773, 1846      => 4209, 1847      => 4438,
                        1848      => 2469, 1849      => 3676, 1850      => 2088, "1850er"  => 13580,
                        1851      => 3975, 1852      => 4210, 1853      => 4157, 1854      => 3862,
                        1855      => 3683, 1856      => 4128, 1857      => 4026, 1858      => 3844,
                        1859      => 4027, 1860      => 2633, "1860er"  => 10782, 1861      => 3398,
                        1862      => 3531, 1863      => 3730, 1864      => 3462, 1865      => 3139,
                        1866      => 3192, 1867      => 3412, 1868      => 3476, 1869      => 3129,
                        1870      => 2494, "1870er"  => 10505, 1871      => 2810, 1872      => 2972,
                        1873      => 3375, 1874      => 3314, 1875      => 2949, 1876      => 3498,
                        1877      => 3557, 1878      => 3547, 1879      => 3540, 1880      => 2395,
                        "1880er"  => 8998, 1881      => 3031, 1882      => 3181, 1883      => 3112,
                        1884      => 3503, 1885      => 2816, 1886      => 3023, 1887      => 3113,
                        1888      => 2760, 1889      => 2731, 1890      => 2214, "1890er"  => 10412,
                        1891      => 3032, 1892      => 2787, 1893      => 2896, 1894      => 2849,
                        1895      => 2545, 1896      => 2552, 1897      => 2416, 1898      => 2326,
                        1899      => 2364, 1900      => 986, 1901      => 2151, 1902      => 2113,
                        1903      => 2187, 1904      => 2063, 1905      => 1850, 1906      => 1963,
                        1907      => 1897, 1908      => 1867, 1909      => 1948, 1910      => 1351,
                        "1910er"  => 24292, 1911      => 1789, 1912      => 1561, 1913      => 1594,
                        1914      => 1303, 1915      => 2104, 1916      => 2149, 1917      => 1865,
                        1918      => 1245, 1919      => 1240, 1920      => 1186, "1920er"  => 2212,
                        1921      => 1509, 1922      => 1670, 1923      => 1620, 1924      => 1500,
                        1925      => 1373, 1926      => 1674, 1927      => 1480, 1928      => 1325,
                        1929      => 1310, 1930      => 1125, "1930er"  => 1973, 1931      => 1573,
                        1932      => 1419, 1933      => 742, 1934      => 1179, 1935      => 1251,
                        1936      => 1269, 1937      => 1267, 1938      => 1006, 1939      => 903,
                        1940      => 1113, "1940er"  => 4781, 1941      => 1208, 1942      => 1108,
                        1943      => 1154, 1944      => 923, 1945      => 383, 1946      => 974,
                        1947      => 1229, 1948      => 1155, 1949      => 1143, 1950      => 912,
                        "1950er"  => 1317, "1950ern" => 21157, 1951      => 1302, 1952      => 1204,
                        1953      => 1299, 1954      => 1210, 1955      => 1234, 1956      => 1164,
                        1957      => 1238, 1958      => 1162, 1959      => 1202, 1960      => 898,
                        "1960er"  => 1038, "1960ern" => 22060, 1961      => 1109, 1962      => 1072,
                        1963      => 1103, 1964      => 1116, 1965      => 1014, 1966      => 1126,
                        1967      => 1077, 1968      => 973, 1969      => 975, 1970      => 788,
                        "1970er"  => 958, "1970ern" => 12323, 1971      => 895, 1972      => 807,
                        1973      => 978, 1974      => 867, 1975      => 921, 1976      => 1024,
                        1977      => 1093, 1978      => 904, 1979      => 989, 1980      => 840,
                        "1980er"  => 994, "1980ern" => 15528, 1981      => 1000, 1982      => 919,
                        1983      => 953, 1984      => 889, 1985      => 803, 1986      => 821,
                        1987      => 798, 1988      => 707, 1989      => 637, 1990      => 492,
                        "1990er"  => 1007, "1990ern" => 14888, 1991      => 598, 1992      => 614,
                        1993      => 605, 1994      => 596, 1995      => 588, 1996      => 576,
                        1997      => 555, 1998      => 538, 1999      => 496, 200       => 728,
                        2000      => 323, "2000er"  => 5828, 2001      => 423, 2002      => 434,
                        2003      => 415, 2004      => 351, 2005      => 303, 2006      => 270,
                        2007      => 264, 2008      => 260, 2009      => 261, 2010      => 244,
                        "2010er"  => 11265, 2011      => 234, 2012      => 255, 2013      => 267,
                        2014      => 271, 2015      => 269, 2016      => 289, 2017      => 300,
                        2018      => 321, 2019      => 345, 2020      => 396, 2021      => 1286,
                        2022      => 7536, 2500      => 5961, 3000      => 2626, "30deg"   => 22534,
                        "360deg"  => 26290, 4000      => 4694, "45deg"   => 21158, 5000      => 3451,
                        6000      => 5700, "60er"    => 8854, 7000      => 8040, "70er"    => 8855,
                        8000      => 8654, "80er"    => 8248, "90deg"   => 14686, aachen    => 3499,
                        aachener  => 9742, aalen     => 23720, aarau     => 16448, aargau    => 17839,
                        aaron     => 11465, ab        => 77, abbas     => 26291, abbau     => 4173,
                        abbauen   => 23120, abberufen => 24945, abbey     => 19135, abbild    => 12324,
                        abbilden  => 17840, abbildet  => 26292, abbildung => 3753, abbildungen
                                  => 5090,
                        abbott    => 20284, abbrach   => 22061, abbrannte => 23721, abbrechen => 10506,
                        abbruch   => 4723, abdankung => 18451, abdecken  => 14288, abdeckt   => 27096,
                        abdeckung => 12826, abdomen   => 27968, abdruck   => 16681, abdullah  => 19852,
                        abend     => 1776, abendblatt
                                  => 28867,
                        abende    => 28868, abendessen
                                  => 12714,
                        abendland => 28869, abendlichen
                                  => 27969,
                        abendmahl => 18133, abends    => 4275, abendstunden
                                  => 28870,
                        abenteuer => 4220, abenteuerliche
                                  => 23722,
                        abenteuern
                                  => 16958, abenteurer
                                  => 19853,
                        aber      => 55, aberdeen  => 21597, aberkannt => 11696, abermals  => 3863,
                        abfahren  => 26293, abfahrt   => 6014, abfahrten => 22535, abfall    => 12454,
                        abfalle   => 15952, abfallen  => 17514, abfallende
                                  => 22062,
                        abfallenden
                                  => 13581, abfallt   => 18792,
                        abfassung => 26294, abfertigung
                                  => 28871,
                        abfeuern  => 27097, abfinden  => 24293, abfindung => 22063, abfliessen
                                  => 26295,
                        abfluss   => 7054, abflusse  => 27970, abflussmenge
                                  => 29861,
                        abfolge   => 9743, abfuhren  => 29862, abgab     => 25587, abgabe    => 8088,
                        abgaben   => 6341, abgang    => 14289, abgase    => 28872, abgeandert
                                  => 13438,
                        abgebaut  => 2999, abgeben   => 5377, abgebildet
                                  => 4069,
                        abgebildete
                                  => 24294, abgebildeten
                                  => 12325,
                        abgebrannt
                                  => 13284, abgebrannten
                                  => 26296,
                        abgebremst
                                  => 28873, abgebrochen
                                  => 2163,
                        abgebrochene
                                  => 24946, abgebrochenen
                                  => 17515,
                        abgedeckt => 8003, abgedichtet
                                  => 27098,
                        abgedruckt
                                  => 9309, abgefangen
                                  => 16959,
                        abgefasst => 24947, abgefertigt
                                  => 22064,
                        abgefeuert
                                  => 16188, abgeflacht
                                  => 8856,
                        abgeflachten
                                  => 13942, abgefragt => 21598,
                        abgefuhrt => 12566, abgefullt => 25588, abgegeben => 3853, abgegebenen
                                  => 8585,
                        abgegrenzt
                                  => 11068, abgegrenzte
                                  => 29863,
                        abgegrenzten
                                  => 28874, abgehalten
                                  => 3864,
                        abgehoben => 27099, abgeholt  => 15529, abgeholzt => 21159, abgekauft => 28875,
                        abgekuhlt => 25589, abgekurzt => 9744, abgelagert
                                  => 27100,
                        abgelassen
                                  => 24295, abgelaufen
                                  => 18134,
                        abgelegene
                                  => 19136, abgelegenen
                                  => 11170,
                        abgelegt  => 5397, abgelegten
                                  => 29864,
                        abgelehnt => 2193, abgeleitet
                                  => 3452,
                        abgeleitete
                                  => 20285, abgeleiteten
                                  => 18452,
                        abgelenkt => 16682, abgelesen => 21599, abgeliefert
                                  => 10080,
                        abgelost  => 3483, abgemischt
                                  => 27101,
                        abgeneigt => 29865, abgenommen
                                  => 5378,
                        abgeordnete
                                  => 4643, abgeordneten
                                  => 3351,
                        abgeordnetenhaus
                                  => 12567, abgeordnetenkammer
                                  => 22065,
                        abgeordneter
                                  => 3826, abgerechnet
                                  => 26297,
                        abgeriegelt
                                  => 25590, abgerissen
                                  => 1336,
                        abgerissene
                                  => 24296, abgerissenen
                                  => 20286,
                        abgerufen => 1389, abgerundet
                                  => 7487,
                        abgerundete
                                  => 19137, abgerundeten
                                  => 14290,
                        abgesagt  => 6698, abgeschafft
                                  => 5242,
                        abgeschaltet
                                  => 11171, abgeschieden
                                  => 26298,
                        abgeschiedenen
                                  => 27971, abgeschiedenheit
                                  => 19138,
                        abgeschirmt
                                  => 27102, abgeschlagen
                                  => 12193,
                        abgeschlossen
                                  => 1052, abgeschlossene
                                  => 13132,
                        abgeschlossenen
                                  => 12973, abgeschnitten
                                  => 8520,
                        abgeschoben
                                  => 19465, abgeschossen
                                  => 14687,
                        abgeschragt
                                  => 24948, abgeschrieben
                                  => 20702,
                        abgeschwacht
                                  => 19854, abgesehen => 2925,
                        abgesenkt => 13285, abgesetzt => 3931, abgesetzte
                                  => 29866,
                        abgesetzten
                                  => 18793, abgesichert
                                  => 15311,
                        abgespalten
                                  => 16960, abgesperrt
                                  => 29867,
                        abgespielt
                                  => 21600, abgesprochen
                                  => 24297,
                        abgestellt
                                  => 7244, abgestiegen
                                  => 16189,
                        abgestimmt
                                  => 7717, abgestimmte
                                  => 24949,
                        abgestuft => 24298, abgestutzt
                                  => 19855,
                        abgetragen
                                  => 4014, abgetrennt
                                  => 5107,
                        abgetrennte
                                  => 28876, abgetrennten
                                  => 21601,
                        abgetreten
                                  => 23723, abgewandelt
                                  => 28877,
                        abgewandelter
                                  => 28878, abgewehrt => 17516,
                        abgewendet
                                  => 17517, abgewichen
                                  => 27103,
                        abgewickelt
                                  => 9058, abgewiesen
                                  => 8521,
                        abgeworfen
                                  => 14688, abgewrackt
                                  => 18794,
                        abgezogen => 8004, abgibt    => 27104, abgleich  => 27972, abgrenzen => 27973,
                        abgrenzung
                                  => 4759, abgrund   => 16449,
                        abhalten  => 12715, abhandlung
                                  => 11069,
                        abhandlungen
                                  => 8249, abhang    => 14491,
                        abhangen  => 14492, abhangig  => 1738, abhangige => 20287, abhangigen
                                  => 17518,
                        abhangigkeit
                                  => 4087, abhangigkeiten
                                  => 19466,
                        abhangt   => 11466, abheben   => 14889, abhilfe   => 19139, abholen   => 16961,
                        abholzung => 22536, abigail   => 27974, abitur    => 2852, abiturienten
                                  => 27975,
                        abkehr    => 12974, abkommandiert
                                  => 22537,
                        abkommen  => 4939, abkommens => 19467, abkuhlen  => 23724, abkuhlung => 24299,
                        abkurzung => 6311, abkurzungen
                                  => 24300,
                        ablage    => 23725, ablagerung
                                  => 28879,
                        ablagerungen
                                  => 12326, ablauf    => 3106,
                        ablaufe   => 13943, ablaufen  => 12327, ablauft   => 27105, ableben   => 9993,
                        ablegen   => 8301, ableger   => 12827, ablegt    => 28880, ablegte   => 23121,
                        ablehnen  => 15094, ablehnend => 15095, ablehnende
                                  => 29868,
                        ablehnt   => 14291, ablehnte  => 8089, ablehnten => 16190, ablehnung => 4376,
                        ableiten  => 8781, ableitet  => 16683, ableitung => 9486, ableitungen
                                  => 22066,
                        ablenken  => 26299, ablenkung => 16684, ablesbar  => 28881, ablesen   => 13582,
                        ablieferung
                                  => 17841, ablose    => 28882,
                        ablosen   => 17842, ablosesumme
                                  => 14292,
                        abloste   => 24301, ablosung  => 8357, abmessungen
                                  => 6940,
                        abnahm    => 24302, abnahme   => 10081, abnehmen  => 14689, abnehmenden
                                  => 25591,
                        abnehmender
                                  => 27106, abnehmer  => 14293,
                        abneigung => 11357, abnimmt   => 15953, abonnement
                                  => 22538,
                        abonnenten
                                  => 11467, abordnung => 29869,
                        aborigines
                                  => 12194, about     => 16962,
                        abraham   => 6605, abrahams  => 23726, abrechnung
                                  => 13583,
                        abreise   => 9399, abreisen  => 24303, abreissen => 13742, abriss    => 3430,
                        abruf     => 26300, abrufbar  => 13439, abrufen   => 24950, abrupt    => 12195,
                        absage    => 14091, absagen   => 19856, absatz    => 4529, absatzmarkt
                                  => 28883,
                        abschaffung
                                  => 6806, abschalten
                                  => 27107,
                        abschaltung
                                  => 26301, abschatzung
                                  => 23727,
                        abschied  => 4799, abschiedsbrief
                                  => 23122,
                        abschiessen
                                  => 29870, abschliessen
                                  => 9310,
                        abschliessend
                                  => 6807, abschliessende
                                  => 11070,
                        abschliessenden
                                  => 9487, abschliesst
                                  => 21602,
                        abschloss => 6407, abschluss => 938, abschlussbericht
                                  => 17519,
                        abschlusse
                                  => 20288, abschlussprufung
                                  => 18453,
                        abschlussstein
                                  => 29871, abschlusstabelle
                                  => 24951,
                        abschneiden
                                  => 18135, abschnitt => 920,
                        abschnitte
                                  => 3887, abschnitten
                                  => 6438,
                        abschnittes
                                  => 25592, abschnitts
                                  => 11071,
                        abschnittsweise
                                  => 17520, abschreckung
                                  => 22067,
                        abschrift => 17238, abschriften
                                  => 20289,
                        abschuss  => 18136, absehbar  => 16963, absehbarer
                                  => 29872,
                        abseits   => 4158, absender  => 18137, absenkung => 20703, absetzen  => 10595,
                        absetzung => 10507, absicherung
                                  => 12828,
                        absicht   => 3932, absichten => 9400, absichtlich
                                  => 9648,
                        absinken  => 23123, absitzen  => 29873, absolut   => 7160, absolute  => 4439,
                        absoluten => 7014, absoluter => 15096, absolutes => 28884, absolventen
                                  => 9247,
                        absolvieren
                                  => 5804, absolviert
                                  => 3718,
                        absolvierte
                                  => 790, absolvierten
                                  => 11944,
                        absorbiert
                                  => 19857, absorption
                                  => 20704,
                        abspaltung
                                  => 12455, abspann   => 11172,
                        abspielen => 16191, absprache => 13944, absprachen
                                  => 24304,
                        abstammung
                                  => 4276, abstand   => 1630,
                        abstande  => 16964, abstanden => 4569, abstehend => 27108, absteigen => 6374,
                        absteigenden
                                  => 28885, absteiger => 8586,
                        abstellen => 23124, absterben => 17521, abstieg   => 2495, abstiegen => 26302,
                        abstiegskampf
                                  => 27109, abstiegsplatz
                                  => 28886,
                        abstiegsrunde
                                  => 16685, abstimmen => 18454,
                        abstimmung
                                  => 3913, abstimmungen
                                  => 19468,
                        abstinenz => 29874, abstrakt  => 19140, abstrakte => 11818, abstrakten
                                  => 14294,
                        abstrakter
                                  => 28887, abstraktion
                                  => 24952,
                        abstufung => 27976, absturz   => 7954, absurd    => 22539, absurden  => 24305,
                        abtei     => 4588, abteikirche
                                  => 20705,
                        abteil    => 29875, abteile   => 24953, abteilung => 1192, abteilungen
                                  => 4183,
                        abteilungsleiter
                                  => 10783, abtes     => 20290,
                        abtissin  => 9401, abtragen  => 28888, abtragung => 27110, abtransport
                                  => 15530,
                        abtransportiert
                                  => 15312, abtreibung
                                  => 19858,
                        abtrennung
                                  => 15531, abtreten  => 22068,
                        abtretung => 25593, abwagung  => 29876, abwanderung
                                  => 10413,
                        abwandlung
                                  => 16965, abwandlungen
                                  => 26303,
                        abwarts   => 10962, abwasser  => 11468, abwechseln
                                  => 23125,
                        abwechselnd
                                  => 5882, abwechslung
                                  => 20291,
                        abwechslungsreich
                                  => 25594,
                        abwechslungsreiche
                                  => 23728,
                        abwehr    => 6772, abwehren  => 18455, abwehrspieler
                                  => 15097,
                        abweichen => 11173, abweichend
                                  => 9059,
                        abweichende
                                  => 8925, abweichenden
                                  => 14295,
                        abweicht  => 18795, abweichung
                                  => 9994,
                        abweichungen
                                  => 6738, abwenden  => 22540,
                        abwendung => 24306, abwertend => 28889, abwertung => 24307, abwesend  => 27111,
                        abwesenheit
                                  => 4377, abwicklung
                                  => 12456,
                        abzeichen => 11945, abziehen  => 18138, abzubauen => 18796, abzubilden
                                  => 26304,
                        abzubrechen
                                  => 17239, abzubringen
                                  => 23729,
                        abzudecken
                                  => 29877, abzufangen
                                  => 28890,
                        abzug     => 5070, abzugeben => 12328, abzugrenzen
                                  => 14890,
                        abzuhalten
                                  => 10508, abzuholen => 24954,
                        abzulegen => 16450, abzulehnen
                                  => 21603,
                        abzuleiten
                                  => 19469, abzulenken
                                  => 17522,
                        abzunehmen
                                  => 21160, abzureissen
                                  => 19470,
                        abzuschaffen
                                  => 28891, abzuschliessen
                                  => 15532,
                        abzusehen => 24308, abzusetzen
                                  => 17843,
                        abzusichern
                                  => 25595, abzustimmen
                                  => 24955,
                        abzuwarten
                                  => 18797, abzuwehren
                                  => 24309,
                        abzuwenden
                                  => 24310, abzweig   => 13133,
                        abzweigt  => 20706, abzweigung
                                  => 20292,
                        academia  => 24311, academie  => 18456, academy   => 5527, accademia => 24312,
                        access    => 22541, accessoires
                                  => 29878,
                        account   => 29879, achse     => 4028, achsen    => 5211, achsenmachte
                                  => 27977,
                        achslast  => 27978, acht      => 355, achte     => 9248, achteckige
                                  => 19859,
                        achteckigen
                                  => 15738, achtelfinale
                                  => 7129,
                        achten    => 3193, achter    => 9311, achterbahn
                                  => 25596,
                        achtet    => 24956, achtete   => 26305, achtmal   => 13134, achtung   => 11174,
                        achtzehn  => 13743, achtzehnten
                                  => 26306,
                        achtzig   => 19471, achtziger => 16686, ackerbau  => 6236, ackerflache
                                  => 22069,
                        ackerflachen
                                  => 21161, ackerland => 8723,
                        ackern    => 18457, acres     => 23730, action    => 10322, adapter   => 23126,
                        adaptiert => 11697, adaptierte
                                  => 25597,
                        adaption  => 16687, adaptionen
                                  => 29880,
                        adaquat   => 21604, adaquate  => 24957, addiert   => 11819, addition  => 15313,
                        adel      => 4378, adelaide  => 14493, adele     => 15098, adelige   => 10864,
                        adeligen  => 8724, adeliger  => 21162, adels     => 7628, adelsfamilie
                                  => 10596,
                        adelsfamilien
                                  => 15954, adelsgeschlecht
                                  => 14092,
                        adelsgeschlechter
                                  => 29881,
                        adelsstand
                                  => 17240, adelstitel
                                  => 17241,
                        adenauer  => 20707, adern     => 18458, adjektiv  => 14891, adjektive => 28892,
                        adjutant  => 14892, adlers    => 28893, adlige    => 11175, adligen   => 6670,
                        adliger   => 19141, administration
                                  => 11176,
                        administrativ
                                  => 20293, administrative
                                  => 10414,
                        administrativen
                                  => 14296, administrator
                                  => 15739,
                        admiral   => 8857, admiralitat
                                  => 21163,
                        adoptiert => 15955, adoptierte
                                  => 19472,
                        adoption  => 16688, adorno    => 22542, adressaten
                                  => 22070,
                        adressbuch
                                  => 9909, adresse   => 4506,
                        adressen  => 11358, adressiert
                                  => 27112,
                        adressierung
                                  => 28894, adria     => 17242,
                        adulte    => 23731, adulten   => 7897, advance   => 28895, advanced  => 19860,
                        advent    => 18139, adventure => 23127, adventures
                                  => 20294,
                        advisory  => 21164, aerodynamisch
                                  => 27113,
                        affairs   => 15956, affare    => 3901, affaren   => 14893, affinitat => 23128,
                        afghanische
                                  => 23129, afghanischen
                                  => 24313,
                        afghanistan
                                  => 8250, africa    => 12568,
                        african   => 17523, afrika    => 2458, afrikaner => 19861, afrikanische
                                  => 9567,
                        afrikanischen
                                  => 5624, afrikanischer
                                  => 16689,
                        afrikas   => 9312, afroamerikaner
                                  => 19473,
                        afroamerikanern
                                  => 23130, afroamerikanischen
                                  => 25598,
                        after     => 20708, afterflosse
                                  => 13440,
                        again     => 21605, against   => 29882, agatha    => 21165, agency    => 14894,
                        agenda    => 20709, agent     => 9402, agenten   => 6941, agentin   => 24314,
                        agentur   => 6495, agenturen => 20295, agglomeration
                                  => 24315,
                        aggression
                                  => 20296, aggressiv => 9995,
                        aggressive
                                  => 13286, aggressiven
                                  => 13744,
                        aggressiver
                                  => 27979, aggressivitat
                                  => 25599,
                        agide     => 28896, agieren   => 9834, agierende => 28897, agierenden
                                  => 16966,
                        agiert    => 11469, agierte   => 9189, agierten  => 24958, agios     => 22071,
                        agitation => 20297, agrarisch => 27980, agrarwirtschaft
                                  => 28898,
                        agricola  => 28899, agypten   => 3194, agyptens  => 14895, agypter   => 18798,
                        agyptische
                                  => 10230, agyptischen
                                  => 5903,
                        agyptischer
                                  => 25600, ahmad     => 16690,
                        ahmed     => 16192, ahneln    => 6462, ahnelt    => 5322, ahnelte   => 16691,
                        ahnen     => 10509, ahnlich   => 1012, ahnliche  => 2143, ahnlichem => 12569,
                        ahnlichen => 3463, ahnlicher => 6151, ahnliches => 5172, ahnlichkeit
                                  => 6177,
                        ahnlichkeiten
                                  => 8358, ahnung    => 14297,
                        ahrchen   => 22543, ahren     => 24959, airbus    => 14690, aircraft  => 18799,
                        aires     => 9745, airlines  => 8782, airport   => 7055, airways   => 17243,
                        akademie  => 1361, akademien => 12975, akademiker
                                  => 24960,
                        akademische
                                  => 6375, akademischen
                                  => 4413,
                        akademischer
                                  => 14298, akira     => 23732,
                        akkordeon => 23733, akkreditiert
                                  => 24316,
                        akkumulatoren
                                  => 27981, akropolis => 27982,
                        akte      => 8152, akten     => 4940, akteur    => 16967, akteure   => 6699,
                        akteuren  => 18140, aktie     => 16968, aktien    => 6015, aktiengesellschaft
                                  => 7015,
                        aktion    => 2830, aktionare => 16692, aktionaren
                                  => 24961,
                        aktionen  => 3731, aktiv     => 685, aktive    => 2066, aktiven   => 1794,
                        aktiver   => 5650, aktives   => 11584, aktivieren
                                  => 17844,
                        aktiviert => 6634, aktivierung
                                  => 12570,
                        aktivist  => 23734, aktivisten
                                  => 8587,
                        aktivitat => 4983, aktivitaten
                                  => 1495,
                        aktualisiert
                                  => 9190, aktualisierte
                                  => 15740,
                        aktualisierung
                                  => 17244, aktualitat
                                  => 18800,
                        aktuell   => 2230, aktuelle  => 2073, aktuellen => 2028, aktueller => 10154,
                        aktuelles => 19142, akustik   => 24317, akustisch => 24318, akustische
                                  => 12976,
                        akustischen
                                  => 14896, akute     => 16193,
                        akuten    => 15741, akuter    => 29883, akzent    => 13135, akzente   => 15314,
                        akzeptabel
                                  => 27114, akzeptanz => 7804,
                        akzeptieren
                                  => 7488, akzeptiert
                                  => 4507,
                        akzeptierte
                                  => 9403, akzeptierten
                                  => 20710,
                        alabama   => 15099, alain     => 13584, alan      => 7718, alarm     => 17245,
                        alarmiert => 16194, alaska    => 10963, albanien  => 8411, albaniens => 19862,
                        albanische
                                  => 22072, albanischen
                                  => 13745,
                        albany    => 15315, alben     => 1955, alberta   => 19143, albertine => 27115,
                        alberto   => 12977, albrechts => 26307, album     => 348, albumcharts
                                  => 9910,
                        albumcover
                                  => 18801, albums    => 2347,
                        albumtitel
                                  => 26308, alchemie  => 27983,
                        alejandro => 24962, alemannia => 21606, alemannischen
                                  => 29884,
                        aleppo    => 27984, alex      => 4240, alexanders
                                  => 16969,
                        alexandre => 14897, alexandria
                                  => 12053,
                        alexei    => 21166, alexis    => 17246, alfonso   => 20298, alfredo   => 24319,
                        algebra   => 18459, algebraische
                                  => 27116,
                        algen     => 12829, algerien  => 11266, algerischen
                                  => 27117,
                        algier    => 21607, algorithmen
                                  => 14494,
                        algorithmus
                                  => 9835, alias     => 11585,
                        alibi     => 14299, alice     => 4230, alicia    => 26309, alien     => 26310,
                        aliens    => 19863, alison    => 19144, alive     => 20299, alkohol   => 4344,
                        alkoholgehalt
                                  => 27985, alkoholiker
                                  => 23131,
                        alkoholkonsum
                                  => 27986, allah     => 24963,
                        allan     => 16693, alle      => 101, allee     => 8195, alleen    => 25601,
                        allegorie => 27118, allegro   => 29885, allein    => 701, alleine   => 2305,
                        alleinerziehende
                                  => 24320, alleinerziehenden
                                  => 27987,
                        alleingang
                                  => 19474, alleinige => 8302,
                        alleinigen
                                  => 16970, alleiniger
                                  => 9313,
                        alleinstehende
                                  => 27988, alleinstellungsmerkmal
                                  => 29886,
                        allem     => 172, allen     => 302, allenfalls
                                  => 11470,
                        aller     => 442, allerdings
                                  => 127,
                        allerheiligen
                                  => 23735, allerlei  => 10682,
                        allermeisten
                                  => 24321, alles     => 755,
                        allesamt  => 6942, allgau    => 16971, allgegenwartig
                                  => 29887,
                        allgemein => 1446, allgemeine
                                  => 1665,
                        allgemeinen
                                  => 1127, allgemeiner
                                  => 7846,
                        allgemeines
                                  => 11946, allgemeinheit
                                  => 13441,
                        alliance  => 11267, allianz   => 6237, alliierte => 11820, alliierten
                                  => 3093,
                        alliierter
                                  => 20711, allison   => 18802,
                        alljahrlich
                                  => 6635, alljahrliche
                                  => 25602,
                        alljahrlichen
                                  => 27119, allmahlich
                                  => 3024,
                        allmahliche
                                  => 26311, allmahlichen
                                  => 24322,
                        allradantrieb
                                  => 16694, allseits  => 27120,
                        allsvenskan
                                  => 28900, alltag    => 3827,
                        alltagliche
                                  => 17845, alltaglichen
                                  => 8725,
                        alltags   => 18460, alltagsleben
                                  => 15957,
                        allzu     => 5976, almanach  => 25603, alonso    => 12196, alpenraum => 27121,
                        alpha     => 13442, alphabet  => 14495, alphabetisch
                                  => 21167,
                        alphabetischer
                                  => 23736, alphabets => 25604,
                        alpine    => 11947, alpinen   => 12197, als       => 13, alsbald   => 11359,
                        also      => 301, altagyptischen
                                  => 27122,
                        altar     => 2410, altarbild => 11586, altarblatt
                                  => 24323,
                        altare    => 9404, altares   => 26312, altarraum => 9060, altars    => 10683,
                        altartisch
                                  => 29888, altbau    => 16972,
                        altdorf   => 26313, alte      => 489, alteingesessenen
                                  => 18141,
                        altem     => 15742, alten     => 294, altenberg => 17524, altenheim => 22544,
                        alter     => 266, altere    => 1599, alteren   => 1203, alterer   => 4402,
                        alteres   => 27123, altern    => 18803, alternativ
                                  => 4879,
                        alternative
                                  => 2667, alternativen
                                  => 5323,
                        alternativer
                                  => 28901, alternde  => 29889,
                        alternden => 27124, alters    => 5358, altersbedingten
                                  => 23737,
                        altersgrenze
                                  => 18804, altersgrunden
                                  => 15958,
                        altersgruppe
                                  => 16195, altersgruppen
                                  => 18805,
                        altersheim
                                  => 16451, altersklasse
                                  => 14691,
                        altersklassen
                                  => 14300, altersstufen
                                  => 22073,
                        altertum  => 18142, altertumer
                                  => 27989,
                        altertumskunde
                                  => 16196, alterung  => 24964,
                        altes     => 5091, alteste   => 1104, altesten  => 1589, altestenrat
                                  => 27990,
                        altester  => 6843, altestes  => 14692, altgriechischen
                                  => 28902,
                        althochdeutschen
                                  => 26314, altmark   => 25605,
                        altona    => 10865, altonaer  => 21168, altstadt  => 2792, aluminium => 7805,
                        alvarez   => 20712, alvaro    => 25606, alvin     => 22545, am        => 33,
                        amalia    => 20713, amanda    => 13136, amateur   => 12978, amateurbereich
                                  => 29890,
                        amateure  => 11471, amateuren => 23132, amateurliga
                                  => 13746,
                        amateurmannschaft
                                  => 29891,
                        amazon    => 17846, amber     => 19475, ambiente  => 21608, ambitionen
                                  => 12198,
                        ambulant  => 24965, ambulante => 19145, ambulanten
                                  => 28903,
                        ameisen   => 16197, amelia    => 21169, america   => 6549, american  => 3107,
                        amerika   => 2465, amerikaner
                                  => 4015,
                        amerikanerin
                                  => 28904, amerikanern
                                  => 10684,
                        amerikanische
                                  => 2366, amerikanischen
                                  => 1169,
                        amerikanischer
                                  => 7670, amerikas  => 11698,
                        amiga     => 28905, aminosauren
                                  => 18143,
                        ammoniak  => 21170, amnestie  => 22074, amnesty   => 29892, amoklauf  => 27991,
                        amphibien => 15100, amphitheater
                                  => 28906,
                        amphoe    => 24324, amplitude => 19864, amputiert => 29893, amsterdam => 4055,
                        amsterdamer
                                  => 18806, amt       => 378,
                        amter     => 3000, amtern    => 7287, amtes     => 3774, amtierende
                                  => 12457,
                        amtierenden
                                  => 10510, amtierender
                                  => 17847,
                        amtierte  => 6773, amtlich   => 9405, amtliche  => 8041, amtlichen => 6700,
                        amtlicher => 26315, amtsantritt
                                  => 11177,
                        amtsbezeichnung
                                  => 28907, amtsbezirk
                                  => 13747,
                        amtsblatt => 15743, amtseinfuhrung
                                  => 9314,
                        amtsfuhrung
                                  => 19865, amtsgericht
                                  => 7955,
                        amtsgerichts
                                  => 19476, amtsgeschafte
                                  => 16973,
                        amtshandlungen
                                  => 26316, amtshaus  => 18807,
                        amtsinhaber
                                  => 12199, amtsperiode
                                  => 15316,
                        amtssitz  => 15959, amtssprache
                                  => 19146,
                        amtstrager
                                  => 16974, amtsvorganger
                                  => 28908,
                        amtszeit  => 1368, amtszeiten
                                  => 16695,
                        an        => 23, analog    => 5155, analoge   => 14301, analogen  => 14302,
                        analogie  => 19147, analyse   => 2345, analysen  => 5929, analysieren
                                  => 13748,
                        analysiert
                                  => 8588, analysierte
                                  => 29894,
                        analysis  => 15533, analysten => 29895, analytisch
                                  => 27992,
                        analytische
                                  => 18144, analytischen
                                  => 19866,
                        anarchie  => 27125, anarchisten
                                  => 22546,
                        anatolien => 24966, anatomie  => 9746, anatomische
                                  => 24967,
                        anatomischen
                                  => 19867, anbau     => 2580,
                        anbauflache
                                  => 21171, anbaus    => 22075,
                        anbauten  => 9127, anbeginn  => 23133, anbetracht
                                  => 17848,
                        anbetung  => 19148, anbieten  => 6774, anbieter  => 5156, anbietern => 18145,
                        anbietet  => 8783, anbindung => 6052, anblick   => 10511, anbot     => 11699,
                        anboten   => 27126, anbringen => 15960, anbringung
                                  => 25607,
                        ancient   => 29896, and       => 569, andacht   => 27993, andachten => 27994,
                        andauern  => 24325, andauernde
                                  => 13945,
                        andauernden
                                  => 10964, andauert  => 28909,
                        andauerte => 17525, anden     => 19477, andenken  => 8858, andere    => 175,
                        anderem   => 313, anderen   => 109, anderer   => 792, andererseits
                                  => 1721,
                        anderes   => 2358, andern    => 3033, andernfalls
                                  => 10323,
                        andernorts
                                  => 17849, anderseits
                                  => 20714,
                        anderson  => 6582, anderswo  => 15961, andert    => 4508, anderte   => 1903,
                        anderten  => 10866, anderthalb
                                  => 9406,
                        anderung  => 2629, anderungen
                                  => 2059,
                        anderweitig
                                  => 9747, andeutet  => 24968,
                        andeutungen
                                  => 20300, andorra   => 28910,
                        andres    => 14496, andrew    => 7161, andrews   => 13946, androhung => 21172,
                        android   => 12830, aneignen  => 27127, aneignung => 24326, aneinander
                                  => 8153,
                        anekdote  => 23134, anekdoten => 17526, anerkannt => 2062, anerkannte
                                  => 6891,
                        anerkannten
                                  => 6844, anerkannter
                                  => 15962,
                        anerkennen
                                  => 16975, anerkennt => 24327,
                        anerkennung
                                  => 1872, anfahren  => 19149,
                        anfahrt   => 24969, anfall    => 20301, anfallen  => 20715, anfallenden
                                  => 17247,
                        anfallig  => 14898, anfang    => 220, anfange   => 6671, anfangen  => 4736,
                        anfanger  => 14497, anfanglich
                                  => 3888,
                        anfangliche
                                  => 13749, anfanglichem
                                  => 25608,
                        anfanglichen
                                  => 9407, anfanglicher
                                  => 20302,
                        anfangs   => 1110, anfangsbuchstaben
                                  => 19150,
                        anfangsjahren
                                  => 12571, anfangsphase
                                  => 24970,
                        anfangszeit
                                  => 8859, anfangt   => 27128,
                        anfeindungen
                                  => 23738, anfertigen
                                  => 14693,
                        anfertigte
                                  => 20716, anfertigung
                                  => 20303,
                        anfing    => 27129, anflug    => 18461, anforderung
                                  => 14694,
                        anforderungen
                                  => 2282, anfrage   => 7375,
                        anfragen  => 10597, anfuhrer  => 4604, anfuhrerin
                                  => 25609,
                        angab     => 23739, angabe    => 3757, angaben   => 689, angebaut  => 3070,
                        angebaute => 18808, angebauten
                                  => 19478,
                        angeben   => 12054, angeblich => 2012, angebliche
                                  => 9836,
                        angeblichen
                                  => 7719, angeblicher
                                  => 14695,
                        angeborene
                                  => 26317, angeborenen
                                  => 26318,
                        angebot   => 1631, angebote  => 4453, angeboten => 901, angebotene
                                  => 16696,
                        angebotenen
                                  => 10965, angebots  => 19868,
                        angebracht
                                  => 1496, angebrachte
                                  => 12831,
                        angebrachten
                                  => 12200, angebunden
                                  => 7898,
                        angedacht => 22547, angedeutet
                                  => 8154,
                        angedroht => 29897, angeeignet
                                  => 25610,
                        angefahren
                                  => 10598, angefangen
                                  => 11268,
                        angefertigt
                                  => 4847, angefertigte
                                  => 23740,
                        angefertigten
                                  => 23741, angeflogen
                                  => 19869,
                        angefochten
                                  => 27995, angefordert
                                  => 22076,
                        angefreundet
                                  => 28911, angefugt  => 11472,
                        angefuhrt => 5502, angefuhrte
                                  => 28912,
                        angefuhrten
                                  => 15101, angegeben => 1070,
                        angegebene
                                  => 11821, angegebenen
                                  => 7899,
                        angeglichen
                                  => 22548, angegliedert
                                  => 8589,
                        angegriffen
                                  => 3198, angehalten
                                  => 12329,
                        angehangt => 16697, angehende => 16452, angehenden
                                  => 24971,
                        angeheuert
                                  => 22549, angehoben => 7327,
                        angehoren => 7130, angehorige
                                  => 3993,
                        angehorigen
                                  => 3108, angehoriger
                                  => 11822,
                        angehort  => 8005, angehorte => 6517, angehorten
                                  => 10685,
                        angeht    => 21173, angekauft => 17248, angeklagt => 5552, angeklagte
                                  => 12572,
                        angeklagten
                                  => 6583, angekommen
                                  => 4563,
                        angekundigt
                                  => 3301, angekundigte
                                  => 21174,
                        angekundigten
                                  => 21175, angel     => 7537,
                        angelangt => 22077, angelaufen
                                  => 25611,
                        angelegenheit
                                  => 7376, angelegenheiten
                                  => 3140,
                        angelegt  => 1130, angelegte => 6178, angelegten
                                  => 5553,
                        angelegter
                                  => 27130, angelehnt => 10415,
                        angeleitet
                                  => 29898, angeles   => 3071,
                        angelica  => 27996, angeliefert
                                  => 25612,
                        angeln    => 14696, angels    => 17249, angelsachsischen
                                  => 16453,
                        angemeldet
                                  => 10686, angemeldete
                                  => 29899,
                        angemessen
                                  => 9568, angemessene
                                  => 12979,
                        angemessenen
                                  => 16698, angemietet
                                  => 18146,
                        angenahert
                                  => 28913, angenehm  => 13947,
                        angenehmen
                                  => 27131, angenommen
                                  => 1413,
                        angenommene
                                  => 20717, angenommenen
                                  => 19870,
                        angeordnet
                                  => 2051, angeordnete
                                  => 9488,
                        angeordneten
                                  => 7377, angepasst => 2170,
                        angepasste
                                  => 13948, angepassten
                                  => 22078,
                        angepflanzt
                                  => 17850, angerechnet
                                  => 19479,
                        angeregt  => 7629, angereichert
                                  => 22079,
                        angereist => 24328, angerufen => 15534, angesagt  => 24972, angesammelt
                                  => 27997,
                        angeschafft
                                  => 13585, angeschlagen
                                  => 12716,
                        angeschlagene
                                  => 27998, angeschlagenen
                                  => 29900,
                        angeschlossen
                                  => 2443, angeschlossene
                                  => 23135,
                        angeschlossenem
                                  => 24329, angeschlossenen
                                  => 10687,
                        angeschnitten
                                  => 28914, angeschossen
                                  => 13750,
                        angesehen => 1486, angesehene
                                  => 14093,
                        angesehenen
                                  => 10324, angesehener
                                  => 19871,
                        angesehensten
                                  => 22080, angesetzt => 4961,
                        angesetzte
                                  => 26319, angesetzten
                                  => 19151,
                        angesicht => 23742, angesichts
                                  => 2590,
                        angesiedelt
                                  => 3409, angesiedelte
                                  => 25613,
                        angesiedelten
                                  => 23136, angespannt
                                  => 21176,
                        angespannten
                                  => 21177, angespielt
                                  => 25614,
                        angesprochen
                                  => 6089, angesprochenen
                                  => 28915,
                        angestammten
                                  => 15744, angesteckt
                                  => 27132,
                        angestellt
                                  => 4914, angestellte
                                  => 5359,
                        angestellten
                                  => 4467, angestellter
                                  => 7131,
                        angesteuert
                                  => 21178, angestiegen
                                  => 12573,
                        angestossen
                                  => 27999, angestrebt
                                  => 8090,
                        angestrebte
                                  => 15102, angestrebten
                                  => 15963,
                        angetan   => 12980, angetreten
                                  => 8655,
                        angetrieben
                                  => 5000, angetriebene
                                  => 21179,
                        angetriebenen
                                  => 20304, angetroffen
                                  => 13751,
                        angewachsen
                                  => 9489, angewandt => 5751,
                        angewandte
                                  => 8196, angewandten
                                  => 15745,
                        angewendet
                                  => 4289, angewiesen
                                  => 3775,
                        angeworben
                                  => 24330, angezeigt => 5195,
                        angezogen => 12574, angezundet
                                  => 24331,
                        angezweifelt
                                  => 12717, angibt    => 16699,
                        anging    => 28000, angleichung
                                  => 24973,
                        angler    => 24332, anglikanischen
                                  => 23137,
                        anglistik => 28001, angola    => 15535, angreifen => 8042, angreifende
                                  => 25615,
                        angreifenden
                                  => 18462, angreifer => 4605,
                        angreifern
                                  => 21180, angreift  => 23743,
                        angrenzend
                                  => 21609, angrenzende
                                  => 7671,
                        angrenzenden
                                  => 3560, angriff   => 1199,
                        angriffe  => 3302, angriffen => 5265, angriffs  => 9996, angst     => 2215,
                        angste    => 17527, angstlich => 28002, angus     => 19872, anhalten  => 13949,
                        anhaltend => 28916, anhaltende
                                  => 11823,
                        anhaltenden
                                  => 11072, anhaltender
                                  => 19152,
                        anhaltspunkte
                                  => 14498, anhand    => 1637,
                        anhang    => 6090, anhangen  => 25616, anhanger  => 2466, anhangern => 6203,
                        anhangerschaft
                                  => 22081, anhangsel => 24333,
                        anheben   => 24974, anhebung  => 27133, anhieb    => 7413, anhielt   => 29901,
                        anhohe    => 6016, anhohen   => 24975, anhoren   => 29902, anhorung  => 14499,
                        animal    => 25617, animation => 14303, animationen
                                  => 22082,
                        animationsfilm
                                  => 28917, anime     => 10688,
                        animiert  => 22083, anjou     => 29903, ankam     => 17250, ankamen   => 24976,
                        ankara    => 12055, ankauf    => 14094, anklage   => 5055, anklagen  => 19480,
                        anklang   => 11587, anknupfen => 6584, ankommen  => 14500, ankommenden
                                  => 28003,
                        ankommt   => 13443, ankundigte
                                  => 24334,
                        ankundigung
                                  => 9997, ankunft   => 3195,
                        anlage    => 618, anlagen   => 1682, anlass    => 2399, anlasse   => 16700,
                        anlassen  => 8197, anlasslich
                                  => 1879,
                        anlauf    => 12981, anlaufen  => 24977, anlaufstelle
                                  => 18809,
                        anlegen   => 6550, anleger   => 13586, anlegestelle
                                  => 21610,
                        anlegte   => 27134, anlehnung => 6606, anleihen  => 15964, anleitung => 8303,
                        anleitungen
                                  => 23138, anliegen  => 4269,
                        anliegende
                                  => 28918, anliegenden
                                  => 16701,
                        anmarsch  => 29904, anmelden  => 11473, anmeldung => 10325, anmerkung => 8412,
                        anmerkungen
                                  => 8006, anmutenden
                                  => 28919,
                        annaberg  => 26320, annahernd => 3871, annaherung
                                  => 7056,
                        annahm    => 9191, annahme   => 3059, annahmen  => 11178, annalen   => 15317,
                        annas     => 17528, annehmen  => 4897, annes     => 27135, annexion  => 22550,
                        annie     => 9249, annimmt   => 9911, annulliert
                                  => 14501,
                        anode     => 27136, anomalien => 28920, anonym    => 9061, anonyme   => 14899,
                        anonymen  => 11360, anonymitat
                                  => 24978,
                        anordnen  => 27137, anordnung => 3141, anordnungen
                                  => 16198,
                        anorganische
                                  => 28921, another   => 19873,
                        anpassen  => 11588, anpassung => 5017, anpassungen
                                  => 8999,
                        anraten   => 18810, anrede    => 18147, anregen   => 21181, anregung  => 9649,
                        anregungen
                                  => 11073, anreise   => 28922,
                        anreiz    => 15965, anreize   => 25618, anrichten => 28923, anruf     => 9000,
                        anrufe    => 22551, anrufen   => 25619, anrufer   => 19874, anruft    => 23139,
                        ansah     => 17251, ansammlung
                                  => 17529,
                        ansammlungen
                                  => 27138, ansassig  => 4016,
                        ansassige => 12056, ansassigen
                                  => 6053,
                        ansatz    => 3142, ansatze   => 5108, ansatzen  => 12575, ansatzes  => 26321,
                        ansatzweise
                                  => 22084, ansbach   => 13950,
                        anschaffung
                                  => 17530, anschauen => 29905,
                        anschaulich
                                  => 14095, anschauliche
                                  => 29906,
                        anschauung
                                  => 21182, anschauungen
                                  => 23744,
                        anschein  => 11589, anscheinend
                                  => 4440,
                        anschlag  => 5651, anschlage => 11824, anschlagen
                                  => 13951,
                        anschlags => 28004, anschliessen
                                  => 7162,
                        anschliessend
                                  => 320, anschliessende
                                  => 5243,
                        anschliessenden
                                  => 2573, anschliessender
                                  => 14900,
                        anschliesst
                                  => 12576, anschloss => 11590,
                        anschlossen
                                  => 17252, anschluss => 1066,
                        anschlusse
                                  => 16454, anschlussgleis
                                  => 22085,
                        anschlussstelle
                                  => 9837, anschlussstellen
                                  => 22552,
                        anschrift => 24335, anschuldigungen
                                  => 13444,
                        ansehen   => 3845, ansetzen  => 24336, ansicht   => 2083, ansichten => 4231,
                        ansichtskarten
                                  => 28005, ansiedeln => 24337,
                        ansiedelten
                                  => 26322, ansiedlung
                                  => 4257,
                        ansiedlungen
                                  => 12330, ansieht   => 22086,
                        ansinnen  => 18463, ansitz    => 21611, ansonsten => 2153, anspielung
                                  => 10231,
                        anspielungen
                                  => 12832, ansprache => 12718,
                        ansprechen
                                  => 11074, ansprechpartner
                                  => 15318,
                        anspricht => 22553, anspruch  => 1792, anspruche => 4454, anspruchen
                                  => 11075,
                        anspruchsvoll
                                  => 17851, anspruchsvolle
                                  => 15319,
                        anspruchsvollen
                                  => 17852, anstalt   => 6238,
                        anstalten => 15536, anstatt   => 3568, anstehende
                                  => 18148,
                        anstehenden
                                  => 12719, ansteigen => 15966,
                        ansteigende
                                  => 22554, ansteigenden
                                  => 14901,
                        ansteigt  => 19481, anstelle  => 2865, anstellen => 29907, anstellung
                                  => 5293,
                        anstellwinkel
                                  => 27139, ansteuern => 28924,
                        anstieg   => 3781, anstiege  => 29908, anstoss   => 12458, anstreben => 28006,
                        anstrengung
                                  => 17253, anstrengungen
                                  => 8468,
                        anstrich  => 11825, ansturm   => 25620, antalya   => 28007, antarktis => 16702,
                        anteil    => 830, anteile   => 3376, anteilen  => 14502, anteilig  => 27140,
                        anteilnahme
                                  => 20718, anteils   => 21183,
                        anteilseigner
                                  => 19482, antenne   => 9490,
                        antennen  => 11076, anthologie
                                  => 21184,
                        anthologien
                                  => 16455, anthony   => 7445,
                        anthropologie
                                  => 11700, antibiotika
                                  => 26323,
                        antifaschistischen
                                  => 21185,
                        antike    => 2679, antiken   => 3719, antiker   => 10689, antikorper
                                  => 18464,
                        antiochos => 24979, antiquitaten
                                  => 22087,
                        antisemitische
                                  => 15967, antisemitischen
                                  => 17531,
                        antisemitismus
                                  => 9838, antoine   => 10690,
                        antoinette
                                  => 23140, antonio   => 4056,
                        antrag    => 2509, antrage   => 10082, antragsteller
                                  => 16456,
                        antrat    => 7163, antraten  => 14304, antreibt  => 28925, antreten  => 3515,
                        antrieb   => 3965, antriebe  => 21612, antriebsanlage
                                  => 29909,
                        antrifft  => 29910, antritt   => 13137, antwerpen => 10691, antwort   => 3216,
                        antworten => 5904, antwortet => 8926, antwortete
                                  => 7758,
                        anvertraut
                                  => 15537, anwachsen => 14305,
                        anwalt    => 2897, anwalte   => 12057, anwaltin  => 18465, anwalts   => 29911,
                        anwaltskammer
                                  => 28008, anwaltskanzlei
                                  => 13752,
                        anwarter  => 17853, anweisung => 7378, anweisungen
                                  => 7489,
                        anwendbar => 12577, anwendbarkeit
                                  => 24980,
                        anwenden  => 12201, anwender  => 9569, anwendung => 1441, anwendungen
                                  => 3619,
                        anwendungsbereich
                                  => 19483,
                        anwendungsfall
                                  => 28926, anwesen   => 1985,
                        anwesend  => 4782, anwesende => 19484, anwesenden
                                  => 5777,
                        anwesenheit
                                  => 4277, anwesens  => 10232,
                        anwohner  => 9408, anwohnern => 21613, anzahl    => 543, anzeichen => 7806,
                        anzeige   => 5676, anzeigen  => 6439, anzeiger  => 16703, anzeigt   => 20719,
                        anziehen  => 24981, anzieht   => 26324, anziehungskraft
                                  => 22088,
                        anziehungspunkt
                                  => 22089, anzubieten
                                  => 9062,
                        anzubringen
                                  => 26325, anzuerkennen
                                  => 17854,
                        anzufangen
                                  => 25621, anzufertigen
                                  => 25622,
                        anzug     => 15103, anzugeben => 18466, anzugreifen
                                  => 9650,
                        anzuhalten
                                  => 24338, anzuknupfen
                                  => 24982,
                        anzulegen => 10966, anzumerken
                                  => 20720,
                        anzunehmen
                                  => 4589, anzupassen
                                  => 7759,
                        anzuschliessen
                                  => 12720, anzusehen => 7672,
                        anzusetzen
                                  => 19485, anzusiedeln
                                  => 19153,
                        anzusprechen
                                  => 17855, anzustreben
                                  => 19486,
                        anzutreffen
                                  => 3797, anzutreten
                                  => 11179,
                        anzuwenden
                                  => 11269, anzuzeigen
                                  => 19875,
                        apache    => 24339, apartment => 21614, apertura  => 20305, apollo    => 13753,
                        apollon   => 23141, apostel   => 8043, aposteln  => 27141, apostolische
                                  => 27142,
                        apostolischen
                                  => 17856, apotheke  => 7807,
                        apotheken => 17532, apotheker => 11270, apothekers
                                  => 29912,
                        apparat   => 15104, apparate  => 22555, apparatur => 27143, appell    => 18811,
                        appenzell => 28009, appenzeller
                                  => 27144,
                        apple     => 9128, applikation
                                  => 24983,
                        applikationen
                                  => 21186, april     => 143,
                        apsiden   => 23745, apsis     => 6808, aquarell  => 26326, aquarelle => 17857,
                        aquarium  => 17254, aquator   => 24340, aquivalent
                                  => 13754,
                        aquivalente
                                  => 28927, araber    => 11271,
                        arabern   => 24341, arabisch  => 11701, arabische => 6585, arabischen
                                  => 3782,
                        arabischer
                                  => 16976, aragon    => 19487,
                        arbeit    => 306, arbeite   => 17533, arbeiten  => 343, arbeitende
                                  => 16977,
                        arbeitenden
                                  => 10867, arbeiter  => 1882,
                        arbeiterbewegung
                                  => 11474, arbeiterfamilie
                                  => 18812,
                        arbeiterinnen
                                  => 15746, arbeiterklasse
                                  => 20306,
                        arbeitern => 7956, arbeiterpartei
                                  => 17534,
                        arbeiters => 29913, arbeiterschaft
                                  => 16978,
                        arbeitet  => 976, arbeitete => 297, arbeiteten
                                  => 3158,
                        arbeitgeber
                                  => 3732, arbeitgebern
                                  => 26327,
                        arbeitgebers
                                  => 22556, arbeitnehmer
                                  => 6376,
                        arbeitnehmern
                                  => 18149, arbeitsbedingungen
                                  => 11948,
                        arbeitsbereich
                                  => 23746, arbeitsgemeinschaft
                                  => 6179,
                        arbeitsgemeinschaften
                                  => 19876,
                        arbeitsgericht
                                  => 25623, arbeitsgruppe
                                  => 7199,
                        arbeitsgruppen
                                  => 12058, arbeitskraft
                                  => 16979,
                        arbeitskrafte
                                  => 9129, arbeitskraften
                                  => 18150,
                        arbeitskreis
                                  => 10868, arbeitskreises
                                  => 16457,
                        arbeitslager
                                  => 20307, arbeitsleistung
                                  => 25624,
                        arbeitslos
                                  => 12202, arbeitslose
                                  => 18813,
                        arbeitslosen
                                  => 18814, arbeitslosenquote
                                  => 15968,
                        arbeitslosigkeit
                                  => 7538, arbeitsmarkt
                                  => 14096,
                        arbeitsort
                                  => 16704, arbeitsplatz
                                  => 8198,
                        arbeitsplatze
                                  => 5196, arbeitsplatzen
                                  => 12331,
                        arbeitsrecht
                                  => 29914, arbeitsschwerpunkt
                                  => 28010,
                        arbeitsschwerpunkte
                                  => 26328,
                        arbeitsspeicher
                                  => 20308, arbeitsstatten
                                  => 18151,
                        arbeitsstelle
                                  => 14902, arbeitsstellen
                                  => 28928,
                        arbeitsstunden
                                  => 29915, arbeitsteilung
                                  => 22090,
                        arbeitstitel
                                  => 14503, arbeitsverhaltnis
                                  => 25625,
                        arbeitsweise
                                  => 10967, arbeitswelt
                                  => 18467,
                        arbeitszeit
                                  => 13445, arbeitszimmer
                                  => 22091,
                        archaische
                                  => 29916, archaischen
                                  => 27145,
                        archaologe
                                  => 24984, archaologen
                                  => 9063,
                        archaologie
                                  => 5977, archaologisch
                                  => 11272,
                        archaologische
                                  => 3872, archaologischen
                                  => 4042,
                        archaologischer
                                  => 17255, arche     => 23142,
                        archer    => 23143, archie    => 24985, architecture
                                  => 24986,
                        architekt => 3361, architekten
                                  => 1715,
                        architektonisch
                                  => 11702, architektonische
                                  => 9748,
                        architektonischen
                                  => 8091, architektonisches
                                  => 28011,
                        architektur
                                  => 1853, architekturburo
                                  => 11180,
                        architekturburos
                                  => 26329, architekturen
                                  => 29917,
                        archiv    => 2334, archivalien
                                  => 23144,
                        archivar  => 24342, archive   => 11475, archiven  => 13287, archives  => 23747,
                        archiviert
                                  => 16458, archivs   => 12059,
                        area      => 8656, areal     => 2907, areale    => 18815, arealen   => 28929,
                        areals    => 11949, arena     => 4915, argentinien
                                  => 4145,
                        argentiniens
                                  => 22557, argentinier
                                  => 21615,
                        argentinische
                                  => 14903, argentinischen
                                  => 9409,
                        arger     => 11591, argern    => 29918, argument  => 7900, argumentation
                                  => 13288,
                        argumente => 9130, argumenten
                                  => 17858,
                        argumentieren
                                  => 18152, argumentiert
                                  => 11181,
                        argumentierte
                                  => 13587, argumentierten
                                  => 29919,
                        arie      => 8784, ariel     => 28012, arien     => 23145, aristokraten
                                  => 28930,
                        aristokratie
                                  => 19877, aristokratischen
                                  => 26330,
                        aristoteles
                                  => 9250, arizona   => 11476,
                        arkaden   => 13755, arkadenbogen
                                  => 25626,
                        arkansas  => 16459, arktis    => 28013, arktischen
                                  => 29920,
                        armand    => 22558, armando   => 28931, armaturenbrett
                                  => 18468,
                        arme      => 3309, armee     => 732, armeekorps
                                  => 13138,
                        armeen    => 7957, armel     => 19488, armen     => 3064, armenien  => 10416,
                        armenier  => 20309, armenische
                                  => 14504,
                        armenischen
                                  => 13446, armer     => 16199,
                        armeren   => 20310, armes     => 24987, arminia   => 15747, armlichen => 13588,
                        armsten   => 24988, armstrong => 14697, armut     => 4880, armutsgrenze
                                  => 13447,
                        armutsquote
                                  => 25627, army      => 6775,
                        arnsberg  => 11703, arnstadt  => 23146, aroma     => 23147, arosa     => 29921,
                        around    => 21616, arrangement
                                  => 18153,
                        arrangements
                                  => 13139, arrangeur => 18154,
                        arrangieren
                                  => 22092, arrangiert
                                  => 10869,
                        arrangierte
                                  => 14698, arrest    => 18469,
                        arrondissement
                                  => 16980, arrondissements
                                  => 23748,
                        arroyo    => 28932, arsenal   => 11950, art       => 222, artefakt  => 26331,
                        artefakte => 14699, artefakten
                                  => 29922,
                        arten     => 524, artenreiche
                                  => 29923,
                        artenvielfalt
                                  => 20721, artes     => 24989,
                        artgenossen
                                  => 14306, arthurs   => 28933,
                        artikel   => 772, artikeln  => 5805, artikels  => 12721, artillerie
                                  => 5228,
                        artilleriebeschuss
                                  => 19878,
                        artilleriefeuer
                                  => 27146, artist    => 17535,
                        artists   => 20311, arts      => 5244, arturo    => 27147, artwork   => 24990,
                        arzneimittel
                                  => 14700, arzneimitteln
                                  => 28934,
                        arzt      => 2016, arzte     => 3289, arzten    => 9651, arztes    => 8092,
                        arztin    => 10784, arztliche => 11592, arztlichen
                                  => 13448,
                        arztlicher
                                  => 20722, arztpraxen
                                  => 25628,
                        arztpraxis
                                  => 22093, aschaffenburg
                                  => 11704,
                        asche     => 8304, aserbaidschan
                                  => 10155,
                        aserbaidschanischen
                                  => 22559,
                        ashley    => 16200, ashton    => 29924, asian     => 24991, asiaten   => 17536,
                        asiatische
                                  => 12459, asiatischen
                                  => 7760,
                        asiatischer
                                  => 26332, asien     => 3453,
                        asienmeisterschaften
                                  => 28014,
                        asiens    => 18155, aspekt    => 4379, aspekte   => 2973, aspekten  => 7761,
                        aspen     => 29925, asphalt   => 19879, asphaltiert
                                  => 13952,
                        asphaltierte
                                  => 24343, asphaltierten
                                  => 26333,
                        assembly  => 15748, assen     => 25629, assessor  => 21617, assistant => 13140,
                        assistent => 4414, assistenten
                                  => 8785,
                        assistentin
                                  => 10785, assistenzarzt
                                  => 22094,
                        assistenzprofessor
                                  => 28015,
                        assistenztrainer
                                  => 15320, assists   => 13589,
                        associate => 15749, association
                                  => 3346,
                        assoziation
                                  => 17256, assoziationen
                                  => 21187,
                        assoziiert
                                  => 14097, assoziierte
                                  => 24344,
                        assoziierten
                                  => 29926, assyrischen
                                  => 29927,
                        aste      => 8927, asten     => 9998, asterix   => 24992, asteroid  => 14904,
                        asteroiden
                                  => 16460, asthetik  => 8413,
                        asthetische
                                  => 11477, asthetischen
                                  => 11182,
                        aston     => 22560, astrologie
                                  => 22561,
                        astronauten
                                  => 15321, astronomen
                                  => 21188,
                        astronomie
                                  => 10326, astronomische
                                  => 14505,
                        astronomischen
                                  => 14098, astrophysik
                                  => 29928,
                        asymmetrisch
                                  => 20312, asymmetrische
                                  => 24993,
                        atari     => 17537, atelier   => 4455, ateliers  => 13953, atemwege  => 28935,
                        athen     => 5778, athener   => 18156, athens    => 18470, athiopien => 12833,
                        athiopischen
                                  => 28936, athlet    => 16201,
                        athleten  => 3521, athletic  => 15750, athletin  => 19880, athletinnen
                                  => 9749,
                        atlanta   => 12834, atlantic  => 11361, atlantik  => 9064, atlantikkuste
                                  => 23148,
                        atlantis  => 12982, atlantischen
                                  => 19489,
                        atlas     => 8590, atletico  => 19490, atmen     => 16705, atmosphare
                                  => 3776,
                        atmospharische
                                  => 25630, atmospharischen
                                  => 23749,
                        atmung    => 16706, atolls    => 28016, atombombe => 29929, atome     => 13590,
                        atomic    => 28937, atomwaffen
                                  => 25631,
                        atrium    => 24994, attack    => 23750, attacke   => 14905, attacken  => 15751,
                        attackieren
                                  => 28017, attackiert
                                  => 13954,
                        attackierte
                                  => 25632, attentat  => 8860,
                        attentater
                                  => 13756, attestiert
                                  => 23149,
                        atticus   => 25633, attischen => 28938, attorney  => 29930, attraktion
                                  => 12835,
                        attraktionen
                                  => 14701, attraktiv => 9652,
                        attraktive
                                  => 12332, attraktiven
                                  => 12722,
                        attraktiver
                                  => 23751, attraktivitat
                                  => 13591,
                        attribut  => 16202, attribute => 13289, attributen
                                  => 18816,
                        auch      => 24, auckland  => 21189, audienz   => 28018, audio     => 18817,
                        auditorium
                                  => 29931, audrey    => 17257,
                        auf       => 14, aufarbeitung
                                  => 8726,
                        aufbau    => 1236, aufbauen  => 6776, aufbauend => 16203, aufbaus   => 20313,
                        aufbaut   => 21190, aufbaute  => 20314, aufbauten => 7583, aufbereitet
                                  => 15752,
                        aufbereitung
                                  => 17859, aufbewahrt
                                  => 4819,
                        aufbewahrung
                                  => 14906, aufbrechen
                                  => 18471,
                        aufbringen
                                  => 11826, aufbruch  => 10968,
                        aufdeckung
                                  => 29932, aufdruck  => 29933,
                        aufeinander
                                  => 3352, aufeinanderfolgende
                                  => 23150,
                        aufeinanderfolgenden
                                  => 12460,
                        aufeinandertreffen
                                  => 13449,
                        aufenthalt
                                  => 3846, aufenthalte
                                  => 16707,
                        aufenthalten
                                  => 23752, aufenthaltes
                                  => 22095,
                        aufenthalts
                                  => 11478, aufenthaltsort
                                  => 12203,
                        auferlegt => 18157, auferstandenen
                                  => 28019,
                        auferstehung
                                  => 11593, auffahrt  => 26334,
                        auffallend
                                  => 6377, auffallig => 4029,
                        auffallige
                                  => 10692, auffalligen
                                  => 12333,
                        auffalliger
                                  => 28020, auffalliges
                                  => 25634,
                        auffalligkeiten
                                  => 28939, auffalligste
                                  => 23753,
                        auffallt  => 23754, auffassen => 28940, auffassung
                                  => 2817,
                        auffassungen
                                  => 11705, auffindbar
                                  => 17258,
                        auffinden => 18818, auffindung
                                  => 22562,
                        auffordert
                                  => 28021, aufforderte
                                  => 29934,
                        aufforderung
                                  => 9251, auffuhren => 21618,
                        auffuhrung
                                  => 4193, auffuhrungen
                                  => 5135,
                        aufgab    => 12060, aufgabe   => 905, aufgaben  => 988, aufgabenbereich
                                  => 20315,
                        aufgabenstellung
                                  => 25635, aufgang   => 20316,
                        aufgearbeitet
                                  => 17259, aufgebaut => 1274,
                        aufgebaute
                                  => 14307, aufgebauten
                                  => 17538,
                        aufgeben  => 4110, aufgebot  => 13450, aufgeboten
                                  => 13955,
                        aufgebracht
                                  => 7164, aufgebrachten
                                  => 22096,
                        aufgebraucht
                                  => 15105, aufgebrochen
                                  => 15322,
                        aufgedeckt
                                  => 11479, aufgedruckt
                                  => 28022,
                        aufgefahren
                                  => 21619, aufgefallen
                                  => 15753,
                        aufgefangen
                                  => 19154, aufgefasst
                                  => 8861,
                        aufgefordert
                                  => 6180, aufgeforstet
                                  => 25636,
                        aufgefuhrt
                                  => 1522, aufgefuhrte
                                  => 25637,
                        aufgefuhrten
                                  => 8862, aufgefullt
                                  => 11480,
                        aufgefunden
                                  => 4898, aufgefundenen
                                  => 23151,
                        aufgegangen
                                  => 16204, aufgegeben
                                  => 1735,
                        aufgegebenen
                                  => 24345, aufgegriffen
                                  => 6312,
                        aufgehalten
                                  => 9491, aufgehangt
                                  => 7958,
                        aufgehenden
                                  => 27148, aufgehoben
                                  => 2761,
                        aufgehort => 20317, aufgekauft
                                  => 13290,
                        aufgeklart
                                  => 11362, aufgeladen
                                  => 28023,
                        aufgelassen
                                  => 12723, aufgelassenen
                                  => 29935,
                        aufgelegt => 6239, aufgelistet
                                  => 7847,
                        aufgelockert
                                  => 28941, aufgelost => 1097,
                        aufgelosten
                                  => 12578, aufgenommen
                                  => 530,
                        aufgenommene
                                  => 14702, aufgenommenen
                                  => 12334,
                        aufgeregt => 28024, aufgerichtet
                                  => 18472,
                        aufgerieben
                                  => 22097, aufgerollt
                                  => 28025,
                        aufgerufen
                                  => 7245, aufgerustet
                                  => 28026,
                        aufgeschlossen
                                  => 15538, aufgeschoben
                                  => 23755,
                        aufgeschuttet
                                  => 20723, aufgesetzt
                                  => 7720,
                        aufgesetzten
                                  => 20318, aufgespalten
                                  => 24346,
                        aufgespurt
                                  => 22563, aufgestaut
                                  => 17860,
                        aufgestellt
                                  => 1422, aufgestellte
                                  => 16981,
                        aufgestellten
                                  => 10693, aufgestiegen
                                  => 9750,
                        aufgestockt
                                  => 8522, aufgesucht
                                  => 8727,
                        aufgetaucht
                                  => 22564, aufgeteilt
                                  => 2306,
                        aufgetragen
                                  => 10870, aufgetreten
                                  => 8591,
                        aufgewachsen
                                  => 7901, aufgewendet
                                  => 26335,
                        aufgewertet
                                  => 12335, aufgezahlt
                                  => 22565,
                        aufgezeichnet
                                  => 7490, aufgezeigt
                                  => 15539,
                        aufgezogen
                                  => 12061, aufgibt   => 27149,
                        aufging   => 22098, aufgrund  => 179, aufhalt   => 14703, aufhalten => 6240,
                        aufhangung
                                  => 22099, aufheben  => 22100,
                        aufhebung => 5266, aufhielt  => 10156, aufhielten
                                  => 18473,
                        aufhoren  => 16708, aufklaren => 14704, aufklarer => 19491, aufklarung
                                  => 3504,
                        aufkleber => 27150, aufkommen => 6408, aufkommende
                                  => 28027,
                        aufkommenden
                                  => 15323, aufladen  => 29936,
                        auflage   => 900, auflagen  => 3424, auflassung
                                  => 29937,
                        auflaufen => 26336, aufleben  => 23756, auflief   => 27151, auflistung
                                  => 10327,
                        auflosen  => 12836, auflost   => 28028, aufloste  => 12336, auflosung => 1431,
                        aufmachung
                                  => 25638, aufmerksam
                                  => 2959,
                        aufmerksamkeit
                                  => 2404, aufnahm   => 6701,
                        aufnahme  => 1481, aufnahmen => 1487, aufnahmeprufung
                                  => 22566,
                        aufnahmesessions
                                  => 13592, aufnehmen => 2991,
                        aufnimmt  => 10083, aufprall  => 18474, aufpreis  => 17260, aufragenden
                                  => 28029,
                        aufraumarbeiten
                                  => 28942, aufrecht  => 4724,
                        aufrechte => 22567, aufrechten
                                  => 17261,
                        aufrechterhalten
                                  => 7762, aufrechterhaltung
                                  => 11706,
                        aufrechtzuerhalten
                                  => 10417,
                        aufregung => 17539, aufrichtig
                                  => 22101,
                        aufriss   => 28943, aufruf    => 8592, aufrufe   => 15324, aufrufen  => 20319,
                        aufruhr   => 17262, aufrustung
                                  => 22568,
                        aufs      => 4278, aufsatz   => 6702, aufsatze  => 5267, aufsatzen => 15540,
                        aufschlag => 15754, aufschlagen
                                  => 28030,
                        aufschliessen
                                  => 28944, aufschluss
                                  => 10969,
                        aufschrift
                                  => 7902, aufschwung
                                  => 4221,
                        aufsehen  => 5978, aufseher  => 20320, aufsetzen => 18158, aufsicht  => 4916,
                        aufsichtsbehorde
                                  => 23757, aufsichtsrat
                                  => 8469,
                        aufsichtsrates
                                  => 20321, aufsichtsrats
                                  => 21191,
                        aufsichtsratsvorsitzender
                                  => 28031,
                        aufspaltung
                                  => 21192, aufspuren => 16709,
                        aufstand  => 3994, aufstande => 16710, aufstanden
                                  => 23758,
                        aufstandes
                                  => 15106, aufstandische
                                  => 18159,
                        aufstandischen
                                  => 7102, aufstands => 20724,
                        aufstehen => 25639, aufsteigen
                                  => 10970,
                        aufsteigend
                                  => 22102, aufsteigenden
                                  => 15541,
                        aufsteiger
                                  => 7584, aufsteigt => 28945,
                        aufstellen
                                  => 9410, aufstellte
                                  => 22103,
                        aufstellung
                                  => 4345, aufstieg  => 1270,
                        aufstiegen
                                  => 28032, aufstiegs => 24995,
                        aufstiegsrunde
                                  => 10871, aufstockung
                                  => 15107,
                        aufstrebende
                                  => 25640, aufstrebenden
                                  => 17861,
                        aufsuchen => 13451, aufsucht  => 22104, auftakt   => 10786, auftauchen
                                  => 8251,
                        auftaucht => 8593, auftauchte
                                  => 25641,
                        auftauchten
                                  => 29938, aufteilen => 21193,
                        aufteilung
                                  => 5724, auftrag   => 1029,
                        auftrage  => 4057, auftragen => 14099, auftraggeber
                                  => 6809,
                        auftragsarbeiten
                                  => 29939, auftrat   => 7288,
                        auftraten => 11481, auftreten => 1769, auftretende
                                  => 11827,
                        auftretenden
                                  => 9192, auftretens
                                  => 19492,
                        auftrieb  => 11594, auftritt  => 2131, auftritte => 2960, auftritten
                                  => 6703,
                        auftritts => 25642, aufwachen => 29940, aufwachsen
                                  => 25643,
                        aufwacht  => 22105, aufwand   => 3933, aufwandig => 7200, aufwandige
                                  => 12579,
                        aufwandigen
                                  => 12983, aufwandiger
                                  => 17263,
                        aufwarts  => 11183, aufweisen => 3060, aufweist  => 3995, aufwendig => 7414,
                        aufwendige
                                  => 13141, aufwendigen
                                  => 14308,
                        aufwendiger
                                  => 20725, aufwendungen
                                  => 18160,
                        aufwertung
                                  => 16982, aufwies   => 10599,
                        aufwiesen => 11482, aufwuchs  => 12337, aufzahlung
                                  => 18161,
                        aufzeichnung
                                  => 11595, aufzeichnungen
                                  => 3758,
                        aufzeigen => 20322, aufziehen => 29941, aufzubauen
                                  => 4194,
                        aufzubrechen
                                  => 28946, aufzubringen
                                  => 22106,
                        aufzucht  => 15969, aufzudecken
                                  => 20323,
                        aufzug    => 10512, aufzuge   => 19493, aufzugeben
                                  => 8199,
                        aufzugen  => 24996, aufzuhalten
                                  => 11596,
                        aufzuheben
                                  => 21194, aufzuklaren
                                  => 11828,
                        aufzulosen
                                  => 8786, aufzunehmen
                                  => 3569,
                        aufzuspuren
                                  => 17540, aufzusteigen
                                  => 19494,
                        aufzustellen
                                  => 13757, aufzusuchen
                                  => 21620,
                        aufzuteilen
                                  => 26337, aufzutreiben
                                  => 28947,
                        aufzutreten
                                  => 10600, aufzuweisen
                                  => 20324,
                        aufzuzeigen
                                  => 25644, auge      => 2292,
                        augen     => 1255, augenblick
                                  => 8305,
                        augenblicklich
                                  => 21195, augenbrauen
                                  => 27152,
                        augenhohe => 22107, augenmerk => 10328, augenscheinlich
                                  => 22569,
                        augenzeuge
                                  => 24347, augenzeugen
                                  => 16461,
                        auges     => 14309, augsburg  => 4077, augsburger
                                  => 7903,
                        august    => 166, augusta   => 12338, augustinus
                                  => 21621,
                        augustus  => 9315, auktion   => 14310, auktionen => 19495, auktionshaus
                                  => 28948,
                        aurora    => 13956, aus       => 27, ausarbeitung
                                  => 11363,
                        ausbau    => 1689, ausbauen  => 8928, ausbaus   => 14506, ausbaustufe
                                  => 20726,
                        ausbaute  => 23152, ausbeute  => 15325, ausbeuten => 28033, ausbeutung
                                  => 9839,
                        ausbezahlt
                                  => 23153, ausbilden => 9316,
                        ausbilder => 18475, ausbildung
                                  => 591,
                        ausbildungen
                                  => 19155, ausbildungsstatte
                                  => 18819,
                        ausbildungszeit
                                  => 28949, ausbleiben
                                  => 19881,
                        ausblick  => 12984, ausblieb  => 20727, ausbrach  => 24348, ausbrechen
                                  => 25645,
                        ausbreiten
                                  => 18162, ausbreitung
                                  => 6181,
                        ausbruch  => 4043, ausbruche => 26338, ausbruchs => 28034, auschwitz => 8414,
                        ausdauer  => 17264, ausdehnen => 26339, ausdehnung
                                  => 3966,
                        ausdruck  => 1618, ausdrucke => 11951, ausdrucken
                                  => 10084,
                        ausdrucklich
                                  => 3611, ausdrucklichen
                                  => 29942,
                        ausdrucks => 22108, ausdrucksformen
                                  => 23154,
                        ausdrucksweise
                                  => 29943, ausdruckt => 23155,
                        auseinander
                                  => 3996, auseinandergesetzt
                                  => 27153,
                        auseinandersetzen
                                  => 12837,
                        auseinandersetzt
                                  => 24997, auseinandersetzte
                                  => 27154,
                        auseinandersetzung
                                  => 2668,
                        auseinandersetzungen
                                  => 2806,
                        auseinanderzusetzen
                                  => 26340,
                        auserwahlt
                                  => 29944, ausfahrt  => 14311,
                        ausfall   => 8200, ausfalle  => 13758, ausfallen => 8306, ausfallt  => 22109,
                        ausfiel   => 13142, ausfielen => 28035, ausfindig => 9131, ausfliegen
                                  => 28036,
                        ausflug   => 15755, ausfluge  => 16711, ausflugsziel
                                  => 11077,
                        ausfluss  => 26341, ausfuhr   => 24998, ausfuhren => 7539, ausfuhrende
                                  => 23156,
                        ausfuhrenden
                                  => 23157, ausfuhrlich
                                  => 5979,
                        ausfuhrliche
                                  => 9492, ausfuhrlichen
                                  => 13593,
                        ausfuhrlicher
                                  => 16205, ausfuhrt  => 16983,
                        ausfuhrte => 28037, ausfuhrung
                                  => 2353,
                        ausfuhrungen
                                  => 4917, ausfullen => 21622,
                        ausgabe   => 890, ausgaben  => 2265, ausgang   => 3934, ausgange  => 23759,
                        ausgangslage
                                  => 25646, ausgangspunkt
                                  => 4258,
                        ausgearbeitet
                                  => 9570, ausgearbeiteten
                                  => 27155,
                        ausgebaut => 1533, ausgebaute
                                  => 14507,
                        ausgebauten
                                  => 15756, ausgeben  => 18820,
                        ausgebessert
                                  => 21196, ausgebeutet
                                  => 23158,
                        ausgebildet
                                  => 2176, ausgebildete
                                  => 9751,
                        ausgebildeten
                                  => 11829, ausgebildeter
                                  => 21623,
                        ausgeblendet
                                  => 28950, ausgebreitet
                                  => 9999,
                        ausgebreiteten
                                  => 18163, ausgebrochen
                                  => 13452,
                        ausgedehnt
                                  => 8415, ausgedehnte
                                  => 5752,
                        ausgedehnten
                                  => 7415, ausgedehnter
                                  => 23760,
                        ausgedehntes
                                  => 22570, ausgedruckt
                                  => 9571,
                        ausgefahren
                                  => 17265, ausgefallen
                                  => 14312,
                        ausgefuhrt
                                  => 1408, ausgefuhrte
                                  => 16712,
                        ausgefuhrten
                                  => 14313, ausgefullt
                                  => 15326,
                        ausgegangen
                                  => 4541, ausgegeben
                                  => 5038,
                        ausgeglichen
                                  => 7103, ausgeglichenen
                                  => 28951,
                        ausgegliedert
                                  => 10872, ausgegraben
                                  => 6983,
                        ausgehandelt
                                  => 22110, ausgehandigt
                                  => 25647,
                        ausgehen  => 8359, ausgehend => 4848, ausgehende
                                  => 19156,
                        ausgehenden
                                  => 6054, ausgehoben
                                  => 16462,
                        ausgeht   => 11184, ausgekleidet
                                  => 23159,
                        ausgekoppelt
                                  => 15327, ausgelagert
                                  => 13143,
                        ausgelassen
                                  => 16206, ausgelastet
                                  => 23761,
                        ausgelaufen
                                  => 28038, ausgelegt => 2950,
                        ausgelegte
                                  => 29945, ausgelegten
                                  => 24349,
                        ausgeliefert
                                  => 3668, ausgeliehen
                                  => 11483,
                        ausgelobt => 19882, ausgeloscht
                                  => 21624,
                        ausgelost => 4146, ausgeloste
                                  => 28952,
                        ausgelosten
                                  => 18821, ausgemacht
                                  => 17541,
                        ausgemalt => 18476, ausgemustert
                                  => 7132,
                        ausgenommen
                                  => 6463, ausgenutzt
                                  => 12580,
                        ausgepragt
                                  => 4606, ausgepragte
                                  => 10418,
                        ausgepragten
                                  => 9193, ausgepragter
                                  => 15757,
                        ausgepragtes
                                  => 24350, ausgeraubt
                                  => 17542,
                        ausgeraumt
                                  => 19883, ausgerechnet
                                  => 8201,
                        ausgerichtet
                                  => 2594, ausgerichtete
                                  => 12062,
                        ausgerichteten
                                  => 9572, ausgerottet
                                  => 23762,
                        ausgerufen
                                  => 12063, ausgerustet
                                  => 3464,
                        ausgerusteten
                                  => 23160, ausgesagt => 26342,
                        ausgesandt
                                  => 28953, ausgeschaltet
                                  => 12204,
                        ausgeschieden
                                  => 8728, ausgeschildert
                                  => 24351,
                        ausgeschlossen
                                  => 2463, ausgeschmuckt
                                  => 24352,
                        ausgeschopft
                                  => 29946, ausgeschrieben
                                  => 7763,
                        ausgeschriebenen
                                  => 28954, ausgeschuttet
                                  => 22111,
                        ausgesetzt
                                  => 2533, ausgesetzte
                                  => 29947,
                        ausgespart
                                  => 14705, ausgespielt
                                  => 6091,
                        ausgesprochen
                                  => 3662, ausgesprochene
                                  => 23763,
                        ausgestaltet
                                  => 16713, ausgestaltung
                                  => 8007,
                        ausgestattet
                                  => 1262, ausgestattete
                                  => 10787,
                        ausgestatteten
                                  => 12339, ausgestellt
                                  => 2951,
                        ausgestellten
                                  => 13453, ausgestiegen
                                  => 29948,
                        ausgestorben
                                  => 8594, ausgestorbenen
                                  => 19496,
                        ausgestossen
                                  => 16714, ausgestrahlt
                                  => 2221,
                        ausgestrahlten
                                  => 21625, ausgesucht
                                  => 17266,
                        ausgetauscht
                                  => 5432, ausgetragen
                                  => 1176,
                        ausgetragene
                                  => 21626, ausgetragenen
                                  => 9912,
                        ausgetreten
                                  => 21627, ausgetrocknet
                                  => 28955,
                        ausgeubt  => 6313, ausgewachsen
                                  => 26343,
                        ausgewachsene
                                  => 12838, ausgewachsenen
                                  => 12581,
                        ausgewahlt
                                  => 3217, ausgewahlte
                                  => 7446,
                        ausgewahlten
                                  => 6607, ausgewahlter
                                  => 25648,
                        ausgewandert
                                  => 17862, ausgewechselt
                                  => 14508,
                        ausgeweitet
                                  => 8787, ausgewertet
                                  => 9840,
                        ausgewiesen
                                  => 2870, ausgewiesene
                                  => 18164,
                        ausgewiesenen
                                  => 18165, ausgewogene
                                  => 26344,
                        ausgezahlt
                                  => 12205, ausgezeichnet
                                  => 1223,
                        ausgezeichnete
                                  => 11078, ausgezeichneten
                                  => 11185,
                        ausgezeichneter
                                  => 19497, ausgezogen
                                  => 18477,
                        ausgibt   => 22112, ausgiebig => 15758, ausging   => 12206, ausgingen => 26345,
                        ausgleich => 5485, ausgleichen
                                  => 15970,
                        ausgliederung
                                  => 21197, ausgraber => 22113,
                        ausgrabung
                                  => 10788, ausgrabungen
                                  => 3570,
                        ausgrenzung
                                  => 22571, aushalten => 27156,
                        aushub    => 22572, ausklingen
                                  => 26346,
                        auskommen => 12064, auskommt  => 28956, auskopplung
                                  => 19884,
                        auskunft  => 5779, auskunfte => 25649, ausland   => 1171, auslander => 6409,
                        auslanderanteil
                                  => 22114, auslandern
                                  => 16463,
                        auslandische
                                  => 3889, auslandischen
                                  => 4119,
                        auslandischer
                                  => 8523, auslandsreisen
                                  => 25650,
                        auslastung
                                  => 13291, auslaufen => 11707,
                        auslaufenden
                                  => 13957, auslaufender
                                  => 24999,
                        auslaufer => 11079, auslaufern
                                  => 23161,
                        ausleger  => 23764, auslegung => 7447, ausleihe  => 18822, auslesen  => 29949,
                        auslief   => 25651, auslieferung
                                  => 6636,
                        ausloschung
                                  => 26347, auslosen  => 9913,
                        ausloser  => 8524, auslost   => 17543, ausloste  => 16715, auslosung => 9065,
                        ausmachen => 9411, ausmacht  => 13759, ausmachte => 22573, ausmachten
                                  => 25652,
                        ausmalung => 14509, ausmass   => 5071, ausmasse  => 12065, ausmassen => 22574,
                        ausmusterung
                                  => 20325, ausnahme  => 1417,
                        ausnahmefallen
                                  => 11484, ausnahmen => 4380,
                        ausnahmezustand
                                  => 28957, ausnahmslos
                                  => 10694,
                        ausnahmsweise
                                  => 12461, ausnutzen => 16984,
                        ausnutzung
                                  => 22115, auspragung
                                  => 9066,
                        auspragungen
                                  => 19157, ausprobieren
                                  => 22575,
                        ausprobiert
                                  => 29950, ausreichen
                                  => 16985,
                        ausreichend
                                  => 2464, ausreichende
                                  => 7201,
                        ausreichendem
                                  => 28039, ausreichenden
                                  => 12985,
                        ausreichender
                                  => 13760, ausreicht => 19885,
                        ausreichte
                                  => 14907, ausreichten
                                  => 23765,
                        ausreise  => 16207, ausreisen => 29951, ausreisser
                                  => 24353,
                        ausrichten
                                  => 14314, ausrichter
                                  => 18166,
                        ausrichtet
                                  => 29952, ausrichtung
                                  => 3571,
                        ausrottung
                                  => 27157, ausruf    => 28040,
                        ausrufen  => 22576, ausrufung => 27158, ausrustung
                                  => 3505,
                        ausrustungsgegenstande
                                  => 25653,
                        aussaat   => 24354, aussage   => 1739, aussagekraft
                                  => 25654,
                        aussagen  => 2074, aussah    => 24355, ausschalten
                                  => 18167,
                        ausschaltung
                                  => 28958, ausscheiden
                                  => 3467,
                        ausschied => 10695, ausschlag => 28959, ausschlaggebend
                                  => 7721,
                        ausschliessen
                                  => 15108, ausschliesslich
                                  => 674,
                        ausschliessliche
                                  => 22577, ausschluss
                                  => 6777,
                        ausschmuckung
                                  => 25000, ausschnitt
                                  => 11952,
                        ausschnitte
                                  => 13761, ausschreibung
                                  => 7416,
                        ausschreibungen
                                  => 27159, ausschreitungen
                                  => 12462,
                        ausschuss => 3391, ausschusse
                                  => 14908,
                        ausschussen
                                  => 15328, ausschusses
                                  => 5268,
                        aussehen  => 2481, aussehende
                                  => 26348,
                        aussehens => 22578, aussen    => 1330, aussenanlagen
                                  => 26349,
                        aussenaufnahmen
                                  => 19886, aussenbereich
                                  => 12582,
                        aussenfassade
                                  => 20728, aussenhandel
                                  => 16464,
                        aussenlager
                                  => 28041, aussenmauer
                                  => 17544,
                        aussenmauern
                                  => 12724, aussenminister
                                  => 9653,
                        aussenministerium
                                  => 8863, aussenministeriums
                                  => 19887,
                        aussenministers
                                  => 24356, aussenpolitik
                                  => 7540,
                        aussenpolitisch
                                  => 25655, aussenpolitische
                                  => 24357,
                        aussenpolitischen
                                  => 16465,
                        aussenrand
                                  => 21628, aussenseite
                                  => 9752,
                        aussenseiten
                                  => 17545, aussenseiter
                                  => 12340,
                        aussenstehenden
                                  => 27160, aussenstelle
                                  => 11186,
                        aussenstellen
                                  => 28042, aussenwand
                                  => 14100,
                        aussenwande
                                  => 13594, aussenwanden
                                  => 21629,
                        aussenwelt
                                  => 11187, ausser    => 853,
                        ausserdem => 180, ausserdienststellung
                                  => 18823,
                        aussere   => 2889, ausseren  => 2011, ausserer  => 17863, ausseres  => 15759,
                        aussereuropaischen
                                  => 29953,
                        aussergewohnlich
                                  => 8252, aussergewohnliche
                                  => 10000,
                        aussergewohnlichen
                                  => 12066,
                        ausserhalb
                                  => 722, ausserirdische
                                  => 24358,
                        ausserirdischen
                                  => 13454, ausserlich
                                  => 5701,
                        aussern   => 9493, ausserordentlich
                                  => 6551,
                        ausserordentliche
                                  => 10419,
                        ausserordentlichen
                                  => 10157,
                        ausserordentlicher
                                  => 11364,
                        ausserplanmassigen
                                  => 27161,
                        ausserst  => 2078, ausserste => 20326, aussersten
                                  => 6586,
                        aussert   => 7246, ausserte  => 3873, ausserten => 16466, ausserung => 16467,
                        ausserungen
                                  => 6378, aussetzen => 15971,
                        aussetzung
                                  => 28960, aussicht  => 4899,
                        aussichten
                                  => 18824, aussichtslos
                                  => 24359,
                        aussichtsplattform
                                  => 12986,
                        aussichtspunkt
                                  => 15329, aussichtsturm
                                  => 13595,
                        aussieht  => 12987, aussohnung
                                  => 25656,
                        aussprach => 26350, aussprache
                                  => 6608,
                        aussprachen
                                  => 27162, aussprechen
                                  => 22579,
                        ausspruch => 15760, ausstattung
                                  => 2132,
                        ausstehenden
                                  => 25001, aussteigen
                                  => 14909,
                        ausstellen
                                  => 21198, aussteller
                                  => 19888,
                        ausstellung
                                  => 1123, ausstellungen
                                  => 1914,
                        ausstellungsflache
                                  => 12583,
                        ausstellungskatalog
                                  => 14315,
                        ausstellungsraum
                                  => 20729, ausstellungsraume
                                  => 21630,
                        ausstellungsstucke
                                  => 17267,
                        aussterben
                                  => 6704, ausstieg  => 7673,
                        ausstoss  => 17268, ausstrahlung
                                  => 4542,
                        aussuchen => 29954, austausch => 3130, austauschbar
                                  => 28961,
                        austauschen
                                  => 16208, austern   => 25002,
                        austin    => 9914, austragen => 19889, austragung
                                  => 6739,
                        austragungsort
                                  => 11188, australia => 10601,
                        australian
                                  => 11080, australien
                                  => 1722,
                        australiens
                                  => 10329, australier
                                  => 15109,
                        australische
                                  => 6182, australischen
                                  => 4695,
                        australischer
                                  => 29955, austreten => 23162,
                        austritt  => 8093, austrocknen
                                  => 28962,
                        austrocknung
                                  => 23766, ausuben   => 6637,
                        ausubt    => 16716, ausubte   => 12988, ausubten  => 28043, ausubung  => 7722,
                        ausverkauft
                                  => 11081, auswahl   => 1839,
                        auswahlen => 15110, auswahlverfahren
                                  => 26351,
                        auswanderer
                                  => 19158, auswandern
                                  => 27163,
                        auswanderung
                                  => 9317, auswartige
                                  => 8788,
                        auswartigen
                                  => 7104, auswarts  => 11953,
                        auswartsspiel
                                  => 21631, ausweg    => 12207,
                        ausweichen
                                  => 10873, ausweis   => 21632,
                        ausweisen => 25657, ausweisung
                                  => 12067,
                        ausweitung
                                  => 8094, auswendig => 22116,
                        auswertung
                                  => 5625, auswertungen
                                  => 25003,
                        auswirken => 13596, auswirkt  => 22580, auswirkung
                                  => 12725,
                        auswirkungen
                                  => 2503, auswuchse => 29956,
                        auszahlen => 25004, auszahlung
                                  => 13455,
                        auszeichnen
                                  => 17864, auszeichnet
                                  => 17865,
                        auszeichnete
                                  => 23767, auszeichnung
                                  => 2732,
                        auszeichnungen
                                  => 3865, auszeit   => 14510,
                        ausziehen => 25005, auszuarbeiten
                                  => 29957,
                        auszubauen
                                  => 8864, auszubilden
                                  => 19890,
                        auszubildende
                                  => 16717, auszubildenden
                                  => 19891,
                        auszubrechen
                                  => 28963, auszudehnen
                                  => 23163,
                        auszudrucken
                                  => 13456, auszufuhren
                                  => 11830,
                        auszug    => 9573, auszuge   => 16986, auszugeben
                                  => 26352,
                        auszugehen
                                  => 9654, auszugen  => 28964,
                        auszugleichen
                                  => 10971, auszuliefern
                                  => 20730,
                        auszulosen
                                  => 23768, auszumachen
                                  => 16718,
                        auszunutzen
                                  => 21633, auszurichten
                                  => 18478,
                        auszuschalten
                                  => 16209, auszuschliessen
                                  => 8155,
                        auszusetzen
                                  => 28044, auszusprechen
                                  => 19498,
                        auszustatten
                                  => 22117, auszustellen
                                  => 28965,
                        auszutauschen
                                  => 15761, auszuuben => 12208,
                        auszuwahlen
                                  => 19499, auszuwandern
                                  => 25658,
                        auszuweichen
                                  => 21199, auszuweiten
                                  => 22118,
                        auszuziehen
                                  => 29958, authentisch
                                  => 15330,
                        authentische
                                  => 16210, authentischen
                                  => 16468,
                        authentizitat
                                  => 14316, authority => 13958,
                        auto      => 1623, autobahn  => 3997, autobahnen
                                  => 10513,
                        autobahnkreuz
                                  => 27164, autobiografie
                                  => 12989,
                        autobiografische
                                  => 28045, autobiografischen
                                  => 26353,
                        autobiographie
                                  => 13144, autobiographische
                                  => 21200,
                        autobiographischen
                                  => 19500,
                        autodidakt
                                  => 25006, autodidaktisch
                                  => 19159,
                        autofahrer
                                  => 22119, automaten => 16211,
                        automatik => 27165, automatikgetriebe
                                  => 24360,
                        automatisch
                                  => 2753, automatische
                                  => 9574,
                        automatischen
                                  => 11485, automatisiert
                                  => 20327,
                        automatisierte
                                  => 27166, automatisierung
                                  => 17866,
                        automobil => 18168, automobile
                                  => 10420,
                        automobilen
                                  => 17269, automobilhersteller
                                  => 21201,
                        automobilindustrie
                                  => 17867,
                        automotive
                                  => 22581, autonom   => 15762,
                        autonome  => 15972, autonomen => 10233, autonomie => 7133, autor     => 1134,
                        autoren   => 1346, autorin   => 4624, autorinnen
                                  => 19892,
                        autoritare
                                  => 28966, autoritaren
                                  => 19501,
                        autoritat => 5433, autoritaten
                                  => 17546,
                        autors    => 6204, autos     => 3733, autounfall
                                  => 7764,
                        autoverkehr
                                  => 25007, avancen   => 22582,
                        avancierte
                                  => 8156, avantgarde
                                  => 21634,
                        avenida   => 21202, avenue    => 6379, aviation  => 16469, avignon   => 26354,
                        award     => 2860, awards    => 6552, babelsberg
                                  => 29959,
                        baby      => 5212, babylon   => 18825, babys     => 14910, bachbett  => 24361,
                        bache     => 8008, bachelor  => 13762, bachen    => 13763, baches    => 8525,
                        bachlauf  => 22583, bachs     => 12726, backen    => 16470, backerei  => 11273,
                        backereien
                                  => 28046, backnang  => 29960,
                        backofen  => 23164, backstein => 12068, backsteinbau
                                  => 23769,
                        backsteinen
                                  => 19893, bacon     => 28967,
                        badeanstalt
                                  => 25008, badehaus  => 24362,
                        baden     => 4222, badeort   => 28047, bades     => 19894, badesee   => 26355,
                        badestrand
                                  => 27167, badewanne => 25659,
                        badezimmer
                                  => 21203, badische  => 15542,
                        badischen => 8009, badminton => 19160, bagdad    => 16212, bahamas   => 24363,
                        bahn      => 1432, bahnanlagen
                                  => 15111,
                        bahnanschluss
                                  => 20731, bahnbau   => 24364,
                        bahnbetrieb
                                  => 29961, bahnbetriebswerk
                                  => 25660,
                        bahndamm  => 18826, bahnen    => 5725, bahngesellschaft
                                  => 15112,
                        bahngesellschaften
                                  => 21204,
                        bahnhof   => 678, bahnhofe  => 7247, bahnhofen => 9318, bahnhofes => 11954,
                        bahnhofs  => 3866, bahnhofsgebaude
                                  => 9194,
                        bahnhofsgelande
                                  => 25009, bahnhofstrasse
                                  => 11486,
                        bahnhofsvorplatz
                                  => 22120, bahnkorper
                                  => 29962,
                        bahnlinie => 7848, bahnlinien
                                  => 25661,
                        bahnstation
                                  => 13292, bahnsteig => 6152,
                        bahnsteige
                                  => 7202, bahnsteigen
                                  => 16471,
                        bahnsteiggleise
                                  => 29963, bahnsteigs
                                  => 28968,
                        bahnstrecke
                                  => 3759, bahnstrecken
                                  => 19161,
                        bahntrasse
                                  => 18827, bahnubergang
                                  => 18169,
                        bahnverbindung
                                  => 27168, bahnverkehr
                                  => 18828,
                        bahrain   => 23770, bailey    => 14317, baker     => 10234, bakteriellen
                                  => 27169,
                        bakterien => 7849, bakterium => 23165, balance   => 11708, bald      => 469,
                        baldachin => 28048, baldige   => 25010, baldigen  => 28049, baldwin   => 17547,
                        balkan    => 12584, balken    => 6609, balkendecke
                                  => 22584,
                        balkon    => 9655, balkone   => 22585, ball      => 3204, ballade   => 15973,
                        balladen  => 19895, ballast   => 28050, ballauf   => 27170, balle     => 14101,
                        ballen    => 18170, ballett   => 13764, ballon    => 14911, ballons   => 23166,
                        balls     => 20732, baltikum  => 18829, baltimore => 12839, baltischen
                                  => 17270,
                        bambus    => 26356, bananen   => 21205, banat     => 29964, banco     => 28051,
                        band      => 199, bandbreite
                                  => 8095,
                        bande     => 2048, banden    => 4253, bander    => 10158, bandern   => 13597,
                        banderung => 23771, bandes    => 11831, bandgeschichte
                                  => 28052,
                        banditen  => 15331, bandkollegen
                                  => 29965,
                        bandleader
                                  => 23167, bandmitglied
                                  => 21206,
                        bandmitglieder
                                  => 7541, bandmitgliedern
                                  => 20733,
                        bandname  => 24365, bandnamen => 23168, bands     => 3392, bangkok   => 13765,
                        bangladesch
                                  => 16213, bank      => 1341,
                        banke     => 13766, banken    => 3956, bankgewerbe
                                  => 22586,
                        bankhaus  => 17868, bankier   => 13598, bankiers  => 17548, banknoten => 15332,
                        bankrott  => 14511, banks     => 19896, banner    => 9915, bantamgewicht
                                  => 29966,
                        baracke   => 28969, baracken  => 15763, barbaren  => 28053, barbarossa
                                  => 24366,
                        barcelona => 5056, baren     => 8789, barfuss   => 27171, bargeld   => 18479,
                        bargen    => 29967, bariton   => 29968, barker    => 18830, barmen    => 25011,
                        barmherzigkeit
                                  => 22121, barnes    => 17271,
                        barock    => 6984, barocke   => 4984, barocken  => 6055, barocker  => 17869,
                        barockes  => 23772, barockisiert
                                  => 28970,
                        barockzeit
                                  => 23169, baronet   => 20328,
                        baronie   => 26357, baronin   => 21207, barons    => 19162, barrel    => 26358,
                        barrett   => 22122, barrichello
                                  => 23170,
                        barriere  => 15543, barrierefrei
                                  => 20734,
                        barrieren => 21208, barrikaden
                                  => 23773,
                        barrow    => 27172, barry     => 9575, basal     => 26359, basale    => 22587,
                        basalen   => 21635, basalt    => 21636, baseball  => 15544, basel     => 3001,
                        basen     => 10001, basieren  => 6943, basierend => 7105, basierende
                                  => 18831,
                        basierenden
                                  => 17272, basiert   => 2793,
                        basierte  => 8470, basierten => 19163, basil     => 25662, basilika  => 7448,
                        basis     => 856, basketball
                                  => 8416,
                        baskets   => 26360, baskischen
                                  => 27173,
                        bass      => 4468, bassist   => 6125, bassisten => 9494, bastion   => 18832,
                        bastionen => 19502, bataillon => 6496, bataillone
                                  => 11955,
                        bataillonen
                                  => 26361, bataillons
                                  => 15333,
                        batavia   => 23171, baten     => 15334, bates     => 20735, batman    => 13457,
                        batterie  => 7449, batterien => 7850, battle    => 14318, bau       => 322,
                        bauabschnitt
                                  => 9916, bauabschnitten
                                  => 24367,
                        bauarbeiten
                                  => 2630, bauarbeiter
                                  => 21209,
                        bauart    => 5213, bauarten  => 20736, bauausfuhrung
                                  => 20737,
                        baubeginn => 6241, bauchflossen
                                  => 20329,
                        bauchseite
                                  => 10159, baudenkmal
                                  => 12585,
                        baudenkmale
                                  => 25663, baudenkmaler
                                  => 10235,
                        bauelemente
                                  => 16719, bauelementen
                                  => 29969,
                        bauen     => 2125, bauerin   => 28971, bauerliche
                                  => 13458,
                        bauerlichen
                                  => 9495, bauern    => 1424,
                        bauerndorf
                                  => 16214, bauernfamilie
                                  => 19897,
                        bauernhaus
                                  => 12990, bauernhauser
                                  => 19503,
                        bauernhof => 7106, bauernhofe
                                  => 10972,
                        bauernhofen
                                  => 27174, bauerschaft
                                  => 27175,
                        bauerschaften
                                  => 29970, baues     => 19898,
                        baufallig => 11082, baufallige
                                  => 20330,
                        baufalligen
                                  => 26362, baufalligkeit
                                  => 13767,
                        baufirma  => 21637, bauform   => 10085, bauformen => 17273, baugenehmigung
                                  => 21638,
                        baugeschichte
                                  => 13293, baugewerbe
                                  => 21639,
                        baugleich => 25012, baugrube  => 26363, baugrund  => 18480, baugruppen
                                  => 18833,
                        bauhauptgewerbe
                                  => 28972, bauherr   => 13145,
                        bauherren => 15113, bauherrn  => 23172, bauholz   => 27176, bauindustrie
                                  => 26364,
                        bauingenieur
                                  => 25013, baujahr   => 13146,
                        baukorper => 10236, baukosten => 6283, baukunst  => 17870, bauland   => 22588,
                        bauleiter => 29971, bauleitung
                                  => 24368,
                        baulich   => 9753, bauliche  => 6892, baulichen => 8657, baulichkeiten
                                  => 24369,
                        baumarten => 24370, baumassnahme
                                  => 29972,
                        baumassnahmen
                                  => 8658, baumaterial
                                  => 8157,
                        baumaterialien
                                  => 17274, baumbestand
                                  => 12727,
                        baume     => 2937, baumeisters
                                  => 28054,
                        baumen    => 3468, baumes    => 12840, baumgruppen
                                  => 28973,
                        baumhohlen
                                  => 25664, baumschule
                                  => 28055,
                        baumstamm => 25014, baumstammen
                                  => 20738,
                        baumwolle => 13147, baunummer => 28974, bauphase  => 9067, bauphasen => 17549,
                        bauplan   => 22589, bauplane  => 28975, bauplatz  => 18834, bauprojekt
                                  => 27177,
                        bauprojekte
                                  => 22123, baurat    => 24371,
                        baureihe  => 3867, baureihen => 16215, baus      => 5980, baustein  => 24372,
                        bausteine => 16987, baustelle => 9917, baustellen
                                  => 23173,
                        baustil   => 13768, baustoffe => 25665, bausubstanz
                                  => 6810,
                        baut      => 5294, bautatigkeit
                                  => 12209,
                        baute     => 1608, bauteil   => 13959, bauteile  => 6380, bauteilen => 14512,
                        bauten    => 1740, bautzen   => 14513, bauunternehmen
                                  => 20331,
                        bauunternehmer
                                  => 17871, bauvorhaben
                                  => 12341,
                        bauweise  => 4760, bauwerk   => 2504, bauwerke  => 5652, bauwerken => 11597,
                        bauwerks  => 7328, bauwesen  => 12841, bauwirtschaft
                                  => 28056,
                        bauzeit   => 3935, bavaria   => 21210, bayerische
                                  => 4863,
                        bayerischen
                                  => 2020, bayerischer
                                  => 14912,
                        bayerisches
                                  => 26365, bayern    => 1580,
                        bayernliga
                                  => 21211, bayerns   => 11956,
                        bayreuth  => 8096, bayreuther
                                  => 21212,
                        bayrischen
                                  => 19164, beabsichtigt
                                  => 7808,
                        beabsichtigte
                                  => 9412, beabsichtigten
                                  => 21213,
                        beach     => 6017, beachte   => 22590, beachten  => 5109, beachtet  => 7165,
                        beachteten
                                  => 25666, beachtlich
                                  => 26366,
                        beachtliche
                                  => 14319, beachtlichen
                                  => 21214,
                        beachtung => 4864, beamte    => 5245, beamten   => 3353, beamter   => 8729,
                        beanspruchen
                                  => 16472, beansprucht
                                  => 11189,
                        beanspruchte
                                  => 10789, beanspruchten
                                  => 19165,
                        beanspruchung
                                  => 20739, beantragen
                                  => 11957,
                        beantragt => 10237, beantragte
                                  => 8471,
                        beantragten
                                  => 27178, beantworten
                                  => 11365,
                        beantwortet
                                  => 9252, beantwortete
                                  => 28057,
                        beantwortung
                                  => 21215, bearbeiten
                                  => 10086,
                        bearbeiter
                                  => 23774, bearbeitet
                                  => 3620,
                        bearbeitete
                                  => 8202, bearbeiteten
                                  => 16473,
                        bearbeitung
                                  => 4625, bearbeitungen
                                  => 14913,
                        bears     => 21640, beatles   => 12991, beats     => 16720, beaufsichtigt
                                  => 26367,
                        beauftragen
                                  => 25667, beauftragt
                                  => 3034,
                        beauftragte
                                  => 5398, beauftragten
                                  => 16216,
                        beauftragter
                                  => 21216, beaumont  => 29973,
                        beautiful => 26368, beauty    => 22591, bebaut    => 5883, bebaute   => 23775,
                        bebauten  => 15335, bebauung  => 3684, bebauungsplan
                                  => 21217,
                        beben     => 19504, bebrutet  => 20740, becken    => 4135, beckens   => 14102,
                        beckett   => 24373, becky     => 29974, bedacht   => 8472, bedachte  => 28058,
                        bedankt   => 25015, bedarf    => 1781, bedarfs   => 14706, bedarfsfall
                                  => 25668,
                        bedauern  => 26369, bedauert  => 21641, bedauerte => 25669, bedecken  => 14707,
                        bedeckt   => 2322, bedeckte  => 16988, bedeckten => 20741, bedenken  => 5554,
                        bedeute   => 16217, bedeuten  => 5829, bedeutend => 6381, bedeutende
                                  => 2241,
                        bedeutenden
                                  => 3275, bedeutender
                                  => 4761,
                        bedeutenderen
                                  => 29975, bedeutendes
                                  => 9576,
                        bedeutendste
                                  => 6018, bedeutendsten
                                  => 3081,
                        bedeutendster
                                  => 23776, bedeutet  => 825,
                        bedeutete => 2733, bedeuteten
                                  => 19166,
                        bedeutsam => 10087, bedeutsame
                                  => 16474,
                        bedeutsamen
                                  => 15336, bedeutung => 350,
                        bedeutungen
                                  => 13459, bedeutungslos
                                  => 16218,
                        bedeutungslosigkeit
                                  => 19899,
                        bedford   => 22124, bedienen  => 6382, bedienstete
                                  => 19167,
                        bediensteten
                                  => 16219, bedient   => 2982,
                        bediente  => 9496, bedienten => 17872, bedienung => 7904, bedingt   => 2315,
                        bedingte  => 10238, bedingten => 15974, bedingung => 4783, bedingungen
                                  => 1479,
                        bedingungslos
                                  => 29976, bedrangnis
                                  => 18481,
                        bedrangt  => 15114, bedrohen  => 23174, bedrohlich
                                  => 18835,
                        bedroht   => 2992, bedrohte  => 12069, bedrohten => 12342, bedrohung => 4833,
                        bedrohungen
                                  => 14103, bedruckt  => 22592,
                        bedurfe   => 29977, bedurfen  => 20332, bedurfnis => 10239, bedurfnisse
                                  => 5214,
                        bedurfnissen
                                  => 11190, bedurfte  => 15115,
                        bedurften => 28059, bedurftige
                                  => 19168,
                        bedurftigen
                                  => 22125, beeindrucken
                                  => 28060,
                        beeindruckend
                                  => 18836, beeindruckende
                                  => 23175,
                        beeindruckenden
                                  => 25670, beeindruckt
                                  => 7016,
                        beeindruckte
                                  => 18171, beeinflussen
                                  => 4487,
                        beeinflusst
                                  => 2600, beeinflusste
                                  => 9841,
                        beeinflussten
                                  => 11366, beeinflussung
                                  => 12586,
                        beeintrachtigen
                                  => 12992, beeintrachtigt
                                  => 6845,
                        beeintrachtigte
                                  => 17550, beeintrachtigten
                                  => 28976,
                        beeintrachtigung
                                  => 15116, beeintrachtigungen
                                  => 16220,
                        beenden   => 3015, beendet   => 1358, beendete  => 861, beendeten => 7674,
                        beendigung
                                  => 4553, beengten  => 26370,
                        beerdigt  => 6778, beerdigung
                                  => 7723,
                        beerdigungen
                                  => 19900, beeren    => 9413,
                        beethoven => 10973, beethovens
                                  => 18482,
                        befahigt  => 21218, befahigung
                                  => 23176,
                        befahl    => 7017, befahrbar => 10874, befahren  => 4070, befahrene => 28061,
                        befahrenen
                                  => 28062, befall    => 21642,
                        befallen  => 12842, befallenen
                                  => 28063,
                        befand    => 540, befanden  => 1409, befassen  => 8417, befasst   => 3923,
                        befasste  => 3591, befassten => 16989, befehl    => 2983, befehle   => 8659,
                        befehlen  => 20333, befehligte
                                  => 19505,
                        befehlsgewalt
                                  => 28064, befehlshaber
                                  => 9656,
                        befestigen
                                  => 16990, befestigt => 2961,
                        befestigte
                                  => 7542, befestigten
                                  => 8097,
                        befestigter
                                  => 25016, befestigung
                                  => 6019,
                        befestigungen
                                  => 11709, befestigungsanlage
                                  => 18172,
                        befestigungsanlagen
                                  => 12210,
                        befiehlt  => 12993, befinde   => 23777, befinden  => 402, befindet  => 177,
                        befindliche
                                  => 4570, befindlichen
                                  => 3612,
                        befohlen  => 15337, befolgt   => 21643, befordern => 7491, befordert => 2476,
                        beforderte
                                  => 10790, beforderten
                                  => 22593,
                        beforderung
                                  => 6153, befragen  => 14104,
                        befragt   => 7203, befragte  => 20742, befragten => 10240, befragung => 8526,
                        befragungen
                                  => 22126, befreien  => 3303,
                        befreit   => 2871, befreite  => 16221, befreiten => 16475, befreiung => 4088,
                        befreundet
                                  => 7724, befreundete
                                  => 17275,
                        befreundeten
                                  => 11487, befriedigen
                                  => 17551,
                        befriedigend
                                  => 23778, befriedigt
                                  => 19901,
                        befriedigung
                                  => 18837, befristet => 19506,
                        befristete
                                  => 23177, befruchtung
                                  => 17552,
                        befugnis  => 22127, befugnisse
                                  => 11367,
                        befuhr    => 28065, befuhren  => 28977, befullt   => 19902, befund    => 12994,
                        befunde   => 10602, befunden  => 5269, befurchten
                                  => 12843,
                        befurchtet
                                  => 8790, befurchtete
                                  => 9754,
                        befurchteten
                                  => 12211, befurchtung
                                  => 20334,
                        befurchtungen
                                  => 21644, befurworter
                                  => 9195,
                        befurwortern
                                  => 24374, befurwortet
                                  => 19169,
                        befurwortete
                                  => 19507, befurworteten
                                  => 25017,
                        begab     => 5981, begaben   => 21645, begabt    => 28066, begabte   => 20743,
                        begabten  => 22594, begabter  => 29978, begabung  => 8473, begangen  => 4357,
                        begangenen
                                  => 25671, begann    => 191,
                        begannen  => 1184, begeben   => 6740, begebenheit
                                  => 21646,
                        begebenheiten
                                  => 13294, begegnen  => 6893,
                        begegnet  => 4381, begegnete => 13295, begegneten
                                  => 29979,
                        begegnung => 2762, begegnungen
                                  => 3600,
                        begegnungsstatte
                                  => 22128, begehbar  => 20335,
                        begehbare => 28978, begehen   => 11274, begehren  => 19508, begehrt   => 12463,
                        begehrte  => 20744, begehrten => 20745, begeht    => 13296, begehung  => 27179,
                        begeistern
                                  => 13960, begeistert
                                  => 4659,
                        begeisterte
                                  => 13961, begeisterten
                                  => 25018,
                        begeisterter
                                  => 21647, begeisterung
                                  => 7204,
                        begibt    => 5677, begierde  => 28067, beging    => 9657, beginn    => 361,
                        beginnen  => 1995, beginnend => 6314, beginnende
                                  => 14320,
                        beginnenden
                                  => 9196, beginnt   => 597,
                        begleichen
                                  => 21219, begleitband
                                  => 23779,
                        begleiten => 5806, begleitend
                                  => 26371,
                        begleitende
                                  => 17276, begleitenden
                                  => 18483,
                        begleiter => 6894, begleitern
                                  => 27180,
                        begleitet => 1662, begleitete
                                  => 4834,
                        begleiteten
                                  => 13599, begleitheft
                                  => 29980,
                        begleitung
                                  => 5018, beglichen => 29981,
                        begnadigt => 12844, begnugen  => 19170, begonnen  => 1170, begonnene => 11275,
                        begonnenen
                                  => 14321, begraben  => 3315,
                        begrabnis => 10974, begrabnisplatz
                                  => 27181,
                        begrabnisstatte
                                  => 19903, begradigt => 19904,
                        begreifen => 14914, begreift  => 16476, begrenzen => 12587, begrenzt  => 2029,
                        begrenzte => 7018, begrenzten
                                  => 7248,
                        begrenzter
                                  => 22595, begrenzung
                                  => 8360,
                        begriff   => 669, begriffe  => 3377, begriffen => 6020, begriffes => 19509,
                        begriffs  => 9068, begrunden => 9319, begrunder => 7249, begrundet => 2556,
                        begrundete
                                  => 3316, begrundeten
                                  => 10330,
                        begrundung
                                  => 3413, begrussen => 26372,
                        begrusst  => 8474, begrusste => 20746, begrussten
                                  => 27182,
                        begunstigen
                                  => 22596, begunstigt
                                  => 7585,
                        begunstigte
                                  => 18173, begunstigten
                                  => 20336,
                        begutachtet
                                  => 28979, begutachtung
                                  => 17553,
                        behaart   => 3431, behaarte  => 17554, behaarten => 19905, behaarung => 12588,
                        behalt    => 8730, behalten  => 3976, behalter  => 9069, behaltern => 22597,
                        behandeln => 5324, behandelnde
                                  => 28980,
                        behandelnden
                                  => 22598, behandelt => 1633,
                        behandelte
                                  => 7851, behandelten
                                  => 12589,
                        behandlung
                                  => 1723, behandlungen
                                  => 13962,
                        behauenen => 17555, behaupten => 4223, behauptet => 3035, behauptete
                                  => 4331,
                        behaupteten
                                  => 14105, behauptung
                                  => 7134,
                        behauptungen
                                  => 13148, behausung => 22599,
                        behausungen
                                  => 21648, beheben   => 13460,
                        behebung  => 25019, beheimatet
                                  => 6242,
                        beheimatete
                                  => 20337, beheimateten
                                  => 25020,
                        beheizt   => 19906, beheizung => 27183, beherbergen
                                  => 12070,
                        beherbergt
                                  => 2824, beherbergte
                                  => 6985,
                        beherrschen
                                  => 10791, beherrscht
                                  => 6092,
                        beherrschte
                                  => 9414, beherrschten
                                  => 12845,
                        beherrschung
                                  => 17277, behielt   => 2417,
                        behielten => 8527, behilflich
                                  => 20338,
                        behindern => 12995, behindert => 7725, behinderte
                                  => 9253,
                        behinderten
                                  => 10421, behinderter
                                  => 29982,
                        behinderung
                                  => 6410, behinderungen
                                  => 13297,
                        behoben   => 9497, behorde   => 4543, behorden  => 1605, behordliche
                                  => 20747,
                        behordlichen
                                  => 26373, bei       => 29,
                        beibehalten
                                  => 4707, beibehaltung
                                  => 12846,
                        beibringen
                                  => 23178, beichte   => 26374,
                        beichtet  => 27184, beide     => 226, beiden    => 105, beider    => 1883,
                        beiderseitigen
                                  => 27185, beiderseits
                                  => 9254,
                        beides    => 6411, beidseitig
                                  => 7289,
                        beidseits => 18174, beieinander
                                  => 12847,
                        beifahrer => 21649, beifall   => 15764, beigaben  => 16721, beige     => 17278,
                        beigebracht
                                  => 19171, beigefugt => 20339,
                        beigegeben
                                  => 28981, beigelegt => 11488,
                        beigemessen
                                  => 28068, beigeordneten
                                  => 23179,
                        beigeordneter
                                  => 28069, beigesetzt
                                  => 2084,
                        beigetragen
                                  => 5905, beigetreten
                                  => 16477,
                        beiheft   => 25021, beihilfe  => 17873, beilage   => 11598, beilagen  => 28070,
                        beilaufig => 25672, beilegung => 27186, beim      => 107, bein      => 7057,
                        beinahe   => 3131, beiname   => 19907, beinamen  => 6741, beine     => 2798,
                        beinen    => 8418, beinhalten
                                  => 5962,
                        beinhaltet
                                  => 2772, beinhaltete
                                  => 8158,
                        beinhalteten
                                  => 16722, beinpaare => 28071,
                        beirat    => 8731, beirut    => 18838, beisein   => 15117, beiseite  => 25673,
                        beisetzung
                                  => 15118, beisitzer => 15119,
                        beispiel  => 431, beispiele => 3165, beispielen
                                  => 12590,
                        beispielhaft
                                  => 13298, beispielhafte
                                  => 28982,
                        beispielsweise
                                  => 506, beissen   => 24375,
                        beisst    => 29983, beistand  => 14915, beisteuerte
                                  => 28072,
                        beitrag   => 1518, beitrage  => 1214, beitragen => 3847, beitragt  => 18484,
                        beitrat   => 23180, beitreten => 19172, beitritt  => 9197, beitrug   => 13769,
                        beitrugen => 22600, beiwagen  => 10514, beizubringen
                                  => 24376,
                        beizutragen
                                  => 20748, beizutreten
                                  => 23780,
                        bejagt    => 29984, bejagung  => 27187, bekam     => 939, bekamen   => 3820,
                        bekampfen => 7166, bekampft  => 9755, bekampfte => 23181, bekampften
                                  => 27188,
                        bekampfung
                                  => 5702, bekannt   => 151,
                        bekannte  => 1256, bekannten => 1230, bekannter => 4195, bekannteren
                                  => 28073,
                        bekanntes => 11191, bekannteste
                                  => 6183,
                        bekanntesten
                                  => 3196, bekanntestes
                                  => 12848,
                        bekanntgabe
                                  => 12849, bekanntgegeben
                                  => 5503,
                        bekanntheit
                                  => 4918, bekanntheitsgrad
                                  => 11599,
                        bekanntmachung
                                  => 13149, bekanntschaft
                                  => 9255,
                        bekanntwerden
                                  => 16222, bekehren  => 28074,
                        bekehrung => 20749, bekennen  => 21650, bekennt   => 15975, bekenntnis
                                  => 9918,
                        bekenntnisses
                                  => 25674, beklagen  => 9756,
                        beklagt   => 11489, beklagte  => 11832, beklagten => 21651, bekleiden => 26375,
                        bekleidet => 9132, bekleidete
                                  => 2872,
                        bekleideten
                                  => 26376, bekleidung
                                  => 14322,
                        bekommen  => 1613, bekommt   => 2007, bekraftigt
                                  => 17279,
                        bekraftigte
                                  => 21220, bekront   => 10331,
                        bekunden  => 22601, bekundet  => 25675, bekundete => 27189, beladen   => 14323,
                        beladung  => 25676, belag     => 21652, belagerer => 21653, belagert  => 16223,
                        belagerte => 22602, belagerten
                                  => 15976,
                        belagerung
                                  => 3944, belagerungen
                                  => 24377,
                        belange   => 6811, belangen  => 15120, belangt   => 27190, belassen  => 10088,
                        belastbarkeit
                                  => 21221, belasten  => 16723,
                        belastenden
                                  => 29985, belastet  => 6284,
                        belastete => 16478, belasteten
                                  => 18485,
                        belastigt => 19908, belastung => 4488, belastungen
                                  => 9320,
                        belaufen  => 13600, belauft   => 11276, belauscht => 21222, beleben   => 25022,
                        belebt    => 21223, belebten  => 28983, beleg     => 6812, belegbar  => 18839,
                        belege    => 5486, belegen   => 3044, belegschaft
                                  => 10422,
                        belegt    => 1091, belegte   => 965, belegten  => 5173, belegung  => 18175,
                        belehnt   => 17280, belehnung => 25023, beleidigt => 17281, beleidigung
                                  => 16991,
                        beleidigungen
                                  => 29986, beleuchten
                                  => 25677,
                        beleuchtet
                                  => 7586, beleuchtete
                                  => 28984,
                        beleuchteten
                                  => 29987, beleuchtung
                                  => 6243,
                        belfast   => 21654, belfort   => 25024, belgien   => 2430, belgiens  => 28985,
                        belgier   => 15545, belgische => 8791, belgischen
                                  => 5726,
                        belgischer
                                  => 27191, belgrad   => 8660,
                        belgrader => 28986, belichtet => 18840, belichtung
                                  => 16479,
                        belieben  => 18176, beliebig  => 6705, beliebige => 9198, beliebigen
                                  => 8865,
                        beliebiger
                                  => 24378, beliebt   => 3152,
                        beliebte  => 7205, beliebten => 8159, beliebter => 8044, beliebtes => 6285,
                        beliebteste
                                  => 20340, beliebtesten
                                  => 7417,
                        beliebtheit
                                  => 6056, belief    => 5579,
                        beliefen  => 6846, beliefert => 16224, belieferte
                                  => 28987,
                        believe   => 28075, bell      => 7107, bella     => 15977, bellas    => 28988,
                        bellen    => 25025, bellevue  => 22603, belohnt   => 11600, belohnung => 9199,
                        belohnungen
                                  => 28076, beluftung => 22604,
                        bemalt    => 8929, bemalte   => 17282, bemalten  => 17874, bemalung  => 10603,
                        bemangeln => 28077, bemangelt => 11601, bemangelte
                                  => 23781,
                        bemangelten
                                  => 23782, bemannte  => 25678,
                        bemerkbar => 9001, bemerken  => 10696, bemerkenswert
                                  => 4607,
                        bemerkenswerte
                                  => 12464, bemerkenswerten
                                  => 19173,
                        bemerkenswerter
                                  => 23182, bemerkenswertes
                                  => 28989,
                        bemerkt   => 3685, bemerkte  => 8098, bemerkten => 26377, bemerkung => 13461,
                        bemerkungen
                                  => 9415, bemessen  => 20341,
                        bemuhen   => 8253, bemuht    => 4254, bemuhte   => 4159, bemuhten  => 15546,
                        bemuhungen
                                  => 3601, benachbart
                                  => 28990,
                        benachbarte
                                  => 5653, benachbarten
                                  => 2431,
                        benachbarter
                                  => 17556, benachrichtigt
                                  => 29988,
                        benachteiligt
                                  => 18177, benachteiligten
                                  => 23783,
                        benachteiligung
                                  => 29989, benannt   => 884,
                        benannte  => 3185, benannten => 5982, benediktiner
                                  => 27192,
                        benehmen  => 22129, benennen  => 10875, benennt   => 16992, benennung => 5857,
                        benoit    => 28078, benotige  => 25026, benotigen => 4820, benotigt  => 1656,
                        benotigte => 3477, benotigten
                                  => 4644,
                        bensheim  => 23784, benson    => 21224, bentheim  => 25027, bentley   => 25679,
                        benton    => 28991, benutzen  => 4196, benutzer  => 5039, benutzern => 17875,
                        benutzeroberflache
                                  => 25680,
                        benutzers => 25681, benutzt   => 1242, benutzte  => 5197, benutzten => 7726,
                        benutzung => 5626, benzin    => 10160, beobachten
                                  => 2882,
                        beobachter
                                  => 5270, beobachtern
                                  => 17876,
                        beobachters
                                  => 29990, beobachtet
                                  => 1749,
                        beobachtete
                                  => 8661, beobachteten
                                  => 10975,
                        beobachtung
                                  => 5092, beobachtungen
                                  => 4211,
                        beordert  => 22605, bepflanzt => 16993, bepflanzung
                                  => 20342,
                        bequem    => 17557, beraten   => 8866, beratend  => 20750, beratende => 15547,
                        beratender
                                  => 23785, berater   => 3328,
                        beraterin => 19510, beratern  => 23183, beratung  => 4762, beratungen
                                  => 13963,
                        beratungsstellen
                                  => 28992, beraubt   => 11833,
                        berchtesgaden
                                  => 20751, berechnen => 9002,
                        berechnet => 4590, berechnete
                                  => 20752,
                        berechneten
                                  => 20343, berechnung
                                  => 4571,
                        berechnungen
                                  => 8361, berechtigt
                                  => 7019,
                        berechtigte
                                  => 17283, berechtigten
                                  => 14708,
                        berechtigung
                                  => 16480, bereich   => 293,
                        bereiche  => 2099, bereichen => 1648, bereichern
                                  => 19511,
                        bereichert
                                  => 19909, bereicherung
                                  => 21225,
                        bereiches => 21226, bereichs  => 14106, bereift   => 24379, bereinigt => 27193,
                        bereist   => 27194, bereiste  => 9256, bereit    => 1790, bereiten  => 11368,
                        bereitet  => 7809, bereitete => 5753, bereiteten
                                  => 18486,
                        bereitgestellt
                                  => 7630, bereitgestellten
                                  => 25682,
                        bereits   => 87, bereitschaft
                                  => 8160,
                        bereitstellen
                                  => 15765, bereitstellung
                                  => 10241,
                        bereitwillig
                                  => 19174, bereitzustellen
                                  => 17558,
                        bereut    => 19910, bergab    => 16481, bergakademie
                                  => 29991,
                        bergamo   => 28993, bergarbeiter
                                  => 26378,
                        bergauf   => 20753, bergbau   => 4098, bergbaus  => 14514, berge     => 3572,
                        bergen    => 3205, berges    => 5580, bergfried => 14709, berghang  => 21227,
                        berghangen
                                  => 24380, berghutte => 27195,
                        bergisch  => 24381, bergische => 28994, bergischen
                                  => 16482,
                        bergland  => 12465, bergleute => 10604, bergleuten
                                  => 18178,
                        bergrucken
                                  => 17559, bergsporn => 28995,
                        bergstation
                                  => 16994, bergsteiger
                                  => 13462,
                        bergstrasse
                                  => 17877, bergung   => 12591,
                        bergwerk  => 4849, bergwerke => 15978, bergwerken
                                  => 22606,
                        bergwerks => 16724, bergwertung
                                  => 21655,
                        bericht   => 1736, berichte  => 2510, berichten => 2482, berichterstatter
                                  => 22130,
                        berichterstattung
                                  => 6412, berichtet => 1321,
                        berichtete
                                  => 3082, berichteten
                                  => 7167,
                        berichts  => 24382, berief    => 6706, beriefen  => 27196, beriet    => 14710,
                        berittene => 29992, berittenen
                                  => 28079,
                        berkeley  => 12996, berlin    => 249, berliner  => 937, berlins   => 6184,
                        bern      => 3199, bernard   => 7329, bernardo  => 20344, bernie    => 27197,
                        berry     => 22607, berta     => 15121, bertelsmann
                                  => 21656,
                        bertha    => 11083, bertrand  => 26379, beruchtigt
                                  => 26380,
                        beruchtigten
                                  => 24383, berucksichtigen
                                  => 5462,
                        berucksichtigt
                                  => 2467, berucksichtigte
                                  => 23786,
                        berucksichtigung
                                  => 3854, beruf     => 1767,
                        berufe    => 10515, berufen   => 1922, beruflich => 7020, berufliche
                                  => 5246,
                        beruflichen
                                  => 4382, beruflicher
                                  => 25683,
                        berufsausbildung
                                  => 12850, berufsbegleitend
                                  => 29993,
                        berufsbezeichnung
                                  => 26381,
                        berufsfachschule
                                  => 28996, berufsfeuerwehr
                                  => 16995,
                        berufsgruppen
                                  => 18179, berufsleben
                                  => 18487,
                        berufsschule
                                  => 12212, berufsschulen
                                  => 28997,
                        berufstatige
                                  => 29994, berufstatigkeit
                                  => 22608,
                        berufsverband
                                  => 28080, berufsverbot
                                  => 19512,
                        beruft    => 18180, berufung  => 4591, berufungen
                                  => 28081,
                        berufungsgericht
                                  => 24384, beruhe    => 28082,
                        beruhen   => 8010, beruhende => 29995, beruhigen => 13150, beruhigt  => 15122,
                        beruhmt   => 6205, beruhmte  => 6742, beruhmten => 6413, beruhmter => 14711,
                        beruhmteste
                                  => 18181, beruhmtesten
                                  => 12728,
                        beruhmtheit
                                  => 15548, beruhren  => 8099,
                        beruhrt   => 6895, beruhrte  => 23787, beruhrten => 25684, beruhrung => 6672,
                        beruht    => 4030, beruhte   => 10002, beruhten  => 24385, besagen   => 26382,
                        besagt    => 6743, besagte   => 14916, besagten  => 17560, besanftigen
                                  => 28083,
                        besass    => 1118, besassen  => 3310, besatzer  => 14515, besatzern => 29996,
                        besatzung => 1928, besatzungen
                                  => 13770,
                        besatzungsmacht
                                  => 9919, besatzungsmitglieder
                                  => 6383,
                        besatzungsmitgliedern
                                  => 25028,
                        besatzungstruppen
                                  => 20754,
                        besatzungszeit
                                  => 23184, besatzungszone
                                  => 15338,
                        beschadigen
                                  => 16996, beschadigt
                                  => 1779,
                        beschadigte
                                  => 6384, beschadigten
                                  => 11084,
                        beschadigung
                                  => 12592, beschadigungen
                                  => 9200,
                        beschaffen
                                  => 10089, beschaffenheit
                                  => 9577,
                        beschafft => 7543, beschaffte
                                  => 19513,
                        beschafften
                                  => 23788, beschaffung
                                  => 9321,
                        beschaftigen
                                  => 5215, beschaftigt
                                  => 1117,
                        beschaftigte
                                  => 1663, beschaftigten
                                  => 3432,
                        beschaftigung
                                  => 5040, beschamt  => 28998,
                        bescheid  => 13463, bescheiden
                                  => 12851,
                        bescheidene
                                  => 16725, bescheidenen
                                  => 11710,
                        bescheidener
                                  => 28084, bescheidenheit
                                  => 29997,
                        bescheinigt
                                  => 17284, bescheinigte
                                  => 19911,
                        beschert  => 28999, bescherte => 19912, beschieden
                                  => 12997,
                        beschiessung
                                  => 29000, beschildert
                                  => 29001,
                        beschilderung
                                  => 25029, beschimpft
                                  => 17285,
                        beschlagen
                                  => 23789, beschlagnahmt
                                  => 6154,
                        beschlagnahmte
                                  => 18182, beschlagnahmten
                                  => 19514,
                        beschleunigen
                                  => 10605, beschleunigt
                                  => 7206,
                        beschleunigte
                                  => 15766, beschleunigten
                                  => 19515,
                        beschleunigung
                                  => 7587, beschliessen
                                  => 6464,
                        beschliesst
                                  => 3791, beschloss => 2039,
                        beschlossen
                                  => 1683, beschlossene
                                  => 27198,
                        beschlossenen
                                  => 18488, beschluss => 3036,
                        beschlusse
                                  => 9416, beschlussen
                                  => 27199,
                        beschlusses
                                  => 27200, beschnitten
                                  => 19913,
                        beschossen
                                  => 11085, beschranken
                                  => 8662,
                        beschrankt
                                  => 2327, beschrankte
                                  => 5906,
                        beschrankten
                                  => 9658, beschrankung
                                  => 9003,
                        beschrankungen
                                  => 11711, beschreiben
                                  => 3967,
                        beschreibt
                                  => 1690, beschreibung
                                  => 1926,
                        beschreibungen
                                  => 7207, beschrieb => 3506,
                        beschrieben
                                  => 977, beschriebene
                                  => 7810,
                        beschriebenen
                                  => 5271, beschriftet
                                  => 17561,
                        beschriftung
                                  => 15979, beschuldigt
                                  => 6744,
                        beschuldigte
                                  => 11712, beschuldigten
                                  => 13601,
                        beschuldigungen
                                  => 26383, beschuss  => 8419,
                        beschutzen
                                  => 11602, beschutzer
                                  => 18841,
                        beschutzt => 19175, beschwerde
                                  => 11490,
                        beschwerden
                                  => 5110, beschweren
                                  => 27201,
                        beschwert => 15123, beschwerte
                                  => 24386,
                        beschworen
                                  => 22609, beschwort => 21657,
                        beseitigen
                                  => 7330, beseitigt => 5174,
                        beseitigung
                                  => 8475, besessen  => 9257,
                        besessenheit
                                  => 29998, besetzen  => 6315,
                        besetzt   => 1624, besetzte  => 5780, besetzten => 3977, besetzung => 1880,
                        besetzungen
                                  => 17286, besichtigen
                                  => 8161,
                        besichtigt
                                  => 5379, besichtigung
                                  => 13299,
                        besichtigungen
                                  => 29002, besiedeln => 13771,
                        besiedelt => 2426, besiedelte
                                  => 14516,
                        besiedelten
                                  => 9004, besiedelung
                                  => 12852,
                        besiedlung
                                  => 3281, besiegelt => 16483,
                        besiegen  => 5602, besiegt   => 4608, besiegte  => 5703, besiegten => 15124,
                        besiktas  => 24387, besinnung => 25685, besitz    => 602, besitze   => 17562,
                        besitzen  => 1163, besitzer  => 1473, besitzerin
                                  => 17287,
                        besitzern => 13300, besitzers => 15980, besitzerwechsel
                                  => 21228,
                        besitzes  => 11713, besitzt   => 534, besitztumer
                                  => 16484,
                        besitzungen
                                  => 4197, besitzverhaltnisse
                                  => 19516,
                        besondere => 1102, besonderem
                                  => 11192,
                        besonderen
                                  => 1898, besonderer
                                  => 2908,
                        besonderes
                                  => 4031, besonderheit
                                  => 2853,
                        besonderheiten
                                  => 5830, besonders => 274,
                        besorgen  => 12593, besorgt   => 7450, besorgte  => 13602, bespannt  => 23185,
                        bespielt  => 25030, besprechen
                                  => 25686,
                        besprechung
                                  => 13772, besprechungen
                                  => 16997,
                        besprochen
                                  => 11491, besser    => 1043,
                        bessere   => 2530, besseren  => 3166, besserer  => 13301, besseres  => 11086,
                        besserte  => 29003, besserung => 14324, best      => 4554, bestand   => 315,
                        bestande  => 4129, bestanden => 1510, bestandene
                                  => 29004,
                        bestandenen
                                  => 24388, bestandes => 18489,
                        bestandig => 10003, bestandigkeit
                                  => 23186,
                        bestandsaufnahme
                                  => 14712, bestandteil
                                  => 1996,
                        bestandteile
                                  => 6465, bestandteilen
                                  => 16726,
                        bestarkt  => 21229, bestatigen
                                  => 6057,
                        bestatigt => 1526, bestatigte
                                  => 3561,
                        bestatigten
                                  => 8930, bestatigung
                                  => 6813,
                        bestatten => 28085, bestattet => 4425, bestatteten
                                  => 25031,
                        bestattung
                                  => 9498, bestattungen
                                  => 9920,
                        beste     => 1300, bestechung
                                  => 20755,
                        bestehe   => 10161, bestehen  => 587, bestehend => 3924, bestehende
                                  => 2209,
                        bestehenden
                                  => 1887, bestehender
                                  => 11277,
                        bestehendes
                                  => 15767, bestehens => 5983,
                        besteht   => 221, besteigen => 15125, besteigung
                                  => 14713,
                        bestellen => 15549, bestellt  => 3613, bestellte => 9659, bestellten
                                  => 13464,
                        bestellung
                                  => 9417, bestellungen
                                  => 16727,
                        bestem    => 23187, besten    => 670, bestenfalls
                                  => 20345,
                        bestens   => 21658, bester    => 3317, bestes    => 4530, besteuert => 29005,
                        besteuerung
                                  => 14107, besticht  => 22610,
                        bestieg   => 18490, bestiegen => 11834, bestimmbar
                                  => 26384,
                        bestimmen => 2741, bestimmend
                                  => 23188,
                        bestimmende
                                  => 25687, bestimmenden
                                  => 22611,
                        bestimmt  => 1032, bestimmte => 1195, bestimmten
                                  => 1120,
                        bestimmter
                                  => 5198, bestimmtes
                                  => 7959,
                        bestimmung
                                  => 3254, bestimmungen
                                  => 4531,
                        bestleistung
                                  => 16485, bestmarke => 22131,
                        bestmoglich
                                  => 27202, bestmogliche
                                  => 24389,
                        bestplatzierten
                                  => 14917, bestrafen => 21230,
                        bestraft  => 7331, bestrafung
                                  => 10792,
                        bestreben => 12853, bestrebt  => 14714, bestrebungen
                                  => 6021,
                        bestreiten
                                  => 7765, bestreitet
                                  => 10004,
                        bestritt  => 1383, bestritten
                                  => 4078,
                        bestseller
                                  => 13603, bestuckt  => 11958,
                        bestuhlung
                                  => 29999, bestunde  => 26385,
                        besturzt  => 27203, bestzeit  => 12729, besuch    => 1784, besuche   => 11492,
                        besuchen  => 2581, besucher  => 1352, besuchern => 3998, besucherzahl
                                  => 24390,
                        besucherzahlen
                                  => 14715, besucherzentrum
                                  => 19914,
                        besuchs   => 23790, besucht   => 1862, besuchte  => 723, besuchten => 5136,
                        betatigen => 14517, betatigt  => 8792, betatigte => 3936, betatigung
                                  => 10162,
                        betatigungsfeld
                                  => 28086, betaubt   => 24391,
                        beteiligen
                                  => 5884, beteiligt => 835,
                        beteiligte
                                  => 2962, beteiligten
                                  => 1899,
                        beteiligter
                                  => 30000, beteiligung
                                  => 2553,
                        beteiligungen
                                  => 12466, beten     => 15126,
                        betet     => 25688, beteuert  => 20756, bethel    => 28087, bethlehem => 21659,
                        betitelt  => 16998, beton     => 5858, betonen   => 9133, betoniert => 27204,
                        betont    => 3167, betonte   => 5247, betonten  => 16225, betonung  => 10606,
                        betracht  => 7168, betrachten
                                  => 3957,
                        betrachter
                                  => 5093, betrachters
                                  => 21231,
                        betrachtet
                                  => 1447, betrachtete
                                  => 6206,
                        betrachteten
                                  => 9578, betrachtlich
                                  => 9757,
                        betrachtliche
                                  => 11193, betrachtlichen
                                  => 12071,
                        betrachtlicher
                                  => 26386, betrachtliches
                                  => 21660,
                        betrachtung
                                  => 6185, betrachtungen
                                  => 13302,
                        betrachtungsweise
                                  => 28088,
                        betraf    => 6244, betrafen  => 9499, betrag    => 5555, betrage   => 14716,
                        betragen  => 3362, betragt   => 449, betrat    => 12998, betraut   => 6316,
                        betraute  => 25032, betreffen => 8100, betreffend
                                  => 9201,
                        betreffende
                                  => 11369, betreffenden
                                  => 5487,
                        betreiben => 3052, betreiber => 3978, betreibergesellschaft
                                  => 18491,
                        betreibern
                                  => 25033, betreibt  => 2293,
                        betreten  => 3440, betreuen  => 12213, betreuer  => 14918, betreut   => 3002,
                        betreute  => 5248, betreuten => 15768, betreuung => 4800, betrieb   => 337,
                        betriebe  => 2144, betrieben => 751, betriebene
                                  => 7960,
                        betriebenen
                                  => 10423, betriebes => 11278,
                        betrieblich
                                  => 24392, betriebliche
                                  => 19176,
                        betrieblichen
                                  => 11714, betriebs  => 10516,
                        betriebsfuhrung
                                  => 15127, betriebshof
                                  => 15550,
                        betriebskosten
                                  => 14717, betriebsleiter
                                  => 29006,
                        betriebsnummern
                                  => 28089, betriebsrat
                                  => 25689,
                        betriebsstunden
                                  => 27205, betriebssystem
                                  => 10793,
                        betriebssysteme
                                  => 25690, betriebssystems
                                  => 25034,
                        betriebswirtschaft
                                  => 23189,
                        betriebswirtschaftslehre
                                  => 17288,
                        betriebszeit
                                  => 26387, betrifft  => 4865,
                        betritt   => 7332, betroffen => 2595, betroffene
                                  => 6414,
                        betroffenen
                                  => 2328, betroffener
                                  => 29007,
                        betrogen  => 12854, betrug    => 608, betrugen  => 4645, betruger  => 23791,
                        betrugs   => 25691, betrugt   => 16999, betrunken => 13465, betrunkenen
                                  => 25692,
                        betsaal   => 28090, bett      => 3743, betten    => 5603, better    => 26388,
                        bettler   => 20757, betty     => 8793, between   => 29008, beugen    => 22132,
                        beugt     => 25693, beunruhigt
                                  => 23190,
                        beurlaubt => 15339, beurteilen
                                  => 9322,
                        beurteilt => 8528, beurteilte
                                  => 26389,
                        beurteilung
                                  => 6415, beute     => 4241,
                        beutetiere
                                  => 13964, beuys     => 27206,
                        beverly   => 20758, bevolkert => 25694, bevolkerung
                                  => 404,
                        bevolkerungsanteil
                                  => 17000,
                        bevolkerungsdichte
                                  => 3046,
                        bevolkerungsentwicklung
                                  => 23191,
                        bevolkerungsgruppe
                                  => 25695,
                        bevolkerungsgruppen
                                  => 13151,
                        bevolkerungsmehrheit
                                  => 25696,
                        bevolkerungsruckgang
                                  => 24393,
                        bevolkerungsschichten
                                  => 18183,
                        bevolkerungswachstum
                                  => 7379,
                        bevolkerungszahl
                                  => 4346, bevolkerungszunahme
                                  => 15551,
                        bevolkerungszuwachs
                                  => 24394,
                        bevollmachtigten
                                  => 25697, bevor     => 582,
                        bevorstehende
                                  => 18842, bevorstehenden
                                  => 9258,
                        bevorzugen
                                  => 9323, bevorzugt => 2601,
                        bevorzugte
                                  => 7135, bevorzugten
                                  => 8732,
                        bevorzugung
                                  => 23792, bewachen  => 20759,
                        bewachsen => 12072, bewachsene
                                  => 29009,
                        bewacht   => 12467, bewachung => 17001, bewaffnet => 9500, bewaffnete
                                  => 9758,
                        bewaffneten
                                  => 5984, bewaffneter
                                  => 22612,
                        bewaffnung
                                  => 7058, bewahren  => 4850,
                        bewahrt   => 4784, bewahrte  => 7852, bewahrten => 14325, bewahrung => 7853,
                        bewaldet  => 5528, bewaldete => 11370, bewaldeten
                                  => 7961,
                        bewaltigen
                                  => 8045, bewaltigt => 15981,
                        bewaltigte
                                  => 28091, bewaltigung
                                  => 14718,
                        bewarb    => 7905, bewarben  => 23192, bewasserung
                                  => 13773,
                        bewegen   => 2210, beweggrunde
                                  => 19915,
                        beweglich => 13965, bewegliche
                                  => 11959,
                        beweglichen
                                  => 10517, beweglichkeit
                                  => 15982,
                        bewegt    => 2974, bewegte   => 6896, bewegten  => 10163, bewegung  => 1180,
                        bewegungen
                                  => 3580, bewegungsfreiheit
                                  => 17563,
                        bewegungsrichtung
                                  => 27207,
                        beweis    => 4184, beweise   => 4851, beweisen  => 4198, beweist   => 14719,
                        bewerben  => 12073, bewerber  => 7021, bewerbern => 25035, bewerbung => 9501,
                        bewerbungen
                                  => 17564, bewerten  => 10005,
                        bewertet  => 3581, bewertete => 13604, bewerteten
                                  => 25036,
                        bewertung => 3945, bewertungen
                                  => 10090,
                        bewies    => 11371, bewiesen  => 8203, bewilligt => 12999, bewilligte
                                  => 18492,
                        bewilligung
                                  => 20346, bewirbt   => 27208,
                        bewirken  => 8867, bewirkt   => 5529, bewirkte  => 11960, bewirkten => 20760,
                        bewirtschaften
                                  => 19916, bewirtschaftet
                                  => 6986,
                        bewirtschaftete
                                  => 11715, bewirtschafteten
                                  => 15128,
                        bewirtschaftung
                                  => 9324, bewog     => 22613,
                        bewogen   => 23193, bewohnbar => 26390, bewohnen  => 11961, bewohner  => 981,
                        bewohnern => 3744, bewohnt   => 3206, bewohnte  => 7727, bewohnten => 10697,
                        beworben  => 11835, bewuchs   => 19177, bewundern => 21232, bewundert => 15983,
                        bewunderte
                                  => 26391, bewunderung
                                  => 16226,
                        bewusst   => 2243, bewusste  => 16227, bewusstlos
                                  => 13605,
                        bewusstlosigkeit
                                  => 25037, bewusstsein
                                  => 4185,
                        bewusstseins
                                  => 19917, beyond    => 18843,
                        bezahlen  => 4489, bezahlt   => 4572, bezahlte  => 10698, bezahlten => 15769,
                        bezahlung => 8595, bezeichnen
                                  => 3890,
                        bezeichnend
                                  => 23194, bezeichnet
                                  => 253,
                        bezeichnete
                                  => 1501, bezeichneten
                                  => 4120,
                        bezeichnung
                                  => 501, bezeichnungen
                                  => 3491,
                        bezeugen  => 14919, bezeugt   => 6610, bezichtigt
                                  => 19918,
                        bezichtigte
                                  => 24395, beziehen  => 2734,
                        bezieht   => 1964, beziehung => 1107, beziehungen
                                  => 1402,
                        beziehungsweise
                                  => 1932, beziffert => 12594,
                        bezirk    => 2049, bezirke   => 7728, bezirken  => 11279, bezirkes  => 19178,
                        bezirks   => 6673, bezirksamt
                                  => 13000,
                        bezirksgericht
                                  => 18493, bezirkshauptmannschaft
                                  => 24396,
                        bezirksklasse
                                  => 14720, bezirksliga
                                  => 5530,
                        bezirksregierung
                                  => 29010, bezirksstaatsanwalt
                                  => 28092,
                        bezog     => 3677, bezogen   => 2254, bezogene  => 22133, bezogenen => 23195,
                        bezug     => 1370, bezuge    => 9579, bezugen   => 23196, bezuglich => 2477,
                        bezwang   => 19517, bezweifelt
                                  => 13303,
                        biathlon  => 28093, bibel     => 4555, biberach  => 18844, bibliographie
                                  => 15984,
                        bibliographischen
                                  => 28094,
                        bibliographisches
                                  => 24397,
                        bibliothek
                                  => 1562, bibliothekar
                                  => 16486,
                        bibliotheken
                                  => 5488, biblische => 11280,
                        biblischen
                                  => 10794, biegt     => 13152,
                        biegung   => 26392, bielefelder
                                  => 25038,
                        bienen    => 11836, biennale  => 22134, biere     => 29011, biergarten
                                  => 25698,
                        biete     => 11837, bieten    => 1576, bieter    => 23793, bietet    => 571,
                        bigband   => 26393, bilanz    => 5727, bilanzsumme
                                  => 18184,
                        bilaterale
                                  => 26394, bilateralen
                                  => 23197,
                        bilbao    => 21233, bild      => 623, bildband  => 23198, bilden    => 741,
                        bildende  => 8204, bildenden => 7675, bildender => 14721, bilder    => 1044,
                        bilderbuch
                                  => 23199, bildern   => 2523,
                        bildes    => 6466, bildet    => 646, bildete   => 1292, bildeten  => 2032,
                        bildhauer => 4313, bildhauerei
                                  => 13001,
                        bildhauerin
                                  => 25699, bildhauers
                                  => 12468,
                        bildlich  => 26395, bildliche => 28095, bildmaterial
                                  => 26396,
                        bildmitte => 19179, bildnis   => 11716, bildnisse => 20347, bildqualitat
                                  => 28096,
                        bildrand  => 14518, bildschirm
                                  => 9759,
                        bildsprache
                                  => 18185, bildung   => 1035,
                        bildungsarbeit
                                  => 20348, bildungseinrichtung
                                  => 19180,
                        bildungseinrichtungen
                                  => 11717,
                        bildungsministerium
                                  => 24398,
                        bildungspolitik
                                  => 20349, bildungssystem
                                  => 18186,
                        bildungsweg
                                  => 29012, bildungswesen
                                  => 19518,
                        bildungswesens
                                  => 27209, bildungszentrum
                                  => 21234,
                        bildwerke => 29013, bill      => 4676, billboard => 13774, billie    => 29014,
                        billig    => 19519, billige   => 22614, billigen  => 20350, billiger  => 13606,
                        billigte  => 22615, billigung => 23794, bills     => 25039, billy     => 6342,
                        binde     => 17878, bindeglied
                                  => 23200,
                        bindemittel
                                  => 29015, binden    => 6587,
                        bindend   => 19919, bindestrich
                                  => 27210,
                        bindet    => 10607, bindung   => 5041, bindungen => 13775, bingen    => 23795,
                        binnen    => 5399, binnenland
                                  => 23796,
                        biochemie => 25040, biografie => 6814, biografien
                                  => 19520,
                        biografische
                                  => 20351, biografischen
                                  => 28097,
                        biograph  => 26397, biographie
                                  => 6022,
                        biographien
                                  => 15552, biographische
                                  => 15129,
                        biographischen
                                  => 17879, biographisches
                                  => 26398,
                        biologen  => 22616, biologie  => 6638, biologisch
                                  => 17565,
                        biologische
                                  => 10424, biologischen
                                  => 9660,
                        biologischer
                                  => 27211, biomasse  => 22135,
                        biotop    => 27212, biotope   => 25041, birken    => 22617, birmingham
                                  => 12074,
                        bis       => 28, bischofe  => 5272, bischofen => 18187, bischofliche
                                  => 19181,
                        bischoflichen
                                  => 10876, bischofs  => 6815,
                        bischofsamt
                                  => 24399, bischofskonferenz
                                  => 16728,
                        bischofssitz
                                  => 20352, bischofsweihe
                                  => 29016,
                        bisher    => 476, bisherige => 3168, bisherigen
                                  => 1750,
                        bisheriger
                                  => 28098, bishop    => 19920,
                        bislang   => 1182, bismarck  => 9070, bismarcks => 23797, bisschen  => 14326,
                        bistum    => 4403, bistumer  => 20761, bistums   => 8011, bisweilen => 6518,
                        bitte     => 4835, bitten    => 5930, bittere   => 25042, bitteren  => 20762,
                        bittet    => 2316, blair     => 18188, blake     => 11718, blanc     => 19521,
                        blanca    => 23798, blanche   => 17880, blanco    => 29017, blasen    => 21235,
                        blasorchester
                                  => 28099, blass     => 9202,
                        blasser   => 12855, blast     => 22136, blatt     => 3484, blattchen => 21236,
                        blatter   => 1842, blattern  => 4941, blattes   => 15553, blattoberseite
                                  => 22618,
                        blattrand => 11281, blattrander
                                  => 23799,
                        blattspitze
                                  => 22619, blattspreite
                                  => 8596,
                        blattspreiten
                                  => 15985, blattstiel
                                  => 10091,
                        blattstiele
                                  => 23800, blattunterseite
                                  => 17002,
                        blau      => 2216, blaue     => 4393, blauem    => 10332, blauen    => 3669,
                        blaues    => 17003, blaugrau  => 26399, blaugrun  => 23801, blaulich  => 20763,
                        blechen   => 29018, bleibe    => 9580, bleiben   => 806, bleibende => 18189,
                        bleibenden
                                  => 17289, bleibt    => 736,
                        bleistift => 25043, blende    => 21237, blenden   => 26400, blick     => 1399,
                        blicke    => 18494, blicken   => 11719, blickfeld => 18190, blickpunkt
                                  => 26401,
                        blickt    => 10877, blickte   => 27213, blickwinkel
                                  => 16729,
                        blieb     => 214, bliebe    => 19522, blieben   => 781, blies     => 29019,
                        blind     => 10608, blinde    => 12075, blinden   => 15340, blitz     => 10425,
                        blitzschlag
                                  => 19921, blockade  => 14327,
                        blocke    => 8012, blocken   => 13304, blockieren
                                  => 14920,
                        blockiert => 8529, blockierte
                                  => 24400,
                        blockierten
                                  => 25044, blocks    => 11603,
                        blogs     => 26402, blonde    => 18191, blonden   => 24401, blood     => 13966,
                        bloom     => 23201, bloss     => 7962, blosse    => 10878, blossem   => 11838,
                        blossen   => 12595, blues     => 6207, bluhen    => 20353, bluhende  => 21238,
                        bluhenden => 24402, bluht     => 12214, bluhte    => 16228, blut      => 2963,
                        blutbad   => 29020, blute     => 5273, bluten    => 2505, blutenhullblatter
                                  => 22620,
                        blutenkrone
                                  => 27214, blutenrohre
                                  => 28100,
                        blutenstand
                                  => 15130, blutenstande
                                  => 16229,
                        blutenstiele
                                  => 14519, blutes    => 28101,
                        blutezeit => 4332, blutig    => 22137, blutige   => 22138, blutigen  => 11282,
                        blutungen => 19922, board     => 5728, boards    => 22139, bobby     => 10242,
                        bochum    => 5434, bochumer  => 16230, boden     => 595, bodenbeschaffenheit
                                  => 29021,
                        bodennahe => 25045, bodenplatte
                                  => 22140,
                        bodenreform
                                  => 17004, bodens    => 8931,
                        bodenschatze
                                  => 21661, bodensee  => 12596,
                        bodentruppen
                                  => 27215, boeing    => 9842,
                        bogen     => 3548, bogens    => 18845, bogenschutzen
                                  => 18495,
                        bogota    => 29022, bohlau    => 13776, bohmen    => 5416, bohmische => 19182,
                        bohmischen
                                  => 7250, bohren    => 20764,
                        bohrloch  => 28102, bohrung   => 12597, bohrungen => 15341, bois      => 6707,
                        bolivar   => 27216, bolivien  => 13002, bollwerk  => 28103, bologna   => 11839,
                        bolschewiki
                                  => 22621, bolzen    => 25046,
                        bombardement
                                  => 23802, bombardements
                                  => 29023,
                        bombardiert
                                  => 18496, bombardierung
                                  => 15342,
                        bombardierungen
                                  => 29024, bombay    => 23803,
                        bombe     => 7251, bomben    => 7333, bombenangriff
                                  => 14520,
                        bombenangriffe
                                  => 17290, bombentreffer
                                  => 18497,
                        bomber    => 9325, bonaparte => 29025, bonifatius
                                  => 25047,
                        bonn      => 2369, bonner    => 8420, bonnie    => 19923, bonus     => 16487,
                        boogie    => 26403, booklet   => 20354, books     => 13003, boot      => 2194,
                        boote     => 3469, booten    => 8205, bootes    => 13777, booth     => 28104,
                        boppard   => 28105, bord      => 1895, borde     => 28106, bordeaux  => 12598,
                        bordell   => 21662, borken    => 26404, borneo    => 26405, borough   => 22622,
                        borse     => 7022, borsengang
                                  => 19924,
                        borsten   => 11604, borussia  => 8421, bosartigen
                                  => 27217,
                        boschung  => 27218, bosen     => 6467, boses     => 21663, bosewicht => 27219,
                        bosnien   => 12215, boston    => 4942, botanik   => 12216, botaniker => 19183,
                        botanische
                                  => 15343, botanischen
                                  => 9134,
                        boten     => 4737, botschaft => 3338, botschaften
                                  => 11194,
                        botschafter
                                  => 5199, botschafterin
                                  => 25700,
                        botschafters
                                  => 21239, bottas    => 15770,
                        boulevard => 11087, bowler    => 24403, boxen     => 9760, boxengasse
                                  => 24404,
                        boxenstopp
                                  => 21240, boxer     => 8794,
                        boxte     => 19523, boykott   => 19925, bozen     => 14521, brabant   => 29026,
                        brabham   => 18192, brach     => 1892, brachen   => 7334, brachte   => 638,
                        brachten  => 2574, bradford  => 23202, bradley   => 15554, brady     => 21241,
                        brahms    => 22141, branch    => 18498, branche   => 7208, branchen  => 9259,
                        brande    => 11372, branden   => 18499, brandenburgische
                                  => 25048,
                        brandenburgischen
                                  => 13153,
                        brandon   => 18846, brandschutz
                                  => 20765,
                        brandstiftung
                                  => 14108, brannte   => 4186,
                        brannten  => 11605, brasil    => 26406, brasilianer
                                  => 18500,
                        brasilianische
                                  => 13466, brasilianischen
                                  => 7492,
                        brasilien => 2661, brasiliens
                                  => 14109,
                        bratislava
                                  => 13467, brauch    => 8530,
                        brauche   => 9071, brauchen  => 8013, braucht   => 4333, brauchte  => 7252,
                        brauchten => 16231, brauchtum => 18501, brauerei  => 4509, brauereien
                                  => 14328,
                        brauhaus  => 16488, braunen   => 6497, braunkohle
                                  => 20355,
                        braunlich => 8162, braunliche
                                  => 21664,
                        braunlichen
                                  => 25049, braunschweig
                                  => 3240,
                        braunschweiger
                                  => 9661, braunschweigischen
                                  => 22623,
                        braut     => 6416, brave     => 29027, bravo     => 22624, break     => 16232,
                        breaks    => 27220, brechen   => 6286, brechts   => 27221, bregenz   => 17566,
                        breisgau  => 6674, breit     => 885, breite    => 684, breitem   => 26407,
                        breiten   => 1687, breitengrad
                                  => 22142,
                        breitensport
                                  => 24405, breiter   => 3777,
                        breitere  => 10976, breiteren => 9260, breites   => 5754, breitesten
                                  => 20766,
                        breitet   => 17291, breitete  => 13607, bremen    => 2126, bremens   => 23804,
                        bremerhaven
                                  => 10879, bremischen
                                  => 21665,
                        bremse    => 19184, bremsen   => 8476, brenda    => 26408, brendan   => 28107,
                        brennan   => 28108, brennelemente
                                  => 27222,
                        brennen   => 13004, brennende => 20767, brennenden
                                  => 12730,
                        brennerei => 16233, brennpunkt
                                  => 23805,
                        brennstoff
                                  => 15555, brennt    => 14522,
                        brennweite
                                  => 24406, brent     => 26409,
                        brentano  => 27223, bresche   => 29028, brescia   => 26410, breslau   => 4490,
                        breslauer => 15556, brest     => 18193, bretagne  => 13967, bretonischen
                                  => 25050,
                        brett     => 9418, bretter   => 18502, brettern  => 19524, brian     => 6745,
                        bricht    => 3592, bridge    => 6708, brief     => 1708, briefe    => 2913,
                        briefen   => 6746, briefes   => 22625, briefkasten
                                  => 26411,
                        brieflich => 27224, briefmarke
                                  => 17881,
                        briefmarken
                                  => 10426, briefwechsel
                                  => 9326,
                        brigade   => 5831, brigadegeneral
                                  => 20768,
                        brigaden  => 15344, briggs    => 29029, bright    => 22143, brillanten
                                  => 28109,
                        brille    => 13468, brilon    => 22626, bringe    => 21242, bringen   => 897,
                        bringt    => 1283, brisbane  => 18847, bristol   => 12469, britain   => 26412,
                        britannien
                                  => 20356, brite     => 20357,
                        briten    => 3016, britische => 1771, britischen
                                  => 911,
                        britischer
                                  => 7023, britisches
                                  => 21666,
                        british   => 4677, brixen    => 25051, broadcasting
                                  => 28110,
                        broadway  => 11373, bronze    => 3224, bronzeglocken
                                  => 22144,
                        bronzemedaille
                                  => 3891, bronzemedaillen
                                  => 13305,
                        bronzene  => 23203, bronzezeit
                                  => 11606,
                        brook     => 15557, brooke    => 18848, brooklyn  => 11962, brooks    => 12076,
                        broschure => 13968, broschuren
                                  => 17005,
                        brot      => 5435, brothers  => 11963, brown     => 4071, browne    => 25701,
                        browns    => 21243, browser   => 17882, bruce     => 7209, bruche    => 16234,
                        bruchs    => 29030, bruchstein
                                  => 25702,
                        bruchsteinen
                                  => 18849, bruchstucke
                                  => 15345,
                        bruchteil => 25052, brucke    => 875, brucken   => 3276, bruckenbau
                                  => 21667,
                        bruckenkopf
                                  => 16489, bruder    => 403,
                        brudern   => 4212, bruders   => 3828, bruderschaft
                                  => 10880,
                        bruderschaften
                                  => 28111, brugge    => 17883,
                        bruins    => 29031, brunnen   => 2617, brunnens  => 17006, bruno     => 4785,
                        brunswick => 24407, brussel   => 5137, brusseler => 21244, brust     => 3282,
                        brustflossen
                                  => 15131, brustseite
                                  => 29032,
                        brustung  => 14722, brustungen
                                  => 27225,
                        brutal    => 9502, brutale   => 17007, brutalen  => 16490, brutaler  => 25703,
                        brutalitat
                                  => 19926, bruten    => 9662,
                        brutet    => 15558, brutgebiet
                                  => 25053,
                        brutpaare => 25054, brutto    => 28112, bruttoinlandsprodukt
                                  => 28113,
                        brutvogel => 21245, brutzeit  => 7676, bryan     => 18503, buben     => 29033,
                        buch      => 480, buchanan  => 25055, buchautor => 23806, buchdrucker
                                  => 24408,
                        buchdruckerei
                                  => 25056, buche     => 10006,
                        buchen    => 14110, buchenwald
                                  => 16730,
                        buchern   => 2943, buches    => 3582, buchform  => 13306, buchhalter
                                  => 18194,
                        buchhaltung
                                  => 22627, buchhandel
                                  => 22628,
                        buchhandler
                                  => 16731, buchhandlung
                                  => 9581,
                        buchmesse => 23204, buchreihe => 16235, buchs     => 15132, buchstabe => 11195,
                        buchstaben
                                  => 1888, buchstablich
                                  => 22145,
                        bucht     => 4270, buchten   => 15133, buchtitel => 27226, budapest  => 5463,
                        budapester
                                  => 21246, buddha    => 16491,
                        buddhismus
                                  => 11283, buddhistische
                                  => 19525,
                        buddhistischen
                                  => 12217, buden     => 25057,
                        budget    => 5781, budgets   => 19927, buenos    => 9503, buffalo   => 13154,
                        buffel    => 29034, buhne     => 1951, buhnen    => 5907, buhnenbild
                                  => 23807,
                        building  => 11374, bukarest  => 11088, bulgaren  => 18850, bulgarien => 5859,
                        bulgariens
                                  => 19928, bulgarische
                                  => 12077,
                        bulgarischen
                                  => 9419, bulle     => 21247,
                        bullen    => 18504, bulletin  => 14723, bulls     => 23808, bund      => 2914,
                        bunde     => 13608, bundel    => 23205, bundeln   => 17884, bundes    => 4304,
                        bundesamt => 14523, bundesarchiv
                                  => 19526,
                        bundesautobahn
                                  => 22629, bundesbahn
                                  => 13155,
                        bundesdeutsche
                                  => 18851, bundesdeutschen
                                  => 16732,
                        bundesebene
                                  => 11493, bundesgebiet
                                  => 19527,
                        bundesgericht
                                  => 26413, bundesgerichtshof
                                  => 20358,
                        bundesgesetz
                                  => 21248, bundeshauptstadt
                                  => 23206,
                        bundesheer
                                  => 25704, bundeskanzler
                                  => 17008,
                        bundesland
                                  => 9005, bundeslander
                                  => 7418,
                        bundeslandern
                                  => 5200, bundeslandes
                                  => 25058,
                        bundesliga
                                  => 1915, bundesligaspiele
                                  => 26414,
                        bundesligisten
                                  => 24409, bundesminister
                                  => 25059,
                        bundesministerium
                                  => 11089,
                        bundesministeriums
                                  => 20769,
                        bundespolizei
                                  => 27227, bundespost
                                  => 28114,
                        bundesprasident
                                  => 22146, bundesprasidenten
                                  => 19185,
                        bundesrat => 9006, bundesrates
                                  => 19528,
                        bundesregierung
                                  => 4290, bundesrepublik
                                  => 2003,
                        bundesstaat
                                  => 5832, bundesstaaten
                                  => 6847,
                        bundesstaates
                                  => 9663, bundesstaats
                                  => 24410,
                        bundesstrasse
                                  => 8254, bundesstrassen
                                  => 29035,
                        bundestag => 6093, bundestages
                                  => 13969,
                        bundestagswahl
                                  => 14329, bundesverband
                                  => 14111,
                        bundesverbandes
                                  => 24411, bundesverdienstkreuz
                                  => 26415,
                        bundesverfassung
                                  => 28115, bundesverfassungsgericht
                                  => 17885,
                        bundesversammlung
                                  => 24412,
                        bundesvorsitzender
                                  => 29036,
                        bundesvorstand
                                  => 19186, bundeswehr
                                  => 4491,
                        bundesweit
                                  => 6440, bundesweite
                                  => 17292,
                        bundesweiten
                                  => 15134, bundner   => 19529,
                        bundnis   => 4358, bundnisse => 27228, bundnisses
                                  => 22630,
                        bunker    => 8733, bunten    => 12731, bunter    => 24413, bureau    => 13609,
                        buren     => 14112, burg      => 514, burganlage
                                  => 7419,
                        burgberg  => 23809, burgen    => 5704, burgenland
                                  => 12078,
                        burgenlandischen
                                  => 20770, burgerbeteiligung
                                  => 28116,
                        burgerhaus
                                  => 16236, burgerhauser
                                  => 25705,
                        burgerinitiative
                                  => 13610, burgerinnen
                                  => 29037,
                        burgerkrieg
                                  => 6317, burgerkrieges
                                  => 15346,
                        burgerkriegs
                                  => 12343, burgerliche
                                  => 7059,
                        burgerlichen
                                  => 3837, burgerlicher
                                  => 13970,
                        burgerliches
                                  => 25060, burgermeister
                                  => 860,
                        burgermeisteramt
                                  => 24414, burgermeisterei
                                  => 17009,
                        burgermeisterin
                                  => 11196, burgermeistern
                                  => 27229,
                        burgermeisters
                                  => 5504, burgermeisterwahl
                                  => 17886,
                        burgern   => 4224, burgerrecht
                                  => 13307,
                        burgerrechte
                                  => 18505, burgers   => 20359,
                        burgerschaft
                                  => 6023, burgerschule
                                  => 17887,
                        burgertum => 13308, burgertums
                                  => 16237,
                        burgerwehr
                                  => 23810, burgess   => 26416,
                        burggrafen
                                  => 25706, burghof   => 19187,
                        burgkapelle
                                  => 21668, burgruine => 11964,
                        burgstall => 22631, burgstrasse
                                  => 29038,
                        burgtheater
                                  => 29039, burgtor   => 29040,
                        burgund   => 17567, buro      => 2926, burogebaude
                                  => 16492,
                        burokratie
                                  => 20360, burokratischen
                                  => 27230,
                        buroraume => 25061, buros     => 5400, burschen  => 24415, burschenschaft
                                  => 15771,
                        burschenschaften
                                  => 28117, burton    => 16733,
                        burzel    => 18506, busbahnhof
                                  => 15559,
                        buschen   => 15560, bushaltestelle
                                  => 17568,
                        bushaltestellen
                                  => 27231, bushido   => 29041,
                        business  => 5885, buslinie  => 10333, buslinien => 7493, bussen    => 11965,
                        buste     => 13309, busten    => 22632, busverbindungen
                                  => 21249,
                        busverkehr
                                  => 23207, butler    => 10795,
                        button    => 17569, byron     => 18195, bytes     => 23208, byzantiner
                                  => 29042,
                        byzantinische
                                  => 15347, byzantinischen
                                  => 9420,
                        byzantinischer
                                  => 27232, byzanz    => 16238,
                        cabecera  => 24416, cabriolet => 17570, cache     => 25707, cadillac  => 25062,
                        caesar    => 10092, caesars   => 22147, cafe      => 4821, cafes     => 11966,
                        cafeteria => 28118, cairns    => 24417, calcio    => 26417, caldera   => 28119,
                        calgary   => 17888, california
                                  => 10699,
                        calvin    => 15986, cambridge => 5755, camera    => 21250, cameron   => 14330,
                        camilla   => 23811, camille   => 20771, camp      => 7494, campbell  => 9007,
                        campingplatz
                                  => 11607, campingplatze
                                  => 25063,
                        campo     => 15561, camps     => 21251, campus    => 4919, canada    => 10334,
                        canadian  => 12470, canal     => 13310, cancer    => 22633, candy     => 20772,
                        cannabis  => 25708, cannes    => 18507, cannon    => 27233, cannstatt => 20773,
                        canon     => 23209, canterbury
                                  => 17889,
                        canyon    => 14724, capella   => 25064, capital   => 11608, capitol   => 17571,
                        cappella  => 29043, captain   => 5654, cardiff   => 25709, cardinals => 26418,
                        carey     => 28120, cargo     => 17572, caritas   => 21669, carla     => 18508,
                        carlos    => 5985, carol     => 11284, carolina  => 6155, caroline  => 6848,
                        carpenter => 27234, carrera   => 21670, carrie    => 19530, carroll   => 20361,
                        carson    => 25710, carter    => 8206, cartoons  => 26419, casanova  => 26420,
                        casey     => 20362, casino    => 12218, cassie    => 29044, cassius   => 19531,
                        castell   => 25065, castello  => 19188, castillo  => 22148, casting   => 19929,
                        castle    => 4469, castro    => 15135, castrum   => 22149, cathedral => 28121,
                        catherine => 7906, cathy     => 26421, cecil     => 21252, cedar     => 25066,
                        celeste   => 23210, celia     => 27235, celle     => 10700, celsius   => 9761,
                        celtic    => 20774, cembalo   => 25067, cemetery  => 7677, census    => 22150,
                        center    => 3169, centers   => 22151, central   => 5341, centre    => 6024,
                        centro    => 15987, centrum   => 28122, century   => 15136, cerro     => 19189,
                        cesar     => 18509, ceylon    => 28123, chair     => 22152, chairman  => 14331,
                        challenge => 10796, challenger
                                  => 17010,
                        chamber   => 19190, chambers  => 21671, champagne => 28124, champion  => 13778,
                        champions => 7907, championship
                                  => 7210,
                        championships
                                  => 16493, chance    => 2735,
                        chancen   => 5274, chancenlos
                                  => 22153,
                        chandler  => 27236, chang     => 25711, change    => 18510, channel   => 13611,
                        chanson   => 23211, chansons  => 22634, chaos     => 6208, chaotisch => 28125,
                        chaotischen
                                  => 25712, chapel    => 29045,
                        chaplin   => 26422, chapman   => 15988, charakter => 1465, charakterart
                                  => 22635,
                        charaktere
                                  => 4174, charakteren
                                  => 14332,
                        charakterisieren
                                  => 15989, charakterisiert
                                  => 6318,
                        charakterisierte
                                  => 22636, charakterisierung
                                  => 14524,
                        charakteristik
                                  => 23212, charakteristika
                                  => 25068,
                        charakteristikum
                                  => 28126, charakteristisch
                                  => 4394,
                        charakteristische
                                  => 7136, charakteristischen
                                  => 7588,
                        charakteristisches
                                  => 20363,
                        charakters
                                  => 10518, charge    => 27237,
                        charisma  => 29046, charite   => 28127, charles   => 2067, charleston
                                  => 18196,
                        charlie   => 6245, charlottenburg
                                  => 19930,
                        charme    => 14333, charta    => 20775, charter   => 25713, charterfolg
                                  => 17890,
                        charts    => 2266, chase     => 14921, chassis   => 9261, chateau   => 12079,
                        chatham   => 29047, chauffeur => 27238, chaussee  => 14334, chavez    => 28128,
                        chef      => 2877, chefarzt  => 21672, chefdirigent
                                  => 26423,
                        chefin    => 19931, chefredakteur
                                  => 6025,
                        chefredakteurin
                                  => 22154, chefs     => 13779,
                        cheftrainer
                                  => 7380, chelsea   => 14725,
                        chemical  => 22637, chemie    => 2767, chemikalien
                                  => 16239,
                        chemiker  => 12856, chemisch  => 14525, chemische => 5275, chemischen
                                  => 5019,
                        chemischer
                                  => 15990, chemistry => 26424,
                        chemnitz  => 6779, chemnitzer
                                  => 16734,
                        chemotherapie
                                  => 26425, cheng     => 25069,
                        cherokee  => 21253, cherry    => 25070, chess     => 28129, chester   => 17011,
                        chevalier => 25071, chevrolet => 18197, chicago   => 3663, chief     => 6519,
                        chiefs    => 23213, child     => 15562, children  => 15772, chile     => 6126,
                        chilenische
                                  => 23812, chilenischen
                                  => 14335,
                        chiles    => 22155, china     => 1145, chinas    => 6058, chinese   => 19191,
                        chinesen  => 7766, chinesisch
                                  => 14726,
                        chinesische
                                  => 3745, chinesischen
                                  => 2323,
                        chinesischer
                                  => 10007, chips     => 14727,
                        chirurg   => 14113, chirurgen => 17891, chirurgie => 9921, chirurgische
                                  => 19192,
                        chirurgischen
                                  => 22156, chloe     => 18511,
                        choice    => 29048, chopin    => 22638, chor      => 1414, choral    => 27239,
                        chorbogen => 18198, chore     => 11720, choren    => 24418, chores    => 8795,
                        chorfenster
                                  => 23813, chorgestuhl
                                  => 21673,
                        chorjoch  => 26426, chorleiter
                                  => 25714,
                        chororgel => 27240, chorraum  => 10243, chors     => 11090, chorwerke => 25715,
                        christen  => 2944, christentum
                                  => 5360,
                        christentums
                                  => 11721, christi   => 3633,
                        christianisierung
                                  => 21254,
                        christie  => 19532, christlich
                                  => 17892,
                        christliche
                                  => 3798, christlichen
                                  => 2483,
                        christlicher
                                  => 9762, christliches
                                  => 22157,
                        christmas => 15991, christus  => 2993, christuskirche
                                  => 23814,
                        chromosomen
                                  => 23815, chronicle => 24419,
                        chronik   => 3946, chroniken => 12344, chronisch => 22158, chronische
                                  => 22639,
                        chronischen
                                  => 13780, chronist  => 21255,
                        chronisten
                                  => 16494, chronologie
                                  => 14336,
                        chronologisch
                                  => 11197, chronologischen
                                  => 25072,
                        chronologischer
                                  => 25073, chrysler  => 19533,
                        chuck     => 13781, church    => 5216, churchill => 16240, cicero    => 15137,
                        cincinnati
                                  => 19193, cinema    => 13311,
                        circa     => 3072, circle    => 16735, circuit   => 25716, circus    => 18852,
                        citroen   => 28130, city      => 1556, ciudad    => 22640, civil     => 17893,
                        claire    => 8362, clans     => 10427, clara     => 5833, clare     => 17573,
                        clark     => 6520, clarke    => 14114, class     => 11494, classic   => 9504,
                        classical => 26427, classics  => 25074, claude    => 7854, claudio   => 18199,
                        clausura  => 26428, cleveland => 10977, client    => 15348, clients   => 22159,
                        clifford  => 20364, clinton   => 12857, clique    => 24420, clive     => 23816,
                        cloppenburg
                                  => 27241, cloud     => 14922,
                        clown     => 28131, clowns    => 29049, club      => 1468, clubhaus  => 29050,
                        clubs     => 4441, cluster   => 15138, coach     => 10244, coast     => 13612,
                        coburg    => 10245, coburger  => 25075, cockpit   => 9922, code      => 6246,
                        codes     => 15563, codex     => 11722, cohen     => 13005, coleman   => 24421,
                        collection
                                  => 14337, college   => 1733,
                        colleges  => 13469, collegium => 16736, collins   => 9582, colombo   => 27242,
                        colonel   => 7855, colonial  => 28132, color     => 26429, colorado  => 10093,
                        columbia  => 6319, columbus  => 16737, comeback  => 8307, comedy    => 13006,
                        comes     => 19932, comet     => 28133, comic     => 10519, comics    => 6611,
                        comite    => 24422, command   => 11609, commander => 14923, commerce  => 18512,
                        commercial
                                  => 20776, commission
                                  => 7169,
                        commissioner
                                  => 20777, committee => 5436,
                        commodore => 19933, common    => 16738, commons   => 18513, commonwealth
                                  => 18514,
                        communaute
                                  => 22160, commune   => 26430,
                        communes  => 28134, communication
                                  => 19534,
                        communications
                                  => 17894, community => 7381,
                        compagnie => 19535, company   => 2335, competition
                                  => 13782,
                        compiler  => 24423, complete  => 28135, computer  => 3686, computern => 15349,
                        computers => 24424, computerspiel
                                  => 29051,
                        computerspiele
                                  => 23817, computing => 26431,
                        comte     => 28136, concern   => 21674, concert   => 18515, concordia => 18853,
                        conde     => 23214, conference
                                  => 7678,
                        conferences
                                  => 28137, congress  => 15139,
                        connecticut
                                  => 12345, connie    => 25717,
                        conseil   => 23215, conservation
                                  => 21256,
                        conservative
                                  => 25718, constance => 20778,
                        construction
                                  => 26432, consulting
                                  => 22641,
                        container => 10797, containern
                                  => 23818,
                        conte     => 28138, contemporary
                                  => 23216,
                        contest   => 14924, conti     => 27243, continental
                                  => 10008,
                        contra    => 27244, control   => 9327, controller
                                  => 16241,
                        controlling
                                  => 27245, convention
                                  => 18516,
                        conway    => 17895, cordoba   => 16739, corner    => 22161, cornwall  => 23819,
                        corona    => 21675, corporate => 14925, corporation
                                  => 5276,
                        corps     => 4592, corpus    => 15140, cortes    => 17896, costa     => 6498,
                        cottbus   => 8932, cottbuser => 28139, cotton    => 29052, coulthard => 23217,
                        council   => 3968, councils  => 19194, country   => 7024, county    => 1640,
                        countys   => 11495, coupe     => 9923, coupes    => 22162, courage   => 17897,
                        course    => 28140, court     => 5437, cousin    => 7856, cousine   => 11198,
                        cousins   => 19195, coventry  => 24425, cover     => 6612, coverversionen
                                  => 21257,
                        cowboy    => 29053, cowboys   => 21258, craig     => 10798, crailsheim
                                  => 25719,
                        crane     => 29054, crawford  => 14526, crazy     => 15992, creative  => 20779,
                        credit    => 28141, credits   => 26433, creek     => 5531, creme     => 27246,
                        cremefarben
                                  => 15773, crew      => 7060,
                        crewmitglieder
                                  => 24426, cricket   => 16242,
                        crime     => 21259, cristina  => 26434, croix     => 26435, cromwell  => 26436,
                        crosby    => 22642, cross     => 9505, crown     => 16495, cruise    => 26437,
                        cruises   => 29055, crystal   => 15350, cultural  => 14527, culture   => 17293,
                        cumberland
                                  => 25076, cunningham
                                  => 27247,
                        curriculum
                                  => 27248, curtis    => 13007,
                        custom    => 26438, cuxhaven  => 21676, cyril     => 26439, cyrus     => 24427,
                        da        => 78, dabei     => 90, dach      => 1577, dachau    => 10520,
                        dachauer  => 29056, dachboden => 12346, dacher    => 11285, dachern   => 23218,
                        daches    => 19934, dachgeschoss
                                  => 11610,
                        dachkonstruktion
                                  => 18854, dachorganisation
                                  => 23820,
                        dachreiter
                                  => 8796, dachstuhl => 12471,
                        dachte    => 10978, dachverband
                                  => 13971,
                        dadurch   => 310, dafur     => 329, dagegen   => 594, daheim    => 11840,
                        daher     => 231, dahin     => 1061, dahingehend
                                  => 10701,
                        dahinter  => 3441, daily     => 12599, daimler   => 21677, daisy     => 16243,
                        dakar     => 26440, dakota    => 18200, dalai     => 28142, dallas    => 11611,
                        dalmatien => 27249, damalige  => 2191, damaligen => 940, damaliger => 12858,
                        damals    => 376, damaskus  => 14728, dame      => 4359, damen     => 3593,
                        dameneinzel
                                  => 25077, damenmannschaft
                                  => 19536,
                        damian    => 19935, damit     => 100, damme     => 16740, dammerung => 13312,
                        damon     => 11375, damonen   => 9008, dampf     => 9664, dampfe    => 20365,
                        dampfer   => 9763, dampflokomotive
                                  => 25078,
                        dampflokomotiven
                                  => 11496, dampfmaschine
                                  => 15141,
                        dampfmaschinen
                                  => 21260, dampfung  => 26441,
                        danach    => 203, dance     => 8422, dancing   => 21678, dandolo   => 28143,
                        daneben   => 589, danemark  => 2715, danemarks => 13613, danen     => 10979,
                        danische  => 4881, danischen => 3532, danischer => 18517, dank      => 1846,
                        dankbar   => 17574, dankbarkeit
                                  => 11723,
                        danken    => 28144, dankt     => 25720, dankte    => 26442, dann      => 103,
                        dante     => 20366, danzig    => 7679, danziger  => 13614, daphne    => 27250,
                        dar       => 550, daran     => 946, darauf    => 239, darauffolgende
                                  => 20780,
                        darauffolgenden
                                  => 2945, daraufhin => 363,
                        daraus    => 999, darbietung
                                  => 16244,
                        darbietungen
                                  => 14115, darcy     => 19537,
                        darf      => 1056, dargeboten
                                  => 26443,
                        dargebracht
                                  => 21679, dargelegt => 23219,
                        dargestellt
                                  => 979, dargestellte
                                  => 13156,
                        dargestellten
                                  => 6675, darin     => 565,
                        darkness  => 25079, darlehen  => 13972, darling   => 28145, darmstadt => 3454,
                        darmstadter
                                  => 18201, darren    => 25721,
                        darstelle => 20781, darstellen
                                  => 2763,
                        darstellende
                                  => 18855, darsteller
                                  => 4556,
                        darstellerin
                                  => 17898, darstellern
                                  => 18518,
                        darstellt => 2534, darstellte
                                  => 5931,
                        darstellten
                                  => 16245, darstellung
                                  => 787,
                        darstellungen
                                  => 2643, daruber   => 317,
                        darum     => 2197, darunter  => 468, darunterliegenden
                                  => 26444,
                        darwin    => 14729, darzustellen
                                  => 6209,
                        das       => 8, dasein    => 15351, daseins   => 27251, dass      => 40,
                        dasselbe  => 5249, datei     => 9328, dateien   => 9072, dateisystem
                                  => 29057,
                        daten     => 963, datenaustausch
                                  => 24428,
                        datenbank => 6247, datenbanken
                                  => 14528,
                        datenmengen
                                  => 25080, datensatze
                                  => 27252,
                        datenschutz
                                  => 22643, datenverarbeitung
                                  => 23821,
                        datieren  => 7253, datiert   => 2114, datierte  => 19196, datierten => 27253,
                        datierung => 5464, dato      => 6210, datum     => 3399, datums    => 17012,
                        dauer     => 2279, dauerausstellung
                                  => 9329,
                        dauerhaft => 3087, dauerhafte
                                  => 7767,
                        dauerhaften
                                  => 12859, dauerhafter
                                  => 22644,
                        dauern    => 5604, dauernd   => 21680, dauernde  => 14116, dauernden => 10246,
                        dauert    => 3017, dauerte   => 1912, dauerten  => 8423, daumen    => 15352,
                        dave      => 7290, davenport => 25081, davidson  => 19538, davies    => 15142,
                        davis     => 5401, davon     => 230, davos     => 15143, dawson    => 16246,
                        dazu      => 178, dazugehorige
                                  => 11967,
                        dazugehorigen
                                  => 8163, dazwischen
                                  => 4763,
                        deaktiviert
                                  => 19197, death     => 8308,
                        debatte   => 5001, debatten  => 8424, deborah   => 22163, debut     => 3792,
                        debutalbum
                                  => 4609, debutalbums
                                  => 20367,
                        debutierte
                                  => 5175, deck      => 7335,
                        decke     => 3892, deckel    => 9843, decken    => 4147, deckengemalde
                                  => 21261,
                        decknamen => 18856, decks     => 14529, deckstein => 10881, decksteine
                                  => 18857,
                        decksteinen
                                  => 25722, deckt     => 8797,
                        deckte    => 13615, deckten   => 25723, deckung   => 10094, deckungsgleich
                                  => 21262,
                        defekt    => 11841, defekte   => 13973, defekten  => 19539, defence   => 19936,
                        defense   => 14926, defensive => 9844, defensiven
                                  => 21263,
                        definieren
                                  => 7061, definiert => 2300,
                        definierte
                                  => 9262, definierten
                                  => 8425,
                        definition
                                  => 3378, definitionen
                                  => 11724,
                        definitiv => 14730, definitive
                                  => 27254,
                        defizit   => 22645, defizite  => 19937, degc      => 1015, deggendorf
                                  => 29058,
                        degli     => 21264, degradiert
                                  => 20782,
                        dehio     => 25724, dehnt     => 22646, dehnte    => 13974, deich     => 20783,
                        deiche    => 24429, deine     => 11968, deiner    => 26445, dekade    => 22164,
                        dekan     => 6094, dekanat   => 14530, deklaration
                                  => 29059,
                        deklariert
                                  => 13157, dekor     => 17899,
                        dekoration
                                  => 11969, dekorationen
                                  => 21681,
                        dekorativ => 29060, dekorative
                                  => 20784,
                        dekorativen
                                  => 19938, dekoriert => 11376,
                        dekret    => 10009, delaware  => 18202, delegation
                                  => 9330,
                        delegationen
                                  => 25082, delegiert => 28146,
                        delegierte
                                  => 17294, delegierten
                                  => 10799,
                        delegiertenversammlung
                                  => 29061,
                        delegierter
                                  => 11377, delft     => 25725,
                        delhi     => 16741, delikte   => 28147, della     => 6849, delle     => 16247,
                        delta     => 12347, deluxe    => 13008, dem       => 17, dementiert
                                  => 29062,
                        dementsprechend
                                  => 3363, demetrius => 29063,
                        demgegenuber
                                  => 7908, demgemass => 28148,
                        demjenigen
                                  => 20785, demnach   => 1758,
                        demnachst => 28149, demo      => 8046, democratic
                                  => 29064,
                        demokraten
                                  => 6676, demokratie
                                  => 3470,
                        demokratisch
                                  => 14731, demokratische
                                  => 6059,
                        demokratischen
                                  => 4089, demokratischer
                                  => 14338,
                        demokratisierung
                                  => 19540, demonstranten
                                  => 5908,
                        demonstration
                                  => 6987, demonstrationen
                                  => 7211,
                        demonstrativ
                                  => 23822, demonstrieren
                                  => 13158,
                        demonstriert
                                  => 17013, demonstrierte
                                  => 23823,
                        demonstrierten
                                  => 18858, demontage => 19939,
                        demontiert
                                  => 9845, demos     => 15144,
                        demselben => 4395, demut     => 27255, demzufolge
                                  => 8101,
                        den       => 6, denen     => 181, denjenigen
                                  => 9846,
                        denkbar   => 6639, denke     => 15993, denken    => 2566, denkens   => 11286,
                        denkmal   => 2370, denkmale  => 18519, denkmaler => 8798, denkmalern
                                  => 28150,
                        denkmalgeschutzt
                                  => 21265, denkmalgeschutzte
                                  => 12348,
                        denkmalgeschutzten
                                  => 13616,
                        denkmalliste
                                  => 9421, denkmalpflege
                                  => 6747,
                        denkmals  => 10428, denkmalschutz
                                  => 3053,
                        denkschrift
                                  => 19198, denkt     => 6287,
                        denkweise => 26446, denn      => 485, dennoch   => 580, denselben => 4593,
                        denver    => 13975, departamento
                                  => 25083,
                        departement
                                  => 7254, departements
                                  => 6897,
                        departementsstrasse
                                  => 25084,
                        department
                                  => 6850, deponie   => 22165,
                        deponiert => 19199, deportation
                                  => 14339,
                        deportationen
                                  => 23220, deportiert
                                  => 9422,
                        deportierten
                                  => 21682, deportivo => 21683,
                        depot     => 9009, depots    => 17014, depression
                                  => 9583,
                        depressionen
                                  => 14531, deputy    => 17575,
                        der       => 1, derart    => 4175, derartige => 4225, derartigen
                                  => 10164,
                        derartiger
                                  => 17576, derartiges
                                  => 29065,
                        derby     => 12472, derek     => 19541, deren     => 159, derer     => 5417,
                        dergleichen
                                  => 17577, derivate  => 28151,
                        derjenige => 7170, derjenigen
                                  => 9506,
                        derselbe  => 13009, derselben => 2093, derweil   => 5157, derzeit   => 1020,
                        derzeitige
                                  => 13010, derzeitigen
                                  => 11497,
                        derzeitiger
                                  => 26447, des       => 10,
                        desaster  => 17578, descartes => 26448, desert    => 20368, deshalb   => 448,
                        design    => 2441, designer  => 10702, designs   => 16496, desmond   => 25726,
                        desolaten => 29066, dessau    => 11612, dessauer  => 22647, desselben => 2427,
                        dessen    => 145, destiny   => 29067, desto     => 4160, deswegen  => 2378,
                        detail    => 6186, detailliert
                                  => 7857,
                        detaillierte
                                  => 8255, detaillierten
                                  => 13976,
                        details   => 2773, detective => 18859, detektiv  => 16248, detmold   => 15564,
                        detonation
                                  => 23221, detroit   => 8256,
                        deuten    => 4415, deutet    => 4259, deutete   => 12860, deuteten  => 27256,
                        deutlich  => 346, deutliche => 4058, deutlichem
                                  => 23824,
                        deutlichen
                                  => 5705, deutlicher
                                  => 5986,
                        deutliches
                                  => 19200, deutlichsten
                                  => 25727,
                        deutsche  => 241, deutschem => 9331, deutschen => 130, deutscher => 757,
                        deutsches => 4852, deutschland
                                  => 161,
                        deutschlands
                                  => 1529, deutschlandweit
                                  => 11287,
                        deutschsprachig
                                  => 23222, deutschsprachige
                                  => 5138,
                        deutschsprachigen
                                  => 2150, deutschsprachiger
                                  => 19940,
                        deutung   => 5756, deutungen => 13617, deutz     => 27257, development
                                  => 8799,
                        devil     => 26449, devils    => 15994, devon     => 27258, dezember  => 149,
                        dezentral => 24430, dezentrale
                                  => 24431,
                        dezentralisierung
                                  => 25728,
                        dezimiert => 20369, diabetes  => 22648, diagnose  => 6898, diagnostik
                                  => 11199,
                        diagnostiziert
                                  => 13159, diagonal  => 15565,
                        diagonale => 29068, diagonalen
                                  => 20786,
                        diagramm  => 15145, diakon    => 21266, diakonie  => 20370, dialekt   => 6640,
                        dialekte  => 11842, dialekten => 19542, dialektik => 23223, dialog    => 4470,
                        dialoge   => 7451, dialogen  => 16249, dialogs   => 21684, diamanten => 10335,
                        diamond   => 15566, diane     => 18860, diaspora  => 23825, dich      => 4900,
                        dicht     => 2249, dichte    => 3838, dichtem   => 19941, dichten   => 5932,
                        dichter   => 2825, dichterin => 17579, dichtern  => 23224, dichters  => 10429,
                        dichtes   => 17015, dichtesten
                                  => 26450,
                        dichtkunst
                                  => 22166, dichtung  => 6187,
                        dichtungen
                                  => 13618, dicke     => 4136,
                        dicken    => 5706, dickinson => 29069, dictionary
                                  => 20787,
                        didaktik  => 13011, didaktische
                                  => 20371,
                        die       => 2, diebe     => 20788, diebstahl => 9764, diebstahle
                                  => 22649,
                        diebstahls
                                  => 23826, diego     => 9507,
                        diejenige => 11091, diejenigen
                                  => 4383,
                        diele     => 29070, diene     => 27259, dienen    => 1177, dienende  => 21267,
                        dienenden => 19942, dienerin  => 28152, dienst    => 928, dienstag  => 13012,
                        dienstags => 24432, dienstboten
                                  => 27260,
                        dienste   => 3125, diensten  => 6343, dienstes  => 9924, dienstgrad
                                  => 12080,
                        dienstgrade
                                  => 25085, dienstleister
                                  => 13470,
                        dienstleistung
                                  => 18203, dienstleistungen
                                  => 4032,
                        dienstleistungsbetriebe
                                  => 28153,
                        dienstleistungssektor
                                  => 12732,
                        dienstleistungsunternehmen
                                  => 25086,
                        dienstmadchen
                                  => 18204, dienststelle
                                  => 13160,
                        dienststellen
                                  => 13977, dienstzeit
                                  => 10165,
                        dient     => 818, diente    => 713, dienten   => 2392, dies      => 114,
                        diesbezuglich
                                  => 10010, diesbezuglichen
                                  => 21268,
                        diese     => 50, dieselbe  => 3874, dieselben => 6641, diesellokomotiven
                                  => 22650,
                        dieselmotor
                                  => 12081, dieselmotoren
                                  => 16250,
                        diesem    => 108, diesen    => 184, dieser    => 53, dieses    => 119,
                        diesjahrigen
                                  => 28154, diesmal   => 1933,
                        diesseits => 26451, differentialgleichungen
                                  => 27261,
                        differenz => 7137, differenzen
                                  => 5532,
                        differenziert
                                  => 12349, differenzierte
                                  => 15995,
                        differenzierung
                                  => 9765, differieren
                                  => 24433,
                        diffusion => 28155, digital   => 5707, digitale  => 4626, digitalen => 4801,
                        digitaler => 14340, digitales => 28156, digitalisiert
                                  => 16251,
                        digitalisierung
                                  => 11725, diktator  => 17900,
                        diktatur  => 9766, dilemma   => 21685, dillenburg
                                  => 26452,
                        dillingen => 15353, dimension => 5933, dimensionen
                                  => 6588,
                        dimensioniert
                                  => 26453, dinamo    => 18520,
                        dinge     => 2596, dingen    => 7212, dingos    => 28157, dinner    => 29071,
                        dinosaurier
                                  => 19943, diogenes  => 19543,
                        dionysius => 27262, diozese   => 6944, diozesen  => 25729, diplom    => 6385,
                        diplomarbeit
                                  => 14532, diplomat  => 12861,
                        diplomaten
                                  => 10703, diplomatie
                                  => 19201,
                        diplomatische
                                  => 7729, diplomatischen
                                  => 6589,
                        diplomatischer
                                  => 23827, diplome   => 29072,
                        director  => 10166, direkt    => 450, direkte   => 2329, direktem  => 14341,
                        direkten  => 2222, direkter  => 5963, direktes  => 20789, direktion => 12473,
                        direktor  => 1254, direktoren
                                  => 13978,
                        direktorin
                                  => 9925, direktorium
                                  => 22651,
                        direktoriums
                                  => 25730, direktors => 13013,
                        dirigent  => 7730, dirigenten
                                  => 15567,
                        dirigieren
                                  => 27263, dirigierte
                                  => 14342,
                        disco     => 25731, discovery => 16497, diskothek => 19944, diskotheken
                                  => 23828,
                        diskreten => 27264, diskriminiert
                                  => 27265,
                        diskriminierung
                                  => 11288, diskurs   => 12733,
                        diskurse  => 29073, diskus    => 29074, diskussion
                                  => 2866,
                        diskussionen
                                  => 4404, diskuswurf
                                  => 26454,
                        diskutieren
                                  => 9847, diskutiert
                                  => 2664,
                        diskutierte
                                  => 14927, diskutierten
                                  => 20790,
                        disney    => 10609, display   => 15774, disposition
                                  => 17295,
                        disput    => 22167, disqualifikation
                                  => 25732,
                        disqualifiziert
                                  => 11726, dissertation
                                  => 2497,
                        dissertationen
                                  => 18861, distanz   => 3290,
                        distanzen => 15996, distanzieren
                                  => 25733,
                        distanziert
                                  => 10336, distanzierte
                                  => 10521,
                        distanzierung
                                  => 25087, distinguished
                                  => 27266,
                        distribution
                                  => 19202, district  => 6188,
                        distrikt  => 2818, distrikte => 13313, distrikts => 8363, disziplin => 4232,
                        disziplinen
                                  => 5418, disziplinenwertung
                                  => 28158,
                        diverse   => 1942, diversen  => 2432, diverser  => 10247, division  => 1471,
                        divisionen
                                  => 7255, divisions => 29075,
                        dixon     => 13314, doch      => 176, docks     => 28159, doctor    => 16498,
                        documenta => 27267, dodge     => 25088, dogen     => 11498, dogmatik  => 23225,
                        doktor    => 5834, doktoranden
                                  => 17901,
                        doktorarbeit
                                  => 13979, doktors   => 27268,
                        doktortitel
                                  => 21269, doktrin   => 22168,
                        dokument  => 4962, dokumentarfilm
                                  => 6521,
                        dokumentarfilme
                                  => 14343, dokumentarische
                                  => 29076,
                        dokumentarischen
                                  => 29077, dokumentation
                                  => 3037,
                        dokumentationen
                                  => 11843, dokumente => 2832,
                        dokumenten
                                  => 5605, dokumentieren
                                  => 7631,
                        dokumentiert
                                  => 2669, dokumentierte
                                  => 9263,
                        dokumentierten
                                  => 15775, dokuments => 29078,
                        dolch     => 19203, dollar    => 1889, dolly     => 28160, dolmen    => 12734,
                        dolmetscher
                                  => 17580, dolni     => 28161,
                        dolores   => 22169, domain    => 19945, domains   => 28162, domane    => 13980,
                        domanen   => 25089, domes     => 15776, domherr   => 25090, domherren => 27269,
                        dominant  => 20791, dominante => 11613, dominanten
                                  => 25734,
                        dominanz  => 10167, domingo   => 21270, dominieren
                                  => 9010,
                        dominierende
                                  => 10011, dominierenden
                                  => 13014,
                        dominiert => 4963, dominierte
                                  => 8531,
                        dominierten
                                  => 9665, dominikanischen
                                  => 26455,
                        dominion  => 26456, domino    => 26457, domizil   => 22170, domkapitel
                                  => 10012,
                        domkapitels
                                  => 17296, donald    => 8597,
                        donau     => 4738, donitz    => 29079, donjon    => 23226, donkey    => 22171,
                        donna     => 14732, donnerstag
                                  => 10168,
                        donnerstags
                                  => 18862, donovan   => 29080,
                        doping    => 29081, doppel    => 5581, doppelganger
                                  => 29082,
                        doppelnamen
                                  => 25735, doppelt   => 4130,
                        doppelte  => 6127, doppelten => 8477, doppelter => 15777, doppeltitel
                                  => 26458,
                        dorf      => 411, dorfbewohner
                                  => 8478,
                        dorfbewohnern
                                  => 22172, dorfern   => 3902,
                        dorfes    => 1699, dorffest  => 29083, dorfgemeinschaft
                                  => 17581,
                        dorfkern  => 15778, dorfkirche
                                  => 7336,
                        dorfliche => 23227, dorflichen
                                  => 16252,
                        dorfplatz => 19946, dorfs     => 18521, dorfschule
                                  => 17016,
                        dorfstrasse
                                  => 17582, dorfzentrum
                                  => 23228,
                        dornbirn  => 20372, dornen    => 10095, dorothy   => 12350, dorset    => 28163,
                        dort      => 88, dorthin   => 3442, dortige   => 4696, dortigen  => 1918,
                        dortiger  => 28164, dortmund  => 3821, dortmunder
                                  => 12082,
                        dosen     => 12474, dosierung => 19544, dosis     => 13981, dotiert   => 10980,
                        dotierten => 19545, double    => 10430, doubs     => 18863, douglas   => 5729,
                        dover     => 25736, download  => 7680, downloads => 24434, downs     => 28165,
                        dozent    => 5655, dozenten  => 13015, dozentin  => 16253, drachen   => 7138,
                        dracula   => 26459, draft     => 17583, dragon    => 13982, dragons   => 19546,
                        draht     => 15146, drahtzieher
                                  => 29084,
                        drake     => 13783, drama     => 5277, dramas    => 19947, dramatik  => 19204,
                        dramatiker
                                  => 19948, dramatisch
                                  => 11378,
                        dramatische
                                  => 9926, dramatischen
                                  => 8663,
                        dramatischer
                                  => 27270, dramaturg => 27271,
                        dramaturgie
                                  => 20373, dramen    => 13471,
                        drang     => 9135, drangen   => 5438, drangt    => 12475, drangte   => 9848,
                        drangten  => 18864, drastisch => 9332, drastische
                                  => 19949,
                        drastischen
                                  => 21686, drauf     => 21687,
                        draussen  => 7025, dream     => 11499, dreams    => 17902, dreharbeiten
                                  => 3231,
                        drehbar   => 23829, drehbuch  => 3020, drehbuchautor
                                  => 10610,
                        drehbuchautoren
                                  => 26460, drehbuchautorin
                                  => 22173,
                        drehbucher
                                  => 9508, drehbuchern
                                  => 28166,
                        drehbuchs => 26461, drehen    => 5072, drehgestell
                                  => 22174,
                        drehgestelle
                                  => 17584, drehgestellen
                                  => 26462,
                        drehmoment
                                  => 8868, drehscheibe
                                  => 21688,
                        dreht     => 5556, drehte    => 3868, drehten   => 17017, drehung   => 13472,
                        drehzahl  => 11844, drehzahlen
                                  => 20374,
                        drei      => 76, dreiachsige
                                  => 27272,
                        dreiberg  => 16499, dreidimensional
                                  => 29085,
                        dreidimensionale
                                  => 20375, dreidimensionalen
                                  => 22175,
                        dreieck   => 8479, dreiecke  => 22176, dreieckig => 11727, dreieckige
                                  => 13473,
                        dreieckigen
                                  => 13474, dreiecks  => 20376,
                        dreiecksgiebel
                                  => 17018, dreieinhalb
                                  => 14533,
                        dreien    => 20792, dreifach  => 18865, dreifache => 18866, dreifachen
                                  => 21271,
                        dreifacher
                                  => 24435, dreifaltigkeit
                                  => 16500,
                        dreiganggetriebe
                                  => 26463, dreigeschossige
                                  => 15568,
                        dreigeschossigen
                                  => 17903, dreigeschossiger
                                  => 25091,
                        dreihundert
                                  => 26464, dreijahresvertrag
                                  => 28167,
                        dreijahrige
                                  => 14928, dreijahrigen
                                  => 15569,
                        dreijahriger
                                  => 21689, dreikopfige
                                  => 23830,
                        dreimal   => 2085, dreischiffige
                                  => 14733,
                        dreischiffigen
                                  => 28168, dreiseitig
                                  => 26465,
                        dreissig  => 5489, dreissiger
                                  => 20377,
                        dreissigjahrigen
                                  => 5627, dreistockigen
                                  => 28169,
                        dreiteilig
                                  => 29086, dreiteilige
                                  => 20793,
                        dreiteiligen
                                  => 17585, dreiteilung
                                  => 25092,
                        dreiviertel
                                  => 23831, dreizehn  => 5807,
                        dreizehnten
                                  => 29087, dresden   => 1235,
                        dresdener => 22652, dresdens  => 17586, dresdner  => 4044, dringen   => 14929,
                        dringend  => 6642, dringenden
                                  => 25737,
                        dringt    => 9136, dritt     => 20794, dritte    => 708, drittel   => 1581,
                        dritteln  => 16254, dritten   => 491, dritter   => 2122, drittes   => 5020,
                        drittgrosste
                                  => 15779, dritthochste
                                  => 22653,
                        drittklassigen
                                  => 24436, drittklassigkeit
                                  => 23832,
                        drittligisten
                                  => 22177, drittplatzierte
                                  => 23229,
                        drittplatzierten
                                  => 28170, drive     => 13475,
                        drogen    => 5708, drogenkonsum
                                  => 26466,
                        drohen    => 12351, drohende  => 18205, drohenden => 11728, drohnen   => 25738,
                        droht     => 4943, drohte    => 4901, drohten   => 12735, drohung   => 17019,
                        drohungen => 13619, druck     => 1064, drucke    => 12219, drucken   => 5934,
                        druckerei => 7589, druckereien
                                  => 27273,
                        druckluft => 22178, druckluftbremse
                                  => 29088,
                        drucks    => 19205, druckt    => 6748, druckte   => 10882, druckten  => 27274,
                        drusen    => 15780, drusig    => 29089, dschungel => 14930, dualen    => 24437,
                        dubai     => 17587, dublin    => 8800, duden     => 27275, dudley    => 23230,
                        duell     => 6248, duelle    => 28171, duett     => 13161, duisburg  => 6249,
                        duisburger
                                  => 16501, duke      => 8869,
                        dulden    => 21272, duldung   => 25093, dummheit  => 29090, dumont    => 18522,
                        duncan    => 13162, dunen     => 15147, dunkelblau
                                  => 29091,
                        dunkelbraun
                                  => 6643, dunkelbraune
                                  => 19950,
                        dunkelbraunen
                                  => 18523, dunkelgrau
                                  => 12220,
                        dunkelgrun
                                  => 13784, dunkelheit
                                  => 6499,
                        dunkeln   => 11500, dunkelrot => 28172, dunkle    => 4017, dunklem   => 21690,
                        dunklen   => 3354, dunkler   => 4944, dunklere  => 19951, dunkleren => 14931,
                        dunkles   => 19547, dunn      => 4802, dunne     => 6899, dunnen    => 7337,
                        dunner    => 11614, dunnes    => 28173, durch     => 35, durchaus  => 2089,
                        durchbrach
                                  => 26467, durchbrechen
                                  => 14932,
                        durchbrochen
                                  => 11200, durchbruch
                                  => 3283,
                        durchdringen
                                  => 17020, durcheinander
                                  => 15148,
                        durchfahren
                                  => 21273, durchfahrt
                                  => 11729,
                        durchfall => 23231, durchfliesst
                                  => 10611,
                        durchflossen
                                  => 16502, durchfluss
                                  => 21691,
                        durchfuhrbar
                                  => 24438, durchfuhren
                                  => 4610,
                        durchfuhrt
                                  => 16742, durchfuhrte
                                  => 14117,
                        durchfuhrung
                                  => 2934, durchgang => 4786,
                        durchgange
                                  => 20795, durchgangen
                                  => 23833,
                        durchgangig
                                  => 7291, durchgangige
                                  => 29092,
                        durchgangsstrasse
                                  => 24439,
                        durchgangsverkehr
                                  => 24440,
                        durchgefuhrt
                                  => 712, durchgefuhrte
                                  => 9927,
                        durchgefuhrten
                                  => 7062, durchgehend
                                  => 4213,
                        durchgehende
                                  => 7452, durchgehenden
                                  => 10704,
                        durchgehender
                                  => 28174, durchgehendes
                                  => 26468,
                        durchgesetzt
                                  => 5490, durchlaufen
                                  => 7858,
                        durchlauft
                                  => 13163, durchlief => 9011,
                        durchmesser
                                  => 1119, durchmessern
                                  => 27276,
                        durchmessers
                                  => 28175, durchnummeriert
                                  => 20796,
                        durchqueren
                                  => 17904, durchquert
                                  => 7963,
                        durchs    => 10337, durchschaut
                                  => 20797,
                        durchscheinend
                                  => 27277, durchschlagen
                                  => 19952,
                        durchschnitt
                                  => 3414, durchschnittlich
                                  => 2040,
                        durchschnittliche
                                  => 1807, durchschnittlichen
                                  => 5987,
                        durchschnittliches
                                  => 19548,
                        durchschnittsalter
                                  => 13620,
                        durchschnittseinkommen
                                  => 6522,
                        durchschnittsgeschwindigkeit
                                  => 24441,
                        durchschnittshaushaltsgrosse
                                  => 13785,
                        durchschnittstemperatur
                                  => 15354,
                        durchschnittstemperaturen
                                  => 26469,
                        durchsetzen
                                  => 2638, durchsetzt
                                  => 12600,
                        durchsetzte
                                  => 14118, durchsetzten
                                  => 22179,
                        durchsetzung
                                  => 9928, durchsichtig
                                  => 23834,
                        durchsichtigen
                                  => 25739, durchsuchen
                                  => 17588,
                        durchsucht
                                  => 11845, durchsuchung
                                  => 21692,
                        durchweg  => 8933, durchwegs => 21274, durchziehen
                                  => 23232,
                        durchzieht
                                  => 19953, durchzogen
                                  => 9666,
                        durchzufuhren
                                  => 4882, durchzusetzen
                                  => 7108,
                        duren     => 11970, durener   => 19549, durer     => 23835, durfe     => 7063,
                        durfen    => 1359, durfte    => 957, durften   => 1990, durham    => 21275,
                        durre     => 22654, duschen   => 26470, dusen     => 21693, dusseldorf
                                  => 1492,
                        dusseldorfer
                                  => 6288, duster    => 16743,
                        dustere   => 20378, dusteren  => 16503, dutch     => 19954, dutzend   => 5325,
                        dutzende  => 14344, dylan     => 15997, dynamik   => 8309, dynamisch => 12476,
                        dynamische
                                  => 10431, dynamischen
                                  => 13164,
                        dynamischer
                                  => 28176, dynamo    => 9203,
                        dynastie  => 6945, dynastien => 27278, eagle     => 14345, eagles    => 16744,
                        earl      => 5656, earls     => 17297, early     => 19955, earth     => 14534,
                        east      => 4360, eastern   => 12083, eben      => 3533, ebenburtig
                                  => 29093,
                        ebenda    => 11730, ebene     => 1159, ebenen    => 3153, ebenerdig => 23233,
                        ebenfalls => 138, ebenso    => 424, echte     => 4822, echten    => 4544,
                        echter    => 10432, echtes    => 15570, echtheit  => 17589, echtzeit  => 15998,
                        ecke      => 3114, ecken     => 4708, eckhaus   => 29094, eckige    => 26471,
                        eckigen   => 22655, eckturm   => 29095, ecole     => 12736, economic  => 16504,
                        economy   => 25094, ecuador   => 12477, eddie     => 8934, edelstahl => 25095,
                        edelsteine
                                  => 23836, edgar     => 9264,
                        edikt     => 26472, edinburgh => 11092, edison    => 19956, edith     => 9509,
                        edition   => 3549, editionen => 17590, editions  => 27279, editor    => 15571,
                        edlen     => 14734, edmond    => 23837, edouard   => 25096, eduardo   => 20379,
                        education => 10883, educational
                                  => 28177,
                        edward    => 3875, edwards   => 10705, edwin     => 13983, eesti     => 25097,
                        effekt    => 4199, effekte   => 5886, effekten  => 16745, effektiv  => 7909,
                        effektive => 10612, effektiven
                                  => 16746,
                        effektiver
                                  => 18867, effektivitat
                                  => 15781,
                        effizient => 13315, effiziente
                                  => 17298,
                        effizienten
                                  => 28178, effizienter
                                  => 16255,
                        effizienz => 10013, ehe       => 441, ehefrau   => 983, ehefrauen => 14119,
                        ehegatten => 22656, eheleute  => 11289, ehelichen => 21694, ehelichte => 18868,
                        ehemalige => 815, ehemaligen
                                  => 454,
                        ehemaliger
                                  => 4079, ehemaliges
                                  => 10169,
                        ehemals   => 2557, ehemann   => 2324, ehemannes => 14933, ehemanns  => 20380,
                        ehepaar   => 3760, ehepaares => 26473, ehepaars  => 20381, ehepartner
                                  => 18206,
                        eher      => 499, eheschliessung
                                  => 8870,
                        ehesten   => 11846, ehre      => 6060, ehren     => 2634, ehrenamtlich
                                  => 6709,
                        ehrenamtliche
                                  => 10981, ehrenamtlichen
                                  => 8734,
                        ehrenamtlicher
                                  => 14120, ehrenburger
                                  => 10982,
                        ehrenburgerschaft
                                  => 27280,
                        ehrendoktor
                                  => 24442, ehrendoktorwurde
                                  => 29096,
                        ehrenhalber
                                  => 29097, ehrenmal  => 25098,
                        ehrenmitglied
                                  => 8257, ehrenprasident
                                  => 20382,
                        ehrentitel
                                  => 15355, ehrenvoll => 29098,
                        ehrenvorsitzender
                                  => 24443,
                        ehrenzeichen
                                  => 25099, ehrgeiz   => 18207,
                        ehrlichkeit
                                  => 27281, ehrte     => 16747,
                        ehrung    => 13786, ehrungen  => 12862, eiablage  => 10522, eiche     => 8426,
                        eicheln   => 23838, eichen    => 10706, eichenholz
                                  => 17905,
                        eichenlaub
                                  => 22180, eichstatt => 14121,
                        eidgenossen
                                  => 21276, eidgenossenschaft
                                  => 18208,
                        eidgenossischen
                                  => 15999, eier      => 2387,
                        eiern     => 6816, eifel     => 22657, eifer     => 16505, eifersucht
                                  => 10523,
                        eifersuchtig
                                  => 10983, eiformig  => 7109,
                        eiformige => 29099, eiformigen
                                  => 18209,
                        eifrig    => 28179, eigen     => 13787, eigenart  => 17021, eigenbedarf
                                  => 19957,
                        eigene    => 356, eigenem   => 4920, eigenen   => 276, eigener   => 1934,
                        eigenes   => 1353, eigengewicht
                                  => 28180,
                        eigenhandig
                                  => 18210, eigenheiten
                                  => 23234,
                        eigenkapital
                                  => 22181, eigenkompositionen
                                  => 23839,
                        eigenmachtig
                                  => 22658, eigennamen
                                  => 18211,
                        eigenregie
                                  => 14735, eigens    => 4426,
                        eigenschaft
                                  => 4260, eigenschaften
                                  => 1868,
                        eigenstandig
                                  => 5657, eigenstandige
                                  => 2267,
                        eigenstandigen
                                  => 4836, eigenstandiger
                                  => 10096,
                        eigenstandiges
                                  => 8664, eigenstandigkeit
                                  => 8532,
                        eigentlich
                                  => 1319, eigentliche
                                  => 2100,
                        eigentlichen
                                  => 2068, eigentlicher
                                  => 16748,
                        eigentliches
                                  => 26474, eigentum  => 2709,
                        eigentumer
                                  => 2268, eigentumerin
                                  => 13788,
                        eigentumern
                                  => 17591, eigentums => 21277,
                        eigentumswohnungen
                                  => 25100,
                        eigenverantwortlich
                                  => 25740,
                        eigenverantwortung
                                  => 29100,
                        eigenverlag
                                  => 25101, eignen    => 7544,
                        eignet    => 6523, eignete   => 14934, eignung   => 12352, eilen     => 16256,
                        eilig     => 25102, eilte     => 29101, ein       => 21, einander  => 4242,
                        einband   => 25103, einbau    => 6417, einbauen  => 26475, einbauten => 24444,
                        einberufen
                                  => 9265, einberufung
                                  => 15356,
                        einbettung
                                  => 26476, einbeziehung
                                  => 7495,
                        einbezogen
                                  => 4921, einbindung
                                  => 11379,
                        einblick  => 7731, einblicke => 10707, einbrachte
                                  => 9012,
                        einbrecher
                                  => 22659, einbringen
                                  => 10097,
                        einbruch  => 7859, einbruche => 18869, einbussen => 22660, eindeutig => 2379,
                        eindeutige
                                  => 7453, eindeutigen
                                  => 10884,
                        eindeutiger
                                  => 28181, eindringen
                                  => 7292,
                        eindringlich
                                  => 21695, eindringlinge
                                  => 20798,
                        eindruck  => 2437, eindrucke => 11731, eindrucken
                                  => 26477,
                        eindrucksvoll
                                  => 21696, eindrucksvolle
                                  => 27282,
                        eindrucksvollen
                                  => 26478, eine      => 18,
                        eineinhalb
                                  => 7732, einem     => 39,
                        einen     => 43, einer     => 32, einerseits
                                  => 2232,
                        eines     => 70, einfach   => 1101, einfache  => 1924, einfachem => 27283,
                        einfachen => 1979, einfacher => 3507, einfachere
                                  => 16000,
                        einfacheren
                                  => 20383, einfaches => 8014,
                        einfachheit
                                  => 11615, einfachste
                                  => 15782,
                        einfachsten
                                  => 13016, einfahren => 17906,
                        einfahrt  => 10800, einfall   => 18524, einfalle  => 28182, einfallen => 21278,
                        einfamilienhauser
                                  => 22661,
                        einfamilienhausern
                                  => 19550,
                        einfarbig => 12601, einfassung
                                  => 23840,
                        einfliessen
                                  => 12353, einfluss  => 714,
                        einflussbereich
                                  => 21697, einflusse => 5042,
                        einflussen
                                  => 9929, einflusses
                                  => 17022,
                        einflussfaktoren
                                  => 25741, einflussnahme
                                  => 14935,
                        einflussreich
                                  => 21279, einflussreiche
                                  => 12602,
                        einflussreichen
                                  => 12737, einflussreicher
                                  => 24445,
                        einflussreichsten
                                  => 12603,
                        einfriedung
                                  => 19206, einfrieren
                                  => 26479,
                        einfugen  => 22662, einfuhr   => 17023, einfuhren => 14736, einfuhrte => 17907,
                        einfuhrung
                                  => 1147, eingabe   => 11732,
                        eingaben  => 19551, eingang   => 1645, eingange  => 10433, eingangen => 17908,
                        eingangs  => 13165, eingangsbereich
                                  => 8364,
                        eingangshalle
                                  => 15357, eingangsportal
                                  => 13984,
                        eingangstor
                                  => 21698, eingangstur
                                  => 14122,
                        eingearbeitet
                                  => 11501, eingebaut => 2110,
                        eingebaute
                                  => 14737, eingebauten
                                  => 15149,
                        eingebettet
                                  => 8533, eingeblendet
                                  => 25742,
                        eingeborenen
                                  => 25104, eingebracht
                                  => 6644,
                        eingebrochen
                                  => 22182, eingebunden
                                  => 5964,
                        eingeburgert
                                  => 14535, eingebusst
                                  => 23235,
                        eingedeckt
                                  => 21699, eingedrungen
                                  => 22663,
                        eingeebnet
                                  => 15572, eingefahren
                                  => 26480,
                        eingefangen
                                  => 23841, eingefarbt
                                  => 27284,
                        eingefasst
                                  => 10524, eingefroren
                                  => 20799,
                        eingefugt => 6710, eingefuhrt
                                  => 1057,
                        eingefuhrte
                                  => 9423, eingefuhrten
                                  => 9073,
                        eingegangen
                                  => 8047, eingegeben
                                  => 22183,
                        eingegliedert
                                  => 2850, eingegraben
                                  => 27285,
                        eingehalten
                                  => 7293, eingehen  => 11616,
                        eingehend => 18212, eingehende
                                  => 22664,
                        eingehender
                                  => 29102, eingeholt => 12084,
                        eingeht   => 21280, eingekauft
                                  => 26481,
                        eingeklemmt
                                  => 25743, eingeladen
                                  => 3969,
                        eingelagert
                                  => 13621, eingelassen
                                  => 6817,
                        eingelassene
                                  => 23842, eingelegt => 8598,
                        eingeleitet
                                  => 4361, eingeleitete
                                  => 29103,
                        eingeliefert
                                  => 11201, eingemauert
                                  => 23236,
                        eingemeindet
                                  => 2602, eingemeindeten
                                  => 18525,
                        eingemeindung
                                  => 4787, eingemeindungen
                                  => 18870,
                        eingenommen
                                  => 3979, eingeordnet
                                  => 8427,
                        eingepfarrt
                                  => 17024, eingeplant
                                  => 22184,
                        eingerahmt
                                  => 18213, eingeraumt
                                  => 12478,
                        eingereicht
                                  => 6553, eingereichten
                                  => 16257,
                        eingereiht
                                  => 18214, eingerichtet
                                  => 1228,
                        eingerichtete
                                  => 11971, eingerichteten
                                  => 10613,
                        eingerollt
                                  => 25744, eingesammelt
                                  => 25745,
                        eingeschaltet
                                  => 15358, eingeschatzt
                                  => 11093,
                        eingeschlagen
                                  => 16506, eingeschleppt
                                  => 26482,
                        eingeschlossen
                                  => 7860, eingeschlossenen
                                  => 16258,
                        eingeschmolzen
                                  => 14936, eingeschnitten
                                  => 13985,
                        eingeschnittenen
                                  => 26483, eingeschoben
                                  => 27286,
                        eingeschossige
                                  => 20800, eingeschossigen
                                  => 28183,
                        eingeschrankt
                                  => 3550, eingeschrankte
                                  => 12085,
                        eingeschrankten
                                  => 14346, eingeschrankter
                                  => 24446,
                        eingeschrieben
                                  => 16507, eingeschult
                                  => 25746,
                        eingesehen
                                  => 14937, eingesetzt
                                  => 394,
                        eingesetzte
                                  => 8365, eingesetzten
                                  => 4660,
                        eingespannt
                                  => 27287, eingespart
                                  => 19552,
                        eingespeist
                                  => 21700, eingesperrt
                                  => 12221,
                        eingespielt
                                  => 6851, eingestehen
                                  => 20801,
                        eingestellt
                                  => 692, eingestellte
                                  => 17592,
                        eingestellten
                                  => 15150, eingestuft
                                  => 3594,
                        eingesturzt
                                  => 22665, eingeteilt
                                  => 4739,
                        eingetragen
                                  => 3534, eingetragene
                                  => 18526,
                        eingetragenen
                                  => 17909, eingetragener
                                  => 29104,
                        eingetreten
                                  => 10885, eingetroffen
                                  => 11380,
                        eingewechselt
                                  => 10525, eingeweiht
                                  => 1974,
                        eingeweihte
                                  => 22666, eingeweihten
                                  => 23843,
                        eingewiesen
                                  => 15783, eingezaunt
                                  => 23844,
                        eingezeichnet
                                  => 12863, eingezogen
                                  => 3876,
                        eingezogene
                                  => 19207, eingezogenen
                                  => 13316,
                        einging   => 18871, eingleisig
                                  => 13986,
                        eingleisige
                                  => 22667, eingleisigen
                                  => 17910,
                        eingliederung
                                  => 8310, eingraviert
                                  => 17593,
                        eingreifen
                                  => 6418, eingriff  => 7454,
                        eingriffe => 8871, eingriffen
                                  => 16001,
                        eingriffs => 28184, einhalt   => 22185, einhalten => 15151, einhaltung
                                  => 6468,
                        einheimische
                                  => 5419, einheimischen
                                  => 3291,
                        einheimischer
                                  => 18527, einheit   => 1364,
                        einheiten => 1420, einheitlich
                                  => 4883,
                        einheitliche
                                  => 4678, einheitlichen
                                  => 6250,
                        einheitlicher
                                  => 19958, einheitliches
                                  => 12086,
                        einheitlichkeit
                                  => 25747, einhellig => 24447,
                        einher    => 6677, einhergehend
                                  => 20384,
                        einhergehende
                                  => 22186, einhergehenden
                                  => 18215,
                        einhergeht
                                  => 26484, einholen  => 19208,
                        einhundert
                                  => 12087, einig     => 9667,
                        einige    => 129, einigem   => 17299, einigen   => 422, einiger   => 1667,
                        einigermassen
                                  => 15784, einiges   => 6780,
                        einigkeit => 13987, einigte   => 10248, einigten  => 10526, einigung  => 6441,
                        einjahrige
                                  => 17911, einjahrigen
                                  => 13317,
                        einjahriger
                                  => 17594, einkauf   => 17025,
                        einkaufen => 19209, einkaufsmoglichkeiten
                                  => 22668,
                        einkaufszentren
                                  => 20385, einkaufszentrum
                                  => 7964,
                        einkaufszentrums
                                  => 27288, einklang  => 10527,
                        einkommen => 4214, einkommens
                                  => 22187,
                        einkommensteuer
                                  => 28185, einkunfte => 8258,
                        einkunften
                                  => 29105, einladen  => 25105,
                        einladt   => 20386, einladung => 5658, einladungen
                                  => 17912,
                        einlage   => 25106, einlagen  => 17300, einlass   => 23237, einlaufen => 27289,
                        einlegen  => 17301, einleiten => 19553, einleitung
                                  => 5988,
                        einmal    => 443, einmalig  => 7681, einmalige => 11290, einmaligen
                                  => 14536,
                        einmaliges
                                  => 25748, einmarsch => 12738,
                        einmischung
                                  => 18528, einmundung
                                  => 7965,
                        einnahm   => 14347, einnahme  => 7139, einnahmen => 3268, einnahmequelle
                                  => 17595,
                        einnehmen => 7545, einnimmt  => 11972, einode    => 27290, einordnen => 19554,
                        einordnung
                                  => 7455, einquartiert
                                  => 19959,
                        einreichen
                                  => 23238, einreise  => 15152,
                        einrichten
                                  => 11847, einrichtete
                                  => 19555,
                        einrichtung
                                  => 1537, einrichtungen
                                  => 1458,
                        einrichtungsgegenstande
                                  => 28186,
                        eins      => 2799, einsam    => 16508, einsamen  => 15359, einsamkeit
                                  => 9849,
                        einsammeln
                                  => 26485, einsatz   => 387,
                        einsatzbereit
                                  => 13166, einsatzbereitschaft
                                  => 23845,
                        einsatze  => 2840, einsatzen => 2920, einsatzes => 8428, einsatzfahig
                                  => 25107,
                        einsatzgebiet
                                  => 15153, einsatzgebiete
                                  => 28187,
                        einsatzkrafte
                                  => 23846, einsatzort
                                  => 22188,
                        einsatzzeit
                                  => 22669, einsatzzweck
                                  => 27291,
                        einschalten
                                  => 25108, einschaltquoten
                                  => 15785,
                        einschatzen
                                  => 23847, einschatzung
                                  => 6469,
                        einschatzungen
                                  => 21281, einschiffige
                                  => 20802,
                        einschlag => 16002, einschlagen
                                  => 22670,
                        einschlagige
                                  => 26486, einschlagigen
                                  => 13789,
                        einschliessen
                                  => 29106, einschliesslich
                                  => 1724,
                        einschliesst
                                  => 23848, einschlug => 25109,
                        einschnitt
                                  => 13790, einschnitte
                                  => 25749,
                        einschranken
                                  => 18872, einschrankung
                                  => 7910,
                        einschrankungen
                                  => 5808, einschreiten
                                  => 26487,
                        einsehbar => 14738, einsehen  => 20803, einseitig => 8480, einseitige
                                  => 16259,
                        einseitigen
                                  => 22189, einsetzbar
                                  => 12354,
                        einsetzen => 4291, einsetzende
                                  => 17026,
                        einsetzenden
                                  => 15786, einsetzt  => 10338,
                        einsetzte => 7590, einsetzten
                                  => 17913,
                        einsetzung
                                  => 18216, einsicht  => 10249,
                        einsichten
                                  => 25750, einsiedelei
                                  => 26488,
                        einsparungen
                                  => 18217, einspielen
                                  => 23239,
                        einspielergebnis
                                  => 26489, einspielte
                                  => 20804,
                        einspielungen
                                  => 28188, einspruch => 13476,
                        einst     => 1725, einstand  => 23849, einstecken
                                  => 23850,
                        einsteigen
                                  => 16260, einsteiger
                                  => 29107,
                        einstein  => 15154, einstellbar
                                  => 27292,
                        einstellen
                                  => 6419, einstellte
                                  => 17027,
                        einstellung
                                  => 2101, einstellungen
                                  => 9510,
                        einstieg  => 5678, einstige  => 9584, einstigen => 5094, einstimmig
                                  => 7064,
                        einstmals => 19210, einstufung
                                  => 13988,
                        einsturz  => 12604, einteilen => 22671, einteilung
                                  => 5326,
                        eintracht => 7065, eintraf   => 13167, eintrafen => 23240, eintrag   => 5139,
                        eintrage  => 9137, eintragen => 3621, eintragung
                                  => 11848,
                        eintragungen
                                  => 26490, eintrat   => 16003,
                        eintreffen
                                  => 8102, eintreten => 8048,
                        eintrifft => 14537, eintritt  => 3443, eintrittskarten
                                  => 26491,
                        einvernehmen
                                  => 13622, einvernehmlich
                                  => 22672,
                        einverstanden
                                  => 8164, einverstandnis
                                  => 11202,
                        einwand   => 28189, einwande  => 15360, einwanderer
                                  => 6946,
                        einwanderern
                                  => 17596, einwanderung
                                  => 11502,
                        einwandfrei
                                  => 28190, einwechselspieler
                                  => 21701,
                        einweihung
                                  => 4510, einwilligung
                                  => 15155,
                        einwirken => 20805, einwirkung
                                  => 17028,
                        einwohner => 227, einwohnerentwicklung
                                  => 29108,
                        einwohnern
                                  => 1096, einwohnerschaft
                                  => 16749,
                        einwohnerzahl
                                  => 1261, einwohnerzahlen
                                  => 10339,
                        einzel    => 3634, einzelausstellung
                                  => 18873,
                        einzelausstellungen
                                  => 16509,
                        einzelfall
                                  => 10340, einzelfallen
                                  => 13623,
                        einzelganger
                                  => 16261, einzelgangerisch
                                  => 18218,
                        einzelhandel
                                  => 11617, einzelheiten
                                  => 7338,
                        einzelhofe
                                  => 17597, einzeln   => 3225,
                        einzelne  => 982, einzelnen => 525, einzelner => 3778, einzelnes => 10801,
                        einzelpersonen
                                  => 11733, einzelrennen
                                  => 17914,
                        einzelstaaten
                                  => 27293, einzelstuck
                                  => 19960,
                        einzelteile
                                  => 17598, einzeltitel
                                  => 26492,
                        einzelwertung
                                  => 16750, einzelwettbewerb
                                  => 19556,
                        einzelzeitfahren
                                  => 29109, einziehen => 11094,
                        einzig    => 3635, einzigartig
                                  => 8599,
                        einzigartige
                                  => 10886, einzigartigen
                                  => 11503,
                        einzigartiges
                                  => 26493, einzige   => 520,
                        einzigen  => 1428, einziger  => 2680, einziges  => 3115, einzog    => 23241,
                        einzubauen
                                  => 19961, einzubeziehen
                                  => 18529,
                        einzubinden
                                  => 27294, einzubringen
                                  => 22673,
                        einzudammen
                                  => 20387, einzudringen
                                  => 23851,
                        einzufuhren
                                  => 11618, einzug    => 3400,
                        einzugehen
                                  => 13017, einzugreifen
                                  => 19211,
                        einzugsbereich
                                  => 27295, einzugsgebiet
                                  => 4646,
                        einzuhalten
                                  => 13624, einzuholen
                                  => 22674,
                        einzuladen
                                  => 28191, einzulassen
                                  => 25751,
                        einzuleiten
                                  => 19962, einzunehmen
                                  => 10434,
                        einzuordnen
                                  => 18874, einzureichen
                                  => 23852,
                        einzurichten
                                  => 8534, einzuschatzen
                                  => 25752,
                        einzuschlagen
                                  => 25753, einzusetzen
                                  => 5380,
                        einzustellen
                                  => 8535, einzustufen
                                  => 21282,
                        einzutreten
                                  => 16751, einzuziehen
                                  => 22190,
                        eisbaren  => 25754, eisen     => 4764, eisenach  => 10802, eisenacher
                                  => 21702,
                        eisenbahn => 3415, eisenbahnbau
                                  => 22191,
                        eisenbahnbrucke
                                  => 14739, eisenbahnbrucken
                                  => 29110,
                        eisenbahnen
                                  => 10098, eisenbahner
                                  => 24448,
                        eisenbahngesellschaft
                                  => 18875,
                        eisenbahngesellschaften
                                  => 25110,
                        eisenbahnlinie
                                  => 13791, eisenbahnnetz
                                  => 13168,
                        eisenbahnstrecke
                                  => 10984, eisenbahnstrecken
                                  => 21703,
                        eisenbahnverkehr
                                  => 26494, eisenerz  => 16004,
                        eisenstadt
                                  => 28192, eisenzeit => 19212,
                        eiserne   => 11381, eisernen  => 8429, eises     => 25111, eishockey => 12355,
                        eishockeyspieler
                                  => 22192, eiszeit   => 15156,
                        eiweiss   => 27296, eklat     => 23242, elaine    => 25755, elastisch => 29111,
                        elastische
                                  => 26495, elastizitat
                                  => 22675,
                        elbe      => 5730, elben     => 23853, elberfeld => 15361, eleanor   => 16005,
                        electric  => 11849, electronic
                                  => 18876,
                        elefant   => 25756, elefanten => 9668, elegant   => 22676, elegante  => 19557,
                        eleganten => 19963, eleganz   => 20388, elektrifiziert
                                  => 10170,
                        elektrifizierung
                                  => 9333, elektrisch
                                  => 6095,
                        elektrische
                                  => 3099, elektrischen
                                  => 3655,
                        elektrischer
                                  => 10435, elektrisches
                                  => 20389,
                        elektrizitat
                                  => 13625, elektrode => 20806,
                        elektroden
                                  => 16262, elektromagnetische
                                  => 22193,
                        elektromagnetischen
                                  => 23854,
                        elektromotor
                                  => 17915, elektromotoren
                                  => 22677,
                        elektronen
                                  => 9424, elektronik
                                  => 9266,
                        elektronisch
                                  => 14348, elektronische
                                  => 4922,
                        elektronischen
                                  => 5505, elektronischer
                                  => 12605,
                        element   => 3393, elementare
                                  => 22678,
                        elementaren
                                  => 22679, elementary
                                  => 22680,
                        elemente  => 1470, elementen => 4788, elend     => 12088, elfen     => 24449,
                        elfenbein => 23243, elfenbeinkuste
                                  => 26496,
                        elfmal    => 28193, elfmeter  => 17302, elfmeterschiessen
                                  => 9334,
                        elfte     => 19964, elften    => 8935, elfter    => 22194, elias     => 10099,
                        eliminieren
                                  => 22195, eliminiert
                                  => 24450,
                        elisa     => 24451, elisabeths
                                  => 23244,
                        elise     => 14123, elite     => 7171, eliten    => 17916, eliza     => 23245,
                        elizabeth => 4532, ellie     => 23246, elliot    => 16006, elliott   => 25757,
                        ellipsoid => 26497, elliptisch
                                  => 13477,
                        elliptische
                                  => 23247, elliptischen
                                  => 16263,
                        ellis     => 15362, elsass    => 12479, elsassischen
                                  => 27297,
                        elterliche
                                  => 20807, elterlichen
                                  => 10171,
                        eltern    => 548, elternhaus
                                  => 7172,
                        elternteil
                                  => 14740, elternvogel
                                  => 29112,
                        elvis     => 22196, emanuel   => 12089, emanzipation
                                  => 18530,
                        emblem    => 20808, embryo    => 25758, emden     => 10614, emder     => 26498,
                        emeritiert
                                  => 15363, emeritierung
                                  => 7911,
                        emerson   => 28194, emery     => 27298, emigranten
                                  => 13478,
                        emigration
                                  => 11973, emigrieren
                                  => 27299,
                        emigrierte
                                  => 9511, emigrierten
                                  => 23248,
                        emile     => 12739, emilia    => 22681, emilie    => 11734, emilio    => 18877,
                        emily     => 9850, eminem    => 25759, emirate   => 25760, emiraten  => 28195,
                        emission  => 29113, emissionen
                                  => 12864,
                        emma      => 5439, emmanuel  => 20390, emmendingen
                                  => 29114,
                        emotion   => 24452, emotional => 10708, emotionale
                                  => 9512,
                        emotionalen
                                  => 11974, emotionaler
                                  => 28196,
                        emotionen => 9335, empfahl   => 7768, empfand   => 10985, empfanden => 28197,
                        empfang   => 8207, empfangbar
                                  => 26499,
                        empfangen => 4090, empfanger => 5606, empfangsgebaude
                                  => 5989,
                        empfangsgebaudes
                                  => 17917, empfangt  => 12356,
                        empfehlen => 12222, empfehlenswert
                                  => 29115,
                        empfehlung
                                  => 7294, empfehlungen
                                  => 7861,
                        empfiehlt => 8165, empfinden => 11203, empfindet => 11850, empfindlich
                                  => 12090,
                        empfindliche
                                  => 16752, empfindlichen
                                  => 18878,
                        empfindlichkeit
                                  => 18879, empfindung
                                  => 26500,
                        empfindungen
                                  => 20391, empfing   => 12480,
                        empfohlen => 5361, empfunden => 6344, empfundene
                                  => 22197,
                        empfundenen
                                  => 20392, empire    => 10436,
                        empirisch => 19213, empirische
                                  => 11851,
                        empirischen
                                  => 12481, empor     => 12865,
                        empore    => 5506, emporen   => 10528, emport    => 13479, emporung  => 17599,
                        encyclopedia
                                  => 22682, endabrechnung
                                  => 25112,
                        endangered
                                  => 27300, endbahnhof
                                  => 24453,
                        ende      => 94, enden     => 2418, endenden  => 25761, endergebnis
                                  => 21704,
                        endes     => 12606, endet     => 1515, endete    => 871, endeten   => 6026,
                        endgultig => 1403, endgultige
                                  => 4334,
                        endgultigen
                                  => 5507, endhaltestelle
                                  => 18880,
                        endkampf  => 25113, endklassement
                                  => 22683,
                        endlich   => 2236, endliche  => 23855, endlichen => 18531, endphase  => 17303,
                        endprodukt
                                  => 25114, endpunkt  => 8936,
                        endrunde  => 4789, endspiel  => 6211, endstand  => 22684, endstation
                                  => 12091,
                        endstelle => 28198, endung    => 11382, endverbraucher
                                  => 27301,
                        energie   => 1762, energiebedarf
                                  => 26501,
                        energieeffizienz
                                  => 28199, energieerzeugung
                                  => 29116,
                        energiegewinnung
                                  => 25115, energien  => 7966,
                        energiequelle
                                  => 26502, energieverbrauch
                                  => 23249,
                        energieversorgung
                                  => 13018,
                        energisch => 14938, energy    => 10709, engagement
                                  => 2136,
                        engagements
                                  => 7213, engagieren
                                  => 9513,
                        engagiert => 2698, engagierte
                                  => 2591,
                        engagierten
                                  => 12357, engagierter
                                  => 20809,
                        enge      => 3021, engeln    => 15157, engem     => 16007, engen     => 3522,
                        enger     => 5021, engere    => 16264, engeren   => 6711, enges     => 25116,
                        engine    => 16008, engineering
                                  => 10529,
                        engineers => 25762, england   => 879, englander => 5709, englandern
                                  => 15787,
                        englands  => 9425, englisch  => 1531, englische => 1981, englischen
                                  => 1100,
                        englischer
                                  => 4335, englischsprachige
                                  => 12092,
                        englischsprachigen
                                  => 6947,
                        english   => 11291, engpasse  => 24454, engste    => 27302, engsten   => 14349,
                        enkel     => 4215, enkelin   => 11383, enkelkinder
                                  => 16753,
                        enklave   => 29117, enorm     => 8600, enorme    => 7456, enormen   => 7733,
                        enormer   => 26503, enrique   => 15788, ensemble  => 3182, ensemblemitglied
                                  => 28200,
                        ensembles => 6818, entbunden => 15789, entdecken => 5440, entdecker => 13792,
                        entdeckt  => 1042, entdeckte => 3822, entdeckten
                                  => 8259,
                        entdeckung
                                  => 3562, entdeckungen
                                  => 12607,
                        enteignet => 8665, enteignung
                                  => 12093,
                        enten     => 21283, enterprise
                                  => 13793,
                        enterprises
                                  => 28201, entertainment
                                  => 6613,
                        entfallen => 6289, entfallt  => 9267, entfalten => 10710, entfaltet => 14538,
                        entfaltete
                                  => 16510, entfaltung
                                  => 14939,
                        entfernen => 4661, entfernt  => 671, entfernte => 5835, entfernten
                                  => 5887,
                        entfernung
                                  => 2133, entfernungen
                                  => 12358,
                        entfiel   => 7457, entfielen => 5757, entfliehen
                                  => 19214,
                        entfremdet
                                  => 28202, entfremdung
                                  => 13626,
                        entfuhren => 11204, entfuhrer => 13169, entfuhrt  => 5402, entfuhrte => 22198,
                        entfuhrten
                                  => 25763, entfuhrung
                                  => 9336,
                        entgegen  => 2008, entgegengesetzt
                                  => 23856,
                        entgegengesetzte
                                  => 19558, entgegengesetzten
                                  => 29118,
                        entgegenwirken
                                  => 26504, entgegenzuwirken
                                  => 11384,
                        entgegnet => 25117, entgehen  => 7632, entgeht   => 29119, entgelt   => 22685,
                        entging   => 14741, enthalt   => 747, enthalte  => 20810, enthalten => 1055,
                        enthaltene
                                  => 16511, enthaltenen
                                  => 7682,
                        enthauptet
                                  => 17918, enthielt  => 2627,
                        enthielten
                                  => 7110, enthoben  => 10803,
                        enthullt  => 7683, enthullte => 27303, enthullung
                                  => 21284,
                        enthusiasmus
                                  => 21705, entkam    => 19215,
                        entkommen => 3339, entkommt  => 15790, entladen  => 13989, entladung => 28203,
                        entlang   => 870, entlarvt  => 27304, entlassen => 1334, entlassenen
                                  => 25764,
                        entlasst  => 22199, entlassung
                                  => 3379,
                        entlassungen
                                  => 25118, entlasten => 12094,
                        entlastet => 10986, entlastung
                                  => 10250,
                        entleert  => 28204, entlegenen
                                  => 26505,
                        entlehnt  => 22686, entliess  => 14350, entlohnung
                                  => 23250,
                        entnahme  => 18219, entnehmen => 8666, entnommen => 6420, entpuppt  => 12223,
                        entreissen
                                  => 29120, entrichten
                                  => 13019,
                        entsandt  => 9669, entsandte => 13794, entsandten
                                  => 25765,
                        entschadigt
                                  => 19216, entschadigung
                                  => 6988,
                        entschadigungen
                                  => 28205, entscharfen
                                  => 29121,
                        entscharft
                                  => 29122, entscheid => 21285,
                        entscheiden
                                  => 2064, entscheidend
                                  => 3485,
                        entscheidende
                                  => 4866, entscheidenden
                                  => 4902,
                        entscheidender
                                  => 14940, entscheidet
                                  => 3761,
                        entscheidung
                                  => 1252, entscheidungen
                                  => 2883,
                        entscheidungsfindung
                                  => 28206,
                        entscheidungsspiel
                                  => 12608,
                        entscheidungstrager
                                  => 26506,
                        entschied => 1253, entschieden
                                  => 1978,
                        entschiedene
                                  => 29123, entschliessen
                                  => 22687,
                        entschliesst
                                  => 9585, entschloss
                                  => 3877,
                        entschlossen
                                  => 5836, entschlossenheit
                                  => 25119,
                        entschluss
                                  => 8311, entschuldigen
                                  => 18532,
                        entschuldigt
                                  => 13795, entschuldigte
                                  => 17600,
                        entschuldigung
                                  => 15573, entsenden => 15158,
                        entsendet => 26507, entsendung
                                  => 21286,
                        entsetzen => 14941, entsetzt  => 9851, entsorgt  => 13480, entsorgung
                                  => 14539,
                        entspannt => 25120, entspannte
                                  => 29124,
                        entspannung
                                  => 19217, entsprach => 2330,
                        entsprache
                                  => 21706, entsprachen
                                  => 6554,
                        entspreche
                                  => 25766, entsprechen
                                  => 3025,
                        entsprechend
                                  => 775, entsprechende
                                  => 1643,
                        entsprechendem
                                  => 24455, entsprechenden
                                  => 1625,
                        entsprechender
                                  => 6590, entsprechendes
                                  => 9514,
                        entsprechung
                                  => 15574, entspricht
                                  => 996,
                        entspringen
                                  => 14124, entspringt
                                  => 6386,
                        entsprochen
                                  => 18220, entstammen
                                  => 10014,
                        entstammt => 8601, entstammte
                                  => 6524,
                        entstammten
                                  => 15159, entstand  => 331,
                        entstanden
                                  => 419, entstandene
                                  => 3508,
                        entstandenen
                                  => 3734, entstehe  => 29125,
                        entstehen => 1366, entstehende
                                  => 8312,
                        entstehenden
                                  => 7140, entsteht  => 1395,
                        entstehung
                                  => 1797, entstehungsgeschichte
                                  => 12609,
                        entstehungszeit
                                  => 10172, enttarnt  => 25121,
                        enttauschend
                                  => 14125, enttauschenden
                                  => 17304,
                        enttauscht
                                  => 6156, enttauschte
                                  => 23251,
                        enttauschung
                                  => 9767, entwarf   => 4471,
                        entwassern
                                  => 25122, entwassert
                                  => 7214,
                        entwasserung
                                  => 13796, entweder  => 1166,
                        entweichen
                                  => 19559, entwendet => 13020,
                        entwerfen => 13481, entwickeln
                                  => 1812,
                        entwickelnde
                                  => 25123, entwickelnden
                                  => 22200,
                        entwickelt
                                  => 590, entwickelte
                                  => 562,
                        entwickelten
                                  => 2343, entwickelter
                                  => 26508,
                        entwickeltes
                                  => 22201, entwickler
                                  => 5731,
                        entwicklern
                                  => 21707, entwicklung
                                  => 333,
                        entwicklungen
                                  => 3340, entwicklungsgeschichte
                                  => 24456,
                        entwicklungshilfe
                                  => 27305,
                        entwicklungslander
                                  => 24457,
                        entwicklungslandern
                                  => 16512,
                        entwicklungszeit
                                  => 25124, entwicklungszusammenarbeit
                                  => 28207,
                        entwirft  => 18881, entwohnt  => 27306, entworfen => 3709, entworfene
                                  => 17305,
                        entworfenen
                                  => 18533, entwurf   => 1982,
                        entwurfe  => 5043, entwurfen => 8103, entwurfs  => 23857, entziehen => 6819,
                        entzieht  => 13797, entzog    => 13482, entzogen  => 5710, entzug    => 28208,
                        entzunden => 27307, entzundet => 15791, entzundete
                                  => 24458,
                        entzundung
                                  => 21287, enzyklopadie
                                  => 11095,
                        enzym     => 19560, enzyme    => 19561, epidemie  => 18221, epidemien => 23858,
                        epilog    => 26509, epiphallus
                                  => 28209,
                        epischen  => 25125, episode   => 3720, episoden  => 3054, epitaph   => 13798,
                        epoche    => 4853, epochen   => 8735, equipe    => 23859, equipment => 27308,
                        er        => 19, erachtet  => 15364, erachtete => 25126, erahnen   => 22688,
                        erarbeiten
                                  => 14742, erarbeitet
                                  => 5909,
                        erarbeitete
                                  => 9768, erarbeiteten
                                  => 18534,
                        erarbeitung
                                  => 14743, erbauen   => 9769,
                        erbauer   => 11385, erbaut    => 864, erbaute   => 3914, erbauten  => 6096,
                        erbauung  => 11504, erbauungszeit
                                  => 19218,
                        erbe      => 3011, erben     => 3394, erbeutet  => 18222, erbeuteten
                                  => 17919,
                        erbfolge  => 19965, erbin     => 15365, erbitterten
                                  => 23860,
                        erblich   => 26510, erbliche  => 26511, erblichen => 21708, erblickt  => 17029,
                        erblindet => 29126, erbost    => 23252, erbracht  => 8536, erbrachte => 14540,
                        erbrachten
                                  => 14541, erbrechen => 20393,
                        erbringen => 12359, erbringt  => 28210, erbschaft => 13170, erbstollen
                                  => 26512,
                        erbte     => 5860, erdatmosphare
                                  => 25767,
                        erdbeben  => 5342, erdboden  => 10437, erde      => 1092, erdgas    => 12360,
                        erdgeschoss
                                  => 2567, erdgeschosses
                                  => 17030,
                        erdoberflache
                                  => 8801, erdol     => 15160,
                        erdreich  => 15575, erdwall   => 23253, ereignen  => 29127, ereignet  => 14744,
                        ereignete => 8313, ereigneten
                                  => 20811,
                        ereignis  => 3259, ereignisse
                                  => 1900,
                        ereignissen
                                  => 4564, ereignisses
                                  => 16513,
                        ererbten  => 27309, erfahren  => 2201, erfahrene => 11852, erfahrenen
                                  => 10530,
                        erfahrener
                                  => 19966, erfahrt   => 1440,
                        erfahrung => 2276, erfahrungen
                                  => 1684,
                        erfahrungsaustausch
                                  => 28211,
                        erfand    => 12095, erfassen  => 7256, erfasst   => 3045, erfasste  => 18223,
                        erfassten => 18535, erfassung => 8602, erfinden  => 23861, erfinder  => 8667,
                        erfindung => 5343, erfindungen
                                  => 10711,
                        erfolg    => 500, erfolge   => 1442, erfolgen  => 1582, erfolges  => 10887,
                        erfolglos => 3083, erfolglose
                                  => 25768,
                        erfolglosen
                                  => 11205, erfolgreich
                                  => 636,
                        erfolgreiche
                                  => 2736, erfolgreichem
                                  => 25127,
                        erfolgreichen
                                  => 2442, erfolgreicher
                                  => 4161,
                        erfolgreiches
                                  => 14542, erfolgreichste
                                  => 3980,
                        erfolgreichsten
                                  => 3516, erfolgreichster
                                  => 19562,
                        erfolgreichstes
                                  => 27310, erfolgs   => 11206,
                        erfolgt   => 645, erfolgte  => 257, erfolgten => 1991, erfolgter => 17601,
                        erforderlich
                                  => 1830, erforderliche
                                  => 7141,
                        erforderlichen
                                  => 5441, erfordern => 10251,
                        erfordernisse
                                  => 25128, erfordernissen
                                  => 18224,
                        erfordert => 4923, erforderte
                                  => 7684,
                        erforderten
                                  => 19563, erforschen
                                  => 10173,
                        erforscht => 5278, erforschte
                                  => 15792,
                        erforschung
                                  => 3746, erfreuen  => 17306,
                        erfreut   => 8166, erfreute  => 13799, erfuhr    => 2800, erfuhren  => 11292,
                        erfullen  => 2861, erfullt   => 2710, erfullte  => 7734, erfullten => 16265,
                        erfullung => 5533, erfunden  => 8167, erfundene => 17920, erfundenen
                                  => 26513,
                        erfurt    => 5508, erfurter  => 13800, ergab     => 2444, ergaben   => 3947,
                        erganzen  => 7026, erganzend => 13171, erganzende
                                  => 19564,
                        erganzenden
                                  => 25129, erganzt   => 1819,
                        erganzte  => 7546, erganzten => 21709, erganzung => 7382, erganzungen
                                  => 10888,
                        erganzungsspieler
                                  => 27311,
                        ergeben   => 1869, ergebenden
                                  => 23254,
                        ergebnis  => 944, ergebnislos
                                  => 22202,
                        ergebnisse
                                  => 1212, ergebnissen
                                  => 5758,
                        ergebnisses
                                  => 24459, ergehen   => 22203,
                        ergibt    => 1601, erging    => 12610, ergraben  => 25130, ergreifen => 9515,
                        ergreift  => 12361, ergriff   => 15576, ergriffen => 7633, erhabene  => 23862,
                        erhalt    => 804, erhalte   => 25131, erhalten  => 210, erhaltene => 2585,
                        erhaltenen
                                  => 2575, erhaltener
                                  => 18225,
                        erhaltenes
                                  => 23255, erhaltlich
                                  => 1949,
                        erhaltlichen
                                  => 27312, erhaltung => 4033,
                        erhaltungszustand
                                  => 16754,
                        erhangt   => 19219, erheben   => 6251, erheblich => 1745, erhebliche
                                  => 3478,
                        erheblichem
                                  => 16755, erheblichen
                                  => 3970,
                        erheblicher
                                  => 9930, erhebliches
                                  => 27313,
                        erhebt    => 3721, erhebung  => 2371, erhebungen
                                  => 8802,
                        erhielt   => 168, erhielten => 1010, erhitzen  => 17031, erhitzt   => 13627,
                        erhitzung => 29128, erhob     => 6555, erhoben   => 1937, erhobene  => 29129,
                        erhobenen => 10987, erhofft   => 10712, erhoffte  => 8872, erhofften => 12611,
                        erhohen   => 3311, erhoht    => 1382, erhohte   => 2780, erhohtem  => 22204,
                        erhohten  => 4305, erhohter  => 11735, erhohtes  => 19967, erhohung  => 3937,
                        erholen   => 9931, erholt    => 13990, erholte   => 9770, erholung  => 9852,
                        erholungsgebiet
                                  => 25769, erholungsort
                                  => 25132,
                        eric      => 5534, erica     => 25770, erinnere  => 22205, erinnern  => 2618,
                        erinnert  => 1348, erinnerte => 8104, erinnerten
                                  => 22206,
                        erinnerung
                                  => 2478, erinnerungen
                                  => 2935,
                        erkampfen => 19565, erkampfte => 14351, erkannt   => 2898, erkannte  => 3401,
                        erkannten => 11736, erkennbar => 1847, erkennbare
                                  => 12612,
                        erkennbaren
                                  => 13318, erkennen  => 800,
                        erkennt   => 2081, erkenntnis
                                  => 4362,
                        erkenntnisse
                                  => 3602, erkenntnissen
                                  => 9337,
                        erkenntnistheorie
                                  => 28212,
                        erkennung => 14352, erkennungszeichen
                                  => 29130,
                        erklarbar => 25771, erklaren  => 2725, erklart   => 899, erklarte  => 1264,
                        erklarten => 6948, erklarung => 2558, erklarungen
                                  => 10174,
                        erklimmen => 28213, erklingen => 21710, erklingt  => 16266, erkranken => 23863,
                        erkrankt  => 8803, erkrankte => 5910, erkrankten
                                  => 10804,
                        erkrankung
                                  => 3573, erkrankungen
                                  => 5557,
                        erkunden  => 10889, erkundet  => 16267, erkundigt => 21711, erkundung => 13172,
                        erlag     => 8366, erlangen  => 3207, erlanger  => 20394, erlangt   => 6949,
                        erlangte  => 2644, erlangten => 10988, erlangung => 12482, erlass    => 8105,
                        erlassen  => 5176, erlassene => 23864, erlassenen
                                  => 25772,
                        erlauben  => 4823, erlaubnis => 4594, erlaubt   => 1800, erlaubte  => 4427,
                        erlaubten => 9516, erlautern => 25133, erlautert => 6525, erlauterte
                                  => 17602,
                        erlauterung
                                  => 28214, erlauterungen
                                  => 14942,
                        erlebbar  => 27314, erleben   => 4573, erlebnis  => 9932, erlebnisse
                                  => 5911,
                        erlebnissen
                                  => 17307, erlebt    => 4662,
                        erlebte   => 2372, erlebten  => 9933, erledigen => 10989, erledigt  => 9426,
                        erledigung
                                  => 20812, erlegen   => 26514,
                        erlegt    => 21288, erleichtern
                                  => 7295,
                        erleichtert
                                  => 6645, erleichterte
                                  => 19968,
                        erleichterung
                                  => 21712, erleiden  => 17308,
                        erleidet  => 12866, erlen     => 28215, erlernen  => 6749, erlernt   => 13628,
                        erlernte  => 4924, erlernten => 22689, erliegen  => 7257, erliegt   => 23865,
                        erliess   => 10100, erlischt  => 24460, erlitt    => 3084, erlitten  => 5158,
                        erlittenen
                                  => 15577, erlos     => 11293,
                        erlosch   => 7111, erloschen => 6989, erlose    => 20395, erlosen   => 22207,
                        erlost    => 25134, erlosung  => 12867, ermahnt   => 27315, ermangelung
                                  => 26515,
                        ermessen  => 22690, ermitteln => 4216, ermittelt => 1952, ermittelte
                                  => 11853,
                        ermittelten
                                  => 10890, ermittler => 5465,
                        ermittlern
                                  => 23256, ermittlung
                                  => 8049,
                        ermittlungen
                                  => 3232, ermittlungsverfahren
                                  => 15793,
                        ermoglichen
                                  => 1626, ermoglicht
                                  => 1308,
                        ermoglichte
                                  => 2367, ermoglichten
                                  => 6781,
                        ermorden  => 9427, ermordet  => 2231, ermordete => 16756, ermordeten
                                  => 8481,
                        ermordung => 4511, ermuntert => 24461, ermutigen => 25135, ermutigt  => 12224,
                        ermutigte => 18882, ernahren  => 5535, ernahrt   => 9138, ernahrte  => 28216,
                        ernahrung => 4824, ernannt   => 873, ernannte  => 4336, ernannten => 13991,
                        ernennen  => 15161, ernennt   => 20813, ernennung => 3636, ernest    => 11386,
                        ernesto   => 26516, erneuerbare
                                  => 21713,
                        erneuerbaren
                                  => 16009, erneuerbarer
                                  => 27316,
                        erneuern  => 12225, erneuert  => 2359, erneuerte => 12096, erneuerten
                                  => 17032,
                        erneuerung
                                  => 4725, erneuerungen
                                  => 29131,
                        erneut    => 292, erneute   => 3455, erneuten  => 3329, erneuter  => 11387,
                        erneutes  => 21714, ernste    => 16010, ernsten   => 19566, ernsthaft => 10341,
                        ernsthafte
                                  => 14126, ernsthaften
                                  => 13992,
                        ernte     => 8015, ernten    => 16268, erntete   => 25136, eroberer  => 24462,
                        erobern   => 6712, erobert   => 6189, eroberte  => 9074, eroberten => 8804,
                        eroberung => 4217, eroberungen
                                  => 17309,
                        erodiert  => 23257, eroffnen  => 7458, eroffnet  => 705, eroffnete => 2023,
                        eroffneten
                                  => 6646, eroffnung => 1731,
                        eroffnungsfeier
                                  => 19567, erortert  => 16011,
                        erosion   => 13629, erotik    => 26517, erotische => 16514, erotischen
                                  => 18536,
                        erpressen => 14745, erpresser => 29132, erpresst  => 11388, erpressung
                                  => 17921,
                        erproben  => 27317, erprobt   => 12868, erprobung => 9670, errang    => 3783,
                        errangen  => 16269, errechnet => 15578, errechnete
                                  => 29133,
                        erregen   => 20814, erreger   => 11737, erregt    => 13993, erregte   => 6614,
                        erregten  => 21715, erregung  => 14353, erreichbar
                                  => 3456,
                        erreichbare
                                  => 17310, erreichbaren
                                  => 23258,
                        erreichbarkeit
                                  => 26518, erreichen => 487,
                        erreicht  => 409, erreichte => 338, erreichten
                                  => 1546,
                        erreichung
                                  => 19220, errichten => 2021,
                        errichtet => 328, errichtete
                                  => 1746,
                        errichteten
                                  => 2694, errichtetes
                                  => 20396,
                        errichtung
                                  => 1841, erringen  => 6750,
                        errungen  => 11975, errungenschaften
                                  => 13173,
                        ersatz    => 3622, ersatzbank
                                  => 27318,
                        ersatzlos => 20397, ersatzspieler
                                  => 18226,
                        ersatzteile
                                  => 18227, ersatzteilen
                                  => 27319,
                        erschaffen
                                  => 8873, erschaffung
                                  => 19568,
                        erscheine => 24463, erscheinen
                                  => 1098,
                        erscheinende
                                  => 8106, erscheinenden
                                  => 9586,
                        erscheint => 824, erscheinung
                                  => 2223,
                        erscheinungen
                                  => 10342, erscheinungsbild
                                  => 4726,
                        erscheinungsformen
                                  => 24464,
                        erschien  => 318, erschienen
                                  => 831,
                        erschienene
                                  => 6900, erschienenen
                                  => 3623,
                        erschienenes
                                  => 22208, erschiessen
                                  => 7769,
                        erschiesst
                                  => 6990, erschiessung
                                  => 23259,
                        erschlagen
                                  => 8937, erschlagt => 25773,
                        erschliessen
                                  => 7912, erschliesst
                                  => 13483,
                        erschliessung
                                  => 6097, erschloss => 23866,
                        erschlossen
                                  => 3380, erschlossenen
                                  => 26519,
                        erschopft => 10252, erschopfung
                                  => 14746,
                        erschoss  => 13484, erschossen
                                  => 2655,
                        erschrecken
                                  => 26520, erschreckt
                                  => 25774,
                        erschrocken
                                  => 29134, erschuttert
                                  => 12226,
                        erschutterungen
                                  => 23867, erschweren
                                  => 13021,
                        erschwerend
                                  => 22209, erschwert => 6345,
                        erschwerte
                                  => 14543, erschwerten
                                  => 22210,
                        ersehen   => 27320, ersehnte  => 25775, ersehnten => 29135, ersetzen  => 3500,
                        ersetzt   => 607, ersetzte  => 4131, ersetzten => 14544, ersichtlich
                                  => 8208,
                        ersparen  => 23868, ersparnisse
                                  => 25137,
                        erspart   => 27321, erspielt  => 24465, erspielte => 29136, erst      => 122,
                        erstarrt  => 25138, erstattet => 16012, erstauffuhrung
                                  => 12613,
                        erstauflage
                                  => 20398, erstaunen => 23260,
                        erstaunlich
                                  => 13801, erstaunliche
                                  => 29137,
                        erstaunt  => 17922, erstausgabe
                                  => 16515,
                        erstausstrahlung
                                  => 6470, erstbeschreibung
                                  => 13022,
                        erstbesteigung
                                  => 26521, erste     => 102,
                        erstellen => 4727, erstellt  => 2250, erstellte => 5990, erstellten
                                  => 10101,
                        erstellung
                                  => 5558, erstem    => 12869,
                        ersten    => 81, erstens   => 19569, erster    => 498, erstere   => 11096,
                        ersteren  => 22691, ersterer  => 18228, ersteres  => 25776, ersterwahnung
                                  => 14545,
                        erstes    => 1139, erstflug  => 8938, erstgenannten
                                  => 25139,
                        ersticht  => 24466, ersticken => 24467, erstickt  => 19969, erstklassig
                                  => 27322,
                        erstklassigen
                                  => 27323, erstklassigkeit
                                  => 29138,
                        erstligaspiele
                                  => 15794, erstligisten
                                  => 14127,
                        erstmal   => 20815, erstmalige
                                  => 19570,
                        erstmaligen
                                  => 22211, erstmals  => 216,
                        erstnennung
                                  => 27324, erstochen => 19571,
                        erstplatzierten
                                  => 14128, erstrecken
                                  => 7634,
                        erstreckt => 1541, erstreckte
                                  => 6820,
                        erstreckten
                                  => 16270, ersturmung
                                  => 26522,
                        erstveroffentlichung
                                  => 17033,
                        ersuchen  => 19572, ersuchte  => 23869, ertappt   => 22692, erteilen  => 13630,
                        erteilt   => 4034, erteilte  => 6821, erteilten => 27325, erteilung => 15162,
                        ertrag    => 10531, ertrage   => 9268, ertragen  => 9013, ertrank   => 28217,
                        ertranken => 17034, ertrinken => 21716, ertrunken => 23870, ertuchtigung
                                  => 28218,
                        eruption  => 20399, erwachen  => 14943, erwachsen => 13802, erwachsene
                                  => 3425,
                        erwachsenen
                                  => 3457, erwachsenenalter
                                  => 11505,
                        erwachsenenbildung
                                  => 15366,
                        erwachsener
                                  => 14944, erwacht   => 7173,
                        erwachte  => 25777, erwagung  => 18883, erwagungen
                                  => 17603,
                        erwahnen  => 8805, erwahnenswert
                                  => 10343,
                        erwahnt   => 435, erwahnte  => 4574, erwahnten => 4663, erwahnung => 1583,
                        erwahnungen
                                  => 13174, erwarb    => 1437,
                        erwarben  => 9587, erwarmen  => 25778, erwarmt   => 14945, erwarmung => 11389,
                        erwarte   => 24468, erwarten  => 3812, erwartende
                                  => 23261,
                        erwartenden
                                  => 13319, erwartet  => 2603,
                        erwartete => 6591, erwarteten
                                  => 8107,
                        erwartung => 10175, erwartungen
                                  => 4557,
                        erwartungsgemass
                                  => 20816, erwecken  => 13631,
                        erweckt   => 10805, erwehren  => 25140, erweisen  => 9934, erweist   => 6346,
                        erweitern => 5111, erweitert => 906, erweiterte
                                  => 3055,
                        erweiterten
                                  => 5295, erweiterter
                                  => 26523,
                        erweiterung
                                  => 1772, erweiterungen
                                  => 5403,
                        erweiterungsbau
                                  => 12227, erwerb    => 4679,
                        erwerben  => 4384, erwerber  => 24469, erwerbstatige
                                  => 17311,
                        erwerbstatigen
                                  => 13485, erwerbungen
                                  => 27326,
                        erwidert  => 12228, erwiderte => 25141, erwies    => 2754, erwiesen  => 4405,
                        erwirbt   => 19221, erwirken  => 20400, erwirkte  => 27327, erwirtschaften
                                  => 23262,
                        erwirtschaftet
                                  => 13803, erwirtschaftete
                                  => 12483,
                        erwirtschafteten
                                  => 22693, erwischt  => 11207,
                        erwog     => 17312, erwogen   => 13320, erworben  => 1997, erworbene => 13994,
                        erworbenen
                                  => 11738, erwuchs   => 25142,
                        erwunscht => 13804, erwunschte
                                  => 26524,
                        erwunschten
                                  => 27328, erwurgt   => 25779,
                        erzahlen  => 4428, erzahler  => 5420, erzahlers => 18229, erzahlt   => 1160,
                        erzahlte  => 7913, erzahlten => 19222, erzahlung => 3269, erzahlungen
                                  => 3395,
                        erzahlweise
                                  => 28219, erzbischof
                                  => 3735,
                        erzbischofe
                                  => 19223, erzbischoflichen
                                  => 29139,
                        erzbischofs
                                  => 12614, erzbistum => 9428,
                        erzbistums
                                  => 19573, erzdiozese
                                  => 25143,
                        erzengel  => 26525, erzeugen  => 3381, erzeugnisse
                                  => 12097,
                        erzeugnissen
                                  => 26526, erzeugt   => 2309,
                        erzeugte  => 7547, erzeugten => 8874, erzeugung => 6678, erzgebirge
                                  => 16271,
                        erzherzog => 23263, erziehen  => 26527, erzieher  => 13321, erziehung => 3200,
                        erzielen  => 2568, erzielt   => 2283, erzielte  => 706, erzielten => 4664,
                        erzogen   => 10253, erzurnt   => 22212, erzwingen => 14129, erzwungene
                                  => 29140,
                        erzwungenen
                                  => 21289, es        => 37,
                        escola    => 28220, escuela   => 22694, eskalation
                                  => 19574,
                        eskaliert => 17923, eskalierte
                                  => 25144,
                        esmeralda => 28221, essay     => 12870, essays    => 7635, essbar    => 22213,
                        essen     => 1878, essener   => 12740, essentiell
                                  => 25145,
                        essex     => 20401, esslingen => 16757, estadio   => 22695, estate    => 19970,
                        ester     => 26528, esther    => 12741, estland   => 8875, estlands  => 18884,
                        estnische => 18230, estnischen
                                  => 7420,
                        etablieren
                                  => 4363, etabliert => 4271,
                        etablierte
                                  => 4035, etablierten
                                  => 7914,
                        etablierung
                                  => 10532, etage     => 8314,
                        etagen    => 6822, etappe    => 5679, etappen   => 7496, ethan     => 21717,
                        ethik     => 7258, ethische  => 17604, ethischen => 17035, ethnie    => 16013,
                        ethnien   => 10533, ethnisch  => 13805, ethnische => 9517, ethnischen
                                  => 8939,
                        ethnischer
                                  => 25780, ethnologie
                                  => 18231,
                        etikett   => 26529, etliche   => 3722, etlichen  => 11294, etwa      => 82,
                        etwaige   => 18232, etwas     => 278, etymologie
                                  => 27329,
                        euch      => 7735, eugene    => 12615, eugenie   => 29141, eurasien  => 26530,
                        euro      => 445, europa    => 482, europacup => 15367, europaer  => 7296,
                        europaern => 17313, europaische
                                  => 1638,
                        europaischen
                                  => 688, europaischer
                                  => 5466,
                        europaisches
                                  => 16014, europameister
                                  => 8168,
                        europameisterin
                                  => 20402, europameisterschaft
                                  => 6592,
                        europameisterschaften
                                  => 6556,
                        europameistertitel
                                  => 21290,
                        europapokal
                                  => 17605, europas   => 2388,
                        europawahl
                                  => 27330, europaweit
                                  => 9338,
                        europaweite
                                  => 29142, europe    => 8876,
                        european  => 5607, eurovision
                                  => 20817,
                        evakuiert => 11390, evakuierung
                                  => 11619,
                        evaluation
                                  => 18537, evangelisch
                                  => 7339,
                        evangelische
                                  => 2360, evangelischen
                                  => 1884,
                        evangelischer
                                  => 9429, evangelisches
                                  => 16516,
                        evangelisten
                                  => 13322, evangelium
                                  => 17606,
                        evangeliums
                                  => 27331, evans     => 10102,
                        evelyn    => 16517, event     => 10806, events    => 9588, eventuell => 4045,
                        eventuelle
                                  => 12871, eventuellen
                                  => 17036,
                        everton   => 29143, every     => 29144, everything
                                  => 26531,
                        evolution => 7636, ewige     => 11391, ewigen    => 7862, ewigkeit  => 14130,
                        exakt     => 5404, exakte    => 8877, exakten   => 14747, examen    => 12362,
                        excellence
                                  => 26532, exchange  => 19971,
                        executive => 8806, exegese   => 26533, exekution => 25781, exekutive => 15795,
                        exekutivkomitees
                                  => 28222, exemplar  => 6061,
                        exemplare => 1590, exemplaren
                                  => 3226,
                        exemplarisch
                                  => 16518, exeter    => 26534,
                        exil      => 4046, existent  => 16758, existenz  => 1989, existenzgrundlage
                                  => 29145,
                        existieren
                                  => 1464, existierende
                                  => 8878,
                        existierenden
                                  => 7259, existiert => 1423,
                        existierte
                                  => 3159, existierten
                                  => 5362,
                        exklave   => 21718, exklusiv  => 11976, exklusive => 17924, exklusiven
                                  => 21719,
                        exkursionen
                                  => 16272, exotische => 19575,
                        exotischen
                                  => 19576, expandierte
                                  => 12229,
                        expansion => 7421, expedition
                                  => 3938,
                        expeditionen
                                  => 12230, experience
                                  => 25782,
                        experiment
                                  => 6852, experimente
                                  => 5680,
                        experimentell
                                  => 15579, experimentelle
                                  => 9589,
                        experimentellen
                                  => 10534, experimenten
                                  => 13323,
                        experimentieren
                                  => 21291, experimentiert
                                  => 20403,
                        experimentierte
                                  => 17607, experiments
                                  => 23871,
                        experte   => 12742, experten  => 4148, expertise => 21292, explizit  => 5759,
                        explizite => 22214, explodieren
                                  => 25783,
                        explodiert
                                  => 17314, explodierte
                                  => 13324,
                        exploration
                                  => 29146, explorer  => 20818,
                        explosion => 4709, explosionen
                                  => 16759,
                        exponate  => 7637, exponaten => 21293, exponenten
                                  => 29147,
                        exponentiell
                                  => 25784, exponierte
                                  => 23264,
                        exponierten
                                  => 23265, export    => 7066,
                        exporte   => 17037, exportiert
                                  => 7215,
                        exportierte
                                  => 28223, exposition
                                  => 11854,
                        express   => 9339, expressionismus
                                  => 26535,
                        extended  => 20819, extensiv  => 25146, extern    => 22696, externe   => 6901,
                        externen  => 7383, externer  => 20404, extra     => 7459, extrem    => 3007,
                        extreme   => 8603, extremen  => 8537, extremer  => 17925, extremfall
                                  => 18538,
                        extremismus
                                  => 29148, extremitaten
                                  => 19577,
                        exzellente
                                  => 22215, exzentrischen
                                  => 26536,
                        fabel     => 29149, fabelwesen
                                  => 27332,
                        fabrik    => 3364, fabrikanten
                                  => 17315,
                        fabrikarbeiter
                                  => 29150, fabriken  => 7112,
                        fabrikgebaude
                                  => 18885, facebook  => 11392,
                        facelift  => 16015, facetten  => 15796, fach      => 4925, facharbeiter
                                  => 29151,
                        fachartikel
                                  => 28224, facharzt  => 26537,
                        fachbereich
                                  => 9518, fachbereiche
                                  => 17926,
                        fachbereichen
                                  => 23266, fachbereichs
                                  => 24470,
                        fachbucher
                                  => 20820, facher    => 6347,
                        fachern   => 8050, faches    => 23872, fachgebiet
                                  => 14748,
                        fachgebieten
                                  => 25785, fachgesellschaften
                                  => 29152,
                        fachhochschule
                                  => 10438, fachhochschulen
                                  => 19224,
                        fachkrafte
                                  => 17927, fachkreisen
                                  => 23267,
                        fachleute => 13023, fachleuten
                                  => 12363,
                        fachlich  => 17316, fachliche => 14546, fachlichen
                                  => 13325,
                        fachliteratur
                                  => 11295, fachmann  => 21294,
                        fachpresse
                                  => 14131, fachrichtung
                                  => 19225,
                        fachrichtungen
                                  => 17038, fachschule
                                  => 13995,
                        fachwelt  => 13632, fachwerk  => 11393, fachwerkbau
                                  => 22697,
                        fachwerkbauten
                                  => 28225, fachwerkhaus
                                  => 19578,
                        fachwerkhauser
                                  => 20821, fachwissen
                                  => 23268,
                        fachzeitschrift
                                  => 10615, fachzeitschriften
                                  => 8879,
                        facility  => 28226, fackel    => 20822, facto     => 7638, factory   => 17928,
                        faden     => 7297, fahig     => 11739, fahigkeit => 3298, fahigkeiten
                                  => 2251,
                        fahndung  => 21720, fahne     => 7142, fahnen    => 13024, fahrbahn  => 7685,
                        fahrbahnen
                                  => 27333, fahrbetrieb
                                  => 22216,
                        fahrdienstleiter
                                  => 29153, fahre     => 6902,
                        fahren    => 1652, fahrende  => 23873, fahrenden => 10616, fahrer    => 1703,
                        fahrern   => 10617, fahrers   => 18539, fahrerweltmeisterschaft
                                  => 29154,
                        fahrerwertung
                                  => 11394, fahrgaste => 4926,
                        fahrgasten
                                  => 13025, fahrgastzahlen
                                  => 18540,
                        fahrgestell
                                  => 10254, fahrmotoren
                                  => 20405,
                        fahrplan  => 10618, fahrplanwechsel
                                  => 10344,
                        fahrrad   => 8482, fahrrader => 13633, fahrradern
                                  => 22217,
                        fahrspuren
                                  => 14132, fahrstreifen
                                  => 14133,
                        fahrt     => 1135, fahrten   => 4985, fahrtrichtung
                                  => 8315,
                        fahrverbindung
                                  => 29155, fahrverhalten
                                  => 27334,
                        fahrweg   => 21721, fahrweise => 28227, fahrwerk  => 8260, fahrzeit  => 9671,
                        fahrzeug  => 1410, fahrzeuge => 855, fahrzeugen
                                  => 3160,
                        fahrzeuges
                                  => 14749, fahrzeugs => 7863,
                        fairen    => 28228, faith     => 21722, fakten    => 7174, faktisch  => 6421,
                        faktische => 24471, faktor    => 4884, faktoren  => 3784, fakultat  => 2217,
                        fakultaten
                                  => 9853, falcon    => 28229,
                        falken    => 19226, fall      => 483, falle     => 1232, fallen    => 624,
                        fallengelassen
                                  => 21723, falles    => 22698,
                        fallhohe  => 21295, fallig    => 17317, falls     => 2060, fallschirm
                                  => 17929,
                        fallt     => 1148, fallweise => 26538, falsch    => 3026, falsche   => 4429,
                        falschem  => 25147, falschen  => 4575, falscher  => 11296, falsches  => 23874,
                        falschlich
                                  => 11977, falschlicherweise
                                  => 8736,
                        falschung => 14946, falschungen
                                  => 15368,
                        falten    => 16760, falter    => 5296, falun     => 21296, familiare => 15580,
                        familiaren
                                  => 10439, familie   => 200,
                        familien  => 959, familienangehorige
                                  => 23269,
                        familienangehorigen
                                  => 17318,
                        familienbesitz
                                  => 10345, familienbetrieb
                                  => 25786,
                        familiengeschichte
                                  => 17039,
                        familiengrab
                                  => 23270, familiengrosse
                                  => 6991,
                        familienleben
                                  => 17930, familienmitglied
                                  => 23271,
                        familienmitglieder
                                  => 10103,
                        familienmitgliedern
                                  => 26539,
                        familienname
                                  => 8261, familiennamen
                                  => 7915,
                        familientradition
                                  => 26540,
                        familienunternehmen
                                  => 10891,
                        familienvater
                                  => 22699, familienwappen
                                  => 18886,
                        family    => 11506, fand      => 232, fanden    => 558, fange     => 25787,
                        fangemeinde
                                  => 26541, fangen    => 7216,
                        fangt     => 7460, fanny     => 11620, fans      => 2764, fantasie  => 14134,
                        fantasy   => 13996, farbe     => 1371, farben    => 1488, farbgebung
                                  => 8367,
                        farbig    => 10104, farbige   => 9340, farbigen  => 8737, farbigkeit
                                  => 16273,
                        farblich  => 10535, farbliche => 29156, farblos   => 16016, farblose  => 18541,
                        farbstoff => 26542, farbstoffe
                                  => 22700,
                        farbt     => 23875, farbton   => 16017, farbtone  => 24472, farbung   => 3981,
                        farm      => 5022, farmen    => 18233, farmers   => 25788, faroer    => 25148,
                        faschismus
                                  => 11978, faschisten
                                  => 25789,
                        faschistische
                                  => 28230, faschistischen
                                  => 16761,
                        fasern    => 9519, fassade   => 1904, fassaden  => 7967, fassadengestaltung
                                  => 29157,
                        fassbar   => 23272, fassen    => 5327, fassenden => 21724, fassern   => 27335,
                        fasst     => 6212, fasste    => 6348, fassten   => 28231, fassung   => 2079,
                        fassungen => 10105, fassungsvermogen
                                  => 10619,
                        fast      => 250, faszination
                                  => 14354,
                        fasziniert
                                  => 10015, father    => 28232,
                        fatima    => 28233, fauna     => 9014, favorisiert
                                  => 23273,
                        favorisierte
                                  => 23274, favorisierten
                                  => 26543,
                        favorit   => 13997, favoriten => 12616, fazit     => 10346, feature   => 19579,
                        features  => 17319, februar   => 197, fechten   => 25149, federal   => 17040,
                        federation
                                  => 11395, federfuhrend
                                  => 19972,
                        federfuhrung
                                  => 23876, federgewicht
                                  => 22701,
                        federico  => 20823, federn    => 6647, federung  => 25790, feedback  => 23877,
                        fehde     => 13806, fehle     => 14547, fehlen    => 1929, fehlende  => 4964,
                        fehlenden => 4347, fehlender => 5888, fehlens   => 27336, fehler    => 2022,
                        fehlerfrei
                                  => 20824, fehlerhaft
                                  => 18542,
                        fehlerhafte
                                  => 16274, fehlerhaften
                                  => 23878,
                        fehlern   => 11621, fehlers   => 29158, fehlschlag
                                  => 22702,
                        fehlt     => 2269, fehlte    => 5112, fehlten   => 7340, fehlverhalten
                                  => 18234,
                        feier     => 4945, feierlich => 6422, feierliche
                                  => 9771,
                        feierlichen
                                  => 11622, feierlichkeiten
                                  => 8483,
                        feiern    => 3170, feiert    => 9590, feiertage => 19580, feiertagen
                                  => 9672,
                        feierte   => 2424, feierten  => 15163, fein      => 5073, feind     => 5140,
                        feinde    => 4854, feinden   => 11507, feindes   => 21725, feindlich => 21297,
                        feindliche
                                  => 9204, feindlichen
                                  => 6679,
                        feindlicher
                                  => 22218, feindschaft
                                  => 15581,
                        feindseligkeiten
                                  => 25791, feine     => 7027,
                        feinem    => 20406, feinen    => 8209, feinere   => 29159, feld      => 1595,
                        feldarbeit
                                  => 22703, felde     => 14947,
                        feldern   => 5297, feldes    => 10347, feldherr  => 22219, feldherren
                                  => 26544,
                        feldkirch => 22220, feldmark  => 18235, feldmarschall
                                  => 29160,
                        feldsteinen
                                  => 18543, feldweg   => 22704,
                        feldzug   => 6290, feldzuge  => 15797, feldzugen => 19581, feldzuges => 24473,
                        felipe    => 20825, fell      => 4396, felle     => 9139, fellen    => 21726,
                        fellow    => 13326, fellowship
                                  => 27337,
                        felsbrocken
                                  => 25150, felsen    => 3551,
                        felsige   => 22221, felsigen  => 14750, felsspalten
                                  => 28234,
                        felswand  => 17931, female    => 28235, feminismus
                                  => 22705,
                        feministische
                                  => 20407, feministischen
                                  => 20826,
                        fenerbahce
                                  => 21727, fenster   => 913,
                        fensterachsen
                                  => 11508, fenstern  => 5057,
                        fensteroffnungen
                                  => 15798, fensters  => 18544,
                        ferguson  => 17932, ferien    => 13998, ferienhauser
                                  => 27338,
                        fern      => 8210, fernab    => 21728, fernandez => 15369, fernando  => 10990,
                        ferne     => 9935, fernen    => 11097, ferner    => 1519, fernsehauftritte
                                  => 21729,
                        fernsehen => 1375, fernsehens
                                  => 13327,
                        fernseher => 16018, fernsehfilm
                                  => 12617,
                        fernsehfilme
                                  => 28236, fernsehfilmen
                                  => 15164,
                        fernsehproduktionen
                                  => 6128,
                        fernsehprogramm
                                  => 24474, fernsehrollen
                                  => 29161,
                        fernsehsender
                                  => 10016, fernsehsendung
                                  => 19973,
                        fernsehsendungen
                                  => 15799, fernsehserie
                                  => 5732,
                        fernsehserien
                                  => 6349, fernsehshow
                                  => 19582,
                        fernsteuerung
                                  => 25792, fernstrasse
                                  => 20827,
                        fernverkehr
                                  => 13175, fernwarme => 25793,
                        fernzuhalten
                                  => 20408, ferrari   => 7143,
                        fersen    => 16019, fertig    => 3501, fertige   => 12231, fertigen  => 6903,
                        fertiggestellt
                                  => 1342, fertiggestellte
                                  => 10176,
                        fertiggestellten
                                  => 11855, fertigkeiten
                                  => 11297,
                        fertigstellung
                                  => 2237, fertigt   => 16020,
                        fertigte  => 5159, fertigung => 5681, fertigzustellen
                                  => 29162,
                        fesseln   => 14135, fest      => 583, festakt   => 20828, feste     => 2274,
                        festem    => 18545, festen    => 2511, fester    => 6129, festes    => 6904,
                        festgehalten
                                  => 4867, festgelegt
                                  => 1896,
                        festgelegte
                                  => 11208, festgelegten
                                  => 7811,
                        festgenommen
                                  => 3637, festgeschrieben
                                  => 14136,
                        festgesetzt
                                  => 10713, festgestellt
                                  => 2354,
                        festhalten
                                  => 10892, festhielt => 26545,
                        festigen  => 18236, festigkeit
                                  => 14548,
                        festigte  => 17041, festigung => 24475, festival  => 1803, festivals => 4121,
                        festland  => 4986, festlegen => 12484, festlegt  => 27339, festlegung
                                  => 9015,
                        festliche => 28237, festlichen
                                  => 22222,
                        festlichkeiten
                                  => 29163, festmahl  => 29164,
                        festnahme => 10807, festnahmen
                                  => 26546,
                        festnehmen
                                  => 13328, festplatte
                                  => 20829,
                        festplatten
                                  => 24476, festplatz => 25151,
                        festsaal  => 15800, festschrift
                                  => 5628,
                        festsetzen
                                  => 28238, festspiele
                                  => 17042,
                        feststand => 21298, feststehenden
                                  => 25794,
                        feststellbar
                                  => 14948, feststellen
                                  => 4233,
                        feststellt
                                  => 24477, feststellte
                                  => 19974,
                        feststellung
                                  => 8940, feststoff => 14549,
                        festtagen => 29165, festung   => 2445, festungen => 10991, festungsanlagen
                                  => 27340,
                        festzuhalten
                                  => 14137, festzulegen
                                  => 15801,
                        festzunehmen
                                  => 24478, festzustellen
                                  => 7497,
                        feuchte   => 8738, feuchtem  => 21730, feuchten  => 6526, feuchtgebiet
                                  => 23275,
                        feuchtgebiete
                                  => 20830, feuchtigkeit
                                  => 9205,
                        feuer     => 1691, feuerbach => 21299, feuergefecht
                                  => 24479,
                        feuern    => 19227, feuers    => 13329, feuersbrunst
                                  => 26547,
                        feuerstelle
                                  => 25795, feuerstellen
                                  => 17320,
                        feuert    => 28239, feuerte   => 25796, feuerten  => 25797, feuerwache
                                  => 24480,
                        feuerwaffen
                                  => 28240, feuerwehr => 3341,
                        feuerwehren
                                  => 14355, feuerwehrleute
                                  => 29166,
                        feuerwerk => 16762, fichten   => 24481, fiction   => 17608, fidschi   => 25798,
                        fieber    => 10620, fiel      => 843, field     => 8430, fields    => 22223,
                        fielen    => 2179, fiesta    => 25799, fifth     => 28241, fighter   => 28242,
                        figur     => 1448, figuren   => 1258, figurengruppe
                                  => 20831,
                        figurliche
                                  => 22706, figurlichen
                                  => 21731,
                        fiktion   => 15582, fiktionalen
                                  => 27341,
                        fiktive   => 10893, fiktiven  => 6782, filiale   => 7384, filialen  => 7067,
                        filialkirche
                                  => 14138, film      => 213,
                        filmaufnahmen
                                  => 18546, filmbauten
                                  => 26548,
                        filmbranche
                                  => 23276, filmdebut => 17609,
                        filmdrama => 25800, filme     => 1609, filmemacher
                                  => 11098,
                        filmen    => 2090, filmes    => 8941, filmfestival
                                  => 20409,
                        filmfestivals
                                  => 19228, filmgeschaft
                                  => 12098,
                        filmgeschichte
                                  => 21300, filmindustrie
                                  => 17933,
                        filmische => 21301, filmischen
                                  => 24482,
                        filmkarriere
                                  => 14949, filmkritiker
                                  => 26549,
                        filmmaterial
                                  => 16763, filmmusik => 10440,
                        filmproduktion
                                  => 17321, filmproduktionen
                                  => 14550,
                        filmproduzent
                                  => 23277, filmreihe => 25801,
                        filmrolle => 20832, filmrollen
                                  => 16275,
                        films     => 1435, filmschauspieler
                                  => 24483,
                        filmstudio
                                  => 25152, filmtitel => 22224,
                        filter    => 9936, filtern   => 23879, filzig    => 23880, final     => 12232,
                        finale    => 941, finaleinzug
                                  => 20833,
                        finalen   => 11509, finales   => 21302, finalisten
                                  => 16276,
                        finalrunde
                                  => 10992, finals    => 18547,
                        finalserie
                                  => 29167, finalspiel
                                  => 21303,
                        finalspiele
                                  => 24484, finalteilnahme
                                  => 17610,
                        finance   => 25153, financial => 16519, finanzamt => 15370, finanzausschuss
                                  => 24485,
                        finanzen  => 5509, finanziell
                                  => 3444,
                        finanzielle
                                  => 2129, finanziellen
                                  => 1965,
                        finanzieller
                                  => 5442, finanzieren
                                  => 6680,
                        finanziert
                                  => 2952, finanzierte
                                  => 7498,
                        finanzierten
                                  => 18237, finanzierung
                                  => 2921,
                        finanzkrise
                                  => 17322, finanzlage
                                  => 22225,
                        finanzminister
                                  => 13999, finanzministerium
                                  => 17323,
                        finanzmittel
                                  => 20834, finanzpolitik
                                  => 26550,
                        finanzverwaltung
                                  => 17934, finch     => 28243,
                        finde     => 16277, finden    => 259, findet    => 283, findling  => 22226,
                        fing      => 7770, fingen    => 22707, fingerabdrucke
                                  => 27342,
                        fingern   => 14950, finnen    => 18548, finnische => 10808, finnischen
                                  => 5837,
                        finnischer
                                  => 27343, finnland  => 3471,
                        finnlands => 16520, finsteren => 27344, finsternis
                                  => 16021,
                        firma     => 680, firmen    => 2909, firmengelande
                                  => 28244,
                        firmengeschichte
                                  => 25154, firmengrunder
                                  => 22708,
                        firmenleitung
                                  => 28245, firmennamen
                                  => 26551,
                        firmensitz
                                  => 15802, firmiert  => 12618,
                        firmierte => 9140, first     => 5250, fischarten
                                  => 18238,
                        fische    => 4162, fischen   => 7686, fischerdorf
                                  => 19229,
                        fischerei => 7298, fischern  => 20410, fischfang => 10621, fischteiche
                                  => 28246,
                        fisher    => 13330, fitness   => 17611, fitzgerald
                                  => 20835,
                        fixieren  => 18239, fixiert   => 8051, fixierung => 16764, fjord     => 20836,
                        flach     => 3878, flachdach => 24486, flachdecke
                                  => 25802,
                        flache    => 456, flachem   => 22227, flachen   => 1225, flachendeckend
                                  => 16521,
                        flachendeckende
                                  => 29168, flachenhafte
                                  => 25155,
                        flachenmassig
                                  => 12485, flacher   => 11209,
                        flacheren => 25803, flaches   => 17324, flachland => 20411, flagge    => 3445,
                        flaggen   => 12099, flaggschiff
                                  => 17325,
                        flair     => 29169, flames    => 29170, flamischen
                                  => 14951,
                        flamme    => 12743, flammen   => 5659, flandern  => 12233, flanke    => 9075,
                        flanken   => 5838, flankieren
                                  => 28247,
                        flankierenden
                                  => 26552, flankiert => 5991,
                        flasche   => 9937, flaschen  => 10348, flaumig   => 20837, flechten  => 24487,
                        flecke    => 18887, flecken   => 3073, fledermaus
                                  => 28248,
                        fledermause
                                  => 25156, fleet     => 19583,
                        fleht     => 27345, fleischig => 26553, fleissig  => 24488, fleming   => 18888,
                        flensburg => 9076, flensburger
                                  => 20838,
                        fletcher  => 19975, flexibel  => 11298, flexibilitat
                                  => 11210,
                        flexible  => 14952, flexiblen => 24489, flexibler => 20412, fliegen   => 2833,
                        fliegende => 14953, fliegenden
                                  => 13176,
                        fliegerhorst
                                  => 25157, fliegt    => 6062,
                        fliehen   => 2819, fliehenden
                                  => 28249,
                        flieht    => 5608, fliessen  => 6783, fliessend => 8604, fliessende
                                  => 15803,
                        fliessenden
                                  => 11979, fliessendes
                                  => 26554,
                        fliessgeschwindigkeit
                                  => 25158,
                        fliessgewasser
                                  => 16022, fliessrichtung
                                  => 22709,
                        fliesst   => 1820, flight    => 18889, flirtet   => 23881, flog      => 5491,
                        flogen    => 13177, flohen    => 7499, flora     => 5536, florence  => 16023,
                        florentiner
                                  => 22710, florenz   => 6387,
                        flores    => 22711, florida   => 5935, floridas  => 27346, florierte => 22712,
                        floss     => 9854, flossen   => 7028, flote     => 10894, floten    => 22713,
                        flotte    => 2826, flotten   => 22228, flottille => 21732, flucht    => 1433,
                        fluchtartig
                                  => 28250, fluchten  => 8368,
                        fluchtenden
                                  => 25804, fluchtet  => 8739,
                        fluchtete => 11856, fluchteten
                                  => 14000,
                        fluchtige => 21304, fluchtigen
                                  => 17043,
                        fluchtling
                                  => 27347, fluchtlinge
                                  => 3624,
                        fluchtlingen
                                  => 9016, fluchtlingslager
                                  => 29171,
                        fluchtversuch
                                  => 17935, flug      => 3382,
                        flugbahn  => 19976, flugbetrieb
                                  => 11396,
                        flugblatter
                                  => 17326, fluge     => 7175,
                        flugel    => 1777, flugelaltar
                                  => 23882,
                        flugeldecken
                                  => 9430, flugeln   => 6557,
                        flugels   => 11980, flugelspannweite
                                  => 12100,
                        flugelspieler
                                  => 29172, flugen    => 17936,
                        flugerfahrung
                                  => 29173, fluges    => 11981,
                        flugfeld  => 23278, fluggesellschaft
                                  => 10255,
                        fluggesellschaften
                                  => 14356,
                        flughafen => 1874, flughafens
                                  => 7812,
                        flughohe  => 17327, flugkorper
                                  => 19977,
                        flugplatz => 4627, flugplatze
                                  => 29174,
                        flugplatzes
                                  => 20839, flugstunden
                                  => 19230,
                        flugverkehr
                                  => 23279, flugzeit  => 21733,
                        flugzeug  => 2180, flugzeugabsturz
                                  => 20840,
                        flugzeuge => 2742, flugzeugen
                                  => 5443,
                        flugzeuges
                                  => 17328, flugzeugs => 11211,
                        flugzeugtrager
                                  => 20841, flugzeugtypen
                                  => 22714,
                        flur      => 6500, fluren    => 21734, flurname  => 22229, flurnamen => 15804,
                        fluss     => 1280, flussabwarts
                                  => 11740,
                        flussaufwarts
                                  => 13807, flussbett => 12486,
                        flusse    => 4647, flussen   => 6681, flusses   => 4059, flussig   => 25159,
                        flussige  => 18549, flussigen => 15805, flussigkeit
                                  => 6291,
                        flussigkeiten
                                  => 14139, flusskilometer
                                  => 28251,
                        flusslauf => 11623, flusstal  => 25805, flussufer => 14954, fluten    => 16278,
                        flying    => 16024, flynn     => 24490, focus     => 18890, foderation
                                  => 9141,
                        fokus     => 3829, fokussieren
                                  => 28252,
                        fokussiert
                                  => 12744, fokussierte
                                  => 22230,
                        fokussierung
                                  => 23883, folge     => 316,
                        folgejahr => 5344, folgejahren
                                  => 4279,
                        folgejahres
                                  => 26555, folgen    => 574,
                        folgend   => 6027, folgende  => 1384, folgendem => 29175, folgenden => 296,
                        folgender => 14001, folgendermassen
                                  => 17329,
                        folgendes => 14357, folgerichtig
                                  => 17612,
                        folgesaison
                                  => 11397, folgetag  => 15806,
                        folgezeit => 2373, folglich  => 4680, folgt     => 943, folgte    => 484,
                        folgten   => 762, folien    => 19584, folklore  => 21305, folter    => 7687,
                        foltern   => 28253, fonds     => 9855, fontana   => 28254, fontane   => 18550,
                        football  => 6593, forbes    => 23280, force     => 4750, forces    => 19585,
                        forchheim => 25806, forciert  => 23281, forcierte => 24491, ford      => 5177,
                        forderer  => 7385, forderlich
                                  => 29176,
                        fordermittel
                                  => 17330, fordern   => 2202,
                        forderpreis
                                  => 21306, fordert   => 2226,
                        forderte  => 1491, forderten => 4047, forderung => 1094, forderungen
                                  => 3143,
                        forderverein
                                  => 7813, fordervereins
                                  => 20413,
                        foreign   => 19231, foren     => 25807, forest    => 8169, foret     => 18891,
                        forever   => 16279, form      => 277, formal    => 5141, formale   => 9341,
                        formalen  => 10895, formaler  => 28255, format    => 4576, formate   => 10536,
                        formaten  => 16765, formation => 5582, formationen
                                  => 12101,
                        formel    => 3830, formell   => 9077, formelle  => 15583, formellen => 21735,
                        formeln   => 14140, formen    => 1129, formensprache
                                  => 16280,
                        formgebung
                                  => 19586, formiert  => 22231,
                        formierte => 13808, formierten
                                  => 25160,
                        formlich  => 19587, formt     => 28256, formte    => 19588, formula   => 27348,
                        formulieren
                                  => 19978, formuliert
                                  => 7176,
                        formulierte
                                  => 9772, formulierten
                                  => 23282,
                        formulierung
                                  => 8108, formulierungen
                                  => 15584,
                        forrest   => 23884, forschen  => 19979, forscher  => 3903, forschern => 11099,
                        forscht   => 17331, forschte  => 11398, forschung => 969, forschungen
                                  => 2899,
                        forschungsarbeit
                                  => 15371, forschungsarbeiten
                                  => 14002,
                        forschungseinrichtung
                                  => 28257,
                        forschungseinrichtungen
                                  => 15165,
                        forschungsergebnisse
                                  => 9206,
                        forschungsgemeinschaft
                                  => 26556,
                        forschungsgruppe
                                  => 23283, forschungsinstitut
                                  => 15166,
                        forschungsprojekt
                                  => 15167,
                        forschungsprojekte
                                  => 20842,
                        forschungsprojekten
                                  => 22715,
                        forschungsreise
                                  => 22716, forschungsschwerpunkt
                                  => 18892,
                        forschungsschwerpunkte
                                  => 9856,
                        forschungsstand
                                  => 24492, forschungsstelle
                                  => 22717,
                        forschungstatigkeit
                                  => 17937,
                        forschungszentrum
                                  => 22232,
                        forstamt  => 25808, forsten   => 26557, forsthaus => 13026, forstverwaltung
                                  => 28258,
                        forstwirtschaft
                                  => 5023, forstwirtschaftlich
                                  => 20843,
                        forstwirtschaftliche
                                  => 16281,
                        fort      => 748, fortan    => 1571, fortbestand
                                  => 14751,
                        fortbestehen
                                  => 22718, fortbewegen
                                  => 22233,
                        fortbewegung
                                  => 14358, fortbildung
                                  => 12364,
                        fortbildungen
                                  => 25161, forte     => 18240,
                        fortentwicklung
                                  => 29177, fortfuhren
                                  => 20414,
                        fortfuhrung
                                  => 10017, fortgang  => 23284,
                        fortgefuhrt
                                  => 5279, fortgeschritten
                                  => 20415,
                        fortgeschrittene
                                  => 17332, fortgeschrittenen
                                  => 12234,
                        fortgesetzt
                                  => 3723, fortlaufend
                                  => 14551,
                        fortlaufende
                                  => 22719, fortlaufenden
                                  => 23285,
                        fortpflanzung
                                  => 10714, fortpflanzungszeit
                                  => 17333,
                        forts     => 9269, fortsatz  => 19980, fortsatze => 27349, fortschreibungsstand
                                  => 22720,
                        fortschreiten
                                  => 29178, fortschreitende
                                  => 22234,
                        fortschreitenden
                                  => 16766, fortschritt
                                  => 5609,
                        fortschritte
                                  => 7341, fortschrittliche
                                  => 22235,
                        fortschrittlichen
                                  => 28259,
                        fortschritts
                                  => 25809, fortsetzen
                                  => 7461,
                        fortsetzt => 21307, fortsetzte
                                  => 15585,
                        fortsetzung
                                  => 3416, fortsetzungen
                                  => 17044,
                        fortune   => 29179, fortwahrend
                                  => 20844,
                        fortzufuhren
                                  => 16522, fortzusetzen
                                  => 9431,
                        forum     => 4072, forums    => 19589, fossil    => 17613, fossile   => 21736,
                        fossilen  => 15807, fossilien => 8880, foster    => 15586, foto      => 3656,
                        fotografen
                                  => 8484, fotografie
                                  => 4885,
                        fotografien
                                  => 5660, fotografieren
                                  => 15168,
                        fotografiert
                                  => 11857, fotografierte
                                  => 14003,
                        fotografin
                                  => 17045, fotografische
                                  => 18551,
                        fotografischen
                                  => 14004, fotos     => 2676,
                        foundation
                                  => 5467, fournier  => 27350,
                        foyer     => 13027, fracht    => 12619, frachter  => 16523, frage     => 738,
                        fragebogen
                                  => 17614, fragen    => 1161,
                        fragestellung
                                  => 16767, fragestellungen
                                  => 8170,
                        fraglich  => 10809, fragment  => 11741, fragmentarisch
                                  => 27351,
                        fragmente => 6028, fragmenten
                                  => 14359,
                        fragt     => 4533, fragte    => 8485, fragwurdig
                                  => 20416,
                        fraktion  => 3767, fraktionen
                                  => 7591,
                        fraktionsvorsitzender
                                  => 15372,
                        frame     => 14005, frames    => 12872, franc     => 23286, francais  => 17046,
                        francaise => 17334, france    => 6442, franchise => 11742, franchises
                                  => 29180,
                        francis   => 5510, francisco => 4314, franco    => 10810, francois  => 6320,
                        francoise => 17335, francs    => 22721, frankenthal
                                  => 22722,
                        frankfurt => 719, frankfurter
                                  => 2546,
                        frankfurts
                                  => 27352, frankie   => 16025,
                        frankische
                                  => 14552, frankischen
                                  => 8668,
                        frankischer
                                  => 25810, franklin  => 9773,
                        frankreich
                                  => 522, frankreichs
                                  => 4261,
                        franks    => 24493, fransen   => 21308, franziskaner
                                  => 16026,
                        franzose  => 13809, franzosen => 2177, franzosin => 20417, franzosisch
                                  => 2938,
                        franzosische
                                  => 1146, franzosischem
                                  => 20845,
                        franzosischen
                                  => 650, franzosischer
                                  => 4430,
                        franzosisches
                                  => 19981, franzosischsprachige
                                  => 29181,
                        franzosischsprachigen
                                  => 19590,
                        fraser    => 14752, frau      => 202, frauen    => 307, frauenanteil
                                  => 29182,
                        frauenbewegung
                                  => 13486, frauenkirche
                                  => 26558,
                        frauenmannschaft
                                  => 16768, frauenwahlrecht
                                  => 26559,
                        fraunhofer
                                  => 24494, freddie   => 27353,
                        freddy    => 17336, frederick => 10441, freedom   => 17047, freeman   => 21309,
                        freeway   => 23885, fregatte  => 22236, fregatten => 23886, frei      => 810,
                        freibad   => 10442, freiberuflich
                                  => 16769,
                        freiberufliche
                                  => 24495, freiberuflicher
                                  => 17337,
                        freiburg  => 1966, freiburger
                                  => 11510,
                        freie     => 1798, freiem    => 9432, freien    => 1198, freier    => 2716,
                        freies    => 10018, freiflache
                                  => 25162,
                        freiflachen
                                  => 17938, freifrau  => 27354,
                        freigabe  => 8942, freigegeben
                                  => 4243,
                        freigelande
                                  => 29183, freigelassen
                                  => 5661,
                        freigelegt
                                  => 5044, freigelegten
                                  => 28260,
                        freigeschaltet
                                  => 23887, freigesetzt
                                  => 13634,
                        freigesprochen
                                  => 8740, freigestellt
                                  => 12102,
                        freiheit  => 1801, freiheiten
                                  => 10715,
                        freiheitsstrafe
                                  => 11982, freiheitsstrafen
                                  => 25811,
                        freiherr  => 7144, freiherren
                                  => 17615,
                        freiherrn => 16524, freiin    => 23287, freikorps => 29184, freiland  => 23888,
                        freilassung
                                  => 5733, freilegung
                                  => 29185,
                        freilich  => 9673, freilichtmuseum
                                  => 24496,
                        freilos   => 22237, freimaurer
                                  => 24497,
                        freimaurerei
                                  => 28261, freiraum  => 19232,
                        freischaffend
                                  => 18241, freischaffende
                                  => 24498,
                        freischaffender
                                  => 7814, freisetzung
                                  => 19233,
                        freising  => 13810, freispruch
                                  => 16027,
                        freistaat => 11983, freistaates
                                  => 22723,
                        freistehende
                                  => 14753, freistehenden
                                  => 15587,
                        freistil  => 9938, freitagabend
                                  => 26560,
                        freitags  => 11100, freitreppe
                                  => 21310,
                        freiwillig
                                  => 4080, freiwillige
                                  => 4665,
                        freiwilligen
                                  => 4163, freiwilliger
                                  => 14141,
                        freizeit  => 5992, freizeitaktivitaten
                                  => 26561,
                        freizeitgestaltung
                                  => 27355,
                        freizeitpark
                                  => 26562, freizulassen
                                  => 25812,
                        fremd     => 13487, fremde    => 4255, fremden   => 4315, fremdenverkehr
                                  => 15808,
                        fremder   => 9520, fremdes   => 20846, fremdkorper
                                  => 28262,
                        fremdsprache
                                  => 10622, fremdsprachen
                                  => 13811,
                        french    => 18242, frequentiert
                                  => 22238,
                        frequenz  => 6029, frequenzbereich
                                  => 20418,
                        frequenzen
                                  => 8807, fresken   => 6213,
                        fresko    => 16282, fressen   => 6527, fressfeinde
                                  => 25813,
                        freud     => 12235, freude    => 4790, freuden   => 24499, freudig   => 26563,
                        freuds    => 29186, freuen    => 17048, freunde   => 1530, freunden  => 2755,
                        freundes  => 7815, freundeskreis
                                  => 11212,
                        freundet  => 13488, freundin  => 1943, freundinnen
                                  => 9939,
                        freundlich
                                  => 8538, freundliche
                                  => 24500,
                        freundlichen
                                  => 27356, freundlicher
                                  => 25163,
                        freundschaft
                                  => 2910, freundschaften
                                  => 18243,
                        freundschaftlich
                                  => 20847, freundschaftliche
                                  => 18552,
                        freundschaftlichen
                                  => 27357,
                        freundschaftsspiel
                                  => 21311,
                        freundschaftsspielen
                                  => 26564,
                        freut     => 12873, frida     => 25164, friedberg => 17939, frieden   => 2569,
                        friedens  => 9521, friedensschluss
                                  => 18553,
                        friedensverhandlungen
                                  => 18554,
                        friedensvertrag
                                  => 19234, friedenszeiten
                                  => 19982,
                        friedhof  => 1045, friedhofe => 11511, friedhofen
                                  => 18244,
                        friedhofes
                                  => 17616, friedhofs => 7217,
                        friedhofskapelle
                                  => 18245, friedhofsmauer
                                  => 20419,
                        friedland => 25165, friedlander
                                  => 25814,
                        friedlich => 10256, friedliche
                                  => 12620,
                        friedlichen
                                  => 14142, friedlicher
                                  => 27358,
                        friedrichshafen
                                  => 23288, friedrichstrasse
                                  => 25166,
                        friend    => 22239, friends   => 12745, friesischen
                                  => 27359,
                        friesland => 27360, frische   => 10443, frischen  => 10993, frisches  => 26565,
                        frisst    => 13028, frist     => 6784, fristen   => 22240, fristlos  => 23289,
                        frohliche => 22241, from      => 6423, frommen   => 21737, frommigkeit
                                  => 16770,
                        front     => 2512, frontal   => 19983, fronten   => 13029, frontpartie
                                  => 26566,
                        frontseite
                                  => 18893, frosche   => 23290,
                        frucht    => 6388, fruchtbar => 16028, fruchtbare
                                  => 16283,
                        fruchtbaren
                                  => 11213, fruchtbarkeit
                                  => 15169,
                        fruchte   => 3318, fruchten  => 7260, fruchtfleisch
                                  => 19235,
                        fruchtknoten
                                  => 23291, fruchtkorper
                                  => 10623,
                        fruchtreife
                                  => 23292, fruh      => 1296,
                        fruhe     => 3094, fruhen    => 579, fruher    => 647, fruhere   => 2211,
                        fruheren  => 987, fruherer  => 6063, fruheres  => 18246, fruhes    => 16525,
                        fruheste  => 10257, fruhesten => 7639, fruhestens
                                  => 11624,
                        fruhester => 23293, fruhgeschichte
                                  => 13635,
                        fruhjahr  => 1021, fruhling  => 5229, fruhmittelalterlichen
                                  => 24501,
                        fruhphase => 27361, fruhsommer
                                  => 14955,
                        fruhwerk  => 20420, fruhzeit  => 10624, fruhzeitig
                                  => 5629,
                        fruhzeitige
                                  => 26567, fruhzeitigen
                                  => 29187,
                        frustration
                                  => 27362, frustriert
                                  => 22242,
                        fugen     => 11399, fugte     => 7299, fugten    => 21312, fuhle     => 15373,
                        fuhlen    => 6905, fuhler    => 10896, fuhlt     => 4018, fuhlte    => 5511,
                        fuhlten   => 12874, fuhr      => 1785, fuhre     => 10897, fuhren    => 488,
                        fuhrend   => 20421, fuhrende  => 3492, fuhrenden => 2459, fuhrender => 10716,
                        fuhrerhaus
                                  => 22243, fuhrers   => 20422,
                        fuhrerschein
                                  => 21313, fuhrerstand
                                  => 16029,
                        fuhrpark  => 23889, fuhrt     => 319, fuhrte    => 229, fuhrten   => 930,
                        fuhrung   => 1004, fuhrungen => 6751, fuhrungskrafte
                                  => 18247,
                        fuhrungskraften
                                  => 28263, fuhrungsposition
                                  => 29188,
                        fuhrungsrolle
                                  => 25815, fuhrungsspieler
                                  => 29189,
                        fulda     => 8486, fuldaer   => 29190, fulle     => 8605, fullen    => 12746,
                        fullt     => 14956, fullte    => 14143, fullung   => 16771, fund      => 5912,
                        fundament => 6214, fundamentale
                                  => 25167,
                        fundamente
                                  => 6906, fundamenten
                                  => 15170,
                        funde     => 2307, funden    => 10258, fundierte => 19591, fundig    => 29191,
                        fundort   => 10994, fundorte  => 16030, fundorten => 17338, fundstatte
                                  => 28264,
                        fundstelle
                                  => 14754, fundstellen
                                  => 14144,
                        fundstucke
                                  => 13331, fundus    => 27363,
                        funf      => 185, funfgeschossige
                                  => 28265,
                        funfjahrige
                                  => 27364, funfjahrigen
                                  => 21738,
                        funfmal   => 6130, funfte    => 3186, funftel   => 12103, funften   => 2045,
                        funfter   => 6528, funftes   => 14360, funfzehn  => 6131, funfzig   => 7300,
                        funfziger => 18894, fungieren => 12875, fungiert  => 7029, fungierte => 2670,
                        fungierten
                                  => 19592, funker    => 25816,
                        funktion  => 726, funktional
                                  => 18248,
                        funktionale
                                  => 17339, funktionalen
                                  => 22724,
                        funktionalitat
                                  => 13030, funktionar
                                  => 18895,
                        funktionare
                                  => 13489, funktionelle
                                  => 20848,
                        funktionen
                                  => 1831, funktionieren
                                  => 9433,
                        funktionierende
                                  => 21739, funktionierenden
                                  => 19593,
                        funktioniert
                                  => 6064, funktionierte
                                  => 15588,
                        funktionsfahig
                                  => 22725, funktionsfahigkeit
                                  => 18555,
                        funktionsumfang
                                  => 17049, funktionsweise
                                  => 15809,
                        fur       => 20, furcht    => 9017, furchten  => 13636, furchtet  => 12876,
                        furchtete => 12877, furchteten
                                  => 22244,
                        fureinander
                                  => 22726, furs      => 8741,
                        fursorge  => 12747, fursprache
                                  => 21740,
                        fursprecher
                                  => 27365, furstbischof
                                  => 20423,
                        fursten   => 3417, furstentum
                                  => 9207,
                        furstentumer
                                  => 27366, furstentums
                                  => 16526,
                        furstin   => 14145, furstlich => 27367, furstliche
                                  => 25168,
                        furstlichen
                                  => 12878, furth     => 10898,
                        further   => 25169, fusion    => 3227, fusionen  => 24502, fusioniert
                                  => 21314,
                        fusionierte
                                  => 9591, fusionierten
                                  => 14146,
                        fuss      => 1438, fussball  => 2975, fussballabteilung
                                  => 13812,
                        fussballer
                                  => 10995, fussballkarriere
                                  => 25817,
                        fussballmannschaft
                                  => 13637,
                        fussballmeisterschaft
                                  => 16031,
                        fussballnationalmannschaft
                                  => 21741,
                        fussballs => 20424, fussballspiel
                                  => 28266,
                        fussballspiele
                                  => 26568, fussballspielen
                                  => 10019,
                        fussballspieler
                                  => 10259, fussballstadion
                                  => 29192,
                        fussballverband
                                  => 18249, fussballverein
                                  => 13813,
                        fussballvereine
                                  => 26569, fussboden => 11400,
                        fusse     => 3509, fussen    => 5782, fusses    => 23294, fussganger
                                  => 10177,
                        fussgangerbrucke
                                  => 19984, fussgangern
                                  => 25818,
                        fussgangerzone
                                  => 16032, fussli    => 29193,
                        fussnote  => 18896, fussstapfen
                                  => 26570,
                        fusst     => 28267, fussweg   => 17050, futbol    => 25819, futtern   => 22245,
                        futterung => 21742, future    => 11984, gab       => 116, gabe      => 4868,
                        gaben     => 2046, gabriel   => 5993, gabriela  => 28268, gaius     => 23295,
                        galatasaray
                                  => 14361, galaxie   => 19236,
                        galaxien  => 15374, galaxy    => 22246, galen     => 24503, galerie   => 2841,
                        galerien  => 9142, galeristen
                                  => 29194,
                        galgen    => 22727, galileo   => 29195, gallen    => 7068, gallery   => 13178,
                        gallien   => 23296, gallischen
                                  => 27368,
                        galt      => 658, galten    => 3879, gambia    => 17940, game      => 7462,
                        games     => 7688, gandhi    => 20425, gang      => 2650, gange     => 6853,
                        gangen    => 15171, ganges    => 21315, gangig    => 25820, gangige   => 11743,
                        gangigen  => 10444, gangster  => 10996, ganz      => 427, ganze     => 794,
                        ganzen    => 1187, ganzes    => 4595, ganzheitliche
                                  => 26571,
                        ganzjahrig
                                  => 7069, ganzlich  => 3625,
                        ganzrandig
                                  => 13814, ganztagsschule
                                  => 27369,
                        garage    => 13332, garantie  => 21316, garantien => 27370, garantieren
                                  => 11744,
                        garantiert
                                  => 8316, garantierte
                                  => 14006,
                        garantierten
                                  => 23297, garcia    => 9522,
                        garde     => 10625, garden    => 10178, gardens   => 18897, garderobe => 28269,
                        gardner   => 15589, garnison  => 7548, garrett   => 19985, garten    => 1362,
                        gartenanlage
                                  => 21743, gartenanlagen
                                  => 20849,
                        gartenbau => 20426, gartenkunst
                                  => 24504,
                        gartens   => 9018, gartenstadt
                                  => 28270,
                        gasen     => 20427, gases     => 28271, gasse     => 6854, gassen    => 11299,
                        gastarbeiter
                                  => 28272, gastauftritte
                                  => 19986,
                        gaste     => 2597, gasten    => 6615, gastfreundschaft
                                  => 28273,
                        gastgeber => 5328, gasthaus  => 5537, gasthauses
                                  => 28274,
                        gasthof   => 7816, gastierte => 16284, gastmusiker
                                  => 19237,
                        gaston    => 19238, gastprofessor
                                  => 21317,
                        gastrollen
                                  => 25170, gastronomie
                                  => 9342,
                        gastronomische
                                  => 25171, gastspiel => 23298,
                        gastspiele
                                  => 18556, gastspielen
                                  => 29196,
                        gaststatte
                                  => 5074, gaststatten
                                  => 13333,
                        gastwirt  => 19239, gastwirtschaft
                                  => 11858,
                        gates     => 16033, gatte     => 17617, gatten    => 8606, gattin    => 4927,
                        gattung   => 1265, gattungen => 3982, gattungsname
                                  => 18898,
                        gauleiter => 29197, gauliga   => 17340, gaulle    => 25172, gauner    => 22247,
                        gavin     => 21318, gazette   => 24505, geachtet  => 7463, geahndet  => 19594,
                        geandert  => 1793, geanderte => 14755, geanderten
                                  => 13815,
                        geanderter
                                  => 29198, geantwortet
                                  => 20850,
                        gearbeitet
                                  => 2705, gearbeitete
                                  => 29199,
                        geast     => 28275, geaussert => 8317, gebacken  => 21319, gebalk    => 25821,
                        gebandert => 23299, gebannt   => 23890, gebar     => 11985, gebaren   => 19595,
                        gebaude   => 228, gebaudeflugel
                                  => 28276,
                        gebaudekomplex
                                  => 8109, gebauden  => 2238,
                        gebaudes  => 1718, gebaudeteil
                                  => 14362,
                        gebaudeteile
                                  => 14957, gebaut    => 510,
                        gebaute   => 5113, gebauten  => 5363, gebe      => 3948, gebeine   => 13638,
                        geben     => 737, gebet     => 6907, gebete    => 16527, gebeten   => 5913,
                        gebiet    => 371, gebiete   => 1654, gebieten  => 1713, gebietes  => 4534,
                        gebiets   => 8262, gebietsflache
                                  => 22728,
                        gebietsreform
                                  => 10537, gebilde   => 12879,
                        gebildet  => 1193, gebildete => 9592, gebildeten
                                  => 4803,
                        gebildeter
                                  => 27371, gebilligt => 26572,
                        gebirge   => 5512, gebirgen  => 23300, gebirges  => 14756, gebiss    => 22248,
                        geblasen  => 28277, geblieben => 1759, gebliebene
                                  => 15172,
                        gebliebenen
                                  => 12104, gebogen   => 7342,
                        gebogene  => 17341, gebogenen => 13639, gebohrt   => 22729, geboren   => 430,
                        geborene  => 1828, geborenen => 8607, geborener => 25822, geborgen  => 6558,
                        gebot     => 14147, gebote    => 18250, geboten   => 6648, gebracht  => 801,
                        gebrachten
                                  => 29200, gebrannt  => 21744,
                        gebrauch  => 2224, gebrauche => 21320, gebrauchen
                                  => 19596,
                        gebrauchlich
                                  => 6215, gebrauchliche
                                  => 14958,
                        gebrauchlichen
                                  => 15590, gebraucht => 4710,
                        gebrauchte
                                  => 16772, gebrauchten
                                  => 22249,
                        gebraut   => 21745, gebremst  => 23301, gebrochen => 5298, gebrochene
                                  => 28278,
                        gebrochenen
                                  => 18899, gebruder  => 11101,
                        gebucht   => 16773, gebuhr    => 9593, gebuhren  => 10626, gebundelt => 20428,
                        gebunden  => 3768, gebundene => 17342, gebundenen
                                  => 17343,
                        geburt    => 1885, geburten  => 15375, geburtige => 18251, geburtsdatum
                                  => 10538,
                        geburtshaus
                                  => 14757, geburtshilfe
                                  => 23302,
                        geburtsjahr
                                  => 9774, geburtsname
                                  => 23303,
                        geburtsnamen
                                  => 16774, geburtsort
                                  => 7218,
                        geburtsstadt
                                  => 7500, geburtsstunde
                                  => 23304,
                        geburtstag
                                  => 1957, geburtstages
                                  => 11300,
                        geburtstags
                                  => 22250, geburtstagsfeier
                                  => 29201,
                        gebusch   => 22251, gebuschen => 27372, gedacht   => 3208, gedachte  => 19240,
                        gedachten => 20429, gedachtnis
                                  => 6252,
                        gedampft  => 25823, gedanke   => 10106, gedanken  => 2613, gedankengut
                                  => 14959,
                        gedauert  => 29202, gedeckt   => 6350, gedeckte  => 24506, gedeckten => 21321,
                        gedeihen  => 16775, gedeiht   => 12236, gedenken  => 5889, gedenkfeier
                                  => 28279,
                        gedenkstatte
                                  => 7261, gedenkstatten
                                  => 28280,
                        gedenkstein
                                  => 6855, gedenkt   => 22252,
                        gedenktafel
                                  => 4965, gedenktafeln
                                  => 21746,
                        gedenktag => 18900, gedeutet  => 5861, gedicht   => 4187, gedichtband
                                  => 13490,
                        gedichtbande
                                  => 22730, gedichte  => 2524,
                        gedichten => 6785, gedichtes => 26573, gedichts  => 28281, gedichtsammlung
                                  => 29203,
                        gedient   => 8369, gedrangt  => 9857, gedreht   => 2233, gedrehte  => 25173,
                        gedrehten => 14363, gedroht   => 27373, gedruckt  => 3479, gedruckte => 13334,
                        gedruckten
                                  => 12365, gedruckter
                                  => 24507,
                        gedrungen => 24508, geduld    => 20851, geduldet  => 14148, geehrt    => 5839,
                        geeignet  => 2108, geeignete => 5682, geeigneten
                                  => 4681,
                        geeigneter
                                  => 11859, geeignetes
                                  => 14960,
                        geeinigt  => 24509, geerbt    => 12748, geerntet  => 19241, geest     => 24510,
                        gefahr    => 1658, gefahrden => 8539, gefahrdet => 3383, gefahrdete
                                  => 13031,
                        gefahrdeten
                                  => 14007, gefahrdeter
                                  => 23305,
                        gefahrdung
                                  => 10020, gefahren  => 2570,
                        gefahrlich
                                  => 5862, gefahrliche
                                  => 9434,
                        gefahrlichen
                                  => 8881, gefahrlicher
                                  => 16285,
                        gefahrlichsten
                                  => 23891, gefahrten => 11986,
                        gefalle   => 7771, gefallen  => 2774, gefallene => 12880, gefallenen
                                  => 4966,
                        gefallt   => 8608, gefalscht => 24511, gefalschte
                                  => 20852,
                        gefalschten
                                  => 25174, gefaltet  => 16776,
                        gefangen  => 2033, gefangene => 4611, gefangenen
                                  => 3126,
                        gefangener
                                  => 17344, gefangennahme
                                  => 14553,
                        gefangenschaft
                                  => 3365, gefangnis => 1730,
                        gefangnisse
                                  => 27374, gefangnissen
                                  => 23306,
                        gefangnisses
                                  => 22731, gefangnisstrafe
                                  => 14758,
                        gefangnisstrafen
                                  => 26574, gefarbt   => 1760,
                        gefarbte  => 12366, gefarbten => 12487, gefass    => 14149, gefasse   => 9594,
                        gefassen  => 20430, gefasst   => 4262, gefasste  => 24512, gefassten => 23307,
                        gefecht   => 4967, gefechte  => 18901, gefechten => 13179, gefechts  => 29204,
                        gefeiert  => 2867, gefertigt => 2535, gefertigte
                                  => 10899,
                        gefertigten
                                  => 11745, gefesselt => 13180,
                        gefestigt => 22732, gefeuert  => 20853, gefieder  => 6908, gefiedert => 25175,
                        gefiel    => 14150, gefilmt   => 15591, gefischt  => 29205, gefleckt  => 12621,
                        geflogen  => 11301, geflohen  => 10717, geflohenen
                                  => 25176,
                        gefluchtet
                                  => 18252, geflugel  => 26575,
                        geflugelt => 29206, geflugelte
                                  => 27375,
                        geflugelten
                                  => 25824, geflutet  => 20431,
                        gefolge   => 8808, gefolgschaft
                                  => 19987,
                        gefolgsleute
                                  => 22253, gefolgsleuten
                                  => 25177,
                        gefolgsmann
                                  => 22254, gefolgt   => 3418,
                        gefoltert => 10900, gefordert => 1555, geforderte
                                  => 8431,
                        geforderten
                                  => 8263, geformt   => 5783,
                        geformte  => 18253, geformten => 16034, geforscht => 23308, gefragt   => 5965,
                        gefragter => 17618, gefressen => 12367, gefuge    => 20432, gefuhl    => 4612,
                        gefuhle   => 3785, gefuhlen  => 13181, gefuhlt   => 20433, gefuhrt   => 682,
                        gefuhrte  => 8609, gefuhrten => 7422, gefullt   => 4545, gefullte  => 15810,
                        gefullten => 16286, gefunden  => 584, gefundene => 11102, gefundenen
                                  => 7262,
                        gefurchtet
                                  => 18254, gefuttert => 17051,
                        gegabelt  => 28282, gegangen  => 3312, gegeben   => 784, gegebene  => 13182,
                        gegebenen => 9343, gegebenenfalls
                                  => 4987,
                        gegebenheiten
                                  => 6424, gegen     => 91,
                        gegenangriff
                                  => 12622, gegend    => 1835,
                        gegenden  => 6713, gegeneinander
                                  => 3446,
                        gegengewicht
                                  => 19242, gegenkandidat
                                  => 25178,
                        gegenkandidaten
                                  => 17052, gegenleistung
                                  => 11746,
                        gegenmassnahmen
                                  => 18557, gegenpol  => 28283,
                        gegenreformation
                                  => 25825, gegenrichtung
                                  => 13640,
                        gegensatz => 626, gegensatze
                                  => 14759,
                        gegensatzlichen
                                  => 28284, gegenseite
                                  => 19597,
                        gegenseitig
                                  => 4306, gegenseitige
                                  => 8882,
                        gegenseitigem
                                  => 26576, gegenseitigen
                                  => 9858,
                        gegenseitiger
                                  => 21322, gegenspieler
                                  => 10901,
                        gegenstand
                                  => 3038, gegenstande
                                  => 3255,
                        gegenstanden
                                  => 8171, gegenstandes
                                  => 29207,
                        gegenstuck
                                  => 14364, gegenteil => 5840,
                        gegentor  => 23309, gegentore => 29208, gegenuber => 308, gegenubergestellt
                                  => 18902,
                        gegenuberliegende
                                  => 17941,
                        gegenuberliegenden
                                  => 5809,
                        gegenuberstehen
                                  => 25179, gegenuberstellung
                                  => 18903,
                        gegenwart => 1584, gegenwartig
                                  => 4791,
                        gegenwartige
                                  => 12749, gegenwartigen
                                  => 8610,
                        gegenwehr => 18255, gegenzug  => 3687, gegessen  => 9143, geglaubt  => 15811,
                        gegliedert
                                  => 3012, gegliederte
                                  => 23310,
                        gegliederten
                                  => 19988, gegner    => 1363,
                        gegnerische
                                  => 8432, gegnerischen
                                  => 6950,
                        gegnern   => 7423, gegners   => 8433, gegolten  => 21747, gegossen  => 6909,
                        gegossene => 25180, gegraben  => 15376, gegriffen => 23311, gegrundet => 280,
                        gegrundete
                                  => 2339, gegrundeten
                                  => 2047,
                        gegrundetes
                                  => 26577, gehabt    => 2619,
                        gehalt    => 5711, gehalten  => 877, gehaltene => 10902, gehaltenen
                                  => 9078,
                        gehalter  => 20854, gehalts   => 29209, gehandelt => 3664, gehandhabt
                                  => 19598,
                        gehangt   => 14008, gehasst   => 27376, gehauen   => 24513, gehauft   => 20434,
                        gehause   => 4792, gehauses  => 17942, gehe      => 6856, gehege    => 20435,
                        geheilt   => 12105, geheim    => 7772, geheimdienst
                                  => 13032,
                        geheime   => 7549, geheimen  => 4385, geheimer  => 13033, geheimhaltung
                                  => 15812,
                        geheimnis => 5405, geheimnisse
                                  => 15173,
                        geheimnisvolle
                                  => 20436, geheimnisvollen
                                  => 16777,
                        geheiratet
                                  => 5914, geheiss   => 19599,
                        geheissen => 22255, gehemmt   => 23892, gehen     => 615, gehilfe   => 29210,
                        gehilfen  => 18256, gehindert => 12881, gehirn    => 6529, gehirns   => 17943,
                        gehoben   => 9674, gehobenen => 9859, gehoft    => 14760, gehofte   => 15592,
                        geholfen  => 10260, geholt    => 7592, geholz    => 26578, geholze   => 18904,
                        gehor     => 12882, gehorchen => 28285, gehore    => 13491, gehoren   => 573,
                        gehorende => 9208, gehorenden
                                  => 7301,
                        gehorig   => 21323, gehorige  => 17053, gehorigen => 16778, gehorsam  => 16287,
                        gehort    => 386, gehorte   => 360, gehorten  => 1131, geht      => 325,
                        geige     => 18905, geiseln   => 10539, geiselnahme
                                  => 28286,
                        geissel   => 29211, geiste    => 21324, geister   => 7593, geistern  => 16288,
                        geistes   => 8318, geistesgeschichte
                                  => 29212,
                        geisteswissenschaften
                                  => 17619,
                        geistig   => 9940, geistige  => 6682, geistigen => 6098, geistiger => 15174,
                        geistliche
                                  => 4472, geistlichen
                                  => 3799,
                        geistlicher
                                  => 9019, geistlichkeit
                                  => 18257,
                        gejagt    => 11860, gekampft  => 10021, gekannt   => 17345, gekauft   => 3848,
                        gekaufte  => 25826, gekauften => 25827, gekennzeichnet
                                  => 2374,
                        gekennzeichneten
                                  => 19243, gekerbt   => 29213,
                        gekielt   => 25828, geklart   => 3074, geklebt   => 29214, gekleidet => 15377,
                        gekleidete
                                  => 29215, geknupft  => 18906,
                        gekocht   => 16528, gekommen  => 1489, gekommene => 27377, gekommenen
                                  => 19989,
                        gekonnt   => 27378, gekoppelt => 11302, gekostet  => 15813, gekreuzigten
                                  => 22256,
                        gekreuzt  => 15593, gekreuzte => 26579, gekreuzten
                                  => 27379,
                        gekront   => 7817, gekronten => 28287, gekrummt  => 13183, gekrummte => 27380,
                        gekrummten
                                  => 25181, gekuhlt   => 16529,
                        gekummert => 25829, gekundigt => 11103, gekurt    => 13335, gekurzt   => 8370,
                        gekurzte  => 24514, gekurzten => 25182, gelachter => 28288, geladen   => 6714,
                        geladene  => 27381, geladenen => 16530, gelagert  => 6099, gelagerten
                                  => 23312,
                        gelahmt   => 18907, gelande   => 851, gelander  => 14009, gelandes  => 5810,
                        gelandestufe
                                  => 29216, gelandet  => 16531,
                        gelang    => 460, gelangen  => 1786, gelangt   => 2915, gelangte  => 2976,
                        gelangten => 6683, gelappt   => 28289, gelassen  => 4682, gelaufen  => 13184,
                        gelaufig  => 16289, gelaut    => 9523, gelautet  => 19990, gelb      => 2873,
                        gelbbraun => 13185, gelbe     => 4968, gelbem    => 29217, gelben    => 4456,
                        gelber    => 14151, gelbes    => 25830, gelblich  => 5863, gelbliche => 16290,
                        gelblichen
                                  => 18558, geld      => 740,
                        geldbetrag
                                  => 22733, gelder    => 7070,
                        geldern   => 12368, geldes    => 10540, geldgeber => 18908, geldmangel
                                  => 19600,
                        geldmittel
                                  => 21748, geldstrafe
                                  => 8319,
                        geldstrafen
                                  => 22257, gelebt    => 5936,
                        gelege    => 6559, gelegen   => 2834, gelegene  => 2405, gelegenen => 1726,
                        gelegenes => 25183, gelegenheit
                                  => 2781,
                        gelegenheiten
                                  => 14554, gelegentlich
                                  => 1105,
                        gelegentliche
                                  => 20855, gelegentlichen
                                  => 24515,
                        gelegt    => 1596, gelegten  => 22734, gelehrsamkeit
                                  => 24516,
                        gelehrt   => 10903, gelehrte  => 9595, gelehrten => 5915, gelehrter => 14761,
                        geleistet => 6030, geleisteten
                                  => 29218,
                        geleit    => 23313, geleitet  => 2239, geleitete => 20437, geleiteten
                                  => 20438,
                        geleitzug => 27382, gelenk    => 28290, gelenke   => 19601, gelenkt   => 13034,
                        gelernt   => 7594, gelernte  => 16035, gelernter => 24517, gelesen   => 5734,
                        geliebt   => 11214, geliebte  => 5444, geliebten => 5045, geliebter => 21325,
                        geliefert => 3855, gelieferten
                                  => 19602,
                        geliehen  => 25831, gelingen  => 9675, gelingt   => 1505, gelistet  => 8540,
                        gelitten  => 16036, gelobt    => 5002, gelockert => 23893, gelockt   => 20439,
                        geloscht  => 8669, gelost    => 3939, gelosten  => 25832, gelsenkirchen
                                  => 16779,
                        gelte     => 12750, gelten    => 1172, geltend   => 9144, geltende  => 12751,
                        geltenden => 7424, geltung   => 9676, gelubde   => 21749, gelungen  => 3402,
                        gelungene => 16037, gelungenen
                                  => 20856,
                        gemacht   => 651, gemachte  => 29219, gemachten => 14961, gemahl    => 23314,
                        gemahlin  => 9344, gemalde   => 1688, gemaldegalerie
                                  => 25833,
                        gemalden  => 8434, gemaldes  => 15175, gemalt    => 7501, gemalte   => 15814,
                        gemalten  => 17620, gemarkung => 3983, gemarkungen
                                  => 25834,
                        gemarkungsgrenze
                                  => 23894, gemass    => 1248,
                        gemassigt => 13641, gemassigte
                                  => 23895,
                        gemassigten
                                  => 10107, gemauert  => 18909,
                        gemauerte => 14962, gemauerten
                                  => 13816,
                        gemauerter
                                  => 29220, gemein    => 15815,
                        gemeinde  => 182, gemeindeareal
                                  => 13642,
                        gemeindebezirk
                                  => 25835, gemeindeboden
                                  => 19991,
                        gemeindeebene
                                  => 24518, gemeindeflache
                                  => 11401,
                        gemeindegebiet
                                  => 2900, gemeindegebietes
                                  => 14365,
                        gemeindegebiets
                                  => 10718, gemeindeglieder
                                  => 18258,
                        gemeindegrenze
                                  => 12488, gemeindehaus
                                  => 9775,
                        gemeindelexikon
                                  => 13643, gemeindemitglieder
                                  => 14762,
                        gemeinden => 612, gemeindeordnung
                                  => 23315,
                        gemeinderat
                                  => 2901, gemeinderate
                                  => 23896,
                        gemeinderates
                                  => 14152, gemeinderats
                                  => 17944,
                        gemeinderatswahl
                                  => 27383, gemeinderatswahlen
                                  => 28291,
                        gemeindereform
                                  => 21750, gemeindesaal
                                  => 25836,
                        gemeindeteil
                                  => 13186, gemeindeteile
                                  => 21326,
                        gemeindeverband
                                  => 20857, gemeindevertretung
                                  => 13492,
                        gemeindeverwaltung
                                  => 9776,
                        gemeindevorstand
                                  => 29221, gemeindevorsteher
                                  => 25837,
                        gemeindewappen
                                  => 11861, gemeindezentrum
                                  => 10811,
                        gemeine   => 19603, gemeinen  => 16780, gemeinhin => 17945, gemeinnutzig
                                  => 25838,
                        gemeinnutzige
                                  => 8611, gemeinnutzigen
                                  => 10445,
                        gemeinnutziger
                                  => 19244, gemeinsam => 453,
                        gemeinsame
                                  => 1511, gemeinsamem
                                  => 29222,
                        gemeinsamen
                                  => 1275, gemeinsamer
                                  => 6951,
                        gemeinsames
                                  => 6594, gemeinsamkeit
                                  => 25184,
                        gemeinsamkeiten
                                  => 11625, gemeinschaft
                                  => 2154,
                        gemeinschaften
                                  => 8371, gemeinschaftlich
                                  => 16038,
                        gemeinschaftliche
                                  => 23316,
                        gemeinschaftlichen
                                  => 18259,
                        gemeint   => 3747, gemeinwesen
                                  => 23317,
                        gemeldet  => 3839, gemeldeten
                                  => 13644,
                        gemessen  => 3292, gemessene => 17946, gemessenen
                                  => 24519,
                        gemieden  => 18260, gemietet  => 15594, gemisch   => 12237, gemischt  => 6992,
                        gemischte => 9524, gemischten
                                  => 8264,
                        gemischter
                                  => 20858, gemuse    => 6253,
                        gemustert => 26580, genannt   => 251, genannte  => 2043, genannten => 1167,
                        genannter => 13493, genanntes => 22735, genau     => 891, genaue    => 1901,
                        genauen   => 5058, genauer   => 4442, genauere  => 9145, genaueren => 21751,
                        genaues   => 15176, genauigkeit
                                  => 7464,
                        genauso   => 3330, gendarmen => 29223, gendarmerie
                                  => 21327,
                        gender    => 21752, gene      => 8541, genealogie
                                  => 19992,
                        genealogische
                                  => 27384, genehmigen
                                  => 22736,
                        genehmigt => 4019, genehmigte
                                  => 9079,
                        genehmigten
                                  => 22737, genehmigung
                                  => 3447,
                        genehmigungen
                                  => 25185, geneigt   => 10627,
                        geneigte  => 25839, geneigten => 16291, general   => 1454, generaldirektor
                                  => 9146,
                        generale  => 8487, generalen => 25186, generalgouverneur
                                  => 21328,
                        generalleutnant
                                  => 11303, generalmajor
                                  => 6351,
                        generals  => 11626, generalsanierung
                                  => 19993,
                        generalsekretar
                                  => 7302, generalstaatsanwalt
                                  => 23897,
                        generalstab
                                  => 15816, generalstreik
                                  => 27385,
                        generalversammlung
                                  => 9435,
                        generation
                                  => 1646, generationen
                                  => 3187,
                        generator => 14153, generatoren
                                  => 18559,
                        generell  => 3027, generelle => 15378, generellen
                                  => 18910,
                        generieren
                                  => 14963, generiert => 14964,
                        genese    => 23898, genesen   => 25840, genesis   => 16292, genesung  => 11104,
                        genetik   => 26581, genetisch => 13187, genetische
                                  => 9020,
                        genetischen
                                  => 11627, genetischer
                                  => 29224,
                        genf      => 6254, genfer    => 12106, genie     => 16293, geniessen => 6752,
                        geniesst  => 8943, genitalien
                                  => 25841,
                        genitiv   => 25187, genommen  => 648, genommene => 25188, genommenen
                                  => 25842,
                        genoss    => 7386, genossen  => 8883, genossenschaft
                                  => 9436,
                        genossenschaften
                                  => 14555, genossenschaftsbank
                                  => 29225,
                        genotigt  => 14010, genre     => 6857, genres    => 7030, gentleman => 21753,
                        genua     => 14366, genug     => 2127, genugen   => 10997, genugend  => 4036,
                        genugt    => 9596, genugte   => 12883, genuss    => 12369, genutzt   => 349,
                        genutzte  => 5683, genutzten => 5251, genutzter => 25189, genutztes => 26582,
                        geoffnet  => 2204, geoffnete => 18911, geoffneten
                                  => 11402,
                        geoffrey  => 17621, geografie => 23318, geografisch
                                  => 25190,
                        geografische
                                  => 14556, geografischen
                                  => 9021,
                        geographie
                                  => 8612, geographisch
                                  => 15595,
                        geographische
                                  => 9437, geographischen
                                  => 6753,
                        geographischer
                                  => 23319, geologen  => 19994,
                        geologie  => 7773, geologisch
                                  => 25191,
                        geologische
                                  => 10719, geologischen
                                  => 7502,
                        geometrie => 9022, geometrisch
                                  => 16781,
                        geometrische
                                  => 12623, geometrischen
                                  => 11304,
                        geopfert  => 14763, geordert  => 27386, geordnet  => 8211, geordnete => 24520,
                        geordneten
                                  => 17346, george    => 1844,
                        georgen   => 18912, georges   => 7595, georgien  => 11105, georgiens => 23320,
                        georgische
                                  => 23321, georgischen
                                  => 14965,
                        georgs    => 23899, geowissenschaften
                                  => 23900,
                        gepachtet => 19604, gepack    => 11628, gepackt   => 24521, gepanzerte
                                  => 21329,
                        gepanzerten
                                  => 22258, gepfarrt  => 17054,
                        gepflanzt => 11215, gepflastert
                                  => 19245,
                        gepflegt  => 6157, gepflegte => 27387, gepflegten
                                  => 25843,
                        gepflogenheiten
                                  => 21330, geplagt   => 14966,
                        geplant   => 1031, geplante  => 2854, geplanten => 2171, geplanter => 19995,
                        geplundert
                                  => 8884, gepragt   => 907,
                        gepragte  => 7774, gepragten => 4855, gepragter => 23901, gepragtes => 11305,
                        gepresst  => 13817, gepruft   => 5610, gepruften => 26583, gepumpt   => 21754,
                        gequalt   => 27388, gerade    => 667, geradeaus => 25844, geraden   => 5445,
                        gerader   => 23322, geradezu  => 8670, geradlinig
                                  => 18560,
                        gerahmt   => 20440, gerandet  => 27389, gerat     => 2095, gerate    => 2628,
                        geraten   => 2275, geratene  => 26584, geratenen => 27390, gerates   => 20859,
                        gerats    => 24522, geratschaften
                                  => 20860,
                        geraumer  => 22738, geraumt   => 9270, gerausch  => 12489, gerausche => 9271,
                        gerechnet => 5364, gerecht   => 4711, gerechte  => 18261, gerechten => 17347,
                        gerechtfertigt
                                  => 14367, gerechtigkeit
                                  => 5114,
                        geregelt  => 3710, geregelten
                                  => 18561,
                        gereicht  => 15177, gereinigt => 9023, gereist   => 20441, gerettet  => 3293,
                        gericht   => 1376, gerichte  => 6100, gerichten => 12490, gerichtes => 22739,
                        gerichtet => 4292, gerichtete
                                  => 9860,
                        gerichteten
                                  => 8671, gerichtlich
                                  => 12884,
                        gerichtliche
                                  => 15178, gerichtlichen
                                  => 17348,
                        gerichts  => 9080, gerichtsbarkeit
                                  => 8320,
                        gerichtsbezirk
                                  => 11512, gerichtsbezirke
                                  => 28292,
                        gerichtsgebaude
                                  => 18562, gerichtshof
                                  => 8212,
                        gerichtshofs
                                  => 29226, gerichtssaal
                                  => 23323,
                        gerichtsverfahren
                                  => 12370,
                        gerichtsverhandlung
                                  => 21331,
                        geriet    => 1743, gerieten  => 6684, gering    => 2155, geringe   => 2094,
                        geringem  => 5841, geringen  => 1938, geringer  => 2213, geringere => 5059,
                        geringerem
                                  => 13336, geringeren
                                  => 5559,
                        geringerer
                                  => 11987, geringes  => 15379,
                        geringfugig
                                  => 5280, geringfugige
                                  => 19246,
                        geringfugigen
                                  => 25845, geringschatzung
                                  => 29227,
                        geringste => 15380, geringsten
                                  => 13035,
                        gerissen  => 12371, german    => 9777, germanen  => 14557, germania  => 8613,
                        germanische
                                  => 14967, germanischen
                                  => 8542,
                        germanistik
                                  => 8885, gern      => 4386,
                        gerne     => 2939, gerodet   => 17947, geroll    => 25846, gerollt   => 28293,
                        gerry     => 26585, gerste    => 21332, geruch    => 9525, gerucht   => 11862,
                        geruchte  => 6352, geruchten => 18563, geruckt   => 16039, gerufen   => 3523,
                        geruhrt   => 24523, gerundet  => 9209, gerundeten
                                  => 19605,
                        gerust    => 13036, gesagt    => 3925, gesammelt => 3793, gesammelte
                                  => 14011,
                        gesammelten
                                  => 8488, gesamt    => 23324,
                        gesamtanlage
                                  => 23325, gesamtauflage
                                  => 27391,
                        gesamtausgabe
                                  => 15179, gesamtbestand
                                  => 28294,
                        gesamtbevolkerung
                                  => 10261,
                        gesamtbild
                                  => 25192, gesamte   => 545,
                        gesamten  => 693, gesamter  => 25193, gesamtergebnis
                                  => 24524,
                        gesamtes  => 12885, gesamtflache
                                  => 5583,
                        gesamtgewicht
                                  => 11629, gesamtheit
                                  => 8052,
                        gesamthohe
                                  => 15180, gesamtkapazitat
                                  => 22740,
                        gesamtkirchengemeinde
                                  => 23326,
                        gesamtklassement
                                  => 18564, gesamtkonzept
                                  => 29228,
                        gesamtkosten
                                  => 10108, gesamtlange
                                  => 3984,
                        gesamtleistung
                                  => 22259, gesamtmasse
                                  => 25194,
                        gesamtrang
                                  => 10179, gesamtschule
                                  => 18913,
                        gesamtsieg
                                  => 19247, gesamtstrecke
                                  => 18914,
                        gesamtsumme
                                  => 24525, gesamtweltcup
                                  => 9597,
                        gesamtwerk
                                  => 13818, gesamtwert
                                  => 29229,
                        gesamtwertung
                                  => 3813, gesamtzahl
                                  => 9081,
                        gesandt   => 17622, gesandte  => 21755, gesandten => 11306, gesandter => 16294,
                        gesandtschaft
                                  => 16532, gesang    => 2406,
                        gesangbuch
                                  => 25195, gesange   => 14968,
                        gesangen  => 28295, gesangs   => 29230, gesangsunterricht
                                  => 17055,
                        gesaubert => 27392, gesaugt   => 23902, gesaumt   => 9438, geschadigt
                                  => 14012,
                        geschadigte
                                  => 27393, geschadigten
                                  => 21756,
                        geschaffen
                                  => 1263, geschaffene
                                  => 7177,
                        geschaffenen
                                  => 7071, geschafft => 7736,
                        geschaft  => 2749, geschafte => 2396, geschaften
                                  => 7178,
                        geschaftlich
                                  => 27394, geschaftliche
                                  => 22741,
                        geschaftlichen
                                  => 14013, geschafts => 20861,
                        geschaftsbereich
                                  => 13645, geschaftsbereiche
                                  => 21757,
                        geschaftsbericht
                                  => 27395, geschaftsbetrieb
                                  => 19996,
                        geschaftsfeld
                                  => 19997, geschaftsfelder
                                  => 28296,
                        geschaftsfuhrende
                                  => 26586,
                        geschaftsfuhrenden
                                  => 16295,
                        geschaftsfuhrender
                                  => 13494,
                        geschaftsfuhrer
                                  => 2225, geschaftsfuhrerin
                                  => 14154,
                        geschaftsfuhrung
                                  => 5712, geschaftsgebiet
                                  => 27396,
                        geschaftshaus
                                  => 16296, geschaftshauser
                                  => 26587,
                        geschaftsjahr
                                  => 11307, geschaftsleitung
                                  => 10998,
                        geschaftsleute
                                  => 13819, geschaftsmann
                                  => 7031,
                        geschaftsmodell
                                  => 23327, geschaftsordnung
                                  => 20442,
                        geschaftspartner
                                  => 14764, geschaftsraume
                                  => 27397,
                        geschaftsstelle
                                  => 9598, geschaftsstellen
                                  => 22742,
                        geschaftstatigkeit
                                  => 16782,
                        geschah   => 3188, geschaltet
                                  => 13037,
                        geschatzt => 2117, geschatzte
                                  => 11863,
                        geschatzten
                                  => 9941, geschehen => 2651,
                        geschehens
                                  => 14155, geschehnisse
                                  => 8321,
                        geschehnissen
                                  => 20443, gescheitert
                                  => 6190,
                        gescheiterte
                                  => 21333, gescheiterten
                                  => 11216,
                        geschenk  => 7425, geschenke => 10180, geschenken
                                  => 21758,
                        geschenkt => 7032, geschichte
                                  => 160,
                        geschichten
                                  => 2102, geschichtlich
                                  => 24526,
                        geschichtliche
                                  => 10628, geschichtlichen
                                  => 9677,
                        geschichtlicher
                                  => 28297, geschichtsforschung
                                  => 21759,
                        geschichtsschreibung
                                  => 9147,
                        geschichtsverein
                                  => 29231, geschichtsvereins
                                  => 23328,
                        geschichtswissenschaft
                                  => 14558,
                        geschick  => 10629, geschicke => 19248, geschicklichkeit
                                  => 26588,
                        geschickt => 2811, geschickte
                                  => 13646,
                        geschickten
                                  => 26589, geschieden
                                  => 4397,
                        geschiedene
                                  => 28298, geschiedenen
                                  => 23329,
                        geschieht => 3241, geschildert
                                  => 9861,
                        geschilderten
                                  => 18915, geschirr  => 21760,
                        geschlachtet
                                  => 25196, geschlafen
                                  => 23903,
                        geschlagen
                                  => 2820, geschlagene
                                  => 28299,
                        geschlagenen
                                  => 20862, geschlecht
                                  => 3171,
                        geschlechter
                                  => 6858, geschlechtern
                                  => 9210,
                        geschlechtes
                                  => 24527, geschlechts
                                  => 8053,
                        geschlechtsreif
                                  => 14559, geschlechtsreife
                                  => 12107,
                        geschlechtsverkehr
                                  => 21334,
                        geschleift
                                  => 23330, geschleppt
                                  => 18262,
                        geschleudert
                                  => 20444, geschliffen
                                  => 25847,
                        geschlossen
                                  => 868, geschlossene
                                  => 4988,
                        geschlossenem
                                  => 19998, geschlossenen
                                  => 3403,
                        geschlossener
                                  => 10904, geschlossenes
                                  => 14014,
                        geschlossenheit
                                  => 29232, geschmack => 4512,
                        geschmacks
                                  => 27398, geschmiedet
                                  => 23331,
                        geschmuckt
                                  => 5446, geschmuckte
                                  => 24528,
                        geschmuckten
                                  => 22743, geschnitten
                                  => 7864,
                        geschnittene
                                  => 29233, geschnittenen
                                  => 22260,
                        geschnitzt
                                  => 18565, geschnitzte
                                  => 17056,
                        geschnitzten
                                  => 16040, geschoben => 13188,
                        geschockt => 26590, geschont  => 23332, geschoss  => 6530, geschosse => 6255,
                        geschossen
                                  => 5630, geschrieben
                                  => 1257,
                        geschriebene
                                  => 12108, geschriebenen
                                  => 12238,
                        geschrumpft
                                  => 19999, geschuldet
                                  => 12239,
                        geschult  => 21335, geschutz  => 17349, geschutze => 5890, geschutzen
                                  => 14765,
                        geschutzt => 2513, geschutzte
                                  => 8809,
                        geschutzten
                                  => 8054, geschutzter
                                  => 23904,
                        geschutztes
                                  => 23905, geschwacht
                                  => 9942,
                        geschwader
                                  => 15596, geschwaders
                                  => 21761,
                        geschweige
                                  => 26591, geschwenkt
                                  => 26592,
                        geschwindigkeit
                                  => 2034, geschwindigkeiten
                                  => 7179,
                        geschwister
                                  => 4111, geschwistern
                                  => 6031,
                        geschworen
                                  => 24529, geschworenen
                                  => 23906,
                        geschwungene
                                  => 16041, geschwungenen
                                  => 17623,
                        gesegnet  => 29234, gesehen   => 1132, geselle   => 25197, gesellen  => 13038,
                        gesellschaft
                                  => 421, gesellschaften
                                  => 3284,
                        gesellschafter
                                  => 6256, gesellschafterin
                                  => 27399,
                        gesellschaftlich
                                  => 11513, gesellschaftliche
                                  => 4535,
                        gesellschaftlichen
                                  => 3109,
                        gesellschaftlicher
                                  => 11403,
                        gesellschaftliches
                                  => 21762,
                        gesellschaftsschichten
                                  => 23333,
                        gesendet  => 4648, gesenkt   => 7263, gesessen  => 23334, gesetz    => 1259,
                        gesetze   => 3294, gesetzen  => 9526, gesetzentwurf
                                  => 21763,
                        gesetzes  => 5252, gesetzesanderung
                                  => 23907,
                        gesetzesentwurf
                                  => 23908, gesetzgebenden
                                  => 24530,
                        gesetzgeber
                                  => 10541, gesetzgebung
                                  => 7916,
                        gesetzlich
                                  => 6823, gesetzliche
                                  => 7917,
                        gesetzlichen
                                  => 5345, gesetzlicher
                                  => 23335,
                        gesetzmassigkeiten
                                  => 24531,
                        gesetzt   => 1287, gesetzte  => 17624, gesetzten => 11630, gesichert => 2361,
                        gesicherte
                                  => 11747, gesicherten
                                  => 13039,
                        gesicht   => 2294, gesichter => 11308, gesichtern
                                  => 24532,
                        gesichtet => 10720, gesichtsausdruck
                                  => 23336,
                        gesichtspunkt
                                  => 23337, gesichtspunkte
                                  => 27400,
                        gesichtspunkten
                                  => 10181, gesichtszuge
                                  => 26593,
                        gesims    => 12752, gesimse   => 24533, gesinnten => 23338, gesinnung => 11864,
                        gesondert => 12624, gesonderte
                                  => 19606,
                        gesonderten
                                  => 19249, gesorgt   => 11748,
                        gespalten => 7465, gespaltenem
                                  => 29235,
                        gespaltenen
                                  => 28300, gespann   => 27401,
                        gespannt  => 10262, gespart   => 25848, gespeichert
                                  => 6216,
                        gespeicherten
                                  => 20000, gespeist  => 7264,
                        gespendet => 12372, gesperrt  => 3762, gespielt  => 1040, gespielte => 15817,
                        gespielten
                                  => 14156, gesponsert
                                  => 27402,
                        gesprach  => 2317, gesprache => 4596, gesprachen
                                  => 11106,
                        gesprachs => 18566, gesprachspartner
                                  => 21336,
                        gesprengt => 7818, gesprochen
                                  => 2656,
                        gesprochene
                                  => 18263, gesprochenen
                                  => 18916,
                        gesprungen
                                  => 26594, gespult   => 20001,
                        gespur    => 20863, gestaffelten
                                  => 29236,
                        gestalt   => 2137, gestalten => 3246, gestalter => 25849, gestalterische
                                  => 22744,
                        gestalterischen
                                  => 28301, gestaltet => 1472,
                        gestaltete
                                  => 3075, gestalteten
                                  => 6715,
                        gestalteter
                                  => 27403, gestaltetes
                                  => 25850,
                        gestaltung
                                  => 1836, gestand   => 14560,
                        gestanden => 4697, gestandnis
                                  => 10905,
                        gestapo   => 9272, gestarkt  => 10999, gestartet => 4112, gestartete
                                  => 25851,
                        gestarteten
                                  => 15597, gestatten => 21337,
                        gestattet => 5560, gestattete
                                  => 15598,
                        gestaut   => 23339, geste     => 11988, gesteckt  => 8435, gestehen  => 11989,
                        gesteht   => 4869, gesteigert
                                  => 6257,
                        gesteigerte
                                  => 28302, gestein   => 6353,
                        gesteine  => 12625, gestellt  => 649, gestellte => 11749, gestellten
                                  => 9148,
                        gesten    => 18264, gestern   => 14368, gesteuert => 6471, gesteuerte
                                  => 18917,
                        gesteuerten
                                  => 26595, gestiegen => 7343,
                        gestiegene
                                  => 24534, gestiegenen
                                  => 16783,
                        gestielt  => 15181, gestielten
                                  => 25852,
                        gestiftet => 5468, gestiftete
                                  => 21338,
                        gestik    => 25198, gestimmt  => 12753, gestochen => 22261, gestohlen => 6101,
                        gestohlenen
                                  => 19250, gestoppt  => 7113,
                        gestorben => 2586, gestorbenen
                                  => 23340,
                        gestort   => 6859, gestorten => 24535, gestossen => 11000, gestreckt => 14766,
                        gestreckten
                                  => 24536, gestreift => 12626,
                        gestreut  => 23341, gestrichelt
                                  => 29237,
                        gestrichen
                                  => 4020, gestritten
                                  => 25853,
                        gestuhl   => 17948, gesturmt  => 25199, gesturzt  => 10109, gesturzten
                                  => 27404,
                        gestut    => 28303, gestutzt  => 5842, gesuch    => 17949, gesucht   => 4113,
                        gesuchte  => 13040, gesuchten => 14561, gesund    => 10110, gesunde   => 10446,
                        gesunden  => 9599, gesunder  => 24537, gesundes  => 28304, gesundheit
                                  => 2479,
                        gesundheitlich
                                  => 15599, gesundheitliche
                                  => 13337,
                        gesundheitlichen
                                  => 4492, gesundheitlicher
                                  => 20002,
                        gesundheitsministerium
                                  => 29238,
                        gesundheitssystem
                                  => 29239,
                        gesundheitsversorgung
                                  => 26596,
                        gesundheitswesen
                                  => 11107, gesundheitswesens
                                  => 23342,
                        gesundheitszustand
                                  => 10630,
                        gesundheitszustandes
                                  => 28305,
                        gesungen  => 5735, gesunken  => 8265, getan     => 5994, getanzt   => 17350,
                        getarnt   => 14562, getatigt  => 14969, getaucht  => 22745, getauft   => 6754,
                        getauscht => 10111, geteilt   => 2559, geteilte  => 18265, geteiltem => 24538,
                        geteilten => 14157, getestet  => 6132, geteuft   => 27405, getont    => 22262,
                        getotet   => 1183, getoteten => 9149, getragen  => 1795, getragene => 18918,
                        getragenen
                                  => 21339, getrank   => 16297,
                        getranke  => 11404, getranken => 25854, getreide  => 5230, getreideanbau
                                  => 25200,
                        getreidemuhle
                                  => 23909, getreidespeicher
                                  => 23343,
                        getrennt  => 1394, getrennte => 6425, getrennten
                                  => 8055,
                        getreten  => 7265, getreuen  => 29240, getriebe  => 5253, getrieben => 6560,
                        getrocknet
                                  => 12240, getrockneten
                                  => 26597,
                        getroffen => 2017, getroffene
                                  => 22746,
                        getroffenen
                                  => 18567, getrunken => 13338,
                        geubt     => 16533, geviert   => 29241, gewachsen => 5760, gewachsene
                                  => 15381,
                        gewachsenen
                                  => 14970, gewahlt   => 446,
                        gewahlte  => 6217, gewahlten => 4683, gewahlter => 16784, gewahren  => 8886,
                        gewahrleisten
                                  => 4565, gewahrleistet
                                  => 5024,
                        gewahrsam => 20003, gewahrt   => 4048, gewahrte  => 9600, gewahrten => 21764,
                        gewahrung => 25201, gewalt    => 1848, gewaltanwendung
                                  => 28306,
                        gewaltherrschaft
                                  => 27406, gewaltig  => 26598,
                        gewaltige => 11990, gewaltigen
                                  => 11217,
                        gewaltiger
                                  => 29242, gewaltsam => 8543,
                        gewaltsame
                                  => 18919, gewaltsamen
                                  => 11750,
                        gewalttaten
                                  => 20864, gewalttatig
                                  => 22747,
                        gewalttatigen
                                  => 13495, gewand    => 11001,
                        gewandelt => 11631, gewander  => 19607, gewandt   => 22748, gewann    => 299,
                        gewannen  => 2244, gewarnt   => 10631, gewartet  => 13339, gewaschen => 26599,
                        gewasser  => 3665, gewassern => 5891, gewassers => 17057, gewebe    => 7344,
                        gewechselt
                                  => 6952, geweckt   => 12109,
                        gewehr    => 11865, gewehre   => 17351, geweigert => 23344, geweih    => 28307,
                        geweiht   => 2837, geweihte  => 15182, geweihten => 27407, gewellt   => 23910,
                        gewendet  => 23911, gewerbe   => 4406, gewerbebetriebe
                                  => 22749,
                        gewerbeflachen
                                  => 28308, gewerbegebiet
                                  => 7387,
                        gewerbegebiete
                                  => 29243, gewerbeschule
                                  => 23345,
                        gewerblich
                                  => 23346, gewerbliche
                                  => 13820,
                        gewerblichen
                                  => 11108, gewerkschaft
                                  => 6685,
                        gewerkschaften
                                  => 5761, gewerkschafter
                                  => 29244,
                        gewerkschaftlichen
                                  => 21765,
                        gewertet  => 4628, gewesen   => 406, gewicht   => 1606, gewichte  => 15382,
                        gewichten => 25202, gewichtet => 23347, gewichts  => 17352, gewichtsklasse
                                  => 7345,
                        gewichtsklassen
                                  => 24539, gewichtung
                                  => 28309,
                        gewickelt => 24540, gewidmet  => 3426, gewidmete => 25203, gewillt   => 29245,
                        gewinde   => 20445, gewinn    => 2639, gewinne   => 7550, gewinnen  => 931,
                        gewinner  => 4493, gewinnt   => 3517, gewinnung => 7145, gewirkt   => 14563,
                        gewiss    => 18266, gewisse   => 2884, gewissen  => 2592, gewissenhaft
                                  => 25204,
                        gewisser  => 6993, gewissermassen
                                  => 10812,
                        gewisses  => 15600, gewissheit
                                  => 14767,
                        gewitter  => 18267, gewohnen  => 25855, gewohnheit
                                  => 21766,
                        gewohnheiten
                                  => 21767, gewohnlich
                                  => 2977,
                        gewohnliche
                                  => 10349, gewohnlichen
                                  => 7775,
                        gewohnlicher
                                  => 28310, gewohnt   => 6716,
                        gewohnte  => 22750, gewohnten => 17353, gewolbe   => 5217, gewolbekeller
                                  => 29246,
                        gewolben  => 26600, gewolbes  => 29247, gewolbt   => 12886, gewolbte  => 15183,
                        gewolbten => 22263, gewollt   => 16298, gewonnen  => 1418, gewonnene => 9345,
                        gewonnenen
                                  => 5995, geworben  => 29248,
                        geworden  => 836, gewordene => 8266, gewordenen
                                  => 7072,
                        geworfen  => 5142, gewunscht => 11632, gewunschte
                                  => 7426,
                        gewunschten
                                  => 6910, gewurdigt => 8267,
                        gewurze   => 28311, gewusst   => 11751, gezahlt   => 1773, gezahnt   => 12754,
                        gezeichnet
                                  => 5201, gezeichnete
                                  => 21340,
                        gezeichneten
                                  => 20446, gezeigt   => 1090,
                        gezeigte  => 16534, gezeigten => 14369, gezeiten  => 25205, gezeugt   => 26601,
                        gezielt   => 4536, gezielte  => 9778, gezielten => 14370, gezielter => 27408,
                        gezogen   => 2044, gezogene  => 20865, gezogenen => 17950, gezuchtet => 13496,
                        gezundet  => 20447, gezwungen => 2205, ggmbh     => 20866, ghana     => 11514,
                        ghetto    => 12887, ghettos   => 25206, ghost     => 16299, giants    => 18920,
                        gibbs     => 17951, gibraltar => 19608, gibson    => 15383, gibt      => 104,
                        gideon    => 28312, giebelseite
                                  => 19609,
                        giebelwand
                                  => 27409, giessen   => 5447,
                        giessener => 25856, giesserei => 16042, gifhorn   => 28313, gift      => 8887,
                        giftig    => 16300, giftige   => 20448, giftigen  => 19610, gigantischen
                                  => 23348,
                        gilbert   => 9346, gilde     => 20004, gilden    => 25207, gilt      => 309,
                        ging      => 235, ginge     => 19611, gingen    => 795, gipfel    => 2473,
                        gipfeln   => 19612, gipfels   => 15601, gipfelte  => 22751, girls     => 11991,
                        gitarre   => 3366, gitarren  => 12373, gitarrenspiel
                                  => 29249,
                        gitarrist => 4613, gitarristen
                                  => 7033,
                        gitter    => 9439, glanzen   => 29250, glanzend  => 7503, glanzende => 14768,
                        glanzenden
                                  => 16043, glarus    => 22752,
                        glaserne  => 27410, glases    => 26602, glasfenster
                                  => 11866,
                        glasgow   => 10447, glashutte => 11405, glasmalerei
                                  => 22753,
                        glasmalereien
                                  => 25208, glatt     => 5254,
                        glatte    => 11109, glatten   => 10022, glaube    => 5346, glauben   => 1756,
                        glaubens  => 5538, glaubensgemeinschaft
                                  => 22754,
                        glaubhaft => 17058, glaubige  => 12491, glaubigen => 6292, glaubiger => 9273,
                        glaubt    => 2490, glaubte   => 5448, glaubten  => 11406, glaubwurdig
                                  => 17952,
                        glaubwurdigkeit
                                  => 14769, glauchau  => 22755,
                        glauser   => 20005, gleich    => 793, gleichaltrigen
                                  => 22756,
                        gleichartige
                                  => 26603, gleichauf => 18568,
                        gleichbedeutend
                                  => 16301, gleichberechtigt
                                  => 15384,
                        gleichberechtigte
                                  => 27411,
                        gleichberechtigung
                                  => 14564,
                        gleiche   => 1696, gleichem  => 8489, gleichen  => 459, gleicher  => 2946,
                        gleichermassen
                                  => 5811, gleiches  => 9779,
                        gleichfalls
                                  => 7180, gleichgeschlechtliche
                                  => 27412,
                        gleichgesetzt
                                  => 14015, gleichgesinnten
                                  => 27413,
                        gleichgestellt
                                  => 18921, gleichgewicht
                                  => 7073,
                        gleichgultig
                                  => 27414, gleichgultigkeit
                                  => 27415,
                        gleichheit
                                  => 9862, gleichmassig
                                  => 6293,
                        gleichmassige
                                  => 12627, gleichmassigen
                                  => 22757,
                        gleichmassiger
                                  => 25857, gleichnamige
                                  => 5255,
                        gleichnamigen
                                  => 2284, gleichnamiger
                                  => 20449,
                        gleichsam => 9601, gleichsetzung
                                  => 23912,
                        gleichstand
                                  => 18922, gleichstellung
                                  => 16302,
                        gleicht   => 9347, gleichung => 11309, gleichungen
                                  => 15385,
                        gleichwertig
                                  => 20867, gleichwertige
                                  => 28314,
                        gleichwohl
                                  => 5202, gleichzeitig
                                  => 414,
                        gleichzeitige
                                  => 11867, gleichzeitigen
                                  => 14158,
                        gleichzeitiger
                                  => 13041, gleichzusetzen
                                  => 17953,
                        gleis     => 4293, gleisanlagen
                                  => 9082,
                        gleisanschluss
                                  => 28315, gleise    => 3458,
                        gleisen   => 9274, gleises   => 29251, gleiten   => 25858, glenn     => 16785,
                        gletscher => 9083, gletschern
                                  => 28316,
                        glich     => 15818, glied     => 15386, glieder   => 13042, gliedern  => 10906,
                        gliedert  => 6258, gliederte => 12888, gliederung
                                  => 6102,
                        gliedmassen
                                  => 12110, global    => 5365,
                        globale   => 9602, globalen  => 7034, globaler  => 24541, globalisierung
                                  => 15819,
                        globe     => 20450, globus    => 17354, glocke    => 2645, glocken   => 2246,
                        glockengiesserei
                                  => 28317, glockenspiel
                                  => 27416,
                        glockenstube
                                  => 28318, glockenstuhl
                                  => 22264,
                        glockenturm
                                  => 4804, glockenturms
                                  => 23913,
                        gloria    => 11407, glory     => 28319, gloucester
                                  => 23349,
                        glucklich => 4200, glucklichen
                                  => 17625,
                        glucklicher
                                  => 25859, glucklicherweise
                                  => 14971,
                        glucksspiel
                                  => 23350, gluckte   => 21768,
                        gmbh      => 641, gmund     => 20006, gnade     => 8110, gnadenbild
                                  => 18569,
                        gnadenlos => 29252, godesberg => 26604, goebbels  => 18268, goethe    => 7640,
                        goethes   => 13189, gold      => 1425, golden    => 5281, goldene   => 3493,
                        goldenem  => 13647, goldenen  => 2514, goldener  => 7114, goldenes  => 11110,
                        goldgelb  => 27417, goldman   => 28320, goldmedaille
                                  => 5003,
                        goldmedaillen
                                  => 13340, goldmunzen
                                  => 28321,
                        golf      => 7466, golfplatz => 17954, gomes     => 27418, gomez     => 17955,
                        gondel    => 25860, gondeln   => 27419, gonner    => 20451, gonzalez  => 14565,
                        good      => 8810, goodman   => 26605, google    => 8111, goppingen => 19613,
                        gorilla   => 27420, gorlitzer => 20868, goslar    => 16786, goteborg  => 17059,
                        gotha     => 9678, gotik     => 14770, gotische  => 6133, gotischen => 5736,
                        gotischer => 19614, gotisches => 22758, gott      => 1211, gotter    => 5784,
                        gottern   => 11408, gottes    => 2052, gottesdienst
                                  => 5143,
                        gottesdienste
                                  => 4728, gottesdiensten
                                  => 14972,
                        gottesdienstes
                                  => 24542, gotteshaus
                                  => 5203,
                        gotteshauses
                                  => 17060, gottesmutter
                                  => 16303,
                        gottheit  => 10263, gottheiten
                                  => 16304,
                        gottin    => 8944, gottingen => 2978, gottinger => 11752, gottliche => 9275,
                        gottlichen
                                  => 7641, gottlob   => 17626,
                        gould     => 22265, gouverneur
                                  => 2706,
                        gouverneure
                                  => 29253, gouverneurs
                                  => 9348,
                        government
                                  => 14771, grab      => 1814,
                        grabanlage
                                  => 25209, grabbeigaben
                                  => 12628,
                        graben    => 2138, grabens   => 20869, graberfeld
                                  => 14973,
                        graberfelder
                                  => 26606, grabern   => 10023,
                        grabes    => 14159, grabhugel => 10907, grabkammer
                                  => 10448,
                        grablege  => 20007, grabmal   => 9024, grabmale  => 29254, grabmaler => 25861,
                        grabplatte
                                  => 17355, grabplatten
                                  => 21341,
                        grabstatte
                                  => 10632, grabstatten
                                  => 16044,
                        grabstein => 6994, grabsteine
                                  => 7865,
                        grabsteinen
                                  => 27421, grabstellen
                                  => 20452,
                        grabt     => 28322, grabung   => 17356, grabungen => 5684, grace     => 9211,
                        grad      => 2460, grade     => 12889, grades    => 13043, grafen    => 2018,
                        graffiti  => 24543, grafik    => 6443, grafiken  => 11868, grafiker  => 14016,
                        grafin    => 5075, grafisch  => 21342, grafische => 11633, grafischen
                                  => 15602,
                        grafliche => 28323, graflichen
                                  => 21343,
                        grafschaft
                                  => 3736, grafschaften
                                  => 25862,
                        graham    => 8945, gramm     => 4049, grammatik => 8372, grammatischen
                                  => 27422,
                        grammy    => 24544, granada   => 21344, granate   => 21345, granaten  => 14160,
                        grand     => 2419, grant     => 8742, graph     => 26607, graphen   => 16305,
                        graphik   => 28324, graphische
                                  => 22759,
                        graphischen
                                  => 24545, gras      => 8112,
                        grasern   => 16045, grasland  => 22760, gratis    => 21346, graubraun => 8544,
                        graubunden
                                  => 26608, graue     => 9349,
                        graueltaten
                                  => 29255, grauem    => 20870,
                        grauen    => 6786, grausame  => 25863, grausamen => 18570, grausamkeit
                                  => 22266,
                        graves    => 28325, gravierend
                                  => 25864,
                        gravierende
                                  => 20871, gravierenden
                                  => 24546,
                        graz      => 3688, grazer    => 10908, great     => 7074, greater   => 27423,
                        greatest  => 27424, green     => 4649, greene    => 17627, greenwich => 26609,
                        greenwood => 20872, gregors   => 27425, gregory   => 12890, greifen   => 6158,
                        greifswald
                                  => 8672, greift    => 3689,
                        greiz     => 28326, gremien   => 7776, gremium   => 7596, gremiums  => 22761,
                        grenoble  => 28327, grenze    => 1039, grenzen   => 1466, grenzgebiet
                                  => 15184,
                        grenzsteine
                                  => 29256, grenzt    => 5115,
                        grenzte   => 17357, grenzubergang
                                  => 23351,
                        grenzuberschreitende
                                  => 25865,
                        grenzuberschreitenden
                                  => 22762,
                        grenzverlauf
                                  => 22763, grenzwert => 18571,
                        grenzwerte
                                  => 22267, grenzziehung
                                  => 24547,
                        gretchen  => 25866, griechen  => 6218, griechenland
                                  => 3047,
                        griechenlands
                                  => 15603, griechisch
                                  => 7689,
                        griechische
                                  => 4443, griechischen
                                  => 2448,
                        griechischer
                                  => 9863, griff     => 2607,
                        griffel   => 14974, griffen   => 5611, griffin   => 23352, grimma    => 22268,
                        grippe    => 25210, grob      => 5561, groben    => 13190, groningen => 19615,
                        gronland  => 12492, gronlandischen
                                  => 28328,
                        gronlands => 23914, groschen  => 17628, grossartig
                                  => 21769,
                        grossartige
                                  => 18269, grossbrand
                                  => 13497,
                        grossbritannien
                                  => 1246, grossbritanniens
                                  => 11409,
                        grossbuchstaben
                                  => 21347, grosse    => 148,
                        grosseltern
                                  => 10350, grossem   => 3304,
                        grossen   => 173, grossenordnung
                                  => 12374,
                        grossenteils
                                  => 19616, grosser   => 437,
                        grossere  => 639, grosserem => 9084, grosseren => 845, grosserer => 3794,
                        grosseres => 5631, grosses   => 1343, grossfeuer
                                  => 27426,
                        grossflachig
                                  => 13648, grossflachige
                                  => 16046,
                        grossflachigen
                                  => 17358, grossformatige
                                  => 18923,
                        grossformatigen
                                  => 21770, grossgemeinde
                                  => 12629,
                        grossgemeinden
                                  => 25211, grossgrundbesitzer
                                  => 18924,
                        grosshandel
                                  => 28329, grossherzog
                                  => 14772,
                        grossherzoglich
                                  => 25212, grossherzoglichen
                                  => 23353,
                        grossherzogtum
                                  => 14975, grossherzogtums
                                  => 22764,
                        grossmachte
                                  => 19251, grossmeister
                                  => 22765,
                        grossmutter
                                  => 5076, grossraum => 11869,
                        grossschanze
                                  => 20453, grossstadt
                                  => 8743,
                        grossstadte
                                  => 18925, grossstadten
                                  => 14161,
                        grosste   => 559, grossteil => 1301, grossteils
                                  => 8946,
                        grossten  => 578, grosstenteils
                                  => 2115,
                        grosster  => 4928, grosstes  => 14976, grosstmogliche
                                  => 29257,
                        grossunternehmen
                                  => 25213, grossvater
                                  => 4091,
                        grossvaters
                                  => 12375, grossveranstaltungen
                                  => 20454,
                        grosszugig
                                  => 10264, grosszugige
                                  => 11002,
                        grosszugigen
                                  => 12111, grosszugiger
                                  => 27427,
                        grosszugigkeit
                                  => 25867, groteske  => 25214,
                        grotte    => 17061, ground    => 18572, group     => 2506, groupe    => 26610,
                        grove     => 16787, gruben    => 5892, grubenfeld
                                  => 25215,
                        gruft     => 9780, grunanlage
                                  => 14017,
                        grunanlagen
                                  => 19252, grund     => 438,
                        grundausbildung
                                  => 17629, grundbesitz
                                  => 8056,
                        grundbesitzer
                                  => 17956, grundbesitzes
                                  => 29258,
                        grundbuch => 25216, grunde    => 1810, grunden   => 735, grunder   => 2927,
                        grunderin => 20873, grundern  => 20455, grunders  => 14162, grunderzeit
                                  => 27428,
                        grundet   => 13044, grundete  => 699, grundeten => 3331, grundfarbe
                                  => 8744,
                        grundfarbung
                                  => 18270, grundflache
                                  => 7467,
                        grundform => 16306, grundgedanke
                                  => 29259,
                        grundgesetz
                                  => 15387, grundgesetzes
                                  => 19253,
                        grundhaltung
                                  => 25868, grundherren
                                  => 18573,
                        grundherrschaft
                                  => 18926, grundidee => 17359,
                        grundlage => 1221, grundlagen
                                  => 2750,
                        grundlagenforschung
                                  => 22766,
                        grundlegend
                                  => 4751, grundlegende
                                  => 5256,
                        grundlegenden
                                  => 7551, grundlegender
                                  => 20874,
                        grundlegung
                                  => 28330, grundlich => 10024,
                        grundliche
                                  => 21771, grundmauern
                                  => 7690,
                        grundprinzip
                                  => 25217, grundrechte
                                  => 25218,
                        grundriss => 2498, grundrisse
                                  => 21348,
                        grundsatz => 8373, grundsatze
                                  => 10351,
                        grundsatzen
                                  => 17630, grundsatzlich
                                  => 1635,
                        grundsatzliche
                                  => 11310, grundsatzlichen
                                  => 18574,
                        grundschule
                                  => 2657, grundschulen
                                  => 8673,
                        grundstein
                                  => 5116, grundsteinlegung
                                  => 7777,
                        grundstock
                                  => 14018, grundstruktur
                                  => 26611,
                        grundstuck
                                  => 2542, grundstucke
                                  => 4870,
                        grundstucken
                                  => 13649, grundstucks
                                  => 12493,
                        grundton  => 23915, grundung  => 676, grundungen
                                  => 18575,
                        grundungsdatum
                                  => 17631, grundungsjahr
                                  => 11753,
                        grundungsmitglied
                                  => 7146, grundungsmitglieder
                                  => 14371,
                        grundungsmitgliedern
                                  => 18576,
                        grundungsversammlung
                                  => 20875,
                        grundungszeit
                                  => 21772, grundversorgung
                                  => 21349,
                        grundwasser
                                  => 10542, grundzuge => 18927,
                        grundzugen
                                  => 21773, grune     => 3347,
                        grunem    => 9603, grunen    => 1905, grunes    => 12494, grunflache
                                  => 22269,
                        grunflachen
                                  => 15388, grunland  => 13045,
                        grunlich  => 10633, grupo     => 26612, gruppe    => 282, gruppen   => 668,
                        gruppenausstellungen
                                  => 20008,
                        gruppendritten
                                  => 27429, gruppendritter
                                  => 28331,
                        gruppenersten
                                  => 25219, gruppenletzter
                                  => 25869,
                        gruppenphase
                                  => 7737, gruppensieger
                                  => 8614,
                        gruppenspiel
                                  => 15389, gruppenspiele
                                  => 25870,
                        gruppenspielen
                                  => 19617, gruppenzweiten
                                  => 24548,
                        gruppenzweiter
                                  => 27430, gruppieren
                                  => 20009,
                        gruppiert => 17632, gruppierten
                                  => 28332,
                        gruppierung
                                  => 10909, gruppierungen
                                  => 8545,
                        gruyter   => 12755, guadalajara
                                  => 27431,
                        guard     => 23916, guardian  => 20010, guatemala => 16047, guide     => 12241,
                        guild     => 24549, guillaume => 14566, guinea    => 24550, guitar    => 19618,
                        gultig    => 5762, gultige   => 7219, gultigen  => 4825, gultigkeit
                                  => 7427,
                        gunst     => 9527, gunsten   => 5937, gunstig   => 8016, gunstige  => 9528,
                        gunstigen => 6321, gunstiger => 8947, gunstigere
                                  => 27432,
                        gunstigeren
                                  => 26613, gurney    => 29260,
                        gurtbogen => 24551, gurtel    => 9679, gusseisen => 28333, gusseisernen
                                  => 29261,
                        gustave   => 25871, gustrow   => 22270, gut       => 272, gutachten => 5060,
                        gutachter => 13191, gutbezirksstatistik
                                  => 26614,
                        gute      => 887, gutem     => 7968, guten     => 1243, guter     => 1289,
                        guterbahnhof
                                  => 15820, gutern    => 6787,
                        guterschuppen
                                  => 14019, gutersloh => 14773,
                        guterverkehr
                                  => 3603, guterverkehrs
                                  => 29262,
                        guterwagen
                                  => 10721, guterzug  => 24552,
                        guterzuge => 13192, guterzugen
                                  => 28334,
                        gutes     => 2681, gutgeschrieben
                                  => 18271,
                        guthaben  => 23354, gutsbesitzer
                                  => 13046,
                        gutsbesitzers
                                  => 23917, gutsbezirk
                                  => 11218,
                        gutshaus  => 11111, gutshof   => 10352, gutshofes => 25220, gymnasiallehrer
                                  => 20456,
                        gymnasien => 8017, gymnasium => 2019, gymnasiums
                                  => 7035,
                        gymnastik => 20011, haar      => 6065, haare     => 4431, haaren    => 7468,
                        habe      => 238, haben     => 93, habilitation
                                  => 9440,
                        habilitationsschrift
                                  => 12891,
                        habilitiert
                                  => 23918, habilitierte
                                  => 8322,
                        habitat   => 22767, habitate  => 25872, habitaten => 22271, habitus   => 27433,
                        habsburg  => 20012, habsburger
                                  => 11992,
                        habsburgischen
                                  => 25221, hacken    => 22272,
                        hadamar   => 28335, hafen     => 1578, hafenanlagen
                                  => 19254,
                        hafenbecken
                                  => 15821, hafens    => 9441,
                        hafenstadt
                                  => 20013, haft      => 2433,
                        haftbedingungen
                                  => 23919, haftbefehl
                                  => 18928,
                        haften    => 20014, haftentlassung
                                  => 18577,
                        haftet    => 20876, haftling  => 21774, haftlinge => 4684, haftlingen
                                  => 14977,
                        haftstrafe
                                  => 7388, haftstrafen
                                  => 13650,
                        haftung   => 14372, haftzeit  => 27434, haifa     => 21350, haiti     => 19619,
                        haken     => 11003, hakenkreuz
                                  => 29263,
                        hakkinen  => 20877, halb      => 4280, halbbruder
                                  => 11993,
                        halbe     => 4629, halbem    => 27435, halben    => 3926, halber    => 9604,
                        halberstadt
                                  => 17062, halbes    => 5160,
                        halbfinale
                                  => 2181, halbfinals
                                  => 17633,
                        halbiert  => 20457, halbinsel => 4494, halbjahr  => 11870, halbkreis => 28336,
                        halbkreisformig
                                  => 25222, halbkreisformige
                                  => 23355,
                        halbrund  => 25873, halbrunde => 23920, halbrunden
                                  => 18578,
                        halbschwergewicht
                                  => 22273,
                        halbschwester
                                  => 21351, halbstundentakt
                                  => 25223,
                        halbwegs  => 25874, halbwertszeit
                                  => 27436,
                        halbzeit  => 9781, halde     => 22768, half      => 4407, halfen    => 13341,
                        halfte    => 474, halften   => 12630, halifax   => 28337, hall      => 3008,
                        halle     => 1474, hallen    => 8057, hallenbad => 20458, hallenkirche
                                  => 23356,
                        hals      => 3563, halsband  => 21352, halsschild
                                  => 18579,
                        halt      => 717, haltbar   => 11515, haltbarkeit
                                  => 14774,
                        halte     => 11994, halten    => 716, haltend   => 23357, haltepunkt
                                  => 5095,
                        haltepunkte
                                  => 20878, halterung => 29264,
                        haltestelle
                                  => 4473, haltestellen
                                  => 7642,
                        haltung   => 2295, haltungen => 23921, hamas     => 24553, hamburg   => 749,
                        hamburger => 2053, hamburgische
                                  => 21775,
                        hamburgischen
                                  => 21353, hamburgs  => 14373,
                        hameln    => 17634, hamilton  => 4969, hamlet    => 21354, hammond   => 27437,
                        hampshire => 15390, hampton   => 22769, hanau     => 8811, hand      => 724,
                        handarbeit
                                  => 20015, handball  => 12631,
                        handbuch  => 3614, handbucher
                                  => 20016,
                        handbuchs => 28338, hande     => 2807, handel    => 1288, handele   => 9085,
                        handeln   => 1818, handelnde => 26615, handelnden
                                  => 15604,
                        handelns  => 11516, handels   => 9276, handelsbeziehungen
                                  => 17360,
                        handelskammer
                                  => 10910, handelsplatz
                                  => 25875,
                        handelsposten
                                  => 28339, handelsregister
                                  => 17635,
                        handelsschiffe
                                  => 17957, handelsschule
                                  => 13047,
                        handelsstrasse
                                  => 26616, handelsunternehmen
                                  => 28340,
                        handelswege
                                  => 27438, handelszentrum
                                  => 19620,
                        handelt   => 428, handelte  => 1516, handelten => 23922, handen    => 3154,
                        handfeuerwaffen
                                  => 28341, handgelenk
                                  => 29265,
                        handgemenge
                                  => 20879, handhaben => 27439,
                        handhabung
                                  => 13342, handlanger
                                  => 18929,
                        handlern  => 12632, handlung  => 1484, handlungen
                                  => 3638,
                        handlungsstrang
                                  => 27440, handlungsstrange
                                  => 19621,
                        handschellen
                                  => 27441, handschrift
                                  => 5685,
                        handschriften
                                  => 5812, handschriftlichen
                                  => 23923,
                        handschuhe
                                  => 23924, handschwingen
                                  => 22274,
                        handvoll  => 20017, handwerk  => 4765, handwerker
                                  => 5299,
                        handwerkern
                                  => 14163, handwerklich
                                  => 19255,
                        handwerkliche
                                  => 15822, handwerklichen
                                  => 13498,
                        handwerks => 19256, handwerksbetriebe
                                  => 17958,
                        handwerkskammer
                                  => 23358, handy     => 10722,
                        hangar    => 25224, hange     => 9943, hangebrucke
                                  => 28342,
                        hangen    => 3299, hangend   => 18272, hangenden => 18930, hanglage  => 18931,
                        hanglagen => 29266, hangt     => 2156, hannover  => 1459, hannovers => 23925,
                        hannoversche
                                  => 25876, hannoverschen
                                  => 12892,
                        hansa     => 15185, hansestadt
                                  => 8948,
                        hanson    => 27442, happy     => 9680, harbor    => 14978, harbour   => 19257,
                        harburg   => 26617, hardcore  => 20018, harding   => 22275, hardware  => 10182,
                        harfe     => 23359, harlem    => 24554, harmlos   => 23360, harmlose  => 27443,
                        harmonie  => 11311, harmonisch
                                  => 15823,
                        harmonische
                                  => 14775, harmonischen
                                  => 20459,
                        harold    => 10449, harrassowitz
                                  => 21355,
                        harriet   => 17636, harris    => 7181, harrison  => 11410, harte     => 4408,
                        harten    => 4871, hartere   => 23361, harteren  => 26618, hartes    => 28343,
                        hartnackig
                                  => 24555, harvard   => 11004,
                        harvey    => 11517, hasen     => 20019, hassan    => 14776, hassen    => 27444,
                        hasslich  => 27445, hasst     => 14164, hastings  => 17637, hat       => 54,
                        hatte     => 60, hatten    => 155, haube     => 12242, haufen    => 11871,
                        haufig    => 354, haufige   => 8058, haufigen  => 8323, haufiger  => 2717,
                        haufiges  => 18932, haufigkeit
                                  => 7738,
                        haufigste => 9864, haufigsten
                                  => 4630,
                        hauften   => 26619, haufung   => 22770, hauptachse
                                  => 27446,
                        hauptaltar
                                  => 14374, hauptamtlich
                                  => 25877,
                        hauptamtliche
                                  => 15605, hauptamtlichen
                                  => 14567,
                        hauptamtlicher
                                  => 19622, hauptanliegen
                                  => 23926,
                        hauptaufgabe
                                  => 10723, hauptaufgaben
                                  => 25225,
                        hauptaugenmerk
                                  => 16307, hauptbahnhof
                                  => 5178,
                        hauptbahnhofs
                                  => 19258, hauptbau  => 25226,
                        hauptberuflich
                                  => 13343, hauptbewaffnung
                                  => 22771,
                        hauptburg => 21356, hauptdarsteller
                                  => 7691,
                        hauptdarstellerin
                                  => 17063,
                        haupteingang
                                  => 5843, haupteinnahmequelle
                                  => 25878,
                        hauptfahrwerk
                                  => 29267, hauptfassade
                                  => 14568,
                        hauptfeld => 16048, hauptfigur
                                  => 7597,
                        hauptfiguren
                                  => 12495, hauptfriedhof
                                  => 25227,
                        hauptgebaude
                                  => 5584, hauptgebaudes
                                  => 17361,
                        hauptgeschaftsfuhrer
                                  => 29268,
                        hauptgipfel
                                  => 25879, hauptgrund
                                  => 13344,
                        haupthalle
                                  => 17638, haupthandlung
                                  => 25228,
                        haupthaus => 13499, hauptinsel
                                  => 21776,
                        hauptkirche
                                  => 25229, hauptling => 11634,
                        hauptlinge
                                  => 20020, hauptmanns
                                  => 23362,
                        hauptort  => 4685, hauptortes
                                  => 27447,
                        hauptperson
                                  => 22772, hauptplatz
                                  => 21357,
                        hauptportal
                                  => 11312, hauptpreis
                                  => 21777,
                        hauptquartier
                                  => 7469, hauptrolle
                                  => 4037,
                        hauptrollen
                                  => 10724, hauptrunde
                                  => 7115,
                        hauptsache
                                  => 15391, hauptsachlich
                                  => 761,
                        hauptsatz => 25230, hauptschiff
                                  => 14979,
                        hauptschule
                                  => 9782, hauptsitz => 6531,
                        hauptsponsor
                                  => 22773, hauptstaatsarchiv
                                  => 29269,
                        hauptstadt
                                  => 1875, hauptstrasse
                                  => 4513,
                        hauptstrassen
                                  => 18933, hauptstrecke
                                  => 13345,
                        hauptteil => 9529, hauptthema
                                  => 17064,
                        haupttor  => 22774, haupttribune
                                  => 18934,
                        hauptturm => 28344, hauptursache
                                  => 25231,
                        hauptverhandlung
                                  => 29270, hauptverkehrszeit
                                  => 23927,
                        hauptversammlung
                                  => 17362, hauptverwaltung
                                  => 21358,
                        hauptwerk => 6066, hauptwerke
                                  => 22276,
                        hauptziel => 17363, haus      => 288, hausarrest
                                  => 16049,
                        hausbahnsteig
                                  => 23928, hausbau   => 27448,
                        hausberg  => 29271, hausbesitzer
                                  => 25232,
                        hauschen  => 20021, hause     => 1523, hauseigenen
                                  => 23363,
                        hausern   => 2080, hauses    => 1490, hausfrau  => 11872, haushalt  => 3949,
                        haushalte => 2928, haushalten
                                  => 2751,
                        haushalterin
                                  => 13500, haushalts => 10911,
                        haushaltseinkommen
                                  => 21359,
                        haushaltsgrosse
                                  => 13048, haushaltungen
                                  => 17364,
                        hauslehrer
                                  => 19259, hausliche => 22277,
                        hauslichen
                                  => 16050, hausmadchen
                                  => 26620,
                        hausnummer
                                  => 14569, hausnummern
                                  => 18580,
                        haustiere => 20460, haustur   => 17065, haut      => 3384, haute     => 23929,
                        hautfarbe => 18935, hautung   => 24556, havanna   => 18936, haven     => 18273,
                        hawaii    => 11873, hawkins   => 18937, hawks     => 22775, hayes     => 14777,
                        hazel     => 29272, health    => 10634, heart     => 10265, hearts    => 22278,
                        heath     => 28345, heather   => 27449, heaven    => 21778, heavy     => 13651,
                        heben     => 7116, hebraisch => 15606, hebraische
                                  => 17066,
                        hebraischen
                                  => 11411, hebt      => 6995,
                        hebung    => 21779, hechingen => 27450, hecken    => 12893, hector    => 20022,
                        heer      => 3155, heere     => 20880, heeres    => 6532, heeresgruppe
                                  => 22776,
                        heerfuhrer
                                  => 22777, heerstrasse
                                  => 25880,
                        heft      => 2449, hefte     => 8888, heften    => 17959, heftig    => 6472,
                        heftige   => 7598, heftigen  => 5061, heftiger  => 14165, hegte     => 22279,
                        heidelberg
                                  => 3088, heidelberger
                                  => 10353,
                        heidenheim
                                  => 25233, heidfeld  => 26621,
                        heidnischen
                                  => 18581, heights   => 23930,
                        heilbronn => 4929, heilbronner
                                  => 11518,
                        heilen    => 10543, heiligabend
                                  => 25234,
                        heilige   => 4149, heiligen  => 1188, heiligenfiguren
                                  => 24557,
                        heiligenkreuz
                                  => 28346, heiligenschein
                                  => 29273,
                        heiligenstadt
                                  => 22778, heiligkeit
                                  => 27451,
                        heiligtum => 12243, heilmittel
                                  => 29274,
                        heilt     => 24558, heilung   => 7389, heimat    => 1027, heimatdorf
                                  => 22779,
                        heimatgemeinde
                                  => 20881, heimatgeschichte
                                  => 25881,
                        heimathafen
                                  => 22780, heimatkunde
                                  => 18274,
                        heimatland
                                  => 6953, heimatlandes
                                  => 22280,
                        heimatmuseum
                                  => 9530, heimatort => 9783,
                        heimatstadt
                                  => 2547, heimatverein
                                  => 8374,
                        heimatvereins
                                  => 23364, heimgesucht
                                  => 12496,
                        heimisch  => 14375, heimische => 13821, heimischen
                                  => 7504,
                        heimischer
                                  => 28347, heimkehr  => 16051,
                        heimlich  => 3367, heimliche => 17365, heimlichen
                                  => 20023,
                        heimrecht => 25882, heimreise => 21360, heimspiel => 9277, heimspiele
                                  => 6533,
                        heimspielen
                                  => 23931, heimstatte
                                  => 20024,
                        heimweg   => 14980, heines    => 28348, heirat    => 3218, heiraten  => 2491,
                        heiratet  => 6595, heiratete => 750, heirateten
                                  => 8546,
                        heiratsantrag
                                  => 10912, heisse    => 10354,
                        heissem   => 26622, heissen   => 3201, heisser   => 23932, heisst    => 833,
                        heitere   => 23933, heiteren  => 27452, heizung   => 11754, hektar    => 1209,
                        hektoliter
                                  => 23365, helden    => 4316,
                        heldin    => 22781, helen     => 7918, helena    => 10266, helfen    => 1939,
                        helfer    => 6501, helfern   => 14166, helgoland => 19623, helikopter
                                  => 18582,
                        helium    => 25235, hellblau  => 12244, hellbraun => 12756, hellem    => 20461,
                        hellen    => 5231, hellere   => 19260, helleren  => 18275, helles    => 19624,
                        hellgelb  => 26623, hellgrau  => 16052, hellgrun  => 12757, helligkeit
                                  => 10025,
                        helme     => 17366, helmstedt => 23366, helmzier  => 27453, helsinki  => 10450,
                        hemden    => 29275, hemer     => 23367, hemingway => 28349, hemisphare
                                  => 24559,
                        hemmen    => 24560, hemmung   => 20025, henderson => 16788, henrietta => 26624,
                        henry     => 2484, henrys    => 28350, herab     => 9212, herabgesetzt
                                  => 19261,
                        herabgestuft
                                  => 25883, herakles  => 25236,
                        herald    => 22782, heraldik  => 28351, heran     => 4826, herangefuhrt
                                  => 21780,
                        herangehensweise
                                  => 21361, herangezogen
                                  => 5632,
                        heranwachsenden
                                  => 24561, heraus    => 531,
                        herausbildung
                                  => 27454, herausbrachte
                                  => 27455,
                        herausfinden
                                  => 19262, herausfindet
                                  => 22783,
                        herausforderer
                                  => 20026, herausforderung
                                  => 5300,
                        herausforderungen
                                  => 6788, herausgab => 15392,
                        herausgabe
                                  => 5737, herausgearbeitet
                                  => 20462,
                        herausgeben
                                  => 25884, herausgeber
                                  => 2318,
                        herausgeberin
                                  => 18938, herausgebers
                                  => 25885,
                        herausgebildet
                                  => 20882, herausgebracht
                                  => 8949,
                        herausgefunden
                                  => 17067, herausgegeben
                                  => 2103,
                        herausgegebene
                                  => 17639, herausgegebenen
                                  => 13652,
                        herausgelost
                                  => 20463, herausgenommen
                                  => 26625,
                        herausgeschnitten
                                  => 23934,
                        herausgestellt
                                  => 15393, herausgezogen
                                  => 27456,
                        herauskommt
                                  => 29276, herausragend
                                  => 18939,
                        herausragende
                                  => 5204, herausragenden
                                  => 10112,
                        herausragender
                                  => 16535, herausragendes
                                  => 22281,
                        herausstellt
                                  => 8674, herausstellte
                                  => 17068,
                        herauszufinden
                                  => 10267, herauszugeben
                                  => 25237,
                        herbei    => 14981, herbeifuhren
                                  => 29277,
                        herbeigefuhrt
                                  => 17069, herbeizufuhren
                                  => 20883,
                        herberge  => 16536, hercules  => 27457, herder    => 10635, herein    => 15607,
                        herford   => 16308, herforder => 28352, hergeleitet
                                  => 22282,
                        hergerichtet
                                  => 12758, hergestellt
                                  => 1111,
                        hergestellte
                                  => 11112, hergestellten
                                  => 8950,
                        heritage  => 14376, herkommliche
                                  => 14020,
                        herkommlichen
                                  => 6860, herkunft  => 1400,
                        herkunftsland
                                  => 28353, herleiten => 23935,
                        herleitung
                                  => 19625, herman    => 12759,
                        hermeneutik
                                  => 25238, hernandez => 17960,
                        herne     => 15608, herodes   => 17961, herodot   => 22283, heroes    => 21362,
                        heroin    => 20884, herren    => 1815, herrendoppel
                                  => 27458,
                        herreneinzel
                                  => 25886, herrenhaus
                                  => 4537,
                        herrenhauses
                                  => 12894, herrenmannschaft
                                  => 12633,
                        herrensitz
                                  => 20027, herrin    => 17367,
                        herrlichkeit
                                  => 25239, herrn     => 3342,
                        herrschaft
                                  => 802, herrschaften
                                  => 12895,
                        herrschaftliche
                                  => 22284, herrschaftlichen
                                  => 15609,
                        herrschaftsbereich
                                  => 20464,
                        herrschaftsgebiet
                                  => 19263,
                        herrschen => 10026, herrschende
                                  => 17640,
                        herrschenden
                                  => 7505, herrscher => 3433,
                        herrschern
                                  => 15610, herrschers
                                  => 11519,
                        herrscht  => 4416, herrschte => 5449, herrschten
                                  => 12896,
                        hersfeld  => 26626, herstellen
                                  => 6322,
                        hersteller
                                  => 1919, herstellern
                                  => 9278,
                        herstellers
                                  => 10355, herstellt => 18583,
                        herstellte
                                  => 14982, herstellung
                                  => 1545,
                        herstellungskosten
                                  => 25240,
                        herum     => 2614, heruntergekommenen
                                  => 25887,
                        heruntergeladen
                                  => 16053, herunterladen
                                  => 18940,
                        hervor    => 951, hervorbringen
                                  => 25888,
                        hervorgebracht
                                  => 14778, hervorgegangen
                                  => 6861,
                        hervorgehen
                                  => 22784, hervorgehoben
                                  => 5612,
                        hervorgeht
                                  => 14377, hervorgerufen
                                  => 11635,
                        hervorgetreten
                                  => 25241, hervorging
                                  => 9681,
                        hervorgingen
                                  => 23368, hervorragend
                                  => 12497,
                        hervorragende
                                  => 7075, hervorragenden
                                  => 10027,
                        hervorragender
                                  => 14167, hervorrufen
                                  => 15611,
                        hervortretenden
                                  => 15612, hervorzuheben
                                  => 8951,
                        herzanfall
                                  => 21781, herzegowina
                                  => 22285,
                        herzen    => 5763, herzens   => 11755, herzformig
                                  => 19626,
                        herzinfarkt
                                  => 8952, herzlich  => 20028,
                        herzoge   => 10451, herzogen  => 26627, herzogin  => 12376, herzogliche
                                  => 26628,
                        herzoglichen
                                  => 14021, herzogs   => 7969,
                        herzogtum => 5938, herzogtumer
                                  => 22785,
                        herzogtums
                                  => 11636, herzschild
                                  => 26629,
                        herzstuck => 18941, herzustellen
                                  => 5062,
                        herzversagen
                                  => 17368, hessen    => 2608,
                        hessens   => 25242, hessische => 8745, hessischen
                                  => 4856,
                        hessisches
                                  => 27459, heterogene
                                  => 26630,
                        hethitischen
                                  => 29278, heute     => 95,
                        heutige   => 769, heutigem  => 19627, heutigen  => 463, heutiger  => 6067,
                        heutiges  => 15186, heutzutage
                                  => 4021,
                        hexen     => 14570, hexerei   => 18584, hicks     => 27460, hielt     => 644,
                        hielten   => 2782, hier      => 112, hieran    => 21782, hierarchie
                                  => 10725,
                        hierarchisch
                                  => 21363, hierarchische
                                  => 29279,
                        hierarchischen
                                  => 27461, hierauf   => 9784,
                        hieraus   => 8953, hierbei   => 756, hierdurch => 4930, hierfur   => 1627,
                        hierher   => 11005, hierin    => 12634, hiermit   => 10452, hiernach  => 14571,
                        hieruber  => 18276, hiervon   => 8113, hierzu    => 1697, hiesigen  => 16537,
                        hiess     => 1276, hiessen   => 12897, higgins   => 17641, high      => 2640,
                        higher    => 29280, highlight => 23936, highlights
                                  => 25889,
                        highschool
                                  => 14779, highway   => 5025,
                        highways  => 20029, hilda     => 27462, hildesheim
                                  => 8018,
                        hildesheimer
                                  => 19628, hilfe     => 527,
                        hilfeleistung
                                  => 29281, hilfen    => 13822,
                        hilflos   => 18585, hilfreich => 11756, hilfsarbeiter
                                  => 23369,
                        hilfsmittel
                                  => 9785, hilfsmitteln
                                  => 26631,
                        hilfsorganisationen
                                  => 20885,
                        hilfstruppen
                                  => 28354, hilft     => 3541,
                        hills     => 11757, himalaya  => 22786, himmel    => 3100, himmelfahrt
                                  => 10268,
                        himmels   => 11874, himmelskorper
                                  => 28355,
                        himmelsrichtungen
                                  => 17369,
                        himmlische
                                  => 21783, himmlischen
                                  => 23370,
                        hin       => 392, hinab     => 10028, hinauf    => 5939, hinaus    => 384,
                        hinausgehen
                                  => 19264, hinausgehende
                                  => 20465,
                        hinausgeht
                                  => 26632, hinblick  => 4931,
                        hindenburg
                                  => 23371, hindern   => 13823,
                        hindernis => 9605, hindernisse
                                  => 10453,
                        hindernissen
                                  => 20886, hinderte  => 20030,
                        hindeuten => 15187, hindeutet => 19629, hinduismus
                                  => 24562,
                        hindurch  => 7076, hindus    => 19265, hinein    => 2400, hineingeboren
                                  => 23372,
                        hineingezogen
                                  => 23373, hinfallig => 20031,
                        hingabe   => 20466, hingegen  => 743, hingen    => 17370, hingerichtet
                                  => 5117,
                        hingerichteten
                                  => 28356, hingewiesen
                                  => 8114,
                        hingezogen
                                  => 15824, hinnehmen => 7303,
                        hinreichend
                                  => 8436, hinreichende
                                  => 25243,
                        hinrichten
                                  => 14983, hinrichtung
                                  => 6191,
                        hinrichtungen
                                  => 17642, hinrunde  => 9442,
                        hinsicht  => 3558, hinsichtlich
                                  => 2515,
                        hinspiel  => 11412, hinspiele => 9944, hinten    => 1876, hinter    => 471,
                        hinterachse
                                  => 11413, hinterbeine
                                  => 16309,
                        hinterbeinen
                                  => 23937, hinterbliebenen
                                  => 19266,
                        hintere   => 5940, hintereinander
                                  => 5864,
                        hinteren  => 3003, hinterende
                                  => 21784,
                        hinterflugel
                                  => 9945, hinterfragen
                                  => 27463,
                        hinterfragt
                                  => 19630, hinterfusse
                                  => 29282,
                        hintergrund
                                  => 1271, hintergrunde
                                  => 7692,
                        hintergrunden
                                  => 25890, hinterhalt
                                  => 16538,
                        hinterher => 10544, hinterkopf
                                  => 18942,
                        hinterland
                                  => 9682, hinterlassen
                                  => 5301,
                        hinterlassenschaften
                                  => 24563,
                        hinterlasst
                                  => 11637, hinterlegt
                                  => 16054,
                        hinterleib
                                  => 13824, hinterleibs
                                  => 27464,
                        hinterliess
                                  => 3095, hinterliessen
                                  => 18943,
                        hinterrad => 19631, hinterrader
                                  => 17962,
                        hinterrand
                                  => 24564, hinterteil
                                  => 26633,
                        hinuber   => 29283, hinunter  => 7819, hinweg    => 3219, hinweis   => 2263,
                        hinweise  => 2496, hinweisen => 6426, hinweist  => 10813, hinwendung
                                  => 16539,
                        hinzu     => 773, hinzufugen
                                  => 18944,
                        hinzugefugt
                                  => 3958, hinzugekommen
                                  => 17963,
                        hinzugezogen
                                  => 27465, hinzuweisen
                                  => 17070,
                        hinzuzufugen
                                  => 28357, hiroshima => 28358,
                        hirsche   => 24565, hirten    => 11875, hirzel    => 28359, hisbollah => 29284,
                        histoire  => 24566, historia  => 13346, historic  => 12112, historical
                                  => 13653,
                        historie  => 12498, historien => 27466, historiker
                                  => 3856,
                        historikerin
                                  => 23374, historikern
                                  => 11006,
                        historikers
                                  => 22286, historiographie
                                  => 26634,
                        historique
                                  => 16055, historisch
                                  => 3285,
                        historische
                                  => 1053, historischem
                                  => 19267,
                        historischen
                                  => 841, historischer
                                  => 4150,
                        historisches
                                  => 7077, historismus
                                  => 21364,
                        history   => 6616, hitchcock => 20467, hitler    => 3690, hitlers   => 7970,
                        hitparade => 15613, hits      => 7552, hitze     => 8490, hobby     => 11758,
                        hobbys    => 23375, hoben     => 20468, hoch      => 633, hochaltar => 5916,
                        hochbauten
                                  => 25891, hochburg  => 20032,
                        hochebene => 18586, hochflache
                                  => 12635,
                        hochgebirge
                                  => 24567, hochgezogen
                                  => 24568,
                        hochgradig
                                  => 23938, hochhaus  => 12636,
                        hochland  => 15614, hochmittelalter
                                  => 17964,
                        hochofen  => 16789, hochplateau
                                  => 18277,
                        hochrangige
                                  => 19632, hochrangigen
                                  => 24569,
                        hochschule
                                  => 1563, hochschulen
                                  => 3999,
                        hochschullehrer
                                  => 11876, hochschulreife
                                  => 19268,
                        hochsprung
                                  => 27467, hochst    => 6686,
                        hochste   => 1074, hochstem  => 26635, hochsten  => 1344, hochstens => 4729,
                        hochster  => 8547, hochstes  => 23376, hochstgeschwindigkeit
                                  => 3904,
                        hochstift => 18587, hochstifts
                                  => 28360,
                        hochststand
                                  => 11414, hochstwahrscheinlich
                                  => 14378,
                        hochverrats
                                  => 23377, hochwasser
                                  => 5329,
                        hochwassern
                                  => 29285, hochwasserschutz
                                  => 27468,
                        hochwertige
                                  => 10814, hochwertigen
                                  => 14168,
                        hochwertiger
                                  => 23939, hochzeit  => 2718,
                        hochzeiten
                                  => 11759, hockey    => 9946,
                        hof       => 881, hofanlage => 15394, hofe      => 3396, hofen     => 7147,
                        hofes     => 6159, hoffe     => 27469, hoffen    => 15188, hoffnung  => 2794,
                        hoffnungen
                                  => 9150, hoffnungslos
                                  => 24570,
                        hofft     => 7220, hoffte    => 9350, hofften   => 26636, hofgut    => 22787,
                        hofischen => 17071, hofkammer => 29286, hofkapelle
                                  => 26637,
                        hofmaler  => 28361, hofmark   => 22788, hofrat    => 23378, hofseite  => 20887,
                        hofstaat  => 22789, hoftheater
                                  => 20888,
                        hohe      => 207, hoheit    => 17371, hohem     => 4073, hohen     => 452,
                        hohendifferenz
                                  => 22790, hohenlage => 11313,
                        hohenlagen
                                  => 5738, hohenmeter
                                  => 11760,
                        hohenmetern
                                  => 27470, hohenrucken
                                  => 18588,
                        hohenunterschied
                                  => 10454, hohenzollern
                                  => 16790,
                        hohenzug  => 20033, hohepunkt => 2157, hohepunkte
                                  => 14572,
                        hoher     => 783, hohere    => 1566, hoherem   => 16310, hoheren   => 1475,
                        hoherer   => 6192, hoheres   => 11761, hoherklassigen
                                  => 20889,
                        hohes     => 4272, hohle     => 2855, hohlen    => 4903, hohlraum  => 19633,
                        hohlraume => 16056, hohlraumen
                                  => 25892,
                        holden    => 21365, holderlin => 26638, holding   => 6717, holdings  => 25244,
                        holen     => 4546, holiday   => 21785, hollandische
                                  => 27471,
                        hollandischen
                                  => 11762, hollywood => 6954,
                        holmes    => 10545, holocaust => 9351, holt      => 6160, holte     => 2979,
                        holten    => 11007, holzbauweise
                                  => 24571,
                        holzbrucke
                                  => 16791, holzdecke => 17372,
                        holzeinschlag
                                  => 29287, holzerne  => 4904,
                        holzernen => 5302, holzerner => 17965, holzernes => 20890, holzes    => 16792,
                        holzfaller
                                  => 24572, holzindustrie
                                  => 22791,
                        holzkirche
                                  => 20034, holzkohle => 18945,
                        holzkonstruktion
                                  => 16057, holzkreuz => 28362,
                        holzschnitt
                                  => 29288, holzverarbeitung
                                  => 24573,
                        home      => 6789, homepage  => 7390, homer     => 12760, hommage   => 20891,
                        homogen   => 19634, homogene  => 24574, homogenen => 28363, homoopathie
                                  => 28364,
                        homosexualitat
                                  => 10183, homosexuell
                                  => 21366,
                        homosexuelle
                                  => 13501, homosexuellen
                                  => 12637,
                        honda     => 15395, honduras  => 15615, honey     => 28365, hongkong  => 7391,
                        honolulu  => 28366, honor     => 22287, honorar   => 18278, hopkins   => 15825,
                        horace    => 24575, horbar    => 20469, horbuch   => 22792, horbucher => 22793,
                        horde     => 25893, horen     => 1840, horer     => 8746, horfunk   => 14169,
                        horizon   => 20035, horizont  => 11520, horizontal
                                  => 7304,
                        horizontale
                                  => 8437, horizontalen
                                  => 7820,
                        horizontaler
                                  => 27472, horne     => 29289,
                        hornern   => 21367, horni     => 18589, horror    => 18590, horrorfilm
                                  => 27473,
                        horse     => 17373, horspiel  => 16058, horspiele => 12245, horspielen
                                  => 26639,
                        hort      => 4317, horte     => 7221, horten    => 14573, hosen     => 14984,
                        hospital  => 4514, hospitals => 25245, hospiz    => 20036, hotel     => 1517,
                        hotels    => 3724, hotelzimmer
                                  => 12761,
                        house     => 2582, houston   => 11521, howard    => 6824, hoxter    => 25246,
                        huang     => 28367, hubbard   => 23940, hubraum   => 5096, hubsche   => 17072,
                        hubschen  => 28368, hubschrauber
                                  => 7739,
                        hubschraubern
                                  => 23941, hudson    => 12898,
                        hufeisen  => 24576, hufen     => 10184, hufte     => 12113, hugel     => 2296,
                        hugelgraber
                                  => 29290, hugelig   => 18591,
                        hugelige  => 23379, hugeligen => 18592, hugelland => 15189, hugeln    => 8954,
                        hugels    => 9531, hughes    => 11763, hugo      => 4457, huhner    => 19269,
                        huldigung => 28369, hulle     => 11314, hulse     => 26640, hulsen    => 29291,
                        human     => 10455, humanismus
                                  => 16793,
                        humanistische
                                  => 17374, humanistischen
                                  => 13049,
                        humanitare
                                  => 17643, humanitaren
                                  => 18279,
                        humboldt  => 15396, humor     => 6259, humorvollen
                                  => 26641,
                        hunde     => 5492, hunden    => 10113, hundert   => 2166, hunderte  => 6389,
                        hunderten => 15397, hundertjahrigen
                                  => 17644,
                        hundertstelsekunden
                                  => 29292,
                        hunderttausend
                                  => 24577, hunderttausende
                                  => 24578,
                        hundes    => 16540, hunenbett => 26642, hungersnot
                                  => 16311,
                        hunter    => 9683, hurde     => 23380, hurden    => 14574, hurrikan  => 14170,
                        husten    => 20037, husum     => 22794, huten     => 26643, huthaut   => 25247,
                        hutte     => 3270, hutten    => 7693, hybride   => 20038, hybriden  => 25248,
                        hydraulisch
                                  => 19270, hydraulische
                                  => 19271,
                        hydraulischen
                                  => 17966, hygiene   => 16794,
                        hygienischen
                                  => 20039, hymne     => 19272,
                        hymnen    => 21786, hypothese => 8812, hypothesen
                                  => 18280,
                        hyundai   => 25894, iberischen
                                  => 23942,
                        ich       => 458, idaho     => 25895, ideal     => 7821, ideale    => 7694,
                        idealen   => 8438, idealer   => 24579, idealerweise
                                  => 19273,
                        idealfall => 18281, idealismus
                                  => 25249,
                        idee      => 1360, ideen     => 2252, identifikation
                                  => 9606,
                        identifizieren
                                  => 6161, identifiziert
                                  => 4050,
                        identifizierte
                                  => 16541, identifizierten
                                  => 21787,
                        identifizierung
                                  => 11638, identisch => 2878,
                        identische
                                  => 13654, identischen
                                  => 17645,
                        identitat => 2234, identitaten
                                  => 19635,
                        ideologie => 7506, ideologisch
                                  => 18593,
                        ideologische
                                  => 17375, ideologischen
                                  => 15826,
                        idylle    => 24580, ignacio   => 27474, ignorieren
                                  => 21788,
                        ignoriert => 8375, ignorierte
                                  => 21368,
                        ihm       => 92, ihn       => 106, ihnen     => 295, ihr       => 85,
                        ihre      => 72, ihrem     => 192, ihren     => 123, ihrer     => 98,
                        ihrerseits
                                  => 5118, ihres     => 439,
                        ikone     => 18946, ikonen    => 25250, ikonographie
                                  => 26644,
                        illegal   => 7222, illegale  => 7599, illegalen => 7428, illegaler => 20892,
                        illinois  => 9213, illusion  => 15190, illusionen
                                  => 26645,
                        illustration
                                  => 17376, illustrationen
                                  => 7971,
                        illustrator
                                  => 18947, illustratorin
                                  => 27475,
                        illustrieren
                                  => 23943, illustriert
                                  => 13825,
                        illustrierte
                                  => 8889, illustrierten
                                  => 28370,
                        ilmenau   => 23944, im        => 7, image     => 8376, images    => 27476,
                        imagines  => 21789, imitieren => 19636, imitiert  => 27477, immatrikuliert
                                  => 26646,
                        immense   => 29293, immensen  => 23945, immer     => 125, immerhin  => 4474,
                        immigranten
                                  => 17377, immobilie => 25896,
                        immobilien
                                  => 9086, immobilienmakler
                                  => 28371,
                        immunitat => 21790, immunsystem
                                  => 23946,
                        impact    => 29294, imperial  => 16542, imperialismus
                                  => 25251,
                        imperium  => 16312, imperiums => 25252, impfstoff => 25253, impfstoffe
                                  => 29295,
                        impfung   => 19274, implementiert
                                  => 14780,
                        implementierung
                                  => 11639, implikationen
                                  => 28372,
                        impliziert
                                  => 14781, implizit  => 23947,
                        import    => 17967, importe   => 18948, importiert
                                  => 9607,
                        importierte
                                  => 19275, importierten
                                  => 23381,
                        imposante => 23948, imposanten
                                  => 29296,
                        impressionismus
                                  => 23382, improvisation
                                  => 17646,
                        improvisationen
                                  => 26647, improvisierte
                                  => 23949,
                        improvisierten
                                  => 23950, impuls    => 12899,
                        impulse   => 6755, imstande  => 22795, in        => 4, inanspruchnahme
                                  => 25897,
                        inbegriff => 28373, inbetriebnahme
                                  => 5026,
                        indem     => 625, independent
                                  => 14782,
                        inder     => 16543, indes     => 5585, indessen  => 11219, index     => 6260,
                        india     => 12377, indian    => 11764, indiana   => 11765, indianapolis
                                  => 19637,
                        indianer  => 4905, indianern => 10636, indianische
                                  => 21369,
                        indianischen
                                  => 15827, indians   => 26648,
                        indien    => 2218, indiens   => 8955, indienststellung
                                  => 12638,
                        indies    => 23383, indigene  => 19638, indigenen => 8956, indikator => 17647,
                        indikatoren
                                  => 19639, indirekt  => 5539,
                        indirekte => 11995, indirekten
                                  => 15398,
                        indische  => 6825, indischen => 4263, indischer => 21791, individualitat
                                  => 16544,
                        individualverkehr
                                  => 25898,
                        individuell
                                  => 5421, individuelle
                                  => 4666,
                        individuellen
                                  => 4837, individueller
                                  => 16313,
                        individuelles
                                  => 20040, individuen
                                  => 3065,
                        individuum
                                  => 8324, individuums
                                  => 13826,
                        indiz     => 13502, indizien  => 11008, indiziert => 23951, indonesien
                                  => 8172,
                        indonesiens
                                  => 25899, indonesische
                                  => 20041,
                        indonesischen
                                  => 14171, industrial
                                  => 15616,
                        industrialisierung
                                  => 6596,
                        industrie => 1893, industrieanlagen
                                  => 19640,
                        industriebetrieb
                                  => 28374, industriebetriebe
                                  => 11640,
                        industriegebiet
                                  => 11009, industriell
                                  => 13347,
                        industrielle
                                  => 5996, industriellen
                                  => 5144,
                        industrieller
                                  => 22288, industrien
                                  => 23952,
                        industries
                                  => 15828, industriestadt
                                  => 27478,
                        industrieunternehmen
                                  => 28375,
                        industry  => 25254, induziert => 27479, ineinander
                                  => 6473,
                        infanterie
                                  => 5893, infanteriedivision
                                  => 18949,
                        infanterieregiment
                                  => 18594,
                        infanteristen
                                  => 28376, infektion => 7866,
                        infektionen
                                  => 10269, inferior  => 28377,
                        infizieren
                                  => 27480, infiziert => 13827,
                        infizierte
                                  => 13828, infizierten
                                  => 14575,
                        inflation => 10726, inflationsbereinigt
                                  => 27481,
                        inflationsrate
                                  => 28378, infolge   => 1802,
                        infolgedessen
                                  => 5232, informanten
                                  => 21792,
                        informatik
                                  => 7867, information
                                  => 3039,
                        informationen
                                  => 914, informationstafel
                                  => 15617,
                        informationstafeln
                                  => 19276,
                        informationstechnik
                                  => 23384,
                        informationszentrum
                                  => 26649,
                        informelle
                                  => 26650, informellen
                                  => 19277,
                        informieren
                                  => 5966, informiert
                                  => 3472,
                        informierte
                                  => 11996, informierten
                                  => 25900,
                        infrage   => 15191, infrastruktur
                                  => 2737,
                        ingenieur => 5303, ingenieurburo
                                  => 22289,
                        ingenieure
                                  => 7740, ingenieuren
                                  => 27482,
                        ingenieurs
                                  => 17648, ingolstadt
                                  => 10546,
                        inhaber   => 3754, inhaberin => 24581, inhaftiert
                                  => 5218,
                        inhaftierte
                                  => 29297, inhaftierten
                                  => 13193,
                        inhaftierung
                                  => 17073, inhalt    => 2389,
                        inhalte   => 3355, inhalten  => 11641, inhaltlich
                                  => 4766,
                        inhaltliche
                                  => 8813, inhaltlichen
                                  => 11315,
                        inhalts   => 14379, inhaltsstoffe
                                  => 22796,
                        initialen => 11642, initiative
                                  => 2013,
                        initiativen
                                  => 6444, initiator => 10637,
                        initiatoren
                                  => 16795, initiiert => 10356,
                        initiierte
                                  => 7346, initiierten
                                  => 22797,
                        injektion => 21793, injiziert => 22798, inklusion => 28379, inklusive => 3595,
                        inkrafttreten
                                  => 12900, inland    => 9786,
                        inlandischen
                                  => 21794, inmitten  => 5205,
                        inne      => 1863, innehat   => 23385, innehatte => 6597, innen     => 2134,
                        innenausbau
                                  => 20042, innenausstattung
                                  => 8213,
                        innenbereich
                                  => 19641, inneneinrichtung
                                  => 12114,
                        innenhof  => 4946, innenminister
                                  => 11643,
                        innenministerium
                                  => 7972, innenministeriums
                                  => 22290,
                        innenpolitik
                                  => 23386, innenpolitischen
                                  => 22799,
                        innenraum => 3242, innenraume
                                  => 14783,
                        innenraumen
                                  => 25901, innenraums
                                  => 21795,
                        innenrenovierung
                                  => 24582, innenseite
                                  => 7553,
                        innenseiten
                                  => 23953, innenstadt
                                  => 2685,
                        innenwande
                                  => 27483, innere    => 1644,
                        inneren   => 1060, innerer   => 14022, inneres   => 12115, innerhalb => 285,
                        innerlich => 16545, innern    => 5004, innerstadtische
                                  => 25902,
                        innerstadtischen
                                  => 14380, innerste  => 27484,
                        innings   => 16314, innovation
                                  => 8439,
                        innovationen
                                  => 12639, innovativ => 22291,
                        innovative
                                  => 11766, innovativen
                                  => 14985,
                        innovativer
                                  => 29298, innsbruck => 4740,
                        innsbrucker
                                  => 18282, inoffiziell
                                  => 14986,
                        inoffizielle
                                  => 17649, inoffiziellen
                                  => 17650,
                        inquisition
                                  => 17968, ins       => 193,
                        insassen  => 5005, insbesondere
                                  => 324,
                        inschrift => 2014, inschriften
                                  => 5077,
                        insekten  => 3583, insel     => 544, inselgruppe
                                  => 15192,
                        inseln    => 1747, insgeheim => 15618, insgesamt => 162, inside    => 23387,
                        insignien => 24583, insofern  => 4281, insolvenz => 5894, insolvenzverfahren
                                  => 22800,
                        insoweit  => 11767, inspektion
                                  => 14576,
                        inspektor => 8957, inspiration
                                  => 11010,
                        inspirieren
                                  => 16546, inspiriert
                                  => 6862,
                        inspirierte
                                  => 15829, inspirierten
                                  => 23954,
                        instabil  => 15399, instabile => 28380, instabilen
                                  => 25255,
                        instabilitat
                                  => 19278, installation
                                  => 6718,
                        installationen
                                  => 14784, installieren
                                  => 18595,
                        installiert
                                  => 3305, installierte
                                  => 10913,
                        installierten
                                  => 17651, instand   => 7148,
                        instandgesetzt
                                  => 26651, instandhaltung
                                  => 11997,
                        instandsetzung
                                  => 10815, instandsetzungsarbeiten
                                  => 26652,
                        instanz   => 6598, instanzen => 16059, institut  => 1030, institute => 3404,
                        instituten
                                  => 16315, institutes
                                  => 14577,
                        institution
                                  => 5046, institutionelle
                                  => 17074,
                        institutionellen
                                  => 20893, institutionen
                                  => 2658,
                        instituto => 19279, instituts => 2671, instrument
                                  => 2756,
                        instrumental
                                  => 18596, instrumentale
                                  => 25256,
                        instrumentalisiert
                                  => 29299,
                        instrumente
                                  => 2868, instrumenten
                                  => 8173,
                        instrumentierung
                                  => 20043, instruments
                                  => 13348,
                        insurance => 25903, inszenieren
                                  => 20894,
                        inszeniert
                                  => 7973, inszenierte
                                  => 9443,
                        inszenierten
                                  => 25904, inszenierung
                                  => 6068,
                        inszenierungen
                                  => 9947, intakt    => 15830,
                        intakte   => 27485, intakten  => 23388, integraler
                                  => 23955,
                        integration
                                  => 3306, integrieren
                                  => 8615,
                        integriert
                                  => 2172, integrierte
                                  => 8548,
                        integrierten
                                  => 8549, integrierter
                                  => 28381,
                        integriertes
                                  => 29300, integritat
                                  => 14381,
                        intel     => 17969, intellektuelle
                                  => 10185,
                        intellektuellen
                                  => 8268, intellektueller
                                  => 22801,
                        intelligence
                                  => 21370, intelligent
                                  => 14023,
                        intelligente
                                  => 23956, intelligenten
                                  => 23957,
                        intelligenz
                                  => 7429, intendant => 23958,
                        intendanten
                                  => 25905, intendanz => 28382,
                        intensitat
                                  => 7117, intensiv  => 3066,
                        intensive => 5219, intensiven
                                  => 7470,
                        intensiver
                                  => 6756, intensives
                                  => 29301,
                        intensivieren
                                  => 28383, intensiviert
                                  => 15193,
                        intensivierte
                                  => 14987, intensivierung
                                  => 22292,
                        intention => 14172, inter     => 16547, interagieren
                                  => 18283,
                        interaktion
                                  => 9608, interaktionen
                                  => 17378,
                        interaktive
                                  => 15831, interaktiven
                                  => 21371,
                        interdisziplinar
                                  => 22293, interdisziplinare
                                  => 12762,
                        interdisziplinaren
                                  => 14578,
                        interessant
                                  => 4838, interessante
                                  => 8214,
                        interessanten
                                  => 17970, interessanter
                                  => 17652,
                        interessanterweise
                                  => 29302,
                        interessantes
                                  => 23959, interesse => 960,
                        interessen
                                  => 2075, interessengemeinschaft
                                  => 17379,
                        interessengruppen
                                  => 20895,
                        interessenten
                                  => 12640, interessenvertretung
                                  => 20044,
                        interesses
                                  => 12641, interessieren
                                  => 10914,
                        interessiert
                                  => 3397, interessierte
                                  => 4444,
                        interessierten
                                  => 7347, interface => 23389,
                        interieur => 25257, interkulturelle
                                  => 18597,
                        interkulturellen
                                  => 25906, intern    => 9787,
                        internat  => 8958, international
                                  => 777,
                        internationale
                                  => 857, internationalem
                                  => 19280,
                        internationalen
                                  => 568, internationaler
                                  => 3286,
                        internationales
                                  => 5785, internationalisierung
                                  => 26653,
                        interne   => 6474, internen  => 5406, interner  => 21372, internet  => 1950,
                        internets => 20045, internetseite
                                  => 9279,
                        internetseiten
                                  => 26654, interniert
                                  => 9684,
                        internierung
                                  => 24584, internierungslager
                                  => 28384,
                        interpret => 20470, interpretation
                                  => 3584,
                        interpretationen
                                  => 10357, interpreten
                                  => 7507,
                        interpretieren
                                  => 12246, interpretiert
                                  => 4201,
                        interpretierte
                                  => 12763, interstate
                                  => 17971,
                        intervall => 17653, intervallen
                                  => 20896,
                        intervention
                                  => 9444, interventionen
                                  => 18598,
                        interview => 2631, interviews
                                  => 4886,
                        interviewt
                                  => 28385, intime    => 25258,
                        intrige   => 15400, intrigen  => 13194, intro     => 19642, intuition => 29303,
                        intuitiv  => 27486, inuit     => 20471, invasion  => 7078, inventar  => 8890,
                        investieren
                                  => 12116, investiert
                                  => 6445,
                        investierte
                                  => 11316, investierten
                                  => 23960,
                        investition
                                  => 17075, investitionen
                                  => 4364,
                        investment
                                  => 18284, investments
                                  => 27487,
                        investor  => 10114, investoren
                                  => 7223,
                        involviert
                                  => 9948, inwiefern => 15619,
                        inwieweit => 7695, inzidenz  => 29304, inzwischen
                                  => 549,
                        ionen     => 13195, ionischen => 21796, iphone    => 26655, irak      => 6323,
                        irakische => 22802, irakischen
                                  => 14988,
                        iran      => 3985, iranische => 13503, iranischen
                                  => 9025,
                        irans     => 26656, irdische  => 21797, irdischen => 14785, ireland   => 16548,
                        irene     => 7036, irgendeine
                                  => 21798,
                        irgendeiner
                                  => 15832, irgendetwas
                                  => 25259,
                        irgendwann
                                  => 8059, irgendwelche
                                  => 22803,
                        irgendwie => 13504, irgendwo  => 12247, irische   => 11011, irischen  => 6649,
                        irischer  => 25260, irish     => 14989, irland    => 3260, irlands   => 18285,
                        irokesen  => 24585, ironie    => 13829, ironisch  => 17654, ironischen
                                  => 29305,
                        ironischerweise
                                  => 25907, ironman   => 20046,
                        irrefuhrend
                                  => 17076, irrelevant
                                  => 25261,
                        irreparabel
                                  => 27488, irritiert => 20047,
                        irrtum    => 9865, irrtumlich
                                  => 13830,
                        irvine    => 25908, irving    => 18599, isaac     => 11998, isabel    => 11113,
                        isbn      => 554, ischl     => 27489, iserlohn  => 20048, islam     => 4515,
                        islamische
                                  => 9280, islamischen
                                  => 5633,
                        islamischer
                                  => 17972, islamisten
                                  => 20472,
                        islamistischen
                                  => 29306, islams    => 23961,
                        island    => 2301, islandische
                                  => 20049,
                        islandischen
                                  => 16316, islands   => 12764,
                        isolation => 13050, isolieren => 28386, isoliert  => 5764, isolierte => 12642,
                        isolierten
                                  => 13505, isolierung
                                  => 17973,
                        israel    => 2344, israelis  => 22804, israelische
                                  => 9866,
                        israelischen
                                  => 6955, israelischer
                                  => 29307,
                        israeliten
                                  => 26657, israelitische
                                  => 27490,
                        israelitischen
                                  => 25262, israels   => 8440,
                        ist       => 16, istanbul  => 5027, istanbuler
                                  => 22294,
                        italien   => 848, italiener => 6863, italienern
                                  => 23962,
                        italienisch
                                  => 6956, italienische
                                  => 2808,
                        italienischen
                                  => 1485, italienischer
                                  => 7643,
                        italiens  => 7118, items     => 17655, itunes    => 23390, iwanowitsch
                                  => 29308,
                        jack      => 2879, jacke     => 16796, jackie    => 17077, jackson   => 5282,
                        jacksons  => 23963, jacques   => 6687, jagd      => 3434, jagdschloss
                                  => 21373,
                        jagen     => 8325, jagern    => 16549, jaguar    => 21799, jaguars   => 25909,
                        jahr      => 52, jahrbuch  => 5097, jahrbucher
                                  => 22805,
                        jahre     => 64, jahrelang => 6261, jahrelange
                                  => 20050,
                        jahrelangen
                                  => 15401, jahrelanger
                                  => 21374,
                        jahren    => 69, jahres    => 436, jahresangabe
                                  => 29309,
                        jahresbeginn
                                  => 16060, jahresbericht
                                  => 16061,
                        jahresdurchschnitt
                                  => 26658,
                        jahresdurchschnittstemperatur
                                  => 21375,
                        jahreseinkommen
                                  => 15402, jahresende
                                  => 6561,
                        jahreshalfte
                                  => 17974, jahresmittel
                                  => 23391,
                        jahresniederschlag
                                  => 22295,
                        jahresproduktion
                                  => 24586, jahrestag => 8269,
                        jahrestages
                                  => 22296, jahrestemperatur
                                  => 25263,
                        jahresumsatz
                                  => 17975, jahresverlauf
                                  => 26659,
                        jahreswechsel
                                  => 10816, jahreswende
                                  => 29310,
                        jahreszahl
                                  => 5304, jahreszahlen
                                  => 16550,
                        jahreszeit
                                  => 8215, jahreszeiten
                                  => 10727,
                        jahrgang  => 4387, jahrgange => 11768, jahrgangs => 19281, jahrgangsstufe
                                  => 18600,
                        jahrgangsstufen
                                  => 25264, jahrhundert
                                  => 120,
                        jahrhunderte
                                  => 2801, jahrhundertelang
                                  => 14024,
                        jahrhunderten
                                  => 4318, jahrhunderts
                                  => 169,
                        jahrhundertwende
                                  => 6193, jahrlich  => 697,
                        jahrliche => 3905, jahrlichen
                                  => 3950,
                        jahrliches
                                  => 26660, jahrmarkt => 25910,
                        jahrtausend
                                  => 10817, jahrtausende
                                  => 23964,
                        jahrtausenden
                                  => 24587, jahrtausends
                                  => 16317,
                        jahrtausendwende
                                  => 9151, jahrzehnt => 6475,
                        jahrzehnte
                                  => 2434, jahrzehntelang
                                  => 9949,
                        jahrzehnten
                                  => 1971, jahrzehnts
                                  => 13655,
                        jakarta   => 23965, jamaika   => 13831, james     => 1791, jane      => 5407,
                        janeiro   => 13196, janet     => 19282, janner    => 3564, januar    => 137,
                        japan     => 1194, japaner   => 5941, japanern  => 17380, japanisch => 16797,
                        japanische
                                  => 2802, japanischen
                                  => 1986,
                        japanischer
                                  => 10547, japans    => 8616,
                        jason     => 7741, javier    => 22806, jazz      => 2890, jazzmusiker
                                  => 26661,
                        jean      => 2862, jeanne    => 10115, jeans     => 20473, jede      => 704,
                        jedem     => 945, jeden     => 1157, jedenfalls
                                  => 4226,
                        jeder     => 447, jedermann => 11012, jederzeit => 4730, jedes     => 739,
                        jedoch    => 67, jeff      => 8617, jefferson => 12248, jeffrey   => 21800,
                        jegliche  => 6032, jeglichen => 15833, jeglicher => 10638, jeher     => 9532,
                        jehovas   => 23392, jemals    => 5179, jemand    => 4164, jemandem  => 16798,
                        jemanden  => 11522, jemen     => 16062, jena      => 3542, jenaer    => 17078,
                        jene      => 2827, jenem     => 5305, jenen     => 5895, jener     => 1944,
                        jenes     => 9609, jennings  => 25265, jenseits  => 4365, jeremy    => 15403,
                        jerry     => 8377, jersey    => 7974, jerusalem => 5063, jerusalemer
                                  => 29311,
                        jerusalems
                                  => 28387, jessie    => 21801,
                        jesu      => 3849, jesuiten  => 11769, jesus     => 3119, jesuskind => 20897,
                        jetzige   => 9281, jetzigen  => 5942, jetzt     => 768, jeweilige => 3748,
                        jeweiligen
                                  => 808, jeweils   => 245,
                        jewish    => 25911, jiang     => 29312, jiddischen
                                  => 28388,
                        jimenez   => 29313, jimmy     => 6103, joaquin   => 29314, joch      => 8891,
                        joche     => 16551, johan     => 9352, johannesburg
                                  => 28389,
                        johannis  => 21376, johanniter
                                  => 21377,
                        johanns   => 19283, john      => 727, johnny    => 6134, johns     => 12643,
                        johnson   => 4099, johnsons  => 24588, joint     => 11013, joker     => 16552,
                        jonathan  => 8174, jones     => 3959, jordanien => 20474, jorge     => 12378,
                        jose      => 4038, joseph    => 1603, josephus  => 19284, joshua    => 21802,
                        journal   => 4000, journalismus
                                  => 12117,
                        journalist
                                  => 4839, journalisten
                                  => 3356,
                        journalistin
                                  => 9214, journalistisch
                                  => 26662,
                        journalistische
                                  => 14173, journalistischen
                                  => 14382,
                        journey   => 23966, joyce     => 14990, juan      => 4932, jubel     => 28390,
                        jubilaum  => 4445, jubilaums => 12379, jubilee   => 28391, judas     => 20051,
                        jude      => 8959, juden     => 998, judenfrage
                                  => 29315,
                        judentum  => 8326, judentums => 14786, judenverfolgung
                                  => 28392,
                        judge     => 22807, judin     => 19643, judisch   => 24589, judische  => 1826,
                        judischen => 1279, judischer => 4857, judisches => 16553, jugend    => 1311,
                        jugendabteilung
                                  => 23393, jugendalter
                                  => 29316,
                        jugendamt => 23394, jugendarbeit
                                  => 8675,
                        jugendbereich
                                  => 22297, jugendbewegung
                                  => 20898,
                        jugendbucher
                                  => 25912, jugendfreund
                                  => 27491,
                        jugendhilfe
                                  => 22808, jugendliche
                                  => 2004,
                        jugendlichen
                                  => 2536, jugendlicher
                                  => 5739,
                        jugendliebe
                                  => 20052, jugendmannschaft
                                  => 25266,
                        jugendmannschaften
                                  => 11877,
                        jugendorganisation
                                  => 16063,
                        jugendspieler
                                  => 25267, jugendstil
                                  => 21378,
                        jugendtrainer
                                  => 23967, jugendverbot
                                  => 27492,
                        jugendzeit
                                  => 13832, jugendzentrum
                                  => 26663,
                        jugoslawien
                                  => 6864, jugoslawiens
                                  => 16318,
                        jugoslawische
                                  => 22809, jugoslawischen
                                  => 13197,
                        juli      => 167, juliana   => 26664, julie     => 8216, juliette  => 27493,
                        julio     => 20899, junction  => 14025, junge     => 629, jungen    => 518,
                        junger    => 2393, jungere   => 2831, jungeren  => 2167, jungerer  => 5078,
                        jungeres  => 24590, junges    => 10548, jungfische
                                  => 19285,
                        jungfrau  => 7778, jungfrauen
                                  => 25268,
                        jungs     => 11644, jungste   => 3459, jungsteinzeit
                                  => 19286,
                        jungsten  => 4872, jungster  => 7348, jungstes  => 17656, jungtier  => 16319,
                        jungtiere => 5634, jungtieren
                                  => 19287,
                        jungvogel => 5786, juni      => 144, junior    => 4741, junioren  => 10456,
                        juniorenweltmeisterschaften
                                  => 27494,
                        juniorinnen
                                  => 29317, juniors   => 18950,
                        junkers   => 23968, junta     => 23395, jupiter   => 11523, jurastudium
                                  => 6911,
                        jurist    => 8491, juristen  => 8115, juristisch
                                  => 15834,
                        juristische
                                  => 5079, juristischen
                                  => 4631,
                        juristischer
                                  => 16554, jury      => 3700,
                        jurys     => 28393, justice   => 13051, justinian => 29318, justiz    => 4667,
                        justizminister
                                  => 15835, justizministerium
                                  => 14383,
                        juterbog  => 23396, juwelen   => 20053, kabarett  => 18286, kabel     => 7822,
                        kabine    => 8960, kabinen   => 11524, kabinett  => 5381, kabinetts => 18601,
                        kabinettsumbildung
                                  => 22810,
                        kabul     => 22811, kacheln   => 25913, kachelofen
                                  => 29319,
                        kader     => 3691, kadetten  => 27495, kaffee    => 8961, kafig     => 15194,
                        kahlen    => 18602, kairo     => 8676, kaiserin  => 9215, kaiserliche
                                  => 6957,
                        kaiserlichen
                                  => 3737, kaiserlicher
                                  => 20054,
                        kaiserreich
                                  => 9445, kaiserreiches
                                  => 28394,
                        kaiserreichs
                                  => 18951, kaisers   => 4668,
                        kaiserslautern
                                  => 9867, kaiserstrasse
                                  => 27496,
                        kaiserzeit
                                  => 13052, kalber    => 28395,
                        kalenderjahr
                                  => 25269, kaliber   => 9950,
                        kalifen   => 20055, kalifornien
                                  => 4294,
                        kaliforniens
                                  => 23969, kalifornischen
                                  => 16320,
                        kalkofen  => 29320, kalkstein => 10549, kalkutta  => 25914, kalte     => 5943,
                        kaltem    => 25915, kalten    => 5408, kalter    => 15620, kam       => 117,
                        kambodscha
                                  => 21803, kamel     => 29321,
                        kamen     => 397, kamera    => 2423, kameraden => 7392, kameradschaft
                                  => 21379,
                        kameramann
                                  => 10728, kameras   => 7868,
                        kamerun   => 13656, kamin     => 12499, kammer    => 2257, kammermusik
                                  => 13198,
                        kammern   => 5586, kammerorchester
                                  => 29322,
                        kampagne  => 4516, kampagnen => 12118, kampf     => 796, kampfe    => 3056,
                        kampfen   => 1710, kampfenden
                                  => 17657,
                        kampfer   => 5713, kampfern  => 13506, kampfes   => 8747, kampfflugzeuge
                                  => 21804,
                        kampfgruppe
                                  => 28396, kampfhandlungen
                                  => 6790,
                        kampfkraft
                                  => 28397, kampflos  => 10915,
                        kampft    => 7349, kampfte   => 4669, kampften  => 8270, kanada    => 1953,
                        kanadas   => 11878, kanadier  => 11879, kanadische
                                  => 7266,
                        kanadischen
                                  => 4873, kanadischer
                                  => 20056,
                        kanal     => 2916, kanale    => 6958, kanalen   => 13657, kanalisation
                                  => 14991,
                        kanalisiert
                                  => 29323, kanals    => 8677,
                        kanarischen
                                  => 25270, kandidat  => 4295,
                        kandidaten
                                  => 2069, kandidatin
                                  => 17381,
                        kandidatinnen
                                  => 23397, kandidatur
                                  => 5450,
                        kandidieren
                                  => 11525, kandidiert
                                  => 18952,
                        kandidierte
                                  => 7644, kaninchen => 16799,
                        kann      => 74, kannst    => 23398, kannte    => 6104, kannten   => 11526,
                        kanon     => 21380, kanone    => 16555, kanonen   => 6865, kanoniker => 21381,
                        kanonischen
                                  => 27497, kansas    => 10116,
                        kantate   => 21382, kantaten  => 28398, kante     => 8217, kanten    => 6791,
                        kantenlange
                                  => 25916, kanton    => 3202,
                        kantonale => 26665, kantonalen
                                  => 12500,
                        kantone   => 10457, kantonen  => 12765, kantons   => 4805, kantonsschule
                                  => 23970,
                        kantor    => 29324, kants     => 23971, kanus     => 25271, kanzel    => 3880,
                        kanzlei   => 7305, kapazitat => 3348, kapazitaten
                                  => 10270,
                        kapelle   => 893, kapellen  => 7823, kapellmeister
                                  => 14787,
                        kapfenberg
                                  => 25272, kapital   => 4858,
                        kapitalerhohung
                                  => 29325, kapitalismus
                                  => 10029,
                        kapitalistischen
                                  => 22298, kapitals  => 20057,
                        kapitan   => 2738, kapitans  => 23972, kapitel   => 2185, kapitell  => 20058,
                        kapitelle => 17658, kapitellen
                                  => 16556,
                        kapiteln  => 14174, kapitels  => 16800, kapitulation
                                  => 8327,
                        kapitulierte
                                  => 18953, kapsel    => 16321,
                        kapseln   => 23973, kapstadt  => 22299, kaputt    => 20475, karabiner => 29326,
                        kardinal  => 7975, kardinale => 24591, kardinals => 26666, karel     => 18287,
                        karen     => 10186, karfreitag
                                  => 27498,
                        kargen    => 21383, karibik   => 12766, karikatur => 20476, karikaturen
                                  => 18954,
                        karitative
                                  => 26667, karls     => 9951,
                        karlsbad  => 28399, karlsruhe => 3769, karlsruher
                                  => 12119,
                        karma     => 24592, karneval  => 14026, karnten   => 7824, karolingischen
                                  => 24593,
                        karosserie
                                  => 5944, karosserien
                                  => 16322,
                        karpfen   => 27499, karren    => 21805, karriere  => 502, karriereende
                                  => 7742,
                        karrieren => 24594, karte     => 1854, karten    => 1855, kartenspiel
                                  => 20900,
                        karthago  => 24595, kartierung
                                  => 23974,
                        kartoffeln
                                  => 9952, karton    => 24596,
                        kasachischen
                                  => 15404, kasachstan
                                  => 13199,
                        kasachstans
                                  => 29327, kaserne   => 6959,
                        kasernen  => 15405, kasse     => 13658, kassel    => 4137, kasseler  => 19644,
                        kassen    => 17659, kassette  => 19645, kassetten => 26668, kassierte => 25273,
                        kastanien => 26669, kastanienbraun
                                  => 20059,
                        kastell   => 6912, kastelle  => 18603, kastells  => 10187, kastilien => 20901,
                        katalanische
                                  => 27500, katalanischen
                                  => 17079,
                        katalog   => 3209, kataloge  => 22300, katalogen => 29328, katalonien
                                  => 17660,
                        katalysator
                                  => 17382, katar     => 20477,
                        katastralgemeinde
                                  => 12380,
                        katastrophalen
                                  => 27501, katastrophe
                                  => 6219,
                        katastrophen
                                  => 15195, kate      => 7825,
                        katechismus
                                  => 27502, kategorie => 2135,
                        kategorien
                                  => 3368, kategorisiert
                                  => 27503,
                        katharinas
                                  => 29329, kathedrale
                                  => 4742,
                        katherine => 14579, katholik  => 24597, katholiken
                                  => 4234,
                        katholisch
                                  => 5813, katholische
                                  => 2111,
                        katholischen
                                  => 1452, katholischer
                                  => 8892,
                        katholisches
                                  => 24598, katholizismus
                                  => 11317,
                        katie     => 25917, katze     => 7079, kauf      => 3116, kaufbeuren
                                  => 28400,
                        kaufen    => 3951, kaufer    => 5945, kaufhaus  => 13507, kaufkraft => 26670,
                        kaufleute => 7080, kaufleuten
                                  => 20902,
                        kauflich  => 20903, kaufmannische
                                  => 9216,
                        kaufmannischen
                                  => 11014, kaufmannischer
                                  => 17080,
                        kaufmanns => 5997, kaufmannsfamilie
                                  => 19288,
                        kaufoption
                                  => 24599, kaufpreis => 11645,
                        kauft     => 8678, kaufte    => 2652, kauften   => 12767, kaufvertrag
                                  => 21384,
                        kaukasus  => 15196, kaum      => 493, kaution   => 20904, kavallerie
                                  => 7306,
                        keaton    => 29330, kehle     => 5422, kehren    => 8060, kehrt     => 2911,
                        kehrte    => 535, kehrten   => 5006, keilformig
                                  => 17383,
                        keimen    => 29331, keimzelle => 23399, kein      => 344, keine     => 110,
                        keinem    => 2635, keinen    => 512, keiner    => 1770, keinerlei => 3004,
                        keines    => 7645, keinesfalls
                                  => 9446,
                        keineswegs
                                  => 6033, keith     => 11527,
                        kelchblatter
                                  => 14580, kelchrohre
                                  => 26671,
                        kelchzipfel
                                  => 25274, kellergeschoss
                                  => 20478,
                        kellergewolbe
                                  => 29332, kellern   => 23400,
                        kellers   => 26672, kellnerin => 25918, kelly     => 7149, kelten    => 20479,
                        keltische => 16801, keltischen
                                  => 14384,
                        kempten   => 12768, kenia     => 13833, kenne     => 15406, kennedy   => 9217,
                        kennen    => 1512, kennengelernt
                                  => 6262,
                        kennenlernen
                                  => 13834, kennenlernt
                                  => 18955,
                        kennenlernte
                                  => 14175, kennenzulernen
                                  => 14992,
                        kenner    => 13835, kenneth   => 18956, kennt     => 3543, kenntlich => 21806,
                        kenntnis  => 3639, kenntnisse
                                  => 4138,
                        kenntnissen
                                  => 20905, kenntnisstand
                                  => 25919,
                        kennung   => 20906, kenny     => 16064, kennzahlen
                                  => 19646,
                        kennzeichen
                                  => 5540, kennzeichnen
                                  => 12120,
                        kennzeichnend
                                  => 11528, kennzeichnet
                                  => 15836,
                        kennzeichnete
                                  => 25275, kennzeichnung
                                  => 10271,
                        kentucky  => 11770, keramik   => 4989, keramikscherben
                                  => 23975,
                        kerker    => 16323, kernbereich
                                  => 23401,
                        kernburg  => 23402, kerne     => 16557, kernenergie
                                  => 20907,
                        kerngebiet
                                  => 20908, kerngeschaft
                                  => 22812,
                        kernkraftwerk
                                  => 18604, kernkraftwerke
                                  => 28401,
                        kerns     => 24600, kernstadt => 9533, kernstuck => 23403, kerry     => 25276,
                        kerze     => 19289, kerzen    => 13659, kette     => 4566, ketten    => 8116,
                        keyboard  => 17384, keyboarder
                                  => 13200,
                        keyboards => 16802, khan      => 6826, khmer     => 25277, kickers   => 16558,
                        kiefern   => 17385, kieler    => 9218, kiemen    => 26673, kiewer    => 26674,
                        killer    => 10916, kilogramm => 3906, kilometer => 477, kilometern
                                  => 2446,
                        kind      => 672, kinder    => 224, kinderbetreuung
                                  => 26675,
                        kinderbuch
                                  => 25920, kinderbucher
                                  => 12501,
                        kindergarten
                                  => 3085, kinderheim
                                  => 17081,
                        kinderlos => 6324, kinderlosen
                                  => 29333,
                        kindermadchen
                                  => 28402, kindern   => 805,
                        kinderspielplatz
                                  => 22813, kindertagesstatte
                                  => 17386,
                        kindes    => 3814, kindesalter
                                  => 9685,
                        kindheit  => 2297, kindliche => 22301, kindlichen
                                  => 22814,
                        kinetische
                                  => 26676, king      => 3755,
                        kings     => 11114, kingston  => 18605, kino      => 3256, kinofilm  => 10917,
                        kinofilme => 21385, kinofilmen
                                  => 17082,
                        kinokassen
                                  => 22815, kinos     => 2186,
                        kinostart => 9447, kiosk     => 19290, kirby     => 25278, kirchbau  => 25921,
                        kirchberg => 13660, kirchdorf => 15197, kirche    => 131, kirchen   => 1506,
                        kirchenbanke
                                  => 29334, kirchenbau
                                  => 5635,
                        kirchenbaus
                                  => 21807, kirchenbauten
                                  => 16803,
                        kirchenbezirk
                                  => 18957, kirchenbucher
                                  => 20480,
                        kirchenbuchern
                                  => 29335, kirchenchor
                                  => 21808,
                        kirchenfenster
                                  => 28403, kirchengebaude
                                  => 8117,
                        kirchengebaudes
                                  => 22302, kirchengemeinde
                                  => 2420,
                        kirchengemeinden
                                  => 10030, kirchengeschichte
                                  => 10031,
                        kirchenglocken
                                  => 28404, kircheninnere
                                  => 14176,
                        kirchenkreis
                                  => 19291, kirchenkreises
                                  => 25922,
                        kirchenmusik
                                  => 15407, kirchenraum
                                  => 9788,
                        kirchenrecht
                                  => 29336, kirchenschiff
                                  => 5587,
                        kirchenschiffes
                                  => 18288, kirchenschiffs
                                  => 13349,
                        kirchenvorstand
                                  => 23976, kirchgemeinde
                                  => 10358,
                        kirchheim => 21809, kirchlich => 11880, kirchliche
                                  => 4409,
                        kirchlichen
                                  => 4114, kirchlicher
                                  => 11646,
                        kirchplatz
                                  => 22816, kirchspiel
                                  => 7037,
                        kirchspiels
                                  => 27504, kirchturm => 4840,
                        kirchturms
                                  => 23977, kirgisistan
                                  => 25279,
                        kirke     => 13201, kissen    => 25923, kissingen => 16804, kiste     => 14385,
                        kisten    => 20481, kitty     => 13202, klage     => 5080, klagen    => 8618,
                        klagenfurt
                                  => 9789, klagenfurter
                                  => 25924,
                        klager    => 16805, klagt     => 18606, klagte    => 13836, klammern  => 8271,
                        klang     => 4743, klange    => 16065, klangen   => 20909, klanglich => 26677,
                        klappe    => 17083, klappen   => 13837, klappt    => 28405, klar      => 1329,
                        klaranlage
                                  => 18607, klare     => 5469,
                        klarem    => 21810, klaren    => 3907, klarer    => 11318, klares    => 21386,
                        klarheit  => 12249, klarinette
                                  => 17387,
                        klart     => 14386, klarte    => 27505, klarung   => 10272, klasse    => 789,
                        klassenerhalt
                                  => 5765, klassenkameraden
                                  => 27506,
                        klassenkampf
                                  => 27507, klassenraume
                                  => 26678,
                        klassenstufe
                                  => 29337, klassenstufen
                                  => 25280,
                        klassenzimmer
                                  => 17084, klassifikation
                                  => 10639,
                        klassifizieren
                                  => 25281, klassifiziert
                                  => 8019,
                        klassifizierten
                                  => 29338, klassifizierung
                                  => 12502,
                        klassik   => 14177, klassiker => 7779, klassikern
                                  => 22817,
                        klassisch => 9353, klassische
                                  => 2707,
                        klassischen
                                  => 1856, klassischer
                                  => 7471,
                        klassisches
                                  => 14387, klassizismus
                                  => 21811,
                        klassizistische
                                  => 25282, klassizistischen
                                  => 14581,
                        klauen    => 18608, klausel   => 22818, klausur   => 28406, klavier   => 3749,
                        klavierspiel
                                  => 20910, klavierunterricht
                                  => 12250,
                        kleben    => 27508, klebrig   => 29339, kleid     => 10273, kleider   => 11771,
                        kleidern  => 23404, kleidung  => 3048, kleidungsstucke
                                  => 23978,
                        kleinasien
                                  => 18289, kleinbahn => 14788,
                        kleinbauern
                                  => 15837, kleine    => 374,
                        kleinem   => 11529, kleinen   => 366, kleiner   => 908, kleinere  => 1049,
                        kleineren => 1460, kleinerer => 6294, kleineres => 12901, kleines   => 2298,
                        kleingarten
                                  => 26679, kleingewerbe
                                  => 24601,
                        kleinkind => 21387, kleinkinder
                                  => 19647,
                        kleinstadt
                                  => 5998, kleinste  => 4517,
                        kleinsten => 6325, kleinwagen
                                  => 27509,
                        kleriker  => 25925, klerus    => 13203, kletterer => 27510, klettern  => 9953,
                        klettert  => 18609, kletterte => 20911, kleve     => 16806, klienten  => 14027,
                        klimaanlage
                                  => 13838, klimas    => 15621,
                        klimaschutz
                                  => 22303, klimatisch
                                  => 25926,
                        klimatische
                                  => 29340, klimatischen
                                  => 12902,
                        klimawandel
                                  => 16066, klimazonen
                                  => 27511,
                        klingelt  => 23979, klingen   => 8814, klingende => 25283, klingenden
                                  => 20912,
                        klingt    => 8748, klinik    => 3524, kliniken  => 10117, klinikum  => 11881,
                        klinisch  => 25284, klinische => 7600, klinischen
                                  => 7430,
                        klinischer
                                  => 23405, klippe    => 17085,
                        klippen   => 12903, klischees => 17388, klopfen   => 29341, klopft    => 29342,
                        kloster   => 862, klosteranlage
                                  => 17661,
                        klostergarten
                                  => 28407, klostergebaude
                                  => 12121,
                        klosterkirche
                                  => 6354, klosterlichen
                                  => 24602,
                        klostern  => 13053, klosters  => 2219, klub      => 2270, klubs     => 5541,
                        kluft     => 23980, km2       => 570, knaben    => 12381, knappen   => 8492,
                        knapper   => 16559, knechte   => 27512, kneipe    => 15622, kneipen   => 18290,
                        knick     => 24603, knie      => 8619, knien     => 17976, kniet     => 22819,
                        knieverletzung
                                  => 16807, knight    => 16067,
                        knights   => 20060, knochen   => 4827, knopfdruck
                                  => 26680,
                        knopfe    => 18958, knospen   => 15198, knoten    => 3486, knotenpunkt
                                  => 17086,
                        knowles   => 26681, knupfen   => 17662, knupft    => 16068, knupfte   => 13508,
                        koalition => 5946, koalitionen
                                  => 25285,
                        koalitionsregierung
                                  => 29343,
                        koblenz   => 6650, koblenzer => 21388, kochbuch  => 25286, koche     => 25927,
                        kochen    => 10118, kochin    => 20061, kodak     => 29344, kodex     => 26682,
                        kodiert   => 29345, kodierung => 25287, koeffizienten
                                  => 21812,
                        koexistenz
                                  => 27513, koffer    => 10640,
                        kofferraum
                                  => 12904, kognitive => 18291,
                        kognitiven
                                  => 19292, kohle     => 4282,
                        kohlendioxid
                                  => 23981, kohlenstoff
                                  => 22304,
                        kohlenstoffdioxid
                                  => 22820,
                        kohlhammer
                                  => 17389, kohorte   => 25288,
                        kokain    => 19648, kokon     => 22821, kolben    => 12122, kollaboration
                                  => 17087,
                        kollaps   => 24604, kolleg    => 20062, kollege   => 11772, kollegen  => 2195,
                        kollegin  => 10458, kollegium => 14028, kollektion
                                  => 19649,
                        kollektiv => 15408, kollektive
                                  => 16560,
                        kollektiven
                                  => 17663, kollidierte
                                  => 18959,
                        kollision => 9448, kolloquium
                                  => 23982,
                        koln      => 838, kolner    => 2947, kolns     => 24605, koloniale => 23406,
                        kolonialen
                                  => 15623, kolonialherrschaft
                                  => 27514,
                        kolonialismus
                                  => 24606, kolonialmacht
                                  => 21813,
                        kolonialverwaltung
                                  => 17664,
                        kolonialzeit
                                  => 12382, kolonie   => 3711,
                        kolonien  => 4319, kolonisation
                                  => 23407,
                        kolonisten
                                  => 8679, kolonne   => 20913,
                        kolonnen  => 25928, kolumbianischen
                                  => 21814,
                        kolumbien => 8550, kolumbus  => 27515, kolumne   => 16561, kolumnen  => 25929,
                        kombi     => 15838, kombination
                                  => 2182,
                        kombinationen
                                  => 9282, kombinieren
                                  => 14178,
                        kombiniert
                                  => 5562, kombinierte
                                  => 11530,
                        kombinierten
                                  => 14993, komet     => 19650,
                        kometen   => 12503, komfort   => 17977, komik     => 22822, komiker   => 22823,
                        komische  => 17390, komischen => 18610, komitee   => 6446, komitees  => 8680,
                        komma     => 26683, kommandant
                                  => 5257,
                        kommandanten
                                  => 7696, kommandantur
                                  => 25930,
                        kommandeur
                                  => 4165, kommandeure
                                  => 25931,
                        kommandiert
                                  => 20063, kommandierte
                                  => 16808,
                        kommando  => 3061, kommandos => 14179, komme     => 8493, kommen    => 405,
                        kommend   => 7826, kommende  => 6447, kommenden => 3666, kommentar => 5662,
                        kommentare
                                  => 8061, kommentaren
                                  => 14994,
                        kommentator
                                  => 23983, kommentatoren
                                  => 23408,
                        kommentieren
                                  => 22305, kommentiert
                                  => 9354,
                        kommentierte
                                  => 9790, kommerziell
                                  => 6295,
                        kommerzielle
                                  => 7038, kommerziellen
                                  => 6326,
                        kommerzieller
                                  => 11015, kommilitonen
                                  => 25932,
                        kommissar => 6069, kommissare
                                  => 16324,
                        kommissarin
                                  => 16562, kommissarisch
                                  => 15624,
                        kommissarischer
                                  => 19651, kommission
                                  => 1700,
                        kommissionen
                                  => 13661, kommt     => 252,
                        kommunale => 7554, kommunalen
                                  => 6220,
                        kommunaler
                                  => 11999, kommunalpolitik
                                  => 21815,
                        kommunalwahl
                                  => 7350, kommunalwahlen
                                  => 11115,
                        kommune   => 7119, kommunen  => 5814, kommunikation
                                  => 2401,
                        kommunismus
                                  => 13054, kommunist => 26684,
                        kommunisten
                                  => 6448, kommunistische
                                  => 9534,
                        kommunistischen
                                  => 4475, kommunistischer
                                  => 26685,
                        kommunizieren
                                  => 10729, kommuniziert
                                  => 21389,
                        komodie   => 6996, komodien  => 15839, kompakt   => 19293, kompakte  => 14789,
                        kompakten => 15840, kompakter => 29346, kompanie  => 6502, kompanien => 9686,
                        kompass   => 23984, kompatibel
                                  => 12644,
                        kompendium
                                  => 26686, kompensation
                                  => 23409,
                        kompensieren
                                  => 14388, kompensiert
                                  => 12123,
                        kompetenz => 9535, kompetenzen
                                  => 6476,
                        kompetenzzentrum
                                  => 28408, kompilation
                                  => 20914,
                        komplett  => 1307, komplette => 3552, kompletten
                                  => 6221,
                        kompletter
                                  => 22306, komplettes
                                  => 18611,
                        komplettiert
                                  => 21390, komplex   => 5563,
                        komplexe  => 5330, komplexen => 5896, komplexer => 11220, komplexere
                                  => 23410,
                        komplexes => 11773, komplexitat
                                  => 8020,
                        komplikationen
                                  => 10818, komplizen => 15199,
                        kompliziert
                                  => 12645, komplizierte
                                  => 13509,
                        komplizierten
                                  => 14995, komplizierter
                                  => 17088,
                        komplott  => 24607, komponente
                                  => 7351,
                        komponenten
                                  => 3574, komponieren
                                  => 12646,
                        komponiert
                                  => 5588, komponierte
                                  => 3893,
                        komponierten
                                  => 20915, komponist => 3596,
                        komponisten
                                  => 3220, komponistin
                                  => 27516,
                        komposition
                                  => 3915, kompositionen
                                  => 3089,
                        kompressor
                                  => 29347, komprimiert
                                  => 27517,
                        kompromiss
                                  => 9355, kompromisse
                                  => 23411,
                        kondensator
                                  => 22307, kondensatoren
                                  => 24608,
                        konditionen
                                  => 20482, konferenz => 4828,
                        konferenzen
                                  => 8175, konfession
                                  => 7869,
                        konfessionelle
                                  => 19652, konfessionellen
                                  => 19294,
                        konfessionen
                                  => 12251, konfessionslos
                                  => 20064,
                        konfiguration
                                  => 10188, konfiguriert
                                  => 29348,
                        konfisziert
                                  => 17665, konflikt  => 2450,
                        konflikte => 3940, konflikten
                                  => 5470,
                        konfliktes
                                  => 23412, konflikts => 13839,
                        konfoderation
                                  => 17089, konfoderierten
                                  => 12504,
                        konfrontation
                                  => 10459, konfrontieren
                                  => 28409,
                        konfrontiert
                                  => 4906, kong      => 8272,
                        kongo     => 12505, kongregation
                                  => 14790,
                        kongress  => 2984, kongresse => 17090, kongresses
                                  => 11647,
                        kongresspartei
                                  => 26687, konige    => 4887,
                        konigen   => 15841, konigin   => 2451, koniginnen
                                  => 19295,
                        konigl    => 27518, koniglich => 6866, konigliche
                                  => 4458,
                        koniglichen
                                  => 2548, koniglicher
                                  => 12905,
                        konigliches
                                  => 24609, konigreich
                                  => 2499,
                        konigreiche
                                  => 18960, konigreiches
                                  => 17666,
                        konigreichs
                                  => 7267, konigs    => 1923,
                        konigsberg
                                  => 6562, konigsfamilie
                                  => 28410,
                        konigshaus
                                  => 14180, konigshauses
                                  => 29349,
                        konigshof => 13055, konigstochter
                                  => 23985,
                        konigtum  => 17391, konisch   => 23413, konkav    => 19296, konkret   => 8328,
                        konkrete  => 4597, konkreten => 5409, konkreter => 18961, konkretisiert
                                  => 23414,
                        konkurrent
                                  => 15200, konkurrenten
                                  => 5382,
                        konkurrenz
                                  => 2929, konkurrenzfahig
                                  => 20065,
                        konkurrieren
                                  => 16563, konkurrierende
                                  => 18962,
                        konkurrierenden
                                  => 16809, konkurs   => 6503,
                        konne     => 1016, konnen    => 97, konnte    => 83, konnten   => 208,
                        konrads   => 22308, konsens   => 10274, konsequent
                                  => 7919,
                        konsequente
                                  => 27519, konsequenz
                                  => 8551,
                        konsequenzen
                                  => 5513, konservativ
                                  => 12252,
                        konservative
                                  => 7555, konservativen
                                  => 4348,
                        konservativer
                                  => 19653, konservatorium
                                  => 8681,
                        konservatoriums
                                  => 29350, konserviert
                                  => 20483,
                        konservierung
                                  => 20484, konsistenz
                                  => 16564,
                        konsistorium
                                  => 21816, konsole   => 14582,
                        konsolen  => 12253, konsolidierung
                                  => 18963,
                        konsonanten
                                  => 16565, konsortium
                                  => 16069,
                        konstant  => 5098, konstante => 12124, konstanten
                                  => 12000,
                        konstanter
                                  => 22309, konstantinopel
                                  => 8893,
                        konstanz  => 6534, konstanzer
                                  => 23986,
                        konstatiert
                                  => 23415, konstellation
                                  => 14181,
                        konstellationen
                                  => 26688, konstituierende
                                  => 28411,
                        konstituierenden
                                  => 19654, konstituiert
                                  => 26689,
                        konstituierte
                                  => 18612, konstitution
                                  => 20066,
                        konstitutionellen
                                  => 27520,
                        konstruieren
                                  => 14583, konstruiert
                                  => 5865,
                        konstruierte
                                  => 10550, konstruierten
                                  => 17091,
                        konstrukt => 21391, konstrukteur
                                  => 20916,
                        konstruktion
                                  => 2255, konstruktionen
                                  => 9087,
                        konstruktiv
                                  => 20485, konstruktive
                                  => 17092,
                        konstruktiven
                                  => 17093, konsul    => 10918,
                        konsulat  => 18613, konsum    => 9152, konsumenten
                                  => 11882,
                        konsumiert
                                  => 17392, kontakt   => 1237,
                        kontaktaufnahme
                                  => 23416, kontakte  => 2803,
                        kontakten => 15409, kontaktieren
                                  => 26690,
                        kontaktiert
                                  => 19655, kontaktierte
                                  => 29351,
                        kontamination
                                  => 27521, konten    => 18292,
                        konteradmiral
                                  => 25933, kontext   => 3132,
                        kontexten => 20067, kontinent => 7150, kontinentale
                                  => 27522,
                        kontinentalen
                                  => 14791, kontinente
                                  => 17667,
                        kontinenten
                                  => 11648, kontinents
                                  => 15201,
                        kontingent
                                  => 15625, kontingente
                                  => 24610,
                        kontinuierlich
                                  => 3120, kontinuierliche
                                  => 8552,
                        kontinuierlichen
                                  => 13350, kontinuierlicher
                                  => 23987,
                        kontinuierliches
                                  => 28412, kontinuitat
                                  => 9536,
                        konto     => 12125, kontor    => 28413, kontrabass
                                  => 25289,
                        kontrahenten
                                  => 12126, kontrakt  => 22310,
                        kontraktion
                                  => 29352, kontrast  => 7508,
                        kontrastiert
                                  => 22824, kontrolle => 1411,
                        kontrollen
                                  => 12127, kontrollieren
                                  => 5866,
                        kontrolliert
                                  => 4752, kontrollierte
                                  => 11016,
                        kontrollierten
                                  => 8682, kontrovers
                                  => 7393,
                        kontroverse
                                  => 9356, kontroversen
                                  => 8378,
                        kontur    => 25934, konturen  => 17393, konvektion
                                  => 26691,
                        konvent   => 9283, konvention
                                  => 12906,
                        konventionell
                                  => 24611, konventionelle
                                  => 11649,
                        konventionellen
                                  => 8494, konventioneller
                                  => 20917,
                        konventionen
                                  => 13056, konvents  => 20918,
                        konvergenz
                                  => 22311, konversion
                                  => 20068,
                        konvertiert
                                  => 29353, konvertierte
                                  => 21817,
                        konvex    => 20486, konvoi    => 11650, konvois   => 19656, konzentration
                                  => 4841,
                        konzentrationen
                                  => 16566, konzentrationslager
                                  => 10919,
                        konzentrationslagern
                                  => 23988,
                        konzentrieren
                                  => 4793, konzentriert
                                  => 4060,
                        konzentrierte
                                  => 3518, konzentrierten
                                  => 10551,
                        konzentrischen
                                  => 26692, konzept   => 1401,
                        konzepte  => 5161, konzepten => 14584, konzeptes => 23417, konzeption
                                  => 6327,
                        konzeptionell
                                  => 22825, konzepts  => 16325,
                        konzern   => 6913, konzerne  => 16326, konzerns  => 11883, konzert   => 3172,
                        konzerte  => 1972, konzerten => 4670, konzertierte
                                  => 24612,
                        konzertmeister
                                  => 27523, konzertreihe
                                  => 27524,
                        konzertreisen
                                  => 13840, konzerts  => 24613,
                        konzertsaal
                                  => 17668, konzerttatigkeit
                                  => 23418,
                        konzession
                                  => 6651, konzessionen
                                  => 23419,
                        konzil    => 12254, konzils   => 22826, konzipiert
                                  => 3894,
                        konzipierte
                                  => 13204, konzipierten
                                  => 22312,
                        kooperation
                                  => 3133, kooperationen
                                  => 14585,
                        kooperationspartner
                                  => 27525,
                        kooperativen
                                  => 26693, kooperieren
                                  => 18614,
                        kooperiert
                                  => 15626, kooperierte
                                  => 28414,
                        koordinaten
                                  => 7601, koordination
                                  => 9868,
                        koordinator
                                  => 23420, koordinieren
                                  => 13510,
                        koordiniert
                                  => 9088, koordinierte
                                  => 20919,
                        koordinierten
                                  => 24614, koordinierung
                                  => 23421,
                        kopenhagen
                                  => 5740, kopenhagener
                                  => 25935,
                        kopf      => 828, kopfbedeckung
                                  => 18615,
                        kopfe     => 7976, kopfen    => 13511, kopfes    => 10359, kopfhorer => 27526,
                        kopfrumpflange
                                  => 15410, kopfschmerzen
                                  => 19657,
                        kopfuber  => 26694, kopie     => 5815, kopien    => 6599, kopieren  => 14389,
                        kopiert   => 12255, kopplung  => 17394, koran     => 17094, korea     => 7743,
                        koreanische
                                  => 14029, koreanischen
                                  => 14996,
                        koreas    => 27527, korper    => 966, korperbau => 13512, korperform
                                  => 29354,
                        korpergewicht
                                  => 9869, korpergrosse
                                  => 7646,
                        korperhaltung
                                  => 25290, korperlange
                                  => 4283,
                        korperlich
                                  => 8683, korperliche
                                  => 6135,
                        korperlichen
                                  => 7268, korperlicher
                                  => 14182,
                        korpermasse
                                  => 24615, korpermitte
                                  => 23989,
                        korpern   => 17669, korperoberflache
                                  => 29355,
                        korperoberseite
                                  => 18964, korpers   => 4538,
                        korperschaft
                                  => 17395, korperschaften
                                  => 19297,
                        korperseiten
                                  => 18616, korperteil
                                  => 25936,
                        korperteile
                                  => 16810, korperunterseite
                                  => 19298,
                        korperverletzung
                                  => 18617, korperverletzungen
                                  => 29356,
                        korps     => 4558, korpus    => 12769, korrekt   => 6194, korrekte  => 9219,
                        korrekten => 14586, korrektheit
                                  => 25937,
                        korrektur => 12383, korrekturen
                                  => 17095,
                        korrelation
                                  => 19658, korrespondent
                                  => 18618,
                        korrespondenz
                                  => 11415, korrespondierenden
                                  => 29357,
                        korrespondierendes
                                  => 29358,
                        korridor  => 14792, korrigieren
                                  => 16567,
                        korrigiert
                                  => 9357, korrigierte
                                  => 19659,
                        korrosion => 24616, korrupte  => 29359, korrupten => 20920, korruption
                                  => 6997,
                        korsika   => 25938, kosaken   => 20069, kosener   => 17396, kosmische => 29360,
                        kosmischen
                                  => 20921, kosmos    => 12506,
                        kosovo    => 9870, kossaten  => 23422, kostbare  => 20070, kostbaren => 25291,
                        kosten    => 858, kostenfrei
                                  => 14183,
                        kostengrunden
                                  => 9610, kostengunstig
                                  => 22827,
                        kostengunstige
                                  => 29361, kostengunstiger
                                  => 22828,
                        kostenlos => 3678, kostenlose
                                  => 9791,
                        kostenlosen
                                  => 12256, kostenpflichtig
                                  => 23990,
                        kostenpflichtige
                                  => 21392, kostet    => 9153,
                        kostete   => 4547, kosteten  => 13841, kostum    => 17978, kostume   => 10189,
                        kostumen  => 24617, kotflugel => 18619, kpdsu     => 29362, krafte    => 2147,
                        kraften   => 6390, kraftfahrzeuge
                                  => 18620,
                        kraftfahrzeugen
                                  => 17670, kraftig   => 6162,
                        kraftige  => 9358, kraftigen => 6688, kraftiger => 12384, kraftstoff
                                  => 15411,
                        kraftstoffverbrauch
                                  => 25939,
                        kraftubertragung
                                  => 14793, kraftvoll => 23991,
                        kraftvollen
                                  => 27528, kraftwerk => 5064,
                        kraftwerke
                                  => 11416, kraftwerken
                                  => 25940,
                        kraftwerks
                                  => 14030, kragen    => 14390,
                        krakau    => 11221, krakauer  => 20071, krallen   => 12001, krank     => 6998,
                        kranke    => 8495, kranken   => 7120, krankenbett
                                  => 23992,
                        krankenhaus
                                  => 1502, krankenhauser
                                  => 7870,
                        krankenhausern
                                  => 9284, krankenhauses
                                  => 8441,
                        krankenkasse
                                  => 20487, krankenkassen
                                  => 14794,
                        krankenpflege
                                  => 16811, krankenschwester
                                  => 9687,
                        krankenschwestern
                                  => 23993,
                        krankenstation
                                  => 29363, krankenversicherung
                                  => 16568,
                        krankenwagen
                                  => 25941, kranker   => 26695,
                        krankheit => 1711, krankheiten
                                  => 4061,
                        krankheitsbedingt
                                  => 22829,
                        krater    => 13057, krautern  => 28415, kreationen
                                  => 29364,
                        kreative  => 12907, kreativen => 13842, kreativer => 29365, kreativitat
                                  => 11222,
                        kreatur   => 16569, kreaturen => 17979, krebserkrankung
                                  => 13205,
                        krebsleiden
                                  => 23994, kredit    => 12647,
                        kredite   => 9537, krediten  => 25942, krefeld   => 11319, krefelder => 27529,
                        kreide    => 22830, kreieren  => 23995, kreiert   => 19660, kreierte  => 28416,
                        kreis     => 1231, kreisbahn => 29366, kreise    => 4227, kreisebene
                                  => 28417,
                        kreisen   => 4446, kreises   => 3271, kreisformig
                                  => 17671,
                        kreisformige
                                  => 25292, kreisformigen
                                  => 18621,
                        kreisfreie
                                  => 20072, kreisfreien
                                  => 17980,
                        kreisgebiet
                                  => 18622, kreisklasse
                                  => 21393,
                        kreislauf => 17981, kreisliga => 8962, kreisrunden
                                  => 19661,
                        kreissparkasse
                                  => 22831, kreisstadt
                                  => 7780,
                        kreisstrasse
                                  => 10920, kreistag  => 11531,
                        kreistages
                                  => 22832, kreisverbandes
                                  => 29367,
                        kreisverwaltung
                                  => 19299, kreisvorsitzender
                                  => 17982,
                        krematorium
                                  => 23423, kreta     => 16812,
                        kreuz     => 1761, kreuzbandriss
                                  => 29368,
                        kreuze    => 13662, kreuzen   => 9026, kreuzern  => 26696, kreuzers  => 27530,
                        kreuzes   => 7871, kreuzfahrer
                                  => 23996,
                        kreuzgang => 10819, kreuzgangs
                                  => 25943,
                        kreuzgratgewolbe
                                  => 23997, kreuzigung
                                  => 12002,
                        kreuzigungsgruppe
                                  => 20922,
                        kreuzkirche
                                  => 29369, kreuznach => 23424,
                        kreuzrippengewolbe
                                  => 21818,
                        kreuzt    => 14031, kreuzung  => 4947, kreuzungen
                                  => 17397,
                        kreuzweg  => 14997, kreuzzug  => 17096, kriechen  => 29370, krieg     => 495,
                        kriege    => 5258, kriegen   => 9449, kriegerdenkmal
                                  => 19300,
                        kriegerische
                                  => 17672, kriegerischen
                                  => 14184,
                        kriegern  => 24618, krieges   => 1387, kriegs    => 10275, kriegsausbruch
                                  => 13663,
                        kriegsbedingt
                                  => 12648, kriegsbedingten
                                  => 18293,
                        kriegsbeginn
                                  => 9027, kriegsdienst
                                  => 7431,
                        kriegseinsatz
                                  => 28418, kriegseintritt
                                  => 25944,
                        kriegsende
                                  => 1567, kriegsereignisse
                                  => 26697,
                        kriegserklarung
                                  => 18965, kriegsfall
                                  => 27531,
                        kriegsfuhrung
                                  => 13843, kriegsgefangene
                                  => 10276,
                        kriegsgefangenen
                                  => 10552, kriegsgefangenenlager
                                  => 27532,
                        kriegsgefangener
                                  => 27533, kriegsgefangenschaft
                                  => 6355,
                        kriegsgericht
                                  => 27534, kriegshandlungen
                                  => 17398,
                        kriegsjahre
                                  => 19662, kriegsjahren
                                  => 15202,
                        kriegsmarine
                                  => 14391, kriegsminister
                                  => 28419,
                        kriegsministerium
                                  => 16813,
                        kriegsschaden
                                  => 14795, kriegsschauplatz
                                  => 23998,
                        kriegsschiff
                                  => 17673, kriegsschiffe
                                  => 11774,
                        kriegsschiffen
                                  => 23999, kriegsteilnehmer
                                  => 29371,
                        kriegsverbrechen
                                  => 21394, kriegsverlauf
                                  => 22313,
                        kriegswirren
                                  => 25945, kriegszeit
                                  => 25293,
                        kriegszeiten
                                  => 16570, krimi     => 16070,
                        kriminalitat
                                  => 13058, kriminalpolizei
                                  => 18966,
                        kriminelle
                                  => 10460, kriminellen
                                  => 9538,
                        krimineller
                                  => 25294, krippe    => 27535,
                        krise     => 3233, krisen    => 14185, kristall  => 19663, kristalle => 10360,
                        kristallen
                                  => 21819, kristalline
                                  => 29372,
                        kriterien => 3800, kriterium => 9871, kritik    => 1001, kritiken  => 4139,
                        kritiker  => 2838, kritikern => 5917, kritikpunkt
                                  => 20488,
                        kritisch  => 3575, kritische => 4202, kritischen
                                  => 5451,
                        kritischer
                                  => 12385, kritisieren
                                  => 15627,
                        kritisiert
                                  => 2160, kritisierte
                                  => 4176,
                        kritisierten
                                  => 10461, kroaten   => 17097,
                        kroatien  => 7509, kroatiens => 22833, kroatische
                                  => 13513,
                        kroatischen
                                  => 10277, krokodil  => 23425,
                        kronach   => 29373, kronblatter
                                  => 14587,
                        krone     => 2461, kronen    => 7269, kronlappen
                                  => 24000,
                        kronprinz => 18623, kronprinzen
                                  => 22834,
                        kronrohre => 13059, kronung   => 10119, kronzipfel
                                  => 29374,
                        krummung  => 15412, kruste    => 24619, kruzifix  => 10921, krypta    => 13514,
                        kubanische
                                  => 20923, kubanischen
                                  => 14032,
                        kubikmeter
                                  => 8218, kubikmetern
                                  => 21820,
                        kubus     => 27536, kuche     => 3385, kuchen    => 10922, kugel     => 4598,
                        kugelformigen
                                  => 27537, kugelig   => 16814,
                        kugeln    => 6827, kugelstossen
                                  => 21395,
                        kuhen     => 26698, kuhlen    => 11884, kuhler    => 15842, kuhlergrill
                                  => 11775,
                        kuhlsystem
                                  => 28420, kuhlt     => 26699,
                        kuhlung   => 10190, kuken     => 13664, kulisse   => 12649, kulissen  => 12770,
                        kultische => 24001, kultiviert
                                  => 12128,
                        kultivierte
                                  => 27538, kultivierten
                                  => 29375,
                        kultivierung
                                  => 26700, kultstatte
                                  => 27539,
                        kultur    => 819, kulturdenkmal
                                  => 14186,
                        kulturdenkmaler
                                  => 28421, kulturell => 9954,
                        kulturelle
                                  => 2686, kulturellem
                                  => 29376,
                        kulturellen
                                  => 3067, kultureller
                                  => 11223,
                        kulturelles
                                  => 16571, kulturen  => 4001,
                        kulturerbe
                                  => 27540, kulturgeschichte
                                  => 8684,
                        kulturgut => 17098, kulturguter
                                  => 24002,
                        kulturhaus
                                  => 18294, kulturkreis
                                  => 25946,
                        kulturlandschaft
                                  => 15203, kulturpolitik
                                  => 17399,
                        kulturrevolution
                                  => 25947, kulturstiftung
                                  => 29377,
                        kulturveranstaltungen
                                  => 22314,
                        kulturverein
                                  => 25948, kulturzentrum
                                  => 14187,
                        kultus    => 25949, kultusministerium
                                  => 17674,
                        kummern   => 4859, kummert   => 5423, kummerte  => 6195, kummerten => 19301,
                        kunden    => 1497, kundgebung
                                  => 25295,
                        kundgebungen
                                  => 23426, kundigen  => 20924,
                        kundigt   => 9688, kundigte  => 2452, kundigten => 13206, kundigung => 8620,
                        kundschaft
                                  => 18624, kunftig   => 5306,
                        kunftige  => 8273, kunftigen => 7977, kunftiger => 28422, kunst     => 613,
                        kunstakademie
                                  => 10278, kunstausstellung
                                  => 16327,
                        kunstausstellungen
                                  => 14588,
                        kunstdenkmaler
                                  => 11116, kunste    => 4632,
                        kunsten   => 20489, kunstform => 23427, kunstgeschichte
                                  => 6960,
                        kunstgewerbeschule
                                  => 20073,
                        kunsthalle
                                  => 14796, kunsthandler
                                  => 24003,
                        kunsthandwerk
                                  => 16815, kunsthistoriker
                                  => 17400,
                        kunsthistorischen
                                  => 21821,
                        kunsthochschule
                                  => 25950, kunstler  => 744,
                        kunstlerfamilie
                                  => 25951, kunstlergruppe
                                  => 16328,
                        kunstlerhaus
                                  => 28423, kunstlerin
                                  => 4806,
                        kunstlerinnen
                                  => 18625, kunstlerisch
                                  => 5787,
                        kunstlerische
                                  => 2821, kunstlerischen
                                  => 2646,
                        kunstlerischer
                                  => 6652, kunstlerisches
                                  => 10361,
                        kunstlern => 3307, kunstlername
                                  => 28424,
                        kunstlernamen
                                  => 9611, kunstlers => 5119,
                        kunstlervereinigung
                                  => 25952,
                        kunstlich => 6828, kunstliche
                                  => 7872,
                        kunstlichen
                                  => 8176, kunstlicher
                                  => 22315,
                        kunstliches
                                  => 29378, kunstmaler
                                  => 21396,
                        kunstmarkt
                                  => 29379, kunstmuseum
                                  => 17983,
                        kunstsammlung
                                  => 12129, kunstsammlungen
                                  => 24620,
                        kunstschule
                                  => 17099, kunststoff
                                  => 8553,
                        kunststoffe
                                  => 18295, kunstverein
                                  => 15843,
                        kunstvoll => 18296, kunstvollen
                                  => 25953,
                        kunstwerk => 9539, kunstwerke
                                  => 5844,
                        kunstwerken
                                  => 14392, kunstwissenschaft
                                  => 25296,
                        kuppe     => 15844, kuppel    => 5845, kuppeln   => 19302, kupplung  => 16071,
                        kupplungen
                                  => 26701, kurator   => 12771,
                        kuratorium
                                  => 11776, kuratoriums
                                  => 21397,
                        kurbelwelle
                                  => 27541, kurden    => 18967,
                        kurdische => 21822, kurdischen
                                  => 20490,
                        kuren     => 29380, kurfurst  => 9359, kurfursten
                                  => 6535,
                        kurfurstentum
                                  => 27542, kurfurstlichen
                                  => 16816,
                        kurgaste  => 24621, kurhaus   => 20491, kurie     => 24004, kurier    => 17100,
                        kurort    => 18297, kurpark   => 21398, kurpfalz  => 25954, kurs      => 3657,
                        kurse     => 5283, kursen    => 14393, kurses    => 20492, kursierten
                                  => 29381,
                        kursiv    => 20925, kurve     => 5007, kurven    => 8815, kurze     => 882,
                        kurzel    => 11417, kurzem    => 6105, kurzen    => 1216, kurzer    => 1293,
                        kurzere   => 6914, kurzeren  => 8118, kurzerer  => 25297, kurzerhand
                                  => 8685,
                        kurzes    => 9028, kurzeste  => 11777, kurzesten => 16817, kurzester => 9955,
                        kurzfilm  => 8554, kurzfilme => 15628, kurzfilmen
                                  => 15845,
                        kurzform  => 16072, kurzfristig
                                  => 4907,
                        kurzfristige
                                  => 17101, kurzfristigen
                                  => 21399,
                        kurzgeschichte
                                  => 12507, kurzgeschichten
                                  => 6719,
                        kurzlebige
                                  => 24005, kurzlebigen
                                  => 25955,
                        kurzlich  => 9792, kurzschluss
                                  => 27543,
                        kurzte    => 28425, kurzung   => 24006, kurzungen => 23428, kurzzeitig
                                  => 3419,
                        kurzzeitigen
                                  => 19664, kussen    => 10120,
                        kusst     => 14797, kuste     => 1920, kusten    => 10121, kustenlinie
                                  => 14798,
                        kustennahe
                                  => 26702, kustennahen
                                  => 24622,
                        kustenregion
                                  => 29382, kustenstreifen
                                  => 28426,
                        kustenwache
                                  => 25298, kutschen  => 24007,
                        kuwait    => 25956, kyoto     => 15629, label     => 2285, labels    => 8749,
                        labor     => 5564, laboratorien
                                  => 24623,
                        laboratorium
                                  => 18626, laboratory
                                  => 23429,
                        labors    => 17984, labour    => 10191, labyrinth => 19303, lacheln   => 17985,
                        lachen    => 9360, lacherlich
                                  => 22316,
                        lacht     => 20926, lackiert  => 9361, lackierte => 24624, lackierung
                                  => 17675,
                        ladeflache
                                  => 24625, ladegleis => 24008,
                        laden     => 3332, ladengeschaft
                                  => 24626,
                        ladengeschafte
                                  => 29383, laderaum  => 20074,
                        laderaume => 29384, ladies    => 24009, ladt      => 7039, ladung    => 6915,
                        ladungen  => 24010, lady      => 4970, lafayette => 29385, lafette   => 26703,
                        lag       => 377, lage      => 521, lagen     => 1200, lager     => 1714,
                        lagerhalle
                                  => 21400, lagerhaus => 19665,
                        lagern    => 6106, lagerraum => 27544, lagerraume
                                  => 28427,
                        lagers    => 7472, lagerstatte
                                  => 13844,
                        lagerstatten
                                  => 18298, lagert    => 23430,
                        lagerte   => 23431, lagerten  => 19304, lagerung  => 6867, laguna    => 17676,
                        lagune    => 13845, lagunen   => 29386, lahmung   => 20927, lahti     => 22835,
                        laichen   => 25957, laien     => 8555, lake      => 3147, lakes     => 23432,
                        lamellen  => 12386, lampen    => 12130, lancaster => 16073, lance     => 24627,
                        lanciert  => 25958, land      => 357, landarbeiter
                                  => 25299,
                        landbesitz
                                  => 14799, landbesitzer
                                  => 22317,
                        landbevolkerung
                                  => 15413, lande     => 5383,
                        landebahn => 7510, landebahnen
                                  => 25300,
                        landeinwarts
                                  => 23433, landen    => 6961,
                        lander    => 1326, landereien
                                  => 5008,
                        landern   => 710, landerspiel
                                  => 9154,
                        landerspiele
                                  => 6391, landerspielen
                                  => 10923,
                        landes    => 729, landesamt => 11017, landesamtes
                                  => 29387,
                        landesarchiv
                                  => 21401, landesbibliothek
                                  => 19305,
                        landesdurchschnitt
                                  => 18299,
                        landesebene
                                  => 23434, landesfursten
                                  => 29388,
                        landesgartenschau
                                  => 25959,
                        landesgeschichte
                                  => 17677, landesgrenze
                                  => 16329,
                        landesgrenzen
                                  => 20493, landeshauptmann
                                  => 17401,
                        landeshauptstadt
                                  => 9612, landesherr
                                  => 28428,
                        landesherren
                                  => 13665, landesherrn
                                  => 14394,
                        landesinnere
                                  => 20075, landesinneren
                                  => 16572,
                        landeskirche
                                  => 10362, landeskirchen
                                  => 20494,
                        landeskunde
                                  => 12650, landesliga
                                  => 4698,
                        landesliste
                                  => 14395, landesmeister
                                  => 20076,
                        landesmuseum
                                  => 14396, landesregierung
                                  => 4807,
                        landesstrasse
                                  => 9029, landesteil
                                  => 24011,
                        landesteile
                                  => 25301, landesteilen
                                  => 17678,
                        landesverband
                                  => 10279, landesverbande
                                  => 12508,
                        landesverbanden
                                  => 27545, landesverbandes
                                  => 18300,
                        landesversammlung
                                  => 22836,
                        landesverteidigung
                                  => 24012,
                        landesverwaltung
                                  => 26704, landesvorsitzender
                                  => 16818,
                        landesvorstand
                                  => 15630, landesweit
                                  => 6916,
                        landesweite
                                  => 17102, landesweiten
                                  => 11117,
                        landeszentrale
                                  => 22837, landet    => 8686,
                        landete   => 4686, landeten  => 14188, landflache
                                  => 17679,
                        landgemeinde
                                  => 5636, landgemeinden
                                  => 13846,
                        landgericht
                                  => 7182, landgerichts
                                  => 21823,
                        landgrafen
                                  => 18627, landgut   => 13351,
                        landkarte => 16074, landkarten
                                  => 18628,
                        landkreis => 1811, landkreise
                                  => 10553,
                        landkreisen
                                  => 17986, landkreises
                                  => 5471,
                        landlich  => 13847, landliche => 7920, landlichen
                                  => 3952,
                        landlicher
                                  => 29389, landrat   => 6617,
                        landratsamt
                                  => 18629, landrichter
                                  => 27546,
                        lands     => 29390, landsberg => 16330, landschaft
                                  => 1816,
                        landschaften
                                  => 4767, landschaftlich
                                  => 23435,
                        landschaftlichen
                                  => 24628, landschaftsbild
                                  => 25960,
                        landschaftsbilder
                                  => 21824,
                        landschaftsmaler
                                  => 26705, landschaftsmalerei
                                  => 23436,
                        landschaftspark
                                  => 19306, landschaftsplan
                                  => 25302,
                        landschaftsschutzgebiet
                                  => 12257,
                        landshut  => 11778, landshuter
                                  => 22318,
                        landsitz  => 16819, landsleute
                                  => 20928,
                        landsmann => 15204, landsmannschaft
                                  => 18968,
                        landstande
                                  => 17402, landstrasse
                                  => 5514,
                        landstrassen
                                  => 19666, landstrich
                                  => 27547,
                        landtag   => 2139, landtages => 10122, landtags  => 9089, landtagswahl
                                  => 9613,
                        landtagswahlen
                                  => 18969, landung   => 5028,
                        landungen => 18301, landvogt  => 27548, landweg   => 29391, landwirt  => 8963,
                        landwirte => 10641, landwirten
                                  => 19667,
                        landwirts => 18970, landwirtschaft
                                  => 1022,
                        landwirtschaftlich
                                  => 2719,
                        landwirtschaftliche
                                  => 2994,
                        landwirtschaftlichen
                                  => 3386,
                        landwirtschaftlicher
                                  => 9793,
                        landwirtschaftliches
                                  => 22838,
                        landwirtschaftsbetriebe
                                  => 18971,
                        landwirtschaftsschule
                                  => 23437,
                        landzunge => 20929, langem    => 5947, langen    => 662, langere   => 2258,
                        langerem  => 10192, langeren  => 3005, langerer  => 6757, langeres  => 29392,
                        langerfristig
                                  => 27549, langes    => 6427,
                        langeweile
                                  => 18630, langfristig
                                  => 6449,
                        langfristige
                                  => 10280, langfristigen
                                  => 13352,
                        langgestreckt
                                  => 18631, langgestreckte
                                  => 13207,
                        langgestreckten
                                  => 12509, langgezogene
                                  => 25961,
                        langgezogenen
                                  => 24629, langhaus  => 3357,
                        langhauses
                                  => 7040, langjahrig
                                  => 28429,
                        langjahrige
                                  => 6263, langjahrigen
                                  => 5663,
                        langjahriger
                                  => 9155, langjahriges
                                  => 27550,
                        langlich  => 10730, langliche => 15205, langlichen
                                  => 11418,
                        langs     => 7647, langsachse
                                  => 17987,
                        langsam   => 1782, langsame  => 11018, langsamen => 10554, langsamer => 6868,
                        langseite => 27551, langseiten
                                  => 25962,
                        langsrichtung
                                  => 19668, langsseite
                                  => 21825,
                        langsseiten
                                  => 17988, langsstreifen
                                  => 14998,
                        langst    => 4614, langste   => 4990, langsten  => 6034, language  => 17680,
                        langweilig
                                  => 15414, langwierige
                                  => 23438,
                        langwierigen
                                  => 14189, lanka     => 11118,
                        lanze     => 19307, lanzettlich
                                  => 11651,
                        laptop    => 27552, larry     => 12387, larve     => 11885, larven    => 4650,
                        larvenstadium
                                  => 24013, lassen    => 314,
                        lasst     => 334, last      => 4842, lasten    => 8329, lastkraftwagen
                                  => 18302,
                        lastwagen => 11532, latein    => 5714, lateinamerika
                                  => 9689,
                        lateinamerikanischen
                                  => 17989,
                        lateinamerikanischer
                                  => 20495,
                        lateinamerikas
                                  => 22319, lateinisch
                                  => 14190,
                        lateinische
                                  => 5664, lateinischen
                                  => 4022,
                        lateinischer
                                  => 12651, lateinschule
                                  => 15206,
                        laterne   => 14397, latin     => 21826, laubblatter
                                  => 10642,
                        lauben    => 28430, laubwalder
                                  => 29393,
                        lauda     => 24630, lauenburg => 28431, lauert    => 25303, lauf      => 2035,
                        laufbahn  => 1647, laufe     => 620, laufen    => 2183, laufend   => 9220,
                        laufende  => 7511, laufenden => 3701, laufender => 17103, lauferinnen
                                  => 20930,
                        laufern   => 25304, laufes    => 24014, lauft     => 1906, laufwerk  => 24631,
                        laufzeit  => 6222, laune     => 16820, laurel    => 25305, lauren    => 22839,
                        laurence  => 23439, laurent   => 14033, lausanne  => 12510, lausitz   => 24015,
                        lausitzer => 23440, laut      => 508, lautausserungen
                                  => 27553,
                        laute     => 8750, lauten    => 6999, lauter    => 9362, lautes    => 22320,
                        lautet    => 2375, lautete   => 3640, lautsprecher
                                  => 14589,
                        lautstark => 29394, lautstarke
                                  => 14800,
                        lawrence  => 9030, lawson    => 23441, layout    => 17990, lazarett  => 13666,
                        lazarus   => 24016, leader    => 19308, leadsanger
                                  => 25963,
                        league    => 2474, learning  => 23442, least     => 21402, leben     => 150,
                        lebend    => 11652, lebende   => 4633, lebenden  => 2699, lebender  => 12652,
                        lebendig  => 7432, lebendige => 14590, lebendigen
                                  => 15846,
                        lebendiges
                                  => 21827, lebens    => 1226,
                        lebensabend
                                  => 22321, lebensalter
                                  => 13667,
                        lebensart => 26706, lebensbedingungen
                                  => 9363,
                        lebensbild
                                  => 29395, lebensdaten
                                  => 16331,
                        lebensdauer
                                  => 6792, lebensende
                                  => 9285,
                        lebenserinnerungen
                                  => 22322,
                        lebenserwartung
                                  => 8379, lebensform
                                  => 22840,
                        lebensformen
                                  => 22323, lebensfreude
                                  => 21828,
                        lebensfuhrung
                                  => 17403, lebensgefahr
                                  => 21403,
                        lebensgefahrlich
                                  => 22841, lebensgefahrten
                                  => 25964,
                        lebensgefahrtin
                                  => 13353, lebensgeschichte
                                  => 14801,
                        lebensgrosse
                                  => 17104, lebensgrundlage
                                  => 27554,
                        lebenshilfe
                                  => 29396, lebensjahr
                                  => 3134,
                        lebensjahre
                                  => 11886, lebensjahren
                                  => 10924,
                        lebensjahres
                                  => 13208, lebenslang
                                  => 14398,
                        lebenslange
                                  => 11887, lebenslangen
                                  => 12908,
                        lebenslanger
                                  => 17404, lebenslauf
                                  => 14191,
                        lebensmittel
                                  => 5145, lebensmittelindustrie
                                  => 17681,
                        lebensmitteln
                                  => 7602, lebensqualitat
                                  => 13060,
                        lebensraum
                                  => 4151, lebensraume
                                  => 9156,
                        lebensraumen
                                  => 14034, lebensraumes
                                  => 20077,
                        lebensraums
                                  => 26707, lebenssituation
                                  => 25306,
                        lebensstandard
                                  => 24632, lebensstil
                                  => 8496,
                        lebensumstande
                                  => 18632, lebensunterhalt
                                  => 4808,
                        lebensverhaltnisse
                                  => 22842,
                        lebensversicherung
                                  => 23443,
                        lebenswandel
                                  => 20931, lebensweg => 13209,
                        lebensweise
                                  => 4203, lebensweisen
                                  => 29397,
                        lebenswelt
                                  => 23444, lebenswerk
                                  => 9157,
                        lebenszeit
                                  => 8556, lebenszyklus
                                  => 22324,
                        lebewesen => 7556, lebhaft   => 18303, lebhafte  => 24017, lebhaften => 23445,
                        lebt      => 837, lebte     => 816, lebten    => 666, lebzeiten => 4296,
                        lediglich => 425, leeds     => 15631, leer      => 3480, leere     => 7781,
                        leeren    => 8497, leergewicht
                                  => 18633,
                        leerlauf  => 26708, leerstand => 25965, leerstehende
                                  => 24018,
                        leerstehenden
                                  => 25307, leerzeichen
                                  => 24633,
                        legacy    => 29398, legal     => 11533, legale    => 20932, legalen   => 20078,
                        legen     => 2695, legendare => 18304, legendaren
                                  => 12772,
                        legende   => 3692, legenden  => 8687, legion    => 9872, legionare => 25308,
                        legionen  => 17405, legislative
                                  => 13354,
                        legislaturperiode
                                  => 6917, legislaturperioden
                                  => 17682,
                        legitimation
                                  => 15632, legitime  => 23446,
                        legitimen => 22843, legitimiert
                                  => 18972,
                        legt      => 2082, legte     => 880, legten    => 4971, lehen     => 5589,
                        lehnt     => 4599, lehnte    => 2235, lehnten   => 8621, lehramt   => 12388,
                        lehranstalt
                                  => 22325, lehrauftrag
                                  => 13848,
                        lehrbeauftragter
                                  => 15415, lehrbetrieb
                                  => 23447,
                        lehrbuch  => 8119, lehrbucher
                                  => 11779,
                        lehrbuchern
                                  => 25966, lehre     => 1463,
                        lehren    => 5424, lehrenden => 27555, lehrer    => 1140, lehrerausbildung
                                  => 27556,
                        lehrerin  => 4634, lehrerinnen
                                  => 17991,
                        lehrern   => 6829, lehrers   => 8274, lehrgang  => 20933, lehrgange => 18973,
                        lehrkorper
                                  => 24019, lehrkraft => 21404,
                        lehrkrafte
                                  => 13515, lehrkraften
                                  => 15416,
                        lehrling  => 15417, lehrlinge => 20496, lehrmeister
                                  => 28432,
                        lehrplan  => 20497, lehrplane => 29399, lehrstuhl => 6477, lehrstuhle
                                  => 24020,
                        lehrstuhls
                                  => 23448, lehrt     => 12653,
                        lehrtatigkeit
                                  => 8219, lehrte    => 3693,
                        lehrveranstaltungen
                                  => 21405,
                        lehrzeit  => 21829, leibeigenschaft
                                  => 22326,
                        leibgarde => 26709, leibliche => 20934, leiblichen
                                  => 18974,
                        leibniz   => 20498, leibwachter
                                  => 18975,
                        leiche    => 3333, leichen   => 5493, leichnam  => 6450, leicht    => 532,
                        leichtathlet
                                  => 27557, leichtathletik
                                  => 9364,
                        leichte   => 3544, leichtem  => 27558, leichten  => 3971, leichter  => 3615,
                        leichtere => 14591, leichteren
                                  => 14802,
                        leichtes  => 11888, leichtgewicht
                                  => 18634,
                        leichtigkeit
                                  => 19669, leid      => 7827,
                        leiden    => 3277, leidens   => 25309, leidenschaft
                                  => 5999,
                        leidenschaften
                                  => 26710, leidenschaftlich
                                  => 22844,
                        leidenschaftliche
                                  => 24634,
                        leidenschaftlichen
                                  => 29400,
                        leider    => 5452, leidet    => 5897, leigh     => 25310, leihbasis => 25967,
                        leihe     => 17406, leihen    => 29401, leinwand  => 6478, leipzig   => 754,
                        leipziger => 3823, leise     => 13061, leiste    => 21406, leisten   => 2560,
                        leistenden
                                  => 26711, leistet   => 8498,
                        leistete  => 3763, leisteten => 9690, leistung  => 1008, leistungen
                                  => 1304,
                        leistungsfahige
                                  => 23449, leistungsfahigkeit
                                  => 7433,
                        leistungssport
                                  => 14399, leistungsstarke
                                  => 28433,
                        leistungssteigerung
                                  => 15633,
                        leistungstrager
                                  => 13516, leitbild  => 19309,
                        leiten    => 6163, leitende  => 11780, leitenden => 12258, leitender => 9450,
                        leiter    => 915, leiterin  => 7081, leitern   => 18976, leiters   => 16075,
                        leitet    => 1668, leitete   => 1075, leiteten  => 16332, leitfaden => 14999,
                        leitfahigkeit
                                  => 21830, leitlinie => 25311,
                        leitlinien
                                  => 14400, leitmotiv => 27559,
                        leitung   => 753, leitungen => 8816, leitwerk  => 28434, lektor    => 21831,
                        lekture   => 12003, lemberg   => 15634, lemgo     => 29402, lenin     => 18977,
                        leningrad => 15207, leningrader
                                  => 26712,
                        lenken    => 11019, lenkrad   => 22845, lenkt     => 20079, lenkte    => 20499,
                        lenkung   => 15635, lennon    => 17992, lenny     => 29403, leoben    => 24635,
                        leonardo  => 15418, leopard   => 20080, leoparden => 27560, lernen    => 2348,
                        lernenden => 18978, lernens   => 20081, lernt     => 3764, lernte    => 2247,
                        lernten   => 12654, lesart    => 21407, lesbar    => 17105, lesbarkeit
                                  => 24636,
                        lesben    => 26713, lesen     => 2516, leser     => 3018, lesern    => 12389,
                        leserschaft
                                  => 19670, leslie    => 13517,
                        lester    => 20935, lesung    => 15847, lesungen  => 8499, lettern   => 29404,
                        lettische => 26714, lettischen
                                  => 15636,
                        lettland  => 13668, letzte    => 410, letzten   => 215, letztendlich
                                  => 3117,
                        letzter   => 2118, letztere  => 2362, letzterem => 8751, letzteren => 6070,
                        letzterer => 3881, letzteres => 5081, letztes   => 2985, letztgenannte
                                  => 21408,
                        letztgenannten
                                  => 13518, letztlich => 1538,
                        letztmals => 6536, letztplatzierten
                                  => 24021,
                        leuchten  => 11224, leuchtend => 11119, leuchtende
                                  => 23450,
                        leuchtenden
                                  => 21832, leuchter  => 22846,
                        leuchtet  => 26715, leuchtfeuer
                                  => 29405,
                        leuchtturm
                                  => 7512, leuchtturms
                                  => 27561,
                        leugnet   => 24022, leute     => 2280, leuten    => 5542, leutnant  => 7921,
                        level     => 5788, levels    => 20500, leverkusen
                                  => 12004,
                        levine    => 27562, lewis     => 6035, lexika    => 22847, lexikon   => 5741,
                        lexington => 25312, lhota     => 20936, liaison   => 23451, libanesischen
                                  => 25313,
                        libanon   => 10925, liber     => 21833, liberal   => 12909, liberale  => 7513,
                        liberalen => 4432, liberaler => 20501, liberalisierung
                                  => 17407,
                        liberalismus
                                  => 23452, liberia   => 20937,
                        liberty   => 18979, library   => 9956, libretto  => 17683, libri     => 26716,
                        libyen    => 12910, libyschen => 20502, liceo     => 28435, licht     => 1675,
                        lichte    => 11020, lichteinfall
                                  => 26717,
                        lichten   => 15637, lichtenau => 29406, lichtenfels
                                  => 27563,
                        lichtes   => 20082, lichtgeschwindigkeit
                                  => 25314,
                        lichtjahre
                                  => 29407, lichtquelle
                                  => 20503,
                        lichtquellen
                                  => 27564, lichts    => 11534,
                        lichtungen
                                  => 28436, liebe     => 850,
                        lieben    => 5347, liebenden => 15419, lieber    => 5047, liebesbeziehung
                                  => 13355,
                        liebesgeschichte
                                  => 20083, liebespaar
                                  => 20504,
                        liebevoll => 12005, liebhaber => 7394, liebling  => 22327, liebsten  => 13356,
                        liebt     => 4177, liebte    => 12390, liechtenstein
                                  => 8894,
                        liechtensteiner
                                  => 26718, lied      => 995,
                        lieder    => 1388, liederbuch
                                  => 27565,
                        liedern   => 4152, liedes    => 5846, lieds     => 28437, liedtext  => 19671,
                        liedtexte => 20084, lief      => 1087, liefen    => 5162, lieferant => 17684,
                        lieferanten
                                  => 15000, lieferbar => 14803,
                        liefern   => 3725, liefert   => 4051, lieferte  => 3908, lieferten => 7697,
                        lieferung => 6869, lieferungen
                                  => 17106,
                        lieferwagen
                                  => 25968, liege     => 9158,
                        liegen    => 457, liegend   => 8964, liegende  => 2856, liegenden => 2036,
                        liegender => 18305, liegendes => 28438, liegenschaft
                                  => 15848,
                        liegenschaften
                                  => 15420, liegt     => 139,
                        liess     => 336, liesse    => 13062, liessen   => 1610, liest     => 7828,
                        lieutenant
                                  => 13669, life      => 4744,
                        liga      => 698, ligabetrieb
                                  => 24023,
                        ligaeinsatze
                                  => 25315, ligaeinsatzen
                                  => 16573,
                        ligakonkurrenten
                                  => 25316, liganden  => 27566,
                        ligapartien
                                  => 20085, ligaspiel => 19672,
                        ligaspiele
                                  => 7307, ligaspielen
                                  => 6720,
                        ligen     => 7183, light     => 7782, lightning => 25969, lights    => 29408,
                        liiert    => 13849, limburger => 26719, limes     => 14592, limit     => 20938,
                        limited   => 9873, limitiert => 15421, limitierte
                                  => 15638,
                        limitierten
                                  => 17685, limousine => 8442,
                        limousinen
                                  => 25317, lincoln   => 9874,
                        linda     => 8895, lindern   => 21409, lindsay   => 20086, linealisch
                                  => 21410,
                        linear    => 10193, lineare   => 12259, linearen  => 12260, linearer  => 27567,
                        lines     => 16821, linguistik
                                  => 17107,
                        linie     => 547, linien    => 1704, liniendienst
                                  => 29409,
                        linienfuhrung
                                  => 15422, linienverkehr
                                  => 21411,
                        linken    => 1047, linker    => 9451, links     => 947, linksaussen
                                  => 29410,
                        linkshander
                                  => 26720, linksrheinischen
                                  => 29411,
                        linksseitig
                                  => 22328, linsen    => 19673,
                        linux     => 14401, lionel    => 18635, lions     => 13357, lippe     => 8752,
                        lippen    => 13358, lippstadt => 27568, liquidation
                                  => 20087,
                        liquidiert
                                  => 18980, lissabon  => 8753,
                        liste     => 1033, listen    => 5715, listenplatz
                                  => 29412,
                        lister    => 27569, listet    => 11653, liszt     => 19310, litauen   => 9794,
                        litauische
                                  => 25318, litauischen
                                  => 12261,
                        liter     => 3831, literarisch
                                  => 10363,
                        literarische
                                  => 3953, literarischen
                                  => 3801,
                        literarischer
                                  => 11535, literarisches
                                  => 13210,
                        literary  => 29413, literaten => 18636, literatur => 634, literaturen
                                  => 26721,
                        literaturgeschichte
                                  => 15849,
                        literaturkritik
                                  => 26722, literaturpreis
                                  => 26723,
                        literaturwissenschaft
                                  => 17993,
                        litern    => 11120, litt      => 4699, litten    => 13670, liturgie  => 15423,
                        liturgische
                                  => 18637, liturgischen
                                  => 14804,
                        live      => 2835, livealbum => 18306, liverpool => 9452, living    => 18638,
                        lizenz    => 5029, lizenzen  => 14192, lizenzgebuhren
                                  => 29414,
                        lizenziert
                                  => 20505, lizenzierte
                                  => 26724,
                        ljubljana => 23453, lloyd     => 8557, llywelyn  => 28439, loben     => 21412,
                        lobte     => 5867, lobten    => 18307, local     => 20088, locarno   => 25970,
                        lochern   => 17108, locken    => 11121, lockere   => 17686, lockeren  => 15208,
                        lockerer  => 23454, lockerung => 29415, lockt     => 14402, lodge     => 14403,
                        logan     => 13063, logen     => 22329, logik     => 7829, logisch   => 16574,
                        logische  => 16333, logischen => 15001, logistics => 28440, logistik  => 11536,
                        logistische
                                  => 23455, logistischen
                                  => 22848,
                        logo      => 5543, logos     => 16822, lohne     => 10731, lohnen    => 29416,
                        lohnt     => 20939, loire     => 24637, lokal     => 4204, lokalbahn => 17994,
                        lokale    => 2380, lokalen   => 1671, lokaler   => 7224, lokales   => 24024,
                        lokalisation
                                  => 28441, lokalisieren
                                  => 24638,
                        lokalisiert
                                  => 13359, lokalisierung
                                  => 20506,
                        lokfuhrer => 23456, lokomotive
                                  => 4256,
                        lokomotiven
                                  => 2349, lokomotivfuhrer
                                  => 25971,
                        lokschuppen
                                  => 15209, lombard   => 22849,
                        london    => 847, londoner  => 4567, londons   => 20940, long      => 6264,
                        lopes     => 26725, lopez     => 11889, lorbeerblatt
                                  => 27570,
                        lord      => 3986, lords     => 10123, lorenzo   => 9875, lorient   => 25319,
                        lorrach   => 17687, lorsch    => 26726, loschen   => 11537, loschung  => 21834,
                        lose      => 8443, losegeld  => 17688, losen     => 2822, loslich   => 15210,
                        loslichkeit
                                  => 25320, loslosung => 23457,
                        lost      => 3882, loste     => 1804, losten    => 7308, losung    => 1774,
                        losungen  => 4539, losungsmittel
                                  => 19674,
                        loszuwerden
                                  => 16076, lothringen
                                  => 18308,
                        lotsen    => 25972, lotterie  => 25321, lotus     => 14593, louis     => 2765,
                        louise    => 5220, louisiana => 15639, louisville
                                  => 25322,
                        lounge    => 20089, louvre    => 23458, love      => 3616, lowell    => 21835,
                        lowen     => 4074, loyal     => 13519, loyalen   => 29417, loyalitat => 12262,
                        lubbecke  => 29418, lubeck    => 4687, lubecker  => 7783, lublin    => 24639,
                        lucia     => 15640, luciano   => 28442, lucius    => 15850, lucken    => 8817,
                        luckenhaft
                                  => 20090, luckenlos => 22330,
                        luckenschluss
                                  => 22850, lucky     => 17995,
                        lucy      => 8330, luden     => 26727, ludwigs   => 12131, ludwigsburg
                                  => 12511,
                        ludwigshafen
                                  => 13064, luft      => 1680,
                        luftangriff
                                  => 10281, luftangriffe
                                  => 9957,
                        luftangriffen
                                  => 15424, luftaufnahmen
                                  => 23459,
                        luftdruck => 20091, luftfahrt => 12132, luftfahrzeuge
                                  => 28443,
                        luftfeuchtigkeit
                                  => 11122, lufthansa => 16823,
                        luftlinie => 16575, luftraum  => 18309, luftschiff
                                  => 17408,
                        luftschiffe
                                  => 29419, luftstreitkrafte
                                  => 15425,
                        luftstrom => 24025, luftung   => 28444, luftverkehr
                                  => 25323,
                        luftverschmutzung
                                  => 25973,
                        luftwaffe => 4745, lugano    => 26728, lugen     => 14193, luis      => 7225,
                        lukrative => 27571, luneburg  => 10124, luneburger
                                  => 18981,
                        lunge     => 12263, lungenentzundung
                                  => 15426,
                        lungenkrebs
                                  => 26729, lust      => 8444,
                        lustenau  => 23460, lutheraner
                                  => 25974,
                        lutherische
                                  => 12911, lutherischen
                                  => 8688,
                        luthers   => 12912, luxemburg => 5515, luxemburger
                                  => 17689,
                        luxemburgischen
                                  => 18639, luxuriose => 29420,
                        luxuriosen
                                  => 28445, luxus     => 15002,
                        luzern    => 7082, luzerner  => 18310, lynch     => 19311, lyrik     => 6356,
                        lyriker   => 19675, lyrische  => 16576, lyrischen => 15851, mabel     => 23461,
                        macau     => 25975, macdonald => 16824, machbarkeitsstudie
                                  => 29421,
                        mache     => 7041, machen    => 466, machenschaften
                                  => 13671,
                        machine   => 14594, macht     => 416, machtbereich
                                  => 19676,
                        machte    => 470, machten   => 1796, machtergreifung
                                  => 17996,
                        machthaber
                                  => 14194, machthabern
                                  => 27572,
                        machtig   => 12512, machtige  => 7184, machtigen => 5516, machtiger => 13850,
                        machtigkeit
                                  => 15641, machtigste
                                  => 27573,
                        machtigsten
                                  => 16577, machtkampf
                                  => 18982,
                        machtlos  => 29422, machtubernahme
                                  => 10282,
                        mackenzie => 21836, macmillan => 25976, madagaskar
                                  => 14404,
                        madame    => 8896, madchen   => 932, madchens  => 10032, madchenschule
                                  => 13851,
                        madeira   => 28446, madison   => 14405, madonna   => 7784, madrid    => 4235,
                        mafia     => 12773, magazin   => 2940, magazine  => 5637, magazinen => 17409,
                        magazins  => 9453, magda     => 23462, magdeburg => 3679, magdeburger
                                  => 10194,
                        magen     => 13852, maggie    => 16077, magic     => 11654, magie     => 8897,
                        magier    => 15642, magische  => 10364, magischen => 10033, magister  => 12133,
                        magisterarbeit
                                  => 28447, magistrat => 11021,
                        magistrats
                                  => 23463, magna     => 22331,
                        magnaten  => 26730, magnesium => 28448, magnetfeld
                                  => 15427,
                        magnetische
                                  => 17690, magnetischen
                                  => 15211,
                        magyaren  => 25977, mahalle   => 22851, mahlen    => 29423, mahlzeit  => 17997,
                        mahlzeiten
                                  => 15852, mahne     => 27574,
                        mahnmal   => 13672, mahnung   => 26731, mahren    => 14406, mahrischen
                                  => 25978,
                        mai       => 134, maigret   => 16078, mailand   => 4753, main      => 1281,
                        maine     => 10820, mainz     => 2768, mainzer   => 6000, maire     => 16578,
                        maison    => 20941, majestat  => 16579, major     => 4228, majors    => 25324,
                        makedonien
                                  => 28449, mal       => 265,
                        malaria   => 24640, malaysia  => 10732, malcolm   => 13065, male      => 3883,
                        malen     => 7352, maler     => 2123, malerei   => 2299, malereien => 7270,
                        malerin   => 10643, malerische
                                  => 20942,
                        malerischen
                                  => 17691, malern    => 16334,
                        malers    => 7978, mallorca  => 17692, mallory   => 26732, malmo     => 22332,
                        malta     => 8622, maltas    => 27575, maltesischen
                                  => 29424,
                        malweise  => 20943, man       => 79, management
                                  => 2891,
                        managements
                                  => 19677, manager   => 4100,
                        manche    => 1664, manchen   => 2336, mancher   => 9614, mancherorts
                                  => 23464,
                        manches   => 18311, manchester
                                  => 8021,
                        manchmal  => 1133, mandat    => 4062, mandate   => 6164, mandaten  => 20944,
                        manet     => 15212, manga     => 10644, mangas    => 27576, mangel    => 3210,
                        mangelhaft
                                  => 22852, mangelhafte
                                  => 16825,
                        mangelhaften
                                  => 25979, mangeln   => 29425,
                        mangelnde => 7557, mangelnden
                                  => 12391,
                        mangelnder
                                  => 8689, mangels   => 4476,
                        mangelte  => 21837, manhattan => 13066, manier    => 29426, manifest  => 14407,
                        manifestiert
                                  => 24641, manila    => 19678,
                        manipulation
                                  => 13067, manipulationen
                                  => 28450,
                        manipulieren
                                  => 18312, manipuliert
                                  => 12774,
                        manitoba  => 26733, mannchen  => 1076, mannchens => 13068, manner    => 551,
                        mannerchor
                                  => 28451, mannermannschaft
                                  => 26734,
                        mannern   => 1992, mannes    => 2746, mannesstamm
                                  => 16580,
                        mannheim  => 4166, mannheimer
                                  => 11538,
                        mannigfaltigkeit
                                  => 29427, manning   => 21413,
                        mannlich  => 10125, mannliche => 2788, mannlichen
                                  => 2700,
                        mannlicher
                                  => 9795, mannschaft
                                  => 385,
                        mannschaften
                                  => 779, mannschaftskameraden
                                  => 27577,
                        mannschaftskapitan
                                  => 19679,
                        mannschaftsmeisterschaft
                                  => 22853,
                        mannschaftswertung
                                  => 18640,
                        mannschaftswettbewerb
                                  => 22333,
                        manor     => 26735, manover   => 10555, mantel    => 5348, mantels   => 28452,
                        mantua    => 24642, manual    => 14595, manuale   => 29428, manualen  => 25325,
                        manuell   => 7648, manuelle  => 16079, manuellen => 18313, manufacturing
                                  => 20507,
                        manufaktur
                                  => 14195, manuskript
                                  => 6653,
                        manuskripte
                                  => 9454, manuskripten
                                  => 20508,
                        maori     => 25980, mappe     => 29429, marathon  => 12913, marburg   => 5163,
                        march     => 14408, marchen   => 7514, marcos    => 25981, margaret  => 5898,
                        marge     => 28453, marguerite
                                  => 15643,
                        maria     => 652, marias    => 13520, marienaltar
                                  => 24026,
                        marienberg
                                  => 25326, marienkapelle
                                  => 14805,
                        marienkirche
                                  => 11781, mariens   => 15644,
                        marienstatue
                                  => 23465, marilyn   => 22854,
                        marine    => 2659, marinen   => 22855, marines   => 16826, maritime  => 14409,
                        maritimen => 22856, marjorie  => 28454, markant   => 11539, markante  => 8690,
                        markanten => 9159, markanter => 21414, markantes => 22857, marke     => 2253,
                        marken    => 5453, markenname
                                  => 14596,
                        markennamen
                                  => 9876, markenzeichen
                                  => 7979,
                        market    => 17109, marketing => 7309, markgrafen
                                  => 11540,
                        markieren => 12134, markiert  => 3510, markierte => 8898, markierten
                                  => 11890,
                        markierung
                                  => 13360, markierungen
                                  => 12914,
                        markische => 29430, markischen
                                  => 21838,
                        markt     => 834, marktanteil
                                  => 6165,
                        markte    => 6654, markteinfuhrung
                                  => 16080,
                        markten   => 8445, marktes   => 8558, marktfuhrer
                                  => 12392,
                        marktgemeinde
                                  => 12135, markthalle
                                  => 20509,
                        marktplatz
                                  => 4754, marktplatzes
                                  => 19680,
                        marktstart
                                  => 29431, marktstrasse
                                  => 29432,
                        marktwirtschaft
                                  => 21415, marlene   => 21839,
                        marlowe   => 25327, marmor    => 7980, marode    => 28455, marokkanische
                                  => 29433,
                        marokkanischen
                                  => 28456, marokko   => 8754,
                        marokkos  => 25982, marquess  => 29434, marquise  => 29435, mars      => 7981,
                        marsch    => 7395, marschieren
                                  => 17410,
                        marschierte
                                  => 12393, marschierten
                                  => 16081,
                        marseille => 12006, marsh     => 18314, marshal   => 28457, marshall  => 10926,
                        martha    => 5789, martinez  => 13361, martins   => 16335, marty     => 21416,
                        martyrer  => 16082, martyrium => 25328, marvel    => 23466, marxismus => 26736,
                        marxistische
                                  => 26737, mary      => 2435,
                        maryland  => 14806, marys     => 22858, marz      => 154, maschine  => 1672,
                        maschinell
                                  => 25329, maschinen => 1641,
                        maschinenanlage
                                  => 25330, maschinenbau
                                  => 8500,
                        maschinenfabrik
                                  => 13673, maschinengewehr
                                  => 24643,
                        maschinenhaus
                                  => 26738, maschinenraum
                                  => 20510,
                        maserati  => 20945, maske     => 7434, masken    => 9615, maskottchen
                                  => 21840,
                        mason     => 12394, mass      => 3101, massa     => 15213, massachusetts
                                  => 10462,
                        massaker  => 8380, massakers => 28458, masse     => 1694, massen    => 6001,
                        massenmedien
                                  => 23467, massenproduktion
                                  => 25983,
                        massenstart
                                  => 18641, massgabe  => 21841,
                        massgebend
                                  => 22334, massgeblich
                                  => 2531,
                        massgebliche
                                  => 16083, massgeblichen
                                  => 10195,
                        massig    => 6296, massige   => 28459, massigen  => 18315, massiger  => 28460,
                        massiv    => 5030, massive   => 6071, massivem  => 24027, massiven  => 4615,
                        massiver  => 11541, massnahme => 4477, massnahmen
                                  => 1340,
                        massstab  => 7000, massstabe => 15003, massstaben
                                  => 15645,
                        masswerk  => 16827, masswerkfenster
                                  => 26739,
                        masten    => 12136, master    => 5638, masters   => 12007, match     => 6962,
                        matches   => 11891, mater     => 25331, material  => 1338, materialien
                                  => 2340,
                        materialismus
                                  => 26740, materials => 7083,
                        materie   => 7785, materiell => 19312, materielle
                                  => 9221,
                        materiellen
                                  => 8691, mathematical
                                  => 27578,
                        mathematik
                                  => 3189, mathematiker
                                  => 14807,
                        mathematisch
                                  => 19681, mathematische
                                  => 9090,
                        mathematischen
                                  => 8899, mathematischer
                                  => 20946,
                        mathilde  => 8120, matilda   => 29436, matresse  => 28461, matrix    => 9365,
                        matrizen  => 23468, matrosen  => 13674, matter    => 14597, matthew   => 12395,
                        matura    => 20092, mauer     => 2164, mauerkrone
                                  => 22859,
                        mauern    => 3319, mauerreste
                                  => 10733,
                        mauerstarke
                                  => 28462, mauerwerk => 5494,
                        mauerwerks
                                  => 26741, maulwurfe => 29437,
                        mauren    => 26742, maurermeister
                                  => 20093,
                        mausen    => 20094, mausoleum => 14410, mauthausen
                                  => 28463,
                        maximal   => 1649, maximale  => 2902, maximalen => 6451, maximaler => 20095,
                        maximum   => 8623, maxwell   => 19682, mayor     => 17693, mazedonien
                                  => 19683,
                        mazen     => 26743, mccarthy  => 23469, mccartney => 19684, mccoy     => 28464,
                        mcdonald  => 28465, mclaren   => 16828, mechanik  => 9958, mechaniker
                                  => 13362,
                        mechanisch
                                  => 8220, mechanische
                                  => 5472,
                        mechanischen
                                  => 7271, mechanischer
                                  => 21842,
                        mechanisierung
                                  => 25984, mechanismen
                                  => 8446,
                        mechanismus
                                  => 8624, mecklenburg
                                  => 8559,
                        mecklenburgische
                                  => 21417, mecklenburgischen
                                  => 16829,
                        medaille  => 3795, medaillen => 4559, medaillenrange
                                  => 24644,
                        medaillon => 19313, medaillons
                                  => 24645,
                        medal     => 20947, media     => 4712, medial    => 24646, mediale   => 13211,
                        medialen  => 25985, medical   => 8022, medici    => 17411, medicine  => 18316,
                        medien    => 1122, medienberichten
                                  => 15428,
                        medikament
                                  => 14035, medikamente
                                  => 7649,
                        medikamenten
                                  => 17412, meditation
                                  => 17694,
                        mediterranen
                                  => 28466, medium    => 4933,
                        mediums   => 18642, medizin   => 2188, mediziner => 10645, medizinisch
                                  => 15214,
                        medizinische
                                  => 3278, medizinischen
                                  => 2804,
                        medizinischer
                                  => 10734, medizinisches
                                  => 22335,
                        medizinstudium
                                  => 16830, meer      => 1753,
                        meere     => 20511, meerenge  => 25986, meeres    => 12915, meeresboden
                                  => 20512,
                        meeresgrund
                                  => 23470, meereshohe
                                  => 12916,
                        meeresspiegel
                                  => 4991, meerwasser
                                  => 19685,
                        meeting   => 18983, megan     => 28467, megawatt  => 19686, mehr      => 73,
                        mehren    => 28468, mehrere   => 189, mehreren  => 455, mehrerer  => 2130,
                        mehrfach  => 782, mehrfache => 15004, mehrfachen
                                  => 21843,
                        mehrfacher
                                  => 12655, mehrfamilienhauser
                                  => 24647,
                        mehrheit  => 1557, mehrheiten
                                  => 27579,
                        mehrheitlich
                                  => 4731, mehrjahrige
                                  => 22860,
                        mehrjahrigen
                                  => 14808, mehrjahriger
                                  => 26744,
                        mehrkampf => 20096, mehrmals  => 1845, mehrtagige
                                  => 26745,
                        mehrwert  => 28469, mehrwochigen
                                  => 29438,
                        mehrzahl  => 5120, mehrzweckhalle
                                  => 20948,
                        meiden    => 18643, meidet    => 24028, meierhof  => 22336, meile     => 17695,
                        meilen    => 6072, meilenstein
                                  => 15005,
                        meilensteine
                                  => 28470, mein      => 3110,
                        meine     => 3559, meinem    => 10283, meinen    => 6689, meiner    => 7558,
                        meines    => 11225, meiningen => 15646, meint     => 3243, meinte    => 4577,
                        meinten   => 27580, meinung   => 1806, meinungen => 8275, meinungsfreiheit
                                  => 22861,
                        meinungsverschiedenheiten
                                  => 14196,
                        meissen   => 10556, meist     => 246, meistbesuchten
                                  => 26746,
                        meiste    => 6870, meisten   => 332, meistens  => 1866, meisterhaft
                                  => 29439,
                        meisterin => 9455, meistern  => 12396, meisterprufung
                                  => 20513,
                        meisterrunde
                                  => 23471, meisters  => 9796,
                        meisterschaft
                                  => 1114, meisterschaften
                                  => 2381,
                        meisterschaftsspiele
                                  => 28471,
                        meisterschaftsspielen
                                  => 24029,
                        meistertitel
                                  => 3553, meisterwerk
                                  => 14036,
                        meistverkaufte
                                  => 25332, meistverkauften
                                  => 25987,
                        mekka     => 18984, melancholie
                                  => 26747,
                        melancholischen
                                  => 28472, melbourne => 9222,
                        melden    => 8221, meldet    => 10126, meldete   => 4320, meldeten  => 11123,
                        meldung   => 6196, meldungen => 10735, melissa   => 16831, melodie   => 6002,
                        melodien  => 7873, melodische
                                  => 20097,
                        member    => 24030, membran   => 11542, membranen => 29440, memmingen => 21418,
                        memoiren  => 10557, memorandum
                                  => 26748,
                        memorial  => 9797, memory    => 23472, memphis   => 16832, mendelssohn
                                  => 20949,
                        mendoza   => 20950, menge     => 1822, mengen    => 3234, menhir    => 27581,
                        mennoniten
                                  => 24648, mensa     => 16833,
                        mensch    => 1534, menschen  => 170, menschenbild
                                  => 27582,
                        menschenleben
                                  => 16581, menschenmenge
                                  => 17696,
                        menschenrechte
                                  => 8276, menschenrechtsverletzungen
                                  => 20098,
                        menschheit
                                  => 4843, menschlich
                                  => 19314,
                        menschliche
                                  => 3287, menschlichen
                                  => 2365,
                        menschlicher
                                  => 6758, menschliches
                                  => 15215,
                        menschlichkeit
                                  => 15006, mental    => 24031,
                        mentale   => 22862, mentalen  => 22337, mercedes  => 12397, mercer    => 28473,
                        merck     => 29441, mercury   => 18317, mercy     => 26749, meredith  => 20514,
                        merken    => 12656, merklich  => 13363, merkmal   => 4002, merkmale  => 3135,
                        merkmalen => 9456, merkt     => 7473, merkte    => 16084, merkur    => 17998,
                        merkwurdig
                                  => 25988, merkwurdige
                                  => 16582,
                        merkwurdigen
                                  => 25333, merseburg => 22863,
                        mesopotamien
                                  => 20951, messbar   => 21844,
                        messe     => 4459, messegelande
                                  => 26750,
                        messen    => 4321, messenden => 29442, messergebnisse
                                  => 29443,
                        messias   => 28474, messtechnik
                                  => 27583,
                        messung   => 5686, messungen => 6655, messverfahren
                                  => 24032,
                        messwerte => 25989, metadaten => 27584, metal     => 4934, metall    => 4948,
                        metalle   => 15853, metallen  => 18985, metallisch
                                  => 15854,
                        metallische
                                  => 27585, metallischen
                                  => 21419,
                        metallverarbeitung
                                  => 21845,
                        metamorphose
                                  => 28475, metapher  => 20515,
                        metaphysik
                                  => 17413, meteor    => 28476,
                        meteorologischen
                                  => 27586, meter     => 206,
                        metern    => 553, methode   => 1857, methoden  => 2145, methodik  => 14598,
                        methodisch
                                  => 18986, methodische
                                  => 17414,
                        methodischen
                                  => 20516, metrik    => 24033,
                        metro     => 11320, metropole => 13675, metropolen
                                  => 24034,
                        metropolis
                                  => 26751, metropolitan
                                  => 12137,
                        metropolregion
                                  => 21420, mettmann  => 28477,
                        metzgerei => 22864, meuterei  => 28478, mexico    => 11892, mexikaner => 18987,
                        mexikanische
                                  => 12775, mexikanischen
                                  => 7001,
                        mexiko    => 3448, mexikos   => 20517, miami     => 11124, michigan  => 9798,
                        mickey    => 19687, micky     => 29444, microsoft => 7744, middle    => 17697,
                        midnight  => 24035, miete     => 13853, mieten    => 13069, mieter    => 8900,
                        mietern   => 27587, mietete   => 23473, mietshaus => 27588, mietwohnungen
                                  => 24036,
                        migranten => 10736, migration => 10284, migrationshintergrund
                                  => 20518,
                        miguel    => 10365, mikrofon  => 23474, mikrometer
                                  => 16834,
                        mikroorganismen
                                  => 14037, milch     => 5967,
                        milchling => 23475, milchwirtschaft
                                  => 16835,
                        milden    => 15647, milder    => 25990, mildred   => 25991, miles     => 8818,
                        milieu    => 11893, milieus   => 23476, militanten
                                  => 28479,
                        militar   => 2922, militarakademie
                                  => 19688,
                        militardienst
                                  => 5665, militardienstes
                                  => 27589,
                        militargericht
                                  => 24037, militargeschichte
                                  => 25992,
                        militarisch
                                  => 6136, militarische
                                  => 2382,
                        militarischen
                                  => 1959, militarischer
                                  => 8121,
                        militarisches
                                  => 18988, militarregierung
                                  => 11419,
                        militars  => 6073, militarverwaltung
                                  => 20519,
                        military  => 18318, miliz     => 15216, milizen   => 15648, millennium
                                  => 25334,
                        milliarde => 12138, milliarden
                                  => 1960,
                        millimeter
                                  => 1213, millimetern
                                  => 4600,
                        million   => 2783, millionar => 25993, millionen => 258, mills     => 13364,
                        milton    => 16085, milwaukee => 19689, mimik     => 21846, minardi   => 24649,
                        minas     => 22338, minden    => 11543, mindener  => 25994, minder    => 12776,
                        minderheit
                                  => 5099, minderheiten
                                  => 7650,
                        minderjahrig
                                  => 21847, minderjahrige
                                  => 9616,
                        minderjahrigen
                                  => 12398, mindern   => 26752,
                        minderung => 29445, mindestalter
                                  => 26753,
                        mindestens
                                  => 572, minen     => 8692,
                        mineral   => 12399, mineralbildung
                                  => 22865,
                        minerale  => 19315, mineralien
                                  => 13854,
                        mineralische
                                  => 29446, mineralogie
                                  => 25335,
                        mineralwasser
                                  => 27590, mines     => 27591,
                        miniaturen
                                  => 20520, minimal   => 11894,
                        minimale  => 12657, minimalen => 18989, minimieren
                                  => 17415,
                        minimiert => 15217, minimum   => 10127, mining    => 20952, miniserie => 24038,
                        minister  => 2168, ministerialrat
                                  => 27592,
                        ministerien
                                  => 11022, ministerin
                                  => 14599,
                        ministerium
                                  => 3511, ministeriums
                                  => 7185,
                        ministern => 22866, ministerprasident
                                  => 6452,
                        ministerprasidenten
                                  => 8755,
                        ministerrat
                                  => 18644, ministers => 11226,
                        ministry  => 23477, minna     => 25995, minneapolis
                                  => 25336,
                        minnesota => 13212, minsk     => 18645, minute    => 2805, minuten   => 619,
                        miranda   => 13365, mischen   => 14600, mischformen
                                  => 27593,
                        mischt    => 19690, mischte   => 29447, mischung  => 3832, mischungen
                                  => 29448,
                        miss      => 6223, missachtet
                                  => 24039,
                        missachtung
                                  => 20521, missbrauch
                                  => 8693,
                        missbrauchen
                                  => 29449, missbrauchs
                                  => 26754,
                        missbraucht
                                  => 11125, misserfolg
                                  => 11420,
                        missfallen
                                  => 22867, missgluckten
                                  => 22868,
                        misshandelt
                                  => 13213, misshandlung
                                  => 22869,
                        misshandlungen
                                  => 15218, mission   => 2711,
                        missionar => 17110, missionare
                                  => 9031,
                        missionaren
                                  => 28480, missionen => 7272,
                        missionierung
                                  => 29450, mississippi
                                  => 9959,
                        misslang  => 14601, misslingt => 18990, missouri  => 11126, missstande
                                  => 16336,
                        misst     => 5065, misstrauen
                                  => 10285,
                        misstrauisch
                                  => 12513, missverstanden
                                  => 26755,
                        missverstandnis
                                  => 17111, missverstandnisse
                                  => 28481,
                        missverstandnissen
                                  => 24650,
                        mister    => 24040, mit       => 9, mitarbeit => 6871, mitarbeitende
                                  => 24651,
                        mitarbeiter
                                  => 718, mitarbeiterin
                                  => 8177,
                        mitarbeiterinnen
                                  => 24041, mitarbeitern
                                  => 2986,
                        mitarbeiterzahl
                                  => 22870, mitautor  => 27594,
                        mitbegrunder
                                  => 5454, mitbegrunderin
                                  => 24652,
                        mitbekommen
                                  => 26756, mitbewerber
                                  => 16836,
                        mitbewohner
                                  => 25996, mitbringen
                                  => 24653,
                        mitburger => 20522, mitchell  => 10366, miteigentumer
                                  => 28482,
                        miteinander
                                  => 1174, miteinbezogen
                                  => 26757,
                        mitfuhren => 18991, mitgearbeitet
                                  => 29451,
                        mitgebracht
                                  => 16337, mitgebrachten
                                  => 29452,
                        mitgefuhl => 17999, mitgefuhrt
                                  => 13214,
                        mitgenommen
                                  => 9366, mitgeteilt
                                  => 8222,
                        mitgewirkt
                                  => 9691, mitgezahlt
                                  => 25997,
                        mitgift   => 17698, mitglied  => 262, mitglieder
                                  => 440,
                        mitgliedern
                                  => 1380, mitgliederversammlung
                                  => 11127,
                        mitgliederzahl
                                  => 12917, mitgliederzahlen
                                  => 24042,
                        mitglieds => 26758, mitgliedsbeitrage
                                  => 27595,
                        mitgliedschaft
                                  => 4460, mitgliedsgemeinden
                                  => 29453,
                        mitgliedsorganisationen
                                  => 25998,
                        mitgliedsstaaten
                                  => 18646, mitgliedstaaten
                                  => 9160,
                        mitgrunder
                                  => 14809, mithalten => 16583,
                        mitherausgeber
                                  => 9692, mithilfe  => 3387,
                        mithin    => 16584, mitinhaber
                                  => 23478,
                        mitlaufer => 24043, mitleid   => 12264, mitleidenschaft
                                  => 10128,
                        mitmachen => 29454, mitmenschen
                                  => 13676,
                        mitnahme  => 24044, mitnehmen => 13855, mitsamt   => 6504, mitschuld => 28483,
                        mitschuler
                                  => 16086, mitschulern
                                  => 28484,
                        mitspielen
                                  => 27596, mitspieler
                                  => 9457,
                        mitspielern
                                  => 27597, mitspracherecht
                                  => 24654,
                        mitstreiter
                                  => 21848, mitsubishi
                                  => 21849,
                        mittagessen
                                  => 19691, mittags   => 18319,
                        mittagszeit
                                  => 27598, mittater  => 29455,
                        mitte     => 237, mitteilen => 21421, mitteilt  => 18000, mitteilung
                                  => 9161,
                        mitteilungen
                                  => 5180, mitteilungsblatt
                                  => 23479,
                        mittel    => 1415, mittelachse
                                  => 13856,
                        mittelalter
                                  => 1565, mittelalterlich
                                  => 29456,
                        mittelalterliche
                                  => 4337, mittelalterlichen
                                  => 3096,
                        mittelalterlicher
                                  => 12008,
                        mittelalters
                                  => 4671, mittelamerika
                                  => 20099,
                        mittelbahnsteig
                                  => 22339, mittelbar => 28485,
                        mitteldeutsche
                                  => 20100, mitteldeutschen
                                  => 18992,
                        mitteldeutschland
                                  => 21850,
                        mitteleuropa
                                  => 3604, mitteleuropaischen
                                  => 16585,
                        mitteleuropas
                                  => 13857, mittelfeld
                                  => 5009,
                        mittelfeldspieler
                                  => 10821,
                        mittelfristig
                                  => 22871, mittelgebirge
                                  => 26759,
                        mittelgewicht
                                  => 16087, mittelgross
                                  => 16088,
                        mittelgrosse
                                  => 12265, mittelgrossen
                                  => 12400,
                        mittelgrosser
                                  => 25337, mittelhochdeutschen
                                  => 27599,
                        mittelklasse
                                  => 25338, mittellinie
                                  => 20523,
                        mittellos => 18647, mittelmeer
                                  => 6918,
                        mittelmeerraum
                                  => 12009, mitteln   => 3369,
                        mittelpunkt
                                  => 2169, mittelrhein
                                  => 22340,
                        mittelrippe
                                  => 28486, mittels   => 1305,
                        mittelschicht
                                  => 16837, mittelschiff
                                  => 9693,
                        mittelschiffs
                                  => 21422, mittelschule
                                  => 9091,
                        mittelstand
                                  => 20101, mittelstandische
                                  => 17699,
                        mittelstandischen
                                  => 20524,
                        mittelstreifen
                                  => 19692, mittelsturmer
                                  => 22341,
                        mittelteil
                                  => 9032, mittelwagen
                                  => 22872,
                        mittelwert
                                  => 15007, mitten    => 4273,
                        mitternacht
                                  => 9092, mittig    => 5221,
                        mittlere  => 2086, mittlerem => 26760, mittleren => 1482, mittlerer => 9286,
                        mittleres => 19693, mittlerweile
                                  => 854,
                        mittwoch  => 11544, mittwochs => 20525, mitunter  => 3121, mitverantwortlich
                                  => 17700,
                        mitwirken => 15855, mitwirkenden
                                  => 24655,
                        mitwirkte => 13677, mitwirkung
                                  => 8023,
                        mitzunehmen
                                  => 18320, mitzuteilen
                                  => 17701,
                        mitzuwirken
                                  => 21423, mixed     => 12918,
                        mixtape   => 16838, mobel     => 7874, mobeln    => 18993, mobil     => 18001,
                        mobile    => 5349, mobilen   => 10463, mobiliar  => 20953, mobilisieren
                                  => 20954,
                        mobilisierung
                                  => 22342, mobilitat => 10464,
                        mobilmachung
                                  => 26761, mobiltelefon
                                  => 24656,
                        mobiltelefone
                                  => 29457, mochte    => 1337,
                        mochten   => 8625, mode      => 5384, model     => 4809, modell    => 1063,
                        modellbezeichnung
                                  => 29458,
                        modelle   => 1977, modellen  => 5350, modelliert
                                  => 21851,
                        modellierung
                                  => 19694, modelljahr
                                  => 8560,
                        modellpflege
                                  => 28487, modellreihe
                                  => 23480,
                        modells   => 9093, models    => 26762, modena    => 25999, moderat   => 24657,
                        moderate  => 24658, moderaten => 26763, moderation
                                  => 19695,
                        moderator => 7786, moderatoren
                                  => 13215,
                        moderatorin
                                  => 17112, moderiert => 11023,
                        moderierte
                                  => 9458, modern    => 6107,
                        moderne   => 1260, modernen  => 1250, moderner  => 4178, modernere => 14197,
                        moderneren
                                  => 17702, modernes  => 9223,
                        modernisieren
                                  => 22873, modernisiert
                                  => 4447,
                        modernisierte
                                  => 20102, modernisierten
                                  => 24659,
                        modernisierung
                                  => 4672, modernisierungen
                                  => 19316,
                        modernste => 20955, modernsten
                                  => 12658,
                        modifikation
                                  => 15856, modifikationen
                                  => 10646,
                        modifiziert
                                  => 8626, modifizierte
                                  => 12514,
                        modifizierten
                                  => 16839, modifizierter
                                  => 28488,
                        modul     => 14411, modulation
                                  => 26000,
                        module    => 10647, modulen   => 24660, modus     => 6265, mogen     => 13521,
                        moglich   => 305, mogliche  => 2480, moglichen => 2161, moglicher => 9094,
                        moglicherweise
                                  => 1151, mogliches => 18994,
                        moglichkeit
                                  => 681, moglichkeiten
                                  => 1642,
                        moglichst => 1542, mohamed   => 23481, mohammad  => 24661, mohammed  => 9367,
                        molaren   => 25339, moldau    => 16089, molekul   => 20103, molekulare
                                  => 26764,
                        molekularen
                                  => 25340, molekule  => 13366,
                        molekulen => 24045, molkerei  => 26765, molly     => 11321, moment    => 2682,
                        momentan  => 7353, momente   => 10286, momenten  => 18995, mommsen   => 29459,
                        monarch   => 17703, monarchen => 12515, monarchie => 5517, monat     => 1655,
                        monate    => 690, monatelang
                                  => 20526,
                        monaten   => 1175, monatlich => 5455, monatliche
                                  => 14602,
                        monatlichen
                                  => 12139, monats    => 6872,
                        monatsschrift
                                  => 20527, monatszeitschrift
                                  => 22874,
                        monche    => 4322, monchen   => 11128, monchengladbach
                                  => 11227,
                        mond      => 5868, monde     => 16090, mondes    => 16338, monet     => 27600,
                        money     => 15429, mongolei  => 12266, mongolen  => 14810, mongolischen
                                  => 20956,
                        monica    => 15219, monitor   => 20104, monitoring
                                  => 29460,
                        monografie
                                  => 27601, monogramm => 28489,
                        monographie
                                  => 14412, monographien
                                  => 15857,
                        monolog   => 21852, monopol   => 20105, monoton   => 26001, monroe    => 17416,
                        monsieur  => 17704, monster   => 6297, monsters  => 28490, montabaur => 29461,
                        montags   => 11545, monte     => 6357, montenegro
                                  => 13367,
                        montevideo
                                  => 16840, montfort  => 16339,
                        montgomery
                                  => 14038, monthly   => 26766,
                        montiert  => 4635, montierten
                                  => 21853,
                        montoya   => 24046, montpellier
                                  => 24662,
                        montreal  => 7310, monument  => 8331, monumentale
                                  => 16586,
                        monumentalen
                                  => 15858, monumente => 25341,
                        monuments => 24663, moore     => 6537, mooren    => 24664, moores    => 18002,
                        moose     => 23482, moral     => 7559, morales   => 24665, moralisch => 13216,
                        moralische
                                  => 9694, moralischen
                                  => 8332,
                        moralischer
                                  => 21424, mord      => 2842,
                        mordanschlag
                                  => 26767, morddrohungen
                                  => 24666,
                        morde     => 7396, morden    => 12401, morder    => 4063, morders   => 20106,
                        mordes    => 6793, mordfall  => 20957, moreno    => 20958, morgan    => 7922,
                        morgen    => 1543, morgendlichen
                                  => 24047,
                        morgenrote
                                  => 28491, morgens   => 5307,
                        morgenstunden
                                  => 15008, morning   => 16841,
                        morphologie
                                  => 17417, morphologisch
                                  => 22875,
                        morphologische
                                  => 26002, morphologischen
                                  => 29462,
                        morrison  => 18648, mortel    => 19317, mortimer  => 18321, morton    => 20528,
                        mosaik    => 15220, mosaiken  => 20959, mosambik  => 19318, moschee   => 6298,
                        moscheen  => 14198, moses     => 8122, moskau    => 2712, moskauer  => 7397,
                        moskaus   => 25342, mother    => 26768, motion    => 17705, motiv     => 2863,
                        motivation
                                  => 7745, motive    => 3605,
                        motiven   => 6266, motivieren
                                  => 23483,
                        motiviert => 11655, motivierte
                                  => 20107,
                        motivierten
                                  => 24048, motor     => 1354,
                        motorbuch => 26769, motoren   => 3235, motorhaube
                                  => 14199,
                        motorische
                                  => 28492, motorisierte
                                  => 24667,
                        motorisierten
                                  => 16091, motorisierung
                                  => 16092,
                        motorleistung
                                  => 13522, motorrad  => 8447,
                        motorrader
                                  => 9459, motorradern
                                  => 21425,
                        motors    => 5847, motorschaden
                                  => 19696,
                        motorsport
                                  => 8965, motorwagen
                                  => 26003,
                        motto     => 4003, moulin    => 26004, mount     => 5666, mountain  => 7002,
                        mountains => 13523, movement  => 17706, movie     => 15430, mozart    => 11322,
                        mozarts   => 18322, muhammad  => 11024, muhe      => 7830, muhelos   => 20960,
                        muhen     => 22343, muhldorf  => 29463, muhle     => 1916, muhlen    => 5544,
                        muhlengebaude
                                  => 26770, muhlgraben
                                  => 24668,
                        muhlhausen
                                  => 18003, muhsam    => 15859,
                        mulde     => 8756, mulden    => 25343, mulheim   => 17113, mulheimer => 25344,
                        multimediale
                                  => 26771, multiplikation
                                  => 19319,
                        multipliziert
                                  => 20529, mumie     => 20961,
                        munchen   => 372, munchener => 8062, munchens  => 27602, munchner  => 3057,
                        mundart   => 13368, munden    => 9287, mundet    => 3465, mundete   => 14603,
                        mundeten  => 28493, mundlich  => 14200, mundliche => 12010, mundlichen
                                  => 12659,
                        mundung   => 3173, mundwerkzeuge
                                  => 26005,
                        municipal => 9095, municipio => 11546, munition  => 4768, munsterland
                                  => 18323,
                        munsters  => 26772, munze     => 7273, munzen    => 3525, muriel    => 29464,
                        murnau    => 27603, murphy    => 13524, murray    => 10367, muschel   => 27604,
                        muschelkalk
                                  => 21854, muscheln  => 16093,
                        musee     => 16094, museen    => 3320, museo     => 15431, museum    => 599,
                        museums   => 2775, museumsgebaude
                                  => 28494,
                        music     => 2683, musica    => 14413, musical   => 6428, musicals  => 14604,
                        musik     => 462, musikakademie
                                  => 25345,
                        musikalisch
                                  => 5259, musikalische
                                  => 2720,
                        musikalischen
                                  => 3049, musikalischer
                                  => 9460,
                        musikalisches
                                  => 12919, musikanten
                                  => 28495,
                        musiker   => 1551, musikerfamilie
                                  => 24669,
                        musikerin => 24049, musikern  => 4829, musikers  => 22344, musikgeschaft
                                  => 19320,
                        musikgeschichte
                                  => 17418, musikgruppe
                                  => 21855,
                        musikgruppen
                                  => 22876, musikhochschule
                                  => 17114,
                        musikinstrumente
                                  => 15432, musikinstrumenten
                                  => 25346,
                        musikkarriere
                                  => 28496, musikleben
                                  => 23484,
                        musiklehrer
                                  => 18324, musikpadagoge
                                  => 27605,
                        musikprojekt
                                  => 27606, musikschule
                                  => 9540,
                        musikstil => 16842, musikstuck
                                  => 26773,
                        musikstucke
                                  => 15009, musikstucken
                                  => 28497,
                        musikszene
                                  => 15860, musiktheater
                                  => 21856,
                        musiktheorie
                                  => 22345, musikunterricht
                                  => 18004,
                        musikverein
                                  => 25347, musikverlag
                                  => 20962,
                        musikvideo
                                  => 4992, musikvideos
                                  => 10822,
                        musikwissenschaft
                                  => 18005,
                        musique   => 26006, musizieren
                                  => 17115,
                        muskel    => 26774, muskeln   => 14414, muskulatur
                                  => 21426,
                        muslimbruderschaft
                                  => 29465,
                        muslime   => 6392, muslimen  => 13217, muslimische
                                  => 12267,
                        muslimischen
                                  => 8223, muss      => 218,
                        musse     => 2009, mussen    => 420, mussolini => 16843, musst     => 26775,
                        musste    => 219, mussten   => 505, mustern   => 13525, musterung => 18006,
                        mutation  => 17707, mutationen
                                  => 16340,
                        mutig     => 21857, mutmasslich
                                  => 13678,
                        mutmassliche
                                  => 18996, mutmasslichen
                                  => 18649,
                        mutter    => 312, muttergesellschaft
                                  => 16844,
                        muttergottes
                                  => 16095, mutterhaus
                                  => 22346,
                        mutterland
                                  => 24050, mutterlicherseits
                                  => 17116,
                        muttern   => 18997, muttersprache
                                  => 9617,
                        mutzen    => 26007, myanmar   => 25348, myers     => 29466, mysteriose
                                  => 15861,
                        mysteriosen
                                  => 15010, mystery   => 27607,
                        mystik    => 22347, mystische => 23485, mythen    => 9695, mythische => 24051,
                        mythischen
                                  => 17117, mythologie
                                  => 10737,
                        mythologische
                                  => 29467, mythologischen
                                  => 26008,
                        mythos    => 7698, nach      => 25, nachahmer => 28498, nachahmung
                                  => 18007,
                        nachbar   => 13858, nachbargemeinde
                                  => 13859,
                        nachbargemeinden
                                  => 15433, nachbarhaus
                                  => 26776,
                        nachbarin => 13070, nachbarland
                                  => 25349,
                        nachbarlander
                                  => 22877, nachbarlandern
                                  => 25350,
                        nachbarn  => 4092, nachbarort
                                  => 13526,
                        nachbarorte
                                  => 25351, nachbarschaft
                                  => 4949,
                        nachbarstaaten
                                  => 25352, nachbau   => 19321,
                        nachbauten
                                  => 22878, nachbildung
                                  => 22879,
                        nachdem   => 186, nachdenken
                                  => 17708,
                        nachdruck => 8333, nachdrucke
                                  => 29468,
                        nachdrucklich
                                  => 21427, nacheinander
                                  => 5260,
                        nachempfunden
                                  => 12140, nachfahre => 28499,
                        nachfahren
                                  => 8063, nachfolge => 5164,
                        nachfolgemodell
                                  => 24670, nachfolgend
                                  => 6453,
                        nachfolgende
                                  => 6328, nachfolgenden
                                  => 3321,
                        nachfolger
                                  => 1013, nachfolgerin
                                  => 10465,
                        nachfolgern
                                  => 21428, nachfolgers
                                  => 18650,
                        nachforschungen
                                  => 11025, nachfrage => 3526,
                        nachfragen
                                  => 28500, nachgebaut
                                  => 22348,
                        nachgebildet
                                  => 23486, nachgedacht
                                  => 26009,
                        nachgedruckt
                                  => 19322, nachgehen => 13218,
                        nachgeholt
                                  => 28501, nachgeordneten
                                  => 28502,
                        nachgerustet
                                  => 20530, nachgesagt
                                  => 16845,
                        nachgestellt
                                  => 21429, nachgewiesen
                                  => 1823,
                        nachgewiesene
                                  => 21858, nachgewiesenen
                                  => 26777,
                        nachhaltig
                                  => 5816, nachhaltige
                                  => 8224,
                        nachhaltigen
                                  => 9877, nachhaltiger
                                  => 27608,
                        nachhaltigkeit
                                  => 13071, nachhinein
                                  => 9696,
                        nachkommen
                                  => 2609, nachkriegsjahren
                                  => 18325,
                        nachkriegszeit
                                  => 4264, nachlass  => 4495,
                        nachlasse => 29469, nachlasses
                                  => 16846,
                        nachmittag
                                  => 5331, nachmittags
                                  => 15011,
                        nachname  => 15434, nachnamen => 8064, nachricht => 3013, nachrichten
                                  => 2394,
                        nachrichtenagentur
                                  => 27609,
                        nachrichtendienst
                                  => 27610,
                        nachruf   => 12268, nachschlagewerk
                                  => 24052,
                        nachschub => 13527, nachspielzeit
                                  => 26778,
                        nachste   => 1851, nachsten  => 515, nachster  => 12141, nachstes  => 9368,
                        nachstgelegene
                                  => 11026, nachstgelegenen
                                  => 14039,
                        nacht     => 948, nachtaktiv
                                  => 13072,
                        nachtclub => 20108, nachtclubs
                                  => 26010,
                        nachte    => 14415, nachteil  => 4651, nachteile => 7435, nachteilig
                                  => 10129,
                        nachten   => 15862, nachtliche
                                  => 23487,
                        nachtlichen
                                  => 9799, nachtraglich
                                  => 4518,
                        nachtragliche
                                  => 17118, nachtraglichen
                                  => 22880,
                        nachts    => 2936, nachvollziehbar
                                  => 10368,
                        nachvollziehen
                                  => 13369, nachvollzogen
                                  => 22881,
                        nachwahl  => 20109, nachweis  => 4093, nachweisbar
                                  => 4039,
                        nachweisbare
                                  => 22349, nachweisbaren
                                  => 27611,
                        nachweise => 9697, nachweisen
                                  => 4519,
                        nachweislich
                                  => 7474, nachwelt  => 16341,
                        nachwirkungen
                                  => 27612, nachwort  => 7560,
                        nachwuchs => 6299, nachwuchsbereich
                                  => 16587,
                        nachwuchses
                                  => 24053, nachwuchsforderung
                                  => 26779,
                        nachwuchsmannschaften
                                  => 29470,
                        nachwuchsspieler
                                  => 28503, nachzuahmen
                                  => 29471,
                        nachzudenken
                                  => 21859, nachzugehen
                                  => 18651,
                        nachzukommen
                                  => 27613, nachzuweisen
                                  => 9800,
                        nacional  => 7475, nacken    => 6393, nackt     => 12402, nackte    => 13860,
                        nackten   => 19697, nacktheit => 27614, nadeln    => 16342, nadia     => 28504,
                        nagar     => 29472, nageln    => 26011, nagoya    => 27615, nahe      => 335,
                        nahegelegene
                                  => 20531, nahegelegenen
                                  => 7603,
                        nahegelegt
                                  => 29473, nahelegt  => 26780,
                        naheliegend
                                  => 28505, nahen     => 3857,
                        naher     => 1956, nahere    => 9878, naheren   => 6794, naheres   => 17709,
                        naherholungsgebiet
                                  => 15649,
                        nahern    => 12269, nahert    => 9096, naherte   => 13073, naherten  => 20110,
                        naherung  => 21860, naherungsweise
                                  => 28506,
                        nahezu    => 1081, nahm      => 254, nahmen    => 1041, nahrstoffe
                                  => 19323,
                        nahrstoffen
                                  => 29474, nahrung   => 2288,
                        nahrungsangebot
                                  => 22350, nahrungsaufnahme
                                  => 12777,
                        nahrungsmittel
                                  => 10648, nahrungsmitteln
                                  => 20963,
                        nahrungspflanzen
                                  => 23488, nahrungsquelle
                                  => 29475,
                        nahrungssuche
                                  => 9618, nahte     => 24671,
                        nahtlos   => 19698, nahverkehr
                                  => 11782,
                        naive     => 22351, naiven    => 20964, naivitat  => 20965, name      => 358,
                        namen     => 141, namengebenden
                                  => 27616,
                        namenlose => 24672, namenlosen
                                  => 24054,
                        namens    => 817, namensanderung
                                  => 13074,
                        namensbestandteil
                                  => 29476,
                        namensform
                                  => 14201, namensgebend
                                  => 14040,
                        namensgebende
                                  => 13679, namensgebenden
                                  => 15221,
                        namensgeber
                                  => 7923, namensgebung
                                  => 9097,
                        namensrechte
                                  => 27617, namenszusatz
                                  => 16588,
                        namentlich
                                  => 4794, namhafte  => 12660,
                        namhaften => 12661, namhafter => 26012, namibia   => 15222, namlich   => 2119,
                        nancy     => 8819, nannte    => 1579, nannten   => 5518, nantes    => 24673,
                        naomi     => 20111, napoleon  => 5590, napoleonischen
                                  => 13861,
                        napoleons => 11547, narbe     => 16847, narben    => 16848, narrative => 27618,
                        narren    => 27619, nase      => 5639, nashville => 18326, nassau    => 12403,
                        nasse     => 17419, nassen    => 15012, nasser    => 27620, nathan    => 11129,
                        nathaniel => 28507, nathusius => 29477, nation    => 3833, national  => 1666,
                        nationalbank
                                  => 21861, nationalbibliothek
                                  => 17119,
                        nationale => 1757, nationalelf
                                  => 24055,
                        nationalen
                                  => 1128, nationaler
                                  => 3960,
                        nationales
                                  => 12011, nationalflagge
                                  => 28508,
                        nationalgalerie
                                  => 26781, nationalgarde
                                  => 21430,
                        nationalhymne
                                  => 29478, nationalismus
                                  => 15223,
                        nationalisten
                                  => 15435, nationalistische
                                  => 25353,
                        nationalistischen
                                  => 18008,
                        nationalitat
                                  => 14041, nationalitaten
                                  => 18327,
                        nationalkader
                                  => 25354, nationalliga
                                  => 18652,
                        nationalmannschaft
                                  => 3211,
                        nationalmannschaften
                                  => 15224,
                        nationalmuseum
                                  => 17710, nationalpark
                                  => 7084,
                        nationalparks
                                  => 8694, nationalrat
                                  => 8966,
                        nationalsozialismus
                                  => 3244,
                        nationalsozialisten
                                  => 3527,
                        nationalsozialistische
                                  => 9801,
                        nationalsozialistischen
                                  => 4616,
                        nationalsozialistischer
                                  => 24674,
                        nationalspieler
                                  => 15650, nationalstaat
                                  => 29479,
                        nationalstrasse
                                  => 15436, nationalteam
                                  => 17420,
                        nationaltrainer
                                  => 16589, nationalversammlung
                                  => 5968,
                        nationen  => 3144, nations   => 17421, native    => 19699, natur     => 1201,
                        natura    => 24056, natural   => 13219, naturalien
                                  => 26782,
                        naturdenkmal
                                  => 8024, naturdenkmale
                                  => 17422,
                        nature    => 13220, naturforscher
                                  => 22352,
                        naturgemass
                                  => 13528, naturgeschichte
                                  => 16343,
                        naturhistorischen
                                  => 27621,
                        naturkatastrophen
                                  => 21862,
                        naturkunde
                                  => 28509, naturlich => 2874,
                        naturliche
                                  => 2953, naturlichen
                                  => 2411,
                        naturlicher
                                  => 9960, naturliches
                                  => 16590,
                        naturnah  => 27622, naturnahe => 22353, naturnahen
                                  => 22882,
                        naturpark => 11323, naturparks
                                  => 27623,
                        naturraum => 20532, naturreservat
                                  => 24057,
                        naturschutz
                                  => 5613, naturschutzbehorde
                                  => 27624,
                        naturschutzes
                                  => 28510, naturschutzgebiet
                                  => 4122,
                        naturschutzgebiete
                                  => 18328,
                        naturschutzgebieten
                                  => 26013,
                        naturschutzgebietes
                                  => 16849,
                        naturstein
                                  => 20112, naturwissenschaft
                                  => 15651,
                        naturwissenschaften
                                  => 6036,
                        naturwissenschaftliche
                                  => 13221,
                        naturwissenschaftlichen
                                  => 9224,
                        naumburg  => 18329, naval     => 16850, navarra   => 28511, navigation
                                  => 15863,
                        navigator => 28512, navy      => 5687, nazareth  => 26783, nazis     => 9961,
                        neapel    => 7121, neben     => 135, nebenan   => 22354, nebenbei  => 5918,
                        nebenberuflich
                                  => 27625, nebenblatter
                                  => 27626,
                        nebendarsteller
                                  => 22883, nebeneinander
                                  => 4323,
                        nebenfiguren
                                  => 21431, nebenfluss
                                  => 14605,
                        nebenflusse
                                  => 17120, nebengebaude
                                  => 6963,
                        nebengebauden
                                  => 16096, nebenher  => 15652,
                        nebenkrone
                                  => 28513, nebenrolle
                                  => 12404,
                        nebenrollen
                                  => 8820, nebenstehenden
                                  => 24675,
                        nebenstrasse
                                  => 21863, nebenstrassen
                                  => 26784,
                        nebenwirkungen
                                  => 9541, nebraska  => 17121,
                        nebst     => 5233, neckar    => 11895, neffe     => 8381, neffen    => 6224,
                        negativ   => 3702, negative  => 3850, negativen => 5425, negativer => 15225,
                        negatives => 20533, negro     => 26014, nehme     => 13529, nehmen    => 770,
                        neigen    => 12270, neigt     => 12142, neigte    => 19324, neigung   => 6074,
                        neigungen => 14042, neisse    => 24676, nekropole => 24677, nektar    => 19325,
                        nelly     => 22355, nelson    => 10369, nennen    => 2264, nennenswerte
                                  => 8821,
                        nennenswerten
                                  => 10466, nenner    => 27627,
                        nennleistung
                                  => 24058, nennt     => 1434,
                        nennung   => 7924, nennungen => 25355, neolithikum
                                  => 29480,
                        neonazis  => 27628, nepal     => 17711, neptun    => 29481, nerven    => 12012,
                        nervenheilanstalt
                                  => 26785,
                        nervensystem
                                  => 22356, nervenzellen
                                  => 27629,
                        nervenzusammenbruch
                                  => 29482,
                        nervos    => 21864, nest      => 4218, nester    => 8448, nestern   => 22357,
                        nestlinge => 17712, nestor    => 29483, netflix   => 19700, netto     => 19701,
                        network   => 10196, netz      => 2271, netzbetreiber
                                  => 21432,
                        netze     => 11783, netzen    => 18653, netzes    => 13680, netzwerk  => 3770,
                        netzwerke => 10823, netzwerken
                                  => 14811,
                        netzwerkes
                                  => 22884, netzwerks => 18009,
                        neu       => 284, neuanfang => 15653, neuapostolische
                                  => 27630,
                        neuartige => 13681, neuartigen
                                  => 15437,
                        neuaufbau => 21865, neuauflage
                                  => 6358,
                        neuauflagen
                                  => 18654, neuausgabe
                                  => 17423,
                        neuausrichtung
                                  => 17424, neubau    => 1309,
                        neubaugebiet
                                  => 19702, neubaus   => 11784,
                        neubaustrecke
                                  => 10370, neubauten => 5742,
                        neubeginn => 19703, neubrandenburg
                                  => 20966,
                        neuburg   => 29484, neudorf   => 20967, neue      => 126, neuem     => 5667,
                        neuen     => 156, neuenburg => 20534, neuentwicklung
                                  => 26786,
                        neuer     => 839, neuerdings
                                  => 16344,
                        neuere    => 4101, neueren   => 4064, neuerer   => 9288, neuerlich => 19704,
                        neuerliche
                                  => 23489, neuerlichen
                                  => 16097,
                        neueroffnung
                                  => 26015, neuerung  => 11421,
                        neuerungen
                                  => 7787, neues     => 791,
                        neueste   => 10649, neuesten  => 6137, neufassung
                                  => 15864,
                        neugebildeten
                                  => 27631, neugeborene
                                  => 19326,
                        neugeborenen
                                  => 16345, neugegrundete
                                  => 17713,
                        neugegrundeten
                                  => 13222, neugestaltung
                                  => 8178,
                        neugier   => 21433, neugierig => 20968, neugliederung
                                  => 25356,
                        neugotische
                                  => 13075, neugotischen
                                  => 16346,
                        neugrundung
                                  => 8382, neugrundungen
                                  => 27632,
                        neuguinea => 18655, neuigkeiten
                                  => 19705,
                        neukolln  => 27633, neuling   => 21866, neumarkt  => 15438, neumunster
                                  => 15226,
                        neun      => 592, neunkirchen
                                  => 16347,
                        neunmal   => 18010, neunte    => 9619, neunten   => 4755, neunter   => 12271,
                        neunzehn  => 24678, neunzehnten
                                  => 22358,
                        neunziger => 15227, neuordnung
                                  => 8383,
                        neuorganisation
                                  => 27634, neuorientierung
                                  => 23490,
                        neuregelung
                                  => 22359, neurologie
                                  => 22885,
                        neurologischen
                                  => 28514, neuruppin => 27635,
                        neuseeland
                                  => 4132, neuseelandische
                                  => 19327,
                        neuseelandischen
                                  => 13223, neuseelands
                                  => 17425,
                        neustadt  => 4307, neustadter
                                  => 16591,
                        neustart  => 18011, neustrukturierung
                                  => 22886,
                        neutral   => 11027, neutrale  => 11028, neutralen => 11029, neutraler => 26787,
                        neutralitat
                                  => 13370, neuwahl   => 17714,
                        neuwahlen => 11422, neuwied   => 19328, neuzeit   => 4433, neuzeitliche
                                  => 20535,
                        neuzeitlichen
                                  => 20113, nevada    => 15013,
                        neville   => 24059, new       => 472, newark    => 28515, newcastle => 18656,
                        newman    => 22887, newport   => 21434, news      => 6618, newsletter
                                  => 18657,
                        newton    => 17122, nicholas  => 10034, nicht     => 30, nichte    => 8561,
                        nichtig   => 22360, nichts    => 542, nichtsdestotrotz
                                  => 26788,
                        nicolas   => 9620, nie       => 497, nieder    => 1527, niederbayern
                                  => 21867,
                        niederdeutsche
                                  => 20536, niederdeutschen
                                  => 20114,
                        niedere   => 17715, niederen  => 11785, niedergang
                                  => 4700,
                        niedergebrannt
                                  => 10650, niedergelassen
                                  => 12405,
                        niedergelegt
                                  => 11896, niedergeschlagen
                                  => 9621,
                        niedergeschrieben
                                  => 21868,
                        niederlage
                                  => 2005, niederlagen
                                  => 4065,
                        niederlande
                                  => 2954, niederlanden
                                  => 2526,
                        niederlander
                                  => 7788, niederlandern
                                  => 27636,
                        niederlandisch
                                  => 16348, niederlandische
                                  => 4830,
                        niederlandischen
                                  => 2757, niederlandischer
                                  => 13371,
                        niederlassen
                                  => 22888, niederlassung
                                  => 8384,
                        niederlassungen
                                  => 7699, niederlausitz
                                  => 29485,
                        niederlegen
                                  => 21869, niederlegte
                                  => 29486,
                        niederliess
                                  => 18658, niederliessen
                                  => 18659,
                        niederosterreich
                                  => 8123, niederosterreichischen
                                  => 12778,
                        niederrhein
                                  => 14606, niedersachsen
                                  => 4040,
                        niedersachsische
                                  => 18660, niedersachsischen
                                  => 7789,
                        niedersachsischer
                                  => 17426,
                        niederschlag
                                  => 7436, niederschlage
                                  => 7875,
                        niederschlagen
                                  => 14202, niederschlagsmenge
                                  => 12920,
                        niederschlagsmengen
                                  => 28516,
                        niederschlagung
                                  => 14203, niederschrift
                                  => 25357,
                        niederung => 21870, niederzulassen
                                  => 26789,
                        niederzulegen
                                  => 26016, niedrig   => 5716,
                        niedrige  => 4795, niedrigem => 16349, niedrigen => 3641, niedriger => 4244,
                        niedrigere
                                  => 9289, niedrigeren
                                  => 7515,
                        niedrigerer
                                  => 29487, niedrigste
                                  => 13224,
                        niedrigsten
                                  => 12516, niemals   => 3068,
                        niemand   => 2721, niemandem => 14607, niemanden => 16592, niere     => 20969,
                        nieren    => 22361, nietzsche => 14812, nietzsches
                                  => 28517,
                        nigel     => 25358, niger     => 18012, nigeria   => 11548, nigerianischen
                                  => 29488,
                        night     => 6759, nights    => 26017, nikephoros
                                  => 29489,
                        nikki     => 27637, nikolaikirche
                                  => 24060,
                        nimmt     => 539, nintendo  => 11656, nirgends  => 16851, nirgendwo => 18998,
                        nische    => 7561, nischen   => 8179, nissan    => 26790, niveau    => 3494,
                        nixon     => 24679, nizza     => 15014, nobelpreis
                                  => 24680,
                        noble     => 23491, noch      => 49, nochmal   => 12921, nochmals  => 2385,
                        nockenwelle
                                  => 23492, noise     => 25359,
                        nokia     => 27638, nomaden   => 24061, nomen     => 21871, nomenklatur
                                  => 18661,
                        nominatform
                                  => 15654, nominell  => 20115,
                        nominiert => 3090, nominierte
                                  => 21435,
                        nominierten
                                  => 17427, nominierung
                                  => 8225,
                        nominierungen
                                  => 13530, nonne     => 16350,
                        nonnen    => 9461, nord      => 2543, nordafrika
                                  => 7186,
                        nordamerika
                                  => 3091, nordamerikanischen
                                  => 9698,
                        nordamerikas
                                  => 15439, nordatlantik
                                  => 20537,
                        norddeutsche
                                  => 20116, norddeutschen
                                  => 9699,
                        norddeutschland
                                  => 10738, norden    => 517,
                        nordende  => 18662, nordens   => 14813, nordeuropa
                                  => 17123,
                        nordflanke
                                  => 26018, nordflugel
                                  => 13076,
                        nordfrankreich
                                  => 27639, nordgrenze
                                  => 25360,
                        nordhang  => 24062, nordhausen
                                  => 19706,
                        nordic    => 28518, nordirland
                                  => 16852,
                        nordische => 20538, nordischen
                                  => 9098,
                        norditalien
                                  => 24063, nordkorea => 12272,
                        nordkoreanischen
                                  => 20117, nordkuste => 16351,
                        nordlich  => 876, nordliche => 2930, nordlichen
                                  => 1294,
                        nordlicher
                                  => 5284, nordlichste
                                  => 15655,
                        nordlichsten
                                  => 18663, nordost   => 13531,
                        nordostecke
                                  => 24681, nordosten => 2532,
                        nordostlich
                                  => 3815, nordostliche
                                  => 19329,
                        nordostlichen
                                  => 7122, nordostlicher
                                  => 18013,
                        nordostseite
                                  => 29490, nordportal
                                  => 22362,
                        nordrand  => 15865, nordsee   => 9542, nordseite => 2857, nordteil  => 16853,
                        nordturm  => 21872, nordufer  => 12517, nordwand  => 7604, nordwarts => 13862,
                        nordwest  => 17428, nordwestecke
                                  => 25361,
                        nordwesten
                                  => 2390, nordwestlich
                                  => 3869,
                        nordwestliche
                                  => 14814, nordwestlichen
                                  => 6656,
                        nordwestlicher
                                  => 16854, norfolk   => 18330,
                        norm      => 5766, norma     => 29491, normal    => 6795, normalbetrieb
                                  => 29492,
                        normale   => 4713, normalem  => 27640, normalen  => 2795, normaler  => 12143,
                        normalerweise
                                  => 2789, normales  => 13372,
                        normalfall
                                  => 13225, normalitat
                                  => 28519,
                        normalschanze
                                  => 21873, normalspur
                                  => 29493,
                        normandie => 14043, normannen => 22889, normative => 29494, normiert  => 24064,
                        norte     => 28520, north     => 2987, northeim  => 29495, northern  => 9700,
                        norton    => 15656, norwegen  => 2776, norwegens => 11897, norweger  => 13863,
                        norwegische
                                  => 9162, norwegischen
                                  => 4874,
                        norwegischer
                                  => 20118, norwich   => 22363,
                        notar     => 12518, notation  => 18331, notdurftig
                                  => 13682,
                        note      => 7398, noten     => 6619, notes     => 24065, notfall   => 12662,
                        notfalls  => 17429, notgedrungen
                                  => 16352,
                        notiert   => 8449, notierte  => 16098, notig     => 2357, notige    => 7399,
                        notigen   => 6830, notiz     => 15015, notizbuch => 24066, notizen   => 8757,
                        notkirche => 28521, notlage   => 18014, notlandung
                                  => 27641,
                        notre     => 25362, notruf    => 26019, nottingham
                                  => 24067,
                        notwehr   => 22364, notwendig => 1350, notwendige
                                  => 4366,
                        notwendigen
                                  => 3750, notwendigerweise
                                  => 18664,
                        notwendigkeit
                                  => 4520, nouvelle  => 24068,
                        nova      => 7226, novel     => 29496, novelle   => 10651, novellen  => 15657,
                        november  => 157, novum     => 23493, nsdap     => 4133, nuchtern  => 21874,
                        nuclear   => 23494, nuevo     => 27642, nuklearen => 25363, null      => 5121,
                        nullpunkt => 27643, number    => 28522, numerische
                                  => 21436,
                        numerischen
                                  => 29497, nummer    => 1783,
                        nummeriert
                                  => 17716, nummerierung
                                  => 10197,
                        nummern   => 5181, nun       => 165, nunmehr   => 2350, nur       => 47,
                        nurburgring
                                  => 22890, nurnberg  => 2331,
                        nussen    => 27644, nutzbar   => 7876, nutzbare  => 13864, nutzbaren => 19707,
                        nutze     => 20119, nutzen    => 1196, nutzer    => 3927, nutzern   => 12519,
                        nutzfahrzeuge
                                  => 29498, nutzflache
                                  => 12520,
                        nutzflachen
                                  => 26791, nutzlast  => 10035,
                        nutzlich  => 11786, nutzliche => 25364, nutzlos   => 25365, nutzpflanzen
                                  => 27645,
                        nutzt     => 2843, nutzte    => 2148, nutzten   => 4478, nutzung   => 1058,
                        nutzungen => 17717, nymphen   => 18665, oakland   => 27646, obama     => 19708,
                        obdachlos => 23495, obdachlose
                                  => 23496,
                        obdachlosen
                                  => 29499, obduktion => 28523,
                        obelisken => 25366, obelix    => 29500, oben      => 593, oberamt   => 18666,
                        oberarzt  => 20970, oberbau   => 27647, oberbayern
                                  => 19709,
                        oberbefehl
                                  => 18999, oberbefehlshaber
                                  => 12406,
                        oberbegriff
                                  => 24069, oberburgermeister
                                  => 6108,
                        oberburgermeisters
                                  => 19710,
                        oberdeck  => 26792, oberdorf  => 20539, obere     => 2647, oberen    => 942,
                        oberes    => 21437, oberflache
                                  => 1585,
                        oberflachen
                                  => 8562, oberflachlich
                                  => 15016,
                        oberflachliche
                                  => 29501, oberflachlichen
                                  => 28524,
                        oberfranken
                                  => 27648, obergeschoss
                                  => 2796,
                        obergeschosse
                                  => 19330, obergeschossen
                                  => 25367,
                        obergeschosses
                                  => 16353, obergrenze
                                  => 20540,
                        oberhalb  => 1741, oberhand  => 13373, oberhaupt => 11423, oberhaus  => 15658,
                        oberhausen
                                  => 13532, oberherrschaft
                                  => 26020,
                        oberhof   => 19331, oberhoheit
                                  => 15017,
                        oberin    => 23497, oberirdisch
                                  => 13533,
                        oberirdische
                                  => 26793, oberirdischen
                                  => 15866,
                        oberkante => 20971, oberkiefer
                                  => 19711,
                        oberkirchenrats
                                  => 25368, oberkommando
                                  => 15867,
                        oberkopf  => 18015, oberkorper
                                  => 12779,
                        oberland  => 18667, oberlandesgericht
                                  => 17430,
                        oberlauf  => 8065, oberlausitz
                                  => 18016,
                        oberlehrer
                                  => 24682, oberleitung
                                  => 18332,
                        oberleutnant
                                  => 14416, oberliga  => 3247,
                        oberligasaison
                                  => 20120, oberligaspiele
                                  => 20121,
                        oberligaspielen
                                  => 24683, oberligisten
                                  => 26021,
                        oberlippe => 19000, oberosterreich
                                  => 8695,
                        oberosterreichischen
                                  => 18017,
                        oberpfalz => 15228, oberrealschule
                                  => 24070,
                        oberregierungsrat
                                  => 28525,
                        oberrhein => 26022, oberschenkel
                                  => 15018,
                        oberschicht
                                  => 9099, oberschlesien
                                  => 23498,
                        oberschnabel
                                  => 27649, oberschule
                                  => 10927,
                        oberschwanzdecken
                                  => 19001,
                        oberseite => 3212, oberseits => 13374, oberst    => 5182, oberstadt => 24684,
                        oberstdorf
                                  => 26794, oberste   => 4115,
                        obersten  => 3127, oberster  => 14608, oberstes  => 24685, oberstleutnant
                                  => 10198,
                        oberstufe => 12144, oberteil  => 20972, obgleich  => 8563, obhut     => 8180,
                        obige     => 24686, obigen    => 10824, objekt    => 3040, objekte   => 2124,
                        objekten  => 6359, objektes  => 23499, objektiv  => 11130, objektive => 12407,
                        objektiven
                                  => 15868, objekts   => 16855,
                        oblag     => 10739, oblast    => 13375, obliegt   => 10036, obligatorisch
                                  => 21875,
                        obligatorische
                                  => 25369, obligatorischen
                                  => 25370,
                        obrigkeit => 10467, obschon   => 20541, observatorium
                                  => 18333,
                        obsolet   => 18018, obstbau   => 13376, obstgarten
                                  => 20973,
                        obwohl    => 375, ocean     => 16593, ochsen    => 18019, ocker     => 21438,
                        ockerfarben
                                  => 28526, odenwald  => 23500,
                        oder      => 46, odessa    => 26023, odyssee   => 24071, odysseus  => 22891,
                        odyssey   => 26795, oeuvre    => 19332, ofen      => 6690, offen     => 1586,
                        offenbach => 9369, offenbar  => 1539, offenbaren
                                  => 17124,
                        offenbart => 7516, offenbarte
                                  => 21876,
                        offenbarung
                                  => 13226, offenburg => 27650,
                        offene    => 2470, offenem   => 13227, offenen   => 1921, offener   => 5351,
                        offenes   => 10037, offenheit => 15019, offenkundig
                                  => 18020,
                        offenlegung
                                  => 26024, offensichtlich
                                  => 2769,
                        offensichtliche
                                  => 27651, offensiv  => 22892,
                        offensive => 6360, offensiven
                                  => 17718,
                        offentlich
                                  => 1676, offentliche
                                  => 1173,
                        offentlichem
                                  => 26025, offentlichen
                                  => 700,
                        offentlicher
                                  => 5183, offentliches
                                  => 7925,
                        offentlichkeit
                                  => 1018, offentlichkeitsarbeit
                                  => 8758,
                        office    => 8822, officer   => 12663, offiziell => 990, offizielle
                                  => 1532,
                        offiziellen
                                  => 1619, offizieller
                                  => 6657,
                        offizielles
                                  => 11424, offizier  => 4179,
                        offiziere => 3322, offizieren
                                  => 7354,
                        offiziers => 16354, offnen    => 3019, offnet    => 4935, offnete   => 6505,
                        offneten  => 22365, offnung   => 3680, offnungen => 8226, offnungszeiten
                                  => 17431,
                        oft       => 236, ofter     => 6138, ofteren   => 9225, ofters    => 12013,
                        oftmals   => 2096, ohio      => 7926, ohne      => 140, ohnehin   => 5100,
                        ohnmacht  => 20122, ohnmachtig
                                  => 26796,
                        ohrdecken => 28527, ohren     => 5031, okinawa   => 21439, oklahoma  => 13228,
                        okologie  => 11425, okologisch
                                  => 15229,
                        okologische
                                  => 9100, okologischen
                                  => 8124,
                        okologischer
                                  => 27652, okonomen  => 19712,
                        okonomie  => 10038, okonomisch
                                  => 18668,
                        okonomische
                                  => 7562, okonomischen
                                  => 7003,
                        okonomischer
                                  => 19002, okosystem => 21440,
                        okosystems
                                  => 29502, okres     => 11131,
                        oktave    => 26797, oktober   => 132, okumenische
                                  => 22893,
                        okumenischen
                                  => 16355, oldenbourg
                                  => 11228,
                        oldenburger
                                  => 14815, oldenburgischen
                                  => 28528,
                        olgemalde => 13865, olive     => 26798, oliven    => 29503, olivgrun  => 22366,
                        olivia    => 16099, olivier   => 15230, olmuhle   => 24687, olten     => 21441,
                        olympiasieg
                                  => 18334, olympiasieger
                                  => 11426,
                        olympiasiegerin
                                  => 24072, olympic   => 18335,
                        olympische
                                  => 8066, olympischen
                                  => 1945,
                        omega     => 26799, onkels    => 10558, online    => 2286, ontario   => 13229,
                        ontologie => 29504, open      => 3528, oper      => 2636, opera     => 8823,
                        operation => 2641, operationen
                                  => 5366,
                        operations
                                  => 16856, operativ  => 18336,
                        operative => 9101, operativen
                                  => 10468,
                        operator  => 27653, operatoren
                                  => 22367,
                        operette  => 13534, operetten => 25371, operieren => 17432, operiert  => 12273,
                        operierte => 17433, operierten
                                  => 19333,
                        opern     => 8227, opernhaus => 18337, opernsangerin
                                  => 27654,
                        opfer     => 949, opfergaben
                                  => 29505,
                        opfern    => 5010, opfers    => 12145, opfert    => 23501, opladen   => 22894,
                        oppenheim => 28529, oppenheimer
                                  => 24688,
                        opposition
                                  => 3703, oppositionelle
                                  => 18669,
                        oppositionellen
                                  => 17719, oppositionsparteien
                                  => 26800,
                        optik     => 11898, optimal   => 9102, optimale  => 8759, optimalen => 13230,
                        optimieren
                                  => 19003, optimiert => 12521,
                        optimierung
                                  => 9226, option    => 5869,
                        optional  => 9879, optionale => 28530, optionen  => 12664, optisch   => 5948,
                        optische  => 8067, optischen => 7355, optischer => 20974, oracle    => 25372,
                        orakel    => 29506, orange    => 4496, orangefarbenen
                                  => 27655,
                        orangen   => 22895, orangerie => 21442, oranienburg
                                  => 22896,
                        oratorien => 27656, oratorium => 20975, orbit     => 18021, orchester => 2995,
                        orchestern
                                  => 18022, orchesters
                                  => 9802,
                        orchestra => 6506, orden     => 3427, ordens    => 6329, ordentlich
                                  => 18023,
                        ordentliche
                                  => 12780, ordentlichen
                                  => 9033,
                        ordentlicher
                                  => 10559, ordentliches
                                  => 17434,
                        order     => 11132, ordinarius
                                  => 20976,
                        ordnen    => 15440, ordner    => 25373, ordnet    => 11427, ordnete   => 6330,
                        ordnung   => 1894, ordnungen => 20977, ordnungsgemass
                                  => 21443,
                        ordnungsgemasse
                                  => 24689, oregon    => 11324,
                        organ     => 5969, organe    => 6964, organen   => 16100, organisation
                                  => 934,
                        organisationen
                                  => 2070, organisationsform
                                  => 27657,
                        organisator
                                  => 14204, organisatoren
                                  => 13683,
                        organisatorisch
                                  => 13077, organisatorische
                                  => 11229,
                        organisatorischen
                                  => 11325,
                        organische
                                  => 9701, organischen
                                  => 8627,
                        organischer
                                  => 23502, organisieren
                                  => 5367,
                        organisiert
                                  => 1639, organisierte
                                  => 2964,
                        organisierten
                                  => 5308, organismen
                                  => 9962,
                        organismus
                                  => 9462, organist  => 10740,
                        organisten
                                  => 20123, organization
                                  => 21444,
                        organs    => 28531, orgel     => 1987, orgelbau  => 20542, orgelbauer
                                  => 15659,
                        orgelempore
                                  => 11549, orgeln    => 9622,
                        orient    => 11133, orientalische
                                  => 19713,
                        orientalischen
                                  => 15869, orientieren
                                  => 7927,
                        orientiert
                                  => 3802, orientierte
                                  => 4844,
                        orientierten
                                  => 6075, orientierung
                                  => 5101,
                        orients   => 23503, original  => 2308, originalausgabe
                                  => 26026,
                        originale => 6394, originalen
                                  => 7831,
                        originalfassung
                                  => 20978, originalgetreu
                                  => 14816,
                        originalitat
                                  => 16356, originals => 14609,
                        originaltitel
                                  => 10371, originalversion
                                  => 20979,
                        originalzustand
                                  => 12146, originelle
                                  => 22368,
                        orion     => 24073, orlando   => 14610, orleans   => 8025, ornament  => 27658,
                        ornamentalen
                                  => 27659, ornamente => 15441,
                        ornamenten
                                  => 19334, ornamentik
                                  => 24690,
                        ornithologen
                                  => 26801, orpheus   => 26802,
                        ort       => 190, orte      => 1727, orten     => 1983, ortenburg => 27660,
                        ortes     => 1152, orthodoxe => 12665, orthodoxen
                                  => 8125,
                        orthodoxie
                                  => 24691, ortlich   => 15020,
                        ortliche  => 4673, ortlichen => 2462, ortlicher => 22897, ortlichkeiten
                                  => 29507,
                        ortsansassige
                                  => 21445, ortsansassigen
                                  => 13377,
                        ortsausgang
                                  => 20543, ortsbezeichnung
                                  => 12781,
                        ortsbild  => 12782, ortsburgermeister
                                  => 12408,
                        ortschaft => 1837, ortschaften
                                  => 2970,
                        ortschaftsrat
                                  => 24074, ortseingang
                                  => 21446,
                        ortsgemeinde
                                  => 22898, ortsgeschichte
                                  => 28532,
                        ortsgruppe
                                  => 21447, ortsgruppen
                                  => 29508,
                        ortskern  => 5165, ortskerns => 13866, ortslage  => 11326, ortsmitte => 10825,
                        ortsname  => 3487, ortsnamen => 5184, ortsnamens
                                  => 10652,
                        ortsrand  => 8334, ortsteil  => 1716, ortsteile => 3343, ortsteilen
                                  => 6037,
                        ortsteils => 12409, ortsumgehung
                                  => 22899,
                        ortsvorsteher
                                  => 14205, ortszeit  => 15021,
                        ortszentrum
                                  => 12666, osaka     => 14044,
                        osborne   => 28533, oscar     => 7877, osella    => 28534, oslo      => 8277,
                        osmanen   => 9034, osmanische
                                  => 10469,
                        osmanischen
                                  => 5640, osnabruck => 6658,
                        osnabrucker
                                  => 19004, ostafrika => 17125,
                        ostasiatischen
                                  => 28535, ostasien  => 14817,
                        ostdeutsche
                                  => 21877, ostdeutschen
                                  => 12410,
                        ostdeutschland
                                  => 18338, osten     => 616,
                        ostende   => 22369, ostens    => 12667, ostern    => 7651, osterreich
                                  => 631,
                        osterreichern
                                  => 29509, osterreichische
                                  => 2537,
                        osterreichischen
                                  => 1369, osterreichischer
                                  => 7274,
                        osterreichisches
                                  => 25374, osterreichs
                                  => 3895,
                        osteuropa => 6873, osteuropaischen
                                  => 19335,
                        osteuropas
                                  => 22900, ostflugel => 18670,
                        ostflugels
                                  => 28536, ostfriesischen
                                  => 17720,
                        ostfriesland
                                  => 11327, ostfront  => 15442,
                        ostgebieten
                                  => 27661, osthang   => 28537,
                        ostkuste  => 9163, ostlich   => 1217, ostliche  => 3658, ostlichen => 1528,
                        ostlicher => 8967, ostpreussen
                                  => 8628,
                        ostpreussischen
                                  => 26027, ostrand   => 24692,
                        ostsee    => 7928, ostseite  => 3704, ostteil   => 12522, osttimor  => 12668,
                        osttimors => 21878, ostufer   => 13078, ostwand   => 11787, ostwarts  => 14206,
                        other     => 21448, ottawa    => 15870, ottomotor => 28538, ottos     => 16357,
                        ovale     => 11550, ovalen    => 11657, owens     => 25375, oxford    => 5352,
                        oxidation => 18024, oxidiert  => 26803, ozean     => 10470, ozeane    => 29510,
                        ozeanien  => 24075, ozeans    => 24693, paar      => 1067, paare     => 5688,
                        paaren    => 8278, paares    => 10471, paarung   => 8824, paarungen => 16857,
                        paarungszeit
                                  => 13684, paarweise => 8564,
                        pablo     => 15022, pacht     => 16358, pachter   => 8068, pachtete  => 28539,
                        pachtvertrag
                                  => 22901, pacific   => 10039,
                        packard   => 26028, packchen  => 26804, packen    => 23504, packt     => 16359,
                        padagoge  => 21879, padagogen => 16101, padagogik => 7187, padagogische
                                  => 7929,
                        padagogischen
                                  => 6139, padagogisches
                                  => 28540,
                        paderborn => 6721, padre     => 25376, padua     => 15871, paket     => 11658,
                        pakete    => 13535, paketen   => 28541, pakistan  => 6722, pakistanischen
                                  => 19714,
                        palace    => 14818, palais    => 6076, palaontologie
                                  => 24694,
                        palas     => 26029, palast    => 3954, palaste   => 26030, palastes  => 11899,
                        palastina => 8385, palastinenser
                                  => 23505,
                        palastinensische
                                  => 23506, palastinensischen
                                  => 16360,
                        palazzo   => 9164, palette   => 13867, palmen    => 16858, palmer    => 15872,
                        pamela    => 23507, panama    => 16361, panamerikanischen
                                  => 29511,
                        pandemie  => 16362, panik     => 7982, panorama  => 16859, panthers  => 24076,
                        panzern   => 16860, panzers   => 28542, panzerung => 11230, paper     => 24077,
                        papier    => 3803, papiere   => 11788, papieren  => 28543, papierfabrik
                                  => 16363,
                        papiermuhle
                                  => 26031, pappenheim
                                  => 25377,
                        papst     => 2549, papste    => 29512, papstes   => 10040, papstliche
                                  => 16364,
                        papstlichen
                                  => 10372, papyrus   => 21880,
                        parade    => 17126, paradies  => 10741, paradigma => 27662, paradise  => 20980,
                        paragraphen
                                  => 26805, paraguay  => 11428,
                        parallel  => 1106, parallele => 8760, parallelen
                                  => 6659,
                        parameter => 6166, parametern
                                  => 20981,
                        paramount => 19336, parasiten => 15873, parchen   => 17127, parcours  => 28544,
                        parfum    => 27663, paris     => 759, pariser   => 4123, parish    => 18025,
                        park      => 956, parkanlage
                                  => 10826,
                        parkanlagen
                                  => 18339, parker    => 8069,
                        parkers   => 29513, parkett   => 28545, parkhaus  => 17721, parkplatz => 6919,
                        parkplatze
                                  => 12669, parkplatzen
                                  => 25378,
                        parks     => 3050, parlament => 1493, parlamentarier
                                  => 17722,
                        parlamentarische
                                  => 12014, parlamentarischen
                                  => 8825,
                        parlamentarischer
                                  => 24695,
                        parlamentarismus
                                  => 19005, parlamente
                                  => 22902,
                        parlamentes
                                  => 26032, parlaments
                                  => 5385,
                        parlamentswahl
                                  => 11231, parlamentswahlen
                                  => 8126,
                        parma     => 19337, parodie   => 20124, parolen   => 27664, parque    => 22370,
                        partei    => 577, parteien  => 1407, parteifuhrung
                                  => 19338,
                        parteilos => 19715, parteimitglieder
                                  => 24696,
                        parteitag => 10928, parteivorsitz
                                  => 26033,
                        parteivorsitzenden
                                  => 22371,
                        parteivorsitzender
                                  => 21881,
                        parteivorstand
                                  => 28546, partido   => 18340,
                        partie    => 3028, partiell  => 18026, partielle => 22372, partien   => 2485,
                        partikel  => 11659, partikeln => 26034, partisanen
                                  => 12411,
                        partitur  => 17723, partizipation
                                  => 26035,
                        partner   => 2054, partnerin => 10742, partnern  => 8127, partners  => 12412,
                        partnerschaft
                                  => 5545, partnerschaften
                                  => 14417,
                        parts     => 28547, party     => 3334, partys    => 17128, parzelle  => 23508,
                        parzellen => 12413, pass      => 5410, passage   => 7832, passagen  => 6723,
                        passagier => 16365, passagiere
                                  => 2713,
                        passagieren
                                  => 8826, passanten => 12922,
                        passau    => 10560, passauer  => 25379, passe     => 8901, passen    => 7275,
                        passend   => 9963, passende  => 9880, passenden => 9103, passender => 25380,
                        passes    => 26806, passhohe  => 18671, passieren => 5614, passiert  => 4066,
                        passierte => 10130, passierten
                                  => 27665,
                        passion   => 18672, passiv    => 14418, passive   => 10287, passiven  => 13079,
                        passt     => 5767, passte    => 11328, passten   => 26036, pastor    => 5743,
                        pastoren  => 17435, pastors   => 16861, patch     => 19339, patenschaft
                                  => 29514,
                        patent    => 5949, patente   => 10199, patenten  => 28548, patentieren
                                  => 28549,
                        patentiert
                                  => 27666, pater     => 8279,
                        paterson  => 27667, pathologie
                                  => 21449,
                        pathologischen
                                  => 26807, pathos    => 26808,
                        patient   => 6831, patienten => 1327, patientin => 17129, patientinnen
                                  => 28550,
                        patriarch => 21450, patriarchen
                                  => 15874,
                        patricia  => 11789, patrimonialherrschaften
                                  => 24697,
                        patrioten => 21451, patriotische
                                  => 24698,
                        patriotischen
                                  => 21452, patriots  => 29515,
                        patrizier => 26809, patron    => 16102, patronat  => 13231, patrone   => 16594,
                        patronen  => 18673, patrouille
                                  => 27668,
                        patrozinium
                                  => 25381, patterson => 23509,
                        paula     => 9543, pauline   => 10288, paulo     => 9803, pauschal  => 20125,
                        pause     => 3705, pausen    => 13536, pausieren => 18027, pausierte => 26810,
                        pavillon  => 9544, pavillons => 14207, pazifik   => 10561, pazifikkuste
                                  => 26811,
                        pazifischen
                                  => 16595, peace     => 15231,
                        pearl     => 15660, pearson   => 19340, pedal     => 9964, pedro     => 6660,
                        pegel     => 16366, peinlich  => 23510, peking    => 7983, peloponnes
                                  => 28551,
                        pelze     => 22373, pendant   => 14819, pendel    => 22374, pendeln   => 22903,
                        pendelt   => 26812, pendelte  => 16367, pendler   => 20544, penelope  => 27669,
                        penis     => 11551, pennsylvania
                                  => 8280,
                        penny     => 16368, pensionen => 19716, pensioniert
                                  => 13378,
                        pensionierung
                                  => 5768, people    => 13080,
                        percy     => 13868, pereira   => 27670, perez     => 10289, perfect   => 26813,
                        perfekt   => 7311, perfekte  => 13081, perfekten => 17130, perfektion
                                  => 27671,
                        performance
                                  => 8629, performances
                                  => 22904,
                        periode   => 3896, perioden  => 13379, periodisch
                                  => 15023,
                        periodische
                                  => 29516, peripherie
                                  => 15875,
                        perkins   => 18674, perlen    => 13685, permanent => 9804, permanente
                                  => 12783,
                        permanenten
                                  => 13380, perry     => 13686,
                        perser    => 17724, persien   => 15024, persische => 11429, persischen
                                  => 9545,
                        person    => 936, personal  => 3174, personals => 15876, personalunion
                                  => 16596,
                        personell => 21882, personelle
                                  => 13869,
                        personellen
                                  => 18341, personen  => 242,
                        personengruppen
                                  => 28552, personenkreis
                                  => 20545,
                        personennahverkehr
                                  => 22375,
                        personennamen
                                  => 10472, personenverkehr
                                  => 4205,
                        personenverkehrs
                                  => 20982, personenwagen
                                  => 12274,
                        personenzug
                                  => 28553, personenzuge
                                  => 15661,
                        personlich
                                  => 2701, personliche
                                  => 2492,
                        personlichem
                                  => 28554, personlichen
                                  => 2412,
                        personlicher
                                  => 7227, personliches
                                  => 14045,
                        personlichkeit
                                  => 4417, personlichkeiten
                                  => 3428,
                        perspektive
                                  => 3726, perspektiven
                                  => 4479,
                        perth     => 20546, peru      => 8335, peruanischen
                                  => 29517,
                        perucke   => 22905, pest      => 7930, petersberg
                                  => 19717,
                        petersburg
                                  => 5565, petersburger
                                  => 26037,
                        petit     => 16103, petition  => 13232, petitionen
                                  => 26814,
                        petrus    => 6620, peugeot   => 21883, pfade     => 21884, pfaden    => 28555,
                        pfadfinder
                                  => 23511, pfahle    => 24078,
                        pfahlen   => 26038, pfalz     => 8336, pfalzischen
                                  => 19718,
                        pfand     => 21453, pfarramt  => 13381, pfarre    => 6331, pfarrei   => 2475,
                        pfarreien => 12275, pfarrer   => 1611, pfarrers  => 7517, pfarrgemeinde
                                  => 9035,
                        pfarrhaus => 5261, pfarrhof  => 13382, pfarrkirche
                                  => 2173,
                        pfarrkirchen
                                  => 29518, pfarrstelle
                                  => 15662,
                        pfeife    => 28556, pfeifen   => 11660, pfeile    => 13082, pfeilen   => 24699,
                        pfeilern  => 9104, pferd     => 3086, pferde    => 2844, pferden   => 6661,
                        pferderennen
                                  => 27672, pferdes   => 15025,
                        pferdezucht
                                  => 21885, pfingsten => 14611,
                        pflanze   => 4188, pflanzen  => 1587, pflanzenarten
                                  => 7356,
                        pflanzenmaterial
                                  => 23512, pflanzenschutzmittel
                                  => 29519,
                        pflanzenteile
                                  => 15443, pflanzenteilen
                                  => 26039,
                        pflanzenwelt
                                  => 17725, pflanzliche
                                  => 27673,
                        pflanzlichen
                                  => 18028, pflaster  => 22906,
                        pflege    => 3097, pflegeeltern
                                  => 26040,
                        pflegeheim
                                  => 16104, pflegen   => 8386,
                        pflegt    => 10473, pflegte   => 8281, pflegten  => 22376, pflicht   => 5426,
                        pflichten => 6038, pflichtspiel
                                  => 27674,
                        pflichtspiele
                                  => 24079, pflichtspielen
                                  => 27675,
                        pforte    => 11232, pforten   => 21454, pforzheim => 14820, pfosten   => 14208,
                        pfund     => 3626, phanomen  => 4746, phanomene => 9805, phanomenen
                                  => 25382,
                        phanomens => 24700, phantasie => 12147, phantasien
                                  => 23513,
                        phantastische
                                  => 28557, phantastischen
                                  => 23514,
                        phantom   => 18029, pharmazeutische
                                  => 21886,
                        pharmazeutischen
                                  => 19006, pharmazie => 22907,
                        phase     => 1574, phasen    => 5206, philadelphia
                                  => 7228,
                        philharmonie
                                  => 20547, philippine
                                  => 27676,
                        philippinen
                                  => 8128, philippinischen
                                  => 20548,
                        philips   => 20126, phillips  => 12414, philologie
                                  => 9806,
                        philologischen
                                  => 29520, philosoph => 20549,
                        philosophen
                                  => 7563, philosophie
                                  => 1469,
                        philosophisch
                                  => 19719, philosophische
                                  => 6429,
                        philosophischen
                                  => 4480, philosophischer
                                  => 24701,
                        philosophy
                                  => 26815, phoenix   => 10131,
                        phosphor  => 20550, photographie
                                  => 16597,
                        photonen  => 25383, photosynthese
                                  => 27677,
                        phrase    => 23515, phrasen   => 23516, physics   => 24080, physik    => 4124,
                        physikalisch
                                  => 24702, physikalische
                                  => 9881,
                        physikalischen
                                  => 8761, physiker  => 13870,
                        physiologie
                                  => 14046, physiologische
                                  => 20983,
                        physiologischen
                                  => 15663, physisch  => 16598,
                        physische => 10373, physischen
                                  => 8827,
                        physischer
                                  => 29521, pianist   => 9463,
                        pianisten => 11900, pianistin => 12415, piano     => 8630, picasso   => 19007,
                        picture   => 24081, pictures  => 14821, pierce    => 20551, pieta     => 23517,
                        pietismus => 28558, pilaster  => 19341, pilastern => 20127, pilatus   => 26041,
                        pilgern   => 22377, pilot     => 5185, piloten   => 3128, pilotfilm => 29522,
                        pilotprojekt
                                  => 27678, pilsen    => 27679,
                        pilze     => 13687, pilzen    => 17436, pinto     => 29523, pioneer   => 21887,
                        pionier   => 10200, pioniere  => 13537, pipeline  => 21888, piquet    => 28559,
                        piraten   => 7605, pirmasens => 22378, pirna     => 23518, piste     => 15877,
                        pisten    => 19342, pistole   => 7564, pistolen  => 21889, pittsburgh
                                  => 15444,
                        pixeln    => 25384, pizza     => 25385, place     => 8696, places    => 19720,
                        pladiert  => 22908, pladierte => 17131, pladoyer  => 21455, plage     => 26816,
                        plain     => 27680, plains    => 24082, plakat    => 19008, plakate   => 13383,
                        plakaten  => 27681, plakette  => 16862, plan      => 1378, plane     => 1607,
                        planen    => 2507, planes    => 26042, planet    => 10201, planeten  => 4153,
                        planmassig
                                  => 11552, planmassige
                                  => 16105,
                        planmassigen
                                  => 25386, plans     => 18030,
                        plant     => 4418, plantage  => 17132, plantagen => 14419, plantation
                                  => 26817,
                        plante    => 4701, planten   => 17133, planung   => 1909, planungen => 3370,
                        planungsphase
                                  => 20128, plasma    => 23519,
                        plastik   => 8968, plastiken => 14612, plastisch => 20552, plastische
                                  => 19343,
                        plastischen
                                  => 20553, plata     => 24083,
                        plateau   => 6077, plateaus  => 17134, platform  => 29524, platin    => 16599,
                        platon    => 10202, platons   => 11430, plattchen => 20554, platte    => 3670,
                        platten   => 3712, plattenfirma
                                  => 9105,
                        plattenfirmen
                                  => 26818, plattenlabel
                                  => 20984,
                        plattenvertrag
                                  => 11431, plattform => 3420,
                        plattformen
                                  => 8902, platz     => 158,
                        platze    => 1765, platzen   => 2766, platzes   => 5919, platzieren
                                  => 5332,
                        platziert => 5122, platzierte
                                  => 7400,
                        platzierten
                                  => 18342, platzierung
                                  => 3738,
                        platzierungen
                                  => 6621, platzmangel
                                  => 21456,
                        platzt    => 28560, plauen    => 16369, plausibel => 16370, player    => 14420,
                        players   => 28561, playoffs  => 6109, playstation
                                  => 14421,
                        plaza     => 13384, pleite    => 21890, plenum    => 21457, plinius   => 21458,
                        plotzlich => 2165, plotzliche
                                  => 16106,
                        plotzlichen
                                  => 10203, plundern  => 24703,
                        plunderten
                                  => 17437, plunderung
                                  => 22379,
                        plunderungen
                                  => 10562, plural    => 10929,
                        plus      => 7790, plymouth  => 17438, pocket    => 27682, podcast   => 18031,
                        podest    => 10743, podestplatz
                                  => 29525,
                        podestplatze
                                  => 22380, podium    => 12276,
                        poesie    => 7931, poetik    => 24084, poetische => 17726, poetischen
                                  => 15445,
                        point     => 6600, points    => 28562, poirot    => 26819, pokal     => 6110,
                        pokalfinale
                                  => 29526, pokalsieg => 25387,
                        pokalsieger
                                  => 12015, pokalwettbewerb
                                  => 15878,
                        pokemon   => 15026, poker     => 15027, polemik   => 26820, polen     => 1313,
                        polens    => 8565, police    => 11233, policy    => 19009, poliert   => 24085,
                        poliklinik
                                  => 28563, politburo => 28564,
                        political => 18032, politik   => 746, politiker => 2696, politikern
                                  => 8762,
                        politikers
                                  => 20985, politikwissenschaft
                                  => 15446,
                        politisch => 1787, politische
                                  => 683,
                        politischem
                                  => 17135, politischen
                                  => 546,
                        politischer
                                  => 2726, politisches
                                  => 6563,
                        polizei   => 797, polizeibeamte
                                  => 19721,
                        polizeibeamten
                                  => 15447, polizeibehorden
                                  => 26821,
                        polizeichef
                                  => 19010, polizeigewalt
                                  => 29527,
                        polizeilich
                                  => 28565, polizeiliche
                                  => 18343,
                        polizeilichen
                                  => 15448, polizeiprasidium
                                  => 20555,
                        polizeirevier
                                  => 24704, polizeistation
                                  => 23520,
                        polizeiwache
                                  => 29528, polizist  => 7878,
                        polizisten
                                  => 2885, polizistin
                                  => 18675,
                        pollen    => 18033, polnisch  => 10132, polnische => 3804, polnischen
                                  => 2098,
                        polnischer
                                  => 8631, polten    => 17439,
                        polygonale
                                  => 29529, polygonalen
                                  => 24086,
                        polymere  => 27683, pommern   => 11432, pommerschen
                                  => 19722,
                        pompeius  => 26822, ponte     => 22381, popmusik  => 15028, popular   => 4860,
                        populare  => 10474, popularen => 9036, popularer => 18676, popularitat
                                  => 4578,
                        popularsten
                                  => 16107, popularwissenschaftliche
                                  => 26043,
                        population
                                  => 6479, populationen
                                  => 7004,
                        poren     => 18034, porsche   => 7042, port      => 5870, porta     => 12016,
                        portal    => 2980, portale   => 12277, portalen  => 24705, portals   => 24706,
                        porte     => 22909, porter    => 13385, portfolio => 14613, portikus  => 22382,
                        portland  => 11030, porto     => 10744, portrait  => 24707, portrat   => 5717,
                        portratiert
                                  => 17727, portratierte
                                  => 19723,
                        portratierten
                                  => 27684, portratmaler
                                  => 27685,
                        portrats  => 4674, ports     => 24708, portsmouth
                                  => 29530,
                        portugal  => 3261, portugals => 14822, portugiesen
                                  => 10374,
                        portugiesisch
                                  => 17136, portugiesische
                                  => 7357,
                        portugiesischen
                                  => 5386, portugiesischer
                                  => 22383,
                        porzellan => 13386, posaune   => 23521, posen     => 11661, position  => 785,
                        positionen
                                  => 2310, positionieren
                                  => 20986,
                        positioniert
                                  => 11329, positionierte
                                  => 27686,
                        positionierung
                                  => 16863, positiv   => 2097,
                        positive  => 2892, positiven => 4497, positiver => 11901, positives => 13871,
                        posselenije
                                  => 18035, postamt   => 9623,
                        posten    => 1930, poster    => 20987, posthum   => 14047, postkarte => 20988,
                        postkarten
                                  => 16864, postleitzahl
                                  => 22384,
                        poststelle
                                  => 29531, postuliert
                                  => 22385,
                        postum    => 16600, potential => 7791, potentiell
                                  => 19724,
                        potentielle
                                  => 12670, potentiellen
                                  => 11031,
                        potenz    => 28566, potenzial => 10290, potenziell
                                  => 20556,
                        potenzielle
                                  => 15879, potenziellen
                                  => 17440,
                        potok     => 8026, potsdam   => 4419, potsdamer => 12278, powell    => 14614,
                        power     => 5790, powers    => 26044, powiat    => 26045, prachtig  => 20557,
                        prachtige => 22910, prachtigen
                                  => 20129,
                        practice  => 20989, pradesh   => 29532, pradikat  => 11902, prafekt   => 29533,
                        prafektur => 12671, praferenz => 28567, praferenzen
                                  => 26046,
                        prafix    => 24709, prag      => 2903, pragen    => 7932, pragend   => 12148,
                        pragende  => 16601, pragenden => 21459, pragt     => 11234, pragte    => 5615,
                        pragten   => 10653, pragung   => 9702, prahistorische
                                  => 22911,
                        prahistorischen
                                  => 21460, praktika  => 21891,
                        praktiken => 12416, praktiker => 29534, praktikum => 15029, praktisch => 2206,
                        praktische
                                  => 4284, praktischen
                                  => 4950,
                        praktischer
                                  => 12923, praktizieren
                                  => 11662,
                        praktiziert
                                  => 9546, praktizierte
                                  => 6300,
                        praktizierten
                                  => 27687, pramie    => 28568,
                        pramien   => 18677, pramiert  => 16865, praparat  => 21892, praparate => 24710,
                        prapariert
                                  => 25388, praparierten
                                  => 26823,
                        prasent   => 7005, prasentation
                                  => 7312,
                        prasentationen
                                  => 20558, prasentieren
                                  => 5817,
                        prasentiert
                                  => 2341, prasentierte
                                  => 4324,
                        prasentierten
                                  => 13872, prasenz   => 7518,
                        prases    => 22912, prasident => 799, prasidenten
                                  => 1692,
                        prasidentenamt
                                  => 24087, prasidentin
                                  => 6691,
                        prasidentschaft
                                  => 11663, prasidentschaftswahl
                                  => 15664,
                        prasidentschaftswahlen
                                  => 16108,
                        prasidierte
                                  => 17728, prasidium => 7879,
                        prasidiums
                                  => 13387, pratt     => 24088,
                        pravention
                                  => 14615, praxis    => 1165,
                        prazise   => 7437, prazisen  => 26824, praziser  => 26047, prazision => 13233,
                        predigen  => 20990, prediger  => 7519, predigt   => 8697, predigte  => 22386,
                        predigten => 8828, preis     => 1050, preise    => 2610, preisen   => 6832,
                        preises   => 11134, preisgegeben
                                  => 16866,
                        preisgeld => 7520, preisgelder
                                  => 18036,
                        preisniveau
                                  => 28569, preist    => 29535,
                        preistrager
                                  => 7521, preisvergabe
                                  => 26825,
                        preisverleihung
                                  => 15449, preiswerte
                                  => 28570,
                        preiswerten
                                  => 29536, premier   => 8829,
                        premiere  => 3062, premierminister
                                  => 4796,
                        premierministers
                                  => 14048, premio    => 17137,
                        premium   => 20130, presbyterium
                                  => 29537,
                        president => 15030, press     => 4601, pressburg => 28571, presse    => 2109,
                        pressefreiheit
                                  => 23522, pressekonferenz
                                  => 10291,
                        pressemitteilung
                                  => 12149, pressen   => 20131,
                        prestige  => 17138, preston   => 20132, pretty    => 24711, preussen  => 2593,
                        preussens => 11903, preussische
                                  => 4481,
                        preussischen
                                  => 2162, preussischer
                                  => 12417,
                        pride     => 22913, priester  => 2687, priestern => 14616, priesters => 19725,
                        priesterseminar
                                  => 24089, priesterweihe
                                  => 29538,
                        prima     => 29539, primar    => 5011, primare   => 12784, primaren  => 14209,
                        primary   => 21893, primaten  => 24090, prime     => 19344, primera   => 13873,
                        primitive => 24712, primitiven
                                  => 22387,
                        primzahl  => 20133, prince    => 5920, princess  => 17441, princeton => 13688,
                        principal => 29540, principalis
                                  => 28572,
                        principia => 29541, print     => 24091, printmedien
                                  => 26048,
                        prinzen   => 5591, prinzessin
                                  => 4094,
                        prinzessinnen
                                  => 28573, prinzip   => 2604,
                        prinzipiell
                                  => 6267, prinzipielle
                                  => 24092,
                        prinzipien
                                  => 5123, prinzips  => 29542,
                        prior     => 15232, prioritat => 11135, prioritaten
                                  => 26049,
                        privat    => 4732, privatbesitz
                                  => 4845,
                        privatdetektiv
                                  => 26050, privatdozent
                                  => 11790,
                        private   => 1910, privateigentum
                                  => 24713,
                        privatem  => 18678, privaten  => 1754, privater  => 6268, privates  => 10563,
                        privathaus
                                  => 25389, privatisiert
                                  => 18679,
                        privatisierung
                                  => 15880, privatkunden
                                  => 23523,
                        privatleben
                                  => 8181, privatleute
                                  => 29543,
                        privatmann
                                  => 26051, privatpersonen
                                  => 9624,
                        privatsammlung
                                  => 28574, privatschule
                                  => 15031,
                        privatschulen
                                  => 22914, privatsphare
                                  => 22915,
                        privatunternehmen
                                  => 28575,
                        privatunterricht
                                  => 18680, privatwirtschaft
                                  => 22916,
                        privileg  => 15233, privilegien
                                  => 7313,
                        privilegierten
                                  => 22917, prix      => 4388,
                        prize     => 15234, pro       => 359, probanden => 11553, probe     => 7151,
                        probebetrieb
                                  => 29544, probefahrten
                                  => 28576,
                        proben    => 5769, probezeit => 29545, problem   => 1503, problematik
                                  => 10930,
                        problematisch
                                  => 5309, problematische
                                  => 22388,
                        problematischen
                                  => 20991, probleme  => 892,
                        problemen => 2904, problemlos
                                  => 7358,
                        problems  => 10931, process   => 28577, producer  => 28578, production
                                  => 17729,
                        productions
                                  => 9882, products  => 28579,
                        produkt   => 3076, produkte  => 1591, produkten => 5146, produktes => 15235,
                        produktion
                                  => 642, produktionen
                                  => 3659,
                        produktionsanlagen
                                  => 27688,
                        produktionsfirma
                                  => 10827, produktionskosten
                                  => 10133,
                        produktionsstatte
                                  => 17730,
                        produktionsstatten
                                  => 15032,
                        produktionszeit
                                  => 27689, produktiv => 20559,
                        produktive
                                  => 28580, produktivitat
                                  => 12418,
                        produktpalette
                                  => 14617, produkts  => 22918,
                        produzent => 4140, produzenten
                                  => 3897,
                        produzentin
                                  => 18037, produzieren
                                  => 4482,
                        produzierende
                                  => 28581, produzierenden
                                  => 17139,
                        produziert
                                  => 992, produzierte
                                  => 2642,
                        produzierten
                                  => 4810, profanen  => 25390,
                        professional
                                  => 17442, professionalisierung
                                  => 22389,
                        professionell
                                  => 11433, professionelle
                                  => 5950,
                        professionellen
                                  => 6965, professioneller
                                  => 9883,
                        professor => 1078, professoren
                                  => 7565,
                        professorin
                                  => 10041, professors
                                  => 14049,
                        professur => 6003, profi     => 10204, profidebut
                                  => 20134,
                        profifussball
                                  => 16371, profikader
                                  => 15881,
                        profikarriere
                                  => 12150, profil    => 5456,
                        profile   => 14422, profilen  => 24093, profiliert
                                  => 25391,
                        profilierte
                                  => 20135, profilierten
                                  => 17140,
                        profimannschaft
                                  => 16109, profis    => 10134,
                        profit    => 18344, profitabel
                                  => 21894,
                        profitieren
                                  => 7700, profitiert
                                  => 14050,
                        profitierte
                                  => 11235, profitierten
                                  => 16602,
                        profivertrag
                                  => 10042, prognose  => 10135,
                        prognosen => 16110, prognostiziert
                                  => 23524,
                        program   => 14618, programm  => 1086, programme => 3545, programmen
                                  => 8903,
                        programmierer
                                  => 18681, programmiersprache
                                  => 27690,
                        programmiersprachen
                                  => 27691,
                        programmiert
                                  => 15882, programmierung
                                  => 12279,
                        programms => 6874, progress  => 25392, progressive
                                  => 13689,
                        progressiven
                                  => 26826, project   => 9290,
                        projekt   => 745, projekte  => 2037, projekten => 4245, projektes => 6225,
                        projektiert
                                  => 29546, projektion
                                  => 18038,
                        projektleiter
                                  => 20560, projekts  => 5566,
                        projiziert
                                  => 20992, proklamation
                                  => 24094,
                        prokurist => 26827, proletarischen
                                  => 29547,
                        prolog    => 15450, promenade => 16111, prometheus
                                  => 23525,
                        promille  => 20136, prominent => 26828, prominente
                                  => 7933,
                        prominenten
                                  => 8282, prominenter
                                  => 17731,
                        promotion => 4688, promoviert
                                  => 5207,
                        promovierte
                                  => 5473, prompt    => 11434,
                        pronomen  => 28582, propaganda
                                  => 6724,
                        propagiert
                                  => 18345, propagierte
                                  => 16112,
                        propagierten
                                  => 27692, propeller => 17732,
                        prophet   => 16113, propheten => 9464, prophezeiung
                                  => 23526,
                        proportional
                                  => 12672, proportionen
                                  => 15236,
                        propstei  => 24714, prorektor => 26829, prosa     => 10292, prosieben => 24715,
                        prospekt  => 21461, prostituierte
                                  => 13874,
                        prostituierten
                                  => 13083, prostitution
                                  => 13084,
                        protagonist
                                  => 10828, protagonisten
                                  => 4702,
                        protagonistin
                                  => 16867, protection
                                  => 22919,
                        protein   => 16372, proteine  => 13690, proteinen => 18346, protektorat
                                  => 24716,
                        protest   => 5689, protestanten
                                  => 7984,
                        protestantisch
                                  => 19726, protestantische
                                  => 10654,
                        protestantischen
                                  => 7152, protestantischer
                                  => 26052,
                        protestantismus
                                  => 13388, proteste  => 5519,
                        protesten => 6833, protestieren
                                  => 20561,
                        protestiert
                                  => 24717, protestierte
                                  => 15883,
                        protestierten
                                  => 16868, prothese  => 26830,
                        protokoll => 8501, protokolle
                                  => 15665,
                        protokolls
                                  => 29548, protonen  => 20993,
                        prototyp  => 5124, prototypen
                                  => 7229,
                        prototyps => 19011, provence  => 29549, proviant  => 20994, providence
                                  => 26831,
                        provider  => 27693, provincial
                                  => 15451,
                        provinz   => 1297, provinzen => 3916, provinzhauptstadt
                                  => 29550,
                        provinzregierung
                                  => 24095, provisorisch
                                  => 12151,
                        provisorische
                                  => 10205, provisorischen
                                  => 10375,
                        provisorium
                                  => 22920, provokation
                                  => 22921,
                        provozieren
                                  => 20137, provoziert
                                  => 16373,
                        provozierte
                                  => 27694, prozedur  => 22922,
                        prozent   => 370, prozentpunkte
                                  => 17141,
                        prozentsatz
                                  => 17443, prozentual
                                  => 28583,
                        prozess   => 1339, prozesse  => 3565, prozessen => 7566, prozesses => 6760,
                        prozession
                                  => 12523, prozessionen
                                  => 24718,
                        prozessor => 20995, prozessoren
                                  => 13085,
                        prufen    => 7123, pruft     => 15237, prufte    => 20996, prufung   => 2598,
                        prufungen => 7606, prufungskommission
                                  => 27695,
                        psalm     => 21895, psalmen   => 26832, pseudonym => 4434, pseudonyme
                                  => 29551,
                        pseudonymen
                                  => 24719, psyche    => 19727,
                        psychiater
                                  => 16114, psychiatrie
                                  => 8830,
                        psychiatrische
                                  => 18347, psychiatrischen
                                  => 13234,
                        psychisch => 10043, psychische
                                  => 7230,
                        psychischen
                                  => 8337, psychischer
                                  => 20562,
                        psychoanalyse
                                  => 13538, psychoanalytische
                                  => 28584,
                        psychoanalytischen
                                  => 28585,
                        psychologen
                                  => 14423, psychologie
                                  => 4888,
                        psychologin
                                  => 25393, psychologisch
                                  => 29552,
                        psychologische
                                  => 9106, psychologischen
                                  => 9227,
                        psychologischer
                                  => 20138, psychotherapeuten
                                  => 26833,
                        psychotherapie
                                  => 12419, ptolemaios
                                  => 18348,
                        pubertat  => 27696, public    => 6538, publik    => 18349, publikation
                                  => 4521,
                        publikationen
                                  => 2453, publikum  => 1461,
                        publikums => 10932, publikumsliebling
                                  => 25394,
                        publikumspreis
                                  => 22390, publisher => 28586,
                        publishing
                                  => 13235, publizieren
                                  => 16869,
                        publiziert
                                  => 3585, publizierte
                                  => 4041,
                        publizierten
                                  => 15452, publizist => 20139,
                        publizisten
                                  => 27697, publizistik
                                  => 28587,
                        publizistisch
                                  => 25395, publizistische
                                  => 24096,
                        publizistischen
                                  => 26834, puccinia  => 17142,
                        puerto    => 10655, pultdach  => 29553, pumpe     => 12924, pumpen    => 10656,
                        punkt     => 1312, punkte    => 894, punkten   => 918, punkterange
                                  => 16870,
                        punktgleich
                                  => 15666, punktiert => 26835,
                        punktlich => 23527, punktspiele
                                  => 11791,
                        punktspielen
                                  => 11330, punktuell => 25396,
                        punktzahl => 10564, puppen    => 11904, putin     => 18682, putsch    => 12785,
                        putschisten
                                  => 27698, putschversuch
                                  => 27699,
                        putten    => 26836, putzbau   => 28588, putzen    => 24720, pyramide  => 8969,
                        pyramiden => 22923, pyrmont   => 27700, quader    => 29554, quadrat   => 11236,
                        quadrate  => 25397, quadratisch
                                  => 14210,
                        quadratische
                                  => 7085, quadratischem
                                  => 16374,
                        quadratischen
                                  => 5951, quadratischer
                                  => 22391,
                        quadratkilometer
                                  => 2812, quadratkilometern
                                  => 4579,
                        quadratmeter
                                  => 5668, quadratmetern
                                  => 6692,
                        qualen    => 21896, qualifikation
                                  => 2120,
                        qualifikationen
                                  => 18039, qualifikationsrunde
                                  => 9228,
                        qualifikationsrunden
                                  => 27701,
                        qualifikationsturnier
                                  => 27702,
                        qualifizieren
                                  => 3649, qualifiziert
                                  => 4420,
                        qualifizierte
                                  => 3667, qualifizierten
                                  => 3488,
                        qualifizierung
                                  => 19345, qualifying
                                  => 20140,
                        qualitat  => 1734, qualitaten
                                  => 9165,
                        qualitativ
                                  => 7985, qualitative
                                  => 19346,
                        qualitativen
                                  => 29555, qualitatssicherung
                                  => 17733,
                        quantenmechanik
                                  => 29556, quantitativ
                                  => 21897,
                        quantitative
                                  => 19728, quantum   => 25398,
                        quarantane
                                  => 23528, quartal   => 8698,
                        quarterback
                                  => 20141, quartet   => 23529,
                        quartett  => 9703, quartier  => 7607, quartiere => 16375, quasi     => 5952,
                        quebec    => 10829, quecksilber
                                  => 19012,
                        quedlinburg
                                  => 17734, queen     => 8502,
                        queens    => 26053, queensland
                                  => 14424,
                        quelle    => 1282, quellen   => 826, quellenangaben
                                  => 18350,
                        quellenlage
                                  => 14823, quellgebiet
                                  => 17143,
                        quellwasser
                                  => 29557, quer      => 4522,
                        querbalken
                                  => 24721, querelen  => 28589,
                        querhaus  => 15238, querhauses
                                  => 26054,
                        querlinie => 26837, querlinien
                                  => 26838,
                        querschiff
                                  => 12786, querschnitt
                                  => 5669,
                        querstreifen
                                  => 22392, quert     => 20142,
                        quinn     => 18040, quintett  => 19013, quito     => 26055, quote     => 12524,
                        quoten    => 17444, rabbi     => 24097, rabbiner  => 13875, raben     => 20997,
                        rache     => 4498, rachel    => 10206, rachen    => 7086, racing    => 7401,
                        radar     => 12925, radeberg  => 29558, radebeul  => 24098, radern    => 11664,
                        radfahren => 15667, radfahrer => 12673, radial    => 18351, radiale   => 24722,
                        radierungen
                                  => 19014, radikal   => 10933,
                        radikale  => 12152, radikalen => 7567, radikaler => 22924, radio     => 2076,
                        radioaktive
                                  => 28590, radioaktiven
                                  => 26056,
                        radios    => 23530, radiosender
                                  => 12153,
                        radiosendung
                                  => 19347, radiosendungen
                                  => 26057,
                        radiostationen
                                  => 24099, radius    => 8904,
                        radrennen => 22393, radsport  => 13876, radstand  => 6332, radweg    => 10745,
                        radwege   => 21898, rafael    => 13086, raffinerie
                                  => 22925,
                        ragen     => 10657, ragt      => 8070, ragte     => 26839, rahmen    => 461,
                        rahmenbedingungen
                                  => 9965, rahmenhandlung
                                  => 20143,
                        rahmenprogramm
                                  => 21899, rahmens   => 25399,
                        raiders   => 27703, raiffeisen
                                  => 28591,
                        raiffeisenbank
                                  => 19015, raikkonen => 14425,
                        railroad  => 8071, railway   => 6111, rajon     => 9229, rajons    => 20563,
                        rakete    => 6601, raketen   => 8699, rallye    => 13389, ramon     => 16376,
                        ramos     => 27704, rampe     => 9884, rampen    => 13539, ranch     => 14426,
                        rand      => 1621, randall   => 22926, randdornen
                                  => 14619,
                        rande     => 4811, rander    => 9885, randern   => 10376, randy     => 18352,
                        rang      => 766, range     => 6875, rangen    => 13390, ranger    => 21462,
                        rangers   => 12787, ranges    => 15453, rangfolge => 20564, rangierbahnhof
                                  => 27705,
                        rangierte => 24723, rangliste => 9230, ranken    => 16377, ranking   => 15884,
                        rankings  => 25400, rapide    => 10475, rapids    => 23531, rapper    => 10207,
                        rasant    => 15239, rasante   => 19016, rasanten  => 24724, raschen   => 12154,
                        rascher   => 14824, rasen     => 10377, rasse     => 6361, rassen    => 8450,
                        rassismus => 9966, rassistische
                                  => 20565,
                        rassistischen
                                  => 19017, rastatt   => 18683,
                        raster    => 19018, rastplatz => 22927, raststatte
                                  => 29559,
                        rate      => 7701, raten     => 14427, rates     => 5641, ratgeber  => 11905,
                        rathaus   => 2055, rathauses => 7702, rathausplatz
                                  => 24725,
                        ratifiziert
                                  => 24100, rating    => 25401,
                        rational  => 16115, rationale => 20566, rationalen
                                  => 20567,
                        rationalitat
                                  => 26058, ratschlage
                                  => 18353,
                        ratsel    => 9547, ratselhaft
                                  => 27706,
                        ratselhaften
                                  => 29560, ratsfrauen
                                  => 28592,
                        ratsherr  => 15668, ratsherren
                                  => 12280,
                        ratsherrn => 24726, ratsmitglied
                                  => 21463,
                        ratsmitglieder
                                  => 26059, ratten    => 10658,
                        rauber    => 8905, raubern   => 24101, raububerfalle
                                  => 29561,
                        raubzuge  => 24727, rauchen   => 14211, rauen     => 13691, raum      => 537,
                        raume     => 1975, raumen    => 2880, raumes    => 6834, raumfahrer
                                  => 28593,
                        raumfahrt => 18354, raumgewinn
                                  => 26060,
                        raumlich  => 7568, raumliche => 6966, raumlichen
                                  => 8970,
                        raumlicher
                                  => 24728, raumlichkeiten
                                  => 4285,
                        raumordnung
                                  => 26840, raums     => 13087,
                        raumschiff
                                  => 9704, raumschiffe
                                  => 24729,
                        raumschiffs
                                  => 26061, raumstation
                                  => 16116,
                        raumt     => 19729, raumte    => 11331, raumtemperatur
                                  => 19348,
                        raumung   => 12281, raupen    => 7522, rauschen  => 21464, rauten    => 28594,
                        ravenna   => 24730, ravensburg
                                  => 15669,
                        raymond   => 10934, reading   => 25402, ready     => 29562, reagieren => 5670,
                        reagiert  => 4617, reagierte => 5791, reagierten
                                  => 13088,
                        reaktion  => 2438, reaktionen
                                  => 4812,
                        reaktiviert
                                  => 16378, reaktivierung
                                  => 15670,
                        reaktor   => 14825, reaktoren => 20144, real      => 4308, reale     => 6796,
                        realen    => 5387, realgymnasium
                                  => 15240,
                        realisierbar
                                  => 19019, realisieren
                                  => 7523,
                        realisiert
                                  => 2702, realisierte
                                  => 11032,
                        realisierten
                                  => 23532, realisierung
                                  => 6480,
                        realismus => 11906, realistisch
                                  => 13089,
                        realistische
                                  => 12525, realistischen
                                  => 18041,
                        realistischer
                                  => 24731, realitat  => 3650,
                        realitaten
                                  => 26841, reality   => 27707,
                        realschule
                                  => 7359, rebellen  => 5871,
                        rebellion => 8387, reben     => 24732, rebflache => 21465, rebounds  => 8228,
                        rebsorte  => 22394, rebsorten => 16871, receiver  => 24733, rechenleistung
                                  => 26062,
                        rechenschaft
                                  => 21900, rechenzentrum
                                  => 29563,
                        recherche => 10746, recherchen
                                  => 8700,
                        recherchiert
                                  => 20145, rechnen   => 5921,
                        rechner   => 8906, rechnerisch
                                  => 24734,
                        rechnet   => 11907, rechnete  => 14428, rechnung  => 4580, rechnungen
                                  => 12155,
                        rechnungswesen
                                  => 29564, recht     => 490,
                        rechte    => 1034, rechteck  => 16603, rechteckfenster
                                  => 28595,
                        rechteckig
                                  => 10747, rechteckige
                                  => 5495,
                        rechteckigem
                                  => 22928, rechteckigen
                                  => 5012,
                        rechteckiger
                                  => 15454, rechteckiges
                                  => 20998,
                        rechten   => 971, rechter   => 10565, rechtes   => 19020, rechtfertigen
                                  => 11332,
                        rechtfertigt
                                  => 25403, rechtfertigte
                                  => 22929,
                        rechtfertigung
                                  => 15033, rechtlich => 6039,
                        rechtliche
                                  => 5690, rechtlichen
                                  => 6507,
                        rechtlicher
                                  => 24102, rechtmassig
                                  => 19730,
                        rechtmassige
                                  => 22930, rechtmassigen
                                  => 23533,
                        rechtmassigkeit
                                  => 24103, rechts    => 780,
                        rechtsanwalt
                                  => 2905, rechtsanwalte
                                  => 19021,
                        rechtsanwaltin
                                  => 19731, rechtsanwalts
                                  => 26063,
                        rechtschreibung
                                  => 18042, rechtsextreme
                                  => 19022,
                        rechtsextremen
                                  => 16117, rechtsextremismus
                                  => 24735,
                        rechtsextremisten
                                  => 29565,
                        rechtsform
                                  => 20146, rechtsgeschichte
                                  => 18043,
                        rechtsgrundlage
                                  => 20568, rechtskraftig
                                  => 16604,
                        rechtslage
                                  => 22931, rechtsordnung
                                  => 18355,
                        rechtsprechung
                                  => 6395, rechtsradikalen
                                  => 26842,
                        rechtsseitig
                                  => 20569, rechtsstreit
                                  => 11033,
                        rechtsstreitigkeiten
                                  => 25404,
                        rechtssystem
                                  => 27708, rechtsvorschriften
                                  => 24736,
                        rechtswidrig
                                  => 21901, rechtswissenschaft
                                  => 13692,
                        rechtswissenschaften
                                  => 7792,
                        rechtswissenschaftlichen
                                  => 27709,
                        rechtwinklig
                                  => 13877, rechtzeitig
                                  => 4349,
                        recklinghausen
                                  => 20147, reclam    => 20148,
                        record    => 15455, recording => 24737, recordings
                                  => 22932,
                        records   => 2121, redakteur => 4747, redakteure
                                  => 18684,
                        redakteurin
                                  => 19349, redaktion => 4081,
                        redaktionell
                                  => 26843, redaktionelle
                                  => 22933,
                        redaktionellen
                                  => 22395, redaktionen
                                  => 20999,
                        rede      => 1925, reden     => 3388, redet     => 10830, redewendung
                                  => 28596,
                        redigierte
                                  => 23534, redner    => 8971,
                        reduktion => 8338, reduzieren
                                  => 5102,
                        reduziert => 1705, reduzierte
                                  => 5848,
                        reduzierten
                                  => 10831, reduzierter
                                  => 24738,
                        reduzierung
                                  => 6761, reeder    => 24739,
                        reederei  => 5792, reedereien
                                  => 26064,
                        reelle    => 24740, reellen   => 19350, referat   => 14620, referate  => 24741,
                        referats  => 26844, referendariat
                                  => 19732,
                        referendum
                                  => 8831, referent  => 10566,
                        referenten
                                  => 19733, referenz  => 16118,
                        reflektieren
                                  => 16119, reflektiert
                                  => 10044,
                        reflexion => 10567, reflexionen
                                  => 15241,
                        reform    => 4338, reformation
                                  => 3771,
                        reformationszeit
                                  => 22934, reformen  => 4523,
                        reformer  => 24742, reformiert
                                  => 14826,
                        reformierte
                                  => 8701, reformierten
                                  => 7188,
                        refrain   => 8907, refrains  => 26065, regatta   => 26066, regel     => 503,
                        regelfall => 8182, regelmassig
                                  => 653,
                        regelmassige
                                  => 4167, regelmassigen
                                  => 4116,
                        regelmassiger
                                  => 10832, regelmassiges
                                  => 21466,
                        regeln    => 1852, regelrecht
                                  => 17144,
                        regelrechte
                                  => 21902, regelrechten
                                  => 21000,
                        regelt    => 8763, regelte   => 14621, regelung  => 3495, regelungen
                                  => 4246,
                        regelwerk => 13090, regen     => 3473, regenbogen
                                  => 22935,
                        regeneration
                                  => 23535, regenfalle
                                  => 15885,
                        regenfallen
                                  => 14429, regens    => 25405,
                        regensburg
                                  => 4389, regent    => 16872,
                        regenten  => 18044, regentin  => 24743, regentschaft
                                  => 10935,
                        regenwald => 19023, regenwalder
                                  => 23536,
                        regenwasser
                                  => 16379, regenzeit => 10293,
                        reges     => 21903, reggae    => 29566, regie     => 2077, regiearbeit
                                  => 24744,
                        regieren  => 14051, regierende
                                  => 24104,
                        regierenden
                                  => 14212, regiert   => 9291,
                        regierte  => 7652, regierten => 18045, regierung => 429, regierungen
                                  => 6430,
                        regierungsbezirk
                                  => 13391, regierungsbezirks
                                  => 17735,
                        regierungschef
                                  => 15242, regierungschefs
                                  => 22396,
                        regierungsgeschafte
                                  => 18046,
                        regierungskoalition
                                  => 27710,
                        regierungsprasidenten
                                  => 25406,
                        regierungsprasidium
                                  => 21467,
                        regierungsrat
                                  => 9625, regierungssitz
                                  => 26845,
                        regierungstruppen
                                  => 21001,
                        regierungszeit
                                  => 7006, regime    => 7360,
                        regiment  => 3236, regimenter
                                  => 12017,
                        regimentern
                                  => 29567, regiments => 8229,
                        regimes   => 12282, reginald  => 23537, regio     => 16873, region    => 541,
                        regional  => 4398, regionale => 2996, regionalen
                                  => 2376,
                        regionaler
                                  => 8230, regionales
                                  => 21002,
                        regionalgeschichte
                                  => 20149,
                        regionalliga
                                  => 3606, regionalverkehr
                                  => 21468,
                        regionen  => 1614, regisseur => 2198, regisseure
                                  => 13693,
                        regisseuren
                                  => 22936, regisseurin
                                  => 10748,
                        regisseurs
                                  => 12018, register  => 3713,
                        registern => 15034, registrieren
                                  => 15886,
                        registriert
                                  => 3824, registrierte
                                  => 11554,
                        registrierten
                                  => 14827, registrierung
                                  => 10476,
                        reglement => 13540, regnet    => 29568, regte     => 12788, regular   => 10833,
                        regulare  => 5474, regularen => 2955, regularer => 21469, regulares => 26846,
                        regularien
                                  => 29569, regulation
                                  => 26847,
                        regulieren
                                  => 21003, reguliert => 12019,
                        regulierung
                                  => 15035, rehabilitation
                                  => 15456,
                        rehabilitiert
                                  => 13541, rehabilitierung
                                  => 21470,
                        reibung   => 19351, reibungslos
                                  => 26067,
                        reichem   => 26068, reichen   => 1817, reichende => 23538, reichenden
                                  => 25407,
                        reichenhall
                                  => 27711, reiches   => 2517,
                        reichhaltige
                                  => 20570, reichhaltigen
                                  => 28597,
                        reichlich => 7476, reichs    => 7746, reichsbahn
                                  => 9548,
                        reichskanzler
                                  => 22937, reichsmark
                                  => 12674,
                        reichspost
                                  => 27712, reichsrat => 24745,
                        reichsregierung
                                  => 18685, reichsstadt
                                  => 13542,
                        reichstag => 7880, reichstags
                                  => 28598,
                        reichstagswahlen
                                  => 25408, reichstaler
                                  => 24746,
                        reichsten => 10045, reichsverfassung
                                  => 25409,
                        reichswehr
                                  => 22938, reicht    => 1549,
                        reichte   => 2489, reichten  => 7653, reichtum  => 5744, reichtums => 27713,
                        reichweite
                                  => 3586, reife     => 6725,
                        reifen    => 4483, reifeprufung
                                  => 20150,
                        reift     => 28599, reifung   => 26848, reihe     => 475, reihen    => 2784,
                        reihenfolge
                                  => 3102, reihte    => 24105,
                        reihung   => 28600, reims     => 23539, reinbek   => 16605, reine     => 3435,
                        reinem    => 22939, reinen    => 4102, reines    => 9626, reinheit  => 14430,
                        reinigen  => 14431, reinigung => 9370, reise     => 1476, reisebericht
                                  => 21904,
                        reisefuhrer
                                  => 22940, reisekosten
                                  => 27714,
                        reisen    => 1829, reisende  => 6726, reisenden => 7833, reisender => 29570,
                        reiseverkehr
                                  => 26069, reisezeit => 19352,
                        reiseziel => 29571, reissen   => 9292, reisst    => 10834, reist     => 5496,
                        reiste    => 2703, reisten   => 12020, reiten    => 10294, reiterei  => 22941,
                        reiterhof => 26849, reitern   => 13392, reitet    => 15036, reithalle => 29572,
                        reize     => 17445, reizen    => 28601, rekonstruieren
                                  => 10835,
                        rekonstruiert
                                  => 6333, rekonstruierte
                                  => 21471,
                        rekonstruierten
                                  => 26850, rekonstruktion
                                  => 4951,
                        rekonstruktionen
                                  => 21004, rekord    => 3928,
                        rekorde   => 14052, rekordmeister
                                  => 18356,
                        rekruten  => 21472, rekrutieren
                                  => 24106,
                        rekrutiert
                                  => 14053, rekrutierte
                                  => 22942,
                        rekrutierten
                                  => 29573, rekrutierung
                                  => 24107,
                        rektor    => 4421, rektors   => 29574, relais    => 26070, relation  => 9705,
                        relationen
                                  => 22397, relations => 24108,
                        relativ   => 654, relative  => 8339, relativen => 12675, relativer => 23540,
                        relativiert
                                  => 27715, relativitatstheorie
                                  => 21473,
                        release   => 16874, relegation
                                  => 11333,
                        relegationsspiele
                                  => 28602,
                        relevant  => 9371, relevante => 12789, relevanten
                                  => 9293,
                        relevanz  => 9807, relief    => 5970, reliefs   => 7314, religion  => 2311,
                        religionen
                                  => 6269, religionsausubung
                                  => 25410,
                        religionsfreiheit
                                  => 24109,
                        religionsgemeinschaft
                                  => 19734,
                        religionsgemeinschaften
                                  => 24747,
                        religionsunterricht
                                  => 15887,
                        religios  => 10749, religiose => 2997, religiosen
                                  => 2672,
                        religioser
                                  => 7276, religioses
                                  => 19024,
                        religiositat
                                  => 21474, relikt    => 27716,
                        relikte   => 23541, reliquie  => 28603, reliquien => 10208, remake    => 26071,
                        rembrandt => 24110, remis     => 8566, remix     => 13878, remixe    => 23542,
                        remscheid => 24111, renaissance
                                  => 5592,
                        renaturiert
                                  => 24748, renaturierung
                                  => 26851,
                        renault   => 9886, rendezvous
                                  => 22398,
                        rendite   => 19353, rendsburg => 28604, rennbahn  => 28605, rennen    => 776,
                        rennens   => 7569, rennfahrer
                                  => 20151,
                        rennrunde => 21905, rennserie => 16606, rennsport => 22943, rennstall => 21906,
                        rennstrecke
                                  => 16380, rennt     => 12526,
                        rennwagen => 13091, rennwochenende
                                  => 26852,
                        renommee  => 26853, renommierte
                                  => 18686,
                        renommierten
                                  => 9627, renommiertesten
                                  => 29575,
                        renovation
                                  => 29576, renovieren
                                  => 23543,
                        renoviert => 2906, renovierte
                                  => 21005,
                        renovierten
                                  => 23544, renovierung
                                  => 3651,
                        renovierungen
                                  => 16120, renovierungsarbeiten
                                  => 9967,
                        rentabel  => 20571, rentabilitat
                                  => 22944,
                        rente     => 10477, rentenversicherung
                                  => 24112,
                        rentner   => 22945, reorganisation
                                  => 13543,
                        reorganisiert
                                  => 28606, reparatur => 6564,
                        reparaturarbeiten
                                  => 19025,
                        reparaturen
                                  => 7315, reparieren
                                  => 12527,
                        repariert => 6835, repertoire
                                  => 6565,
                        repertoires
                                  => 29577, replik    => 23545,
                        report    => 14213, reportage => 24113, reportagen
                                  => 14214,
                        reporter  => 8632, reporterin
                                  => 24114,
                        reports   => 22399, reprasentant
                                  => 15888,
                        reprasentanten
                                  => 10836, reprasentantenhaus
                                  => 8972,
                        reprasentation
                                  => 12676, reprasentativ
                                  => 16607,
                        reprasentative
                                  => 7608, reprasentativen
                                  => 8388,
                        reprasentativer
                                  => 25411, reprasentatives
                                  => 29578,
                        reprasentieren
                                  => 7793, reprasentiert
                                  => 6226,
                        reprasentierte
                                  => 18357, reprasentierten
                                  => 28607,
                        repressalien
                                  => 21475, repression
                                  => 26072,
                        repressionen
                                  => 21006, reprint   => 21907,
                        reprise   => 16381, reproduktion
                                  => 19026,
                        reproduktionen
                                  => 23546, reproduziert
                                  => 29579,
                        reptilien => 15037, republic  => 21476, republik  => 1323, republikaner
                                  => 7834,
                        republikanern
                                  => 26854, republikanische
                                  => 15243,
                        republikanischen
                                  => 9107, reputation
                                  => 17145,
                        requiem   => 24749, requisiten
                                  => 29580,
                        research  => 4636, reservat  => 15038, reservation
                                  => 24115,
                        reserve   => 4548, reservemannschaft
                                  => 13236,
                        reserven  => 14432, reserviert
                                  => 13092,
                        reservisten
                                  => 24750, reservoir => 14828,
                        residenz  => 5922, residenzstadt
                                  => 19027,
                        residierte
                                  => 16382, resistance
                                  => 22946,
                        resistent => 26855, resolution
                                  => 9706,
                        resonanz  => 8567, resort    => 25412, resorts   => 29581, respekt   => 6967,
                        respektieren
                                  => 29582, respektiert
                                  => 26073,
                        respektive
                                  => 13694, ressort   => 16383,
                        ressorts  => 15671, ressource => 19354, ressourcen
                                  => 4004,
                        rest      => 1636, restaurant
                                  => 3098,
                        restaurants
                                  => 4602, restauration
                                  => 14215,
                        restaurator
                                  => 25413, restaurieren
                                  => 19355,
                        restauriert
                                  => 2319, restaurierte
                                  => 12021,
                        restaurierten
                                  => 16608, restaurierung
                                  => 3512,
                        restaurierungen
                                  => 17446, restaurierungsarbeiten
                                  => 11435,
                        reste     => 1612, resten    => 8451, restliche => 6227, restlichen
                                  => 1993,
                        restlos   => 16875, restriktionen
                                  => 26074,
                        restrukturierung
                                  => 28608, resultat  => 5567,
                        resultate => 7524, resultieren
                                  => 15672,
                        resultierende
                                  => 10478, resultierenden
                                  => 9887,
                        resultiert
                                  => 10568, resultierte
                                  => 15244,
                        resultierten
                                  => 22947, resumiert => 24751,
                        retrospektive
                                  => 20152, retten    => 2071,
                        rettet    => 5475, rettete   => 9888, retteten  => 29583, rettung   => 5082,
                        rettungsaktion
                                  => 24752, rettungsboot
                                  => 29584,
                        rettungsboote
                                  => 27717, rettungsdienst
                                  => 22400,
                        rettungskrafte
                                  => 29585, return    => 23547,
                        reunion   => 18687, reuters   => 28609, reutlingen
                                  => 14216,
                        revanche  => 24753, reverend  => 26856, revidiert => 15889, revidierte
                                  => 24116,
                        revier    => 8183, reviere   => 19028, reviers   => 27718, review    => 12283,
                        reviews   => 24754, revision  => 7043, revival   => 26075, revolte   => 14054,
                        revolution
                                  => 2061, revolutionar
                                  => 17146,
                        revolutionare
                                  => 9549, revolutionaren
                                  => 8129,
                        revolver  => 13093, revue     => 10378, reynolds  => 15890, rezensent => 26857,
                        rezensenten
                                  => 17736, rezensiert
                                  => 27719,
                        rezension => 11908, rezensionen
                                  => 9372,
                        rezenten  => 22948, rezept    => 17147, rezepte   => 15457, rezepten  => 26076,
                        rezeption => 6797, rezeptoren
                                  => 20572,
                        rezipienten
                                  => 26077, rezipiert => 16121,
                        rhein     => 3917, rheine    => 22401, rheinfelden
                                  => 29586,
                        rheinische
                                  => 16876, rheinischen
                                  => 9166,
                        rheinland => 6040, rheinprovinz
                                  => 16122,
                        rheins    => 13237, rheintal  => 27720, rheinufer => 18358, rhetorik  => 12790,
                        rhodes    => 24755, rhodos    => 26858, rhone     => 27721, rhythm    => 21007,
                        rhythmen  => 16877, rhythmisch
                                  => 21008,
                        rhythmische
                                  => 22949, rhythmischen
                                  => 28610,
                        rhythmus  => 7189, ricardo   => 22950, ricciardo => 19356, richard   => 1592,
                        richards  => 13879, richardson
                                  => 15673,
                        richie    => 24117, richmond  => 16609, richten   => 5457, richterin => 19357,
                        richtern  => 18047, richtet   => 3063, richtete  => 2931, richteten => 8389,
                        richtfest => 19029, richtig   => 3161, richtige  => 4549, richtigen => 5234,
                        richtiger => 18048, richtigkeit
                                  => 15458,
                        richtlinie
                                  => 9968, richtlinien
                                  => 6454,
                        richtung  => 433, richtungen
                                  => 4309,
                        ricky     => 24118, ridge     => 17447, riechen   => 25414, riecht    => 24756,
                        rief      => 3786, riefen    => 10379, riemen    => 19030, riesa     => 22951,
                        riesen    => 12677, riesenslalom
                                  => 12022,
                        riesige   => 8908, riesigen  => 7570, riesiges  => 24757, riffs     => 28611,
                        right     => 22952, rights    => 15245, riley     => 19031, rillen    => 17737,
                        rinde     => 9231, rinder    => 9108, rindern   => 14829, rinderzucht
                                  => 28612,
                        ringe     => 8340, ringen    => 6455, ringes    => 26078, ringformig
                                  => 23548,
                        ringmauer => 13238, rings     => 12284, ringstrasse
                                  => 15246,
                        ringsum   => 24119, ringt     => 20573, rinnen    => 23549, ripley    => 27722,
                        rippe     => 18049, rippen    => 7438, risiken   => 5818, risiko    => 3529,
                        riskieren => 28613, rissen    => 17738, riten     => 15039, rittergut => 5953,
                        rittergutes
                                  => 24758, ritterkreuz
                                  => 29587,
                        rittern   => 16878, ritters   => 18050, ritterschaft
                                  => 17448,
                        rittersitz
                                  => 26859, ritterstandes
                                  => 27723,
                        rittmeister
                                  => 17148, ritual    => 12285,
                        rituale   => 13239, ritualen  => 22953, rituelle  => 18359, rituellen => 19735,
                        ritus     => 18360, rivalen   => 8764, rivalisierenden
                                  => 26860,
                        rivalitat => 12678, rivalitaten
                                  => 26079,
                        river     => 1935, rivera    => 22402, rivers    => 16123, riviere   => 22403,
                        road      => 3706, roadster  => 22954, robbins   => 25415, roberto   => 13094,
                        roberts   => 10750, robertson => 15891, robinson  => 8390, roboter   => 9232,
                        robust    => 14830, robuste   => 24759, robustheit
                                  => 29588,
                        roche     => 16879, rochester => 16880, rockband  => 21009, rockets   => 25416,
                        rockmusik => 18361, rocks     => 26080, rocky     => 15892, rodney    => 27724,
                        rodolfo   => 29589, rodriguez => 10837, rodung    => 17739, roger     => 5368,
                        rogers    => 11436, roggen    => 15459, rohan     => 28614, rohbau    => 20153,
                        rohre     => 6693, rohren    => 8568, rohres    => 29590, rohrleitung
                                  => 28615,
                        rohrleitungen
                                  => 20154, rohstoff  => 22955,
                        rohstoffe => 8765, rohstoffen
                                  => 15460,
                        rokoko    => 23550, rolle     => 380, rollen    => 2091, rollenspiel
                                  => 28616,
                        rolling   => 19736, rollstuhl => 13880, rollt     => 21477, rollte    => 19358,
                        roma      => 7703, romance   => 26861, romane    => 3148, romanen   => 6920,
                        romanik   => 25417, romanische
                                  => 6968,
                        romanischen
                                  => 5642, romanischer
                                  => 24120,
                        romans    => 4236, romantik  => 10751, romantisch
                                  => 27725,
                        romantische
                                  => 10936, romantischen
                                  => 11792,
                        romantischer
                                  => 26862, romanvorlage
                                  => 27726,
                        romanze   => 24121, romeo     => 12926, romern    => 12528, romero    => 26863,
                        romerstrasse
                                  => 21010, romerzeit => 15674,
                        romische  => 3014, romischen => 1616, romischer => 6301, romisches => 17740,
                        ronnie    => 26081, roosevelt => 14433, rosa      => 3840, rosalie   => 21478,
                        rosario   => 27727, rosas     => 28617, rosberg   => 17741, rose      => 3335,
                        rosengarten
                                  => 28618, rosenheim => 17449,
                        rosette   => 20574, rosetten  => 23551, rosie     => 27728, rossi     => 17149,
                        rosso     => 27729, rostock   => 4390, rostocker => 12791, rotation  => 10479,
                        rotbraun  => 8633, rotbraune => 21011, rotbraunen
                                  => 29591,
                        rote      => 1886, rotem     => 7402, roten     => 1356, rotenburg => 26082,
                        roter     => 4550, rotes     => 10046, rothenburg
                                  => 21012,
                        rothschild
                                  => 19032, rotieren  => 27730,
                        rotierenden
                                  => 20575, rotiert   => 21013,
                        rotlich   => 6041, rotlichbraun
                                  => 26864,
                        rotliche  => 18362, rotlichen => 16610, rotor     => 21908, rotterdam => 10659,
                        rottweil  => 27731, rotunde   => 26083, rotwein   => 25418, rouen     => 22956,
                        rouge     => 22404, round     => 20155, route     => 3122, routen    => 8973,
                        router    => 28619, routine   => 24760, rovers    => 26865, rowohlt   => 16124,
                        royal     => 3009, royale    => 20156, ruanda    => 21909, rubel     => 18363,
                        ruben     => 20576, rubens    => 26084, rubrik    => 13240, rubriken  => 22957,
                        ruckbau   => 16125, ruckbesinnung
                                  => 26866,
                        ruckblende
                                  => 17450, ruckblenden
                                  => 17742,
                        ruckblick => 12023, ruckblickend
                                  => 12792,
                        rucken    => 1748, ruckenflosse
                                  => 11034,
                        ruckens   => 21479, ruckeroberung
                                  => 15247,
                        ruckfahrt => 15893, ruckflug  => 28620, ruckfuhrung
                                  => 16611,
                        ruckgabe  => 10380, ruckgang  => 4618, ruckgangig
                                  => 8130,
                        ruckgrat  => 19033, ruckgriff => 24761, ruckhalt  => 16126, ruckkampf => 26085,
                        ruckkehr  => 1023, rucklaufig
                                  => 10047,
                        ruckleuchten
                                  => 22958, ruckmarsch
                                  => 26086,
                        ruckmeldung
                                  => 24762, ruckreise => 11437,
                        ruckrunde => 6762, rucksack  => 22405, ruckschau => 28621, ruckschlag
                                  => 22406,
                        ruckschlage
                                  => 26087, ruckschlusse
                                  => 14831,
                        ruckseite => 3279, rucksicht => 5971, rucksichtslos
                                  => 22407,
                        ruckspiel => 5066, ruckspiele
                                  => 9167,
                        ruckstand => 5222, ruckt     => 12679, ruckte    => 4141, ruckten   => 10136,
                        rucktritt => 2259, rucktrittsgesuch
                                  => 22408,
                        ruckwand  => 11909, ruckwartige
                                  => 22409,
                        ruckwartigen
                                  => 14832, ruckwarts => 10480,
                        ruckwartsgang
                                  => 26088, ruckweg   => 9969,
                        ruckwirkend
                                  => 16612, ruckzahlung
                                  => 23552,
                        ruckzug   => 2858, ruderer   => 22410, rudern    => 17451, rudersport
                                  => 22959,
                        rudolfs   => 28622, rufen     => 6694, ruft      => 4180, rufzeichen
                                  => 21910,
                        rugby     => 12156, rugen     => 16127, ruhe      => 3513, ruhen     => 7316,
                        ruhende   => 25419, ruhenden  => 19359, ruhestand => 2128, ruhestatte
                                  => 11237,
                        ruhig     => 6969, ruhige    => 14622, ruhigen   => 13544, ruhiger   => 13545,
                        ruhm      => 6622, ruhrgebiet
                                  => 10569,
                        ruhrt     => 10838, ruht      => 6727, ruhte     => 15040, ruine     => 3535,
                        ruinen    => 4769, ruinieren => 29592, ruiniert  => 20577, ruisseau  => 15041,
                        rules     => 24763, rumanen   => 16613, rumanien  => 4581, rumaniens => 17150,
                        rumanische
                                  => 10209, rumanischen
                                  => 7190,
                        rumpfes   => 19034, rund      => 194, rundbogen => 10752, rundbogenfenster
                                  => 9707,
                        rundbogenfenstern
                                  => 22960,
                        rundbogenportal
                                  => 24764, rundbogige
                                  => 12529,
                        rundbogigen
                                  => 18051, rundbogiges
                                  => 29593,
                        runde     => 715, runden    => 1728, rundenende
                                  => 26867,
                        runder    => 17452, rundes    => 24122, rundfahrt => 22411, rundfenster
                                  => 21911,
                        rundfunk  => 4993, rundfunkanstalten
                                  => 22961,
                        rundfunks => 12286, rundgang  => 19360, rundkurs  => 28623, rundlich  => 14833,
                        rundlichen
                                  => 18688, rundschau => 13393,
                        rundschreiben
                                  => 26089, rundturm  => 22962,
                        rundum    => 20157, rundung   => 28624, rundweg   => 17151, running   => 25420,
                        runs      => 6456, runter    => 23553, rural     => 27732, russe     => 20578,
                        russel    => 18052, russell   => 8452, russen    => 4813, russisch  => 7571,
                        russische => 2518, russischen
                                  => 1345,
                        russischer
                                  => 6763, russland  => 1328,
                        russlands => 6334, rustung   => 10210, rustungen => 21480, rustungsindustrie
                                  => 16614,
                        ruth      => 5745, rutsche   => 28625, rutschen  => 20158, rutschte  => 11136,
                        ryan      => 8909, rybnik    => 16881, saal      => 3884, saalbau   => 12927,
                        saale     => 10048, saales    => 28626, saalkirche
                                  => 21014,
                        saarbrucken
                                  => 5899, saarbrucker
                                  => 23554,
                        saarland  => 8391, saarlandes
                                  => 15461,
                        saarlandischen
                                  => 15462, saarlouis => 20159,
                        saatgut   => 22963, sabah     => 26090, sabotage  => 24123, sachbucher
                                  => 16615,
                        sache     => 2864, sachen    => 5285, sachlich  => 19361, sachliche => 24124,
                        sachschaden
                                  => 15248, sachsen   => 2302,
                        sachsenhausen
                                  => 28627, sachsens  => 19035,
                        sachsische
                                  => 6508, sachsischen
                                  => 3519,
                        sachsischer
                                  => 20160, sachverhalt
                                  => 12530,
                        sachverhalte
                                  => 17453, sachverstandige
                                  => 23555,
                        sachverstandigen
                                  => 26091, sachverstandiger
                                  => 26092,
                        sackgasse => 27733, sacks     => 27734, sacramento
                                  => 21481,
                        safety    => 18364, sage      => 4889, sagemuhle => 27735, sagen     => 2289,
                        sagt      => 1917, sagte     => 1678, sagten    => 12287, sahara    => 16384,
                        sahen     => 2688, saint     => 7704, saints    => 20579, saison    => 196,
                        saisonal  => 22412, saisonale => 25421, saisonalen
                                  => 27736,
                        saisonbeginn
                                  => 16385, saisonen  => 21912,
                        saisonende
                                  => 2413, saisonhalfte
                                  => 28628,
                        saisonrennen
                                  => 21482, saisons   => 8702,
                        saisonspiele
                                  => 25422, saisonspielen
                                  => 27737,
                        saisonstart
                                  => 23556, saisonverlauf
                                  => 15463,
                        saisonvorbereitung
                                  => 27738,
                        saite     => 14834, saiten    => 8832, sakralbau => 25423, sakrale   => 17152,
                        sakralen  => 20161, sakristei => 5546, sakularisation
                                  => 19036,
                        salazar   => 29594, salem     => 14623, salen     => 22413, sales     => 20580,
                        saline    => 19737, salle     => 24125, sally     => 12793, salome    => 26868,
                        salon     => 8341, salons    => 24765, saloon    => 21913, salto     => 29595,
                        salvador  => 12420, salve     => 28629, salz      => 7191, salzburg  => 2677,
                        salzburger
                                  => 5671, salze     => 27739,
                        salzgehalt
                                  => 22414, salzgitter
                                  => 24766,
                        salzwasser
                                  => 19037, samantha  => 21015,
                        sambia    => 24126, samen     => 2893, sammelband
                                  => 15249,
                        sammelbande
                                  => 22415, sammelbanden
                                  => 18365,
                        sammeln   => 3221, sammelt   => 9037, sammelte  => 3961, sammelten => 13241,
                        sammler   => 8833, sammlern  => 17743, sammlung  => 955, sammlungen
                                  => 3436,
                        samoa     => 26093, sampler   => 19038, samples   => 28630, samson    => 20581,
                        samstag   => 6335, samstagabend
                                  => 29596,
                        samstagen => 25424, samstags  => 10381, samsung   => 24767, samt      => 3323,
                        samtgemeinde
                                  => 15894, samtlich  => 19039,
                        samtliche => 1813, samtlichen
                                  => 10753,
                        samtlicher
                                  => 9550, samuel    => 5103,
                        samurai   => 19738, sanatorium
                                  => 17454,
                        sanchez   => 14434, sandboden => 26094, sande     => 20162, sandigen  => 15675,
                        sandstein => 5718, sandstrand
                                  => 20163,
                        sandte    => 8910, sanft     => 13695, sanfte    => 22416, sanften   => 19362,
                        sang      => 4247, sangen    => 16882, sanger    => 1778, sangerin  => 3041,
                        sangerinnen
                                  => 18366, sangern   => 15676,
                        sangers   => 15250, sanieren  => 17744, saniert   => 3190, sanierte  => 20164,
                        sanierung => 2727, sanierungen
                                  => 24127,
                        sanierungsarbeiten
                                  => 12794,
                        sanierungsmassnahmen
                                  => 21016,
                        sank      => 2813, sanken    => 13696, sankt     => 4265, sanktionen
                                  => 14217,
                        sanskrit  => 26095, santa     => 3642, santana   => 29597, santiago  => 9970,
                        santo     => 11665, santos    => 13394, sapporo   => 24768, sarajevo  => 21914,
                        sardinien => 24769, sarge     => 21017, sarkophag => 21483, sassen    => 9294,
                        satan     => 21915, satellit  => 8503, satellite => 26869, satelliten
                                  => 7477,
                        satire    => 16386, satirische
                                  => 19363,
                        satirischen
                                  => 24770, sattel    => 10481,
                        satteldach
                                  => 7654, sattigung => 27740,
                        saturn    => 17455, satz      => 2056, satze     => 6112, satzen    => 8974,
                        satzes    => 10839, satzung   => 6876, sauber    => 13395, saubere   => 24771,
                        sauberen  => 29598, sauberkeit
                                  => 28631,
                        sauerstoff
                                  => 6509, saugen    => 23557,
                        saugetiere
                                  => 14218, saugetieren
                                  => 18053,
                        saugling  => 21018, sauglinge => 17745, saulchen  => 22964, saule     => 6078,
                        saulen    => 2620, saume     => 26870, saumen    => 22417, sauna     => 24772,
                        saure     => 13095, sauren    => 10937, savage    => 27741, savoyen   => 21916,
                        sawyer    => 26096, saxonia   => 24128, saxophon  => 19040, scala     => 23558,
                        schach    => 10938, schachspiel
                                  => 27742,
                        schachtanlage
                                  => 24129, schachte  => 11334,
                        schachtel => 29599, schachten => 19364, schachtes => 25425, schadel   => 5849,
                        schadels  => 21484, schaden   => 1284, schadensersatz
                                  => 21485,
                        schadigen => 18367, schadigung
                                  => 12288,
                        schadigungen
                                  => 24130, schadliche
                                  => 24773,
                        schadlichen
                                  => 24774, schadlinge
                                  => 22418,
                        schafe    => 8027, schafen   => 14624, schaferei => 17746, schaffe   => 22965,
                        schaffen  => 1357, schaffens => 8834, schaffensperiode
                                  => 22966,
                        schaffhausen
                                  => 15677, schafft   => 3536,
                        schaffte  => 1824, schafften => 9168, schaffung => 4619, schaft    => 9708,
                        schafzucht
                                  => 21019, schah     => 13881,
                        schale    => 6140, schalen   => 11555, schalke   => 11910, schalldeckel
                                  => 24131,
                        schallplatte
                                  => 13697, schallplatten
                                  => 12421,
                        schalten  => 19041, schalter  => 11666, schaltet  => 17747, schaltete => 24132,
                        schaltung => 16883, schaltungen
                                  => 22967,
                        scham     => 18689, schamanen => 26871, schande   => 21020, schanzen  => 22968,
                        schar     => 17456, scharen   => 25426, scharfe   => 6695, scharfen  => 8283,
                        scharfer  => 16616, scharfschutzen
                                  => 22419,
                        scharte   => 21917, schatten  => 4237, schattigen
                                  => 26872,
                        schatze   => 13396, schatzen  => 9169, schatzkammer
                                  => 19365,
                        schatzmeister
                                  => 12157, schatzt   => 12024,
                        schatzte  => 8835, schatzten => 24775, schatzung => 9038, schatzungen
                                  => 5691,
                        schatzungsweise
                                  => 12158, schauen   => 9971,
                        schaufenster
                                  => 28632, schauplatz
                                  => 9109,
                        schauseite
                                  => 24133, schauspiel
                                  => 7087,
                        schauspielausbildung
                                  => 18690,
                        schauspieler
                                  => 1808, schauspielerei
                                  => 9972,
                        schauspielerin
                                  => 2550, schauspielerinnen
                                  => 17748,
                        schauspielerische
                                  => 21021,
                        schauspielerischen
                                  => 24776,
                        schauspielern
                                  => 10211, schauspielers
                                  => 17457,
                        schauspielhaus
                                  => 19739, schauspielkarriere
                                  => 13242,
                        schauspielschule
                                  => 20165, schauspielunterricht
                                  => 15895,
                        schaut    => 9628, scheiben  => 8184, scheibenbremsen
                                  => 27743,
                        scheich   => 21918, scheide   => 21486, scheiden  => 6270, scheidet  => 19042,
                        scheidung => 4551, scheinbar => 4325, scheinbare
                                  => 17153,
                        scheinbaren
                                  => 24134, scheine   => 15896,
                        scheinen  => 4023, scheint   => 1017, scheinwerfer
                                  => 11911,
                        scheinwerfern
                                  => 29600, scheitel  => 10212,
                        scheiterhaufen
                                  => 19740, scheitern => 4952,
                        scheiterns
                                  => 28633, scheitert => 8975,
                        scheiterte
                                  => 1927, scheiterten
                                  => 5333,
                        schema    => 7835, schemata  => 24777, schematische
                                  => 29601,
                        schenken  => 13397, schenkt   => 11137, schenkte  => 6431, schenkten => 28634,
                        schenkung => 10382, schenkungen
                                  => 12928,
                        scherben  => 16884, scheren   => 23559, schergen  => 26097, scherzhaft
                                  => 20582,
                        scheune   => 7705, scheunen  => 14435, scheute   => 28635, schicht   => 3851,
                        schichtdicke
                                  => 27744, schichten => 3371,
                        schichtung
                                  => 26098, schicken  => 6302,
                        schicksal => 2346, schicksale
                                  => 17749,
                        schicksals
                                  => 29602, schickt   => 5310,
                        schickte  => 5166, schickten => 19741, schieben  => 19043, schiebt   => 16885,
                        schied    => 1799, schieden  => 9465, schiedsgericht
                                  => 21487,
                        schiedsrichter
                                  => 6764, schief    => 14219,
                        schiefe   => 26099, schiefergrau
                                  => 27745,
                        schieflage
                                  => 26873, schien    => 3918,
                        schiene   => 12159, schienen  => 5388, schienennetz
                                  => 19742,
                        schienenverkehr
                                  => 22969, schiessen => 6396,
                        schiesserei
                                  => 15251, schiessereien
                                  => 28636,
                        schiessscharten
                                  => 22970, schiessstand
                                  => 28637,
                        schiesst  => 7934, schiff    => 663, schiffbar => 21022, schiffbau => 18691,
                        schiffbruch
                                  => 26874, schiffe   => 1036,
                        schiffen  => 3344, schiffes  => 4238, schifffahrt
                                  => 8634,
                        schiffs   => 9466, schiffsverkehr
                                  => 19743,
                        schikanen => 17750, schildchen
                                  => 29603,
                        schildern => 15464, schildert => 6079, schilderte
                                  => 14220,
                        schilderung
                                  => 11035, schilderungen
                                  => 16387,
                        schildes  => 21488, schildfuss
                                  => 19744,
                        schildhaupt
                                  => 20166, schildkrote
                                  => 25427,
                        schildkroten
                                  => 24135, schillers => 23560,
                        schirmherrschaft
                                  => 18692, schlacht  => 1552,
                        schlachten
                                  => 9110, schlachtfeld
                                  => 11438,
                        schlachthof
                                  => 26100, schlachtschiff
                                  => 28638,
                        schlachtschiffe
                                  => 22420, schlaf    => 8836,
                        schlafen  => 6432, schlafenden
                                  => 19366,
                        schlafplatze
                                  => 27746, schlaft   => 9373,
                        schlafzimmer
                                  => 10840, schlaganfall
                                  => 12160,
                        schlagartig
                                  => 15465, schlage   => 10754,
                        schlagen  => 3587, schlagerei
                                  => 14625,
                        schlagt   => 3077, schlagwort
                                  => 21023,
                        schlagzeilen
                                  => 12422, schlagzeug
                                  => 4714,
                        schlagzeuger
                                  => 3805, schlamm   => 12531,
                        schlammigen
                                  => 28639, schlange  => 7747,
                        schlangen => 11912, schlank   => 12532, schlanke  => 12025, schlanken => 9709,
                        schlanker => 15042, schlauch  => 17751, schlecht  => 2196, schlechte => 4274,
                        schlechtem
                                  => 14436, schlechten
                                  => 2621,
                        schlechter
                                  => 4005, schlechtere
                                  => 20583,
                        schlechteren
                                  => 19367, schlechtes
                                  => 11556,
                        schlechteste
                                  => 14437, schlechtesten
                                  => 14055,
                        schlechthin
                                  => 21024, schleichen
                                  => 26875,
                        schleicht => 19044, schleife  => 9374, schleifen => 13096, schleppend
                                  => 16886,
                        schlepper => 18368, schlesien => 8231, schlesiens
                                  => 28640,
                        schlesische
                                  => 19745, schlesischen
                                  => 13097,
                        schleswig => 12929, schleuse  => 10213, schleusen => 14438, schlichte => 7935,
                        schlichten
                                  => 8703, schlichter
                                  => 12533,
                        schlichtes
                                  => 23561, schlichtweg
                                  => 29604,
                        schliessen
                                  => 1467, schliesslich
                                  => 209,
                        schliesst => 1752, schliessung
                                  => 3358,
                        schlimmer => 16887, schlimmste
                                  => 21025,
                        schlimmsten
                                  => 17458, schlinge  => 22421,
                        schlitten => 12930, schlitz   => 22422, schlitze  => 28641, schloss   => 341,
                        schlossanlage
                                  => 20167, schlossberg
                                  => 20584,
                        schlosschen
                                  => 21026, schlossen => 3237,
                        schlossern
                                  => 20168, schlosses => 2747,
                        schlossgarten
                                  => 24136, schlossgebaude
                                  => 29605,
                        schlosshof
                                  => 22423, schlosskapelle
                                  => 14056,
                        schlosskirche
                                  => 19746, schlosspark
                                  => 11557,
                        schlucht  => 7525, schluchten
                                  => 21919,
                        schlug    => 2024, schlugen  => 7836, schlumpf  => 24778, schlumpfe => 28642,
                        schlupf   => 13882, schlupfen => 6167, schlupft  => 20585, schluss   => 2116,
                        schlusse  => 24137, schlussel => 4006, schlusselrolle
                                  => 25428,
                        schlussendlich
                                  => 9375, schlussfolgerung
                                  => 21489,
                        schlussfolgerungen
                                  => 17459,
                        schlussstein
                                  => 21920, schlussszene
                                  => 21921,
                        schmal    => 6921, schmale   => 4391, schmalen  => 3727, schmaler  => 6602,
                        schmalere => 29606, schmaleren
                                  => 19368,
                        schmales  => 21027, schmalkalden
                                  => 24779,
                        schmalseite
                                  => 21028, schmalseiten
                                  => 24138,
                        schmalspurbahn
                                  => 15252, schmecken => 21029,
                        schmeckt  => 16128, schmelze  => 19369, schmelzen => 20586, schmelzpunkt
                                  => 25429,
                        schmerz   => 8704, schmerzen => 6042, schmerzhaft
                                  => 20169,
                        schmerzhaften
                                  => 22424, schmetterlinge
                                  => 21490,
                        schmiede  => 9233, schmiedeeiserne
                                  => 24780,
                        schmiedeeisernen
                                  => 26876, schmieden => 21030,
                        schmilzt  => 22425, schmucken => 14221, schmuckstucke
                                  => 26101,
                        schmuckt  => 27747, schmuckte => 28643, schmuggler
                                  => 29607,
                        schmutzig => 22971, schnaps   => 26877, schnauze  => 9710, schnecken => 13698,
                        schneefall
                                  => 26878, schneeschmelze
                                  => 22972,
                        schneide  => 17752, schneiden => 8976, schneidet => 15897, schnell   => 575,
                        schnelle  => 4024, schnellen => 3955, schneller => 2605, schnellere
                                  => 15678,
                        schnelleren
                                  => 14222, schnelles => 12931,
                        schnelligkeit
                                  => 14439, schnellste
                                  => 7936,
                        schnellsten
                                  => 8766, schnellster
                                  => 27748,
                        schnellstmoglich
                                  => 25430, schnellstrasse
                                  => 15898,
                        schnellzuge
                                  => 25431, schnitt   => 3078,
                        schnitte  => 21922, schnitten => 19370, schnittpunkt
                                  => 18693,
                        schnittstelle
                                  => 8342, schnittstellen
                                  => 15679,
                        schnitzereien
                                  => 18694, schockiert
                                  => 14440,
                        schoffen  => 29608, schokolade
                                  => 17154,
                        schon     => 133, schonen   => 3962, schones   => 15466, schonheit => 4435,
                        schoningh => 25432, schonste  => 15899, schonsten => 7231, school    => 1462,
                        schools   => 16617, schopfer  => 10383, schopft   => 29609, schopfung => 8453,
                        schornstein
                                  => 12795, schornsteine
                                  => 26102,
                        schoss    => 3481, schossen  => 15043, schotten  => 10384, schotter  => 24139,
                        schottische
                                  => 8837, schottischen
                                  => 6168,
                        schottland
                                  => 4142, schottlands
                                  => 19371,
                        schrag    => 5334, schragbalken
                                  => 21491,
                        schragen  => 20587, schranke  => 14441, schranken => 15467, schrankte => 22973,
                        schraube  => 18695, schrauben => 14835, schrecken => 11558, schreckliche
                                  => 22426,
                        schrecklichen
                                  => 21031, schreibe  => 25433,
                        schreiben => 1365, schreibens
                                  => 20588,
                        schreibt  => 2025, schreibtisch
                                  => 18696,
                        schreibung
                                  => 19372, schreibweise
                                  => 3554,
                        schreibweisen
                                  => 9170, schreie   => 22974,
                        schreien  => 22427, schrein   => 13398, schreit   => 23562, schreitet => 19045,
                        schrieb   => 523, schrieben => 8072, schrift   => 2105, schriftbild
                                  => 29610,
                        schriften => 1412, schriftenreihe
                                  => 9039,
                        schriftfuhrer
                                  => 19373, schriftleiter
                                  => 18369,
                        schriftlich
                                  => 4181, schriftliche
                                  => 4652,
                        schriftlichen
                                  => 6336, schriftlicher
                                  => 25434,
                        schriftsprache
                                  => 17460, schriftsteller
                                  => 2313,
                        schriftstellerin
                                  => 7526, schriftstellerisch
                                  => 21923,
                        schriftstellerische
                                  => 18697,
                        schriftstellerischen
                                  => 19046,
                        schriftstellern
                                  => 17155, schriftstellers
                                  => 15468,
                        schriftstuck
                                  => 20589, schriftstucke
                                  => 27749,
                        schrifttum
                                  => 23563, schriftzeichen
                                  => 12796,
                        schriftzug
                                  => 8767, schriftzuge
                                  => 28644,
                        schritt   => 1825, schritte  => 5746, schritten => 8454, schrittweise
                                  => 5013,
                        schrumpfen
                                  => 26879, schrumpfte
                                  => 19047,
                        schub     => 14626, schuchtern
                                  => 22975,
                        schuf     => 2057, schufen   => 13243, schuhe    => 7609, schuhen   => 15680,
                        schulabschluss
                                  => 11913, schulausbildung
                                  => 10049,
                        schulbesuch
                                  => 13883, schulbetrieb
                                  => 14057,
                        schulbildung
                                  => 11036, schulbucher
                                  => 24140,
                        schuld    => 3502, schulden  => 3806, schuldienst
                                  => 14627,
                        schuldig  => 5872, schuldigen
                                  => 26880,
                        schuldner => 12026, schule    => 353, schulen   => 935, schulerin => 11037,
                        schulerinnen
                                  => 5616, schulern  => 2665,
                        schulers  => 24141, schulerschaft
                                  => 29611,
                        schulerzahl
                                  => 16888, schulerzahlen
                                  => 13884,
                        schulerzeitung
                                  => 28645, schulgebaude
                                  => 5520,
                        schulgebaudes
                                  => 27750, schulgeld => 23564,
                        schulhaus => 7088, schulhauses
                                  => 28646,
                        schulhof  => 24781, schulische
                                  => 13885,
                        schulischen
                                  => 12423, schuljahr => 5208,
                        schuljahres
                                  => 14442, schulkinder
                                  => 19747,
                        schulklassen
                                  => 14443, schulleiter
                                  => 12680,
                        schulleiterin
                                  => 28647, schulleitung
                                  => 21924,
                        schulpflicht
                                  => 29612, schulsystem
                                  => 19748,
                        schulter  => 6836, schulterhohe
                                  => 24782,
                        schultern => 7986, schulung  => 14628, schulungen
                                  => 19749,
                        schulunterricht
                                  => 15900, schulwesen
                                  => 13699,
                        schulwesens
                                  => 26881, schulzeit => 6113,
                        schulzentrum
                                  => 26882, schuppen  => 5476,
                        schurken  => 29613, schuss    => 4154, schusse   => 10482, schussen  => 16388,
                        schusswaffe
                                  => 26883, schusswaffen
                                  => 15044,
                        schusswechsel
                                  => 17156, schutzen  => 2050,
                        schutzende
                                  => 25435, schutzenden
                                  => 25436,
                        schutzenfest
                                  => 27751, schutzenverein
                                  => 19374,
                        schutzes  => 20590, schutzgebiet
                                  => 8185,
                        schutzgebiete
                                  => 16618, schutzgebieten
                                  => 26884,
                        schutzgebietes
                                  => 27752, schutzhaft
                                  => 29614,
                        schutzhutte
                                  => 21032, schutzmassnahmen
                                  => 16619,
                        schutzpatron
                                  => 26885, schutzt   => 8284,
                        schutzte  => 14058, schwabach => 26886, schwaben  => 8569, schwabisch
                                  => 13886,
                        schwabische
                                  => 22428, schwabischen
                                  => 10385,
                        schwach   => 2956, schwache  => 4134, schwachen => 3816, schwacher => 7044,
                        schwachere
                                  => 22429, schwacheren
                                  => 19750,
                        schwachste
                                  => 27753, schwachstellen
                                  => 22430,
                        schwachsten
                                  => 24783, schwachte => 16129,
                        schwachung
                                  => 18698, schwagerin
                                  => 14223,
                        schwagers => 29615, schwamm   => 18699, schwand   => 18054, schwanger => 5568,
                        schwangere
                                  => 12932, schwangeren
                                  => 19048,
                        schwangerschaft
                                  => 7748, schwanken => 9234,
                        schwankt  => 8186, schwankte => 15901, schwankungen
                                  => 7794,
                        schwanz   => 2660, schwanzes => 18370, schwanzfedern
                                  => 16889,
                        schwanzflosse
                                  => 12161, schwanzlange
                                  => 22976,
                        schwanzspitze
                                  => 24784, schwarme  => 24142,
                        schwarmen => 19049, schwarzbraun
                                  => 16890,
                        schwarzem => 8285, schwarzen => 1385, schwarzes => 8570, schwarzlich
                                  => 12289,
                        schwarzwald
                                  => 16130, schweben  => 17753,
                        schwebt   => 17157, schwebte  => 26887, schweden  => 1559, schwedens => 13098,
                        schwedisch
                                  => 25437, schwedische
                                  => 4653,
                        schwedischen
                                  => 2881, schwedischer
                                  => 15902,
                        schwefel  => 20170, schweif   => 24785, schweigen => 7987, schweigt  => 28648,
                        schwein   => 14836, schweine  => 9973, schweinen => 20591, schweinfurt
                                  => 15469,
                        schweiz   => 600, schweizerische
                                  => 10755,
                        schweizerischen
                                  => 4637, schwelle  => 12933,
                        schwellen => 27754, schwenken => 26103, schwenkt  => 23565, schwer    => 643,
                        schwere   => 1698, schwerem  => 19050, schweren  => 1324, schwerer  => 2886,
                        schwerere => 19751, schwereren
                                  => 24143,
                        schweres  => 15253, schwergewicht
                                  => 15470,
                        schwerindustrie
                                  => 29616, schweriner
                                  => 21925,
                        schwerkraft
                                  => 18055, schwerlich
                                  => 26888,
                        schwerpunkt
                                  => 1593, schwerpunkte
                                  => 4861,
                        schwerpunkten
                                  => 12797, schwerpunktmassig
                                  => 13399,
                        schwerste => 12798, schwersten
                                  => 11238,
                        schwert   => 4756, schwerter => 15045, schwertern
                                  => 17754,
                        schwerwiegende
                                  => 21492, schwerwiegenden
                                  => 19752,
                        schwester => 1002, schwestern
                                  => 2684,
                        schwesterschiff
                                  => 21926, schwiegereltern
                                  => 27755,
                        schwiegermutter
                                  => 19753, schwiegersohn
                                  => 7655,
                        schwiegertochter
                                  => 21927, schwiegervater
                                  => 11793,
                        schwiegervaters
                                  => 18371, schwierig => 2414,
                        schwierige
                                  => 7317, schwierigen
                                  => 5311,
                        schwieriger
                                  => 6114, schwierigkeit
                                  => 11667,
                        schwierigkeiten
                                  => 1695, schwierigkeitsgrad
                                  => 16389,
                        schwierigsten
                                  => 24144, schwimmbad
                                  => 14629,
                        schwimmbecken
                                  => 19375, schwimmen => 5125,
                        schwimmende
                                  => 20592, schwimmenden
                                  => 24145,
                        schwimmhalle
                                  => 24786, schwimmt  => 22977,
                        schwindel => 17755, schwingen => 11138, schwingt  => 21493, schwingung
                                  => 24787,
                        schwingungen
                                  => 16891, schworen  => 19051,
                        schwort   => 12290, schwul    => 25438, schwule   => 19052, schwulen  => 20171,
                        schwung   => 20593, schwur    => 23566, schwyz    => 21928, science   => 5643,
                        sciences  => 11668, scientific
                                  => 24788,
                        scorer    => 21929, scorerpunkte
                                  => 15681,
                        scorerpunkten
                                  => 26889, scotland  => 13400,
                        scott     => 4399, scottish  => 18056, scout     => 21033, screen    => 26890,
                        season    => 17756, seattle   => 10295, sechs     => 225, sechsjahrige
                                  => 26104,
                        sechsjahrigen
                                  => 26105, sechsmal  => 8911,
                        sechste   => 5286, sechstel  => 28649, sechsten  => 2845, sechster  => 10137,
                        sechstes  => 26106, sechzehn  => 8028, sechzehnten
                                  => 28650,
                        sechzig   => 13700, sechziger => 15682, second    => 11239, secondary => 27756,
                        secret    => 15683, secretary => 17757, section   => 22978, security  => 15254,
                        sediment  => 29617, sedimente => 16892, sedimenten
                                  => 23567,
                        see       => 866, seefahrer => 22431, seefahrt  => 19053, seehafen  => 28651,
                        seehohe   => 15471, seele     => 3410, seelen    => 7277, seeleute  => 10660,
                        seeleuten => 24789, seelische => 24146, seelischen
                                  => 17158,
                        seelsorge => 11669, seelsorger
                                  => 17758,
                        seemeilen => 18372, seen      => 3437, sees      => 4168, seeschlacht
                                  => 27757,
                        seeufer   => 21930, seeweg    => 20594, segeln    => 11914, segelschiffe
                                  => 29618,
                        segelte   => 21931, segen     => 11670, segler    => 21932, segment   => 7278,
                        segmente  => 11335, segmenten => 15472, segunda   => 27758, sehen     => 412,
                        sehenswert
                                  => 8571, sehenswurdigkeit
                                  => 16893,
                        sehenswurdigkeiten
                                  => 8635,
                        sehne     => 27759, sehnen    => 24790, sehnsucht => 9711, sehnt     => 20172,
                        sehr      => 111, sei       => 142, seien     => 563, seienden  => 26891,
                        seife     => 26107, seilbahn  => 12291, seile     => 18700, seilen    => 19054,
                        sein      => 59, seine     => 48, seinem    => 96, seinen    => 86,
                        seiner    => 57, seinerseits
                                  => 5692,
                        seinerzeit
                                  => 3449, seines    => 212,
                        seins     => 18057, seit      => 65, seitdem   => 655, seite     => 327,
                        seiten    => 556, seitenaltar
                                  => 14224,
                        seitenaltare
                                  => 10214, seitenansicht
                                  => 24147,
                        seitenfenster
                                  => 24148, seitenflachen
                                  => 28652,
                        seitenflugel
                                  => 13546, seitenkapelle
                                  => 26108,
                        seitenkapellen
                                  => 20173, seitenlange
                                  => 14837,
                        seitenlinie
                                  => 24791, seitens   => 3389,
                        seitenschiff
                                  => 9551, seitenschiffe
                                  => 9629,
                        seitenschiffen
                                  => 15255, seitenschiffs
                                  => 24792,
                        seitenstreifen
                                  => 21494, seitenwand
                                  => 29619,
                        seitenwande
                                  => 13887, seitenwanden
                                  => 18373,
                        seither   => 1331, seitlich  => 2846, seitliche => 9974, seitlichen
                                  => 4654,
                        seitwarts => 26892, sekretar  => 4007, sekretariat
                                  => 13701,
                        sekretariats
                                  => 26109, sekretarin
                                  => 7881,
                        sekretars => 26110, sekte     => 17759, sektion   => 3898, sektionen => 10138,
                        sektor    => 6457, sektoren  => 13099, sektors   => 21034, sekundar  => 17760,
                        sekundare => 16894, sekundaren
                                  => 21933,
                        sekundarschule
                                  => 22979, sekundarstufe
                                  => 16390,
                        sekunde   => 4638, sekunden  => 1650, selben    => 585, selber    => 2425,
                        selbige   => 27760, selbiges  => 28653, selbst    => 124, selbstandig
                                  => 5032,
                        selbstandige
                                  => 4994, selbstandigen
                                  => 6397,
                        selbstandiger
                                  => 12534, selbstandiges
                                  => 22980,
                        selbstandigkeit
                                  => 10841, selbstbestimmung
                                  => 19055,
                        selbstbewusst
                                  => 21934, selbstbewusstsein
                                  => 16131,
                        selbstdarstellung
                                  => 19376,
                        selbsthilfe
                                  => 18058, selbstmord
                                  => 5617,
                        selbstmordversuch
                                  => 28654,
                        selbstorganisation
                                  => 28655,
                        selbstportrat
                                  => 29620, selbststandig
                                  => 6362,
                        selbststandige
                                  => 6877, selbststandigen
                                  => 10050,
                        selbststandiger
                                  => 15473, selbststandigkeit
                                  => 13547,
                        selbsttatig
                                  => 28656, selbstverlag
                                  => 11915,
                        selbstverstandlich
                                  => 8977,
                        selbstverstandnis
                                  => 10483,
                        selbstverteidigung
                                  => 20595,
                        selbstverwaltung
                                  => 9467, selektion => 16132,
                        selektiv  => 28657, seligen   => 25439, selten    => 677, seltene   => 5389,
                        seltenen  => 5497, seltener  => 2743, seltenes  => 26893, seltenheit
                                  => 11439,
                        seltsam   => 17159, seltsame  => 16391, seltsamen => 20596, semantik  => 26894,
                        semester  => 7318, semestern => 28658, seminar   => 6696, seminare  => 7837,
                        seminaren => 17160, seminars  => 16133, seminary  => 29621, senat     => 2932,
                        senator   => 6970, senatoren => 9552, senators  => 18059, senats    => 8838,
                        senatsverwaltung
                                  => 26111, sendebetrieb
                                  => 20597,
                        sendeleistung
                                  => 26112, senden    => 8073,
                        sendeplatz
                                  => 18374, sender    => 2493,
                        sendereihe
                                  => 28659, sendern   => 16895,
                        senders   => 9171, sendet    => 9040, sendete   => 15046, sendezeit => 22432,
                        sendung   => 1719, sendungen => 4875, seneca    => 18701, senegal   => 14630,
                        senior    => 6878, senioren  => 8504, seniorenbereich
                                  => 21035,
                        senke     => 11794, senken    => 7361, senkrecht => 4715, senkrechte
                                  => 15684,
                        senkrechten
                                  => 9630, senkrechter
                                  => 24793,
                        senkt     => 16896, senkte    => 21935, senkung   => 14631, senna     => 21036,
                        sensation => 18375, sense     => 21936, sensibilitat
                                  => 23568,
                        sensible  => 21937, sensiblen => 21495, sensor    => 15474, sensoren  => 10842,
                        seoul     => 12292, separat   => 7988, separate  => 7882, separaten => 8187,
                        separates => 21037, september => 153, sequenz   => 12424, sequenzen => 13401,
                        serben    => 15256, serbien   => 6922, serbiens  => 22433, serbische => 12799,
                        serbischen
                                  => 8705, serena    => 26113,
                        serge     => 23569, sergeant  => 14444, sergio    => 18376, serie     => 528,
                        serien    => 4103, serienausstattung
                                  => 28660,
                        serienfertigung
                                  => 11795, serienmassig
                                  => 10296,
                        serienmassigen
                                  => 25440, seriennummer
                                  => 26895,
                        serienproduktion
                                  => 9808, series    => 6798,
                        serra     => 24794, serum     => 26114, server    => 6510, servern   => 22981,
                        service   => 3555, services  => 7089, serviert  => 14445, sessel    => 21038,
                        session   => 13100, sessions  => 16620, setze     => 12027, setzen    => 1659,
                        setzt     => 778, setzte    => 464, setzten   => 2632, seuche    => 16392,
                        seuchen   => 18702, sevilla   => 13702, sexualitat
                                  => 9553,
                        sexuell   => 8912, sexuelle  => 5618, sexuellen => 6303, sexueller => 14838,
                        seymour   => 15257, shackleton
                                  => 29622,
                        shadow    => 17761, shakespeare
                                  => 12800,
                        shakespeares
                                  => 22982, shane     => 21039,
                        shanghai  => 10051, shannon   => 19754, sharon    => 19377, sheffield => 25441,
                        sheila    => 21496, shell     => 19378, sheridan  => 26896, sheriff   => 9631,
                        sherman   => 26897, sherwood  => 25442, shipping  => 28661, shire     => 29623,
                        shirley   => 19379, shiva     => 24149, shooting  => 28662, shopping  => 22434,
                        shore     => 26115, short     => 12535, show      => 2486, showdown  => 21938,
                        shows     => 10052, shuttle   => 27761, sibirien  => 13703, sibirischen
                                  => 21497,
                        sich      => 15, sichel    => 29624, sicher    => 1379, sichere   => 6398,
                        sicheren  => 6539, sicherer  => 14839, sicheres  => 21498, sichergestellt
                                  => 6623,
                        sicherheit
                                  => 1554, sicherheitsgrunden
                                  => 10386,
                        sicherheitskrafte
                                  => 12681,
                        sicherheitskraften
                                  => 20174,
                        sicherheitsmassnahmen
                                  => 28663,
                        sicherheitspolitik
                                  => 26898,
                        sicherheitsrat
                                  => 27762, sicherlich
                                  => 8074,
                        sichern   => 3245, sicherstellen
                                  => 11038,
                        sicherstellung
                                  => 15685, sichert   => 12682,
                        sicherte  => 2981, sicherten => 9632, sicherung => 4008, sicherungsmassnahmen
                                  => 27763,
                        sicherzustellen
                                  => 10297, sicht     => 1377,
                        sichtbar  => 1780, sichtbare => 6399, sichtbaren
                                  => 6481,
                        sichtbarer
                                  => 26899, sichtbarkeit
                                  => 21939,
                        sichtete  => 29625, sichtlich => 16134, sichtung  => 23570, sichtungen
                                  => 28664,
                        sichtweise
                                  => 7989, sichtweisen
                                  => 18377,
                        sichtweite
                                  => 19380, sidney    => 15475,
                        sie       => 22, sieben    => 365, siebenburgen
                                  => 20175,
                        siebenjahrigen
                                  => 23571, siebenmal => 14840,
                        siebenten => 26900, siebte    => 7478, siebten   => 3739, siebter   => 11796,
                        siebzehn  => 12934, siebzig   => 20598, siebziger => 14632, siedeln   => 27764,
                        siedelte  => 8636, siedelten => 6141, siedler   => 3149, siedlern  => 11139,
                        siedlung  => 950, siedlungen
                                  => 2415,
                        siedlungsflache
                                  => 24150, siedlungsgebiet
                                  => 8913,
                        siedlungsgebiete
                                  => 25443, siedlungsgeschichte
                                  => 28665,
                        siedlungsspuren
                                  => 23572, sieg      => 1068,
                        siege     => 4052, siegeln   => 28666, siegen    => 2917, sieger    => 1961,
                        siegerin  => 20599, siegerland
                                  => 26116,
                        siegern   => 28667, sieges    => 21040, siegreich => 13704, siegreiche
                                  => 26901,
                        siegreichen
                                  => 13888, siegt     => 28668,
                        siegte    => 3858, siegten   => 16393, siehe     => 925, sieht     => 675,
                        siena     => 14446, sierra    => 9975, sigmaringen
                                  => 21499,
                        signal    => 4703, signale   => 6728, signalen  => 26902, signalisieren
                                  => 27765,
                        signalisiert
                                  => 19381, signals   => 20600,
                        signatur  => 9809, signaturen
                                  => 24795,
                        signiert  => 15258, signierte => 25444, signifikant
                                  => 9712,
                        signifikante
                                  => 17161, signifikanten
                                  => 15259,
                        silbe     => 9713, silben    => 14059, silber    => 1849, silbermedaille
                                  => 4936,
                        silbermedaillen
                                  => 26903, silbern   => 26117,
                        silberne  => 5235, silbernem => 17461, silbernen => 4009, silberner => 6400,
                        silbernes => 12293, silbrig   => 21940, silent    => 24151, silhouette
                                  => 20176,
                        silva     => 10053, silver    => 8637, simbabwe  => 21941, simmons   => 22435,
                        simple    => 18060, simpson   => 15903, simulation
                                  => 12536,
                        simulationen
                                  => 19056, simulieren
                                  => 23573,
                        simuliert => 19057, simultan  => 22436, sinclair  => 16897, sind      => 36,
                        sinfonie  => 9554, sinfonien => 16394, sinfonieorchester
                                  => 24796,
                        singapore => 28669, singapur  => 8392, singen    => 4082, singh     => 13889,
                        single    => 1137, singleauskopplung
                                  => 11240,
                        singlecharts
                                  => 9376, singles   => 4075,
                        singt     => 5569, singular  => 14633, sinken    => 8232, sinkende  => 22437,
                        sinkenden => 16898, sinkender => 21942, sinkt     => 6482, sinn      => 2006,
                        sinnbild  => 16395, sinne     => 1241, sinngemass
                                  => 17762,
                        sinnliche => 22983, sinnlichen
                                  => 29626,
                        sinnlos   => 16396, sinnvoll  => 4524, sinnvolle => 15047, sinnvollen
                                  => 28670,
                        sinti     => 26904, sioux     => 22438, sippe     => 24797, sirius    => 25445,
                        sisters   => 27766, sitten    => 11440, situation => 929, situationen
                                  => 4297,
                        sitz      => 809, sitzbank  => 20601, sitzbanke => 27767, sitze     => 2538,
                        sitzen    => 2527, sitzend   => 8839, sitzende  => 14225, sitzenden => 11559,
                        sitzplatze
                                  => 4953, sitzplatzen
                                  => 8343,
                        sitzt     => 2704, sitzung   => 4298, sitzungen => 6729, sitzungsberichte
                                  => 28671,
                        sitzungssaal
                                  => 26905, sizilien  => 10215,
                        skalen    => 24152, skandal   => 10939, skandale  => 27768, skandinavien
                                  => 9976,
                        skandinavischen
                                  => 14634, skelett   => 10387,
                        skelette  => 21943, skepsis   => 12028, skeptisch => 12162, skifahren => 26118,
                        skigebiet => 15476, skispringen
                                  => 25446,
                        skizze    => 11797, skizzen   => 8455, skizziert => 23574, sklave    => 20602,
                        sklaven   => 4461, sklavenhandel
                                  => 28672,
                        sklaverei => 9235, sklavin   => 24153, skoda     => 21041, skript    => 24154,
                        skrupellosen
                                  => 28673, skulptur  => 4890,
                        skulpturen
                                  => 4095, skurrilen => 27769,
                        slalom    => 12029, slavia    => 22439, slawen    => 17162, slawische => 11916,
                        slawischen
                                  => 8233, slogan    => 12801,
                        slopestyle
                                  => 29627, slovan    => 27770,
                        slowakei  => 6511, slowaken  => 16397, slowakische
                                  => 19058,
                        slowakischen
                                  => 9810, slowenen  => 26119,
                        slowenien => 8286, slowenische
                                  => 20177,
                        slowenischen
                                  => 11039, small     => 19382,
                        smart     => 14447, smartphone
                                  => 22984,
                        smartphones
                                  => 17163, smile     => 29628,
                        smith     => 2965, smiths    => 24798, snooker   => 27771, so        => 62,
                        sobald    => 3597, soccer    => 14841, social    => 7838, societe   => 10940,
                        society   => 3248, sockel    => 4339, sockelgeschoss
                                  => 24799,
                        sodann    => 8393, sodass    => 640, soeben    => 16899, soest     => 16900,
                        sofern    => 2689, sofia     => 8131, sofort    => 1115, sofortige => 9633,
                        sofortigen
                                  => 8914, sofortiger
                                  => 21944,
                        software  => 2722, sogar     => 481, sogenannte
                                  => 1059,
                        sogenannten
                                  => 1003, sogenannter
                                  => 8287,
                        sogenanntes
                                  => 10054, sogleich  => 7527,
                        sohle     => 8505, sohlen    => 27772, sohn      => 187, sohne     => 1069,
                        sohnen    => 4582, sohnes    => 3006, sojus     => 26906, sokrates  => 8572,
                        solange   => 3537, solar     => 20178, solarzellen
                                  => 21945,
                        solch     => 7883, solche    => 711, solchen   => 1564, solcher   => 2092,
                        solches   => 4096, soldat    => 4655, soldaten  => 627, soldner   => 10298,
                        soldnern  => 23575, solidaritat
                                  => 10843,
                        solide    => 12537, soliden   => 27773, solingen  => 12425, solinger  => 24800,
                        solist    => 13548, solisten  => 18378, solistin  => 24155, solistisch
                                  => 24801,
                        soll      => 188, solle     => 2248, sollen    => 504, sollst    => 27774,
                        sollte    => 195, sollten   => 478, solo      => 7795, soloalbum => 10055,
                        solokarriere
                                  => 14448, solokunstler
                                  => 24802,
                        solomon   => 21042, solothurn => 15048, solutions => 24803, somalia   => 21500,
                        somerset  => 21946, somit     => 304, sommerfahrplan
                                  => 28674,
                        sommerferien
                                  => 18379, sommerhaus
                                  => 27775,
                        sommerlichen
                                  => 25447, sommermonate
                                  => 17164,
                        sommermonaten
                                  => 8638, sommern   => 22985,
                        sommerpause
                                  => 18380, sommerresidenz
                                  => 29629,
                        sommers   => 12538, sommersaison
                                  => 26907,
                        sommersemester
                                  => 13101, sommerspiele
                                  => 27776,
                        sommerspielen
                                  => 20603, sonaten   => 25448,
                        sonde     => 11441, sonderausgabe
                                  => 19383,
                        sonderausstellung
                                  => 22440,
                        sonderausstellungen
                                  => 15049,
                        sonderfahrten
                                  => 25449, sonderfall
                                  => 20179,
                        sonderform
                                  => 18703, sonderheft
                                  => 29630,
                        sonderlich
                                  => 11671, sondermodell
                                  => 21947,
                        sondern   => 183, sonderpreis
                                  => 27777,
                        sondershausen
                                  => 24156, sonderstellung
                                  => 14635,
                        song      => 1450, songs     => 1600, songtexte => 24157, songwriter
                                  => 15686,
                        songwriting
                                  => 26908, sonic     => 17462,
                        sonne     => 2828, sonneberg => 27778, sonnenaufgang
                                  => 21948,
                        sonnenbrille
                                  => 27779, sonneneinstrahlung
                                  => 18704,
                        sonnenlicht
                                  => 15260, sonnensystem
                                  => 21949,
                        sonnenuhr => 24158, sonnenuntergang
                                  => 16901,
                        sonnigen  => 24159, sonntagen => 14842, sonntags  => 8978, sonny     => 23576,
                        sonst     => 1629, sonstige  => 6971, sonstigen => 6043, sopran    => 24160,
                        sopranistin
                                  => 27780, sorbische => 25450,
                        sorbischen
                                  => 25451, sorgen    => 2500,
                        sorgerecht
                                  => 22441, sorgfalt  => 20180,
                        sorgfaltig
                                  => 6566, sorgfaltige
                                  => 17763,
                        sorgt     => 3714, sorgte    => 2454, sorgten   => 6799, sorte     => 6879,
                        sorten    => 6115, sortieren => 26909, sortiert  => 9377, sortierung
                                  => 25452,
                        sortiment => 11560, sound     => 5083, sounds    => 15904, soundtrack
                                  => 6923,
                        soundtracks
                                  => 21950, source    => 21501,
                        south     => 3262, southern  => 9236, souvenirs => 28675, souveran  => 11140,
                        souverane => 27781, souveranen
                                  => 25453,
                        souveranitat
                                  => 12539, soviel    => 12935,
                        soweit    => 2941, sowie     => 80, sowieso   => 18061, sowjetische
                                  => 4367,
                        sowjetischen
                                  => 2391, sowjetischer
                                  => 10216,
                        sowjets   => 13890, sowjetunion
                                  => 2402,
                        sowohl    => 291, sozial    => 6972, sozialdemokraten
                                  => 7362,
                        sozialdemokratie
                                  => 14843, sozialdemokratische
                                  => 18381,
                        sozialdemokratischen
                                  => 12540,
                        soziale   => 1560, sozialem  => 26910, sozialen  => 1443, sozialer  => 5335,
                        soziales  => 5873, sozialforschung
                                  => 26911,
                        sozialgeschichte
                                  => 16135, sozialhilfe
                                  => 27782,
                        sozialismus
                                  => 8768, sozialisten
                                  => 14636,
                        sozialistische
                                  => 9889, sozialistischen
                                  => 5209,
                        sozialistischer
                                  => 26120, sozialleistungen
                                  => 26912,
                        sozialpolitik
                                  => 15905, sozialstruktur
                                  => 25454,
                        sozialversicherung
                                  => 21043,
                        sozialversicherungspflichtig
                                  => 12294,
                        sozialwissenschaften
                                  => 9634,
                        sozialwissenschaftlichen
                                  => 27783,
                        soziologie
                                  => 7090, soziologische
                                  => 22442,
                        sozusagen => 14637, space     => 8075, spalte    => 6973, spalten   => 8132,
                        spaltet   => 24804, spaltete  => 17165, spaltung  => 8915, spandau   => 17166,
                        spange    => 23577, spanien   => 1568, spaniens  => 11442, spanier   => 5390,
                        spaniern  => 16902, spanisch  => 5458, spanische => 3079, spanischen
                                  => 2174,
                        spanischer
                                  => 9111, spannen   => 22986,
                        spannend  => 22987, spannende => 22988, spannenden
                                  => 26121,
                        spannt    => 26122, spannung  => 3715, spannungen
                                  => 4422,
                        spannungsfeld
                                  => 15906, spannweite
                                  => 10388,
                        sparen    => 9112, sparkasse => 5719, sparkassen
                                  => 14844,
                        sparlich  => 7656, sparliche => 22443, sparlichen
                                  => 21951,
                        sparmassnahmen
                                  => 20181, sparren   => 22444,
                        sparsam   => 21952, spart     => 26123, sparta    => 14845, spartak   => 22989,
                        sparte    => 10570, sparten   => 14449, spass     => 7403, spat      => 3359,
                        spatantike
                                  => 12541, spatantiken
                                  => 19384,
                        spate     => 10056, spaten    => 1397, spatenstich
                                  => 12542,
                        spater    => 89, spatere   => 1936, spateren  => 883, spaterer  => 6837,
                        spateres  => 19755, spatestens
                                  => 2220,
                        spatgotische
                                  => 7572, spatgotischen
                                  => 11443,
                        spatgotischer
                                  => 26124, spatgotisches
                                  => 26913,
                        spatherbst
                                  => 24805, spatmittelalter
                                  => 12163,
                        spatmittelalterlichen
                                  => 19385,
                        spatsommer
                                  => 10389, spatwerk  => 24806,
                        spazieren => 24161, spaziergang
                                  => 19386,
                        spears    => 29631, special   => 6800, specials  => 28676, speed     => 14450,
                        speichen  => 28677, speichern => 11141, speicherplatz
                                  => 26914,
                        speichert => 24807, speicherung
                                  => 13891,
                        speise    => 24162, speisen   => 8573, speisesaal
                                  => 15907,
                        speist    => 16621, spektakulare
                                  => 19059,
                        spektakularen
                                  => 14638, spektrum  => 4908,
                        spektrums => 26915, spekulation
                                  => 21502,
                        spekulationen
                                  => 11798, spekuliert
                                  => 13892,
                        spencer   => 13402, spende    => 11917, spenden   => 3295, spendengelder
                                  => 26916,
                        spender   => 14846, spendete  => 16903, spermien  => 26125, sperre    => 10756,
                        sperren   => 13705, sperrgebiet
                                  => 26126,
                        sperrt    => 22990, sperrung  => 20182, speyer    => 7839, speyerer  => 24808,
                        spezialeinheit
                                  => 29632, spezialfall
                                  => 26127,
                        spezialgebiet
                                  => 24809, spezialisiert
                                  => 4770,
                        spezialisierte
                                  => 6624, spezialisierten
                                  => 11241,
                        spezialisierung
                                  => 12426, spezialist
                                  => 18705,
                        spezialisten
                                  => 10057, spezialitat
                                  => 15687,
                        speziell  => 2058, spezielle => 2403, speziellen
                                  => 2875,
                        spezieller
                                  => 10757, spezielles
                                  => 11672,
                        spezies   => 9635, spezifikation
                                  => 13244,
                        spezifikationen
                                  => 20183, spezifisch
                                  => 12427,
                        spezifische
                                  => 6337, spezifischen
                                  => 7749,
                        spezifischer
                                  => 24163, spezifisches
                                  => 26128,
                        spezifiziert
                                  => 20604, sphare    => 18062,
                        spiegelbild
                                  => 21044, spiegeln  => 10058,
                        spiegelt  => 6540, spiegelte => 28678, spiegelung
                                  => 28679,
                        spiel     => 398, spielbar  => 16622, spielberechtigt
                                  => 24810,
                        spielbetrieb
                                  => 4560, spielbrett
                                  => 26129,
                        spieldauer
                                  => 14451, spiele    => 617,
                        spielen   => 393, spielende => 16623, spielenden
                                  => 14226,
                        spieler   => 399, spielerin => 12030, spielerinnen
                                  => 6924,
                        spielerisch
                                  => 24164, spielerische
                                  => 24165,
                        spielerkarriere
                                  => 16136, spielerlaufbahn
                                  => 20184,
                        spielern  => 3308, spielers  => 7990, spielertrainer
                                  => 16398,
                        spieles   => 14639, spielfeld => 7528, spielfigur
                                  => 12428,
                        spielfiguren
                                  => 20605, spielfilm => 8234,
                        spielfilme
                                  => 13403, spielfilmen
                                  => 14060,
                        spielgemeinschaft
                                  => 15908,
                        spielgeschehen
                                  => 29633, spieljahr => 14640,
                        spieljahres
                                  => 24811, spielkarten
                                  => 29634,
                        spielklasse
                                  => 3496, spielklassen
                                  => 22445,
                        spielminute
                                  => 24166, spielmodus
                                  => 27784,
                        spielort  => 28680, spielplan => 13102, spielplatz
                                  => 12295,
                        spielplatze
                                  => 25455, spielpraxis
                                  => 28681,
                        spielprinzip
                                  => 29635, spielraum => 18382,
                        spielregeln
                                  => 24812, spiels    => 2487,
                        spielstatte
                                  => 8639, spielstatten
                                  => 22446,
                        spielt    => 632, spieltag  => 3103, spieltage => 19060, spieltagen
                                  => 10571,
                        spielte   => 311, spielten  => 1483, spieltisch
                                  => 21045,
                        spielvereinigung
                                  => 29636, spielverlauf
                                  => 21046,
                        spielweise
                                  => 12429, spielwelt => 14061,
                        spielzeit => 1191, spielzeiten
                                  => 3123,
                        spielzeug => 19387, spindel   => 26130, spinne    => 15688, spinnen   => 11918,
                        spinnerei => 19388, spion     => 14452, spionage  => 22991, spirale   => 22992,
                        spiralen  => 29637, spiralformig
                                  => 29638,
                        spirit    => 14062, spiritualitat
                                  => 21503,
                        spirituelle
                                  => 16904, spirituellen
                                  => 16905,
                        spital    => 11919, spitzbogen
                                  => 21953,
                        spitzbogenfenster
                                  => 18063,
                        spitzbogige
                                  => 17463, spitzbogigen
                                  => 18706,
                        spitze    => 1046, spitzem   => 28682, spitzen   => 4125, spitzengruppe
                                  => 17167,
                        spitzenkandidat
                                  => 29639, spitzenkandidaten
                                  => 28683,
                        spitzenposition
                                  => 21047, spitzenzeiten
                                  => 26917,
                        spitzhelm => 20606, spitzname => 10059, spitznamen
                                  => 5262,
                        spitzte   => 29640, split     => 22993, splitter  => 29641, sponsor   => 13103,
                        sponsoren => 10758, spontan   => 7884, spontane  => 18707, spontanen => 17464,
                        sporadisch
                                  => 7657, sporen    => 10484,
                        sporenlager
                                  => 18708, sport     => 1858,
                        sportanlage
                                  => 17764, sportanlagen
                                  => 21048,
                        sportart  => 8394, sportarten
                                  => 6662,
                        sportclub => 22994, sporthalle
                                  => 11444,
                        sporting  => 19756, sportlehrer
                                  => 26918,
                        sportler  => 4639, sportlerinnen
                                  => 19389,
                        sportlern => 18709, sportlich => 8133, sportliche
                                  => 4995,
                        sportlichen
                                  => 4704, sportlicher
                                  => 11799,
                        sportplatz
                                  => 8706, sports    => 6004,
                        sportstatte
                                  => 27785, sportstatten
                                  => 24813,
                        sportveranstaltungen
                                  => 19061,
                        sportverein
                                  => 7885, sportvereine
                                  => 16137,
                        sportvereinen
                                  => 27786, sportwagen
                                  => 13104,
                        spott     => 15909, sprach    => 2072, sprache   => 564, sprachen  => 1185,
                        sprachgebrauch
                                  => 6483, sprachkenntnisse
                                  => 20607,
                        sprachlich
                                  => 12164, sprachliche
                                  => 10217,
                        sprachlichen
                                  => 9468, sprachlicher
                                  => 29642,
                        sprachraum
                                  => 6512, sprachrohr
                                  => 22995,
                        sprachwissenschaft
                                  => 14641,
                        sprang    => 8134, sprangen  => 28684, spreche   => 19757, sprechen  => 1744,
                        sprechende
                                  => 23578, sprechenden
                                  => 19390,
                        sprecher  => 2847, sprecherin
                                  => 9714,
                        sprechern => 20185, spree     => 16138, spremberg => 24167, sprengen  => 14642,
                        sprengladung
                                  => 29643, sprengsatz
                                  => 29644,
                        sprengstoff
                                  => 15050, sprengt   => 29645,
                        sprengten => 22447, sprengung => 14847, sprengungen
                                  => 24814,
                        sprich    => 21504, spricht   => 1181, sprichwort
                                  => 29646,
                        springbrunnen
                                  => 22996, springen  => 5147,
                        springfield
                                  => 19758, springs   => 13105,
                        springt   => 7279, sprint    => 4972, sprinter  => 22997, sprintrennen
                                  => 28685,
                        sprints   => 27787, sprode    => 28686, spross    => 21505, spruch    => 11336,
                        spruche   => 21954, sprung    => 3963, sprunge   => 14643, sprungen  => 23579,
                        sprunghaft
                                  => 22998, spule     => 19759,
                        spulen    => 21955, spur      => 3899, spurbar   => 10485, spuren    => 1729,
                        spurlos   => 13549, spurt     => 14227, spurweite => 11445, spvgg     => 18064,
                        squad     => 26131, squadron  => 19760, square    => 12165, staat     => 1065,
                        staaten   => 567, staates   => 2175, staatlich => 6338, staatliche
                                  => 2260,
                        staatlichen
                                  => 1859, staatlicher
                                  => 7658,
                        staatliches
                                  => 15689, staatsangehorige
                                  => 26919,
                        staatsangehorigkeit
                                  => 9555,
                        staatsanwalt
                                  => 7439, staatsanwaltschaft
                                  => 4689,
                        staatsarchiv
                                  => 13893, staatsarchivs
                                  => 26920,
                        staatsbahn
                                  => 17465, staatsbahnen
                                  => 26921,
                        staatsbesitz
                                  => 29647, staatsbibliothek
                                  => 23580,
                        staatsburger
                                  => 6925, staatsburgerschaft
                                  => 5874,
                        staatsdienst
                                  => 8574, staatsexamen
                                  => 6116,
                        staatsfuhrung
                                  => 27788, staatsgebiet
                                  => 18383,
                        staatsgewalt
                                  => 23581, staatsgrenze
                                  => 16624,
                        staatshaushalt
                                  => 22448, staatskanzlei
                                  => 22999,
                        staatskasse
                                  => 26132, staatsmacht
                                  => 26133,
                        staatsmann
                                  => 27789, staatsminister
                                  => 18710,
                        staatsministerium
                                  => 17765,
                        staatsoberhaupt
                                  => 17466, staatsoper
                                  => 19062,
                        staatsprasident
                                  => 20186, staatsprasidenten
                                  => 16906,
                        staatsprufung
                                  => 11920, staatsrat => 14063,
                        staatsregierung
                                  => 19391, staatssekretar
                                  => 10572,
                        staatssicherheit
                                  => 18711, staatsstrasse
                                  => 14644,
                        staatsstreich
                                  => 19761, staatstheater
                                  => 19392,
                        staatsverschuldung
                                  => 29648,
                        staatswissenschaften
                                  => 29649,
                        stab      => 5672, stabchen  => 28687, stabe     => 16625, staben    => 27790,
                        stabes    => 18065, stabil    => 5793, stabile   => 8288, stabilen  => 12166,
                        stabiler  => 16399, stabiles  => 24815, stabilisieren
                                  => 13404,
                        stabilisiert
                                  => 11800, stabilisierte
                                  => 24168,
                        stabilisierung
                                  => 11561, stabilitat
                                  => 5547,
                        stabschef => 21506, stacheln  => 11801, stadien   => 7610, stadion   => 2261,
                        stadions  => 10941, stadium   => 5954, stadt     => 99, stadtansichten
                                  => 29650,
                        stadtarchiv
                                  => 8029, stadtarchivs
                                  => 21956,
                        stadtbahn => 13706, stadtbefestigung
                                  => 10759,
                        stadtbevolkerung
                                  => 17168, stadtbewohner
                                  => 23000,
                        stadtbezirk
                                  => 9113, stadtbezirke
                                  => 21957,
                        stadtbezirks
                                  => 21958, stadtbibliothek
                                  => 12683,
                        stadtbild => 9715, stadtbrand
                                  => 10942,
                        stadtbucherei
                                  => 21959, stadtchen => 16400,
                        stadte    => 1314, stadtebau => 18384, stadtebaulich
                                  => 24816,
                        stadtebauliche
                                  => 17169, stadtebaulichen
                                  => 19063,
                        stadten   => 1455, stadtentwicklung
                                  => 12296,
                        stadterweiterung
                                  => 17170, stadtgebiet
                                  => 2948,
                        stadtgebietes
                                  => 15477, stadtgebiets
                                  => 14228,
                        stadtgemeinde
                                  => 8769, stadtgeschichte
                                  => 11142,
                        stadtgraben
                                  => 20187, stadtgrenze
                                  => 11921,
                        stadtgrenzen
                                  => 21049, stadtgrundung
                                  => 20188,
                        stadthalle
                                  => 17171, stadthaus => 19064,
                        stadtische
                                  => 3588, stadtischen
                                  => 1763,
                        stadtischer
                                  => 13245, stadtisches
                                  => 14453,
                        stadtkern => 14064, stadtkerns
                                  => 28688,
                        stadtkirche
                                  => 14065, stadtkreis
                                  => 29651,
                        stadtmauer
                                  => 4436, stadtmauern
                                  => 11562,
                        stadtmitte
                                  => 19393, stadtmuseum
                                  => 14229,
                        stadtpark => 17172, stadtparlament
                                  => 28689,
                        stadtpfarrkirche
                                  => 21050, stadtplan => 20608,
                        stadtplanung
                                  => 19762, stadtrand => 10661,
                        stadtrat  => 2748, stadtrate => 28690, stadtrates
                                  => 13707,
                        stadtrats => 17766, stadtrecht
                                  => 15261,
                        stadtrechte
                                  => 12543, stadtregierung
                                  => 24169,
                        stadtteil => 1860, stadtteile
                                  => 6005,
                        stadtteilen
                                  => 7750, stadtteils
                                  => 7192,
                        stadttheater
                                  => 12802, stadttor  => 16401,
                        stadttore => 21051, stadtverkehr
                                  => 24170,
                        stadtverordnetenversammlung
                                  => 12167,
                        stadtverordneter
                                  => 16402, stadtverwaltung
                                  => 4340,
                        stadtviertel
                                  => 10943, stadtwappen
                                  => 12936,
                        stadtwerke
                                  => 8979, stadtzentrum
                                  => 5148,
                        stadtzentrums
                                  => 10390, staff     => 21507,
                        staffel   => 733, staffeln  => 3566, stage     => 15910, stagnation
                                  => 28691,
                        stagnierte
                                  => 20609, stahlbeton
                                  => 19394,
                        stahlindustrie
                                  => 27791, stahlkonstruktion
                                  => 20610,
                        stahlwerk => 23001, stalin    => 11040, stalins   => 19065, stall     => 11143,
                        stalle    => 21052, stallen   => 29652, stallgebaude
                                  => 24171,
                        stallungen
                                  => 12031, stammbaum => 24817,
                        stamme    => 4310, stammelf  => 26922, stammen   => 865, stammend  => 23582,
                        stammende => 5819, stammenden
                                  => 6567,
                        stammender
                                  => 26134, stammes   => 9556,
                        stammhaus => 29653, stammkraft
                                  => 21960,
                        stammplatz
                                  => 9237, stammsitz => 15051,
                        stammspieler
                                  => 5067, stammstrecke
                                  => 22449,
                        stammt    => 509, stammte   => 2739, stammten  => 4206, stammtorhuter
                                  => 21508,
                        stammvater
                                  => 20611, stammverein
                                  => 23583,
                        stand     => 198, standard  => 3228, standardisiert
                                  => 22450,
                        standardisierte
                                  => 21053, standardisierten
                                  => 18066,
                        standardisierung
                                  => 21509, standardmassig
                                  => 13894,
                        standards => 4733, standardwerk
                                  => 9811,
                        standardwerke
                                  => 26135, standbein => 18712,
                        standbild => 27792, stande    => 6117, standen   => 926, standes   => 17173,
                        standesamt
                                  => 23002, standhaft => 24172,
                        standhalten
                                  => 15262, standig   => 1954,
                        standige  => 5084, standigem => 23584, standigen => 4568, standiger => 9238,
                        standiges => 26136, standort  => 1124, standorte => 4010, standorten
                                  => 4484,
                        standortes
                                  => 19066, standorts => 23585,
                        standpunkt
                                  => 8135, standpunkte
                                  => 21510,
                        stanford  => 18067, stangel   => 10573, stangelblatter
                                  => 24173,
                        stangen   => 21054, stanley   => 8235, stanton   => 25456, stapellauf
                                  => 21055,
                        star      => 3772, starb     => 240, starben   => 2227, stark     => 268,
                        starke    => 872, starkem   => 8136, starken   => 1037, starker   => 1227,
                        starkere  => 6458, starkeren => 6880, starkerer => 26137, starkes   => 7280,
                        starkste  => 6339, starksten => 4583, starkt    => 24174, starkte   => 20189,
                        starkung  => 8137, starr     => 11563, starre    => 21056, starren   => 15478,
                        stars     => 6663, start     => 1436, startaufstellung
                                  => 18713,
                        startbahn => 19763, startelf  => 15052, starten   => 4229, starter   => 10391,
                        startet   => 5068, startete  => 1197, starteten => 6541, startformation
                                  => 25457,
                        startkapital
                                  => 26138, startnummer
                                  => 18714,
                        startplatz
                                  => 11144, startplatze
                                  => 15479,
                        startpunkt
                                  => 23003, starts    => 11145,
                        state     => 3029, statement => 19067, states    => 10844, statik    => 23586,
                        station   => 1535, stationar => 18068, stationare
                                  => 14848,
                        stationaren
                                  => 14849, stationen => 2525,
                        stationiert
                                  => 4876, stationierte
                                  => 21057,
                        stationierten
                                  => 12803, stationierung
                                  => 21961,
                        stationsgebaude
                                  => 29654, statisch  => 17467,
                        statische => 13895, statischen
                                  => 15690,
                        statistik => 4462, statistiken
                                  => 10944,
                        statistisch
                                  => 4973, statistische
                                  => 10299,
                        statistischen
                                  => 7153, statistischer
                                  => 20612,
                        statt     => 164, stattdessen
                                  => 1153,
                        statte    => 9114, statten   => 9295, stattete  => 17174, stattfand => 3987,
                        stattfanden
                                  => 8289, stattfinden
                                  => 2758,
                        stattfindende
                                  => 10139, stattfindenden
                                  => 6801,
                        stattfindet
                                  => 4909, stattgefunden
                                  => 6006,
                        stattgegeben
                                  => 19068, statthalter
                                  => 11337,
                        stattliche
                                  => 16626, stattlichen
                                  => 26923,
                        statue    => 3660, statuen   => 6765, statur    => 24175, status    => 1732,
                        statut    => 22451, statuten  => 9812, staubbeutel
                                  => 17468,
                        staubblatter
                                  => 15911, staubfaden
                                  => 14454,
                        staudamm  => 20190, staumauer => 13106, staus     => 28692, stausee   => 7659,
                        stausees  => 19069, steam     => 21962, stechen   => 11446, stecken   => 8344,
                        steckt    => 6363, steckte   => 15691, steckten  => 28693, steel     => 13246,
                        steele    => 25458, stehe     => 7232, stehen    => 395, stehend   => 7363,
                        stehende  => 3238, stehenden => 2587, stehender => 14455, stehendes => 19070,
                        stehlen   => 8575, stehplatze
                                  => 14456,
                        steht     => 223, steiermark
                                  => 7611,
                        steif     => 18385, steifigkeit
                                  => 25459,
                        steig     => 24818, steigen   => 4448, steigende => 8290, steigendem
                                  => 24819,
                        steigenden
                                  => 6118, steigender
                                  => 7706,
                        steigern  => 5548, steigert  => 14230, steigerte => 8980, steigerung
                                  => 6169,
                        steigt    => 2242, steigung  => 10300, steigungen
                                  => 17175,
                        steil     => 5167, steile    => 7937, steilen   => 6228, steiler   => 14645,
                        steilhang => 20191, steinach  => 27793, steinbauten
                                  => 29655,
                        steinbruch
                                  => 5955, steinbruche
                                  => 16907,
                        steinbruchen
                                  => 19764, steinbrucke
                                  => 25460,
                        steine    => 2178, steinen   => 3421, steinerne => 7091, steinernen
                                  => 9378,
                        steinerner
                                  => 26924, steinernes
                                  => 29656,
                        steiners  => 29657, steines   => 26925, steinigen => 23004, steinkohle
                                  => 8138,
                        steinkreuz
                                  => 26926, steinplatten
                                  => 16403,
                        steinzeit => 17767, steirischen
                                  => 18069,
                        stele     => 13405, stelen    => 21963, stella    => 12168, stelle    => 444,
                        stellen   => 486, stellenweise
                                  => 8770,
                        stellenwert
                                  => 8188, stellt    => 426,
                        stellte   => 417, stellten  => 2140, stellung  => 1322, stellungen
                                  => 4974,
                        stellungnahme
                                  => 8345, stellungnahmen
                                  => 14231,
                        stellvertretend
                                  => 16627, stellvertretende
                                  => 5747,
                        stellvertretenden
                                  => 5748, stellvertretender
                                  => 2272,
                        stellvertretendes
                                  => 20613,
                        stellvertreter
                                  => 4299, stellwerk => 13406,
                        stellwerke
                                  => 28694, stempel   => 11242,
                        stendal   => 24176, stephen   => 7707, stephens  => 24820, steppe    => 27794,
                        sterbebett
                                  => 21964, sterbedatum
                                  => 27795,
                        sterben   => 2571, sterbende => 24177, sterbenden
                                  => 15480,
                        sterblichen
                                  => 11447, sterblichkeit
                                  => 18715,
                        sterling  => 19071, sterne    => 4891, sternen   => 6568, sternformig
                                  => 21058,
                        sterns    => 16139, sternwarte
                                  => 16628,
                        stetig    => 3589, stetige   => 14232, stetigen  => 14233, stets     => 852,
                        stetten   => 24178, stettin   => 9115, stettiner => 27796, steuerberater
                                  => 29658,
                        steuereinnahmen
                                  => 26927, steuerfedern
                                  => 17768,
                        steuerhinterziehung
                                  => 27797,
                        steuerliche
                                  => 27798, steuermann
                                  => 21059,
                        steuern   => 3175, steuert   => 9716, steuerte  => 7938, steuerten => 28695,
                        steuerung => 4350, steuerwagen
                                  => 15481,
                        steuerzahler
                                  => 26139, stevenson => 24821,
                        stewart   => 7991, steyr     => 16140, stiche    => 15482, stichkappen
                                  => 28696,
                        stichprobe
                                  => 26140, stichstrasse
                                  => 28697,
                        sticht    => 15053, stichtag  => 13550, stichwahl => 8707, stichwort => 20192,
                        stickstoff
                                  => 14234, stiefmutter
                                  => 15483,
                        stieftochter
                                  => 26928, stiefvater
                                  => 13551,
                        stieg     => 609, stiegen   => 3538, stiehlt   => 13407, stiel     => 5850,
                        stiele    => 25461, stiess    => 2744, stiessen  => 7440, stift     => 5236,
                        stifte    => 28698, stiften   => 18070, stifters  => 24179, stiftes   => 14235,
                        stiftete  => 8291, stifts    => 14850, stiftskirche
                                  => 11243,
                        stiftung  => 1158, stiftungen
                                  => 7045,
                        stiftungsrat
                                  => 27799, stil      => 886,
                        stile     => 9977, stilelemente
                                  => 24822,
                        stilen    => 24823, stilisierte
                                  => 16404,
                        stilisierten
                                  => 20193, stilistisch
                                  => 8346,
                        stilistische
                                  => 14851, stilistischen
                                  => 16405,
                        still     => 7939, stille    => 8981, stillen   => 13107, stillgelegt
                                  => 3213,
                        stillgelegte
                                  => 27800, stillgelegten
                                  => 16141,
                        stillleben
                                  => 13552, stilllegung
                                  => 6170,
                        stillschweigen
                                  => 28699, stillstand
                                  => 10486,
                        stilmittel
                                  => 28700, stilrichtung
                                  => 21060,
                        stilrichtungen
                                  => 18716, stils     => 12297,
                        stimmberechtigt
                                  => 26929, stimmberechtigten
                                  => 15263,
                        stimme    => 1980, stimmen   => 813, stimmenanteil
                                  => 13247,
                        stimmrecht
                                  => 17176, stimmt    => 5820,
                        stimmte   => 4975, stimmten  => 5923, stimmung  => 4603, stimmungen
                                  => 20614,
                        stimmzettel
                                  => 21511, stimulation
                                  => 23587,
                        stipendien
                                  => 12684, stipendium
                                  => 9116,
                        stirbt    => 2759, stirn     => 6664, stirnseite
                                  => 17469,
                        stocken   => 12430, stockholm => 5770, stockholmer
                                  => 26141,
                        stockwerk => 6569, stockwerke
                                  => 6364,
                        stockwerken
                                  => 10392, stoffe    => 4831,
                        stoffen   => 10301, stoffes   => 15054, stoffwechsel
                                  => 24824,
                        stollen   => 7573, stolln    => 28701, stolpersteine
                                  => 16142,
                        stone     => 8139, stones    => 21965, stoppen   => 8456, stoppt    => 23588,
                        stoppte   => 17769, store     => 14236, storen    => 10574, storend   => 29659,
                        storende  => 26142, stories   => 18071, stort     => 19072, storte    => 29660,
                        storung   => 6484, storungen => 4757, story     => 7529, stosse    => 24180,
                        stossen   => 6080, stossstange
                                  => 29661,
                        stosst    => 4499, strada    => 18072, strafbar  => 16908, strafbarkeit
                                  => 24825,
                        strafe    => 3787, strafen   => 8457, strafminuten
                                  => 26143,
                        strafpunkte
                                  => 23589, strafpunkten
                                  => 21966,
                        strafrecht
                                  => 15692, strafrechtlich
                                  => 26144,
                        strafrechtliche
                                  => 24826, straftat  => 16909,
                        straftaten
                                  => 9978, straftater
                                  => 29662,
                        strafverfahren
                                  => 15264, strafverfolgung
                                  => 16406,
                        strafverfolgungsbehorden
                                  => 25462,
                        strahlen  => 9239, strahlt   => 17770, strahlte  => 20194, strahlung => 8140,
                        stralsund => 10845, stralsunder
                                  => 26145,
                        strand    => 4182, strande   => 16629, stranden  => 18386, strange   => 15265,
                        strapazen => 26930, strassburg
                                  => 6974,
                        strassburger
                                  => 14457, strasse   => 330,
                        strassen  => 1112, strassenbahn
                                  => 3834,
                        strassenbahnen
                                  => 11448, strassenbahnlinie
                                  => 21967,
                        strassenbahnlinien
                                  => 21968,
                        strassenbahnnetz
                                  => 24181, strassenbahnstrecke
                                  => 28702,
                        strassenbahnwagen
                                  => 27801,
                        strassenbau
                                  => 12937, strassenbeleuchtung
                                  => 26931,
                        strassenbild
                                  => 29663, strassenbrucke
                                  => 17771,
                        strassenfuhrung
                                  => 23590, strassenname
                                  => 23591,
                        strassennamen
                                  => 11146, strassennetz
                                  => 12032,
                        strassennetzes
                                  => 26932, strassenrand
                                  => 24827,
                        strassenrennen
                                  => 15266, strassenseite
                                  => 11564,
                        strassenverbindung
                                  => 17772,
                        strassenverbindungen
                                  => 14066,
                        strassenverkehr
                                  => 9813, strassenzug
                                  => 23005,
                        strassenzuge
                                  => 24182, strategie => 4463,
                        strategien
                                  => 7992, strategisch
                                  => 9814,
                        strategische
                                  => 6271, strategischen
                                  => 7530,
                        strategischer
                                  => 24183, strategisches
                                  => 29664,
                        stratford => 29665, straubing => 20195, straucher => 19765, strauchern
                                  => 15693,
                        stream    => 24184, streben   => 6802, strebepfeiler
                                  => 13553,
                        strebepfeilern
                                  => 23592, strebt    => 12431,
                        strebte   => 9717, strebten  => 23593, strecke   => 465, strecken  => 2245,
                        streckenabschnitt
                                  => 8292, streckenabschnitte
                                  => 21061,
                        streckenfuhrung
                                  => 12298, streckengleis
                                  => 28703,
                        streckenkilometer
                                  => 23594,
                        streckenlange
                                  => 16910, streckennetz
                                  => 16143,
                        streckenteil
                                  => 29666, streckenverlauf
                                  => 27802,
                        streckenweise
                                  => 26933, streckt   => 23006,
                        streckung => 29667, street    => 2277, streiche  => 26146, streichen => 12804,
                        streichern
                                  => 23595, streichquartett
                                  => 21512,
                        streichung
                                  => 26934, streifen  => 2471,
                        streik    => 10487, streikenden
                                  => 27803,
                        streiks   => 12033, streit    => 1931, streiten  => 12938, streitereien
                                  => 21969,
                        streitet  => 21970, streitig  => 20196, streitigkeiten
                                  => 5033,
                        streitkrafte
                                  => 3694, streitkraften
                                  => 13248,
                        streitmacht
                                  => 16911, streits   => 20197,
                        streng    => 3671, strenge   => 6401, strengen  => 6542, strenger  => 14067,
                        strengere => 28704, stress    => 12805, streusiedlung
                                  => 29668,
                        streuung  => 21062, strich    => 8640, striche   => 24185, strichen  => 24186,
                        strikt    => 9718, strikte   => 19073, strikten  => 19395, string    => 26147,
                        strings   => 28705, stritt    => 23596, stritten  => 28706, strittig  => 14646,
                        strom     => 2690, stromabnehmer
                                  => 26935,
                        strome    => 19766, stromen   => 19074, stromerzeugung
                                  => 13249,
                        stromnetz => 15694, stroms    => 28707, stromschnellen
                                  => 26148,
                        stromt    => 13554, stromten  => 23007, stromung  => 7281, stromungen
                                  => 9041,
                        stromverbrauch
                                  => 26149, stromversorgung
                                  => 7612,
                        strong    => 24187, strophe   => 6881, strophen  => 9636, struktur  => 1622,
                        strukturell
                                  => 21513, strukturelle
                                  => 10846,
                        strukturellen
                                  => 15484, strukturen
                                  => 2207,
                        strukturiert
                                  => 9042, strukturierte
                                  => 19075,
                        strukturierten
                                  => 21514, strukturwandel
                                  => 20198,
                        stuart    => 10760, stube     => 17177, stuck     => 767, stucke    => 1976,
                        stucken   => 5875, stuckes   => 11244, stucks    => 10060, stuckzahl => 12034,
                        stuckzahlen
                                  => 14458, student   => 6882,
                        studenten => 1421, studentenschaft
                                  => 21063,
                        studentenverbindung
                                  => 24188,
                        studentenverbindungen
                                  => 28708,
                        studentin => 15912, studentinnen
                                  => 23008,
                        studentische
                                  => 18073, studentischen
                                  => 13896,
                        studie    => 1788, studien   => 1051, studienabschluss
                                  => 22452,
                        studiengang
                                  => 12939, studiengange
                                  => 10945,
                        studiengebuhren
                                  => 21064, studienjahr
                                  => 23009,
                        studienrat
                                  => 22453, studienreise
                                  => 21515,
                        studienreisen
                                  => 11338, studienzeit
                                  => 10488,
                        studieren => 5353, studierende
                                  => 7124,
                        studierenden
                                  => 6142, studiert  => 7092,
                        studierte => 1048, studierten
                                  => 23010,
                        studies   => 7940, studio    => 2189, studioalben
                                  => 17470,
                        studioalbum
                                  => 5312, studioalbums
                                  => 26936,
                        studioaufnahmen
                                  => 23011, studios   => 4351,
                        studium   => 961, studiums  => 3482, study     => 19767, stufe     => 3336,
                        stufen    => 3695, stufte    => 21516, stuhl     => 7574, stuhle    => 17471,
                        stuhlen   => 28709, stumpfe   => 24189, stumpfen  => 16144, stunde    => 2010,
                        stunden   => 702, stundenlang
                                  => 26150,
                        stundentakt
                                  => 12685, stundlich => 13708,
                        sturme    => 20199, sturmen   => 13250, sturmes   => 28710, sturmflut => 23012,
                        sturms    => 17773, sturmt    => 21065, sturmte   => 22454, sturmten  => 16912,
                        sturz     => 4584, sturze    => 28711, sturzen   => 7575, sturzes   => 25463,
                        sturzt    => 5693, sturzte   => 4368, sturzten  => 16407, stuten    => 29669,
                        stuttgart => 774, stuttgarter
                                  => 5411,
                        stutze    => 13251, stutzen   => 5821, stutzpunkt
                                  => 8576,
                        stutzpunkte
                                  => 19396, stutzt    => 9379,
                        stutzte   => 13408, stutzten  => 28712, style     => 16913, suarez    => 25464,
                        subjekt   => 9719, subjektiv => 17472, subjektive
                                  => 12432,
                        subjektiven
                                  => 17774, subjektivitat
                                  => 27804,
                        substantiv
                                  => 16914, substantive
                                  => 24190,
                        substanz  => 5851, substanzen
                                  => 6402,
                        substitution
                                  => 28713, substrat  => 12940,
                        subtile   => 27805, subtropischen
                                  => 18074,
                        subventionen
                                  => 18075, suche     => 1372,
                        suchen    => 1873, suchmaschinen
                                  => 27806,
                        sucht     => 1994, suchte    => 3450, suchten   => 6570, sudafrika => 3627,
                        sudafrikanische
                                  => 15485, sudafrikanischen
                                  => 12941,
                        sudafrikas
                                  => 20200, sudamerika
                                  => 4341,
                        sudamerikanischen
                                  => 14647,
                        sudamerikas
                                  => 15913, sudan     => 12942,
                        suddeutsche
                                  => 9296, suddeutschen
                                  => 8395,
                        suddeutschland
                                  => 11041, suden     => 552,
                        sudende   => 27807, sudens    => 17775, sudeuropa => 14068, sudfassade
                                  => 24828,
                        sudflanke => 29670, sudflugel => 11673, sudfrankreich
                                  => 15055,
                        sudhang   => 17178, sudkorea  => 6926, sudkoreanischen
                                  => 18387,
                        sudkurier => 29671, sudkuste  => 16915, sudlich   => 863, sudliche  => 2779,
                        sudlichen => 1218, sudlicher => 6927, sudlichste
                                  => 15695,
                        sudlichsten
                                  => 22455, sudost    => 18717,
                        sudostasiatischen
                                  => 27808,
                        sudostasien
                                  => 10946, sudostasiens
                                  => 29672,
                        sudostecke
                                  => 28714, sudosten  => 2472,
                        sudosteuropa
                                  => 19397, sudostlich
                                  => 3825,
                        sudostliche
                                  => 16630, sudostlichen
                                  => 6766,
                        sudostlicher
                                  => 17179, sudostseite
                                  => 26151,
                        sudportal => 17180, sudrand   => 16408, sudseite  => 2673, sudspitze => 21066,
                        sudstaaten
                                  => 16916, sudteil   => 15056,
                        sudtirol  => 10662, sudtiroler
                                  => 16631,
                        sudturm   => 17776, sudufer   => 16145, sudwand   => 9297, sudwarts  => 18718,
                        sudwest   => 8189, sudwestecke
                                  => 21517,
                        sudwesten => 2544, sudwestlich
                                  => 3751,
                        sudwestliche
                                  => 15267, sudwestlichen
                                  => 7660,
                        sudwestlicher
                                  => 20201, sudwestseite
                                  => 21518,
                        suffix    => 17777, sugar     => 22456, suggeriert
                                  => 24191,
                        suhrkamp  => 8396, suisse    => 24829, suite     => 10663, suiten    => 24830,
                        suizid    => 8708, sujet     => 27809, sujets    => 28715, sukzessive
                                  => 7613,
                        sullivan  => 15486, sultan    => 6485, sultans   => 19768, sulzbach  => 26937,
                        summe     => 2829, summen    => 12943, summit    => 22457, sumpf     => 15057,
                        sumpfe    => 21067, sumpfen   => 19398, sumpfige  => 28716, sumpfigen => 17473,
                        sunday    => 25465, sunde     => 12169, sunden    => 13409, sunder    => 21971,
                        sundern   => 27810, sunny     => 29673, super     => 3972, supercup  => 29674,
                        superhelden
                                  => 24192, superintendent
                                  => 21068,
                        superintendenten
                                  => 27811, superior  => 15058,
                        superliga => 28717, superman  => 22458, supermarkt
                                  => 14852,
                        superstar => 21069, suppe     => 21972, support   => 16146, supreme   => 13252,
                        suriname  => 29675, surrey    => 29676, surtees   => 23013, survey    => 23014,
                        susan     => 9557, suspendiert
                                  => 11042,
                        suspendierung
                                  => 26938, susse     => 17181,
                        sussen    => 23015, sussigkeiten
                                  => 24193,
                        susswasser
                                  => 17474, sutton    => 19769,
                        suzanne   => 13108, suzuki    => 16409, swing     => 19399, swiss     => 12170,
                        switch    => 24831, symbol    => 3249, symbole   => 7614, symbolen  => 12944,
                        symbolik  => 14853, symbolisch
                                  => 10140,
                        symbolische
                                  => 10947, symbolischen
                                  => 13253,
                        symbolisieren
                                  => 9720, symbolisiert
                                  => 7319,
                        symmetrie => 17182, symmetrisch
                                  => 7886,
                        symmetrische
                                  => 22459, symmetrischen
                                  => 21973,
                        sympathie => 12806, sympathien
                                  => 16917,
                        sympathisanten
                                  => 23016, sympathisch
                                  => 25466,
                        symphonie => 27812, symphony  => 12171, symposien => 21974, symposium => 19076,
                        symposiums
                                  => 26939, symptom   => 28718,
                        symptomatik
                                  => 27813, symptome  => 5619,
                        symptomen => 17183, synagoge  => 3250, synagogen => 21519, synchron  => 24194,
                        synchronfassung
                                  => 21975, synchronisation
                                  => 11245,
                        synchronisiert
                                  => 12433, synchronsprecher
                                  => 20202,
                        synchronsprecherin
                                  => 27814,
                        syndrom   => 21976, synode    => 12945, synonym   => 5673, synonyme  => 19077,
                        syntax    => 22460, synthese  => 7615, synthesizer
                                  => 22461,
                        synthetisch
                                  => 28719, synthetische
                                  => 27815,
                        syracuse  => 28720, syrakus   => 26940, syrien    => 6081, syrische  => 14237,
                        syrischen => 10061, system    => 734, systematik
                                  => 10393,
                        systematisch
                                  => 5720, systematische
                                  => 6119,
                        systematischen
                                  => 9117, systematischer
                                  => 26152,
                        systeme   => 2519, systemen  => 5694, systemischen
                                  => 29677,
                        systems   => 3104, szenarien => 15487, szenario  => 18388, szene     => 1315,
                        szenen    => 1967, szenerie  => 19078, szenische => 26153, tabak     => 11246,
                        tabelle   => 2332, tabellen  => 10062, tabellenletzter
                                  => 12172,
                        tabellenplatz
                                  => 6665, tabellenrang
                                  => 23017,
                        tabellenspitze
                                  => 26154, tabernakel
                                  => 14648,
                        table     => 26155, tabletten => 26156, tacitus   => 20615, tafel     => 5186,
                        tafeln    => 6975, tag       => 381, tagaktiv  => 17475, tagblatt  => 29678,
                        tage      => 479, tagebau   => 13410, tagebaus  => 27816, tageblatt => 27817,
                        tagebuch  => 5354, tagebucher
                                  => 17184,
                        tagebuchern
                                  => 18719, tagelang  => 24195,
                        tagelohner
                                  => 21070, tagen     => 1026,
                        tages     => 1861, tageslicht
                                  => 11043,
                        tagesordnung
                                  => 15268, tageszeit => 25467,
                        tageszeitung
                                  => 8347, tageszeitungen
                                  => 11449,
                        taglich   => 1709, tagliche  => 7364, taglichen => 4500, tagsuber  => 5498,
                        tagte     => 16410, tagung    => 8236, tagungen  => 7840, taiwan    => 8141,
                        taiwans   => 24196, takt      => 5085, takte     => 16411, takten    => 21520,
                        taktik    => 11565, taktisch  => 25468, taktische => 12173, taktischen
                                  => 15488,
                        talboden  => 21521, talbot    => 19770, talent    => 4169, talente   => 10575,
                        talenten  => 29679, talentierte
                                  => 23597,
                        talentierten
                                  => 27818, talentierter
                                  => 28721,
                        taler     => 4449, talern    => 6883, tales     => 12299, talgrund  => 25469,
                        taliban   => 14854, talkessel => 25470, tallinn   => 15059, talmulde  => 24197,
                        talseite  => 24832, talsohle  => 22462, talsperre => 10063, talstation
                                  => 20616,
                        tamil     => 22463, tandem    => 29680, tangiert  => 29681, tango     => 15914,
                        tanker    => 20617, tanks     => 13411, tankstelle
                                  => 13109,
                        tankstellen
                                  => 18720, tannen    => 27819,
                        tansania  => 22464, tanz      => 4352, tanze     => 11147, tanzen    => 5391,
                        tanzerin  => 9979, tanzerinnen
                                  => 18076,
                        tanzern   => 21977, tanzes    => 21522, tanzmusik => 29682, tanzt     => 14069,
                        tanzte    => 23598, tapferkeit
                                  => 18077,
                        target    => 28722, tarif     => 24198, tarife    => 26941, tarnung   => 13412,
                        tartu     => 27820, tarzan    => 26157, tasche    => 8237, taschen   => 12686,
                        taschenbuch
                                  => 8076, tasmanien => 28723,
                        tasse     => 24833, tastatur  => 15269, taste     => 17778, tasten    => 13709,
                        tataren   => 27821, tatbestand
                                  => 17779,
                        taten     => 3841, tater     => 2648, tatern    => 21071, taters    => 14649,
                        taterschaft
                                  => 27822, tatig     => 290,
                        tatige    => 11450, tatigen   => 7125, tatigkeit => 771, tatigkeiten
                                  => 2851,
                        tatkraftig
                                  => 25471, tatort    => 7887,
                        tatra     => 26158, tatsache  => 2752, tatsachen => 9637, tatsachlich
                                  => 849,
                        tatsachliche
                                  => 5822, tatsachlichen
                                  => 5427,
                        tatsachlicher
                                  => 24834, tatwaffe  => 26942,
                        tatzeit   => 27823, tauben    => 14459, taubling  => 28724, tauchen   => 6044,
                        taucht    => 3042, tauchte   => 6459, tauchten  => 18389, taufbecken
                                  => 12544,
                        taufe     => 6767, taufen    => 13110, taufer    => 12946, taufers   => 25472,
                        taufkapelle
                                  => 19771, taufstein => 10064,
                        taunus    => 20203, tauschen  => 8641, tauscht   => 18078, tauschte  => 18079,
                        tauschten => 23018, tauschung => 19079, tausend   => 3652, tausende  => 4976,
                        tausenden => 13710, taxifahrer
                                  => 23599,
                        taxis     => 12545, taxon     => 18080, taylor    => 4892, team      => 581,
                        teamchef  => 27824, teamkollege
                                  => 23019,
                        teamkollegen
                                  => 10761, teams     => 1249,
                        teamwertung
                                  => 21072, teamwettbewerb
                                  => 29683,
                        teatro    => 15696, technical => 19080, technik   => 1405, techniken => 4207,
                        techniker => 10664, technisch => 2942, technische
                                  => 1602,
                        technischen
                                  => 1347, technischer
                                  => 4620,
                        technisches
                                  => 12807, technologie
                                  => 4814,
                        technologien
                                  => 7093, technologies
                                  => 21523,
                        technologische
                                  => 24199, technologischen
                                  => 18081,
                        technology
                                  => 9980, teenager  => 9721,
                        teheran   => 12808, teich     => 5126, teiche    => 9815, teichen   => 15489,
                        teil      => 118, teilbereich
                                  => 19772,
                        teilbereiche
                                  => 24200, teilbereichen
                                  => 25473,
                        teilchen  => 7661, teile     => 511, teilen    => 820, teiles    => 25474,
                        teilflachen
                                  => 23600, teilgebiet
                                  => 26943,
                        teilgebiete
                                  => 29684, teilgenommen
                                  => 6571,
                        teilhabe  => 17185, teilhaben => 26944, teilhaber => 8642, teilliste => 4155,
                        teilmenge => 24201, teilnahm  => 8077, teilnahme => 1907, teilnahmeberechtigt
                                  => 24835,
                        teilnahmen
                                  => 6229, teilnehmen
                                  => 2728,
                        teilnehmende
                                  => 24202, teilnehmenden
                                  => 5924,
                        teilnehmer
                                  => 1444, teilnehmerfeld
                                  => 18390,
                        teilnehmerin
                                  => 20204, teilnehmerinnen
                                  => 19773,
                        teilnehmern
                                  => 4585, teilnehmerzahl
                                  => 21978,
                        teilnimmt => 19774, teils     => 972, teilstrecke
                                  => 19400,
                        teilstuck => 7888, teilstucke
                                  => 28725,
                        teilt     => 3474, teilte    => 3058, teilten   => 7046, teilung   => 5369,
                        teilweise => 339, teilweisen
                                  => 18721,
                        teilzunehmen
                                  => 6768, telecom   => 29685,
                        telefon   => 7662, telefonat => 21979, telefoniert
                                  => 21980,
                        telefonisch
                                  => 11922, telefonnummer
                                  => 24203,
                        telegramm => 19401, telekom   => 13111, telekommunikation
                                  => 20618,
                        teleskop  => 17780, television
                                  => 15060,
                        tempel    => 2777, tempelhof => 21073, tempeln   => 18391, tempels   => 8982,
                        temperament
                                  => 19775, temperatur
                                  => 2615,
                        temperaturbereich
                                  => 29686,
                        temperaturen
                                  => 2839, temperaturschwankungen
                                  => 25475,
                        temple    => 13897, tempo     => 6304, temporar  => 20619, temporare => 17781,
                        temporaren
                                  => 17476, tendenz   => 6365,
                        tendenzen => 8293, tendenziell
                                  => 12035,
                        tender    => 21981, tendieren => 24836, tennessee => 13413, tennis    => 7796,
                        tennisplatze
                                  => 26159, tenor     => 23020,
                        tentakel  => 26945, teppich   => 16412, teppiche  => 16632, teresa    => 12687,
                        termin    => 7404, terminal  => 6928, terminals => 16633, termine   => 14855,
                        terminen  => 25476, terminologie
                                  => 18082,
                        terminus  => 16413, terra     => 15270, terrain   => 12546, terrasse  => 8190,
                        terrassen => 14238, territorial
                                  => 17186,
                        territoriale
                                  => 12688, territorialen
                                  => 15061,
                        territorien
                                  => 7405, territorium
                                  => 4640,
                        territoriums
                                  => 13254, terror    => 10489,
                        terrorismus
                                  => 18722, terroristen
                                  => 10302,
                        terroristischen
                                  => 26946, terry     => 10762,
                        tesla     => 23021, tessin    => 17782, tessiner  => 27825, test      => 4641,
                        testament => 3988, testamentarisch
                                  => 24837,
                        testaments
                                  => 12947, testen    => 9469,
                        testfahrten
                                  => 16634, tests     => 4450,
                        teuer     => 7233, teuerste  => 17187, teuersten => 21524, teufarbeiten
                                  => 28726,
                        teufe     => 11247, teufels   => 21982, teure     => 10303, teuren    => 10218,
                        teurer    => 9558, teureren  => 28727, teutonia  => 29687, texanischen
                                  => 29688,
                        texas     => 5392, text      => 1028, texte     => 1335, texten    => 3707,
                        texter    => 27826, textes    => 7094, textile   => 26947, textilien => 10304,
                        textilindustrie
                                  => 9890, textlich  => 23601,
                        textstellen
                                  => 28728, textur    => 29689,
                        textzeile => 29690, thailand  => 6603, thailandische
                                  => 19402,
                        thailandischen
                                  => 14650, thailands => 29691,
                        thames    => 27827, the       => 217, theater   => 1071, theaterarbeit
                                  => 24204,
                        theaterauffuhrungen
                                  => 15915,
                        theatergruppe
                                  => 15916, theatern  => 10394,
                        theaterproduktionen
                                  => 21983,
                        theaters  => 6486, theaterschauspieler
                                  => 27828,
                        theaterstuck
                                  => 7616, theaterstucke
                                  => 8643,
                        theaterstucken
                                  => 15271, theatre   => 6045,
                        theben    => 23602, thema     => 814, themas    => 12036, thematik  => 8078,
                        thematisch
                                  => 8142, thematische
                                  => 14460,
                        thematischen
                                  => 15062, thematisieren
                                  => 18723,
                        thematisiert
                                  => 5223, thematisierte
                                  => 17188,
                        themen    => 916, themenbereiche
                                  => 26160,
                        themenbereichen
                                  => 28729, themse    => 26161,
                        theodore  => 21984, theologe  => 17783, theologen => 10065, theologie => 2785,
                        theologiestudium
                                  => 22465, theologisch
                                  => 23603,
                        theologische
                                  => 6082, theologischen
                                  => 5477,
                        theologischer
                                  => 16635, theoretisch
                                  => 6230,
                        theoretische
                                  => 6083, theoretischen
                                  => 7365,
                        theoretischer
                                  => 18083, theorie   => 1536,
                        theorien  => 4893, theory    => 18392, therapeuten
                                  => 20620,
                        therapeutische
                                  => 17784, therapeutischen
                                  => 16636,
                        therapie  => 3514, therapien => 24838, therese   => 11248, theresienstadt
                                  => 21985,
                        therme    => 29692, thermen   => 25477, thermisch => 26948, thermische
                                  => 15272,
                        thermischen
                                  => 20205, these     => 4561,
                        thesen    => 9638, thessaloniki
                                  => 18724,
                        thing     => 26949, things    => 21986, third     => 19403, thompson  => 7941,
                        thomson   => 20206, thorax    => 28730, thrakien  => 29693, three     => 15490,
                        thriller  => 18393, thron     => 5355, thronbesteigung
                                  => 23022,
                        thronfolge
                                  => 16637, thronfolger
                                  => 17477,
                        thront    => 25478, through   => 29694, thuringen => 4485, thuringens
                                  => 26950,
                        thuringischen
                                  => 21074, tibetische
                                  => 28731,
                        tibetischen
                                  => 19404, ticket    => 20621,
                        tickets   => 14239, tief      => 1737, tiefbau   => 27829, tiefdruckgebiet
                                  => 16918,
                        tiefe     => 1398, tiefen    => 2729, tiefer    => 3222, tiefere   => 13711,
                        tieferen  => 8983, tiefes    => 15491, tiefgang  => 12948, tiefgarage
                                  => 15492,
                        tiefgreifende
                                  => 23023, tiefgreifenden
                                  => 24839,
                        tiefland  => 16919, tiefpunkt => 19081, tiefste   => 10847, tiefsten  => 10848,
                        tier      => 3022, tierarten => 9380, tierarzt  => 21987, tiere     => 721,
                        tieren    => 2325, tieres    => 10141, tiergarten
                                  => 18084,
                        tierhaltung
                                  => 21988, tierische => 24205,
                        tierischen
                                  => 23604, tierknochen
                                  => 25479,
                        tierpark  => 18394, tierschutz
                                  => 29695,
                        tierwelt  => 17189, tiflis    => 16920, tiger     => 8143, tigers    => 15697,
                        time      => 5749, times     => 5876, timothy   => 18085, tinte     => 19776,
                        tipps     => 15698, tirana    => 18086, tirols    => 29696, tisch     => 4369,
                        tische    => 19082, tischen   => 23024, tisches   => 28732, tischtennis
                                  => 16921,
                        titan     => 16147, titanic   => 23605, titel     => 243, titelblatt
                                  => 24206,
                        titelgewinn
                                  => 9172, titelkampfen
                                  => 28733,
                        titellied => 23025, titeln    => 4910, titelrolle
                                  => 17478,
                        titels    => 8238, titelseite
                                  => 20622,
                        titelsong => 14461, titeltrager
                                  => 21989,
                        titelverteidiger
                                  => 7193, titelverteidigung
                                  => 15493,
                        tituliert => 26951, titus     => 18087, tobago    => 28734, tochter   => 248,
                        tochterfirma
                                  => 20623, tochtergesellschaft
                                  => 8984,
                        tochtergesellschaften
                                  => 12547,
                        tochtern  => 7406, tochterunternehmen
                                  => 8709,
                        tod       => 211, tode      => 1390, todes     => 3909, todesdatum
                                  => 18725,
                        todesfall => 17479, todesfalle
                                  => 9173,
                        todesfallen
                                  => 15063, todesjahr => 12174,
                        todesopfer
                                  => 7751, todesopfern
                                  => 19777,
                        todesstrafe
                                  => 9891, todestag  => 11044,
                        todesursache
                                  => 14651, todesurteil
                                  => 18088,
                        todesurteile
                                  => 26162, todlich   => 4954,
                        todliche  => 14240, todlichen => 9298, toilette  => 10948, toiletten => 14652,
                        tokio     => 6120, tokyo     => 10066, toledo    => 17190, toleranz  => 10490,
                        toleriert => 16638, tomaten   => 26952, tone      => 6366, tonen     => 9892,
                        tonfilm   => 20624, tonhohe   => 15917, tonight   => 28735, tonne     => 13712,
                        tonnen    => 1244, tonnengewolbe
                                  => 12809,
                        tonstudio => 18726, tontrager => 7282, tontragern
                                  => 21075,
                        tony      => 5187, tools     => 26163, topfe     => 26953, topographie
                                  => 15064,
                        topographische
                                  => 21525, topographischen
                                  => 15918,
                        topologie => 20625, topologische
                                  => 28736,
                        topscorer => 26164, toranlage => 27830, torbau    => 26954, torbogen  => 15494,
                        tordifferenz
                                  => 17191, tore      => 952,
                        toren     => 2539, torerfolg => 15919, tores     => 13555, torgau    => 24207,
                        torhaus   => 14653, torhuter  => 10142, torjager  => 26955, tornado   => 27831,
                        toronto   => 7234, torpedo   => 18089, torpedoboote
                                  => 26956,
                        torpedos  => 11045, torres    => 19083, torschutze
                                  => 10395,
                        torschutzen
                                  => 18090, torschutzenkonig
                                  => 11674,
                        torshavn  => 27832, torturm   => 16639, torverhaltnis
                                  => 17480,
                        torvorlagen
                                  => 23606, torwart   => 14070,
                        toskana   => 19778, total     => 8397, totale    => 17481, totalen   => 19405,
                        totalschaden
                                  => 29697, totalverlust
                                  => 29698,
                        tote      => 3150, toten     => 933, toter     => 18395, totet     => 3964,
                        totete    => 7576, toteten   => 12300, totung    => 9722, totungen  => 29699,
                        touch     => 24840, touchdown => 21076, touchdowns
                                  => 15920,
                        toulouse  => 13414, tour      => 1477, touren    => 9118, tourenwagen
                                  => 17192,
                        touring   => 28737, tourismus => 2778, touristen => 3643, touristenattraktion
                                  => 19084,
                        touristisch
                                  => 11566, touristische
                                  => 8506,
                        touristischen
                                  => 9381, tournee   => 4083,
                        tourneen  => 7663, tours     => 25480, tourte    => 8840, tourten   => 24208,
                        tower     => 7664, towers    => 18396, town      => 4370, towns     => 22466,
                        township  => 7665, toyota    => 15495, tracht    => 14241, trachten  => 17785,
                        track     => 6838, tracks    => 9043, tracy     => 21990, trade     => 13898,
                        tradition => 1404, traditionell
                                  => 2912,
                        traditionelle
                                  => 3118, traditionellen
                                  => 2152,
                        traditioneller
                                  => 10763, traditionelles
                                  => 16640,
                        traditionen
                                  => 5188, traditionsreiche
                                  => 29700,
                        traditionsreichen
                                  => 26957,
                        traf      => 1513, trafen    => 2501, tragblatter
                                  => 29701,
                        trage     => 13415, tragen    => 859, tragende  => 11923, tragenden => 12949,
                        trager    => 2678, tragerin  => 22467, tragern   => 18397, tragers   => 18727,
                        tragerschaft
                                  => 9044, tragerverein
                                  => 27833,
                        tragfahigkeit
                                  => 12689, tragflache
                                  => 18398,
                        tragflachen
                                  => 10576, tragische => 17193,
                        tragischen
                                  => 13112, tragodie  => 10143,
                        tragodien => 25481, tragsteine
                                  => 24841,
                        tragsteinen
                                  => 21991, tragt     => 621,
                        tragzeit  => 19085, trail     => 12434, trailer   => 14242, train     => 15065,
                        trainer   => 1429, traineramt
                                  => 14462,
                        trainerin => 19779, trainern  => 19406, trainerposten
                                  => 28738,
                        trainers  => 26165, trainieren
                                  => 9470,
                        trainiert => 5393, trainierte
                                  => 6305,
                        training  => 3288, trainings => 13899, trainingslager
                                  => 24209,
                        trakt     => 22468, traktat   => 20626, traktor   => 23607, traktoren => 24210,
                        trance    => 27834, tranen    => 10067, trank     => 18728, transaktion
                                  => 19086,
                        transaktionen
                                  => 12950, transfer  => 13900,
                        transferiert
                                  => 18729, transformation
                                  => 9045,
                        transformationen
                                  => 28739, transformatoren
                                  => 28740,
                        transformiert
                                  => 28741, transistoren
                                  => 29702,
                        transit   => 15066, transkription
                                  => 23608,
                        transparent
                                  => 11249, transparente
                                  => 20207,
                        transparenten
                                  => 23026, transparenz
                                  => 10396,
                        transport => 2809, transportation
                                  => 21077,
                        transporter
                                  => 15699, transportieren
                                  => 6572,
                        transportiert
                                  => 3910, transportierte
                                  => 18730,
                        transportierten
                                  => 23027, transportmittel
                                  => 21078,
                        transports
                                  => 21526, trasse    => 4955,
                        trat      => 273, traten    => 1677, traube    => 24842, trauben   => 13556,
                        trauen    => 25482, trauer    => 8644, trauerfeier
                                  => 19087,
                        trauernde => 29703, trauernden
                                  => 29704,
                        traum     => 4084, trauma    => 23028, traume    => 9046, traumen   => 11675,
                        traumt    => 11451, traurig   => 12175, traurige  => 23029, traurigen => 29705,
                        trauung   => 17194, trauungen => 19407, travel    => 26166, travis    => 23030,
                        treffen   => 924, treffens  => 20627, treffer   => 2674, treffern  => 7993,
                        treffpunkt
                                  => 7366, treiben   => 5721,
                        treibende => 13901, treibenden
                                  => 21527,
                        treibstoff
                                  => 11046, treibt    => 6976,
                        trend     => 6143, trends    => 14243, trennen   => 4371, trennt    => 5771,
                        trennte   => 4011, trennten  => 6403, trennung  => 2106, trent     => 26958,
                        treppe    => 3628, treppen   => 8348, treppenaufgang
                                  => 20208,
                        treppenhaus
                                  => 8985, treppenhauser
                                  => 25483,
                        treppenturm
                                  => 15496, tresor    => 20628,
                        treten    => 1445, treu      => 5127, treue     => 7320, treuen    => 21079,
                        treuhander
                                  => 27835, trevor    => 21992,
                        triathlon => 13416, tribunal  => 19088, tribune   => 9047, tribunen  => 14856,
                        tribut    => 17195, trichter  => 29706, tricks    => 13417, triebe    => 10764,
                        trieben   => 11339, triebfahrzeugfuhrer
                                  => 24211,
                        triebwagen
                                  => 3919, triebwerk => 9299,
                        triebwerke
                                  => 8507, triebwerken
                                  => 25484,
                        triebzuge => 20209, trient    => 20210, trier     => 5336, trierer   => 13113,
                        triest    => 14654, trifft    => 1190, trikot    => 10305, trikots   => 16414,
                        trilogie  => 11148, trinidad  => 15921, trinity   => 20211, trinken   => 5570,
                        trinkt    => 14857, trinkwasser
                                  => 8144,
                        trinkwasserversorgung
                                  => 17786,
                        trio      => 5086, trios     => 24212, triple    => 24843, tripolis  => 26167,
                        tritt     => 991, triumph   => 10665, triumphbogen
                                  => 15497,
                        trocken   => 6884, trockene  => 8398, trockenem => 21993, trockenen => 5620,
                        trockener => 14463, trockenes => 26959, trockengelegt
                                  => 19780,
                        trockenheit
                                  => 12810, trockenlegung
                                  => 21080,
                        trockenzeit
                                  => 12951, trocknen  => 13255,
                        trocknung => 21994, trolle    => 28742, trommel   => 12176, trommeln  => 13902,
                        trompete  => 12037, trompeten => 20629, trompeter => 24213, trondheim => 26960,
                        tropen    => 14858, tropfen   => 15273, trophae   => 15700, trophy    => 10397,
                        tropische => 11924, tropischen
                                  => 4716,
                        tropischer
                                  => 26168, tropisches
                                  => 24844,
                        trosten   => 21528, trotz     => 432, trotzdem  => 1189, trouble   => 29707,
                        truck     => 16641, trug      => 967, trugen    => 2561, truhe     => 26961,
                        trummern  => 12952, trump     => 8399, trumps    => 28743, truppe    => 4501,
                        truppen   => 622, truppenteile
                                  => 19089,
                        truppenubungsplatz
                                  => 24845,
                        trupps    => 17787, trust     => 7708, truth     => 25485, tschechen => 10666,
                        tschechien
                                  => 5189, tschechisch
                                  => 19090,
                        tschechische
                                  => 7441, tschechischen
                                  => 5128,
                        tschechischer
                                  => 20630, tschechoslowakei
                                  => 5794,
                        tschechoslowakische
                                  => 19781,
                        tschechoslowakischen
                                  => 12301,
                        tsunami   => 26962, tuberkulose
                                  => 17482,
                        tubingen  => 3136, tubinger  => 15067, tucher    => 24846, tucker    => 23031,
                        tugend    => 15498, tugenden  => 13418, tumor     => 15922, tumoren   => 16642,
                        tumpel    => 22469, tumult    => 28744, tunesien  => 12435, tunesischen
                                  => 29708,
                        tunis     => 23609, tunnel    => 2386, tunneln   => 24847, tunnels   => 7889,
                        turbine   => 11802, turbinen  => 14244, turbo     => 16643, turbolader
                                  => 27836,
                        turbulenten
                                  => 26169, turbulenzen
                                  => 16644,
                        turen     => 2988, turin     => 10765, turkei    => 2355, turken    => 7531,
                        turkisch  => 16415, turkische => 5499, turkischen
                                  => 3716,
                        turkischer
                                  => 11340, turku     => 26963,
                        turm      => 679, turmchen  => 16645, turme     => 3920, turmen    => 7367,
                        turmes    => 6171, turmhelm  => 18091, turms     => 5313, turmspitze
                                  => 23610,
                        turmuhr   => 21529, turnen    => 16646, turnerschaft
                                  => 20631,
                        turnhalle => 9382, turnier   => 1877, turniere  => 6929, turnieren => 5571,
                        turnieres => 28745, turniers  => 5370, turniersieg
                                  => 19408,
                        turnierverlauf
                                  => 21081, turnus    => 23611,
                        turnverein
                                  => 14859, twitter   => 15923,
                        typen     => 4437, typenbezeichnung
                                  => 24848,
                        typisch   => 2887, typische  => 2823, typischen => 3124, typischer => 11676,
                        typischerweise
                                  => 5695, typisches => 9300,
                        typs      => 3842, typus     => 10949, typusart  => 26170, tyrannen  => 20632,
                        tyros     => 29709, ubelkeit  => 21995, uber      => 44, uberall   => 3251,
                        uberarbeiten
                                  => 21082, uberarbeitet
                                  => 4104,
                        uberarbeitete
                                  => 5104, uberarbeiteten
                                  => 11677,
                        uberarbeitung
                                  => 6730, uberaus   => 6930,
                        uberbau   => 21996, uberbaut  => 7666, uberbauung
                                  => 23612,
                        uberbleibsel
                                  => 22470, uberblick => 4525,
                        uberboten => 28746, uberbringen
                                  => 20212,
                        uberbrucken
                                  => 23032, uberbruckt
                                  => 23033,
                        uberdacht => 11803, uberdachte
                                  => 10849,
                        uberdachten
                                  => 15068, uberdachung
                                  => 20633,
                        uberdauern
                                  => 25486, uberdauert
                                  => 23034,
                        uberdeckt => 8710, uberdenken
                                  => 23613,
                        uberdies  => 6367, uberdosis => 25487, uberdurchschnittlich
                                  => 10667,
                        uberdurchschnittliche
                                  => 29710,
                        uberein   => 7095, ubereinander
                                  => 7479,
                        ubereinkommen
                                  => 23035, ubereinkunft
                                  => 21997,
                        ubereinstimmen
                                  => 16647, ubereinstimmend
                                  => 26171,
                        ubereinstimmt
                                  => 18731, ubereinstimmung
                                  => 8349,
                        ubereinstimmungen
                                  => 24214,
                        uberfahren
                                  => 14655, uberfahrt => 11047,
                        uberfall  => 6803, uberfalle => 16148, uberfallen
                                  => 6977,
                        uberfalls => 26964, uberfielen
                                  => 24849,
                        uberfluss => 26172, uberflussig
                                  => 9816,
                        uberflutet
                                  => 10306, uberflutung
                                  => 22471,
                        uberflutungen
                                  => 20213, uberfordert
                                  => 10491,
                        uberfuhren
                                  => 12302, uberfuhrt => 4526,
                        uberfuhrung
                                  => 10144, uberfullt => 21530,
                        ubergab   => 4894, ubergabe  => 5696, ubergaben => 20214, ubergang  => 2697,
                        ubergange => 12953, ubergangen
                                  => 19782,
                        ubergangs => 19783, ubergangsregierung
                                  => 18732,
                        ubergangsweise
                                  => 26965, ubergangszeit
                                  => 21531,
                        ubergeben => 2026, ubergegangen
                                  => 11048,
                        ubergehen => 12177, ubergeht  => 13903, ubergeordnete
                                  => 16416,
                        ubergeordneten
                                  => 14860, ubergewicht
                                  => 21083,
                        ubergibt  => 9119, uberging  => 15701, uberglucklich
                                  => 24850,
                        ubergreifende
                                  => 29711, ubergreifenden
                                  => 28747,
                        ubergriffe
                                  => 13713, ubergriffen
                                  => 16149,
                        ubergrossen
                                  => 27837, uberhaupt => 1391,
                        uberhitzung
                                  => 29712, uberhoht  => 20634,
                        uberhohten
                                  => 22472, uberholen => 21084,
                        uberholt  => 6697, uberholte => 11049, uberholung
                                  => 21085,
                        uberlagert
                                  => 16648, uberlagerung
                                  => 26173,
                        uberlappen
                                  => 16417, uberlassen
                                  => 3973,
                        uberlasst => 15274, uberlastet
                                  => 19784,
                        uberlastung
                                  => 26174, uberlaufen
                                  => 23614,
                        uberleben => 3681, uberlebende
                                  => 7047,
                        uberlebenden
                                  => 4342, uberlebender
                                  => 23615,
                        uberlebt  => 5087, uberlebte => 5048, uberlebten
                                  => 6487,
                        uberlegen => 6488, uberlegene
                                  => 21086,
                        uberlegenen
                                  => 14464, uberlegenheit
                                  => 8986,
                        uberlegt  => 12954, uberlegte => 24851, uberlegung
                                  => 17196,
                        uberlegungen
                                  => 3885, uberleitung
                                  => 26966,
                        uberliefert
                                  => 1685, uberlieferte
                                  => 11678,
                        uberlieferten
                                  => 8400, uberlieferung
                                  => 3807,
                        uberlieferungen
                                  => 9174, uberliess => 8294,
                        ubermacht => 13904, ubermalt  => 22473, ubermassig
                                  => 19409,
                        ubermassige
                                  => 25488, ubermitteln
                                  => 18399,
                        ubermittelt
                                  => 11452, ubermittlung
                                  => 20635,
                        ubernachten
                                  => 15702, ubernachtet
                                  => 27838,
                        ubernachtung
                                  => 25489, ubernachtungen
                                  => 16922,
                        ubernachtungsmoglichkeiten
                                  => 18092,
                        ubernahm  => 368, ubernahme => 2146, ubernahmen
                                  => 3390,
                        ubernaturliche
                                  => 25490, ubernaturlichen
                                  => 17788,
                        ubernehmen
                                  => 1870, ubernimmt => 2662,
                        ubernommen
                                  => 888, ubernommene
                                  => 19785,
                        ubernommenen
                                  => 20636, uberproportional
                                  => 27839,
                        uberprufen
                                  => 7154, uberpruft => 5521,
                        uberprufung
                                  => 6084, uberqueren
                                  => 9240,
                        uberquert => 6731, uberquerte
                                  => 14245,
                        uberquerung
                                  => 17789, uberragen => 28748,
                        uberragende
                                  => 24215, uberragenden
                                  => 26967,
                        uberragt  => 12436, uberraschen
                                  => 24216,
                        uberraschend
                                  => 3372, uberraschende
                                  => 21087,
                        uberraschenden
                                  => 17483, uberraschenderweise
                                  => 20215,
                        uberrascht
                                  => 5337, uberraschte
                                  => 18093,
                        uberraschung
                                  => 8145, uberraschungen
                                  => 26968,
                        uberreden => 8916, uberredet => 8841, uberredete
                                  => 24217,
                        uberregional
                                  => 8508, uberregionale
                                  => 8771,
                        uberregionalen
                                  => 11050, uberregionaler
                                  => 23036,
                        uberreicht
                                  => 9639, uberreichte
                                  => 23616,
                        uberreste => 3051, uberresten
                                  => 14656,
                        ubers     => 14246, uberschattet
                                  => 14071,
                        uberschaubar
                                  => 29713, uberschneiden
                                  => 21998,
                        uberschneidungen
                                  => 20637, uberschreiten
                                  => 7577,
                        uberschreitet
                                  => 16150, uberschreitung
                                  => 18733,
                        uberschrieben
                                  => 21999, uberschrift
                                  => 14072,
                        uberschritt
                                  => 15703, uberschritten
                                  => 5287,
                        uberschuss
                                  => 21532, uberschussige
                                  => 29714,
                        uberschwemmt
                                  => 23037, uberschwemmung
                                  => 26175,
                        uberschwemmungen
                                  => 9723, ubersee   => 10850,
                        ubersehen => 15069, ubersetzen
                                  => 9817,
                        ubersetzer
                                  => 7235, ubersetzerin
                                  => 19091,
                        ubersetzt => 1604, ubersetzte
                                  => 8509,
                        ubersetzten
                                  => 29715, ubersetzung
                                  => 1988,
                        ubersetzungen
                                  => 5572, ubersicht => 5190,
                        ubersiedelte
                                  => 8842, ubersiedlung
                                  => 19410,
                        uberspannt
                                  => 11250, uberspringen
                                  => 27840,
                        ubersprungen
                                  => 25491, uberstand => 8987,
                        uberstanden
                                  => 8843, uberstehen
                                  => 14465,
                        ubersteigen
                                  => 15070, ubersteigt
                                  => 14247,
                        uberstellt
                                  => 15924, uberstieg => 24218,
                        ubertraf  => 11453, ubertrafen
                                  => 25492,
                        ubertragbar
                                  => 26176, ubertragen
                                  => 1278,
                        ubertragenen
                                  => 13714, ubertragt => 12437,
                        ubertragung
                                  => 3788, ubertragungen
                                  => 19411,
                        ubertreffen
                                  => 18094, ubertrieben
                                  => 15499,
                        ubertrifft
                                  => 24852, ubertritt => 19092,
                        ubertroffen
                                  => 18400, ubertrug  => 5795,
                        uberwachen
                                  => 8844, uberwacht => 6625,
                        uberwachte
                                  => 20638, uberwachung
                                  => 5796,
                        uberwaltigen
                                  => 14466, uberwaltigt
                                  => 11051,
                        uberwand  => 28749, uberwiegen
                                  => 14248,
                        uberwiegend
                                  => 696, uberwiegende
                                  => 9120,
                        uberwiegenden
                                  => 12548, uberwiegt => 15071,
                        uberwiesen
                                  => 22474, uberwinden
                                  => 4977,
                        uberwindet
                                  => 13557, uberwindung
                                  => 10851,
                        uberwintern
                                  => 11454, uberwintert
                                  => 26177,
                        uberwinterung
                                  => 21088, uberwolbt => 24219,
                        uberwunden
                                  => 8030, uberzeugen
                                  => 3405,
                        uberzeugend
                                  => 12690, uberzeugenden
                                  => 24220,
                        uberzeugt => 3263, uberzeugte
                                  => 8711,
                        uberzeugten
                                  => 28750, uberzeugter
                                  => 23617,
                        uberzeugung
                                  => 5412, uberzeugungen
                                  => 12691,
                        uberzogen => 8917, ublich    => 1660, ubliche   => 4771, ublichen  => 2611,
                        ublicher  => 25493, ublicherweise
                                  => 2333,
                        ubrig     => 3672, ubrige    => 6978, ubrigen   => 1136, ubrigens  => 15500,
                        ubte      => 2869, ubten     => 12811, ubung     => 10766, ubungen   => 7578,
                        udssr     => 6626, ueber     => 21089, uelzen    => 27841, ufer      => 2208,
                        ufern     => 13419, ufers     => 26178, uganda    => 15275, uhr       => 561,
                        uhren     => 10950, uhrmacher => 25494, uhrwerk   => 23038, uhrzeigersinn
                                  => 11341,
                        uhrzeit   => 21090, ukraine   => 3728, ukrainer  => 19786, ukrainisch
                                  => 25495,
                        ukrainische
                                  => 13114, ukrainischen
                                  => 7007,
                        ukrainischer
                                  => 29716, ulica     => 16418,
                        ullstein  => 24221, ulster    => 23039, ultimate  => 24853, ultimatum => 22475,
                        ultra     => 27842, ultraschall
                                  => 29717,
                        um        => 41, umarmt    => 28751, umbau     => 1958, umbauarbeiten
                                  => 9471,
                        umbauen   => 14467, umbaumassnahmen
                                  => 12303,
                        umbaus    => 14861, umbauten  => 3989, umbenannt => 1205, umbenannte
                                  => 15704,
                        umbenannten
                                  => 23040, umbenennung
                                  => 3752,
                        umbringen => 15925, umbruch   => 14249, umdrehungen
                                  => 19412,
                        umfahren  => 27843, umfang    => 1871, umfangreich
                                  => 6368,
                        umfangreiche
                                  => 2228, umfangreichen
                                  => 3223,
                        umfangreicher
                                  => 10577, umfangreichere
                                  => 24854,
                        umfangreiches
                                  => 7008, umfangreichste
                                  => 16151,
                        umfangreichsten
                                  => 27844, umfangs   => 26179,
                        umfassen  => 3345, umfassend => 5224, umfassende
                                  => 3137,
                        umfassenden
                                  => 3990, umfassender
                                  => 18734,
                        umfassendes
                                  => 13558, umfasst   => 586,
                        umfasste  => 1575, umfassten => 10398, umfassung => 27845, umfassungsmauer
                                  => 12812,
                        umfassungsmauern
                                  => 24855, umfeld    => 2351,
                        umfirmiert
                                  => 25496, umfirmierung
                                  => 24856,
                        umfrage   => 10668, umfragen  => 12692, umfunktioniert
                                  => 12304,
                        umgab     => 25497, umgang    => 2303, umgangen  => 16649, umgangs   => 20216,
                        umgangssprache
                                  => 13715, umgangssprachlich
                                  => 8295,
                        umgebaut  => 1547, umgebaute => 14250, umgebauten
                                  => 16419,
                        umgeben   => 1544, umgebende => 11052, umgebenden
                                  => 5263,
                        umgebene  => 19413, umgebenen => 23618, umgebildet
                                  => 26180,
                        umgebracht
                                  => 7480, umgebung  => 763,
                        umgebungen
                                  => 18735, umgebungstemperatur
                                  => 27846,
                        umgegliedert
                                  => 19093, umgehen   => 6172,
                        umgehend  => 5413, umgeht    => 25498, umgehung  => 17484, umgehungsstrasse
                                  => 17485,
                        umgekehrt => 3162, umgekehrte
                                  => 21533,
                        umgekehrten
                                  => 29718, umgekehrter
                                  => 19787,
                        umgekommen
                                  => 23619, umgeleitet
                                  => 19788,
                        umgenutzt => 23620, umgerechnet
                                  => 8845,
                        umgerustet
                                  => 12693, umgeschlagen
                                  => 19414,
                        umgeschrieben
                                  => 28752, umgesetzt => 2200,
                        umgesiedelt
                                  => 19789, umgestaltet
                                  => 4353,
                        umgestaltung
                                  => 5314, umgestaltungen
                                  => 29719,
                        umgestellt
                                  => 6197, umgewandelt
                                  => 2562,
                        umgewidmet
                                  => 24222, umgezogen => 22000,
                        umgibt    => 13559, umhang    => 23041, umher     => 13420, umkampft  => 28753,
                        umkampften
                                  => 26969, umkehr    => 19790,
                        umkehren  => 24857, umkehrung => 23621, umkleidekabinen
                                  => 29720,
                        umkreis   => 7667, umland    => 5644, umlandes  => 29721, umlauf    => 6931,
                        umlaufbahn
                                  => 12813, umlaufende
                                  => 18401,
                        umlaufenden
                                  => 14251, umliegende
                                  => 10578,
                        umliegenden
                                  => 2786, ummauerten
                                  => 23042,
                        umnutzung => 28754, umrahmt   => 18402, umrandet  => 19791, umrandung => 26970,
                        umriss    => 11567, umrisse   => 22476, umrissen  => 29722, umrundet  => 27847,
                        umrustung => 18736, umsatz    => 3673, umsatze   => 15705, umsatzes  => 21091,
                        umsatzsteuer
                                  => 26971, umschlag  => 13905,
                        umschliessen
                                  => 20639, umschliesst
                                  => 11925,
                        umschloss => 28755, umschlossen
                                  => 9724,
                        umschreiben
                                  => 28756, umschrieben
                                  => 24223,
                        umschrift => 15926, umsetzen  => 10852, umsetzung => 2314, umsiedlung
                                  => 18737,
                        umso      => 4717, umsonst   => 17197, umstand   => 4326, umstande  => 4502,
                        umstanden => 3163, umsteigen => 17486, umstellung
                                  => 7048,
                        umstieg   => 23622, umstritten
                                  => 1946,
                        umstrittene
                                  => 15276, umstrittenen
                                  => 11342,
                        umstrukturiert
                                  => 28757, umstrukturierung
                                  => 10669,
                        umstrukturierungen
                                  => 19792,
                        umsturz   => 21092, umwalzungen
                                  => 26181,
                        umwandeln => 23043, umwandlung
                                  => 6272,
                        umweg     => 19415, umwege    => 27848, umwelt    => 2588, umweltbedingungen
                                  => 23044,
                        umweltschutz
                                  => 10145, umziehen  => 17790,
                        umzingelt => 28758, umzog     => 26972, umzubauen => 28759, umzubenennen
                                  => 27849,
                        umzubringen
                                  => 13560, umzug     => 4311,
                        umzuge    => 27850, umzugehen => 21534, umzugen   => 27851, umzugestalten
                                  => 29723,
                        umzusetzen
                                  => 8079, umzuwandeln
                                  => 14657,
                        unabdingbar
                                  => 27852, unabhangig
                                  => 1396,
                        unabhangige
                                  => 4012, unabhangigen
                                  => 4312,
                        unabhangiger
                                  => 9175, unabhangiges
                                  => 14862,
                        unabhangigkeit
                                  => 2203, unabhangigkeitsbewegung
                                  => 24224,
                        unabhangigkeitserklarung
                                  => 24225,
                        unangemessen
                                  => 24226, unangenehm
                                  => 16650,
                        unangenehmen
                                  => 25499, unangetastet
                                  => 23045,
                        unauffallig
                                  => 12549, unausweichlich
                                  => 24858,
                        unbeachtet
                                  => 19793, unbebaut  => 24859,
                        unbedeutend
                                  => 17487, unbedeutende
                                  => 19416,
                        unbedingt => 4300, unbedingte
                                  => 25500,
                        unbefestigte
                                  => 20640, unbefriedigend
                                  => 18738,
                        unbegrenzt
                                  => 23623, unbegrenzte
                                  => 26973,
                        unbegrundet
                                  => 26182, unbehaart => 16152,
                        unbehelligt
                                  => 15927, unbekannt => 1717,
                        unbekannte
                                  => 5168, unbekanntem
                                  => 29724,
                        unbekannten
                                  => 3105, unbekannter
                                  => 9301,
                        unbeliebt => 18095, unbemerkt => 8031, unbenannten
                                  => 26974,
                        unberucksichtigt
                                  => 20641, unberuhrt => 13421,
                        unbeschadet
                                  => 18403, unbeschadigt
                                  => 19417,
                        unbesetzt => 25501, unbestimmte
                                  => 13256,
                        unbestimmten
                                  => 24227, unbestritten
                                  => 23624,
                        unbeweglich
                                  => 29725, unbewohnt => 11343,
                        unbewohnte
                                  => 26183, unbewohnten
                                  => 28760,
                        unbewusst => 18096, unbewussten
                                  => 21535,
                        unbrauchbar
                                  => 13906, und       => 3,
                        under     => 17488, underground
                                  => 20642,
                        undeutlich
                                  => 20643, uneheliche
                                  => 19418,
                        uneingeschrankt
                                  => 15706, uneingeschrankte
                                  => 29726,
                        uneinheitlich
                                  => 15072, uneinigkeit
                                  => 19094,
                        unempfindlich
                                  => 29727, unendlich => 8846,
                        unendliche
                                  => 23625, unendlichen
                                  => 21536,
                        unentdeckt
                                  => 24228, unentgeltlich
                                  => 18404,
                        unentschieden
                                  => 4503, unerfahrene
                                  => 29728,
                        unerfahrenen
                                  => 28761, unerheblich
                                  => 19095,
                        unerkannt => 24229, unerlasslich
                                  => 24230,
                        unermudlich
                                  => 26975, unerwartet
                                  => 6666,
                        unerwartete
                                  => 17489, unerwarteten
                                  => 18097,
                        unerwunscht
                                  => 21537, unerwunschte
                                  => 14658,
                        unerwunschten
                                  => 19794, unesco    => 18405,
                        unfahig   => 16420, unfahigkeit
                                  => 21093,
                        unfall    => 2000, unfalle   => 9472, unfallen  => 12038, unfallort => 24860,
                        unfalls   => 9559, unfallstelle
                                  => 28762,
                        unfallursache
                                  => 27853, ungarisch => 14073,
                        ungarische
                                  => 6489, ungarischen
                                  => 3859,
                        ungarischer
                                  => 17198, ungarn    => 2141,
                        ungarns   => 15501, ungeachtet
                                  => 8645,
                        ungeeignet
                                  => 9241, ungefahr  => 1295,
                        ungefahrdet
                                  => 26976, ungefahre => 20644,
                        ungefahren
                                  => 27854, ungefahrlich
                                  => 24861,
                        ungeheuer => 20217, ungehindert
                                  => 18098,
                        ungeklart => 5823, ungeklarte
                                  => 29729,
                        ungeklarten
                                  => 16923, ungemein  => 24862,
                        ungenau   => 15277, ungenugend
                                  => 20645,
                        ungenutzt => 13716, ungerade  => 21094, ungeraden => 22477, ungerecht => 23046,
                        ungerechtigkeit
                                  => 24231, ungereimtheiten
                                  => 29730,
                        ungern    => 21095, ungeschlagen
                                  => 14468,
                        ungestort => 14252, ungewiss  => 11344, ungewohnlich
                                  => 3156,
                        ungewohnliche
                                  => 6979, ungewohnlichen
                                  => 8712,
                        ungewohnlicher
                                  => 24863, ungewohnliches
                                  => 25502,
                        ungewollt => 24232, unglaublich
                                  => 27855,
                        unglaubwurdig
                                  => 26184, ungleich  => 10853,
                        ungleiche => 27856, ungleichen
                                  => 18739,
                        ungleichgewicht
                                  => 29731, ungleichheit
                                  => 17199,
                        ungleichmassig
                                  => 26185, ungluck   => 6121,
                        unglucklich
                                  => 9640, ungluckliche
                                  => 20646,
                        unglucklichen
                                  => 19419, unglucklicherweise
                                  => 21096,
                        unglucks  => 24864, ungnade   => 16924, ungultig  => 9981, ungunstig => 13717,
                        ungunstige
                                  => 17490, ungunstigen
                                  => 12305,
                        ungunstiger
                                  => 23626, unheil    => 19096,
                        unheimliche
                                  => 26977, unheimlichen
                                  => 26978,
                        uniform   => 9893, uniformen => 9894, union     => 1634, united    => 3696,
                        universal => 12814, universell
                                  => 26186,
                        universelle
                                  => 19097, universellen
                                  => 21538,
                        universidad
                                  => 29732, universitare
                                  => 27857,
                        universitaren
                                  => 18406, universitat
                                  => 389,
                        universitaten
                                  => 2192, universitatsbibliothek
                                  => 13115,
                        universitatsklinik
                                  => 22001,
                        universitatsprofessor
                                  => 23627,
                        university
                                  => 1701, universum => 10219,
                        universums
                                  => 15278, unkenntnis
                                  => 23628,
                        unklar    => 2107, unklaren  => 14253, unklarheit
                                  => 27858,
                        unklarheiten
                                  => 25503, unkontrolliert
                                  => 27859,
                        unkonventionellen
                                  => 29733,
                        unlimited => 29734, unmenschlichen
                                  => 29735,
                        unmittelbar
                                  => 1085, unmittelbare
                                  => 7236,
                        unmittelbaren
                                  => 6273, unmittelbarer
                                  => 3900,
                        unmoglich => 3674, unmoglichkeit
                                  => 29736,
                        unmut     => 13422, unnotig   => 12955, unnotige  => 24865, unordnung => 20218,
                        unpassend => 26187, unrecht   => 8772, unrechtmassig
                                  => 28763,
                        unregelmassig
                                  => 5371, unregelmassige
                                  => 12306,
                        unregelmassigen
                                  => 6839, unregelmassigkeiten
                                  => 13257,
                        unruhe    => 13423, unruhen   => 5315, unruhig   => 23047, unschadlich
                                  => 26979,
                        unscharf  => 20647, unschuld  => 7752, unschuldig
                                  => 12307,
                        unschuldige
                                  => 22478, unschuldigen
                                  => 27860,
                        unser     => 5191, unsere    => 3576, unserem   => 14659, unseren   => 12438,
                        unserer   => 3852, unseres   => 12550, unsicher  => 7532, unsichere => 24866,
                        unsicheren
                                  => 21539, unsicherheit
                                  => 10492,
                        unsicherheiten
                                  => 17791, unsichtbar
                                  => 14863,
                        unsichtbare
                                  => 25504, unsichtbaren
                                  => 19098,
                        unsterblich
                                  => 19795, unsterblichkeit
                                  => 18740,
                        unstimmigkeiten
                                  => 12308, unten     => 1009,
                        unter     => 58, unterabteilung
                                  => 21540,
                        unterarm  => 24867, unterart  => 5049, unterarten
                                  => 5237,
                        unterbau  => 12694, unterbinden
                                  => 12956,
                        unterblieb
                                  => 24868, unterbrach
                                  => 17200,
                        unterbrechen
                                  => 14254, unterbrechung
                                  => 5478,
                        unterbrechungen
                                  => 9048, unterbreitet
                                  => 24233,
                        unterbreitete
                                  => 28764, unterbricht
                                  => 17792,
                        unterbringen
                                  => 24869, unterbringung
                                  => 7533,
                        unterbrochen
                                  => 2576, unterbunden
                                  => 16153,
                        unterdessen
                                  => 4085, unterdorf => 27861,
                        unterdruck
                                  => 25505, unterdrucken
                                  => 17201,
                        unterdruckt
                                  => 10767, unterdruckten
                                  => 23629,
                        unterdruckung
                                  => 8988, unterdurchschnittlich
                                  => 28765,
                        untere    => 2675, untereinander
                                  => 3264,
                        untereinheiten
                                  => 26980, unteren   => 1062,
                        unteres   => 26188, unterfamilie
                                  => 10854,
                        unterfamilien
                                  => 20648, unterfangen
                                  => 15279,
                        unterfranken
                                  => 27862, unterfuhrung
                                  => 16925,
                        untergang => 5772, untergattung
                                  => 15707,
                        untergattungen
                                  => 20649, untergebenen
                                  => 16421,
                        untergebracht
                                  => 1381, untergebrachten
                                  => 24870,
                        untergegangen
                                  => 27863, untergeordnet
                                  => 12815,
                        untergeordnete
                                  => 8510, untergeordneten
                                  => 23048,
                        untergeordneter
                                  => 29737, untergeschoss
                                  => 8146,
                        untergliedert
                                  => 11926, untergliederung
                                  => 28766,
                        untergraben
                                  => 25506, untergrund
                                  => 3870,
                        untergruppe
                                  => 20219, untergruppen
                                  => 17793,
                        unterhalb => 1332, unterhalt => 3203, unterhalten
                                  => 4266,
                        unterhaltsam
                                  => 26981, unterhaltung
                                  => 4911,
                        unterhandler
                                  => 26982, unterhaus => 12309,
                        unterhielt
                                  => 6490, unterhielten
                                  => 21097,
                        unterholz => 22479, unterirdisch
                                  => 8401,
                        unterirdische
                                  => 9383, unterirdischen
                                  => 7126,
                        unterkiefer
                                  => 10307, unterkiefers
                                  => 29738,
                        unterklassigen
                                  => 15502, unterkunft
                                  => 7368,
                        unterkunfte
                                  => 10579, unterkunften
                                  => 21098,
                        unterlag  => 4248, unterlage => 20220, unterlagen
                                  => 3675,
                        unterlassen
                                  => 20221, unterlauf => 10220,
                        unterlaufen
                                  => 20650, unterlegen
                                  => 11927,
                        unterlegene
                                  => 24234, unterlegenen
                                  => 17794,
                        unterlegt => 8239, unterliegen
                                  => 7369,
                        unterliegt
                                  => 7370, unterlippe
                                  => 20222,
                        unterm    => 19796, untermalung
                                  => 29739,
                        untermauern
                                  => 26983, unternahm => 2923,
                        unternahmen
                                  => 11251, unternehmen
                                  => 247,
                        unternehmens
                                  => 1751, unternehmensberatung
                                  => 26984,
                        unternehmensfuhrung
                                  => 22480,
                        unternehmensgruppe
                                  => 11804,
                        unternehmensleitung
                                  => 27864,
                        unternehmer
                                  => 3886, unternehmerische
                                  => 18741,
                        unternehmerischen
                                  => 29740,
                        unternehmern
                                  => 27865, unternehmers
                                  => 19099,
                        unternehmung
                                  => 12695, unternehmungen
                                  => 12957,
                        unternimmt
                                  => 13258, unternommen
                                  => 6007,
                        unteroffizier
                                  => 24871, unteroffiziere
                                  => 14469,
                        unterordnung
                                  => 22002, unterquert
                                  => 15503,
                        unterricht
                                  => 1821, unterrichten
                                  => 8646,
                        unterrichtet
                                  => 2924, unterrichtete
                                  => 3069,
                        unterrichteten
                                  => 21541, unterrichts
                                  => 13907,
                        unterrichtsraume
                                  => 29741, unterrichtssprache
                                  => 27866,
                        untersagt => 5824, untersagte
                                  => 16154,
                        unterschatzt
                                  => 19797, unterscheidbar
                                  => 19420,
                        unterscheiden
                                  => 1290, unterscheidet
                                  => 1755,
                        unterscheidung
                                  => 3717, unterscheidungsmerkmal
                                  => 21542,
                        unterscheidungszeichen
                                  => 17491,
                        unterschicht
                                  => 21543, unterschied
                                  => 1553,
                        unterschiede
                                  => 2563, unterschieden
                                  => 2041,
                        unterschiedlich
                                  => 1520, unterschiedliche
                                  => 1082,
                        unterschiedlichem
                                  => 13908,
                        unterschiedlichen
                                  => 980, unterschiedlicher
                                  => 2577,
                        unterschiedlichste
                                  => 24235,
                        unterschiedlichsten
                                  => 8191,
                        unterschiedlichster
                                  => 19798,
                        unterschlagung
                                  => 27867, unterschlupf
                                  => 11568,
                        unterschreiben
                                  => 19100, unterschrieb
                                  => 3921,
                        unterschrieben
                                  => 9384, unterschrift
                                  => 10855,
                        unterschriften
                                  => 11805, unterschritten
                                  => 26189,
                        unterschutzstellung
                                  => 24236,
                        unterschwanzdecken
                                  => 15928,
                        unterseite
                                  => 2520, unterseits
                                  => 15708,
                        unterstadt
                                  => 27868, unterstand
                                  => 6667,
                        unterstanden
                                  => 11149, unterste  => 13909,
                        unterstehen
                                  => 21099, untersteht
                                  => 18407,
                        unterstellen
                                  => 22481, unterstellt
                                  => 3422,
                        unterstellte
                                  => 17202, unterstellten
                                  => 15709,
                        unterstellung
                                  => 24237, untersten => 10951,
                        unterstreichen
                                  => 14864, unterstreicht
                                  => 15073,
                        unterstrich
                                  => 26190, unterstrichen
                                  => 18408,
                        unterstutze
                                  => 27869, unterstutzen
                                  => 1947,
                        unterstutzende
                                  => 23630, unterstutzenden
                                  => 26985,
                        unterstutzer
                                  => 8647, unterstutzern
                                  => 25507,
                        unterstutzt
                                  => 922, unterstutzte
                                  => 2502,
                        unterstutzten
                                  => 6274, unterstutzung
                                  => 758,
                        untersuchen
                                  => 5645, untersucht
                                  => 2065,
                        untersuchte
                                  => 6231, untersuchten
                                  => 7371,
                        untersuchung
                                  => 1318, untersuchungen
                                  => 1149,
                        untersuchungsausschuss
                                  => 20651,
                        untersuchungshaft
                                  => 10580,
                        untersuchungskommission
                                  => 26191,
                        untertan  => 29742, untertanen
                                  => 7155,
                        untertanig
                                  => 14470, untertauchen
                                  => 27870,
                        unterteilen
                                  => 14255, unterteilt
                                  => 2383,
                        unterteilte
                                  => 22482, unterteilung
                                  => 15929,
                        untertitel
                                  => 7890, untertiteln
                                  => 26192,
                        unterwarf => 19799, unterwarfen
                                  => 29743,
                        unterwasche
                                  => 29744, unterwegs => 2814,
                        unterwelt => 11806, unterwerfen
                                  => 12696,
                        unterwerfung
                                  => 14256, unterworfen
                                  => 7753,
                        unterzeichnen
                                  => 23049, unterzeichner
                                  => 26193,
                        unterzeichnet
                                  => 5925, unterzeichnete
                                  => 5479,
                        unterzeichneten
                                  => 14660, unterzeichnung
                                  => 12551,
                        unterziehen
                                  => 13718, unterzog  => 24872,
                        unterzogen
                                  => 6732, unterzubringen
                                  => 16422,
                        untrennbar
                                  => 22003, untreue   => 19421,
                        untypisch => 19800, unublich  => 13719, unumganglich
                                  => 21544,
                        unumstritten
                                  => 15710, ununterbrochen
                                  => 8713,
                        unverandert
                                  => 3406, unveranderten
                                  => 26986,
                        unvereinbar
                                  => 26987, unverhaltnismassig
                                  => 26988,
                        unverheiratet
                                  => 12039, unverheirateten
                                  => 29745,
                        unverkennbar
                                  => 25508, unverletzt
                                  => 11455,
                        unvermeidlich
                                  => 22483, unvermittelt
                                  => 23631,
                        unveroffentlicht
                                  => 22004, unveroffentlichte
                                  => 21100,
                        unveroffentlichten
                                  => 17203,
                        unversehrt
                                  => 11150, unverstandnis
                                  => 17795,
                        unverzichtbar
                                  => 23632, unverzuglich
                                  => 10146,
                        unvollendet
                                  => 11679, unvollstandig
                                  => 11928,
                        unvollstandige
                                  => 24238, unvollstandigen
                                  => 24239,
                        unwahrscheinlich
                                  => 7481, unweit    => 4718,
                        unwesentlich
                                  => 13720, unwetter  => 15280,
                        unwirksam => 21545, unwirtschaftlich
                                  => 27871,
                        unwissenheit
                                  => 26989, unzahlige => 10399,
                        unzahligen
                                  => 15711, unzufrieden
                                  => 10400,
                        unzufriedenheit
                                  => 9725, unzulanglichkeiten
                                  => 28767,
                        unzulassig
                                  => 15930, unzureichend
                                  => 8240,
                        unzureichende
                                  => 22005, unzureichenden
                                  => 22006,
                        unzutreffend
                                  => 26990, unzuverlassig
                                  => 21546,
                        unzweifelhaft
                                  => 28768, update    => 13116,
                        updates   => 22007, upper     => 15074, uppige    => 27872, uppigen   => 27873,
                        uppsala   => 20223, uralte    => 25509, uralten   => 29746, urania    => 29747,
                        urauffuhrung
                                  => 4451, uraufgefuhrt
                                  => 5480,
                        urbane    => 24873, urbanen   => 13721, urbar     => 19101, ureinwohner
                                  => 13722,
                        ureinwohnern
                                  => 17204, urenkel   => 16926,
                        urheber   => 10401, urheberrecht
                                  => 19422,
                        urheberschaft
                                  => 18409, urkunde   => 2428,
                        urkunden  => 3617, urkundenbuch
                                  => 20224,
                        urkundlich
                                  => 1206, urkundliche
                                  => 3151,
                        urkundlichen
                                  => 16927, urlaub    => 6885,
                        urlauber  => 22484, urnen     => 17796, ursache   => 2488, ursachen  => 4286,
                        ursachlich
                                  => 16928, ursprung  => 2407,
                        ursprunge => 8080, ursprunglich
                                  => 388,
                        ursprungliche
                                  => 1426, ursprunglichen
                                  => 1095,
                        ursprunglicher
                                  => 14074, ursprungliches
                                  => 23633,
                        ursprungs => 5372, urteil    => 2356, urteile   => 9895, urteilen  => 13910,
                        urteils   => 20652, urteilsverkundung
                                  => 29748,
                        urteilte  => 12816, uruguay   => 11569, uruguayischen
                                  => 21547,
                        usa       => 382, usbekistan
                                  => 21101,
                        utopie    => 24874, utrecht   => 13723, vaduz     => 29749, vagina    => 29750,
                        vakant    => 19102, vakuum    => 23634, valencia  => 13259, valentine => 29751,
                        valerie   => 21548, valley    => 6275, value     => 28769, vampir    => 14075,
                        vampire   => 13911, vance     => 29752, vancouver => 11151, vandalismus
                                  => 17492,
                        vandenhoeck
                                  => 25510, vargas    => 24875,
                        variabel  => 6980, variabilitat
                                  => 20225,
                        variable  => 12310, variablen => 7407, variabler => 19801, variante  => 1908,
                        varianten => 2397, variation => 9982, variationen
                                  => 8032,
                        varietat  => 18742, varietaten
                                  => 16651,
                        variieren => 5750, variiert  => 3489, variierte => 14661, vasall    => 29753,
                        vasallen  => 14662, vasco     => 25511, vasen     => 11345, vater     => 233,
                        vaterland => 11252, vaterlandischen
                                  => 20226,
                        vaterliche
                                  => 12958, vaterlichen
                                  => 10068,
                        vaterlicherseits
                                  => 21549, vaters    => 927,
                        vaterschaft
                                  => 23635, vaterstadt
                                  => 26991,
                        vatikan   => 15931, vatikanischen
                                  => 27874,
                        vaughan   => 29754, vechta    => 20653, vegas     => 11253, vegetation
                                  => 5210,
                        vehement  => 12697, vehicle   => 29755, vektor    => 25512, vektoren  => 20227,
                        venedig   => 3653, venedigs  => 20654, venezianer
                                  => 18743,
                        venezianische
                                  => 24876, venezianischen
                                  => 13912,
                        venezuela => 11152, ventil    => 17797, ventilator
                                  => 28770,
                        ventile   => 13913, ventilen  => 21102, venture   => 19802, verabreden
                                  => 29756,
                        verabredet
                                  => 18410, verabredeten
                                  => 29757,
                        verabredung
                                  => 26194, verabreicht
                                  => 15712,
                        verabschieden
                                  => 12040, verabschiedet
                                  => 3860,
                        verabschiedete
                                  => 7942, verabschiedeten
                                  => 20655,
                        verabschiedung
                                  => 11346, verachtet => 22008,
                        verachtung
                                  => 19103, verallgemeinert
                                  => 26992,
                        veraltet  => 10581, veraltete => 21103, veralteten
                                  => 19803,
                        veranda   => 23050, verandern => 4343, verandert => 1430, veranderte
                                  => 3941,
                        veranderten
                                  => 6008, veranderter
                                  => 18099,
                        veranderung
                                  => 3629, veranderungen
                                  => 1693,
                        verankert => 8350, verankerung
                                  => 19104,
                        veranlagung
                                  => 25513, veranlassen
                                  => 18744,
                        veranlasst
                                  => 8714, veranlasste
                                  => 5459,
                        veranlassten
                                  => 16929, veranlassung
                                  => 12817,
                        veranschaulichen
                                  => 21104, veranschaulicht
                                  => 22009,
                        veranschlagt
                                  => 10768, veranschlagten
                                  => 27875,
                        veranstalten
                                  => 12311, veranstalter
                                  => 5288,
                        veranstaltern
                                  => 25514, veranstaltet
                                  => 2740,
                        veranstaltete
                                  => 7321, veranstalteten
                                  => 16930,
                        veranstaltung
                                  => 2290, veranstaltungen
                                  => 1427,
                        veranstaltungsort
                                  => 10769,
                        verantworten
                                  => 12552, verantwortet
                                  => 26195,
                        verantwortete
                                  => 26993, verantwortlich
                                  => 1088,
                        verantwortliche
                                  => 14257, verantwortlichen
                                  => 5797,
                        verantwortlicher
                                  => 13561, verantwortung
                                  => 2612,
                        verantwortungsbereich
                                  => 29758,
                        verarbeiten
                                  => 8402, verarbeitenden
                                  => 19105,
                        verarbeitet
                                  => 3991, verarbeitete
                                  => 9818,
                        verarbeiteten
                                  => 26196, verarbeitung
                                  => 4464,
                        verargert => 10670, verarmt   => 17493, verarmte  => 18411, verarmten => 28771,
                        veraussern
                                  => 24240, veraussert
                                  => 12312,
                        verausserte
                                  => 14663, verausserung
                                  => 25515,
                        verbal    => 24877, verbalen  => 29759, verband   => 1285, verbande  => 3630,
                        verbanden => 5646, verbandes => 4996, verbands  => 10952, verbandsgemeinde
                                  => 21105,
                        verbandsliga
                                  => 10953, verbannt  => 8989,
                        verbannung
                                  => 12313, verbaut   => 6198,
                        verbaute  => 26994, verbauten => 29760, verben    => 11807, verbergen => 11254,
                        verbessern
                                  => 2730, verbessert
                                  => 2888,
                        verbesserte
                                  => 2836, verbesserten
                                  => 8511,
                        verbesserter
                                  => 26197, verbesserung
                                  => 2521,
                        verbesserungen
                                  => 5877, verbieten => 14258,
                        verbietet => 14076, verbinden => 3577, verbindet => 2564, verbindlich
                                  => 10770,
                        verbindliche
                                  => 19106, verbindlichkeiten
                                  => 15281,
                        verbindung
                                  => 628, verbindungen
                                  => 2281,
                        verbindungsstrasse
                                  => 19423,
                        verbirgt  => 13424, verbittert
                                  => 27876,
                        verbleib  => 5192, verbleiben
                                  => 6573,
                        verbleibende
                                  => 12041, verbleibenden
                                  => 6199,
                        verbleibt => 10069, verblieb  => 3164, verblieben
                                  => 5481,
                        verbliebene
                                  => 7442, verbliebenen
                                  => 2622,
                        verborgen => 7408, verborgene
                                  => 22485,
                        verborgenen
                                  => 12818, verbot    => 2966,
                        verbote   => 20228, verboten  => 1742, verbotene => 19107, verbotenen
                                  => 17494,
                        verbots   => 22486, verbracht => 6144, verbrachte
                                  => 1890,
                        verbrachten
                                  => 13117, verbrannt => 6306,
                        verbrannte
                                  => 15504, verbrannten
                                  => 17205,
                        verbrauch => 9896, verbrauchen
                                  => 26198,
                        verbraucher
                                  => 9819, verbraucherschutz
                                  => 16155,
                        verbraucht
                                  => 9473, verbrechen
                                  => 3808,
                        verbrechens
                                  => 17798, verbrecher
                                  => 10493,
                        verbreiten
                                  => 8403, verbreitert
                                  => 9176,
                        verbreiterte
                                  => 29761, verbreiterung
                                  => 19804,
                        verbreitet
                                  => 1268, verbreitete
                                  => 4053,
                        verbreiteten
                                  => 5878, verbreiteter
                                  => 21106,
                        verbreitung
                                  => 1940, verbreitungsgebiet
                                  => 3497,
                        verbreitungsgebiete
                                  => 28772,
                        verbreitungsgebietes
                                  => 9983,
                        verbreitungsgebiets
                                  => 23636,
                        verbrennen
                                  => 13914, verbrennt => 14259,
                        verbrennung
                                  => 11153, verbrennungen
                                  => 21550,
                        verbrennungsmotor
                                  => 26995,
                        verbringen
                                  => 3817, verbringt => 6574,
                        verbuchen => 9726, verbuchte => 17799, verbund   => 9121, verbunden => 557,
                        verbundene
                                  => 5825, verbundenen
                                  => 3607,
                        verbundenheit
                                  => 15713, verbundet => 16423,
                        verbundete
                                  => 9385, verbundeten
                                  => 5697,
                        verbundeter
                                  => 23637, verdacht  => 3661,
                        verdachtig
                                  => 17800, verdachtige
                                  => 17801,
                        verdachtigen
                                  => 9242, verdachtigt
                                  => 9302,
                        verdachts => 17206, verdammt  => 20656, verdanken => 6173, verdankt  => 7797,
                        verdankte => 22487, verde     => 19424, verdecken => 26996, verdeckt  => 6668,
                        verdeckte => 18745, verdeckten
                                  => 20229,
                        verden    => 26199, verderben => 23051, verdeutlichen
                                  => 12698,
                        verdeutlicht
                                  => 10308, verdi     => 22488,
                        verdichten
                                  => 20657, verdichtet
                                  => 12699,
                        verdichtung
                                  => 15505, verdickt  => 12819,
                        verdienen => 6460, verdienst => 11929, verdienste
                                  => 3929,
                        verdient  => 4719, verdiente => 6307, verdienten
                                  => 16156,
                        verdoppeln
                                  => 19108, verdoppelt
                                  => 8577,
                        verdoppelte
                                  => 14077, verdoppelung
                                  => 22489,
                        verdrangen
                                  => 16652, verdrangt => 6276,
                        verdrangte
                                  => 16157, verdrangten
                                  => 21551,
                        verdrangung
                                  => 15282, verdreht  => 15714,
                        verdunstung
                                  => 27877, verehren  => 28773,
                        verehrer  => 14865, verehrt   => 6543, verehrten => 18412, verehrung => 7237,
                        vereidigt => 12553, verein    => 340, vereinbar => 15506, vereinbaren
                                  => 15283,
                        vereinbart
                                  => 5722, vereinbarte
                                  => 13915,
                        vereinbarten
                                  => 8458, vereinbarung
                                  => 5460,
                        vereinbarungen
                                  => 11930, vereine   => 1706,
                        vereinen  => 2894, vereines  => 21552, vereinfachen
                                  => 18746,
                        vereinfacht
                                  => 7238, vereinfachte
                                  => 14260,
                        vereinfachten
                                  => 21553, vereinfachung
                                  => 16158,
                        vereinheitlicht
                                  => 24878, vereinheitlichung
                                  => 14664,
                        vereinigen
                                  => 10221, vereinigt => 4372,
                        vereinigte
                                  => 5773, vereinigten
                                  => 902,
                        vereinigung
                                  => 1864, vereinigungen
                                  => 10856,
                        vereins   => 1273, vereinsfarben
                                  => 16931,
                        vereinsfuhrung
                                  => 18413, vereinsgeschichte
                                  => 8241,
                        vereinsheim
                                  => 27878, vereinsleben
                                  => 16932,
                        vereinslos
                                  => 16653, vereinsmitglieder
                                  => 21107,
                        vereinsnamen
                                  => 27879, vereinsregister
                                  => 23638,
                        vereint   => 5088, vereinte  => 15284, vereinten => 6575, vereinzelt
                                  => 3429,
                        vereinzelte
                                  => 11255, vereinzelten
                                  => 21554,
                        vereiteln => 28774, vereitelt => 20658, verengt   => 17495, vererbt   => 17802,
                        vererbte  => 18747, vererbung => 20659, verewigt  => 24879, verfahren => 909,
                        verfahrens
                                  => 7239, verfall   => 5723,
                        verfallen => 7482, verfallene
                                  => 26997,
                        verfallenen
                                  => 20660, verfalls  => 23639,
                        verfallt  => 12314, verfalscht
                                  => 25516,
                        verfarben => 28775, verfarbt  => 24880, verfassen => 9177, verfasser => 5225,
                        verfassers
                                  => 20230, verfasst  => 2957,
                        verfasste => 1449, verfassten
                                  => 8918,
                        verfassung
                                  => 1702, verfassungsanderung
                                  => 16159,
                        verfassungsgericht
                                  => 20231,
                        verfassungsgerichtshof
                                  => 28776,
                        verfassungsschutz
                                  => 21108,
                        verfassungswidrig
                                  => 22010,
                        verfechter
                                  => 17803, verfehlt  => 13260,
                        verfehlte => 9984, verfeindeten
                                  => 22011,
                        verfiel   => 5926, verfielen => 19805, verfilmt  => 9897, verfilmung
                                  => 10402,
                        verfilmungen
                                  => 23640, verflechtung
                                  => 26998,
                        verflucht => 26999, verfolgen => 4189, verfolger => 14261, verfolgern
                                  => 22012,
                        verfolgt  => 2001, verfolgte => 4301, verfolgten
                                  => 7240,
                        verfolgung
                                  => 2958, verfolgungen
                                  => 22490,
                        verfolgungsjagd
                                  => 19109, verfolgungsrennen
                                  => 20232,
                        verformt  => 27000, verformung
                                  => 27001,
                        verformungen
                                  => 29762, verfugbar => 2623,
                        verfugbare
                                  => 12820, verfugbaren
                                  => 6544,
                        verfugbarkeit
                                  => 9727, verfugen  => 2439,
                        verfugt   => 811, verfugte  => 1834, verfugten => 5129, verfugung => 533,
                        verfuhren => 17496, verfuhrt  => 14262, verfullt  => 10070, vergab    => 7994,
                        vergabe   => 7483, vergaben  => 28777, vergangen => 15715, vergangene
                                  => 20661,
                        vergangenen
                                  => 3740, vergangener
                                  => 27002,
                        vergangenheit
                                  => 1416, verganglichkeit
                                  => 21109,
                        vergeben  => 1617, vergebene => 29763, vergebenen
                                  => 22013,
                        vergebens => 20233, vergeblich
                                  => 4815,
                        vergeblichen
                                  => 22014, vergebung => 17207,
                        vergehen  => 7709, vergeltung
                                  => 18414,
                        vergessen => 3644, vergessene
                                  => 19425,
                        vergessenen
                                  => 20662, vergessenheit
                                  => 6733,
                        vergewaltigen
                                  => 21110, vergewaltigt
                                  => 11154,
                        vergewaltigung
                                  => 12554, vergewaltigungen
                                  => 23641,
                        vergibt   => 7891, vergiften => 23642, vergiftet => 12555, vergiftung
                                  => 18415,
                        vergingen => 19806, vergisst  => 18416, verglast  => 26200, verglasten
                                  => 25517,
                        verglasung
                                  => 27880, vergleich => 846,
                        vergleichbar
                                  => 5238, vergleichbare
                                  => 7754,
                        vergleichbaren
                                  => 10147, vergleichbarer
                                  => 18417,
                        vergleichbares
                                  => 26201, vergleichbarkeit
                                  => 21111,
                        vergleiche
                                  => 9386, vergleichen
                                  => 8990,
                        vergleichende
                                  => 11256, vergleichenden
                                  => 20234,
                        vergleichsweise
                                  => 2723, vergleicht
                                  => 11570,
                        verglich  => 21112, verglichen
                                  => 4373,
                        vergnugen => 13261, vergoldet => 21555, vergoldete
                                  => 18748,
                        vergoldeten
                                  => 17208, vergraben => 13262,
                        vergriffen
                                  => 27881, vergrossern
                                  => 8648,
                        vergrossert
                                  => 3608, vergrosserte
                                  => 5593,
                        vergrosserten
                                  => 14263, vergrosserung
                                  => 7049,
                        vergunstigungen
                                  => 27882, vergutung => 13118,
                        verhaften => 9474, verhaftet => 1809, verhaftete
                                  => 22015,
                        verhafteten
                                  => 23643, verhaftung
                                  => 4895,
                        verhaftungen
                                  => 16160, verhalf   => 10309,
                        verhalfen => 23644, verhalt   => 7156, verhalten => 1266, verhaltens
                                  => 8459,
                        verhaltensweisen
                                  => 9820, verhaltnis
                                  => 1089,
                        verhaltnismassig
                                  => 4816, verhaltnisse
                                  => 2624,
                        verhaltnissen
                                  => 4354, verhaltnisses
                                  => 15716,
                        verhandeln
                                  => 12178, verhandelt
                                  => 10494,
                        verhandelte
                                  => 18749, verhandlung
                                  => 9985,
                        verhandlungen
                                  => 1970, verhangnis
                                  => 20235,
                        verhangt  => 10403, verhangte => 17804, verhangten
                                  => 24881,
                        verharren => 29764, verheerende
                                  => 20236,
                        verheerenden
                                  => 17497, verheimlichen
                                  => 28778,
                        verheimlicht
                                  => 21556, verheiraten
                                  => 28779,
                        verheiratet
                                  => 369, verheiratete
                                  => 7409,
                        verheirateten
                                  => 18100, verhelfen => 14078,
                        verhielt  => 14665, verhilft  => 23052, verhindern
                                  => 1355,
                        verhindert
                                  => 2554, verhinderte
                                  => 6046,
                        verhinderten
                                  => 10582, verhinderung
                                  => 14471,
                        verhohnt  => 27883, verhor    => 16933, verhoren  => 20237, verhort   => 11155,
                        verirrt   => 22491, verjagt   => 27884, verjungt  => 13119, verjungung
                                  => 28780,
                        verkabelung
                                  => 29765, verkauf   => 1766,
                        verkaufe  => 12959, verkaufen => 2468, verkaufer => 10071, verkauferin
                                  => 25518,
                        verkaufs  => 22016, verkaufserfolg
                                  => 27003,
                        verkaufsflache
                                  => 27004, verkaufspreis
                                  => 23645,
                        verkaufsstart
                                  => 27005, verkaufsstellen
                                  => 26202,
                        verkaufszahlen
                                  => 9049, verkauft  => 703,
                        verkaufte => 1651, verkauften
                                  => 3911,
                        verkehr   => 1615, verkehren => 4105, verkehrenden
                                  => 22017,
                        verkehrs  => 9821, verkehrsanbindung
                                  => 24241,
                        verkehrsaufkommen
                                  => 13916,
                        verkehrsbetriebe
                                  => 20238, verkehrsflachen
                                  => 26203,
                        verkehrsknotenpunkt
                                  => 20239,
                        verkehrsmittel
                                  => 15285, verkehrssicherheit
                                  => 28781,
                        verkehrstechnisch
                                  => 27885,
                        verkehrsunfall
                                  => 13562, verkehrswege
                                  => 13917,
                        verkehrszeichen
                                  => 23646, verkehrt  => 5826,
                        verkehrte => 7755, verkehrten
                                  => 6513,
                        verkettung
                                  => 25519, verklarung
                                  => 29766,
                        verkleiden
                                  => 29767, verkleidet
                                  => 6009,
                        verkleidete
                                  => 21113, verkleideten
                                  => 23647,
                        verkleidung
                                  => 11257, verkleidungen
                                  => 29768,
                        verkleinern
                                  => 25520, verkleinert
                                  => 9986,
                        verkleinerte
                                  => 17498, verkleinerten
                                  => 26204,
                        verkleinerung
                                  => 20240, verknupfen
                                  => 19807,
                        verknupft => 5226, verknupfte
                                  => 26205,
                        verknupfung
                                  => 11571, verknupfungen
                                  => 26206,
                        verkorpern
                                  => 23648, verkorpert
                                  => 8847,
                        verkorperte
                                  => 8147, verkorperung
                                  => 29769,
                        verkraften
                                  => 27886, verkunden => 20663,
                        verkundet => 5798, verkundete
                                  => 5852,
                        verkundeten
                                  => 23053, verkundigung
                                  => 15932,
                        verkundung
                                  => 19808, verkurzen => 17805,
                        verkurzt  => 5089, verkurzte => 10857, verkurzten
                                  => 17806,
                        verkurzung
                                  => 12960, verladen  => 14666,
                        verlag    => 279, verlage   => 8460, verlagen  => 12439, verlagern => 24242,
                        verlagert => 7484, verlagerte
                                  => 9898,
                        verlagerung
                                  => 13918, verlages  => 11680,
                        verlags   => 11156, verlagsanstalt
                                  => 12961,
                        verlagsgesellschaft
                                  => 21557,
                        verlagshaus
                                  => 22018, verlagsprogramm
                                  => 28782,
                        verlangen => 5573, verlangern
                                  => 9050,
                        verlangert
                                  => 1686, verlangerte
                                  => 5130,
                        verlangerten
                                  => 10495, verlangerung
                                  => 2421,
                        verlangerungen
                                  => 29770, verlangsamt
                                  => 20241,
                        verlangt  => 3578, verlangte => 5522, verlangten
                                  => 10310,
                        verlassen => 630, verlassene
                                  => 15717,
                        verlassenen
                                  => 13263, verlassliche
                                  => 20664,
                        verlasst  => 2190, verlauf   => 910, verlaufe  => 12042, verlaufen => 3324,
                        verlaufend
                                  => 22019, verlaufende
                                  => 6932,
                        verlaufenden
                                  => 6047, verlaufs  => 27006,
                        verlauft  => 1099, verlauten => 27007, verlebte  => 29771, verlegen  => 8461,
                        verleger  => 5549, verlegers => 22492, verlegt   => 1521, verlegte  => 4772,
                        verlegten => 13120, verlegung => 5774, verleih   => 13724, verleihen => 6545,
                        verleiht  => 6433, verleihung
                                  => 4106,
                        verleihungen
                                  => 27008, verlesen  => 29772,
                        verletzen => 12315, verletzt  => 1524, verletzte => 4690, verletzten
                                  => 7372,
                        verletzung
                                  => 3645, verletzungen
                                  => 2625,
                        verletzungsbedingt
                                  => 11931,
                        verlieben => 9728, verliebt  => 2273, verliebte => 17499, verliebten
                                  => 27009,
                        verlief   => 2578, verliefen => 7943, verlieh   => 5550, verliehen => 1504,
                        verliehenen
                                  => 28783, verlieren => 3818,
                        verlierer => 11053, verliert  => 2565, verlies   => 25521, verliess  => 878,
                        verliessen
                                  => 3460, verlobt   => 11681,
                        verlobte  => 10072, verlobten => 9387, verlobter => 21558, verlobung => 9899,
                        verlor    => 725, verloren  => 601, verlorene => 11157, verlorenen
                                  => 7710,
                        verlorengegangen
                                  => 27887, verlust   => 2240,
                        verluste  => 2691, verlusten => 7579, verlustes => 27888, vermacht  => 24882,
                        vermachte => 12440, vermachtnis
                                  => 18101,
                        vermag    => 12441, vermahlt  => 23054, vermahlte => 20665, vermahlung
                                  => 19110,
                        vermarkten
                                  => 16424, vermarktet
                                  => 5621,
                        vermarktung
                                  => 7617, vermauert => 15933,
                        vermehren => 16161, vermehrt  => 3530, vermehrte => 14264, vermehrten
                                  => 19426,
                        vermehrung
                                  => 13121, vermeiden => 2408,
                        vermeidet => 17209, vermeidung
                                  => 9303,
                        vermeintlich
                                  => 9475, vermeintliche
                                  => 9729,
                        vermeintlichen
                                  => 7711, vermeintlicher
                                  => 29773,
                        vermerk   => 20242, vermerkt  => 6933, vermerkte => 26207, vermessen => 13264,
                        vermessung
                                  => 15286, vermessungen
                                  => 23055,
                        vermied   => 17500, vermieden => 5239, vermieter => 13425, vermietet => 8578,
                        vermietung
                                  => 15507, vermindern
                                  => 18418,
                        vermindert
                                  => 11682, verminderte
                                  => 18750,
                        verminderten
                                  => 29774, verminderung
                                  => 18102,
                        vermischen
                                  => 24243, vermischt => 11258,
                        vermischten
                                  => 29775, vermischung
                                  => 16934,
                        vermisst  => 9051, vermisste => 13919, vermissten
                                  => 13265,
                        vermitteln
                                  => 4400, vermittelt
                                  => 3835,
                        vermittelte
                                  => 11158, vermittelten
                                  => 23649,
                        vermittler
                                  => 14265, vermittlung
                                  => 4705,
                        vermochte => 13426, vermogen  => 2455, vermogende
                                  => 26208,
                        vermogenden
                                  => 19427, vermogens => 9560,
                        vermogenswerte
                                  => 18751, vermont   => 13427,
                        vermuten  => 4107, vermutet  => 2087, vermutete => 8512, vermuteten
                                  => 12179,
                        vermutlich
                                  => 566, vermutung => 6277,
                        vermutungen
                                  => 10771, vernachlassigt
                                  => 7534,
                        vernachlassigte
                                  => 22020, vernachlassigten
                                  => 29776,
                        vernachlassigung
                                  => 16654, vernehmen => 23056,
                        vernehmung
                                  => 16935, verneint  => 15718,
                        vernetzen => 27010, vernetzt  => 15287, vernetzung
                                  => 10148,
                        vernichten
                                  => 7944, vernichtend
                                  => 26209,
                        vernichtet
                                  => 4621, vernichtete
                                  => 15288,
                        vernichtung
                                  => 7283, vernommen => 21114,
                        vernon    => 18752, vernunft  => 6769, vernunftig
                                  => 26210,
                        vernunftige
                                  => 27011, vernunftigen
                                  => 25522,
                        veroffentlichen
                                  => 4748, veroffentlicht
                                  => 367,
                        veroffentlichte
                                  => 529, veroffentlichten
                                  => 2583,
                        veroffentlichter
                                  => 24883, veroffentlichung
                                  => 1083,
                        veroffentlichungen
                                  => 2042,
                        veroffentlichungsdatum
                                  => 29777,
                        veronica  => 19428, verordnet => 23057, verordnung
                                  => 3779,
                        verordnungen
                                  => 11932, verortet  => 24244,
                        verpachtet
                                  => 8513, verpachtete
                                  => 18419,
                        verpachtung
                                  => 27889, verpackt  => 17807,
                        verpackung
                                  => 15508, verpackungen
                                  => 21115,
                        verpassen => 23650, verpasst  => 9822, verpasste => 3145, verpassten
                                  => 11683,
                        verpfandet
                                  => 19809, verpflegung
                                  => 10496,
                        verpflichten
                                  => 10583, verpflichtend
                                  => 18753,
                        verpflichtet
                                  => 2027, verpflichtete
                                  => 7443,
                        verpflichteten
                                  => 11684, verpflichtung
                                  => 5149,
                        verpflichtungen
                                  => 7892, verprugelt
                                  => 18420,
                        verpuppen => 23651, verpuppung
                                  => 18754,
                        verputzt  => 9476, verputzte => 18755, verputzten
                                  => 19111,
                        verrat    => 4997, verraten  => 6145, verrater  => 11808, verrats   => 26211,
                        verrechnet
                                  => 25523, verrichten
                                  => 20243,
                        verrichtet
                                  => 24884, verriet   => 25524,
                        verringern
                                  => 8033, verringert
                                  => 4956,
                        verringerte
                                  => 9730, verringerten
                                  => 27890,
                        verringerung
                                  => 9900, verrohrt  => 27012,
                        verruckt  => 14866, verruckten
                                  => 24885,
                        vers      => 8715, versagen  => 11347, versagt   => 8848, versagte  => 20666,
                        versah    => 9477, versailles
                                  => 18756,
                        versammeln
                                  => 11933, versammelt
                                  => 12442,
                        versammelte
                                  => 18103, versammelten
                                  => 10311,
                        versammlung
                                  => 3789, versammlungen
                                  => 8716,
                        versammlungsort
                                  => 27013, versand   => 23652,
                        versandt  => 25525, versank   => 22493, versatz   => 29778, versaumt  => 26212,
                        versaumte => 25526, verschaffen
                                  => 6886,
                        verschafft
                                  => 9478, verschaffte
                                  => 9479,
                        verschafften
                                  => 24886, verscharft
                                  => 13428,
                        verscharfte
                                  => 12180, verscharften
                                  => 20667,
                        verscharfung
                                  => 20668, verschenkt
                                  => 24887,
                        verschickt
                                  => 13563, verschieben
                                  => 11572,
                        verschiebt
                                  => 17808, verschiebung
                                  => 7995,
                        verschiebungen
                                  => 19112, verschieden
                                  => 5927,
                        verschiedenartige
                                  => 28784,
                        verschiedene
                                  => 326, verschiedenen
                                  => 256,
                        verschiedener
                                  => 1392, verschiedenste
                                  => 11934,
                        verschiedensten
                                  => 6934, verschiedenster
                                  => 23058,
                        verschiedentlich
                                  => 15289, verschifft
                                  => 18757,
                        verschlechtert
                                  => 13122, verschlechterte
                                  => 7618,
                        verschlechterten
                                  => 26213, verschlechterung
                                  => 18758,
                        verschleiern
                                  => 23059, verschleiss
                                  => 13920,
                        verschleppt
                                  => 9731, verschleppung
                                  => 25527,
                        verschliessen
                                  => 16425, verschliesst
                                  => 23653,
                        verschlossen
                                  => 5169, verschlossene
                                  => 28785,
                        verschlossenen
                                  => 25528, verschluss
                                  => 9823,
                        verschlusselt
                                  => 19810, verschlusselung
                                  => 23654,
                        verschmalert
                                  => 20244, verschmelzen
                                  => 12556,
                        verschmelzung
                                  => 12821, verschmolzen
                                  => 11456,
                        verschmutzung
                                  => 15290, verschob  => 13564,
                        verschoben
                                  => 3176, verschollen
                                  => 7127,
                        verschollenen
                                  => 20669, verschont => 6514,
                        verschossen
                                  => 26214, verschraubt
                                  => 29779,
                        verschrieben
                                  => 18421, verschrottet
                                  => 7619,
                        verschrottung
                                  => 28786, verschulden
                                  => 23060,
                        verschuldet
                                  => 14472, verschuldung
                                  => 19811,
                        verschuttet
                                  => 18759, verschwand
                                  => 4691,
                        verschwanden
                                  => 7841, verschweigt
                                  => 18760,
                        verschwendung
                                  => 29780, verschwiegen
                                  => 22494,
                        verschwinden
                                  => 3796, verschwindet
                                  => 5338,
                        verschworer
                                  => 22021, verschworung
                                  => 8514,
                        verschworungstheorien
                                  => 27891,
                        verschwunden
                                  => 3177, verschwundene
                                  => 28787,
                        verschwundenen
                                  => 15075, verse     => 10222,
                        versehen  => 1233, versehene => 11159, versehenen
                                  => 13565,
                        versehentlich
                                  => 8717, versen    => 16162,
                        versenden => 29781, versendet => 26215, versenken => 17210, versenkt  => 6146,
                        versenkte => 17809, versenkten
                                  => 27892,
                        versenkung
                                  => 17211, versetzen => 9824,
                        versetzt  => 1962, versetzte => 15291, versetzten
                                  => 28788,
                        versetzung
                                  => 10954, versicherer
                                  => 23061,
                        versichern
                                  => 24888, versichert
                                  => 9388,
                        versicherte
                                  => 12700, versicherten
                                  => 13123,
                        versicherung
                                  => 10312, versicherungen
                                  => 12557,
                        versicherungsnehmer
                                  => 29782,
                        versiegelt
                                  => 28789, versinkt  => 26216,
                        version   => 656, versionen => 2528, versohnen => 13266, versohnt  => 15076,
                        versohnung
                                  => 8351, versorgen => 5339,
                        versorgt  => 2998, versorgte => 11160, versorgten
                                  => 16426,
                        versorgung
                                  => 2158, versorgungslage
                                  => 25529,
                        verspatet => 19113, verspatung
                                  => 16655,
                        verspatungen
                                  => 24889, verspeist => 27893,
                        versperrt => 16936, verspielt => 27894, verspottet
                                  => 17501,
                        versprach => 6546, versprachen
                                  => 23062,
                        versprechen
                                  => 6491, versprechungen
                                  => 23655,
                        verspricht
                                  => 4374, versprochen
                                  => 9732,
                        versprochene
                                  => 29783, verspurt  => 29784,
                        verstaatlicht
                                  => 14667, verstaatlichung
                                  => 14867,
                        verstand  => 4302, verstanden
                                  => 2967,
                        verstandigen
                                  => 15934, verstandigt
                                  => 27895,
                        verstandigung
                                  => 11573, verstandlich
                                  => 8404,
                        verstandnis
                                  => 2745, verstappen
                                  => 25530,
                        verstarb  => 1144, verstarben
                                  => 13921,
                        verstarken
                                  => 8034, verstarker
                                  => 16937,
                        verstarkt => 1540, verstarkte
                                  => 4692,
                        verstarkten
                                  => 7712, verstarkung
                                  => 5799,
                        verstarkungen
                                  => 15719, versteck  => 7322,
                        verstecken
                                  => 6576, versteckt => 3296,
                        versteckte
                                  => 10772, versteckten
                                  => 12822,
                        verstehe  => 23656, verstehen => 2304, versteht  => 3337, versteigert
                                  => 8579,
                        versteigerung
                                  => 17212, verstellbare
                                  => 26217,
                        verstellt => 27014, verstiess => 26218, verstirbt => 24890, verstorben
                                  => 4287,
                        verstorbene
                                  => 8242, verstorbenen
                                  => 2422,
                        verstorbener
                                  => 14668, verstort  => 26219,
                        verstoss  => 16163, verstosse => 11935, verstossen
                                  => 7945,
                        verstosses
                                  => 29785, verstosst => 19429,
                        verstreut => 9178, verstreute
                                  => 27015,
                        verstreuten
                                  => 20670, verstrickt
                                  => 20245,
                        verstrickung
                                  => 28790, versuch   => 1298,
                        versuche  => 2291, versuchen => 1843, versuchs  => 25531, versuchsanstalt
                                  => 28791,
                        versuchsweise
                                  => 29786, versucht  => 659,
                        versuchte => 1011, versuchten
                                  => 2770,
                        versuchung
                                  => 27016, versus    => 29787,
                        vertagt   => 29788, vertauscht
                                  => 17810,
                        verteidigen
                                  => 3609, verteidiger
                                  => 3942,
                        verteidigern
                                  => 18104, verteidigt
                                  => 7157,
                        verteidigte
                                  => 5050, verteidigten
                                  => 22495,
                        verteidigung
                                  => 2692, verteidigungsanlagen
                                  => 24891,
                        verteidigungslinie
                                  => 28792,
                        verteidigungsminister
                                  => 16938,
                        verteidigungsministerium
                                  => 16939,
                        verteidigungsministeriums
                                  => 27896,
                        verteilen => 5316, verteilt  => 1768, verteilte => 8192, verteilten
                                  => 7580,
                        verteilung
                                  => 3819, vertiefen => 19430,
                        vertieft  => 13124, vertiefte => 13267, vertiefung
                                  => 11809,
                        vertiefungen
                                  => 17502, vertikal  => 9480,
                        vertikale => 8991, vertikalen
                                  => 9122,
                        vertont   => 18761, vertonte  => 23063, vertonung => 27897, vertrag   => 694,
                        vertrage  => 5414, vertragen => 9561, vertrages => 9389, vertraglich
                                  => 9481,
                        vertragliche
                                  => 24892, vertraglichen
                                  => 21559,
                        vertrags  => 11348, vertragspartner
                                  => 23657,
                        vertragsverlangerung
                                  => 20246,
                        vertrat   => 2589, vertraten => 16427, vertrauen => 3618, vertraut  => 6147,
                        vertraute => 10858, vertrauten
                                  => 11457,
                        vertrauter
                                  => 16656, vertreiben
                                  => 7410,
                        vertreibt => 9304, vertreibung
                                  => 6981,
                        vertreten => 1025, vertretene
                                  => 17811,
                        vertretenen
                                  => 14669, vertreter => 1121,
                        vertreterin
                                  => 20671, vertretern
                                  => 3741,
                        vertretung
                                  => 6278, vertretungen
                                  => 18105,
                        vertrieb  => 4239, vertrieben
                                  => 2579,
                        vertriebene
                                  => 14473, vertriebenen
                                  => 11810,
                        vertritt  => 4586, vertuschen
                                  => 23658,
                        verubt    => 12443, verubte   => 26220, verubten  => 27898, verungluckt
                                  => 29789,
                        verungluckte
                                  => 14079, verungluckten
                                  => 21560,
                        verunreinigung
                                  => 29790, verunreinigungen
                                  => 17213,
                        veruntreuung
                                  => 28793, verursachen
                                  => 7194,
                        verursacht
                                  => 3360, verursachte
                                  => 6577,
                        verursachten
                                  => 8296, verurteilen
                                  => 25532,
                        verurteilt
                                  => 1439, verurteilte
                                  => 6434,
                        verurteilten
                                  => 9825, verurteilung
                                  => 7411,
                        verurteilungen
                                  => 28794, vervollstandigen
                                  => 22022,
                        vervollstandigt
                                  => 23064, vervollstandigte
                                  => 27017,
                        verwachsen
                                  => 9733, verwahrt  => 17503,
                        verwalten => 9641, verwalter => 9179, verwaltet => 3654, verwaltete
                                  => 10149,
                        verwalteten
                                  => 21116, verwaltung
                                  => 970,
                        verwaltungen
                                  => 19812, verwaltungsaufgaben
                                  => 27018,
                        verwaltungsbezirk
                                  => 27019,
                        verwaltungsdienst
                                  => 25533,
                        verwaltungseinheit
                                  => 16940,
                        verwaltungseinheiten
                                  => 22496,
                        verwaltungsgebaude
                                  => 9734,
                        verwaltungsgemeinschaft
                                  => 15292,
                        verwaltungsgericht
                                  => 18762,
                        verwaltungsrat
                                  => 10313, verwaltungsrates
                                  => 21561,
                        verwaltungsrats
                                  => 27899, verwaltungsreform
                                  => 12181,
                        verwaltungssitz
                                  => 7128, verwaltungszentrum
                                  => 18422,
                        verwandeln
                                  => 7996, verwandelt
                                  => 5014,
                        verwandelte
                                  => 14266, verwandelten
                                  => 23065,
                        verwandlung
                                  => 17214, verwandt  => 5069,
                        verwandte => 5956, verwandten
                                  => 3239,
                        verwandter
                                  => 14868, verwandtschaft
                                  => 6122,
                        verwarf   => 23659, verwechseln
                                  => 9123,
                        verwechselt
                                  => 10497, verwechslung
                                  => 15077,
                        verwechslungen
                                  => 14474, verwehrt  => 7009,
                        verweigern
                                  => 16164, verweigert
                                  => 6308,
                        verweigerte
                                  => 7373, verweigerten
                                  => 22023,
                        verweigerung
                                  => 23660, verweildauer
                                  => 28795,
                        verweilen => 22497, verweis   => 10859, verweise  => 23066, verweisen => 7798,
                        verweist  => 4249, verwendbar
                                  => 21117,
                        verwenden => 2522, verwendet => 286, verwendete
                                  => 2015,
                        verwendeten
                                  => 2352, verwendung
                                  => 874,
                        verwendungen
                                  => 21562, verwendungszweck
                                  => 27900,
                        verwerfungen
                                  => 27020, verwerten => 21563,
                        verwertet => 23067, verwertung
                                  => 13566,
                        verwickelt
                                  => 5523, verwicklungen
                                  => 21118,
                        verwies   => 8773, verwiesen => 6627, verwildert
                                  => 27901,
                        verwilderte
                                  => 28796, verwirklichen
                                  => 8148,
                        verwirklicht
                                  => 6309, verwirklichte
                                  => 27902,
                        verwirklichung
                                  => 10955, verwirrt  => 16165,
                        verwirrung
                                  => 12043, verwitterung
                                  => 23661,
                        verwitwet => 20247, verwitwete
                                  => 13725,
                        verwitweten
                                  => 24245, verwoben  => 26221,
                        verworfen => 6085, verwundert
                                  => 24246,
                        verwundet => 4170, verwundete
                                  => 8462,
                        verwundeten
                                  => 9826, verwundung
                                  => 16941,
                        verwurzelt
                                  => 22024, verwustet => 9390,
                        verwustete
                                  => 21119, verwusteten
                                  => 20248,
                        verwustung
                                  => 23068, verzehr   => 12558,
                        verzehren => 29791, verzehrt  => 13268, verzeichnen
                                  => 4862,
                        verzeichnet
                                  => 2409, verzeichnete
                                  => 7050,
                        verzeichneten
                                  => 20672, verzeichnis
                                  => 6935,
                        verzeichnisse
                                  => 25534, verzeihen => 26222,
                        verzeihung
                                  => 19813, verzerrt  => 18763,
                        verzerrungen
                                  => 29792, verzicht  => 6369,
                        verzichten
                                  => 4773, verzichtet
                                  => 2933,
                        verzichtete
                                  => 3520, verzichteten
                                  => 16657,
                        verziehen => 28797, verziert  => 4410, verzierte => 15078, verzierten
                                  => 13922,
                        verzierung
                                  => 18764, verzierungen
                                  => 10860,
                        verzogern => 19814, verzogert => 10498, verzogerte
                                  => 7158,
                        verzogerten
                                  => 17215, verzogerung
                                  => 9562,
                        verzogerungen
                                  => 9391, verzweifelt
                                  => 6547,
                        verzweifelte
                                  => 24247, verzweifelten
                                  => 17812,
                        verzweiflung
                                  => 8649, verzweigt => 10499,
                        verzweigte
                                  => 21120, verzweigten
                                  => 17813,
                        verzweigung
                                  => 25535, verzweigungen
                                  => 26223,
                        veteranen => 15293, vettel    => 10584, viadukt   => 16166, vibrationen
                                  => 17814,
                        vicente   => 23069, victor    => 5317, victoria  => 4465, victory   => 27021,
                        vicus     => 18423, video     => 2616, videos    => 4452, videospiele
                                  => 27022,
                        vieh      => 8405, viehhaltung
                                  => 28798,
                        viehwirtschaft
                                  => 26224, viehzucht => 5800,
                        viel      => 467, viele     => 163, vielen    => 401, vieler    => 2440,
                        vielerlei => 13125, vielerorts
                                  => 11574,
                        vieles    => 7997, vielfach  => 2529, vielfache => 27023, vielfaches
                                  => 14670,
                        vielfalt  => 4025, vielfaltig
                                  => 6840,
                        vielfaltige
                                  => 6279, vielfaltigen
                                  => 6887,
                        vielfaltiger
                                  => 17216, vielfaltiges
                                  => 21121,
                        vielleicht
                                  => 2159, vielmehr  => 1913,
                        vielseitig
                                  => 12701, vielseitige
                                  => 20673,
                        vielseitigkeit
                                  => 20674, vielzahl  => 1525,
                        vier      => 115, viereckigen
                                  => 20249,
                        viereinhalb
                                  => 23662, vierer    => 20250,
                        vierfache => 25536, vierganggetriebe
                                  => 24893,
                        viergeschossige
                                  => 24894, vierjahrige
                                  => 19431,
                        vierjahrigen
                                  => 26225, vierjahriger
                                  => 27903,
                        viermal   => 4219, vierte    => 1838, viertel   => 1902, viertelfinale
                                  => 3539,
                        vierteljahrlich
                                  => 19114, vierteln  => 17815,
                        viertels  => 12962, viertelstunde
                                  => 23663,
                        vierten   => 1277, vierter   => 4675, viertes   => 10956, viertgrosste
                                  => 29793,
                        vierturige
                                  => 27024, vierung   => 17504,
                        vierzehn  => 6404, vierzig   => 8081, vietnam   => 8035, vietnamesischen
                                  => 20251,
                        viii      => 7946, vikar     => 18765, vikings   => 27025, villa     => 1832,
                        villach   => 24248, village   => 10404, villen    => 11811, villeneuve
                                  => 19432,
                        villiers  => 29794, vilnius   => 21564, vince     => 22025, vincent   => 7799,
                        vinyl     => 19433, violet    => 21122, violette  => 24895, violetten => 26226,
                        violine   => 9735, violinen  => 17816, violoncello
                                  => 24249,
                        viren     => 11349, virgin    => 28799, virginia  => 6086, virtual   => 23070,
                        virtuelle => 13269, virtuellen
                                  => 10223,
                        virus     => 7051, viscount  => 15935, visier    => 14869, vision    => 6148,
                        visionen  => 10314, visitation
                                  => 24896,
                        viskositat
                                  => 29795, vista     => 21565,
                        visual    => 27026, visualisierung
                                  => 19434,
                        visuell   => 18766, visuelle  => 10150, visuellen => 12444, visum     => 24897,
                        vitamin   => 20252, vivian    => 27027, vizeadmiral
                                  => 28800,
                        vizeburgermeister
                                  => 18767,
                        vizegouverneur
                                  => 21123, vizekonig => 21124,
                        vizemeister
                                  => 5318, vizemeisterschaft
                                  => 12963,
                        vizeprasident
                                  => 3809, vizeprasidenten
                                  => 9482,
                        vizeprasidentin
                                  => 13429, vizeweltmeister
                                  => 28801,
                        vogelarten
                                  => 8650, vogeln    => 6149,
                        vogels    => 20253, vogtei    => 15079, vogtland  => 27904, voice     => 19815,
                        vokabular => 27028, vokal     => 20254, vokale    => 14267, vokalen   => 27029,
                        volkach   => 23664, volkerbund
                                  => 28802,
                        volkerkunde
                                  => 22498, volkermord
                                  => 22499,
                        volkern   => 10773, volkerrecht
                                  => 19816,
                        volkes    => 4067, volks     => 28803, volksabstimmung
                                  => 9901,
                        volksbank => 10671, volksbegehren
                                  => 29796,
                        volksbildung
                                  => 22026, volksentscheid
                                  => 26227,
                        volksfest => 20255, volksglauben
                                  => 27030,
                        volksgruppe
                                  => 19817, volksgruppen
                                  => 21125,
                        volkshochschule
                                  => 12182, volkskammer
                                  => 20675,
                        volkskunde
                                  => 12183, volkslied => 26228,
                        volkslieder
                                  => 19435, volksmund => 6734,
                        volksmusik
                                  => 15294, volkspartei
                                  => 12184,
                        volkspolizei
                                  => 29797, volksrepublik
                                  => 8580,
                        volksschule
                                  => 3407, volkstheater
                                  => 24898,
                        volkstumlich
                                  => 27031, volkstumliche
                                  => 21126,
                        volkstumlichen
                                  => 27905, volksversammlung
                                  => 26229,
                        volkswagen
                                  => 16428, volkswirtschaft
                                  => 10957,
                        volkswirtschaftslehre
                                  => 18424,
                        volkszahlung
                                  => 1968, volkszahlungen
                                  => 20256,
                        volkszeitung
                                  => 27906, voll      => 2551,
                        volle     => 4401, vollem    => 10224, vollen    => 5051, vollenden => 16658,
                        vollendet => 4527, vollendete
                                  => 10225,
                        vollendeten
                                  => 19818, vollends  => 13923,
                        vollendung
                                  => 7195, voller    => 3272,
                        volles    => 23665, volleyball
                                  => 15509,
                        vollig    => 1019, vollige   => 11458, volligen  => 16659, volliger  => 17217,
                        volljahrig
                                  => 24250, volljahrigkeit
                                  => 19436,
                        vollkommen
                                  => 3836, vollkommene
                                  => 25537,
                        vollkommenen
                                  => 28804, vollmacht => 28805,
                        vollmachten
                                  => 24251, vollstandig
                                  => 604,
                        vollstandige
                                  => 3138, vollstandigen
                                  => 4693,
                        vollstandiger
                                  => 10774, vollstandiges
                                  => 18106,
                        vollstandigkeit
                                  => 15720, vollstreckt
                                  => 17817,
                        vollstreckung
                                  => 23666, vollversammlung
                                  => 18107,
                        vollwertigen
                                  => 26230, vollziehen
                                  => 18425,
                        vollzieht => 14870, vollzog   => 9180, vollzogen => 4720, vollzug   => 17505,
                        voltaire  => 21127, volume    => 15721, volumen   => 5574, volvo     => 24899,
                        vom       => 63, von       => 5, voneinander
                                  => 1827,
                        vonnoten  => 23071, vor       => 51, vorab     => 9987, vorabend  => 13270,
                        voran     => 4774, vorangegangene
                                  => 29798,
                        vorangegangenen
                                  => 6405, vorangehenden
                                  => 26231,
                        vorangestellt
                                  => 20676, vorangetrieben
                                  => 10775,
                        voranmeldung
                                  => 27907, vorantreiben
                                  => 28806,
                        voranzutreiben
                                  => 14475, vorarbeiten
                                  => 13271,
                        vorarlberg
                                  => 9243, vorarlberger
                                  => 13126,
                        voraus    => 3229, vorausgegangen
                                  => 15080,
                        vorausgegangenen
                                  => 27908, vorausgesagt
                                  => 28807,
                        vorausgesetzt
                                  => 10672, voraussetzt
                                  => 19437,
                        voraussetzung
                                  => 3092, voraussetzungen
                                  => 3408,
                        voraussichtlich
                                  => 7998, vorbau    => 11812,
                        vorbehalt => 23072, vorbehalte
                                  => 23073,
                        vorbehalten
                                  => 5594, vorbei    => 2456,
                        vorbereiten
                                  => 11259, vorbereitet
                                  => 3922,
                        vorbereitete
                                  => 15510, vorbereiteten
                                  => 19819,
                        vorbereitung
                                  => 3349, vorbereitungen
                                  => 6628,
                        vorbereitungsdienst
                                  => 29799,
                        vorbereitungszeit
                                  => 29800,
                        vorbeugung
                                  => 29801, vorbild   => 2256,
                        vorbilder => 9902, vorbildern
                                  => 12559,
                        vorbildlich
                                  => 20677, vorbildliche
                                  => 22027,
                        vorburg   => 9392, vorchristlichen
                                  => 22500,
                        vordach   => 29802, vorderachse
                                  => 20678,
                        vorderbeine
                                  => 19115, vordere   => 5227,
                        vorderen  => 3178, vorderer  => 24900, vorderflugel
                                  => 9736,
                        vordergrund
                                  => 2771, vordergrundig
                                  => 21128,
                        vorderrad => 27032, vorderrand
                                  => 26232,
                        vorderseite
                                  => 6370, vordersten
                                  => 28808,
                        vordringen
                                  => 15295, vorentscheid
                                  => 27909,
                        vorentscheidung
                                  => 24901, vorerst   => 2693,
                        vorfahren => 4937, vorfall   => 5319, vorfalle  => 16660, vorfallen => 23667,
                        vorfalls  => 27033, vorfeld   => 4190, vorfuhren => 25538, vorfuhrung
                                  => 18426,
                        vorfuhrungen
                                  => 29803, vorgabe   => 14671,
                        vorgaben  => 4656, vorgang   => 4817, vorgange  => 5674, vorgangen => 20679,
                        vorganger => 2142, vorgangerbau
                                  => 6735,
                        vorgangerbaus
                                  => 13272, vorgangerbauten
                                  => 19438,
                        vorgangerin
                                  => 18768, vorgangerkirche
                                  => 13924,
                        vorgangermodell
                                  => 18769, vorgangern
                                  => 11575,
                        vorgangers
                                  => 8992, vorgarten => 24252,
                        vorgeblich
                                  => 27034, vorgebracht
                                  => 22028,
                        vorgefertigten
                                  => 27910, vorgefuhrt
                                  => 10958,
                        vorgefunden
                                  => 25539, vorgegangen
                                  => 21566,
                        vorgegeben
                                  => 10673, vorgegebene
                                  => 19116,
                        vorgegebenen
                                  => 8515, vorgehalten
                                  => 18108,
                        vorgehen  => 3252, vorgehens => 28809, vorgehensweise
                                  => 8993,
                        vorgelagert
                                  => 11054, vorgelagerte
                                  => 20257,
                        vorgelagerten
                                  => 11685, vorgelegt => 6087,
                        vorgelegten
                                  => 22029, vorgenannten
                                  => 15936,
                        vorgenommen
                                  => 2312, vorgenommenen
                                  => 21567,
                        vorgeschichte
                                  => 7947, vorgeschichtlicher
                                  => 24902,
                        vorgeschlagen
                                  => 4423, vorgeschlagene
                                  => 18427,
                        vorgeschlagenen
                                  => 18428, vorgeschrieben
                                  => 8516,
                        vorgeschriebene
                                  => 21568, vorgeschriebenen
                                  => 14672,
                        vorgesehen
                                  => 1291, vorgesehene
                                  => 7800,
                        vorgesehenen
                                  => 6629, vorgesetzte
                                  => 19820,
                        vorgesetzten
                                  => 6123, vorgesetzter
                                  => 19821,
                        vorgestellt
                                  => 1998, vorgestellte
                                  => 23668,
                        vorgestellten
                                  => 18770, vorgetauscht
                                  => 24253,
                        vorgetragen
                                  => 11161, vorgeworfen
                                  => 5015,
                        vorgezogen
                                  => 14871, vorgezogenen
                                  => 24903,
                        vorgibt   => 21129, vorhaben  => 3191, vorhabens => 22030, vorhalle  => 6669,
                        vorhanden => 660, vorhandene
                                  => 3411,
                        vorhandenen
                                  => 2030, vorhandener
                                  => 14872,
                        vorhandensein
                                  => 7713, vorhang   => 14873,
                        vorher    => 1272, vorhergehende
                                  => 27035,
                        vorhergehenden
                                  => 10674, vorherige => 7323,
                        vorherigen
                                  => 3646, vorheriger
                                  => 24904,
                        vorherrschaft
                                  => 14673, vorherrschend
                                  => 21130,
                        vorherrschende
                                  => 13925, vorherrschenden
                                  => 12044,
                        vorhersage
                                  => 18109, vorhersagen
                                  => 17218,
                        vorhersehbar
                                  => 27036, vorhof    => 21131,
                        vorigen   => 10315, vorjahr   => 3790, vorjahren => 16942, vorjahres => 12964,
                        vorkam    => 27911, vorkammer => 28810, vorkehrungen
                                  => 24905,
                        vorkommen => 2384, vorkommende
                                  => 16943,
                        vorkommenden
                                  => 8994, vorkommnisse
                                  => 15511,
                        vorkommt  => 6492, vorkriegszeit
                                  => 25540,
                        vorlag    => 19117, vorlage   => 4097, vorlagen  => 5972, vorlauf   => 10151,
                        vorlaufe  => 29804, vorlaufen => 24254, vorlaufer => 5595, vorlaufig => 7196,
                        vorlaufige
                                  => 10405, vorlaufigen
                                  => 10316,
                        vorlegen  => 18110, vorlegte  => 22031, vorlesung => 15722, vorlesungen
                                  => 4528,
                        vorletzte => 16944, vorletzten
                                  => 7948,
                        vorliebe  => 8406, vorlieben => 24255, vorliegen => 4877, vorliegende
                                  => 24256,
                        vorliegenden
                                  => 11576, vorliegt  => 8036,
                        vormachtstellung
                                  => 19439, vormalige => 21132,
                        vormaligen
                                  => 13430, vormals   => 6461,
                        vormarsch => 10585, vormittag => 15512, vormittags
                                  => 20680,
                        vormund   => 19440, vormundschaft
                                  => 18429,
                        vorn      => 3810, vornahm   => 27912, vorname   => 9124, vornamen  => 5575,
                        vornamens => 27913, vorne     => 2342, vornehme  => 29805, vornehmen => 8037,
                        vornehmlich
                                  => 4143, vornherein
                                  => 10776,
                        vorort    => 10500, vororte   => 15723, vororten  => 24257, vorplatz  => 16167,
                        vorrang   => 11350, vorrangig => 5356, vorrat    => 18430, vorrate   => 10959,
                        vorraum   => 15937, vorrede   => 21569, vorrichtung
                                  => 25541,
                        vorrichtungen
                                  => 23074, vorrucken => 18111,
                        vorrunde  => 4303, vorrundenspiele
                                  => 29806,
                        vorsah    => 11686, vorsaison => 12316, vorsatz   => 27914, vorsatzlich
                                  => 25542,
                        vorschein => 12045, vorschiff => 22501, vorschlag => 3111, vorschlage
                                  => 4957,
                        vorschlagen
                                  => 13926, vorschlagt
                                  => 25543,
                        vorschlug => 28811, vorschrift
                                  => 13726,
                        vorschriften
                                  => 4562, vorsicht  => 11055,
                        vorsichtig
                                  => 12702, vorsieht  => 18771,
                        vorsitz   => 4706, vorsitzende
                                  => 2797,
                        vorsitzenden
                                  => 3461, vorsitzender
                                  => 822,
                        vorsorge  => 23669, vorsorglich
                                  => 26233,
                        vorspann  => 14674, vorspiel  => 23075, vorspringenden
                                  => 25544,
                        vorsprung => 3010, vorstadt  => 11056, vorstadte => 24258, vorstand  => 1681,
                        vorstande => 19822, vorstandes
                                  => 11351,
                        vorstands => 15724, vorstandsmitglied
                                  => 5853,
                        vorstandsmitglieder
                                  => 21133,
                        vorstandsvorsitzende
                                  => 24259,
                        vorstandsvorsitzenden
                                  => 24906,
                        vorstandsvorsitzender
                                  => 10675,
                        vorsteher => 12703, vorstellbar
                                  => 26234,
                        vorstellen
                                  => 9827, vorstellt => 14874,
                        vorstellte
                                  => 23670, vorstellung
                                  => 2508,
                        vorstellungen
                                  => 2968, vorstoss  => 13273,
                        vorstosse => 26235, vorstossen
                                  => 29807,
                        vorstufe  => 23076, vortag    => 15081, vortauschen
                                  => 29808,
                        vorteil   => 1984, vorteile  => 3729, vorteilen => 27037, vorteilhaft
                                  => 11162,
                        vorteilhafte
                                  => 29809, vortrag   => 4749,
                        vortrage  => 3598, vortragen => 8352, vortrieb  => 24907, voruber   => 20258,
                        vorubergehend
                                  => 3257, vorubergehende
                                  => 16429,
                        vorubergehenden
                                  => 15938, vorurteile
                                  => 13567,
                        vorwahl   => 28812, vorwahlen => 23671, vorwand   => 9988, vorwarf   => 25545,
                        vorwarts  => 7052, vorweg    => 25546, vorweisen => 10501, vorwiegend
                                  => 1507,
                        vorwort   => 6200, vorwurf   => 5801, vorwurfe  => 4327, vorwurfen => 14268,
                        vorzeichen
                                  => 14080, vorzeitig => 3647,
                        vorzeitige
                                  => 14081, vorzeitigen
                                  => 15513,
                        vorzubereiten
                                  => 9737, vorzubeugen
                                  => 16661,
                        vorzudringen
                                  => 23672, vorzufinden
                                  => 27038,
                        vorzug    => 13727, vorzuge   => 21134, vorzugehen
                                  => 11057,
                        vorzuglich
                                  => 25547, vorzugsweise
                                  => 11687,
                        vorzulegen
                                  => 23673, vorzunehmen
                                  => 11260,
                        vorzustellen
                                  => 19823, vorzutauschen
                                  => 27915,
                        vorzutragen
                                  => 27039, vorzuweisen
                                  => 21570,
                        vorzuziehen
                                  => 27916, votum     => 22502,
                        vries     => 27917, vulkan    => 12046, vulkanische
                                  => 23077,
                        vulkanischen
                                  => 18431, vulkans   => 19441,
                        waadt     => 22503, waage     => 16168, waagerecht
                                  => 11936,
                        waagerechte
                                  => 23674, waagerechten
                                  => 24260,
                        wachen    => 10073, wachsen   => 3350, wachsend  => 28813, wachsende => 5900,
                        wachsenden
                                  => 4552, wachsender
                                  => 14269,
                        wachst    => 2377, wachstum  => 3157, wachstums => 15514, wacht     => 11058,
                        wachturm  => 27040, waffe     => 2457, waffen    => 1569, waffengewalt
                                  => 24908,
                        waffenstillstand
                                  => 8718, wagen     => 764,
                        wagenkasten
                                  => 15515, wagens    => 8651,
                        waggons   => 17219, wagners   => 15725, wagte     => 17220, wahl      => 661,
                        wahlbar   => 20681, wahlberechtigt
                                  => 13728,
                        wahlberechtigte
                                  => 28814, wahlberechtigten
                                  => 10676,
                        wahlbeteiligung
                                  => 4797, wahlbezirk
                                  => 13927,
                        wahlen    => 1222, wahler    => 5373, wahlergebnis
                                  => 17221,
                        wahlergebnisse
                                  => 22504, wahlergemeinschaft
                                  => 16945,
                        wahlern   => 17818, wahlerschaft
                                  => 25548,
                        wahlerstimmen
                                  => 16169, wahlgang  => 5131,
                        wahlkampf => 8719, wahlkommission
                                  => 15516,
                        wahlkreis => 3648, wahlkreise
                                  => 12047,
                        wahlkreisen
                                  => 14270, wahlkreises
                                  => 19442,
                        wahllos   => 26236, wahlniederlage
                                  => 29810,
                        wahlperiode
                                  => 6578, wahlrecht => 6888,
                        wahlrechts
                                  => 25549, wahlsieg  => 18772,
                        wahlspruch
                                  => 14875, wahlt     => 5957,
                        wahltag   => 23675, wahlte    => 3373, wahlten   => 8774, wahlweise => 10317,
                        wahnsinn  => 12445, wahnsinnig
                                  => 24909,
                        wahr      => 3556, wahre     => 4076, wahren    => 3466, wahrend   => 84,
                        wahrenddessen
                                  => 3943, wahrende  => 27041,
                        wahrenden => 27918, wahrer    => 16946, wahres    => 19443, wahrgenommen
                                  => 4068,
                        wahrgenommene
                                  => 23676, wahrgenommenen
                                  => 22032,
                        wahrheit  => 2429, wahrheiten
                                  => 22033,
                        wahrnahm  => 28815, wahrnehmbar
                                  => 23677,
                        wahrnehmen
                                  => 10586, wahrnehmung
                                  => 4424,
                        wahrnehmungen
                                  => 28816, wahrnimmt => 27919,
                        wahrscheinlich
                                  => 720, wahrscheinlicher
                                  => 12446,
                        wahrscheinlichkeit
                                  => 4328,
                        wahrscheinlichsten
                                  => 28817,
                        wahrt     => 23678, wahrte    => 15726, wahrung   => 6630, wahrungen => 24910,
                        wahrzeichen
                                  => 7801, wahrzunehmen
                                  => 16170,
                        waisen    => 22505, waisenhaus
                                  => 11688,
                        wald      => 1150, waldchen  => 25550, waldenburg
                                  => 24911,
                        waldern   => 4775, waldes    => 8353, waldflache
                                  => 20682,
                        waldflachen
                                  => 15727, waldgebiet
                                  => 6736,
                        waldgebiete
                                  => 12965, waldgebieten
                                  => 24261,
                        waldhof   => 22506, waldrand  => 15082, waldrander
                                  => 26237,
                        waldrandern
                                  => 26238, waldshut  => 29811,
                        waldstuck => 18773, waldweg   => 23679, wales     => 4978, waliser   => 28818,
                        walisische
                                  => 23078, walisischen
                                  => 18432,
                        walker    => 8149, walking   => 24912, wallace   => 13729, wallanlage
                                  => 23680,
                        wallanlagen
                                  => 27920, wallen    => 24913,
                        wallenstein
                                  => 22507, wallfahrt => 13568,
                        wallfahrten
                                  => 26239, wallfahrtskirche
                                  => 13569,
                        wallfahrtsort
                                  => 19444, walls     => 17506,
                        walmdach  => 16171, walsh     => 22034, waltz     => 29812, walze     => 29813,
                        walzen    => 20259, wand      => 3197, wanda     => 24914, wandbilder
                                  => 27921,
                        wande     => 3374, wandel    => 3682, wandeln   => 19824, wandels   => 21571,
                        wandelt   => 14476, wandelte  => 7241, wanden    => 6048, wanderer  => 8463,
                        wanderern => 26240, wandern   => 7159, wanderschaft
                                  => 19825,
                        wandert   => 14082, wanderte  => 8082, wanderten => 10587, wanderung => 9903,
                        wanderungen
                                  => 9052, wanderweg => 7620,
                        wanderwege
                                  => 7621, wanderwegen
                                  => 22035,
                        wandflachen
                                  => 28819, wandgemalde
                                  => 23681,
                        wandlung  => 17222, wandlungen
                                  => 27922,
                        wandmalerei
                                  => 26241, wandmalereien
                                  => 8243,
                        wandpfeiler
                                  => 24915, wandstarke
                                  => 27042,
                        wandsteine
                                  => 27043, wandte    => 2790,
                        wandten   => 13274, wang      => 7622, wange     => 22036, wangen    => 9642,
                        wanken    => 26242, wann      => 3265, wanne     => 21572, wanzen    => 21573,
                        wappen    => 1079, wappens   => 8995, wappenschild
                                  => 19445,
                        war       => 26, warburg   => 22037, ward      => 7535, wards     => 27044,
                        ware      => 606, waren     => 66, warendorf => 27923, warenhaus => 23079,
                        warf      => 4208, warfen    => 8407, warm      => 7623, warme     => 4171,
                        warmen    => 8775, warmer    => 19826, warmeren  => 23080, warmes    => 26243,
                        warmste   => 27924, warnen    => 10588, warner    => 9738, warnt     => 8297,
                        warnte    => 11689, warnung   => 8776, warnungen => 14675, warren    => 11459,
                        warriors  => 25551, warschau  => 5698, warschauer
                                  => 10074,
                        wartburg  => 26244, warte     => 14477, wartehalle
                                  => 27925,
                        warten    => 3765, wartenden => 22038, wartet    => 5289, wartete   => 15083,
                        warteten  => 21574, wartezeit => 23081, wartung   => 8720, wartungsarbeiten
                                  => 21135,
                        warum     => 2199, warwick   => 20683, warzen    => 18112, was       => 128,
                        wasche    => 16430, waschen   => 15296, washington
                                  => 3253,
                        wasser    => 407, wasserbecken
                                  => 17223,
                        wasserburg
                                  => 12048, wasserdampf
                                  => 22508,
                        wasserdruck
                                  => 24262, wasserfall
                                  => 9181,
                        wasserfalle
                                  => 18774, wasserfallen
                                  => 28820,
                        wasserflache
                                  => 5340, wasserflachen
                                  => 14083,
                        wasserfuhrung
                                  => 18433, wassergraben
                                  => 9989,
                        wasserhaltung
                                  => 27045, wasserkraft
                                  => 10318,
                        wasserkraftwerk
                                  => 18434, wasserlauf
                                  => 21136,
                        wasserlaufe
                                  => 28821, wasserleitung
                                  => 14478,
                        wasserleitungen
                                  => 24916, wasserlinie
                                  => 23682,
                        wassermangel
                                  => 29814, wassermassen
                                  => 23082,
                        wassermenge
                                  => 13431, wassermuhle
                                  => 12049,
                        wassermuhlen
                                  => 25552, wasseroberflache
                                  => 7444,
                        wasserpflanzen
                                  => 17819, wasserqualitat
                                  => 18113,
                        wasserrad => 22509, wassers   => 5802, wasserscheide
                                  => 18775,
                        wasserschloss
                                  => 25553, wasserspiegel
                                  => 16172,
                        wasserstand
                                  => 9739, wasserstellen
                                  => 27926,
                        wasserstoff
                                  => 11163, wassertemperatur
                                  => 17507,
                        wassertiefe
                                  => 12704, wasserturm
                                  => 12705,
                        wasserversorgung
                                  => 6010, wasserweg => 26245,
                        wasserwerk
                                  => 19446, wasserwirtschaft
                                  => 28822,
                        watch     => 23083, water     => 9643, waterloo  => 22510, watkins   => 27927,
                        watson    => 11937, watts     => 29815, wayne     => 9904, weaver    => 29816,
                        webber    => 20684, weberei   => 18776, weblinks  => 13127, webseite  => 5170,
                        webseiten => 13570, website   => 2649, websites  => 15728, webster   => 23084,
                        wechsel   => 1941, wechselausstellungen
                                  => 27046,
                        wechseln  => 3599, wechselnd => 26246, wechselnde
                                  => 9393,
                        wechselnden
                                  => 5622, wechselnder
                                  => 17820,
                        wechsels  => 27047, wechselseitige
                                  => 27928,
                        wechselseitigen
                                  => 23085, wechselspannung
                                  => 26247,
                        wechselt  => 5482, wechselte => 827, wechselten
                                  => 5320,
                        wechselvolle
                                  => 29817, wechselwirkung
                                  => 12706,
                        wechselwirkungen
                                  => 14676, wecken    => 12317,
                        weckt     => 18114, weckte    => 16173, wedding   => 24263, weder     => 1215,
                        weekend   => 29818, weekly    => 26248, weg       => 418, wegbereiter
                                  => 16174,
                        wege      => 1653, wegen     => 174, weges     => 10075, wegfall   => 10677,
                        weggang   => 14084, weggefahrten
                                  => 24264,
                        weggelassen
                                  => 15729, wegweisend
                                  => 24917,
                        wegweiser => 18435, wegzug    => 24918, wehen     => 27048, wehranlage
                                  => 16431,
                        wehrdienst
                                  => 11059, wehren    => 11261,
                        wehrgang  => 28823, wehrmacht => 5034, wehrmauer => 22511, wehrpflicht
                                  => 24919,
                        wehrt     => 18115, wehrte    => 20685, wehrten   => 19827, wehrturm  => 24920,
                        weibchen  => 917, weibchens => 14271, weiblich  => 11352, weibliche => 2320,
                        weiblichen
                                  => 2989, weiblicher
                                  => 9828,
                        weibliches
                                  => 26249, weich     => 8919,
                        weiche    => 8298, weichen   => 3610, weicher   => 17508, weiches   => 27929,
                        weicht    => 10406, weideland => 15297, weiden    => 6936, weigerte  => 5524,
                        weigerten => 12707, weigerung => 16432, weihbischof
                                  => 22039,
                        weihe     => 9563, weihen    => 26250, weihnachten
                                  => 5596,
                        weihnachtsmann
                                  => 21137, weihnachtsmarkt
                                  => 23086,
                        weihnachtszeit
                                  => 25554, weihte    => 24265,
                        weil      => 275, weile     => 8354, weilern   => 19447, weilers   => 26251,
                        weilte    => 23683, weimar    => 5374, weimarer  => 4734, wein      => 3273,
                        weinanbau => 26252, weinbaus  => 29819, weinberge => 14272, weine     => 8299,
                        weinen    => 13928, weinheim  => 16947, weinkeller
                                  => 26253,
                        weinsberg => 27049, weint     => 23684, weisen    => 1386, weisse    => 1661,
                        weissem   => 7096, weissen   => 1219, weissenburg
                                  => 26254,
                        weissensee
                                  => 27930, weisses   => 8083,
                        weisslich => 6340, weissliche
                                  => 18777,
                        weisslichen
                                  => 16175, weissrussischen
                                  => 20260,
                        weissrussland
                                  => 13432, weist     => 844,
                        weisung   => 15730, weisungen => 19448, weit      => 507, weitaus   => 5105,
                        weite     => 2637, weitem    => 7374, weiten    => 3258, weiter    => 204,
                        weiterbau => 18116, weiterbildung
                                  => 5375,
                        weiterbildungen
                                  => 22040, weitere   => 113,
                        weiterem  => 26255, weiteren  => 205, weiterentwickeln
                                  => 27931,
                        weiterentwickelt
                                  => 5551, weiterentwickelte
                                  => 23087,
                        weiterentwicklung
                                  => 3214, weiterentwicklungen
                                  => 19828,
                        weiterer  => 765, weiteres  => 954, weiterfahren
                                  => 27050,
                        weiterfahrt
                                  => 22512, weiterfuhren
                                  => 20261,
                        weiterfuhrende
                                  => 11060, weiterfuhrenden
                                  => 13929,
                        weiterfuhrung
                                  => 14479, weitergabe
                                  => 14677,
                        weitergeben
                                  => 21575, weitergefuhrt
                                  => 4657,
                        weitergegeben
                                  => 8920, weitergehen
                                  => 26256,
                        weitergehende
                                  => 16433, weitergeleitet
                                  => 14678,
                        weiterhin => 347, weiterkommen
                                  => 27051,
                        weiterleben
                                  => 26257, weiterleitung
                                  => 23088,
                        weiters   => 6232, weiterverarbeitet
                                  => 22513,
                        weiterverarbeitung
                                  => 21138,
                        weiterverfolgt
                                  => 27932, weiterverkauft
                                  => 20262,
                        weiterverwendet
                                  => 27933, weiterzuentwickeln
                                  => 21139,
                        weiterzufuhren
                                  => 17821, weiterzugeben
                                  => 24266,
                        weites    => 23089, weitesten => 8581, weitestgehend
                                  => 4267,
                        weitet    => 19829, weitete   => 15517, weitgehend
                                  => 686,
                        weitgehende
                                  => 13571, weitgehenden
                                  => 23090,
                        weithin   => 5958, weitlaufige
                                  => 19449,
                        weitlaufigen
                                  => 14480, weitraumig
                                  => 28824,
                        weitreichende
                                  => 11460, weitreichenden
                                  => 20686,
                        weitsprung
                                  => 19118, weizen    => 13572,
                        welch     => 22041, welche    => 281, welchem   => 2606, welchen   => 3325,
                        welcher   => 896, welches   => 611, welle     => 5171, wellen    => 5500,
                        wellenbalken
                                  => 12708, wellenlange
                                  => 13275,
                        wellenlangen
                                  => 19119, wellington
                                  => 17224,
                        wells     => 12966, welpen    => 27934, welsh     => 23091, welt      => 352,
                        weltanschauung
                                  => 13730, weltausstellung
                                  => 19830,
                        weltbevolkerung
                                  => 24921, weltbild  => 17822,
                        weltcup   => 5483, weltcuppunkte
                                  => 20687,
                        weltcuprennen
                                  => 18778, weltcups  => 21140,
                        welten    => 9244, weltergewicht
                                  => 25555,
                        weltgeschichte
                                  => 15939, welthandel
                                  => 29820,
                        weltkrieg => 603, weltkriege
                                  => 11164,
                        weltkriegen
                                  => 13731, weltkrieges
                                  => 2337,
                        weltkriegs
                                  => 2287, weltliche => 9644,
                        weltlichen
                                  => 7802, weltlicher
                                  => 23685,
                        weltmarkt => 25556, weltmeister
                                  => 4979,
                        weltmeisterin
                                  => 16948, weltmeisterschaft
                                  => 3297,
                        weltmeisterschaften
                                  => 4013,
                        weltmeistertitel
                                  => 12709, weltordnung
                                  => 26258,
                        weltrangliste
                                  => 5501, weltraum  => 13276,
                        weltrekord
                                  => 8652, weltrekorde
                                  => 23092,
                        weltspitze
                                  => 17509, weltweit  => 752,
                        weltweite => 7284, weltweiten
                                  => 5376,
                        weltweiter
                                  => 28825, weltweites
                                  => 27935,
                        weltwirtschaft
                                  => 29821, weltwirtschaftskrise
                                  => 19831,
                        wendeltreppe
                                  => 20688, wenden    => 5775,
                        wendepunkt
                                  => 14481, wendeschleife
                                  => 24267,
                        wendet    => 3438, wendete   => 14085, wendung   => 12447, wendungen => 25557,
                        wendy     => 22042, wenig     => 391, wenige    => 516, wenigen   => 869,
                        weniger   => 364, wenigsten => 8921, wenigstens
                                  => 6011,
                        wenn      => 136, wenngleich
                                  => 5901,
                        werbeagentur
                                  => 23093, werben    => 9394,
                        werbespots
                                  => 18117, werbung   => 4126,
                        werde     => 842, werdegang => 12710, werden    => 31, werdende  => 14273,
                        werdenden => 8084, werfen    => 5647, werfer    => 20689, werft     => 5150,
                        werften   => 14876, werk      => 413, werke     => 519, werken    => 1679,
                        werkes    => 4375, werkgruppe
                                  => 29822,
                        werks     => 7714, werksgelande
                                  => 21576,
                        werkstatt => 2969, werkstatte
                                  => 19832,
                        werkstatten
                                  => 5035, werkstoff => 16662,
                        werkstoffe
                                  => 19120, werkstuck => 20263,
                        werktag   => 26259, werktagen => 21577, werktags  => 21141, werkverzeichnis
                                  => 17823,
                        werkzeug  => 7999, werkzeuge => 6088, werkzeugen
                                  => 13433,
                        wernigerode
                                  => 22043, werra     => 23686,
                        wert      => 823, werte     => 2031, werten    => 5675, wertes    => 15298,
                        wertet    => 19833, wertete   => 19121, wertheim  => 21578, wertigkeit
                                  => 27936,
                        wertlos   => 23687, wertpapiere
                                  => 28826,
                        wertschatzung
                                  => 13128, wertung   => 5290,
                        wertungen => 15731, wertungsprufung
                                  => 28827,
                        wertvoll  => 13930, wertvolle => 5928, wertvollen
                                  => 9905,
                        wertvoller
                                  => 19450, wertvolles
                                  => 21579,
                        wertvollsten
                                  => 23688, wertvorstellungen
                                  => 29823,
                        wesel     => 23689, wesen     => 2599, wesens    => 23094, wesentlich
                                  => 1138,
                        wesentliche
                                  => 3183, wesentlichen
                                  => 1451,
                        wesentlicher
                                  => 6280, wesentliches
                                  => 10407,
                        weshalb   => 1597, wespen    => 24268, west      => 1498, westafrika
                                  => 18118,
                        westberlin
                                  => 28828, westdeutsche
                                  => 15084,
                        westdeutschen
                                  => 9053, westdeutscher
                                  => 28829,
                        westdeutschland
                                  => 10502, weste     => 28830,
                        westempore
                                  => 16176, westen    => 610,
                        westend   => 28831, westende  => 27937, westens   => 15940, western   => 6435,
                        westeuropa
                                  => 9906, westeuropaischen
                                  => 19451,
                        westfalen => 5461, westfalens
                                  => 24922,
                        westfalische
                                  => 16663, westfalischen
                                  => 11061,
                        westfassade
                                  => 10226, westflugel
                                  => 16949,
                        westfront => 15518, westgiebel
                                  => 24923,
                        westkuste => 9305, westlich  => 1224, westliche => 2815, westlichen
                                  => 1207,
                        westlicher
                                  => 4250, westlichste
                                  => 26260,
                        westlichsten
                                  => 24924, westmauer => 27052,
                        westminster
                                  => 20264, westportal
                                  => 16664,
                        westpreussen
                                  => 29824, westrand  => 19122,
                        westseite => 3266, westteil  => 13434, westturm  => 9645, westufer  => 14877,
                        westwand  => 11938, westwarts => 16177, weswegen  => 5597, wettbewerb
                                  => 1558,
                        wettbewerbe
                                  => 5357, wettbewerben
                                  => 5428,
                        wettbewerber
                                  => 24269, wettbewerbs
                                  => 7010,
                        wettbewerbsfahigkeit
                                  => 27053,
                        wette     => 16665, wetten    => 27054, wetter    => 4411, wetterbedingungen
                                  => 22044,
                        wetterfahne
                                  => 23690, wetters   => 17225,
                        wetterschacht
                                  => 27938, wettkampf => 5648,
                        wettkampfe
                                  => 8355, wettkampfen
                                  => 7842,
                        wettkampfgewicht
                                  => 12448, wettstreit
                                  => 21580,
                        wetzlar   => 15299, wheeler   => 21142, where     => 24925, whigs     => 28832,
                        whiskey   => 22514, whisky    => 22045, white     => 3843, whitehead => 27939,
                        whitney   => 21581, wichen    => 22515, wichtig   => 1833, wichtige  => 968,
                        wichtigen => 1911, wichtiger => 2038, wichtiges => 4466, wichtigkeit
                                  => 11577,
                        wichtigste
                                  => 2368, wichtigsten
                                  => 1316,
                        wichtigster
                                  => 10589, wichtigstes
                                  => 14878,
                        wickeln   => 24270, wicket    => 27055, wickets   => 13931, wider     => 4172,
                        widerlegen
                                  => 21143, widerlegt => 10777,
                        widerrief => 25558, widerrufen
                                  => 17824,
                        widersacher
                                  => 16434, widersetzen
                                  => 26261,
                        widersetzt
                                  => 27940, widersetzte
                                  => 21144,
                        widerspiegeln
                                  => 16178, widerspiegelt
                                  => 13277,
                        widersprach
                                  => 14274, widersprachen
                                  => 29825,
                        widersprechen
                                  => 12185, widerspricht
                                  => 11690,
                        widersprochen
                                  => 28833, widerspruch
                                  => 4980,
                        widerspruche
                                  => 14275, widerspruchlich
                                  => 15085,
                        widerspruchliche
                                  => 15086, widerstand
                                  => 1514,
                        widerstande
                                  => 13129, widerstanden
                                  => 27056,
                        widerstandes
                                  => 13278, widerstands
                                  => 10778,
                        widerstandsbewegung
                                  => 29826,
                        widerstandsfahig
                                  => 28834, widerstandsgruppe
                                  => 29827,
                        widerstandskampfer
                                  => 19834,
                        widerstehen
                                  => 18779, widerwillig
                                  => 14086,
                        widmen    => 5394, widmet    => 5525, widmete   => 1707, widmeten  => 14679,
                        widmung   => 15519, widrigen  => 24271, wie       => 56, wieder    => 71,
                        wiederabstieg
                                  => 19835, wiederaufbau
                                  => 2262,
                        wiederaufbaus
                                  => 14482, wiederaufgebaut
                                  => 9182,
                        wiederaufnahme
                                  => 7624, wiederaufstieg
                                  => 5151,
                        wiederbelebt
                                  => 14483, wiederbelebung
                                  => 12711,
                        wiedereinfuhrung
                                  => 17825, wiederentdeckt
                                  => 9829,
                        wiederentdeckung
                                  => 19452, wiedererlangung
                                  => 23095,
                        wiedereroffnet
                                  => 8517, wiedereroffnung
                                  => 10152,
                        wiedererrichtet
                                  => 21582, wiedererrichtung
                                  => 22046,
                        wiederfinden
                                  => 24926, wiedergabe
                                  => 10678,
                        wiedergeben
                                  => 17826, wiedergeburt
                                  => 14484,
                        wiedergefunden
                                  => 24927, wiedergegeben
                                  => 7949,
                        wiedergewahlt
                                  => 4758, wiedergibt
                                  => 24928,
                        wiedergutmachung
                                  => 18436, wiederhergestellt
                                  => 4412,
                        wiederherstellen
                                  => 15941, wiederherstellung
                                  => 5152,
                        wiederherzustellen
                                  => 10076,
                        wiederholen
                                  => 6174, wiederholt
                                  => 1805,
                        wiederholte
                                  => 7242, wiederholten
                                  => 9830,
                        wiederholter
                                  => 25559, wiederholung
                                  => 7950,
                        wiederholungen
                                  => 12967, wiederholungsspiel
                                  => 23096,
                        wiederholungsspiele
                                  => 27941,
                        wiederinbetriebnahme
                                  => 24272,
                        wiederkehrende
                                  => 12318, wiederkehrenden
                                  => 17827,
                        wiederkehrendes
                                  => 28835, wiedersehen
                                  => 14276,
                        wiederum  => 657, wiedervereinigung
                                  => 6579,
                        wiederveroffentlicht
                                  => 17828,
                        wiederveroffentlichung
                                  => 22516,
                        wiederverwendet
                                  => 14879, wiederwahl
                                  => 5827,
                        wiederwahlen
                                  => 19836, wiederzubeleben
                                  => 23691,
                        wiederzufinden
                                  => 21145, wiederzugeben
                                  => 23692,
                        wiege     => 19453, wiegen    => 9245, wiegt     => 6012, wies      => 2338,
                        wiesbaden => 2653, wiesbadener
                                  => 19837,
                        wiesen    => 2918, wieso     => 18119, wikinger  => 17829, wikipedia => 10227,
                        wildbahn  => 21583, wilden    => 6201, wilder    => 17510, wildes    => 23097,
                        wildlife  => 19838, wildnis   => 12968, wildtiere => 28836, wilhelmshaven
                                  => 11813,
                        wilhelmstrasse
                                  => 28837, will      => 400,
                        willen    => 3030, willens   => 15942, william   => 1657, williams  => 3992,
                        willie    => 15300, willigt   => 9054, willigte  => 22517, willis    => 23693,
                        willkommen
                                  => 11578, willkommene
                                  => 27942,
                        willkur   => 16179, willkurlich
                                  => 12823,
                        willkurliche
                                  => 27943, wills     => 29828,
                        willst    => 22518, willy     => 8000, wilsberg  => 17226, wilson    => 4818,
                        wilsons   => 28838, wimbledon => 24273, winckelmann
                                  => 29829,
                        winde     => 11939, winden    => 15943, windgeschwindigkeit
                                  => 25560,
                        windgeschwindigkeiten
                                  => 21146,
                        windkraftanlagen
                                  => 22519, windmuhle => 10861,
                        windmuhlen
                                  => 26262, windows   => 5902,
                        windpark  => 26263, windschutzscheibe
                                  => 21147,
                        windsor   => 14880, windung   => 28839, windungen => 15301, wings     => 15732,
                        winkeln   => 29830, winnipeg  => 27057, winston   => 27058, winterhalbjahr
                                  => 16666,
                        winterlichen
                                  => 29831, wintermonaten
                                  => 14277,
                        wintern   => 16435, winterpause
                                  => 9907,
                        winters   => 9483, wintersaison
                                  => 29832,
                        wintersemester
                                  => 9484, winterspiele
                                  => 26264,
                        winterspielen
                                  => 13130, winterthur
                                  => 12560,
                        winzige   => 19839, winzigen  => 20265, wir       => 691, wirbel    => 15733,
                        wirbellosen
                                  => 19840, wirbelsaule
                                  => 17830,
                        wirbeltiere
                                  => 27059, wirbt     => 13932,
                        wird      => 34, wirft     => 3697, wirke     => 12969, wirken    => 1632,
                        wirkende  => 9646, wirkenden => 9740, wirkens   => 18120, wirklich  => 2321,
                        wirkliche => 10779, wirklichen
                                  => 10590,
                        wirklicher
                                  => 29833, wirklichkeit
                                  => 2990,
                        wirksam   => 6493, wirksame  => 13732, wirksamen => 20266, wirksamkeit
                                  => 6202,
                        wirkstoff => 13933, wirkstoffe
                                  => 27060,
                        wirkt     => 1881, wirkte    => 1080, wirkten   => 7011, wirkung   => 1178,
                        wirkungen => 7097, wirkungsgrad
                                  => 12561,
                        wirkungskreis
                                  => 28840, wirkungslos
                                  => 26265,
                        wirkungsvoll
                                  => 21584, wirkungsvolle
                                  => 29834,
                        wirren    => 11353, wirst     => 21585, wirt      => 8300, wirte     => 22520,
                        wirtes    => 12824, wirtschaft
                                  => 1141,
                        wirtschaften
                                  => 19841, wirtschaftlich
                                  => 3326,
                        wirtschaftliche
                                  => 1720, wirtschaftlichen
                                  => 1669,
                        wirtschaftlicher
                                  => 6770, wirtschaftliches
                                  => 23098,
                        wirtschaftlichkeit
                                  => 14087,
                        wirtschaftsbereichen
                                  => 29835,
                        wirtschaftsfaktor
                                  => 19454,
                        wirtschaftsgebaude
                                  => 7285,
                        wirtschaftsgebauden
                                  => 16436,
                        wirtschaftsgeschichte
                                  => 22047,
                        wirtschaftshof
                                  => 18121, wirtschaftskrise
                                  => 12319,
                        wirtschaftsleben
                                  => 29836, wirtschaftspolitik
                                  => 11940,
                        wirtschaftspolitischen
                                  => 28841,
                        wirtschaftsraum
                                  => 29837, wirtschaftsunternehmen
                                  => 27944,
                        wirtschaftswachstum
                                  => 17831,
                        wirtschaftswissenschaften
                                  => 14680,
                        wirtschaftswissenschaftlichen
                                  => 27061,
                        wirtschaftszweig
                                  => 15302, wirtschaftszweige
                                  => 24929,
                        wirtshaus => 11461, wirtspflanzen
                                  => 27945,
                        wisconsin => 14681, wismar    => 14278, wismut    => 16437, wisse     => 11165,
                        wissen    => 1084, wissens   => 10228, wissenschaft
                                  => 1572,
                        wissenschaften
                                  => 3043, wissenschaftler
                                  => 2363,
                        wissenschaftlern
                                  => 6841, wissenschaftlers
                                  => 29838,
                        wissenschaftlich
                                  => 4288, wissenschaftliche
                                  => 1508,
                        wissenschaftlichen
                                  => 1333,
                        wissenschaftlicher
                                  => 3179,
                        wissenschaftliches
                                  => 15944,
                        wissenschaftsgeschichte
                                  => 23694,
                        with      => 6515, wittelsbacher
                                  => 25561,
                        wittenberger
                                  => 18122, witterung => 10780,
                        wittgenstein
                                  => 18780, witwe     => 2447,
                        witwen    => 23695, woanders  => 28842, wobei     => 263, woche     => 1406,
                        wochen    => 695, wochenblatt
                                  => 18781,
                        wochenende
                                  => 4776, wochenenden
                                  => 9395,
                        wochenlang
                                  => 28843, wochenmarkt
                                  => 29839,
                        wochenschrift
                                  => 27062, wochentagen
                                  => 26266,
                        wochentags
                                  => 28844, wochentlich
                                  => 5153,
                        wochentliche
                                  => 16950, wochentlichen
                                  => 14279,
                        wochenzeitschrift
                                  => 29840,
                        wochenzeitung
                                  => 14485, wodurch   => 1156,
                        wofur     => 5649, wogegen   => 15303, wogen     => 22048, woher     => 11691,
                        wohin     => 8038, wohingegen
                                  => 9831,
                        wohl      => 560, wohlbefinden
                                  => 27946,
                        wohlergehen
                                  => 18123, wohlhabend
                                  => 17227,
                        wohlhabende
                                  => 9990, wohlhabenden
                                  => 6436,
                        wohlhabender
                                  => 15087, wohlstand => 6150,
                        wohltatige
                                  => 22521, wohltatigkeit
                                  => 29841,
                        wohlwollen
                                  => 22049, wohlwollend
                                  => 22050,
                        wohnanlage
                                  => 23696, wohnbau   => 21586,
                        wohnbauten
                                  => 15945, wohnbebauung
                                  => 12449,
                        wohnbereich
                                  => 26267, wohnbevolkerung
                                  => 29842,
                        wohneinheiten
                                  => 10503, wohnen    => 3766,
                        wohnenden => 25562, wohngebaude
                                  => 5484,
                        wohngebauden
                                  => 17228, wohngebiet
                                  => 9306,
                        wohngebiete
                                  => 14280, wohngemeinde
                                  => 24274,
                        wohnhaft  => 23697, wohnhaus  => 2663, wohnhauser
                                  => 4191,
                        wohnhausern
                                  => 6494, wohnhauses
                                  => 21148,
                        wohnheim  => 23698, wohnort   => 6771, wohnplatz => 9183, wohnplatze
                                  => 20690,
                        wohnraum  => 8244, wohnraume => 14281, wohnsiedlung
                                  => 19842,
                        wohnsiedlungen
                                  => 24275, wohnsitz  => 4721,
                        wohnt     => 4958, wohnte    => 3974, wohnten   => 4938, wohnturm  => 20267,
                        wohnung   => 1320, wohnungen => 2540, wohnungsbau
                                  => 19455,
                        wohnungsnot
                                  => 27947, wohnviertel
                                  => 16667,
                        wohnwagen => 23099, wohnzimmer
                                  => 13733,
                        wohnzwecken
                                  => 19456, woiwodschaft
                                  => 16668,
                        wolfe     => 12050, wolfen    => 24930, wolfenbuttel
                                  => 17229,
                        wolfsburg => 12562, wolga     => 27063, wolken    => 9055, wolkenkratzer
                                  => 27948,
                        wollen    => 984, wollig    => 28845, wollte    => 526, wollten   => 1999,
                        woman     => 15088, women     => 11692, womit     => 2002, womoglich => 10960,
                        wonach    => 5526, wonder    => 23100, woods     => 16180, woran     => 15089,
                        worauf    => 3215, woraufhin => 2724, woraus    => 9184, worcester => 24931,
                        worden    => 147, worin     => 11579, works     => 12186, workshop  => 21587,
                        workshops => 6371, world     => 1969, worms     => 8849, wormser   => 21149,
                        wort      => 962, worte     => 3698, worten    => 3184, worter    => 4777,
                        worterbuch
                                  => 6937, worterbucher
                                  => 22522,
                        wortern   => 8193, wortes    => 7053, wortfuhrer
                                  => 29843,
                        worth     => 12450, wortlaut  => 13573, wortlich  => 6631, wortliche => 27064,
                        wortschatz
                                  => 18437, wortstamm => 28846,
                        wortwahl  => 22051, woruber   => 18782, wovon     => 2876, wozu      => 6049,
                        wrack     => 9832, wracks    => 23699, wrestler  => 19123, wrestling => 10408,
                        wright    => 11262, writers   => 28847, wuchs     => 832, wuchsen   => 11263,
                        wuchshohe => 22523, wuchshohen
                                  => 14881,
                        wucht     => 20268, wuchtigen => 23700, wunde     => 13934, wunden    => 12051,
                        wunderbare
                                  => 27065, wundert   => 27949,
                        wunsch    => 1453, wunschen  => 7843, wunschenswert
                                  => 26268,
                        wunscht   => 8245, wunschte  => 12563, wunschten => 29844, wuppertal => 7098,
                        wuppertaler
                                  => 18124, wurde     => 12,
                        wurden    => 42, wurdentrager
                                  => 16951,
                        wurdig    => 17832, wurdigen  => 16669, wurdigt   => 28848, wurdigte  => 19124,
                        wurdigung => 11693, wurf      => 8721, wurfe     => 27066, wurfeln   => 26269,
                        wurttemberg
                                  => 5415, wurttembergische
                                  => 15090,
                        wurttembergischen
                                  => 7893, wurzburg  => 3546,
                        wurzburger
                                  => 9991, wurzel    => 8850,
                        wurzeln   => 3590, wusste    => 4486, wussten   => 10591, wuste     => 6233,
                        wusten    => 17511, wusterhausen
                                  => 27067,
                        wustung   => 18783, wutend    => 7099, wutenden  => 22524, wyatt     => 25563,
                        wyoming   => 26270, xavier    => 17230, xviii     => 25564, yacht     => 15946,
                        yachten   => 25565, yards     => 8150, years     => 21588, yellow    => 24276,
                        yokohama  => 27950, york      => 786, yorker    => 5291, yorks     => 24277,
                        yorkshire => 22052, young     => 5106, your      => 8582, youth     => 15520,
                        youtube   => 9485, zacken    => 28849, zagreb    => 11166, zahl      => 494,
                        zahle     => 29845, zahlen    => 730, zahlende  => 17231, zahlenden => 13734,
                        zahlenmassig
                                  => 12320, zahler    => 14882,
                        zahllose  => 19125, zahllosen => 19843, zahlreich => 11941, zahlreiche
                                  => 298,
                        zahlreichen
                                  => 635, zahlreicher
                                  => 3080,
                        zahlt     => 1054, zahlte    => 1548, zahlten   => 4251, zahlung   => 4127,
                        zahlungen => 7715, zahlungsmittel
                                  => 15521,
                        zahlungsunfahig
                                  => 29846, zahlungsunfahigkeit
                                  => 27068,
                        zahnarzt  => 20691, zahnarzte => 27069, zahne     => 3912, zahnen    => 9908,
                        zahnrad   => 29847, zapfen    => 13735, zaren     => 12187, zarin     => 24278,
                        zarten    => 28850, zasur     => 23101, zauberei  => 21589, zealand   => 18125,
                        zeche     => 5193, zechen    => 27070, zehen     => 9307, zehn      => 379,
                        zehnjahrige
                                  => 20269, zehnjahrigen
                                  => 15304,
                        zehnmal   => 13131, zehntausend
                                  => 21150,
                        zehntausende
                                  => 25566, zehnte    => 10592,
                        zehntel   => 20692, zehnten   => 4981, zehnter   => 15091, zeichen   => 1499,
                        zeichenlehrer
                                  => 25567, zeichens  => 20693,
                        zeichenunterricht
                                  => 29848,
                        zeichnen  => 3490, zeichner  => 10319, zeichnet  => 3230, zeichnete => 3313,
                        zeichneten
                                  => 14088, zeichnung => 4108,
                        zeichnungen
                                  => 2666, zeige     => 7756,
                        zeigefinger
                                  => 25568, zeigen    => 673,
                        zeigt     => 362, zeigte    => 1005, zeigten   => 2572, zeile     => 6234,
                        zeilen    => 6372, zeit      => 75, zeitalter => 5879, zeitalters
                                  => 24932,
                        zeitdruck => 26271, zeiten    => 1456, zeitgeist => 16438, zeitgemass
                                  => 17232,
                        zeitgemasse
                                  => 20270, zeitgemassen
                                  => 25569,
                        zeitgenossen
                                  => 5240, zeitgenossische
                                  => 4117,
                        zeitgenossischen
                                  => 3699, zeitgenossischer
                                  => 8996,
                        zeitgeschehen
                                  => 24279, zeitgeschichte
                                  => 11942,
                        zeitgeschmack
                                  => 20694, zeitgleich
                                  => 3327,
                        zeitlang  => 15305, zeitlebens
                                  => 9125,
                        zeitlich  => 4959, zeitliche => 7485, zeitlichen
                                  => 8151,
                        zeitlicher
                                  => 20695, zeitnah   => 19457,
                        zeitplan  => 20696, zeitpunkt => 513, zeitraum  => 1306, zeitraume => 19126,
                        zeitraums => 21151, zeitrechnung
                                  => 29849,
                        zeitreise => 20697, zeitschrift
                                  => 665,
                        zeitschriften
                                  => 2654, zeitspanne
                                  => 10320,
                        zeitung   => 829, zeitungen => 2541, zeitungsartikel
                                  => 16670,
                        zeitweilig
                                  => 4778, zeitweiligen
                                  => 27071,
                        zeitweise => 1570, zeitzeugen
                                  => 16952,
                        zelebriert
                                  => 28851, zelle     => 4779,
                        zellen    => 3280, zeltdach  => 27951, zelte     => 23701, zelten    => 16439,
                        zement    => 17233, zenit     => 20271, zensur    => 8653, zensus    => 3861,
                        zentimeter
                                  => 964, zentimetern
                                  => 2895,
                        zentral   => 4722, zentralasien
                                  => 17234,
                        zentralbank
                                  => 14282, zentralbau
                                  => 29850,
                        zentrale  => 1478, zentralen => 1712, zentraler => 6050, zentrales => 7951,
                        zentralisierung
                                  => 26272, zentralkomitee
                                  => 20272,
                        zentralkomitees
                                  => 16671, zentralregierung
                                  => 14283,
                        zentralstelle
                                  => 22053, zentren   => 5959,
                        zentrum   => 687, zentrums  => 5854, zentrumspartei
                                  => 22525,
                        zeppelin  => 18438, zepter    => 23102, zerbrach  => 12188, zerbricht => 20273,
                        zerbrochen
                                  => 19844, zeremonie => 7625,
                        zeremoniell
                                  => 27952, zeremonien
                                  => 14883,
                        zerfall   => 10781, zerfallen => 16181, zerfallt  => 16672, zerfiel   => 13435,
                        zerlegen  => 27072, zerlegt   => 11264, zerlegung => 24280, zerrissen => 27953,
                        zerschlagen
                                  => 10153, zerschlagung
                                  => 26273,
                        zerschnitten
                                  => 26274, zersetzt  => 17512,
                        zersetzung
                                  => 19845, zersplittert
                                  => 25570,
                        zersplitterung
                                  => 24281, zerstoren => 4587,
                        zerstorer => 5194, zerstorern
                                  => 15947,
                        zerstort  => 664, zerstorte => 3780, zerstorten
                                  => 4156,
                        zerstorung
                                  => 2278, zerstorungen
                                  => 6889,
                        zerstreut => 13935, zerstritten
                                  => 21590,
                        zerteilt  => 23702, zertifikat
                                  => 17235,
                        zertifikate
                                  => 23103, zertifiziert
                                  => 13574,
                        zertifizierung
                                  => 16440, zerwurfnis
                                  => 21591,
                        zeuge     => 5699, zeugen    => 2848, zeugenaussagen
                                  => 14682,
                        zeugin    => 16673, zeugnis   => 6124, zeugnisse => 8085, zeugnissen
                                  => 29851,
                        zeugt     => 11462, zeugte    => 26275, zhang     => 12970, ziege     => 19127,
                        ziegel    => 12971, ziegelei  => 10862, ziegeln   => 12189, ziegelsteinen
                                  => 23703,
                        ziegen    => 10593, ziehen    => 1550, zieht     => 1494, ziel      => 408,
                        ziele     => 1764, zielen    => 7100, zielgruppe
                                  => 7243,
                        zielgruppen
                                  => 19128, ziellinie => 18784,
                        zielort   => 25571, ziels     => 23704, zielsetzung
                                  => 11694,
                        zielsetzungen
                                  => 25572, zielt     => 10863,
                        zielte    => 16182, ziemlich  => 3631, zieren    => 22054, zierpflanze
                                  => 25573,
                        ziert     => 16441, zierte    => 27073, ziffer    => 12825, ziffern   => 6982,
                        zigaretten
                                  => 17236, zigeuner  => 26276,
                        zimmermanns
                                  => 25574, zimmern   => 13279,
                        zinnen    => 18785, zinsen    => 11580, zinssatz  => 23104, zirka     => 7324,
                        zirkulation
                                  => 27954, zirkus    => 11354,
                        zisterne  => 20274, zisterzienser
                                  => 27074,
                        zitadelle => 13936, zitat     => 7844, zitate    => 10679, zitiert   => 2398,
                        zitierte  => 18439, zitierten => 18786, zittau    => 24933, zivil     => 18126,
                        zivilbevolkerung
                                  => 9564, zivildienst
                                  => 27955,
                        zivile    => 5855, zivilen   => 5598, ziviler   => 23705, zivilgesellschaft
                                  => 21152,
                        zivilisation
                                  => 8408, zivilisten
                                  => 5292,
                        zivilverwaltung
                                  => 27956, zog       => 451,
                        zogen     => 1775, zogerlich => 18127, zogern    => 13736, zogert    => 27075,
                        zogerte   => 18787, zoll      => 6890, zolle     => 19458, zombie    => 21592,
                        zombies   => 16442, zone      => 3811, zonen     => 7325, zoologie  => 19846,
                        zoologischen
                                  => 15734, zornig    => 24934,
                        zu        => 11, zubehor   => 11814, zubereitet
                                  => 13575,
                        zubereitung
                                  => 12451, zucht     => 9185,
                        zuchten   => 24282, zuchter   => 21153, zuchthaus => 16674, zuchtung  => 23706,
                        zuckerfabrik
                                  => 16953, zudem     => 201,
                        zueinander
                                  => 3756, zuerkannt => 16183,
                        zuerst    => 985, zufahrt   => 10409, zufahrten => 29852, zufahrtsstrasse
                                  => 20275,
                        zufall    => 7012, zufallig  => 3439, zufallige => 15948, zufalligen
                                  => 16675,
                        zuflucht  => 9186, zufluss   => 8851, zuflusse  => 11062, zufolge   => 1628,
                        zufrieden => 5960, zufriedengeben
                                  => 27957,
                        zufriedenheit
                                  => 15735, zufriedenstellend
                                  => 16184,
                        zufugen   => 25575, zufuhr    => 27958, zugabe    => 16676, zugang    => 1247,
                        zugange   => 10680, zuganglich
                                  => 1457,
                        zugangliche
                                  => 13737, zuganglichen
                                  => 9246,
                        zuganglichkeit
                                  => 25576, zugangs   => 22055,
                        zugbrucke => 18440, zuge      => 536, zugefugt  => 14284, zugefuhrt => 7952,
                        zugegeben => 26277, zugegen   => 18788, zugehorig => 15306, zugehorige
                                  => 6804,
                        zugehorigen
                                  => 5429, zugehorigkeit
                                  => 4252,
                        zugel     => 22526, zugelassen
                                  => 2436,
                        zugelassene
                                  => 19459, zugelassenen
                                  => 16954,
                        zugelost  => 25577, zugemauert
                                  => 15307,
                        zugen     => 5132, zugenommen
                                  => 11581,
                        zugeordnet
                                  => 1891, zugeordnete
                                  => 29853,
                        zugeordneten
                                  => 26278, zugerechnet
                                  => 9126,
                        zuges     => 8246, zugesagt  => 16185, zugeschlagen
                                  => 12712,
                        zugeschnitten
                                  => 15522, zugeschrieben
                                  => 4054,
                        zugeschuttet
                                  => 14285, zugesetzt => 17833,
                        zugesichert
                                  => 19460, zugespitzt
                                  => 9056,
                        zugespitzten
                                  => 29854, zugesprochen
                                  => 6175,
                        zugestanden
                                  => 13280, zugestandnisse
                                  => 13937,
                        zugestellt
                                  => 24935, zugestimmt
                                  => 13576,
                        zugetan   => 29855, zugeteilt => 5052, zugetragen
                                  => 27076,
                        zugewandt => 15523, zugewandten
                                  => 18441,
                        zugewiesen
                                  => 4878, zugewiesenen
                                  => 25578,
                        zugezogen => 18442, zugig     => 14089, zugkraft  => 23105, zugleich  => 709,
                        zugpaar   => 25579, zugpaare  => 11943, zugreifen => 16955, zugriff   => 4658,
                        zugrunde  => 3930, zugrundeliegende
                                  => 26279,
                        zugrundeliegenden
                                  => 23106,
                        zugunsten => 2708, zugute    => 12564, zugverkehr
                                  => 16956,
                        zugvogel  => 27959, zuhause   => 5430, zuhilfenahme
                                  => 28852,
                        zuhorer   => 11463, zuhorern  => 24936, zukaufe   => 27077, zukommen  => 8922,
                        zukommt   => 17513, zukunft   => 1374, zukunftig => 5973, zukunftige
                                  => 6176,
                        zukunftigen
                                  => 5576, zukunftiger
                                  => 29856,
                        zuladung  => 28853, zulassen  => 12972, zulassig  => 6437, zulassige => 11464,
                        zulassigen
                                  => 14486, zulassigkeit
                                  => 23107,
                        zulasst   => 13281, zulassung => 3274, zulauf    => 14487, zulaufenden
                                  => 26280,
                        zulegen   => 28854, zuletzt   => 731, zulieferer
                                  => 19129,
                        zuliess   => 26281, zum       => 38, zumal     => 4355, zumeist   => 1598,
                        zumindest => 1367, zunachst  => 146, zunahm    => 22056, zunahme   => 6938,
                        zunder    => 25580, zundet    => 26282, zundung   => 14683, zunehmen  => 19130,
                        zunehmend => 997, zunehmende
                                  => 5133,
                        zunehmendem
                                  => 9187, zunehmenden
                                  => 4192,
                        zunehmender
                                  => 5880, zuneigung => 11063,
                        zunft     => 19847, zunfte    => 19848, zunge     => 8247, zungen    => 27960,
                        zunimmt   => 21593, zunutze   => 24283, zuordnen  => 10229, zuordnung => 5321,
                        zur       => 45, zurcher   => 5241, zurecht   => 16443, zurich    => 1220,
                        zuruck    => 121, zuruckbeordert
                                  => 29857,
                        zuruckblicken
                                  => 15308, zuruckerobern
                                  => 28855,
                        zuruckerobert
                                  => 23707, zuruckfiel
                                  => 27078,
                        zuruckfuhren
                                  => 14884, zuruckgebaut
                                  => 11582,
                        zuruckgeben
                                  => 19461, zuruckgeblieben
                                  => 25581,
                        zuruckgebogen
                                  => 26283, zuruckgebracht
                                  => 18443,
                        zuruckgedrangt
                                  => 15524, zuruckgefuhrt
                                  => 6632,
                        zuruckgegangen
                                  => 8409, zuruckgegeben
                                  => 10504,
                        zuruckgegriffen
                                  => 14684, zuruckgehalten
                                  => 27079,
                        zuruckgehen
                                  => 9396, zuruckgeholt
                                  => 28856,
                        zuruckgeht
                                  => 10077, zuruckgekehrt
                                  => 4622,
                        zuruckgelassen
                                  => 14885, zuruckgelegt
                                  => 10961,
                        zuruckgenommen
                                  => 14488, zuruckgerufen
                                  => 27080,
                        zuruckgeschickt
                                  => 26284, zuruckgeschlagen
                                  => 23108,
                        zuruckgesetzt
                                  => 18444, zuruckgestellt
                                  => 20698,
                        zuruckgestuft
                                  => 28857, zuruckgetreten
                                  => 19849,
                        zuruckgewiesen
                                  => 9397, zuruckgewinnen
                                  => 27081,
                        zuruckgeworfen
                                  => 23109, zuruckgezahlt
                                  => 28858,
                        zuruckgezogen
                                  => 4144, zuruckging
                                  => 20276,
                        zuruckgreifen
                                  => 11695, zuruckhaltend
                                  => 13436,
                        zuruckhaltung
                                  => 17834, zuruckholen
                                  => 26285,
                        zuruckkehren
                                  => 3579, zuruckkehrt
                                  => 8518,
                        zuruckkehrte
                                  => 5154, zuruckkehrten
                                  => 19462,
                        zuruckkommt
                                  => 23110, zurucklassen
                                  => 18445,
                        zurucklegen
                                  => 14886, zuruckliegenden
                                  => 25582,
                        zurucktrat
                                  => 18128, zurucktreten
                                  => 13577,
                        zuruckverfolgen
                                  => 15949, zuruckversetzt
                                  => 19463,
                        zuruckweisung
                                  => 23708, zuruckzahlen
                                  => 27961,
                        zuruckziehen
                                  => 6406, zuruckzieht
                                  => 27082,
                        zuruckzog => 9647, zuruckzogen
                                  => 18446,
                        zuruckzubringen
                                  => 23709, zuruckzuerobern
                                  => 24937,
                        zuruckzufuhren
                                  => 3475, zuruckzugeben
                                  => 18789,
                        zuruckzugewinnen
                                  => 21154, zuruckzuholen
                                  => 20277,
                        zuruckzukehren
                                  => 4960, zuruckzulegen
                                  => 27962,
                        zuruckzuziehen
                                  => 10321, zurzeit   => 3632,
                        zusage    => 13738, zusagen   => 24284, zusammen  => 171, zusammenarbeit
                                  => 993,
                        zusammenarbeiten
                                  => 13282, zusammenarbeitete
                                  => 17835,
                        zusammenbrach
                                  => 24938, zusammenbruch
                                  => 6939,
                        zusammenfassen
                                  => 22057, zusammenfassend
                                  => 14887,
                        zusammenfassung
                                  => 9057, zusammenfluss
                                  => 13578,
                        zusammenfuhrung
                                  => 23710, zusammengearbeitet
                                  => 17836,
                        zusammengebaut
                                  => 29858, zusammengebrochen
                                  => 24285,
                        zusammengefasst
                                  => 2859, zusammengefugt
                                  => 16677,
                        zusammengefuhrt
                                  => 11815, zusammengehalten
                                  => 17237,
                        zusammengelegt
                                  => 8777, zusammengeschlagen
                                  => 26286,
                        zusammengeschlossen
                                  => 7626,
                        zusammengesetzt
                                  => 7627, zusammengesetzte
                                  => 25583,
                        zusammengesetzten
                                  => 25584,
                        zusammengestellt
                                  => 6516, zusammengestellten
                                  => 27083,
                        zusammengetragen
                                  => 19850, zusammengewachsen
                                  => 15525,
                        zusammengezogen
                                  => 21594, zusammenhalt
                                  => 12190,
                        zusammenhang
                                  => 812, zusammenhange
                                  => 6580,
                        zusammenhangen
                                  => 12321, zusammenhangend
                                  => 29859,
                        zusammenhangende
                                  => 11167, zusammenhangenden
                                  => 12322,
                        zusammenhangt
                                  => 28859, zusammenkommen
                                  => 22527,
                        zusammenkunft
                                  => 18129, zusammenleben
                                  => 10078,
                        zusammenlebens
                                  => 27084, zusammenlegung
                                  => 10410,
                        zusammenschliessen
                                  => 28860,
                        zusammenschluss
                                  => 3300, zusammenschlusse
                                  => 28861,
                        zusammensetzen
                                  => 16444, zusammensetzt
                                  => 15526,
                        zusammensetzung
                                  => 4086, zusammensetzungen
                                  => 27085,
                        zusammenspiel
                                  => 12191, zusammenstellen
                                  => 27963,
                        zusammenstellung
                                  => 8194, zusammenstoss
                                  => 16445,
                        zusammenstossen
                                  => 23111, zusammentreffen
                                  => 11583,
                        zusammenwirken
                                  => 16678, zusammenzuarbeiten
                                  => 22058,
                        zusammenzubringen
                                  => 27964,
                        zusammenzustellen
                                  => 27086,
                        zusatz    => 4912, zusatze   => 23112, zusatzlich
                                  => 473,
                        zusatzliche
                                  => 1588, zusatzlichen
                                  => 2714,
                        zusatzlicher
                                  => 9398, zusatzliches
                                  => 10594,
                        zuschauer => 1349, zuschauern
                                  => 3146,
                        zuschauerraum
                                  => 20699, zuschauerschnitt
                                  => 27087,
                        zuschauerzahl
                                  => 26287, zuschauerzahlen
                                  => 15950,
                        zuschlag  => 12565, zuschnitt => 27965, zuschreibung
                                  => 24939,
                        zuschuss  => 21595, zuschusse => 14489, zusehen   => 24286, zusehends => 7894,
                        zuspruch  => 19464, zustand   => 1073, zustande  => 2791, zustandekommen
                                  => 29860,
                        zustanden => 13283, zustandes => 16446, zustandig => 1393, zustandige
                                  => 7197,
                        zustandigen
                                  => 4832, zustandigkeit
                                  => 8039,
                        zustandigkeiten
                                  => 17837, zustandigkeitsbereich
                                  => 18130,
                        zustands  => 20700, zustellung
                                  => 27088,
                        zustimmen => 15092, zustimmte => 28862, zustimmung
                                  => 2919,
                        zustrom   => 23113, zutage    => 11816, zutaten   => 10681, zuteil    => 13579,
                        zuteilung => 22528, zutiefst  => 12192, zutreffen => 28863, zutreffend
                                  => 19131,
                        zutrifft  => 22529, zutritt   => 8923, zuverlassig
                                  => 9992,
                        zuverlassige
                                  => 14685, zuverlassigen
                                  => 23711,
                        zuverlassiger
                                  => 27089, zuverlassigkeit
                                  => 10079,
                        zuversicht
                                  => 24940, zuvor     => 373,
                        zuvorzukommen
                                  => 27090, zuwachs   => 11064,
                        zuwanderer
                                  => 18790, zuwanderung
                                  => 11355,
                        zuwandte  => 21155, zuweilen  => 6633, zuweisung => 22530, zuwenden  => 23712,
                        zuwendung => 18447, zuwendungen
                                  => 13938,
                        zuzug     => 11065, zuzuglich => 20278, zuzulassen
                                  => 21156,
                        zuzuordnen
                                  => 9741, zuzurechnen
                                  => 18448,
                        zuzuschreiben
                                  => 23713, zwang     => 4623,
                        zwange    => 28864, zwangen   => 9565, zwangsarbeit
                                  => 13739,
                        zwangsarbeiter
                                  => 11066, zwangslaufig
                                  => 8464,
                        zwangsweise
                                  => 15736, zwanzig   => 3180,
                        zwanziger => 15737, zwanzigsten
                                  => 20279,
                        zwar      => 342, zweck     => 1673, zwecke    => 3267, zwecken   => 7198,
                        zweckmassig
                                  => 22059, zwecks    => 10411,
                        zweckverband
                                  => 16679, zwei      => 61,
                        zweibrucken
                                  => 23714, zweidimensionale
                                  => 28865,
                        zweieinhalb
                                  => 8583, zweier    => 2184,
                        zweifach  => 24287, zweifache => 24941, zweifacher
                                  => 27091,
                        zweifel   => 3742, zweifelhaft
                                  => 15309,
                        zweifellos
                                  => 13939, zweifeln  => 14090,
                        zweifelsfrei
                                  => 12452, zweifelt  => 24288,
                        zweig     => 6281, zweige    => 7013, zweigen   => 7953, zweiges   => 24942,
                        zweigeschossig
                                  => 19851, zweigeschossige
                                  => 7895,
                        zweigeschossigen
                                  => 11067, zweigeschossiger
                                  => 13740,
                        zweigeschossiges
                                  => 22531, zweigeteilt
                                  => 16680,
                        zweigleisig
                                  => 12052, zweigleisige
                                  => 23114,
                        zweigleisigen
                                  => 20701, zweigstelle
                                  => 18449,
                        zweigstellen
                                  => 27092, zweigstrecke
                                  => 20280,
                        zweigt    => 8001, zweigte   => 25585, zweihundert
                                  => 18131,
                        zweijahrige
                                  => 13741, zweijahrigen
                                  => 11168,
                        zweijahriger
                                  => 16186, zweikampf => 9566,
                        zweimal   => 1239, zweisprachig
                                  => 18450,
                        zweisprachige
                                  => 23715, zweistelligen
                                  => 27966,
                        zweistockige
                                  => 24289, zweistockigen
                                  => 19132,
                        zweit     => 23115, zweitalteste
                                  => 27093,
                        zweitbeste
                                  => 20281, zweitbester
                                  => 23116,
                        zweite    => 287, zweiteilige
                                  => 23716,
                        zweiteiligen
                                  => 27967, zweiteilung
                                  => 27094,
                        zweiten   => 152, zweitens  => 15527, zweiter   => 1168, zweites   => 2229,
                        zweitgrosste
                                  => 8997, zweitgrossten
                                  => 24290,
                        zweithochste
                                  => 13437, zweithochsten
                                  => 14286,
                        zweitklassig
                                  => 28866, zweitklassigen
                                  => 19133,
                        zweitklassigkeit
                                  => 16957, zweitligasaison
                                  => 26288,
                        zweitligaspiele
                                  => 18791, zweitligisten
                                  => 13940,
                        zweitplatzierte
                                  => 22532, zweitplatzierten
                                  => 14287,
                        zwerge    => 16187, zwergen   => 26289, zwickau   => 9308, zwickauer => 24943,
                        zwiebeln  => 21596, zwillinge => 11169, zwillingsbruder
                                  => 20282,
                        zwillingsschwester
                                  => 23117,
                        zwingen   => 8778, zwingend  => 6282, zwingt    => 9188, zwischen  => 68,
                        zwischendurch
                                  => 14490, zwischenfall
                                  => 12713,
                        zwischenfalle
                                  => 19134, zwischenfallen
                                  => 27095,
                        zwischenkriegszeit
                                  => 13941,
                        zwischenraum
                                  => 20283, zwischenraume
                                  => 23118,
                        zwischenrunde
                                  => 23717, zwischenstation
                                  => 25586,
                        zwischenzeit
                                  => 5053, zwischenzeitlich
                                  => 2584,
                        zwischenzeitlichen
                                  => 15093,
                        zwolf     => 760, zwolfte   => 23119, zwolften  => 9833, zwolfter  => 24944,
                        zyklen    => 16447, zyklon    => 18132, zyklus    => 7326, zylinder  => 7101,
                        zylindern => 24291, zylinders => 23718, zylindrisch
                                  => 11817,
                        zylindrische
                                  => 15310, zylindrischen
                                  => 17838,
                        zypern    => 11356
                      }
)
;

1;
